#include <qtdbus_includes.h>

#include <smoke.h>
#include <qtdbus_smoke.h>

namespace __smokeqtdbus {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //DBusError
      switch(to) {
        case 1: return (void*)(DBusError*)xptr;
        default: return xptr;
      }
    case 2:   //QBitArray
      switch(to) {
        case 2: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChar
      switch(to) {
        case 5: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 6:   //QChildEvent
      switch(to) {
        case 32: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 6: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDBusAbstractAdaptor
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusAbstractAdaptor*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)xptr;
        default: return xptr;
      }
    case 9:   //QDBusAbstractInterface
      switch(to) {
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusAbstractInterface*)xptr;
        case 43: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 10:   //QDBusAbstractInterfaceBase
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusAbstractInterfaceBase*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterfaceBase*)xptr;
        default: return xptr;
      }
    case 11:   //QDBusArgument
      switch(to) {
        case 11: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 12:   //QDBusConnection
      switch(to) {
        case 12: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 13:   //QDBusConnectionInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusConnectionInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusConnectionInterface*)xptr;
        case 43: return (void*)(QObject*)(QDBusConnectionInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)xptr;
        default: return xptr;
      }
    case 14:   //QDBusContext
      switch(to) {
        case 14: return (void*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 15:   //QDBusError
      switch(to) {
        case 15: return (void*)(QDBusError*)xptr;
        default: return xptr;
      }
    case 16:   //QDBusInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusInterface*)xptr;
        case 43: return (void*)(QObject*)(QDBusInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QDBusMessage
      switch(to) {
        case 17: return (void*)(QDBusMessage*)xptr;
        default: return xptr;
      }
    case 18:   //QDBusMetaType
      switch(to) {
        case 18: return (void*)(QDBusMetaType*)xptr;
        default: return xptr;
      }
    case 19:   //QDBusPendingCall
      switch(to) {
        case 19: return (void*)(QDBusPendingCall*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QDBusPendingCall*)xptr;
        default: return xptr;
      }
    case 20:   //QDBusPendingCallWatcher
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusPendingCallWatcher*)xptr;
        case 19: return (void*)(QDBusPendingCall*)(QDBusPendingCallWatcher*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)xptr;
        default: return xptr;
      }
    case 21:   //QDBusServer
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusServer*)xptr;
        case 21: return (void*)(QDBusServer*)xptr;
        default: return xptr;
      }
    case 22:   //QDBusServiceWatcher
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusServiceWatcher*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)xptr;
        default: return xptr;
      }
    case 23:   //QDBusUnixFileDescriptor
      switch(to) {
        case 23: return (void*)(QDBusUnixFileDescriptor*)xptr;
        default: return xptr;
      }
    case 24:   //QDBusVariant
      switch(to) {
        case 60: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 24: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 25:   //QDBusVirtualObject
      switch(to) {
        case 43: return (void*)(QObject*)(QDBusVirtualObject*)xptr;
        case 25: return (void*)(QDBusVirtualObject*)xptr;
        default: return xptr;
      }
    case 26:   //QDataStream
      switch(to) {
        case 26: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 27:   //QDate
      switch(to) {
        case 27: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 28:   //QDateTime
      switch(to) {
        case 28: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 29:   //QDebug
      switch(to) {
        case 29: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 30:   //QDir
      switch(to) {
        case 30: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 31:   //QEasingCurve
      switch(to) {
        case 31: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 32:   //QEvent
      switch(to) {
        case 32: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QHashDummyValue
      switch(to) {
        case 34: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 35:   //QIncompatibleFlag
      switch(to) {
        case 35: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 36:   //QLatin1String
      switch(to) {
        case 36: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 37:   //QLine
      switch(to) {
        case 37: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 38:   //QLineF
      switch(to) {
        case 38: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 39:   //QLocale
      switch(to) {
        case 39: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 40:   //QMargins
      switch(to) {
        case 40: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 41:   //QMetaObject
      switch(to) {
        case 41: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 42:   //QModelIndex
      switch(to) {
        case 42: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 43:   //QObject
      switch(to) {
        case 43: return (void*)(QObject*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)(QObject*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QObject*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QObject*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QObject*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)(QObject*)xptr;
        case 16: return (void*)(QDBusInterface*)(QObject*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QObject*)xptr;
        case 21: return (void*)(QDBusServer*)(QObject*)xptr;
        default: return xptr;
      }
    case 44:   //QPersistentModelIndex
      switch(to) {
        case 44: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 45:   //QPoint
      switch(to) {
        case 45: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 46:   //QPointF
      switch(to) {
        case 46: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 47:   //QRect
      switch(to) {
        case 47: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 48:   //QRectF
      switch(to) {
        case 48: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 49:   //QRegExp
      switch(to) {
        case 49: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 50:   //QSize
      switch(to) {
        case 50: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 51:   //QSizeF
      switch(to) {
        case 51: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 52:   //QString::Null
      switch(to) {
        case 52: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 53:   //QStringRef
      switch(to) {
        case 53: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 54:   //QTextStream
      switch(to) {
        case 54: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 55:   //QTextStreamManipulator
      switch(to) {
        case 55: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 56:   //QTime
      switch(to) {
        case 56: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 57:   //QTimerEvent
      switch(to) {
        case 32: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 57: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QUrl
      switch(to) {
        case 58: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 59:   //QUuid
      switch(to) {
        case 59: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 60:   //QVariant
      switch(to) {
        case 60: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 61:   //QVariantComparisonHelper
      switch(to) {
        case 61: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    43, 0,	// 1: QObject
    10, 0,	// 3: QDBusAbstractInterfaceBase
    9, 0,	// 5: QDBusAbstractInterface
    43, 19, 0,	// 7: QObject, QDBusPendingCall
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnectionInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBus(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusArgument(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusServiceWatcher(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDBus(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractAdaptor(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterfaceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusArgument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnectionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusError(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMetaType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCall(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCallWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServiceWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "DBusError", true, 0, 0, 0, 0, 0 },	//1
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChar", true, 0, 0, 0, 0, 0 },	//5
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QDBus", false, 0, xcall_QDBus, xenum_QDBus, Smoke::cf_namespace, 0 },	//7
    { "QDBusAbstractAdaptor", false, 1, xcall_QDBusAbstractAdaptor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractAdaptor) },	//8
    { "QDBusAbstractInterface", false, 3, xcall_QDBusAbstractInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterface) },	//9
    { "QDBusAbstractInterfaceBase", false, 1, xcall_QDBusAbstractInterfaceBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterfaceBase) },	//10
    { "QDBusArgument", false, 0, xcall_QDBusArgument, xenum_QDBusArgument, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusArgument) },	//11
    { "QDBusConnection", false, 0, xcall_QDBusConnection, xenum_QDBusConnection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusConnection) },	//12
    { "QDBusConnectionInterface", false, 5, xcall_QDBusConnectionInterface, xenum_QDBusConnectionInterface, Smoke::cf_virtual, sizeof(QDBusConnectionInterface) },	//13
    { "QDBusContext", false, 0, xcall_QDBusContext, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusContext) },	//14
    { "QDBusError", false, 0, xcall_QDBusError, xenum_QDBusError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusError) },	//15
    { "QDBusInterface", false, 5, xcall_QDBusInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusInterface) },	//16
    { "QDBusMessage", false, 0, xcall_QDBusMessage, xenum_QDBusMessage, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMessage) },	//17
    { "QDBusMetaType", false, 0, xcall_QDBusMetaType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMetaType) },	//18
    { "QDBusPendingCall", false, 0, xcall_QDBusPendingCall, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusPendingCall) },	//19
    { "QDBusPendingCallWatcher", false, 7, xcall_QDBusPendingCallWatcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusPendingCallWatcher) },	//20
    { "QDBusServer", false, 1, xcall_QDBusServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServer) },	//21
    { "QDBusServiceWatcher", false, 1, xcall_QDBusServiceWatcher, xenum_QDBusServiceWatcher, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServiceWatcher) },	//22
    { "QDBusUnixFileDescriptor", true, 0, 0, 0, 0, 0 },	//23
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//24
    { "QDBusVirtualObject", true, 0, 0, 0, 0, 0 },	//25
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//26
    { "QDate", true, 0, 0, 0, 0, 0 },	//27
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//28
    { "QDebug", true, 0, 0, 0, 0, 0 },	//29
    { "QDir", true, 0, 0, 0, 0, 0 },	//30
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//31
    { "QEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//33
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//34
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//35
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//36
    { "QLine", true, 0, 0, 0, 0, 0 },	//37
    { "QLineF", true, 0, 0, 0, 0, 0 },	//38
    { "QLocale", true, 0, 0, 0, 0, 0 },	//39
    { "QMargins", true, 0, 0, 0, 0, 0 },	//40
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//41
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//42
    { "QObject", true, 0, 0, 0, 0, 0 },	//43
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//44
    { "QPoint", true, 0, 0, 0, 0, 0 },	//45
    { "QPointF", true, 0, 0, 0, 0, 0 },	//46
    { "QRect", true, 0, 0, 0, 0, 0 },	//47
    { "QRectF", true, 0, 0, 0, 0, 0 },	//48
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//49
    { "QSize", true, 0, 0, 0, 0, 0 },	//50
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//51
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//52
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//53
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//54
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//55
    { "QTime", true, 0, 0, 0, 0, 0 },	//56
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QUrl", true, 0, 0, 0, 0, 0 },	//58
    { "QUuid", true, 0, 0, 0, 0, 0 },	//59
    { "QVariant", true, 0, 0, 0, 0, 0 },	//60
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//61
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 2, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDBus::CallMode", 7, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QDBusAbstractAdaptor*", 8, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDBusAbstractInterface*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref },	//13
    { "QDBusArgument*", 11, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QDBusArgument::ElementType", 11, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDBusConnection", 12, Smoke::t_class|Smoke::tf_stack },	//16
    { "QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref },	//17
    { "QDBusConnection*", 12, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QDBusConnection::BusType", 12, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDBusConnection::ConnectionCapability", 12, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QDBusConnection::RegisterOption", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "QDBusConnection::UnregisterMode", 12, Smoke::t_enum|Smoke::tf_stack },	//22
    { "QDBusConnection::VirtualObjectRegisterOption", 12, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QDBusConnectionInterface*", 13, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QDBusConnectionInterface::RegisterServiceReply", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDBusConnectionInterface::ServiceQueueOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDBusConnectionInterface::ServiceReplacementOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QDBusContext*", 14, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDBusError", 15, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDBusError&", 15, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDBusError*", 15, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDBusError::ErrorType", 15, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDBusInterface*", 16, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QDBusMessage", 17, Smoke::t_class|Smoke::tf_stack },	//34
    { "QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref },	//35
    { "QDBusMessage*", 17, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDBusMessage::MessageType", 17, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QDBusMetaType*", 18, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref },	//39
    { "QDBusPendingCall", 19, Smoke::t_class|Smoke::tf_stack },	//40
    { "QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref },	//41
    { "QDBusPendingCall*", 19, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QDBusPendingCallWatcher*", 20, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDBusReply<QDBusConnectionInterface::RegisterServiceReply>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "QDBusReply<QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "QDBusReply<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QDBusReply<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QDBusReply<uint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//48
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "QDBusServer*", 21, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QDBusServiceWatcher*", 22, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QDBusServiceWatcher::WatchModeFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//52
    { "QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref },	//53
    { "QDBusUnixFileDescriptor&", 23, Smoke::t_class|Smoke::tf_ref },	//54
    { "QDBusVariant&", 24, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDBusVirtualObject*", 25, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDataStream&", 26, Smoke::t_class|Smoke::tf_ref },	//57
    { "QDate&", 27, Smoke::t_class|Smoke::tf_ref },	//58
    { "QDateTime&", 28, Smoke::t_class|Smoke::tf_ref },	//59
    { "QDebug", 29, Smoke::t_class|Smoke::tf_stack },	//60
    { "QDir::Filter", 30, Smoke::t_enum|Smoke::tf_stack },	//61
    { "QDir::SortFlag", 30, Smoke::t_enum|Smoke::tf_stack },	//62
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "QEasingCurve&", 31, Smoke::t_class|Smoke::tf_ref },	//64
    { "QEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QDBusConnection::ConnectionCapability>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QDBusConnection::VirtualObjectRegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QIncompatibleFlag", 35, Smoke::t_class|Smoke::tf_stack },	//102
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QLine&", 37, Smoke::t_class|Smoke::tf_ref },	//104
    { "QLineF&", 38, Smoke::t_class|Smoke::tf_ref },	//105
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//107
    { "QLocale&", 39, Smoke::t_class|Smoke::tf_ref },	//108
    { "QLocale::NumberOption", 39, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QMetaObject::Call", 41, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QObject*", 43, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QObject*(*)()", 43, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QPoint&", 45, Smoke::t_class|Smoke::tf_ref },	//113
    { "QPointF&", 46, Smoke::t_class|Smoke::tf_ref },	//114
    { "QRect&", 47, Smoke::t_class|Smoke::tf_ref },	//115
    { "QRectF&", 48, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRegExp&", 49, Smoke::t_class|Smoke::tf_ref },	//117
    { "QSize&", 50, Smoke::t_class|Smoke::tf_ref },	//118
    { "QSizeF&", 51, Smoke::t_class|Smoke::tf_ref },	//119
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//120
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//121
    { "QString::Null", 52, Smoke::t_class|Smoke::tf_stack },	//122
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//124
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//125
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//126
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QTextStream&", 54, Smoke::t_class|Smoke::tf_ref },	//128
    { "QTextStream&(*)(QTextStream&)", 54, Smoke::t_class|Smoke::tf_ref },	//129
    { "QTextStream::NumberFlag", 54, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QTextStreamManipulator", 55, Smoke::t_class|Smoke::tf_stack },	//131
    { "QTime&", 56, Smoke::t_class|Smoke::tf_ref },	//132
    { "QTimerEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QUrl&", 58, Smoke::t_class|Smoke::tf_ref },	//134
    { "QUrl::FormattingOption", 58, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QUuid&", 59, Smoke::t_class|Smoke::tf_ref },	//136
    { "QVariant", 60, Smoke::t_class|Smoke::tf_stack },	//137
    { "QVariant&", 60, Smoke::t_class|Smoke::tf_ref },	//138
    { "QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QVariant::Type&", 60, Smoke::t_enum|Smoke::tf_ref },	//140
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtMsgType", 33, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForActiveQtModule", 33, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForCoreModule", 33, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForDBusModule", 33, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForDeclarativeModule", 33, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForGuiModule", 33, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForHelpModule", 33, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForMultimediaModule", 33, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForNetworkModule", 33, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForOpenGLModule", 33, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForOpenVGModule", 33, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForQt3SupportLightModule", 33, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForQt3SupportModule", 33, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForScriptModule", 33, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForScriptToolsModule", 33, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForSqlModule", 33, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtValidLicenseForSvgModule", 33, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtValidLicenseForTestModule", 33, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtValidLicenseForXmlModule", 33, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForXmlPatternsModule", 33, Smoke::t_enum|Smoke::tf_stack },	//234
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//235
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//236
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//237
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//238
    { "const DBusError*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//239
    { "const QBitArray&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QByteArray", 4, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//241
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QChar&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QDBusContext&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QDBusError&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QDBusMetaType&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QDBusUnixFileDescriptor&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QDBusVariant&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QDate&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QDateTime&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QDir&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QEasingCurve&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QHash<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QHashDummyValue&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QLatin1String&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QLine&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QLineF&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QLocale&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QMargins&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QMetaObject&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QMetaObject*", 41, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//269
    { "const QModelIndex&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QObject*", 43, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//271
    { "const QPersistentModelIndex&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QPoint", 45, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//273
    { "const QPoint&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QPointF", 46, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//275
    { "const QPointF&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QRect&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QRectF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QRegExp&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QRegExp*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//280
    { "const QSize", 50, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//281
    { "const QSize&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QSizeF", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//283
    { "const QSizeF&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//285
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//288
    { "const QStringRef&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QTime&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QUrl&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QUuid&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QVariant&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//294
    { "const QVariantComparisonHelper&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//296
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//297
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//298
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//299
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//300
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//301
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//302
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//303
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//304
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//305
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//306
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//307
    { "short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//308
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//309
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//310
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//311
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//312
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//313
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//314
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//315
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//316
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//317
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//318
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//319
    { "unsigned short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//320
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//321
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//322
    { "void(*)(QDBusArgument&,const void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//323
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//324
    { "void(*)(const QDBusArgument&,void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//325
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//326
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//327
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//328
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    296, 0,	//1  const char*
    296, 296, 0,	//3  const char*, const char*
    296, 296, 302, 0,	//6  const char*, const char*, int
    110, 302, 327, 0,	//10  QMetaObject::Call, int, void**
    111, 0,	//14  QObject*
    235, 0,	//16  bool
    302, 0,	//18  int
    286, 293, 293, 293, 293, 293, 293, 293, 293, 0,	//20  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 286, 293, 293, 293, 293, 293, 293, 293, 293, 0,	//30  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 286, 264, 0,	//41  QDBus::CallMode, const QString&, const QList<QVariant>&
    286, 264, 111, 296, 296, 0,	//45  const QString&, const QList<QVariant>&, QObject*, const char*, const char*
    286, 264, 111, 296, 0,	//51  const QString&, const QList<QVariant>&, QObject*, const char*
    286, 264, 0,	//56  const QString&, const QList<QVariant>&
    286, 286, 296, 245, 111, 0,	//59  const QString&, const QString&, const char*, const QDBusConnection&, QObject*
    296, 293, 0,	//65  const char*, const QVariant&
    286, 0,	//68  const QString&
    286, 293, 0,	//70  const QString&, const QVariant&
    286, 293, 293, 0,	//73  const QString&, const QVariant&, const QVariant&
    286, 293, 293, 293, 0,	//77  const QString&, const QVariant&, const QVariant&, const QVariant&
    286, 293, 293, 293, 293, 0,	//82  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    286, 293, 293, 293, 293, 293, 0,	//88  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    286, 293, 293, 293, 293, 293, 293, 0,	//95  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    286, 293, 293, 293, 293, 293, 293, 293, 0,	//103  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 286, 0,	//112  QDBus::CallMode, const QString&
    10, 286, 293, 0,	//115  QDBus::CallMode, const QString&, const QVariant&
    10, 286, 293, 293, 0,	//119  QDBus::CallMode, const QString&, const QVariant&, const QVariant&
    10, 286, 293, 293, 293, 0,	//124  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&
    10, 286, 293, 293, 293, 293, 0,	//130  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 286, 293, 293, 293, 293, 293, 0,	//137  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 286, 293, 293, 293, 293, 293, 293, 0,	//145  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 286, 293, 293, 293, 293, 293, 293, 293, 0,	//154  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    244, 0,	//164  const QDBusArgument&
    311, 0,	//166  unsigned char
    307, 0,	//168  short
    319, 0,	//170  unsigned short
    314, 0,	//172  unsigned int
    305, 0,	//174  long long
    317, 0,	//176  unsigned long long
    299, 0,	//178  double
    254, 0,	//180  const QDBusVariant&
    250, 0,	//182  const QDBusObjectPath&
    252, 0,	//184  const QDBusSignature&
    253, 0,	//186  const QDBusUnixFileDescriptor&
    287, 0,	//188  const QStringList&
    242, 0,	//190  const QByteArray&
    302, 302, 0,	//192  int, int
    293, 0,	//195  const QVariant&
    312, 0,	//197  unsigned char&
    236, 0,	//199  bool&
    308, 0,	//201  short&
    320, 0,	//203  unsigned short&
    303, 0,	//205  int&
    315, 0,	//207  unsigned int&
    306, 0,	//209  long long&
    318, 0,	//211  unsigned long long&
    300, 0,	//213  double&
    121, 0,	//215  QString&
    55, 0,	//217  QDBusVariant&
    39, 0,	//219  QDBusObjectPath&
    53, 0,	//221  QDBusSignature&
    54, 0,	//223  QDBusUnixFileDescriptor&
    125, 0,	//225  QStringList&
    6, 0,	//227  QByteArray&
    245, 0,	//229  const QDBusConnection&
    248, 0,	//231  const QDBusMessage&
    248, 111, 296, 296, 302, 0,	//233  const QDBusMessage&, QObject*, const char*, const char*, int
    248, 111, 296, 302, 0,	//239  const QDBusMessage&, QObject*, const char*, int
    248, 10, 302, 0,	//244  const QDBusMessage&, QDBus::CallMode, int
    248, 302, 0,	//248  const QDBusMessage&, int
    286, 286, 286, 286, 111, 296, 0,	//251  const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    286, 286, 286, 286, 286, 111, 296, 0,	//258  const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    286, 286, 286, 286, 287, 286, 111, 296, 0,	//266  const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*
    286, 111, 70, 0,	//275  const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>
    286, 22, 0,	//279  const QString&, QDBusConnection::UnregisterMode
    286, 56, 23, 0,	//282  const QString&, QDBusVirtualObject*, QDBusConnection::VirtualObjectRegisterOption
    19, 286, 0,	//286  QDBusConnection::BusType, const QString&
    286, 286, 0,	//289  const QString&, const QString&
    248, 111, 296, 296, 0,	//292  const QDBusMessage&, QObject*, const char*, const char*
    248, 111, 296, 0,	//297  const QDBusMessage&, QObject*, const char*
    248, 10, 0,	//301  const QDBusMessage&, QDBus::CallMode
    286, 111, 0,	//304  const QString&, QObject*
    286, 56, 0,	//307  const QString&, QDBusVirtualObject*
    286, 26, 27, 0,	//310  const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions
    286, 286, 286, 0,	//314  const QString&, const QString&, const QString&
    247, 248, 0,	//318  const QDBusError&, const QDBusMessage&
    286, 26, 0,	//321  const QString&, QDBusConnectionInterface::ServiceQueueOptions
    32, 286, 0,	//324  QDBusError::ErrorType, const QString&
    246, 0,	//327  const QDBusContext&
    32, 0,	//329  QDBusError::ErrorType
    239, 0,	//331  const DBusError*
    247, 0,	//333  const QDBusError&
    286, 286, 286, 245, 111, 0,	//335  const QString&, const QString&, const QString&, const QDBusConnection&, QObject*
    286, 286, 286, 245, 0,	//341  const QString&, const QString&, const QString&, const QDBusConnection&
    286, 286, 286, 286, 0,	//346  const QString&, const QString&, const QString&, const QString&
    264, 0,	//351  const QList<QVariant>&
    285, 286, 0,	//353  const QString, const QString&
    302, 323, 325, 0,	//356  int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*)
    13, 302, 298, 0,	//360  QDBusArgument&, int, const void*
    244, 302, 326, 0,	//364  const QDBusArgument&, int, void*
    249, 0,	//368  const QDBusMetaType&
    251, 0,	//370  const QDBusPendingCall&
    251, 111, 0,	//372  const QDBusPendingCall&, QObject*
    43, 0,	//375  QDBusPendingCallWatcher*
    286, 245, 72, 111, 0,	//377  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*
    72, 0,	//382  QFlags<QDBusServiceWatcher::WatchModeFlag>
    286, 245, 0,	//384  const QString&, const QDBusConnection&
    286, 245, 72, 0,	//387  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>
    67, 67, 0,	//391  QFile::Permission, QFile::Permission
    13, 276, 0,	//394  QDBusArgument&, const QPointF&
    13, 263, 0,	//397  QDBusArgument&, const QLineF&
    57, 8, 0,	//400  QDataStream&, QChar&
    63, 75, 0,	//403  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    13, 256, 0,	//406  QDBusArgument&, const QDateTime&
    296, 261, 0,	//409  const char*, const QLatin1String&
    57, 108, 0,	//412  QDataStream&, QLocale&
    13, 278, 0,	//415  QDBusArgument&, const QRectF&
    212, 302, 0,	//418  Qt::WindowType, int
    238, 296, 314, 0,	//421  char*, const char*, unsigned int
    237, 0,	//425  char
    284, 299, 0,	//427  const QSizeF&, double
    60, 262, 0,	//430  QDebug, const QLine&
    242, 296, 0,	//433  const QByteArray&, const char*
    296, 286, 0,	//436  const char*, const QString&
    57, 115, 0,	//439  QDataStream&, QRect&
    52, 52, 0,	//442  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    177, 177, 0,	//445  Qt::ItemFlag, Qt::ItemFlag
    293, 295, 0,	//448  const QVariant&, const QVariantComparisonHelper&
    13, 266, 0,	//451  QDBusArgument&, const QMap<QString,QVariant>&
    60, 78, 0,	//454  QDebug, QFlags<QIODevice::OpenModeFlag>
    282, 282, 0,	//457  const QSize&, const QSize&
    252, 252, 0,	//460  const QDBusSignature&, const QDBusSignature&
    7, 286, 0,	//463  QChar, const QString&
    23, 71, 0,	//466  QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>
    296, 296, 314, 0,	//469  const char*, const char*, unsigned int
    261, 261, 0,	//473  const QLatin1String&, const QLatin1String&
    289, 289, 0,	//476  const QStringRef&, const QStringRef&
    238, 310, 296, 321, 0,	//479  char*, size_t, const char*, va_list
    276, 276, 0,	//484  const QPointF&, const QPointF&
    286, 289, 0,	//487  const QString&, const QStringRef&
    244, 132, 0,	//490  const QDBusArgument&, QTime&
    286, 7, 0,	//493  const QString&, QChar
    296, 314, 0,	//496  const char*, unsigned int
    57, 64, 0,	//499  QDataStream&, QEasingCurve&
    261, 289, 0,	//502  const QLatin1String&, const QStringRef&
    60, 255, 0,	//505  QDebug, const QDate&
    13, 282, 0,	//508  QDBusArgument&, const QSize&
    202, 202, 0,	//511  Qt::ToolBarArea, Qt::ToolBarArea
    60, 263, 0,	//514  QDebug, const QLineF&
    278, 278, 0,	//517  const QRectF&, const QRectF&
    271, 286, 280, 268, 107, 0,	//520  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    289, 261, 0,	//526  const QStringRef&, const QLatin1String&
    57, 58, 0,	//529  QDataStream&, QDate&
    301, 0,	//532  float
    199, 302, 0,	//534  Qt::TextInteractionFlag, int
    7, 7, 0,	//537  QChar, QChar
    7, 0,	//540  QChar
    57, 134, 0,	//542  QDataStream&, QUrl&
    60, 270, 0,	//545  QDebug, const QModelIndex&
    103, 79, 0,	//548  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    296, 302, 0,	//551  const char*, int
    299, 299, 0,	//554  double, double
    57, 294, 0,	//557  QDataStream&, const QVariant::Type
    57, 293, 0,	//560  QDataStream&, const QVariant&
    199, 96, 0,	//563  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    177, 91, 0,	//566  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    304, 0,	//569  long
    174, 90, 0,	//571  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    57, 284, 0,	//574  QDataStream&, const QSizeF&
    122, 122, 0,	//577  QString::Null, QString::Null
    296, 242, 0,	//580  const char*, const QByteArray&
    240, 0,	//583  const QBitArray&
    63, 63, 0,	//585  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    238, 296, 0,	//588  char*, const char*
    240, 240, 0,	//591  const QBitArray&, const QBitArray&
    274, 274, 0,	//594  const QPoint&, const QPoint&
    180, 92, 0,	//597  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    276, 299, 0,	//600  const QPointF&, double
    23, 23, 0,	//603  QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption
    60, 284, 0,	//606  QDebug, const QSizeF&
    260, 260, 0,	//609  const QHashDummyValue&, const QHashDummyValue&
    1, 1, 0,	//612  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    57, 136, 0,	//615  QDataStream&, QUuid&
    277, 277, 0,	//618  const QRect&, const QRect&
    242, 242, 0,	//621  const QByteArray&, const QByteArray&
    297, 302, 0,	//624  const unsigned char*, int
    242, 302, 0,	//627  const QByteArray&, int
    57, 286, 0,	//630  QDataStream&, const QString&
    128, 129, 0,	//633  QTextStream&, QTextStream&(*)(QTextStream&)
    163, 302, 0,	//636  Qt::DropAction, int
    326, 310, 310, 310, 0,	//639  void*, size_t, size_t, size_t
    183, 302, 0,	//644  Qt::MatchFlag, int
    57, 274, 0,	//647  QDataStream&, const QPoint&
    244, 59, 0,	//650  const QDBusArgument&, QDateTime&
    60, 277, 0,	//653  QDebug, const QRect&
    127, 82, 0,	//656  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    244, 104, 0,	//659  const QDBusArgument&, QLine&
    199, 199, 0,	//662  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    123, 81, 0,	//665  QString::SectionFlag, QFlags<QString::SectionFlag>
    60, 257, 0,	//668  QDebug, const QDir&
    185, 185, 0,	//671  Qt::MouseButton, Qt::MouseButton
    326, 310, 0,	//674  void*, size_t
    163, 163, 0,	//677  Qt::DropAction, Qt::DropAction
    21, 21, 0,	//680  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    1, 302, 0,	//683  QAbstractFileEngine::FileFlag, int
    286, 122, 0,	//686  const QString&, QString::Null
    168, 88, 0,	//689  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    250, 250, 0,	//692  const QDBusObjectPath&, const QDBusObjectPath&
    66, 302, 0,	//695  QEventLoop::ProcessEventsFlag, int
    109, 109, 0,	//698  QLocale::NumberOption, QLocale::NumberOption
    101, 101, 0,	//701  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    57, 105, 0,	//704  QDataStream&, QLineF&
    57, 263, 0,	//707  QDataStream&, const QLineF&
    284, 284, 0,	//710  const QSizeF&, const QSizeF&
    299, 282, 0,	//713  double, const QSize&
    161, 86, 0,	//716  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    244, 115, 0,	//719  const QDBusArgument&, QRect&
    183, 93, 0,	//722  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    274, 301, 0,	//725  const QPoint&, float
    276, 0,	//728  const QPointF&
    141, 302, 0,	//730  Qt::AlignmentFlag, int
    172, 302, 0,	//733  Qt::ImageConversionFlag, int
    244, 116, 0,	//736  const QDBusArgument&, QRectF&
    60, 282, 0,	//739  QDebug, const QSize&
    23, 302, 0,	//742  QDBusConnection::VirtualObjectRegisterOption, int
    127, 302, 0,	//745  QTextCodec::ConversionFlag, int
    60, 274, 0,	//748  QDebug, const QPoint&
    60, 291, 0,	//751  QDebug, const QUrl&
    274, 0,	//754  const QPoint&
    248, 30, 138, 0,	//756  const QDBusMessage&, QDBusError&, QVariant&
    244, 119, 0,	//760  const QDBusArgument&, QSizeF&
    244, 105, 0,	//763  const QDBusArgument&, QLineF&
    21, 302, 0,	//766  QDBusConnection::RegisterOption, int
    57, 276, 0,	//769  QDataStream&, const QPointF&
    60, 248, 0,	//772  QDebug, const QDBusMessage&
    52, 72, 0,	//775  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    127, 127, 0,	//778  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    244, 138, 0,	//781  const QDBusArgument&, QVariant&
    244, 114, 0,	//784  const QDBusArgument&, QPointF&
    4, 4, 0,	//787  QBool, QBool
    21, 70, 0,	//790  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    286, 237, 0,	//793  const QString&, char
    296, 289, 0,	//796  const char*, const QStringRef&
    13, 274, 0,	//799  QDBusArgument&, const QPoint&
    130, 302, 0,	//802  QTextStream::NumberFlag, int
    60, 276, 0,	//805  QDebug, const QPointF&
    122, 286, 0,	//808  QString::Null, const QString&
    322, 0,	//811  void(*)()
    109, 80, 0,	//813  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    168, 168, 0,	//816  Qt::GestureFlag, Qt::GestureFlag
    57, 116, 0,	//819  QDataStream&, QRectF&
    301, 301, 0,	//822  float, float
    57, 243, 0,	//825  QDataStream&, const QChar&
    57, 114, 0,	//828  QDataStream&, QPointF&
    282, 299, 0,	//831  const QSize&, double
    324, 0,	//834  void(*)(QtMsgType,const char*)
    128, 131, 0,	//836  QTextStream&, QTextStreamManipulator
    141, 141, 0,	//839  Qt::AlignmentFlag, Qt::AlignmentFlag
    57, 104, 0,	//842  QDataStream&, QLine&
    61, 61, 0,	//845  QDir::Filter, QDir::Filter
    274, 299, 0,	//848  const QPoint&, double
    57, 242, 0,	//851  QDataStream&, const QByteArray&
    57, 258, 0,	//854  QDataStream&, const QEasingCurve&
    172, 172, 0,	//857  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    211, 302, 0,	//860  Qt::WindowState, int
    57, 121, 0,	//863  QDataStream&, QString&
    271, 286, 268, 0,	//866  const QObject*, const QString&, const QMetaObject&
    57, 278, 0,	//870  QDataStream&, const QRectF&
    57, 3, 0,	//873  QDataStream&, QBitArray&
    57, 118, 0,	//876  QDataStream&, QSize&
    180, 180, 0,	//879  Qt::KeyboardModifier, Qt::KeyboardModifier
    235, 4, 0,	//882  bool, QBool
    130, 130, 0,	//885  QTextStream::NumberFlag, QTextStream::NumberFlag
    57, 59, 0,	//888  QDataStream&, QDateTime&
    293, 139, 326, 0,	//891  const QVariant&, QVariant::Type, void*
    289, 286, 0,	//895  const QStringRef&, const QString&
    297, 313, 302, 0,	//898  const unsigned char*, unsigned char*, int
    180, 302, 0,	//902  Qt::KeyboardModifier, int
    57, 256, 0,	//905  QDataStream&, const QDateTime&
    244, 113, 0,	//908  const QDBusArgument&, QPoint&
    215, 296, 0,	//911  QtMsgType, const char*
    66, 76, 0,	//914  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    267, 267, 0,	//917  const QMargins&, const QMargins&
    242, 286, 0,	//920  const QByteArray&, const QString&
    135, 135, 0,	//923  QUrl::FormattingOption, QUrl::FormattingOption
    60, 294, 0,	//926  QDebug, const QVariant::Type
    161, 302, 0,	//929  Qt::DockWidgetArea, int
    57, 132, 0,	//932  QDataStream&, QTime&
    212, 212, 0,	//935  Qt::WindowType, Qt::WindowType
    326, 302, 310, 0,	//938  void*, int, size_t
    60, 256, 0,	//942  QDebug, const QDateTime&
    309, 0,	//945  signed char
    13, 290, 0,	//947  QDBusArgument&, const QTime&
    212, 100, 0,	//950  Qt::WindowType, QFlags<Qt::WindowType>
    211, 211, 0,	//953  Qt::WindowState, Qt::WindowState
    60, 293, 0,	//956  QDebug, const QVariant&
    57, 125, 0,	//959  QDataStream&, QStringList&
    67, 302, 0,	//962  QFile::Permission, int
    112, 0,	//965  QObject*(*)()
    299, 276, 0,	//967  double, const QPointF&
    302, 274, 0,	//970  int, const QPoint&
    57, 291, 0,	//973  QDataStream&, const QUrl&
    57, 290, 0,	//976  QDataStream&, const QTime&
    57, 113, 0,	//979  QDataStream&, QPoint&
    13, 277, 0,	//982  QDBusArgument&, const QRect&
    289, 0,	//985  const QStringRef&
    57, 117, 0,	//987  QDataStream&, QRegExp&
    174, 302, 0,	//990  Qt::InputMethodHint, int
    57, 265, 0,	//993  QDataStream&, const QLocale&
    244, 118, 0,	//996  const QDBusArgument&, QSize&
    310, 310, 0,	//999  size_t, size_t
    57, 240, 0,	//1002  QDataStream&, const QBitArray&
    286, 242, 0,	//1005  const QString&, const QByteArray&
    296, 296, 296, 302, 0,	//1008  const char*, const char*, const char*, int
    244, 58, 0,	//1013  const QDBusArgument&, QDate&
    135, 84, 0,	//1016  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    13, 255, 0,	//1019  QDBusArgument&, const QDate&
    66, 66, 0,	//1022  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    242, 237, 0,	//1025  const QByteArray&, char
    103, 103, 0,	//1028  QLibrary::LoadHint, QLibrary::LoadHint
    141, 85, 0,	//1031  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    13, 264, 0,	//1034  QDBusArgument&, const QList<QVariant>&
    13, 259, 0,	//1037  QDBusArgument&, const QHash<QString,QVariant>&
    57, 292, 0,	//1040  QDataStream&, const QUuid&
    101, 78, 0,	//1043  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    57, 262, 0,	//1046  QDataStream&, const QLine&
    60, 247, 0,	//1049  QDebug, const QDBusError&
    168, 302, 0,	//1052  Qt::GestureFlag, int
    289, 296, 0,	//1055  const QStringRef&, const char*
    62, 74, 0,	//1058  QDir::SortFlag, QFlags<QDir::SortFlag>
    57, 255, 0,	//1061  QDataStream&, const QDate&
    237, 242, 0,	//1064  char, const QByteArray&
    286, 296, 0,	//1067  const QString&, const char*
    103, 302, 0,	//1070  QLibrary::LoadHint, int
    297, 302, 302, 0,	//1073  const unsigned char*, int, int
    187, 187, 0,	//1077  Qt::Orientation, Qt::Orientation
    4, 235, 0,	//1080  QBool, bool
    254, 254, 0,	//1083  const QDBusVariant&, const QDBusVariant&
    13, 284, 0,	//1086  QDBusArgument&, const QSizeF&
    57, 287, 0,	//1089  QDataStream&, const QStringList&
    57, 279, 0,	//1092  QDataStream&, const QRegExp&
    62, 302, 0,	//1095  QDir::SortFlag, int
    326, 298, 310, 0,	//1098  void*, const void*, size_t
    326, 0,	//1102  void*
    202, 97, 0,	//1104  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    52, 302, 0,	//1107  QDBusServiceWatcher::WatchModeFlag, int
    60, 272, 0,	//1110  QDebug, const QPersistentModelIndex&
    57, 138, 0,	//1113  QDataStream&, QVariant&
    291, 0,	//1116  const QUrl&
    205, 98, 0,	//1118  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    301, 274, 0,	//1121  float, const QPoint&
    299, 274, 0,	//1124  double, const QPoint&
    60, 271, 0,	//1127  QDebug, const QObject*
    67, 77, 0,	//1130  QFile::Permission, QFlags<QFile::Permission>
    60, 278, 0,	//1133  QDebug, const QRectF&
    130, 83, 0,	//1136  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    62, 62, 0,	//1139  QDir::SortFlag, QDir::SortFlag
    205, 302, 0,	//1142  Qt::TouchPointState, int
    61, 302, 0,	//1145  QDir::Filter, int
    316, 0,	//1148  unsigned long
    13, 262, 0,	//1150  QDBusArgument&, const QLine&
    1, 68, 0,	//1153  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    185, 94, 0,	//1156  Qt::MouseButton, QFlags<Qt::MouseButton>
    163, 87, 0,	//1159  Qt::DropAction, QFlags<Qt::DropAction>
    310, 0,	//1162  size_t
    187, 302, 0,	//1164  Qt::Orientation, int
    57, 140, 0,	//1167  QDataStream&, QVariant::Type&
    202, 302, 0,	//1170  Qt::ToolBarArea, int
    57, 6, 0,	//1173  QDataStream&, QByteArray&
    57, 277, 0,	//1176  QDataStream&, const QRect&
    60, 258, 0,	//1179  QDebug, const QEasingCurve&
    272, 0,	//1182  const QPersistentModelIndex&
    109, 302, 0,	//1184  QLocale::NumberOption, int
    60, 290, 0,	//1187  QDebug, const QTime&
    205, 205, 0,	//1190  Qt::TouchPointState, Qt::TouchPointState
    172, 89, 0,	//1193  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    211, 99, 0,	//1196  Qt::WindowState, QFlags<Qt::WindowState>
    161, 161, 0,	//1199  Qt::DockWidgetArea, Qt::DockWidgetArea
    63, 302, 0,	//1202  QDirIterator::IteratorFlag, int
    299, 284, 0,	//1205  double, const QSizeF&
    60, 267, 0,	//1208  QDebug, const QMargins&
    270, 0,	//1211  const QModelIndex&
    135, 302, 0,	//1213  QUrl::FormattingOption, int
    274, 302, 0,	//1216  const QPoint&, int
    183, 183, 0,	//1219  Qt::MatchFlag, Qt::MatchFlag
    174, 174, 0,	//1222  Qt::InputMethodHint, Qt::InputMethodHint
    187, 95, 0,	//1225  Qt::Orientation, QFlags<Qt::Orientation>
    60, 73, 0,	//1228  QDebug, QFlags<QDir::Filter>
    177, 302, 0,	//1231  Qt::ItemFlag, int
    185, 302, 0,	//1234  Qt::MouseButton, int
    57, 119, 0,	//1237  QDataStream&, QSizeF&
    101, 302, 0,	//1240  QIODevice::OpenModeFlag, int
    123, 302, 0,	//1243  QString::SectionFlag, int
    237, 286, 0,	//1246  char, const QString&
    57, 282, 0,	//1249  QDataStream&, const QSize&
    61, 73, 0,	//1252  QDir::Filter, QFlags<QDir::Filter>
    123, 123, 0,	//1255  QString::SectionFlag, QString::SectionFlag
    65, 0,	//1258  QEvent*
    111, 65, 0,	//1260  QObject*, QEvent*
    133, 0,	//1263  QTimerEvent*
    9, 0,	//1265  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessDenied",	//1
    "ActivationBus",	//2
    "AddressInUse",	//3
    "AllowReplacement",	//4
    "ArrayType",	//5
    "AutoDetect",	//6
    "BadAddress",	//7
    "BasicType",	//8
    "Block",	//9
    "BlockWithGui",	//10
    "Disconnected",	//11
    "DontAllowReplacement",	//12
    "DontQueueService",	//13
    "ErrorMessage",	//14
    "ExportAdaptors",	//15
    "ExportAllContents",	//16
    "ExportAllInvokables",	//17
    "ExportAllProperties",	//18
    "ExportAllSignal",	//19
    "ExportAllSignals",	//20
    "ExportAllSlots",	//21
    "ExportChildObjects",	//22
    "ExportNonScriptableContents",	//23
    "ExportNonScriptableInvokables",	//24
    "ExportNonScriptableProperties",	//25
    "ExportNonScriptableSignals",	//26
    "ExportNonScriptableSlots",	//27
    "ExportScriptableContents",	//28
    "ExportScriptableInvokables",	//29
    "ExportScriptableProperties",	//30
    "ExportScriptableSignals",	//31
    "ExportScriptableSlots",	//32
    "Failed",	//33
    "InternalError",	//34
    "InvalidArgs",	//35
    "InvalidInterface",	//36
    "InvalidMember",	//37
    "InvalidMessage",	//38
    "InvalidObjectPath",	//39
    "InvalidService",	//40
    "InvalidSignature",	//41
    "LastErrorType",	//42
    "LicensedActiveQt",	//43
    "LicensedCore",	//44
    "LicensedDBus",	//45
    "LicensedDeclarative",	//46
    "LicensedGui",	//47
    "LicensedHelp",	//48
    "LicensedMultimedia",	//49
    "LicensedNetwork",	//50
    "LicensedOpenGL",	//51
    "LicensedOpenVG",	//52
    "LicensedQt3Support",	//53
    "LicensedQt3SupportLight",	//54
    "LicensedScript",	//55
    "LicensedScriptTools",	//56
    "LicensedSql",	//57
    "LicensedSvg",	//58
    "LicensedTest",	//59
    "LicensedXml",	//60
    "LicensedXmlPatterns",	//61
    "LimitsExceeded",	//62
    "MapEntryType",	//63
    "MapType",	//64
    "MethodCallMessage",	//65
    "NameAcquired",	//66
    "NameAcquired$",	//67
    "NameLost",	//68
    "NameLost$",	//69
    "NameOwnerChanged",	//70
    "NameOwnerChanged$$$",	//71
    "NoBlock",	//72
    "NoError",	//73
    "NoMemory",	//74
    "NoNetwork",	//75
    "NoReply",	//76
    "NoServer",	//77
    "NotSupported",	//78
    "Other",	//79
    "QDBusAbstractAdaptor",	//80
    "QDBusAbstractAdaptor#",	//81
    "QDBusAbstractInterface",	//82
    "QDBusAbstractInterface$$$##",	//83
    "QDBusArgument",	//84
    "QDBusArgument#",	//85
    "QDBusConnection",	//86
    "QDBusConnection#",	//87
    "QDBusConnection$",	//88
    "QDBusContext",	//89
    "QDBusContext#",	//90
    "QDBusError",	//91
    "QDBusError#",	//92
    "QDBusError$$",	//93
    "QDBusInterface",	//94
    "QDBusInterface$$",	//95
    "QDBusInterface$$$",	//96
    "QDBusInterface$$$#",	//97
    "QDBusInterface$$$##",	//98
    "QDBusMessage",	//99
    "QDBusMessage#",	//100
    "QDBusMetaType",	//101
    "QDBusMetaType#",	//102
    "QDBusPendingCall",	//103
    "QDBusPendingCall#",	//104
    "QDBusPendingCallWatcher",	//105
    "QDBusPendingCallWatcher#",	//106
    "QDBusPendingCallWatcher##",	//107
    "QDBusServer",	//108
    "QDBusServer$",	//109
    "QDBusServer$#",	//110
    "QDBusServiceWatcher",	//111
    "QDBusServiceWatcher#",	//112
    "QDBusServiceWatcher$#",	//113
    "QDBusServiceWatcher$#$",	//114
    "QDBusServiceWatcher$#$#",	//115
    "Q_COMPLEX_TYPE",	//116
    "Q_DUMMY_TYPE",	//117
    "Q_MOVABLE_TYPE",	//118
    "Q_PRIMITIVE_TYPE",	//119
    "Q_STATIC_TYPE",	//120
    "QtCriticalMsg",	//121
    "QtDebugMsg",	//122
    "QtFatalMsg",	//123
    "QtSystemMsg",	//124
    "QtWarningMsg",	//125
    "QueueService",	//126
    "ReplaceExistingService",	//127
    "ReplyMessage",	//128
    "ServiceNotRegistered",	//129
    "ServiceQueued",	//130
    "ServiceRegistered",	//131
    "ServiceUnknown",	//132
    "SessionBus",	//133
    "SignalMessage",	//134
    "SingleNode",	//135
    "StructureType",	//136
    "SubPath",	//137
    "SystemBus",	//138
    "TimedOut",	//139
    "Timeout",	//140
    "UnixFileDescriptorPassing",	//141
    "UnknownInterface",	//142
    "UnknownMethod",	//143
    "UnknownObject",	//144
    "UnknownType",	//145
    "UnregisterNode",	//146
    "UnregisterTree",	//147
    "VariantType",	//148
    "WatchForOwnerChange",	//149
    "WatchForRegistration",	//150
    "WatchForUnregistration",	//151
    "addWatchedService",	//152
    "addWatchedService$",	//153
    "address",	//154
    "appendVariant",	//155
    "appendVariant#",	//156
    "arguments",	//157
    "asVariant",	//158
    "asyncCall",	//159
    "asyncCall#",	//160
    "asyncCall#$",	//161
    "asyncCall$",	//162
    "asyncCall$#",	//163
    "asyncCall$##",	//164
    "asyncCall$###",	//165
    "asyncCall$####",	//166
    "asyncCall$#####",	//167
    "asyncCall$######",	//168
    "asyncCall$#######",	//169
    "asyncCall$########",	//170
    "asyncCallWithArgumentList",	//171
    "asyncCallWithArgumentList$?",	//172
    "atEnd",	//173
    "autoRelaySignals",	//174
    "autoStartService",	//175
    "baseService",	//176
    "beginArray",	//177
    "beginArray$",	//178
    "beginMap",	//179
    "beginMap$$",	//180
    "beginMapEntry",	//181
    "beginStructure",	//182
    "call",	//183
    "call#",	//184
    "call#$",	//185
    "call#$$",	//186
    "call$",	//187
    "call$#",	//188
    "call$##",	//189
    "call$###",	//190
    "call$####",	//191
    "call$#####",	//192
    "call$######",	//193
    "call$#######",	//194
    "call$########",	//195
    "call$$",	//196
    "call$$#",	//197
    "call$$##",	//198
    "call$$###",	//199
    "call$$####",	//200
    "call$$#####",	//201
    "call$$######",	//202
    "call$$#######",	//203
    "call$$########",	//204
    "callWithArgumentList",	//205
    "callWithArgumentList$$?",	//206
    "callWithCallback",	//207
    "callWithCallback##$",	//208
    "callWithCallback##$$",	//209
    "callWithCallback##$$$",	//210
    "callWithCallback$?#$",	//211
    "callWithCallback$?#$$",	//212
    "callWithCallbackFailed",	//213
    "callWithCallbackFailed##",	//214
    "calledFromDBus",	//215
    "childEvent",	//216
    "connect",	//217
    "connect$$$$#$",	//218
    "connect$$$$$#$",	//219
    "connect$$$$?$#$",	//220
    "connectNotify",	//221
    "connectNotify$",	//222
    "connectToBus",	//223
    "connectToBus$$",	//224
    "connectToPeer",	//225
    "connectToPeer$$",	//226
    "connection",	//227
    "connectionCapabilities",	//228
    "createError",	//229
    "createError#",	//230
    "createError$$",	//231
    "createErrorReply",	//232
    "createErrorReply#",	//233
    "createErrorReply$$",	//234
    "createMethodCall",	//235
    "createMethodCall$$$$",	//236
    "createReply",	//237
    "createReply#",	//238
    "createReply?",	//239
    "createSignal",	//240
    "createSignal$$$",	//241
    "currentSignature",	//242
    "currentType",	//243
    "customEvent",	//244
    "demarshall",	//245
    "demarshall#$$",	//246
    "disconnect",	//247
    "disconnect$$$$#$",	//248
    "disconnect$$$$$#$",	//249
    "disconnect$$$$?$#$",	//250
    "disconnectFromBus",	//251
    "disconnectFromBus$",	//252
    "disconnectFromPeer",	//253
    "disconnectFromPeer$",	//254
    "disconnectNotify",	//255
    "disconnectNotify$",	//256
    "endArray",	//257
    "endMap",	//258
    "endMapEntry",	//259
    "endStructure",	//260
    "error",	//261
    "errorMessage",	//262
    "errorName",	//263
    "errorString",	//264
    "errorString$",	//265
    "event",	//266
    "eventFilter",	//267
    "finished",	//268
    "finished#",	//269
    "fromCompletedCall",	//270
    "fromCompletedCall#",	//271
    "fromError",	//272
    "fromError#",	//273
    "interface",	//274
    "internalConstCall",	//275
    "internalConstCall$$",	//276
    "internalConstCall$$?",	//277
    "internalPointer",	//278
    "internalPropGet",	//279
    "internalPropGet$",	//280
    "internalPropSet",	//281
    "internalPropSet$#",	//282
    "isConnected",	//283
    "isDelayedReply",	//284
    "isError",	//285
    "isFinished",	//286
    "isReplyRequired",	//287
    "isServiceRegistered",	//288
    "isServiceRegistered$",	//289
    "isValid",	//290
    "lastError",	//291
    "localMachineId",	//292
    "marshall",	//293
    "marshall#$$",	//294
    "member",	//295
    "message",	//296
    "metaObject",	//297
    "name",	//298
    "newConnection",	//299
    "newConnection#",	//300
    "objectRegisteredAt",	//301
    "objectRegisteredAt$",	//302
    "operator!=",	//303
    "operator!=##",	//304
    "operator!=#$",	//305
    "operator!=$#",	//306
    "operator!=$$",	//307
    "operator&",	//308
    "operator&##",	//309
    "operator*",	//310
    "operator*#$",	//311
    "operator*$#",	//312
    "operator+",	//313
    "operator+##",	//314
    "operator+#$",	//315
    "operator+$#",	//316
    "operator+$$",	//317
    "operator-",	//318
    "operator-#",	//319
    "operator-##",	//320
    "operator/",	//321
    "operator/#$",	//322
    "operator<",	//323
    "operator<##",	//324
    "operator<#$",	//325
    "operator<$#",	//326
    "operator<$$",	//327
    "operator<<",	//328
    "operator<<#",	//329
    "operator<<##",	//330
    "operator<<#$",	//331
    "operator<<#?",	//332
    "operator<<$",	//333
    "operator<<?",	//334
    "operator<=",	//335
    "operator<=##",	//336
    "operator<=#$",	//337
    "operator<=$#",	//338
    "operator<=$$",	//339
    "operator=",	//340
    "operator=#",	//341
    "operator==",	//342
    "operator==##",	//343
    "operator==#$",	//344
    "operator==$#",	//345
    "operator==$$",	//346
    "operator>",	//347
    "operator>##",	//348
    "operator>#$",	//349
    "operator>$#",	//350
    "operator>$$",	//351
    "operator>=",	//352
    "operator>=##",	//353
    "operator>=#$",	//354
    "operator>=$#",	//355
    "operator>=$$",	//356
    "operator>>",	//357
    "operator>>#",	//358
    "operator>>##",	//359
    "operator>>#$",	//360
    "operator>>#?",	//361
    "operator>>$",	//362
    "operator>>?",	//363
    "operator^",	//364
    "operator^##",	//365
    "operator|",	//366
    "operator|##",	//367
    "operator|$$",	//368
    "path",	//369
    "qAcos",	//370
    "qAcos$",	//371
    "qAddPostRoutine",	//372
    "qAddPostRoutine$",	//373
    "qAppName",	//374
    "qAsin",	//375
    "qAsin$",	//376
    "qAtan",	//377
    "qAtan$",	//378
    "qAtan2",	//379
    "qAtan2$$",	//380
    "qBadAlloc",	//381
    "qCeil",	//382
    "qCeil$",	//383
    "qChecksum",	//384
    "qChecksum$$",	//385
    "qCompress",	//386
    "qCompress#",	//387
    "qCompress#$",	//388
    "qCompress$$",	//389
    "qCompress$$$",	//390
    "qCos",	//391
    "qCos$",	//392
    "qCritical",	//393
    "qDBusReplyFill",	//394
    "qDBusReplyFill###",	//395
    "qDebug",	//396
    "qExp",	//397
    "qExp$",	//398
    "qFabs",	//399
    "qFabs$",	//400
    "qFastCos",	//401
    "qFastCos$",	//402
    "qFastSin",	//403
    "qFastSin$",	//404
    "qFlagLocation",	//405
    "qFlagLocation$",	//406
    "qFloor",	//407
    "qFloor$",	//408
    "qFree",	//409
    "qFree$",	//410
    "qFreeAligned",	//411
    "qFreeAligned$",	//412
    "qFuzzyCompare",	//413
    "qFuzzyCompare$$",	//414
    "qFuzzyIsNull",	//415
    "qFuzzyIsNull$",	//416
    "qHash",	//417
    "qHash#",	//418
    "qHash$",	//419
    "qHash?",	//420
    "qInf",	//421
    "qInstallMsgHandler",	//422
    "qInstallMsgHandler$",	//423
    "qIntCast",	//424
    "qIntCast$",	//425
    "qIsFinite",	//426
    "qIsFinite$",	//427
    "qIsInf",	//428
    "qIsInf$",	//429
    "qIsNaN",	//430
    "qIsNaN$",	//431
    "qIsNull",	//432
    "qIsNull$",	//433
    "qLn",	//434
    "qLn$",	//435
    "qMalloc",	//436
    "qMalloc?",	//437
    "qMallocAligned",	//438
    "qMallocAligned??",	//439
    "qMemCopy",	//440
    "qMemCopy$$?",	//441
    "qMemSet",	//442
    "qMemSet$$?",	//443
    "qPow",	//444
    "qPow$$",	//445
    "qQNaN",	//446
    "qRealloc",	//447
    "qRealloc$?",	//448
    "qReallocAligned",	//449
    "qReallocAligned$???",	//450
    "qRegisterStaticPluginInstanceFunction",	//451
    "qRegisterStaticPluginInstanceFunction#",	//452
    "qRemovePostRoutine",	//453
    "qRemovePostRoutine$",	//454
    "qRound",	//455
    "qRound$",	//456
    "qRound64",	//457
    "qRound64$",	//458
    "qSNaN",	//459
    "qSetFieldWidth",	//460
    "qSetFieldWidth$",	//461
    "qSetPadChar",	//462
    "qSetPadChar#",	//463
    "qSetRealNumberPrecision",	//464
    "qSetRealNumberPrecision$",	//465
    "qSharedBuild",	//466
    "qSin",	//467
    "qSin$",	//468
    "qSqrt",	//469
    "qSqrt$",	//470
    "qStringComparisonHelper",	//471
    "qStringComparisonHelper#$",	//472
    "qStringComparisonHelper$$",	//473
    "qTan",	//474
    "qTan$",	//475
    "qUncompress",	//476
    "qUncompress#",	//477
    "qUncompress$$",	//478
    "qVersion",	//479
    "qWarning",	//480
    "qbswap_helper",	//481
    "qbswap_helper$$$",	//482
    "qgetenv",	//483
    "qgetenv$",	//484
    "qputenv",	//485
    "qputenv$#",	//486
    "qrand",	//487
    "qsrand",	//488
    "qsrand$",	//489
    "qstrcmp",	//490
    "qstrcmp##",	//491
    "qstrcmp#$",	//492
    "qstrcmp$#",	//493
    "qstrcmp$$",	//494
    "qstrcpy",	//495
    "qstrcpy$$",	//496
    "qstrdup",	//497
    "qstrdup$",	//498
    "qstricmp",	//499
    "qstricmp$$",	//500
    "qstrlen",	//501
    "qstrlen$",	//502
    "qstrncmp",	//503
    "qstrncmp$$$",	//504
    "qstrncpy",	//505
    "qstrncpy$$$",	//506
    "qstrnicmp",	//507
    "qstrnicmp$$$",	//508
    "qstrnlen",	//509
    "qstrnlen$$",	//510
    "qtTrId",	//511
    "qtTrId$",	//512
    "qtTrId$$",	//513
    "qt_assert",	//514
    "qt_assert$$$",	//515
    "qt_assert_x",	//516
    "qt_assert_x$$$$",	//517
    "qt_check_pointer",	//518
    "qt_check_pointer$$",	//519
    "qt_error_string",	//520
    "qt_error_string$",	//521
    "qt_message_output",	//522
    "qt_message_output$$",	//523
    "qt_metacall",	//524
    "qt_metacall$$?",	//525
    "qt_metacast",	//526
    "qt_metacast$",	//527
    "qt_noop",	//528
    "qt_qFindChild_helper",	//529
    "qt_qFindChild_helper#$#",	//530
    "qt_qFindChildren_helper",	//531
    "qt_qFindChildren_helper#$##?",	//532
    "qvariant_cast_helper",	//533
    "qvariant_cast_helper#$$",	//534
    "qvsnprintf",	//535
    "qvsnprintf$?$?",	//536
    "registerMarshallOperators",	//537
    "registerMarshallOperators$$$",	//538
    "registerObject",	//539
    "registerObject$#",	//540
    "registerObject$#$",	//541
    "registerService",	//542
    "registerService$",	//543
    "registerService$$",	//544
    "registerService$$$",	//545
    "registerVirtualObject",	//546
    "registerVirtualObject$#",	//547
    "registerVirtualObject$#$",	//548
    "registeredServiceNames",	//549
    "removeWatchedService",	//550
    "removeWatchedService$",	//551
    "reply",	//552
    "send",	//553
    "send#",	//554
    "sendErrorReply",	//555
    "sendErrorReply$",	//556
    "sendErrorReply$$",	//557
    "sender",	//558
    "service",	//559
    "serviceOwner",	//560
    "serviceOwner$",	//561
    "serviceOwnerChanged",	//562
    "serviceOwnerChanged$$$",	//563
    "servicePid",	//564
    "servicePid$",	//565
    "serviceRegistered",	//566
    "serviceRegistered$",	//567
    "serviceUid",	//568
    "serviceUid$",	//569
    "serviceUnregistered",	//570
    "serviceUnregistered$",	//571
    "sessionBus",	//572
    "setArguments",	//573
    "setArguments?",	//574
    "setAutoRelaySignals",	//575
    "setAutoRelaySignals$",	//576
    "setAutoStartService",	//577
    "setAutoStartService$",	//578
    "setConnection",	//579
    "setConnection#",	//580
    "setDelayedReply",	//581
    "setDelayedReply$",	//582
    "setTimeout",	//583
    "setTimeout$",	//584
    "setWatchMode",	//585
    "setWatchMode$",	//586
    "setWatchedServices",	//587
    "setWatchedServices?",	//588
    "signature",	//589
    "signatureToType",	//590
    "signatureToType$",	//591
    "startService",	//592
    "startService$",	//593
    "staticMetaObject",	//594
    "systemBus",	//595
    "timeout",	//596
    "timerEvent",	//597
    "tr",	//598
    "tr$",	//599
    "tr$$",	//600
    "tr$$$",	//601
    "trUtf8",	//602
    "trUtf8$",	//603
    "trUtf8$$",	//604
    "trUtf8$$$",	//605
    "type",	//606
    "typeToSignature",	//607
    "typeToSignature$",	//608
    "unregisterObject",	//609
    "unregisterObject$",	//610
    "unregisterObject$$",	//611
    "unregisterService",	//612
    "unregisterService$",	//613
    "waitForFinished",	//614
    "watchMode",	//615
    "watchedServices",	//616
    "~QDBusAbstractAdaptor",	//617
    "~QDBusAbstractInterface",	//618
    "~QDBusAbstractInterfaceBase",	//619
    "~QDBusArgument",	//620
    "~QDBusConnection",	//621
    "~QDBusContext",	//622
    "~QDBusError",	//623
    "~QDBusInterface",	//624
    "~QDBusMessage",	//625
    "~QDBusMetaType",	//626
    "~QDBusPendingCall",	//627
    "~QDBusPendingCallWatcher",	//628
    "~QDBusServer",	//629
    "~QDBusServiceWatcher",	//630
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 1},	//1 QDBus::NoBlock (enum)
    {7, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 2},	//2 QDBus::Block (enum)
    {7, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 3},	//3 QDBus::BlockWithGui (enum)
    {7, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 4},	//4 QDBus::AutoDetect (enum)
    {8, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 1},	//5 QDBusAbstractAdaptor::metaObject() const
    {8, 526, 1, 1, Smoke::mf_virtual, 326, 2},	//6 QDBusAbstractAdaptor::qt_metacast(const char*)
    {8, 598, 3, 2, Smoke::mf_static, 120, 3},	//7 QDBusAbstractAdaptor::tr(const char*, const char*)
    {8, 602, 3, 2, Smoke::mf_static, 120, 4},	//8 QDBusAbstractAdaptor::trUtf8(const char*, const char*)
    {8, 598, 6, 3, Smoke::mf_static, 120, 5},	//9 QDBusAbstractAdaptor::tr(const char*, const char*, int)
    {8, 602, 6, 3, Smoke::mf_static, 120, 6},	//10 QDBusAbstractAdaptor::trUtf8(const char*, const char*, int)
    {8, 524, 10, 3, Smoke::mf_virtual, 302, 7},	//11 QDBusAbstractAdaptor::qt_metacall(QMetaObject::Call, int, void**)
    {8, 80, 14, 1, Smoke::mf_ctor|Smoke::mf_protected, 11, 8},	//12 QDBusAbstractAdaptor::QDBusAbstractAdaptor(QObject*)
    {8, 575, 16, 1, Smoke::mf_protected, 0, 9},	//13 QDBusAbstractAdaptor::setAutoRelaySignals(bool)
    {8, 174, 0, 0, Smoke::mf_const|Smoke::mf_protected, 235, 10},	//14 QDBusAbstractAdaptor::autoRelaySignals() const
    {8, 598, 1, 1, Smoke::mf_static, 120, 11},	//15 QDBusAbstractAdaptor::tr(const char*)
    {8, 602, 1, 1, Smoke::mf_static, 120, 12},	//16 QDBusAbstractAdaptor::trUtf8(const char*)
    {8, 594, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 268, 13},	//17 QDBusAbstractAdaptor::staticMetaObject() const
    {8, 617, 0, 0, Smoke::mf_dtor, 0, 14 },	//18 QDBusAbstractAdaptor::~QDBusAbstractAdaptor()
    {9, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 1},	//19 QDBusAbstractInterface::metaObject() const
    {9, 526, 1, 1, Smoke::mf_virtual, 326, 2},	//20 QDBusAbstractInterface::qt_metacast(const char*)
    {9, 598, 3, 2, Smoke::mf_static, 120, 3},	//21 QDBusAbstractInterface::tr(const char*, const char*)
    {9, 602, 3, 2, Smoke::mf_static, 120, 4},	//22 QDBusAbstractInterface::trUtf8(const char*, const char*)
    {9, 598, 6, 3, Smoke::mf_static, 120, 5},	//23 QDBusAbstractInterface::tr(const char*, const char*, int)
    {9, 602, 6, 3, Smoke::mf_static, 120, 6},	//24 QDBusAbstractInterface::trUtf8(const char*, const char*, int)
    {9, 524, 10, 3, Smoke::mf_virtual, 302, 7},	//25 QDBusAbstractInterface::qt_metacall(QMetaObject::Call, int, void**)
    {9, 290, 0, 0, Smoke::mf_const, 235, 8},	//26 QDBusAbstractInterface::isValid() const
    {9, 227, 0, 0, Smoke::mf_const, 16, 9},	//27 QDBusAbstractInterface::connection() const
    {9, 559, 0, 0, Smoke::mf_const, 120, 10},	//28 QDBusAbstractInterface::service() const
    {9, 369, 0, 0, Smoke::mf_const, 120, 11},	//29 QDBusAbstractInterface::path() const
    {9, 274, 0, 0, Smoke::mf_const, 120, 12},	//30 QDBusAbstractInterface::interface() const
    {9, 291, 0, 0, Smoke::mf_const, 29, 13},	//31 QDBusAbstractInterface::lastError() const
    {9, 583, 18, 1, 0, 0, 14},	//32 QDBusAbstractInterface::setTimeout(int)
    {9, 596, 0, 0, Smoke::mf_const, 302, 15},	//33 QDBusAbstractInterface::timeout() const
    {9, 183, 20, 9, 0, 34, 16},	//34 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 183, 30, 10, 0, 34, 17},	//35 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 205, 41, 3, 0, 34, 18},	//36 QDBusAbstractInterface::callWithArgumentList(QDBus::CallMode, const QString&, const QList<QVariant>&)
    {9, 207, 45, 5, 0, 235, 19},	//37 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*, const char*)
    {9, 207, 51, 4, 0, 235, 20},	//38 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*)
    {9, 159, 20, 9, 0, 40, 21},	//39 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 171, 56, 2, 0, 40, 22},	//40 QDBusAbstractInterface::asyncCallWithArgumentList(const QString&, const QList<QVariant>&)
    {9, 82, 59, 5, Smoke::mf_ctor|Smoke::mf_protected, 12, 23},	//41 QDBusAbstractInterface::QDBusAbstractInterface(const QString&, const QString&, const char*, const QDBusConnection&, QObject*)
    {9, 221, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//42 QDBusAbstractInterface::connectNotify(const char*)
    {9, 255, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//43 QDBusAbstractInterface::disconnectNotify(const char*)
    {9, 279, 1, 1, Smoke::mf_const|Smoke::mf_protected, 137, 26},	//44 QDBusAbstractInterface::internalPropGet(const char*) const
    {9, 281, 65, 2, Smoke::mf_protected, 0, 27},	//45 QDBusAbstractInterface::internalPropSet(const char*, const QVariant&)
    {9, 275, 41, 3, Smoke::mf_const|Smoke::mf_protected, 34, 28},	//46 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&, const QList<QVariant>&) const
    {9, 598, 1, 1, Smoke::mf_static, 120, 29},	//47 QDBusAbstractInterface::tr(const char*)
    {9, 602, 1, 1, Smoke::mf_static, 120, 30},	//48 QDBusAbstractInterface::trUtf8(const char*)
    {9, 183, 68, 1, 0, 34, 31},	//49 QDBusAbstractInterface::call(const QString&)
    {9, 183, 70, 2, 0, 34, 32},	//50 QDBusAbstractInterface::call(const QString&, const QVariant&)
    {9, 183, 73, 3, 0, 34, 33},	//51 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&)
    {9, 183, 77, 4, 0, 34, 34},	//52 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 183, 82, 5, 0, 34, 35},	//53 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 183, 88, 6, 0, 34, 36},	//54 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 183, 95, 7, 0, 34, 37},	//55 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 183, 103, 8, 0, 34, 38},	//56 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 183, 112, 2, 0, 34, 39},	//57 QDBusAbstractInterface::call(QDBus::CallMode, const QString&)
    {9, 183, 115, 3, 0, 34, 40},	//58 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&)
    {9, 183, 119, 4, 0, 34, 41},	//59 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&)
    {9, 183, 124, 5, 0, 34, 42},	//60 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 183, 130, 6, 0, 34, 43},	//61 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 183, 137, 7, 0, 34, 44},	//62 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 183, 145, 8, 0, 34, 45},	//63 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 183, 154, 9, 0, 34, 46},	//64 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 159, 68, 1, 0, 40, 47},	//65 QDBusAbstractInterface::asyncCall(const QString&)
    {9, 159, 70, 2, 0, 40, 48},	//66 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&)
    {9, 159, 73, 3, 0, 40, 49},	//67 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&)
    {9, 159, 77, 4, 0, 40, 50},	//68 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 159, 82, 5, 0, 40, 51},	//69 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 159, 88, 6, 0, 40, 52},	//70 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 159, 95, 7, 0, 40, 53},	//71 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 159, 103, 8, 0, 40, 54},	//72 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 275, 112, 2, Smoke::mf_const|Smoke::mf_protected, 34, 55},	//73 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&) const
    {9, 594, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 268, 56},	//74 QDBusAbstractInterface::staticMetaObject() const
    {9, 618, 0, 0, Smoke::mf_dtor, 0, 57 },	//75 QDBusAbstractInterface::~QDBusAbstractInterface()
    {10, 524, 10, 3, Smoke::mf_virtual, 302, 1},	//76 QDBusAbstractInterfaceBase::qt_metacall(QMetaObject::Call, int, void**)
    {10, 619, 0, 0, Smoke::mf_dtor, 0, 2 },	//77 QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase()
    {11, 84, 0, 0, Smoke::mf_ctor, 14, 1},	//78 QDBusArgument::QDBusArgument()
    {11, 84, 164, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 2},	//79 QDBusArgument::QDBusArgument(const QDBusArgument&)
    {11, 340, 164, 1, 0, 13, 3},	//80 QDBusArgument::operator=(const QDBusArgument&)
    {11, 328, 166, 1, 0, 13, 4},	//81 QDBusArgument::operator<<(unsigned char)
    {11, 328, 16, 1, 0, 13, 5},	//82 QDBusArgument::operator<<(bool)
    {11, 328, 168, 1, 0, 13, 6},	//83 QDBusArgument::operator<<(short)
    {11, 328, 170, 1, 0, 13, 7},	//84 QDBusArgument::operator<<(unsigned short)
    {11, 328, 18, 1, 0, 13, 8},	//85 QDBusArgument::operator<<(int)
    {11, 328, 172, 1, 0, 13, 9},	//86 QDBusArgument::operator<<(unsigned int)
    {11, 328, 174, 1, 0, 13, 10},	//87 QDBusArgument::operator<<(long long)
    {11, 328, 176, 1, 0, 13, 11},	//88 QDBusArgument::operator<<(unsigned long long)
    {11, 328, 178, 1, 0, 13, 12},	//89 QDBusArgument::operator<<(double)
    {11, 328, 68, 1, 0, 13, 13},	//90 QDBusArgument::operator<<(const QString&)
    {11, 328, 180, 1, 0, 13, 14},	//91 QDBusArgument::operator<<(const QDBusVariant&)
    {11, 328, 182, 1, 0, 13, 15},	//92 QDBusArgument::operator<<(const QDBusObjectPath&)
    {11, 328, 184, 1, 0, 13, 16},	//93 QDBusArgument::operator<<(const QDBusSignature&)
    {11, 328, 186, 1, 0, 13, 17},	//94 QDBusArgument::operator<<(const QDBusUnixFileDescriptor&)
    {11, 328, 188, 1, 0, 13, 18},	//95 QDBusArgument::operator<<(const QStringList&)
    {11, 328, 190, 1, 0, 13, 19},	//96 QDBusArgument::operator<<(const QByteArray&)
    {11, 182, 0, 0, 0, 0, 20},	//97 QDBusArgument::beginStructure()
    {11, 260, 0, 0, 0, 0, 21},	//98 QDBusArgument::endStructure()
    {11, 177, 18, 1, 0, 0, 22},	//99 QDBusArgument::beginArray(int)
    {11, 257, 0, 0, 0, 0, 23},	//100 QDBusArgument::endArray()
    {11, 179, 192, 2, 0, 0, 24},	//101 QDBusArgument::beginMap(int, int)
    {11, 258, 0, 0, 0, 0, 25},	//102 QDBusArgument::endMap()
    {11, 181, 0, 0, 0, 0, 26},	//103 QDBusArgument::beginMapEntry()
    {11, 259, 0, 0, 0, 0, 27},	//104 QDBusArgument::endMapEntry()
    {11, 155, 195, 1, 0, 0, 28},	//105 QDBusArgument::appendVariant(const QVariant&)
    {11, 242, 0, 0, Smoke::mf_const, 120, 29},	//106 QDBusArgument::currentSignature() const
    {11, 243, 0, 0, Smoke::mf_const, 15, 30},	//107 QDBusArgument::currentType() const
    {11, 357, 197, 1, Smoke::mf_const, 244, 31},	//108 QDBusArgument::operator>>(unsigned char&) const
    {11, 357, 199, 1, Smoke::mf_const, 244, 32},	//109 QDBusArgument::operator>>(bool&) const
    {11, 357, 201, 1, Smoke::mf_const, 244, 33},	//110 QDBusArgument::operator>>(short&) const
    {11, 357, 203, 1, Smoke::mf_const, 244, 34},	//111 QDBusArgument::operator>>(unsigned short&) const
    {11, 357, 205, 1, Smoke::mf_const, 244, 35},	//112 QDBusArgument::operator>>(int&) const
    {11, 357, 207, 1, Smoke::mf_const, 244, 36},	//113 QDBusArgument::operator>>(unsigned int&) const
    {11, 357, 209, 1, Smoke::mf_const, 244, 37},	//114 QDBusArgument::operator>>(long long&) const
    {11, 357, 211, 1, Smoke::mf_const, 244, 38},	//115 QDBusArgument::operator>>(unsigned long long&) const
    {11, 357, 213, 1, Smoke::mf_const, 244, 39},	//116 QDBusArgument::operator>>(double&) const
    {11, 357, 215, 1, Smoke::mf_const, 244, 40},	//117 QDBusArgument::operator>>(QString&) const
    {11, 357, 217, 1, Smoke::mf_const, 244, 41},	//118 QDBusArgument::operator>>(QDBusVariant&) const
    {11, 357, 219, 1, Smoke::mf_const, 244, 42},	//119 QDBusArgument::operator>>(QDBusObjectPath&) const
    {11, 357, 221, 1, Smoke::mf_const, 244, 43},	//120 QDBusArgument::operator>>(QDBusSignature&) const
    {11, 357, 223, 1, Smoke::mf_const, 244, 44},	//121 QDBusArgument::operator>>(QDBusUnixFileDescriptor&) const
    {11, 357, 225, 1, Smoke::mf_const, 244, 45},	//122 QDBusArgument::operator>>(QStringList&) const
    {11, 357, 227, 1, Smoke::mf_const, 244, 46},	//123 QDBusArgument::operator>>(QByteArray&) const
    {11, 182, 0, 0, Smoke::mf_const, 0, 47},	//124 QDBusArgument::beginStructure() const
    {11, 260, 0, 0, Smoke::mf_const, 0, 48},	//125 QDBusArgument::endStructure() const
    {11, 177, 0, 0, Smoke::mf_const, 0, 49},	//126 QDBusArgument::beginArray() const
    {11, 257, 0, 0, Smoke::mf_const, 0, 50},	//127 QDBusArgument::endArray() const
    {11, 179, 0, 0, Smoke::mf_const, 0, 51},	//128 QDBusArgument::beginMap() const
    {11, 258, 0, 0, Smoke::mf_const, 0, 52},	//129 QDBusArgument::endMap() const
    {11, 181, 0, 0, Smoke::mf_const, 0, 53},	//130 QDBusArgument::beginMapEntry() const
    {11, 259, 0, 0, Smoke::mf_const, 0, 54},	//131 QDBusArgument::endMapEntry() const
    {11, 173, 0, 0, Smoke::mf_const, 235, 55},	//132 QDBusArgument::atEnd() const
    {11, 158, 0, 0, Smoke::mf_const, 137, 56},	//133 QDBusArgument::asVariant() const
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 57},	//134 QDBusArgument::BasicType (enum)
    {11, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 58},	//135 QDBusArgument::VariantType (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 59},	//136 QDBusArgument::ArrayType (enum)
    {11, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 60},	//137 QDBusArgument::StructureType (enum)
    {11, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 61},	//138 QDBusArgument::MapType (enum)
    {11, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 62},	//139 QDBusArgument::MapEntryType (enum)
    {11, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 63},	//140 QDBusArgument::UnknownType (enum)
    {11, 620, 0, 0, Smoke::mf_dtor, 0, 64 },	//141 QDBusArgument::~QDBusArgument()
    {12, 86, 68, 1, Smoke::mf_ctor, 18, 1},	//142 QDBusConnection::QDBusConnection(const QString&)
    {12, 86, 229, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//143 QDBusConnection::QDBusConnection(const QDBusConnection&)
    {12, 340, 229, 1, 0, 17, 3},	//144 QDBusConnection::operator=(const QDBusConnection&)
    {12, 283, 0, 0, Smoke::mf_const, 235, 4},	//145 QDBusConnection::isConnected() const
    {12, 176, 0, 0, Smoke::mf_const, 120, 5},	//146 QDBusConnection::baseService() const
    {12, 291, 0, 0, Smoke::mf_const, 29, 6},	//147 QDBusConnection::lastError() const
    {12, 298, 0, 0, Smoke::mf_const, 120, 7},	//148 QDBusConnection::name() const
    {12, 228, 0, 0, Smoke::mf_const, 69, 8},	//149 QDBusConnection::connectionCapabilities() const
    {12, 553, 231, 1, Smoke::mf_const, 235, 9},	//150 QDBusConnection::send(const QDBusMessage&) const
    {12, 207, 233, 5, Smoke::mf_const, 235, 10},	//151 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*, int) const
    {12, 207, 239, 4, Smoke::mf_const, 235, 11},	//152 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    {12, 183, 244, 3, Smoke::mf_const, 34, 12},	//153 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode, int) const
    {12, 159, 248, 2, Smoke::mf_const, 40, 13},	//154 QDBusConnection::asyncCall(const QDBusMessage&, int) const
    {12, 217, 251, 6, 0, 235, 14},	//155 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 217, 258, 7, 0, 235, 15},	//156 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 217, 266, 8, 0, 235, 16},	//157 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 247, 251, 6, 0, 235, 17},	//158 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 247, 258, 7, 0, 235, 18},	//159 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 247, 266, 8, 0, 235, 19},	//160 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 539, 275, 3, 0, 235, 20},	//161 QDBusConnection::registerObject(const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>)
    {12, 609, 279, 2, 0, 0, 21},	//162 QDBusConnection::unregisterObject(const QString&, QDBusConnection::UnregisterMode)
    {12, 301, 68, 1, Smoke::mf_const, 111, 22},	//163 QDBusConnection::objectRegisteredAt(const QString&) const
    {12, 546, 282, 3, 0, 235, 23},	//164 QDBusConnection::registerVirtualObject(const QString&, QDBusVirtualObject*, QDBusConnection::VirtualObjectRegisterOption)
    {12, 542, 68, 1, 0, 235, 24},	//165 QDBusConnection::registerService(const QString&)
    {12, 612, 68, 1, 0, 235, 25},	//166 QDBusConnection::unregisterService(const QString&)
    {12, 274, 0, 0, Smoke::mf_const, 24, 26},	//167 QDBusConnection::interface() const
    {12, 278, 0, 0, Smoke::mf_const, 326, 27},	//168 QDBusConnection::internalPointer() const
    {12, 223, 286, 2, Smoke::mf_static, 16, 28},	//169 QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    {12, 223, 289, 2, Smoke::mf_static, 16, 29},	//170 QDBusConnection::connectToBus(const QString&, const QString&)
    {12, 225, 289, 2, Smoke::mf_static, 16, 30},	//171 QDBusConnection::connectToPeer(const QString&, const QString&)
    {12, 251, 68, 1, Smoke::mf_static, 0, 31},	//172 QDBusConnection::disconnectFromBus(const QString&)
    {12, 253, 68, 1, Smoke::mf_static, 0, 32},	//173 QDBusConnection::disconnectFromPeer(const QString&)
    {12, 292, 0, 0, Smoke::mf_static, 5, 33},	//174 QDBusConnection::localMachineId()
    {12, 572, 0, 0, Smoke::mf_static, 16, 34},	//175 QDBusConnection::sessionBus()
    {12, 595, 0, 0, Smoke::mf_static, 16, 35},	//176 QDBusConnection::systemBus()
    {12, 558, 0, 0, Smoke::mf_static, 16, 36},	//177 QDBusConnection::sender()
    {12, 207, 292, 4, Smoke::mf_const, 235, 37},	//178 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    {12, 207, 297, 3, Smoke::mf_const, 235, 38},	//179 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*) const
    {12, 183, 231, 1, Smoke::mf_const, 34, 39},	//180 QDBusConnection::call(const QDBusMessage&) const
    {12, 183, 301, 2, Smoke::mf_const, 34, 40},	//181 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode) const
    {12, 159, 231, 1, Smoke::mf_const, 40, 41},	//182 QDBusConnection::asyncCall(const QDBusMessage&) const
    {12, 539, 304, 2, 0, 235, 42},	//183 QDBusConnection::registerObject(const QString&, QObject*)
    {12, 609, 68, 1, 0, 0, 43},	//184 QDBusConnection::unregisterObject(const QString&)
    {12, 546, 307, 2, 0, 235, 44},	//185 QDBusConnection::registerVirtualObject(const QString&, QDBusVirtualObject*)
    {12, 594, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 268, 45},	//186 QDBusConnection::staticMetaObject() const
    {12, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 46},	//187 QDBusConnection::SessionBus (enum)
    {12, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 47},	//188 QDBusConnection::SystemBus (enum)
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 48},	//189 QDBusConnection::ActivationBus (enum)
    {12, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 49},	//190 QDBusConnection::ExportAdaptors (enum)
    {12, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 50},	//191 QDBusConnection::ExportScriptableSlots (enum)
    {12, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 51},	//192 QDBusConnection::ExportScriptableSignals (enum)
    {12, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 52},	//193 QDBusConnection::ExportScriptableProperties (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 53},	//194 QDBusConnection::ExportScriptableInvokables (enum)
    {12, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 54},	//195 QDBusConnection::ExportScriptableContents (enum)
    {12, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 55},	//196 QDBusConnection::ExportNonScriptableSlots (enum)
    {12, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 56},	//197 QDBusConnection::ExportNonScriptableSignals (enum)
    {12, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 57},	//198 QDBusConnection::ExportNonScriptableProperties (enum)
    {12, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 58},	//199 QDBusConnection::ExportNonScriptableInvokables (enum)
    {12, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 59},	//200 QDBusConnection::ExportNonScriptableContents (enum)
    {12, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 60},	//201 QDBusConnection::ExportAllSlots (enum)
    {12, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 61},	//202 QDBusConnection::ExportAllSignals (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 62},	//203 QDBusConnection::ExportAllProperties (enum)
    {12, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 63},	//204 QDBusConnection::ExportAllInvokables (enum)
    {12, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 64},	//205 QDBusConnection::ExportAllContents (enum)
    {12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 65},	//206 QDBusConnection::ExportAllSignal (enum)
    {12, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 66},	//207 QDBusConnection::ExportChildObjects (enum)
    {12, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 67},	//208 QDBusConnection::UnregisterNode (enum)
    {12, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 68},	//209 QDBusConnection::UnregisterTree (enum)
    {12, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 69},	//210 QDBusConnection::SingleNode (enum)
    {12, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 70},	//211 QDBusConnection::SubPath (enum)
    {12, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 71},	//212 QDBusConnection::UnixFileDescriptorPassing (enum)
    {12, 621, 0, 0, Smoke::mf_dtor, 0, 72 },	//213 QDBusConnection::~QDBusConnection()
    {13, 297, 0, 0, Smoke::mf_const, 269, 1},	//214 QDBusConnectionInterface::metaObject() const
    {13, 526, 1, 1, 0, 326, 2},	//215 QDBusConnectionInterface::qt_metacast(const char*)
    {13, 598, 3, 2, Smoke::mf_static, 120, 3},	//216 QDBusConnectionInterface::tr(const char*, const char*)
    {13, 602, 3, 2, Smoke::mf_static, 120, 4},	//217 QDBusConnectionInterface::trUtf8(const char*, const char*)
    {13, 598, 6, 3, Smoke::mf_static, 120, 5},	//218 QDBusConnectionInterface::tr(const char*, const char*, int)
    {13, 602, 6, 3, Smoke::mf_static, 120, 6},	//219 QDBusConnectionInterface::trUtf8(const char*, const char*, int)
    {13, 524, 10, 3, 0, 302, 7},	//220 QDBusConnectionInterface::qt_metacall(QMetaObject::Call, int, void**)
    {13, 549, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 46, 8},	//221 QDBusConnectionInterface::registeredServiceNames() const
    {13, 288, 68, 1, Smoke::mf_const|Smoke::mf_slot, 47, 9},	//222 QDBusConnectionInterface::isServiceRegistered(const QString&) const
    {13, 560, 68, 1, Smoke::mf_const|Smoke::mf_slot, 45, 10},	//223 QDBusConnectionInterface::serviceOwner(const QString&) const
    {13, 612, 68, 1, Smoke::mf_slot, 47, 11},	//224 QDBusConnectionInterface::unregisterService(const QString&)
    {13, 542, 310, 3, Smoke::mf_slot, 44, 12},	//225 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions)
    {13, 564, 68, 1, Smoke::mf_const|Smoke::mf_slot, 48, 13},	//226 QDBusConnectionInterface::servicePid(const QString&) const
    {13, 568, 68, 1, Smoke::mf_const|Smoke::mf_slot, 48, 14},	//227 QDBusConnectionInterface::serviceUid(const QString&) const
    {13, 592, 68, 1, Smoke::mf_slot, 49, 15},	//228 QDBusConnectionInterface::startService(const QString&)
    {13, 566, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//229 QDBusConnectionInterface::serviceRegistered(const QString&)
    {13, 570, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//230 QDBusConnectionInterface::serviceUnregistered(const QString&)
    {13, 562, 314, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//231 QDBusConnectionInterface::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {13, 213, 318, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//232 QDBusConnectionInterface::callWithCallbackFailed(const QDBusError&, const QDBusMessage&)
    {13, 66, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//233 QDBusConnectionInterface::NameAcquired(const QString&)
    {13, 68, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//234 QDBusConnectionInterface::NameLost(const QString&)
    {13, 70, 314, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//235 QDBusConnectionInterface::NameOwnerChanged(const QString&, const QString&, const QString&)
    {13, 221, 1, 1, Smoke::mf_protected, 0, 23},	//236 QDBusConnectionInterface::connectNotify(const char*)
    {13, 255, 1, 1, Smoke::mf_protected, 0, 24},	//237 QDBusConnectionInterface::disconnectNotify(const char*)
    {13, 598, 1, 1, Smoke::mf_static, 120, 25},	//238 QDBusConnectionInterface::tr(const char*)
    {13, 602, 1, 1, Smoke::mf_static, 120, 26},	//239 QDBusConnectionInterface::trUtf8(const char*)
    {13, 542, 68, 1, Smoke::mf_slot, 44, 27},	//240 QDBusConnectionInterface::registerService(const QString&)
    {13, 542, 321, 2, Smoke::mf_slot, 44, 28},	//241 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions)
    {13, 594, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 268, 29},	//242 QDBusConnectionInterface::staticMetaObject() const
    {13, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 30},	//243 QDBusConnectionInterface::DontQueueService (enum)
    {13, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 31},	//244 QDBusConnectionInterface::QueueService (enum)
    {13, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 32},	//245 QDBusConnectionInterface::ReplaceExistingService (enum)
    {13, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 33},	//246 QDBusConnectionInterface::DontAllowReplacement (enum)
    {13, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 34},	//247 QDBusConnectionInterface::AllowReplacement (enum)
    {13, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 35},	//248 QDBusConnectionInterface::ServiceNotRegistered (enum)
    {13, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 36},	//249 QDBusConnectionInterface::ServiceRegistered (enum)
    {13, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 37},	//250 QDBusConnectionInterface::ServiceQueued (enum)
    {14, 89, 0, 0, Smoke::mf_ctor, 28, 1},	//251 QDBusContext::QDBusContext()
    {14, 215, 0, 0, Smoke::mf_const, 235, 2},	//252 QDBusContext::calledFromDBus() const
    {14, 227, 0, 0, Smoke::mf_const, 16, 3},	//253 QDBusContext::connection() const
    {14, 296, 0, 0, Smoke::mf_const, 248, 4},	//254 QDBusContext::message() const
    {14, 284, 0, 0, Smoke::mf_const, 235, 5},	//255 QDBusContext::isDelayedReply() const
    {14, 581, 16, 1, Smoke::mf_const, 0, 6},	//256 QDBusContext::setDelayedReply(bool) const
    {14, 555, 289, 2, Smoke::mf_const, 0, 7},	//257 QDBusContext::sendErrorReply(const QString&, const QString&) const
    {14, 555, 324, 2, Smoke::mf_const, 0, 8},	//258 QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    {14, 89, 327, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 9},	//259 QDBusContext::QDBusContext(const QDBusContext&)
    {14, 555, 68, 1, Smoke::mf_const, 0, 10},	//260 QDBusContext::sendErrorReply(const QString&) const
    {14, 555, 329, 1, Smoke::mf_const, 0, 11},	//261 QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    {14, 622, 0, 0, Smoke::mf_dtor, 0, 12 },	//262 QDBusContext::~QDBusContext()
    {15, 91, 331, 1, Smoke::mf_ctor, 31, 1},	//263 QDBusError::QDBusError(const DBusError*)
    {15, 91, 231, 1, Smoke::mf_ctor, 31, 2},	//264 QDBusError::QDBusError(const QDBusMessage&)
    {15, 91, 324, 2, Smoke::mf_ctor, 31, 3},	//265 QDBusError::QDBusError(QDBusError::ErrorType, const QString&)
    {15, 91, 333, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//266 QDBusError::QDBusError(const QDBusError&)
    {15, 340, 333, 1, 0, 30, 5},	//267 QDBusError::operator=(const QDBusError&)
    {15, 606, 0, 0, Smoke::mf_const, 32, 6},	//268 QDBusError::type() const
    {15, 298, 0, 0, Smoke::mf_const, 120, 7},	//269 QDBusError::name() const
    {15, 296, 0, 0, Smoke::mf_const, 120, 8},	//270 QDBusError::message() const
    {15, 290, 0, 0, Smoke::mf_const, 235, 9},	//271 QDBusError::isValid() const
    {15, 264, 329, 1, Smoke::mf_static, 120, 10},	//272 QDBusError::errorString(QDBusError::ErrorType)
    {15, 91, 0, 0, Smoke::mf_ctor, 31, 11},	//273 QDBusError::QDBusError()
    {15, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 12},	//274 QDBusError::NoError (enum)
    {15, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 13},	//275 QDBusError::Other (enum)
    {15, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 14},	//276 QDBusError::Failed (enum)
    {15, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 15},	//277 QDBusError::NoMemory (enum)
    {15, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 16},	//278 QDBusError::ServiceUnknown (enum)
    {15, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 17},	//279 QDBusError::NoReply (enum)
    {15, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 18},	//280 QDBusError::BadAddress (enum)
    {15, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 19},	//281 QDBusError::NotSupported (enum)
    {15, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 20},	//282 QDBusError::LimitsExceeded (enum)
    {15, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 21},	//283 QDBusError::AccessDenied (enum)
    {15, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 22},	//284 QDBusError::NoServer (enum)
    {15, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 23},	//285 QDBusError::Timeout (enum)
    {15, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 24},	//286 QDBusError::NoNetwork (enum)
    {15, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 25},	//287 QDBusError::AddressInUse (enum)
    {15, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 26},	//288 QDBusError::Disconnected (enum)
    {15, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 27},	//289 QDBusError::InvalidArgs (enum)
    {15, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 28},	//290 QDBusError::UnknownMethod (enum)
    {15, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 29},	//291 QDBusError::TimedOut (enum)
    {15, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 30},	//292 QDBusError::InvalidSignature (enum)
    {15, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 31},	//293 QDBusError::UnknownInterface (enum)
    {15, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 32},	//294 QDBusError::InternalError (enum)
    {15, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 33},	//295 QDBusError::UnknownObject (enum)
    {15, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 34},	//296 QDBusError::InvalidService (enum)
    {15, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 35},	//297 QDBusError::InvalidObjectPath (enum)
    {15, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 36},	//298 QDBusError::InvalidInterface (enum)
    {15, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 37},	//299 QDBusError::InvalidMember (enum)
    {15, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 38},	//300 QDBusError::LastErrorType (enum)
    {15, 623, 0, 0, Smoke::mf_dtor, 0, 39 },	//301 QDBusError::~QDBusError()
    {16, 94, 335, 5, Smoke::mf_ctor, 33, 1},	//302 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&, QObject*)
    {16, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 2},	//303 QDBusInterface::metaObject() const
    {16, 526, 1, 1, Smoke::mf_virtual, 326, 3},	//304 QDBusInterface::qt_metacast(const char*)
    {16, 524, 10, 3, Smoke::mf_virtual, 302, 4},	//305 QDBusInterface::qt_metacall(QMetaObject::Call, int, void**)
    {16, 94, 289, 2, Smoke::mf_ctor, 33, 5},	//306 QDBusInterface::QDBusInterface(const QString&, const QString&)
    {16, 94, 314, 3, Smoke::mf_ctor, 33, 6},	//307 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&)
    {16, 94, 341, 4, Smoke::mf_ctor, 33, 7},	//308 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&)
    {16, 624, 0, 0, Smoke::mf_dtor, 0, 8 },	//309 QDBusInterface::~QDBusInterface()
    {17, 99, 0, 0, Smoke::mf_ctor, 36, 1},	//310 QDBusMessage::QDBusMessage()
    {17, 99, 231, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 2},	//311 QDBusMessage::QDBusMessage(const QDBusMessage&)
    {17, 340, 231, 1, 0, 35, 3},	//312 QDBusMessage::operator=(const QDBusMessage&)
    {17, 240, 314, 3, Smoke::mf_static, 34, 4},	//313 QDBusMessage::createSignal(const QString&, const QString&, const QString&)
    {17, 235, 346, 4, Smoke::mf_static, 34, 5},	//314 QDBusMessage::createMethodCall(const QString&, const QString&, const QString&, const QString&)
    {17, 229, 289, 2, Smoke::mf_static, 34, 6},	//315 QDBusMessage::createError(const QString&, const QString&)
    {17, 229, 333, 1, Smoke::mf_static, 34, 7},	//316 QDBusMessage::createError(const QDBusError&)
    {17, 229, 324, 2, Smoke::mf_static, 34, 8},	//317 QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    {17, 237, 351, 1, Smoke::mf_const, 34, 9},	//318 QDBusMessage::createReply(const QList<QVariant>&) const
    {17, 237, 195, 1, Smoke::mf_const, 34, 10},	//319 QDBusMessage::createReply(const QVariant&) const
    {17, 232, 353, 2, Smoke::mf_const, 34, 11},	//320 QDBusMessage::createErrorReply(const QString, const QString&) const
    {17, 232, 333, 1, Smoke::mf_const, 34, 12},	//321 QDBusMessage::createErrorReply(const QDBusError&) const
    {17, 232, 324, 2, Smoke::mf_const, 34, 13},	//322 QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    {17, 559, 0, 0, Smoke::mf_const, 120, 14},	//323 QDBusMessage::service() const
    {17, 369, 0, 0, Smoke::mf_const, 120, 15},	//324 QDBusMessage::path() const
    {17, 274, 0, 0, Smoke::mf_const, 120, 16},	//325 QDBusMessage::interface() const
    {17, 295, 0, 0, Smoke::mf_const, 120, 17},	//326 QDBusMessage::member() const
    {17, 263, 0, 0, Smoke::mf_const, 120, 18},	//327 QDBusMessage::errorName() const
    {17, 262, 0, 0, Smoke::mf_const, 120, 19},	//328 QDBusMessage::errorMessage() const
    {17, 606, 0, 0, Smoke::mf_const, 37, 20},	//329 QDBusMessage::type() const
    {17, 589, 0, 0, Smoke::mf_const, 120, 21},	//330 QDBusMessage::signature() const
    {17, 287, 0, 0, Smoke::mf_const, 235, 22},	//331 QDBusMessage::isReplyRequired() const
    {17, 581, 16, 1, Smoke::mf_const, 0, 23},	//332 QDBusMessage::setDelayedReply(bool) const
    {17, 284, 0, 0, Smoke::mf_const, 235, 24},	//333 QDBusMessage::isDelayedReply() const
    {17, 577, 16, 1, 0, 0, 25},	//334 QDBusMessage::setAutoStartService(bool)
    {17, 175, 0, 0, Smoke::mf_const, 235, 26},	//335 QDBusMessage::autoStartService() const
    {17, 573, 351, 1, 0, 0, 27},	//336 QDBusMessage::setArguments(const QList<QVariant>&)
    {17, 157, 0, 0, Smoke::mf_const, 106, 28},	//337 QDBusMessage::arguments() const
    {17, 328, 195, 1, 0, 35, 29},	//338 QDBusMessage::operator<<(const QVariant&)
    {17, 237, 0, 0, Smoke::mf_const, 34, 30},	//339 QDBusMessage::createReply() const
    {17, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 31},	//340 QDBusMessage::InvalidMessage (enum)
    {17, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 32},	//341 QDBusMessage::MethodCallMessage (enum)
    {17, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 33},	//342 QDBusMessage::ReplyMessage (enum)
    {17, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 34},	//343 QDBusMessage::ErrorMessage (enum)
    {17, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 35},	//344 QDBusMessage::SignalMessage (enum)
    {17, 625, 0, 0, Smoke::mf_dtor, 0, 36 },	//345 QDBusMessage::~QDBusMessage()
    {18, 537, 356, 3, Smoke::mf_static, 0, 1},	//346 QDBusMetaType::registerMarshallOperators(int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*))
    {18, 293, 360, 3, Smoke::mf_static, 235, 2},	//347 QDBusMetaType::marshall(QDBusArgument&, int, const void*)
    {18, 245, 364, 3, Smoke::mf_static, 235, 3},	//348 QDBusMetaType::demarshall(const QDBusArgument&, int, void*)
    {18, 590, 1, 1, Smoke::mf_static, 302, 4},	//349 QDBusMetaType::signatureToType(const char*)
    {18, 607, 18, 1, Smoke::mf_static, 296, 5},	//350 QDBusMetaType::typeToSignature(int)
    {18, 101, 0, 0, Smoke::mf_ctor, 38, 6},	//351 QDBusMetaType::QDBusMetaType()
    {18, 101, 368, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 7},	//352 QDBusMetaType::QDBusMetaType(const QDBusMetaType&)
    {18, 626, 0, 0, Smoke::mf_dtor, 0, 8 },	//353 QDBusMetaType::~QDBusMetaType()
    {19, 103, 370, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 1},	//354 QDBusPendingCall::QDBusPendingCall(const QDBusPendingCall&)
    {19, 340, 370, 1, 0, 41, 2},	//355 QDBusPendingCall::operator=(const QDBusPendingCall&)
    {19, 286, 0, 0, Smoke::mf_const, 235, 3},	//356 QDBusPendingCall::isFinished() const
    {19, 614, 0, 0, 0, 0, 4},	//357 QDBusPendingCall::waitForFinished()
    {19, 285, 0, 0, Smoke::mf_const, 235, 5},	//358 QDBusPendingCall::isError() const
    {19, 290, 0, 0, Smoke::mf_const, 235, 6},	//359 QDBusPendingCall::isValid() const
    {19, 261, 0, 0, Smoke::mf_const, 29, 7},	//360 QDBusPendingCall::error() const
    {19, 552, 0, 0, Smoke::mf_const, 34, 8},	//361 QDBusPendingCall::reply() const
    {19, 272, 333, 1, Smoke::mf_static, 40, 9},	//362 QDBusPendingCall::fromError(const QDBusError&)
    {19, 270, 231, 1, Smoke::mf_static, 40, 10},	//363 QDBusPendingCall::fromCompletedCall(const QDBusMessage&)
    {19, 627, 0, 0, Smoke::mf_dtor, 0, 11 },	//364 QDBusPendingCall::~QDBusPendingCall()
    {20, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 1},	//365 QDBusPendingCallWatcher::metaObject() const
    {20, 526, 1, 1, Smoke::mf_virtual, 326, 2},	//366 QDBusPendingCallWatcher::qt_metacast(const char*)
    {20, 598, 3, 2, Smoke::mf_static, 120, 3},	//367 QDBusPendingCallWatcher::tr(const char*, const char*)
    {20, 602, 3, 2, Smoke::mf_static, 120, 4},	//368 QDBusPendingCallWatcher::trUtf8(const char*, const char*)
    {20, 598, 6, 3, Smoke::mf_static, 120, 5},	//369 QDBusPendingCallWatcher::tr(const char*, const char*, int)
    {20, 602, 6, 3, Smoke::mf_static, 120, 6},	//370 QDBusPendingCallWatcher::trUtf8(const char*, const char*, int)
    {20, 524, 10, 3, Smoke::mf_virtual, 302, 7},	//371 QDBusPendingCallWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {20, 105, 372, 2, Smoke::mf_ctor, 43, 8},	//372 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&, QObject*)
    {20, 614, 0, 0, 0, 0, 9},	//373 QDBusPendingCallWatcher::waitForFinished()
    {20, 268, 375, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//374 QDBusPendingCallWatcher::finished(QDBusPendingCallWatcher*)
    {20, 598, 1, 1, Smoke::mf_static, 120, 11},	//375 QDBusPendingCallWatcher::tr(const char*)
    {20, 602, 1, 1, Smoke::mf_static, 120, 12},	//376 QDBusPendingCallWatcher::trUtf8(const char*)
    {20, 105, 370, 1, Smoke::mf_ctor, 43, 13},	//377 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&)
    {20, 594, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 268, 14},	//378 QDBusPendingCallWatcher::staticMetaObject() const
    {20, 628, 0, 0, Smoke::mf_dtor, 0, 15 },	//379 QDBusPendingCallWatcher::~QDBusPendingCallWatcher()
    {21, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 1},	//380 QDBusServer::metaObject() const
    {21, 526, 1, 1, Smoke::mf_virtual, 326, 2},	//381 QDBusServer::qt_metacast(const char*)
    {21, 598, 3, 2, Smoke::mf_static, 120, 3},	//382 QDBusServer::tr(const char*, const char*)
    {21, 602, 3, 2, Smoke::mf_static, 120, 4},	//383 QDBusServer::trUtf8(const char*, const char*)
    {21, 598, 6, 3, Smoke::mf_static, 120, 5},	//384 QDBusServer::tr(const char*, const char*, int)
    {21, 602, 6, 3, Smoke::mf_static, 120, 6},	//385 QDBusServer::trUtf8(const char*, const char*, int)
    {21, 524, 10, 3, Smoke::mf_virtual, 302, 7},	//386 QDBusServer::qt_metacall(QMetaObject::Call, int, void**)
    {21, 108, 304, 2, Smoke::mf_ctor, 50, 8},	//387 QDBusServer::QDBusServer(const QString&, QObject*)
    {21, 283, 0, 0, Smoke::mf_const, 235, 9},	//388 QDBusServer::isConnected() const
    {21, 291, 0, 0, Smoke::mf_const, 29, 10},	//389 QDBusServer::lastError() const
    {21, 154, 0, 0, Smoke::mf_const, 120, 11},	//390 QDBusServer::address() const
    {21, 299, 229, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//391 QDBusServer::newConnection(const QDBusConnection&)
    {21, 598, 1, 1, Smoke::mf_static, 120, 13},	//392 QDBusServer::tr(const char*)
    {21, 602, 1, 1, Smoke::mf_static, 120, 14},	//393 QDBusServer::trUtf8(const char*)
    {21, 108, 0, 0, Smoke::mf_ctor, 50, 15},	//394 QDBusServer::QDBusServer()
    {21, 108, 68, 1, Smoke::mf_ctor, 50, 16},	//395 QDBusServer::QDBusServer(const QString&)
    {21, 594, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 268, 17},	//396 QDBusServer::staticMetaObject() const
    {21, 629, 0, 0, Smoke::mf_dtor, 0, 18 },	//397 QDBusServer::~QDBusServer()
    {22, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 1},	//398 QDBusServiceWatcher::metaObject() const
    {22, 526, 1, 1, Smoke::mf_virtual, 326, 2},	//399 QDBusServiceWatcher::qt_metacast(const char*)
    {22, 598, 3, 2, Smoke::mf_static, 120, 3},	//400 QDBusServiceWatcher::tr(const char*, const char*)
    {22, 602, 3, 2, Smoke::mf_static, 120, 4},	//401 QDBusServiceWatcher::trUtf8(const char*, const char*)
    {22, 598, 6, 3, Smoke::mf_static, 120, 5},	//402 QDBusServiceWatcher::tr(const char*, const char*, int)
    {22, 602, 6, 3, Smoke::mf_static, 120, 6},	//403 QDBusServiceWatcher::trUtf8(const char*, const char*, int)
    {22, 524, 10, 3, Smoke::mf_virtual, 302, 7},	//404 QDBusServiceWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {22, 111, 14, 1, Smoke::mf_ctor, 51, 8},	//405 QDBusServiceWatcher::QDBusServiceWatcher(QObject*)
    {22, 111, 377, 4, Smoke::mf_ctor, 51, 9},	//406 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*)
    {22, 616, 0, 0, Smoke::mf_const|Smoke::mf_property, 124, 10},	//407 QDBusServiceWatcher::watchedServices() const
    {22, 587, 188, 1, Smoke::mf_property, 0, 11},	//408 QDBusServiceWatcher::setWatchedServices(const QStringList&)
    {22, 152, 68, 1, 0, 0, 12},	//409 QDBusServiceWatcher::addWatchedService(const QString&)
    {22, 550, 68, 1, 0, 235, 13},	//410 QDBusServiceWatcher::removeWatchedService(const QString&)
    {22, 615, 0, 0, Smoke::mf_const, 72, 14},	//411 QDBusServiceWatcher::watchMode() const
    {22, 585, 382, 1, 0, 0, 15},	//412 QDBusServiceWatcher::setWatchMode(QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 227, 0, 0, Smoke::mf_const, 16, 16},	//413 QDBusServiceWatcher::connection() const
    {22, 579, 229, 1, 0, 0, 17},	//414 QDBusServiceWatcher::setConnection(const QDBusConnection&)
    {22, 566, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//415 QDBusServiceWatcher::serviceRegistered(const QString&)
    {22, 570, 68, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//416 QDBusServiceWatcher::serviceUnregistered(const QString&)
    {22, 562, 314, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//417 QDBusServiceWatcher::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {22, 598, 1, 1, Smoke::mf_static, 120, 21},	//418 QDBusServiceWatcher::tr(const char*)
    {22, 602, 1, 1, Smoke::mf_static, 120, 22},	//419 QDBusServiceWatcher::trUtf8(const char*)
    {22, 111, 0, 0, Smoke::mf_ctor, 51, 23},	//420 QDBusServiceWatcher::QDBusServiceWatcher()
    {22, 111, 384, 2, Smoke::mf_ctor, 51, 24},	//421 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&)
    {22, 111, 387, 3, Smoke::mf_ctor, 51, 25},	//422 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 594, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 268, 26},	//423 QDBusServiceWatcher::staticMetaObject() const
    {22, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 27},	//424 QDBusServiceWatcher::WatchForRegistration (enum)
    {22, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 28},	//425 QDBusServiceWatcher::WatchForUnregistration (enum)
    {22, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 29},	//426 QDBusServiceWatcher::WatchForOwnerChange (enum)
    {22, 630, 0, 0, Smoke::mf_dtor, 0, 30 },	//427 QDBusServiceWatcher::~QDBusServiceWatcher()
    {33, 455, 178, 1, Smoke::mf_static, 302, 1},	//428 QGlobalSpace::qRound(double)
    {33, 366, 391, 2, Smoke::mf_static, 77, 2},	//429 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {33, 328, 394, 2, Smoke::mf_static, 13, 3},	//430 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {33, 370, 178, 1, Smoke::mf_static, 299, 4},	//431 QGlobalSpace::qAcos(double)
    {33, 328, 397, 2, Smoke::mf_static, 13, 5},	//432 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {33, 357, 400, 2, Smoke::mf_static, 57, 6},	//433 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {33, 366, 403, 2, Smoke::mf_static, 75, 7},	//434 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {33, 328, 406, 2, Smoke::mf_static, 13, 8},	//435 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {33, 352, 409, 2, Smoke::mf_static, 235, 9},	//436 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {33, 357, 412, 2, Smoke::mf_static, 57, 10},	//437 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {33, 374, 0, 0, Smoke::mf_static, 120, 11},	//438 QGlobalSpace::qAppName()
    {33, 328, 415, 2, Smoke::mf_static, 13, 12},	//439 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {33, 366, 418, 2, Smoke::mf_static, 102, 13},	//440 QGlobalSpace::operator|(Qt::WindowType, int)
    {33, 505, 421, 3, Smoke::mf_static, 238, 14},	//441 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {33, 417, 172, 1, Smoke::mf_static, 314, 15},	//442 QGlobalSpace::qHash(unsigned int)
    {33, 417, 425, 1, Smoke::mf_static, 314, 16},	//443 QGlobalSpace::qHash(char)
    {33, 310, 427, 2, Smoke::mf_static, 283, 17},	//444 QGlobalSpace::operator*(const QSizeF&, double)
    {33, 328, 430, 2, Smoke::mf_static, 60, 18},	//445 QGlobalSpace::operator<<(QDebug, const QLine&)
    {33, 483, 1, 1, Smoke::mf_static, 5, 19},	//446 QGlobalSpace::qgetenv(const char*)
    {33, 323, 433, 2, Smoke::mf_static, 235, 20},	//447 QGlobalSpace::operator<(const QByteArray&, const char*)
    {33, 347, 436, 2, Smoke::mf_static, 235, 21},	//448 QGlobalSpace::operator>(const char*, const QString&)
    {33, 357, 439, 2, Smoke::mf_static, 57, 22},	//449 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {33, 366, 442, 2, Smoke::mf_static, 72, 23},	//450 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {33, 366, 445, 2, Smoke::mf_static, 91, 24},	//451 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {33, 342, 448, 2, Smoke::mf_static, 235, 25},	//452 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {33, 328, 451, 2, Smoke::mf_static, 13, 26},	//453 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {33, 328, 454, 2, Smoke::mf_static, 60, 27},	//454 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {33, 342, 457, 2, Smoke::mf_static, 235, 28},	//455 QGlobalSpace::operator==(const QSize&, const QSize&)
    {33, 323, 460, 2, Smoke::mf_static, 235, 29},	//456 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {33, 403, 178, 1, Smoke::mf_static, 299, 30},	//457 QGlobalSpace::qFastSin(double)
    {33, 313, 463, 2, Smoke::mf_static, 285, 31},	//458 QGlobalSpace::operator+(QChar, const QString&)
    {33, 366, 466, 2, Smoke::mf_static, 71, 32},	//459 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>)
    {33, 503, 469, 3, Smoke::mf_static, 302, 33},	//460 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {33, 335, 473, 2, Smoke::mf_static, 235, 34},	//461 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {33, 335, 476, 2, Smoke::mf_static, 235, 35},	//462 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {33, 535, 479, 4, Smoke::mf_static, 302, 36},	//463 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {33, 303, 484, 2, Smoke::mf_static, 235, 37},	//464 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {33, 303, 487, 2, Smoke::mf_static, 235, 38},	//465 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {33, 357, 490, 2, Smoke::mf_static, 244, 39},	//466 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {33, 313, 493, 2, Smoke::mf_static, 285, 40},	//467 QGlobalSpace::operator+(const QString&, QChar)
    {33, 313, 457, 2, Smoke::mf_static, 281, 41},	//468 QGlobalSpace::operator+(const QSize&, const QSize&)
    {33, 509, 496, 2, Smoke::mf_static, 314, 42},	//469 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {33, 342, 476, 2, Smoke::mf_static, 235, 43},	//470 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {33, 357, 499, 2, Smoke::mf_static, 57, 44},	//471 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {33, 303, 502, 2, Smoke::mf_static, 235, 45},	//472 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {33, 328, 505, 2, Smoke::mf_static, 60, 46},	//473 QGlobalSpace::operator<<(QDebug, const QDate&)
    {33, 328, 508, 2, Smoke::mf_static, 13, 47},	//474 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {33, 366, 511, 2, Smoke::mf_static, 97, 48},	//475 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {33, 328, 514, 2, Smoke::mf_static, 60, 49},	//476 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {33, 303, 517, 2, Smoke::mf_static, 235, 50},	//477 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {33, 417, 166, 1, Smoke::mf_static, 314, 51},	//478 QGlobalSpace::qHash(unsigned char)
    {33, 531, 520, 5, Smoke::mf_static, 0, 52},	//479 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {33, 342, 526, 2, Smoke::mf_static, 235, 53},	//480 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {33, 520, 18, 1, Smoke::mf_static, 120, 54},	//481 QGlobalSpace::qt_error_string(int)
    {33, 520, 0, 0, Smoke::mf_static, 120, 55},	//482 QGlobalSpace::qt_error_string()
    {33, 357, 529, 2, Smoke::mf_static, 57, 56},	//483 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {33, 303, 460, 2, Smoke::mf_static, 235, 57},	//484 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {33, 432, 532, 1, Smoke::mf_static, 235, 58},	//485 QGlobalSpace::qIsNull(float)
    {33, 366, 534, 2, Smoke::mf_static, 102, 59},	//486 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {33, 446, 0, 0, Smoke::mf_static, 299, 60},	//487 QGlobalSpace::qQNaN()
    {33, 303, 537, 2, Smoke::mf_static, 235, 61},	//488 QGlobalSpace::operator!=(QChar, QChar)
    {33, 462, 540, 1, Smoke::mf_static, 131, 62},	//489 QGlobalSpace::qSetPadChar(QChar)
    {33, 417, 184, 1, Smoke::mf_static, 314, 63},	//490 QGlobalSpace::qHash(const QDBusSignature&)
    {33, 357, 542, 2, Smoke::mf_static, 57, 64},	//491 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {33, 328, 545, 2, Smoke::mf_static, 60, 65},	//492 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {33, 366, 548, 2, Smoke::mf_static, 79, 66},	//493 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {33, 318, 484, 2, Smoke::mf_static, 275, 67},	//494 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {33, 511, 551, 2, Smoke::mf_static, 120, 68},	//495 QGlobalSpace::qtTrId(const char*, int)
    {33, 511, 1, 1, Smoke::mf_static, 120, 69},	//496 QGlobalSpace::qtTrId(const char*)
    {33, 379, 554, 2, Smoke::mf_static, 299, 70},	//497 QGlobalSpace::qAtan2(double, double)
    {33, 328, 557, 2, Smoke::mf_static, 57, 71},	//498 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {33, 417, 168, 1, Smoke::mf_static, 314, 72},	//499 QGlobalSpace::qHash(short)
    {33, 328, 560, 2, Smoke::mf_static, 57, 73},	//500 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {33, 342, 409, 2, Smoke::mf_static, 235, 74},	//501 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {33, 366, 563, 2, Smoke::mf_static, 96, 75},	//502 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {33, 426, 178, 1, Smoke::mf_static, 235, 76},	//503 QGlobalSpace::qIsFinite(double)
    {33, 366, 566, 2, Smoke::mf_static, 91, 77},	//504 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {33, 490, 433, 2, Smoke::mf_static, 302, 78},	//505 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {33, 497, 1, 1, Smoke::mf_static, 238, 79},	//506 QGlobalSpace::qstrdup(const char*)
    {33, 417, 569, 1, Smoke::mf_static, 314, 80},	//507 QGlobalSpace::qHash(long)
    {33, 366, 571, 2, Smoke::mf_static, 90, 81},	//508 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {33, 490, 3, 2, Smoke::mf_static, 302, 82},	//509 QGlobalSpace::qstrcmp(const char*, const char*)
    {33, 328, 574, 2, Smoke::mf_static, 57, 83},	//510 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {33, 347, 473, 2, Smoke::mf_static, 235, 84},	//511 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {33, 303, 577, 2, Smoke::mf_static, 235, 85},	//512 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {33, 313, 580, 2, Smoke::mf_static, 241, 86},	//513 QGlobalSpace::operator+(const char*, const QByteArray&)
    {33, 303, 409, 2, Smoke::mf_static, 235, 87},	//514 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {33, 417, 583, 1, Smoke::mf_static, 314, 88},	//515 QGlobalSpace::qHash(const QBitArray&)
    {33, 366, 585, 2, Smoke::mf_static, 75, 89},	//516 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {33, 495, 588, 2, Smoke::mf_static, 238, 90},	//517 QGlobalSpace::qstrcpy(char*, const char*)
    {33, 366, 591, 2, Smoke::mf_static, 2, 91},	//518 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {33, 303, 594, 2, Smoke::mf_static, 235, 92},	//519 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {33, 323, 580, 2, Smoke::mf_static, 235, 93},	//520 QGlobalSpace::operator<(const char*, const QByteArray&)
    {33, 377, 178, 1, Smoke::mf_static, 299, 94},	//521 QGlobalSpace::qAtan(double)
    {33, 490, 580, 2, Smoke::mf_static, 302, 95},	//522 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {33, 352, 537, 2, Smoke::mf_static, 235, 96},	//523 QGlobalSpace::operator>=(QChar, QChar)
    {33, 366, 597, 2, Smoke::mf_static, 92, 97},	//524 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {33, 335, 537, 2, Smoke::mf_static, 235, 98},	//525 QGlobalSpace::operator<=(QChar, QChar)
    {33, 310, 600, 2, Smoke::mf_static, 275, 99},	//526 QGlobalSpace::operator*(const QPointF&, double)
    {33, 366, 603, 2, Smoke::mf_static, 71, 100},	//527 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption)
    {33, 328, 606, 2, Smoke::mf_static, 60, 101},	//528 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {33, 342, 609, 2, Smoke::mf_static, 235, 102},	//529 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {33, 366, 612, 2, Smoke::mf_static, 68, 103},	//530 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {33, 518, 551, 2, Smoke::mf_static, 0, 104},	//531 QGlobalSpace::qt_check_pointer(const char*, int)
    {33, 342, 577, 2, Smoke::mf_static, 235, 105},	//532 QGlobalSpace::operator==(QString::Null, QString::Null)
    {33, 303, 473, 2, Smoke::mf_static, 235, 106},	//533 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {33, 357, 615, 2, Smoke::mf_static, 57, 107},	//534 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {33, 303, 618, 2, Smoke::mf_static, 235, 108},	//535 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {33, 335, 621, 2, Smoke::mf_static, 235, 109},	//536 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {33, 476, 624, 2, Smoke::mf_static, 5, 110},	//537 QGlobalSpace::qUncompress(const unsigned char*, int)
    {33, 386, 627, 2, Smoke::mf_static, 5, 111},	//538 QGlobalSpace::qCompress(const QByteArray&, int)
    {33, 386, 190, 1, Smoke::mf_static, 5, 112},	//539 QGlobalSpace::qCompress(const QByteArray&)
    {33, 328, 630, 2, Smoke::mf_static, 57, 113},	//540 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {33, 357, 633, 2, Smoke::mf_static, 128, 114},	//541 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {33, 366, 636, 2, Smoke::mf_static, 102, 115},	//542 QGlobalSpace::operator|(Qt::DropAction, int)
    {33, 449, 639, 4, Smoke::mf_static, 326, 116},	//543 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {33, 366, 644, 2, Smoke::mf_static, 102, 117},	//544 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {33, 347, 409, 2, Smoke::mf_static, 235, 118},	//545 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {33, 469, 178, 1, Smoke::mf_static, 299, 119},	//546 QGlobalSpace::qSqrt(double)
    {33, 328, 633, 2, Smoke::mf_static, 128, 120},	//547 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {33, 328, 647, 2, Smoke::mf_static, 57, 121},	//548 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {33, 357, 650, 2, Smoke::mf_static, 244, 122},	//549 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {33, 328, 653, 2, Smoke::mf_static, 60, 123},	//550 QGlobalSpace::operator<<(QDebug, const QRect&)
    {33, 347, 476, 2, Smoke::mf_static, 235, 124},	//551 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {33, 352, 621, 2, Smoke::mf_static, 235, 125},	//552 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {33, 424, 532, 1, Smoke::mf_static, 302, 126},	//553 QGlobalSpace::qIntCast(float)
    {33, 366, 656, 2, Smoke::mf_static, 82, 127},	//554 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {33, 357, 659, 2, Smoke::mf_static, 244, 128},	//555 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {33, 342, 484, 2, Smoke::mf_static, 235, 129},	//556 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {33, 347, 580, 2, Smoke::mf_static, 235, 130},	//557 QGlobalSpace::operator>(const char*, const QByteArray&)
    {33, 399, 178, 1, Smoke::mf_static, 299, 131},	//558 QGlobalSpace::qFabs(double)
    {33, 417, 170, 1, Smoke::mf_static, 314, 132},	//559 QGlobalSpace::qHash(unsigned short)
    {33, 342, 580, 2, Smoke::mf_static, 235, 133},	//560 QGlobalSpace::operator==(const char*, const QByteArray&)
    {33, 366, 662, 2, Smoke::mf_static, 96, 134},	//561 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {33, 366, 665, 2, Smoke::mf_static, 81, 135},	//562 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {33, 328, 668, 2, Smoke::mf_static, 60, 136},	//563 QGlobalSpace::operator<<(QDebug, const QDir&)
    {33, 366, 671, 2, Smoke::mf_static, 94, 137},	//564 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {33, 303, 476, 2, Smoke::mf_static, 235, 138},	//565 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {33, 447, 674, 2, Smoke::mf_static, 326, 139},	//566 QGlobalSpace::qRealloc(void*, size_t)
    {33, 366, 677, 2, Smoke::mf_static, 87, 140},	//567 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {33, 366, 680, 2, Smoke::mf_static, 70, 141},	//568 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {33, 366, 683, 2, Smoke::mf_static, 102, 142},	//569 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {33, 342, 686, 2, Smoke::mf_static, 235, 143},	//570 QGlobalSpace::operator==(const QString&, QString::Null)
    {33, 366, 689, 2, Smoke::mf_static, 88, 144},	//571 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {33, 323, 692, 2, Smoke::mf_static, 235, 145},	//572 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {33, 480, 0, 0, Smoke::mf_static, 60, 146},	//573 QGlobalSpace::qWarning()
    {33, 366, 695, 2, Smoke::mf_static, 102, 147},	//574 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {33, 413, 554, 2, Smoke::mf_static, 235, 148},	//575 QGlobalSpace::qFuzzyCompare(double, double)
    {33, 335, 409, 2, Smoke::mf_static, 235, 149},	//576 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {33, 366, 698, 2, Smoke::mf_static, 80, 150},	//577 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {33, 366, 701, 2, Smoke::mf_static, 78, 151},	//578 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {33, 357, 704, 2, Smoke::mf_static, 57, 152},	//579 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {33, 328, 707, 2, Smoke::mf_static, 57, 153},	//580 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {33, 303, 710, 2, Smoke::mf_static, 235, 154},	//581 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {33, 310, 713, 2, Smoke::mf_static, 281, 155},	//582 QGlobalSpace::operator*(double, const QSize&)
    {33, 366, 716, 2, Smoke::mf_static, 86, 156},	//583 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {33, 396, 0, 0, Smoke::mf_static, 60, 157},	//584 QGlobalSpace::qDebug()
    {33, 357, 719, 2, Smoke::mf_static, 244, 158},	//585 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {33, 417, 174, 1, Smoke::mf_static, 314, 159},	//586 QGlobalSpace::qHash(long long)
    {33, 366, 722, 2, Smoke::mf_static, 93, 160},	//587 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {33, 335, 436, 2, Smoke::mf_static, 235, 161},	//588 QGlobalSpace::operator<=(const char*, const QString&)
    {33, 310, 725, 2, Smoke::mf_static, 273, 162},	//589 QGlobalSpace::operator*(const QPoint&, float)
    {33, 318, 728, 1, Smoke::mf_static, 275, 163},	//590 QGlobalSpace::operator-(const QPointF&)
    {33, 366, 730, 2, Smoke::mf_static, 102, 164},	//591 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {33, 428, 532, 1, Smoke::mf_static, 235, 165},	//592 QGlobalSpace::qIsInf(float)
    {33, 366, 733, 2, Smoke::mf_static, 102, 166},	//593 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {33, 313, 436, 2, Smoke::mf_static, 285, 167},	//594 QGlobalSpace::operator+(const char*, const QString&)
    {33, 357, 736, 2, Smoke::mf_static, 244, 168},	//595 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {33, 335, 580, 2, Smoke::mf_static, 235, 169},	//596 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {33, 328, 739, 2, Smoke::mf_static, 60, 170},	//597 QGlobalSpace::operator<<(QDebug, const QSize&)
    {33, 303, 621, 2, Smoke::mf_static, 235, 171},	//598 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {33, 347, 537, 2, Smoke::mf_static, 235, 172},	//599 QGlobalSpace::operator>(QChar, QChar)
    {33, 321, 427, 2, Smoke::mf_static, 283, 173},	//600 QGlobalSpace::operator/(const QSizeF&, double)
    {33, 366, 742, 2, Smoke::mf_static, 102, 174},	//601 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, int)
    {33, 366, 745, 2, Smoke::mf_static, 102, 175},	//602 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {33, 328, 748, 2, Smoke::mf_static, 60, 176},	//603 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {33, 490, 621, 2, Smoke::mf_static, 302, 177},	//604 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {33, 308, 591, 2, Smoke::mf_static, 2, 178},	//605 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {33, 328, 751, 2, Smoke::mf_static, 60, 179},	//606 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {33, 318, 754, 1, Smoke::mf_static, 273, 180},	//607 QGlobalSpace::operator-(const QPoint&)
    {33, 352, 433, 2, Smoke::mf_static, 235, 181},	//608 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {33, 394, 756, 3, Smoke::mf_static, 0, 182},	//609 QGlobalSpace::qDBusReplyFill(const QDBusMessage&, QDBusError&, QVariant&)
    {33, 357, 760, 2, Smoke::mf_static, 244, 183},	//610 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {33, 357, 763, 2, Smoke::mf_static, 244, 184},	//611 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {33, 366, 766, 2, Smoke::mf_static, 102, 185},	//612 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {33, 328, 769, 2, Smoke::mf_static, 57, 186},	//613 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {33, 328, 772, 2, Smoke::mf_static, 60, 187},	//614 QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    {33, 366, 775, 2, Smoke::mf_static, 72, 188},	//615 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {33, 366, 778, 2, Smoke::mf_static, 82, 189},	//616 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {33, 352, 473, 2, Smoke::mf_static, 235, 190},	//617 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {33, 357, 781, 2, Smoke::mf_static, 244, 191},	//618 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {33, 357, 784, 2, Smoke::mf_static, 244, 192},	//619 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {33, 323, 476, 2, Smoke::mf_static, 235, 193},	//620 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {33, 303, 787, 2, Smoke::mf_static, 235, 194},	//621 QGlobalSpace::operator!=(QBool, QBool)
    {33, 366, 790, 2, Smoke::mf_static, 70, 195},	//622 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {33, 313, 793, 2, Smoke::mf_static, 285, 196},	//623 QGlobalSpace::operator+(const QString&, char)
    {33, 303, 796, 2, Smoke::mf_static, 235, 197},	//624 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {33, 417, 176, 1, Smoke::mf_static, 314, 198},	//625 QGlobalSpace::qHash(unsigned long long)
    {33, 328, 799, 2, Smoke::mf_static, 13, 199},	//626 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {33, 342, 473, 2, Smoke::mf_static, 235, 200},	//627 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {33, 405, 1, 1, Smoke::mf_static, 296, 201},	//628 QGlobalSpace::qFlagLocation(const char*)
    {33, 321, 600, 2, Smoke::mf_static, 275, 202},	//629 QGlobalSpace::operator/(const QPointF&, double)
    {33, 424, 178, 1, Smoke::mf_static, 302, 203},	//630 QGlobalSpace::qIntCast(double)
    {33, 366, 802, 2, Smoke::mf_static, 102, 204},	//631 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {33, 476, 190, 1, Smoke::mf_static, 5, 205},	//632 QGlobalSpace::qUncompress(const QByteArray&)
    {33, 303, 448, 2, Smoke::mf_static, 235, 206},	//633 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {33, 328, 805, 2, Smoke::mf_static, 60, 207},	//634 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {33, 342, 808, 2, Smoke::mf_static, 235, 208},	//635 QGlobalSpace::operator==(QString::Null, const QString&)
    {33, 335, 433, 2, Smoke::mf_static, 235, 209},	//636 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {33, 401, 178, 1, Smoke::mf_static, 299, 210},	//637 QGlobalSpace::qFastCos(double)
    {33, 453, 811, 1, Smoke::mf_static, 0, 211},	//638 QGlobalSpace::qRemovePostRoutine(void(*)())
    {33, 366, 813, 2, Smoke::mf_static, 80, 212},	//639 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {33, 366, 816, 2, Smoke::mf_static, 88, 213},	//640 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {33, 357, 819, 2, Smoke::mf_static, 57, 214},	//641 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {33, 413, 822, 2, Smoke::mf_static, 235, 215},	//642 QGlobalSpace::qFuzzyCompare(float, float)
    {33, 328, 825, 2, Smoke::mf_static, 57, 216},	//643 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {33, 384, 496, 2, Smoke::mf_static, 319, 217},	//644 QGlobalSpace::qChecksum(const char*, unsigned int)
    {33, 342, 692, 2, Smoke::mf_static, 235, 218},	//645 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {33, 357, 828, 2, Smoke::mf_static, 57, 219},	//646 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {33, 310, 831, 2, Smoke::mf_static, 281, 220},	//647 QGlobalSpace::operator*(const QSize&, double)
    {33, 422, 834, 1, Smoke::mf_static, 324, 221},	//648 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {33, 328, 836, 2, Smoke::mf_static, 128, 222},	//649 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {33, 318, 594, 2, Smoke::mf_static, 273, 223},	//650 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {33, 366, 839, 2, Smoke::mf_static, 85, 224},	//651 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {33, 357, 842, 2, Smoke::mf_static, 57, 225},	//652 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {33, 366, 845, 2, Smoke::mf_static, 73, 226},	//653 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {33, 393, 0, 0, Smoke::mf_static, 60, 227},	//654 QGlobalSpace::qCritical()
    {33, 444, 554, 2, Smoke::mf_static, 299, 228},	//655 QGlobalSpace::qPow(double, double)
    {33, 321, 848, 2, Smoke::mf_static, 273, 229},	//656 QGlobalSpace::operator/(const QPoint&, double)
    {33, 328, 851, 2, Smoke::mf_static, 57, 230},	//657 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {33, 328, 854, 2, Smoke::mf_static, 57, 231},	//658 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {33, 303, 808, 2, Smoke::mf_static, 235, 232},	//659 QGlobalSpace::operator!=(QString::Null, const QString&)
    {33, 417, 18, 1, Smoke::mf_static, 314, 233},	//660 QGlobalSpace::qHash(int)
    {33, 366, 857, 2, Smoke::mf_static, 89, 234},	//661 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {33, 528, 0, 0, Smoke::mf_static, 0, 235},	//662 QGlobalSpace::qt_noop()
    {33, 342, 487, 2, Smoke::mf_static, 235, 236},	//663 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {33, 366, 860, 2, Smoke::mf_static, 102, 237},	//664 QGlobalSpace::operator|(Qt::WindowState, int)
    {33, 303, 526, 2, Smoke::mf_static, 235, 238},	//665 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {33, 357, 863, 2, Smoke::mf_static, 57, 239},	//666 QGlobalSpace::operator>>(QDataStream&, QString&)
    {33, 529, 866, 3, Smoke::mf_static, 111, 240},	//667 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {33, 328, 870, 2, Smoke::mf_static, 57, 241},	//668 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {33, 342, 787, 2, Smoke::mf_static, 235, 242},	//669 QGlobalSpace::operator==(QBool, QBool)
    {33, 397, 178, 1, Smoke::mf_static, 299, 243},	//670 QGlobalSpace::qExp(double)
    {33, 357, 873, 2, Smoke::mf_static, 57, 244},	//671 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {33, 357, 876, 2, Smoke::mf_static, 57, 245},	//672 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {33, 366, 879, 2, Smoke::mf_static, 92, 246},	//673 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {33, 342, 882, 2, Smoke::mf_static, 235, 247},	//674 QGlobalSpace::operator==(bool, QBool)
    {33, 366, 885, 2, Smoke::mf_static, 83, 248},	//675 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {33, 415, 178, 1, Smoke::mf_static, 235, 249},	//676 QGlobalSpace::qFuzzyIsNull(double)
    {33, 357, 888, 2, Smoke::mf_static, 57, 250},	//677 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {33, 533, 891, 3, Smoke::mf_static, 235, 251},	//678 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {33, 323, 436, 2, Smoke::mf_static, 235, 252},	//679 QGlobalSpace::operator<(const char*, const QString&)
    {33, 342, 895, 2, Smoke::mf_static, 235, 253},	//680 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {33, 481, 898, 3, Smoke::mf_static, 0, 254},	//681 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {33, 417, 540, 1, Smoke::mf_static, 314, 255},	//682 QGlobalSpace::qHash(QChar)
    {33, 366, 902, 2, Smoke::mf_static, 102, 256},	//683 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {33, 328, 905, 2, Smoke::mf_static, 57, 257},	//684 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {33, 303, 895, 2, Smoke::mf_static, 235, 258},	//685 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {33, 323, 409, 2, Smoke::mf_static, 235, 259},	//686 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {33, 357, 908, 2, Smoke::mf_static, 244, 260},	//687 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {33, 303, 882, 2, Smoke::mf_static, 235, 261},	//688 QGlobalSpace::operator!=(bool, QBool)
    {33, 522, 911, 2, Smoke::mf_static, 0, 262},	//689 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {33, 366, 914, 2, Smoke::mf_static, 76, 263},	//690 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {33, 488, 172, 1, Smoke::mf_static, 0, 264},	//691 QGlobalSpace::qsrand(unsigned int)
    {33, 342, 917, 2, Smoke::mf_static, 235, 265},	//692 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {33, 313, 920, 2, Smoke::mf_static, 285, 266},	//693 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {33, 366, 923, 2, Smoke::mf_static, 84, 267},	//694 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {33, 328, 926, 2, Smoke::mf_static, 60, 268},	//695 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {33, 366, 929, 2, Smoke::mf_static, 102, 269},	//696 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {33, 357, 932, 2, Smoke::mf_static, 57, 270},	//697 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {33, 303, 686, 2, Smoke::mf_static, 235, 271},	//698 QGlobalSpace::operator!=(const QString&, QString::Null)
    {33, 499, 3, 2, Smoke::mf_static, 302, 272},	//699 QGlobalSpace::qstricmp(const char*, const char*)
    {33, 366, 935, 2, Smoke::mf_static, 100, 273},	//700 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {33, 442, 938, 3, Smoke::mf_static, 326, 274},	//701 QGlobalSpace::qMemSet(void*, int, size_t)
    {33, 328, 942, 2, Smoke::mf_static, 60, 275},	//702 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {33, 303, 457, 2, Smoke::mf_static, 235, 276},	//703 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {33, 382, 178, 1, Smoke::mf_static, 302, 277},	//704 QGlobalSpace::qCeil(double)
    {33, 417, 945, 1, Smoke::mf_static, 314, 278},	//705 QGlobalSpace::qHash(signed char)
    {33, 328, 947, 2, Smoke::mf_static, 13, 279},	//706 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {33, 366, 950, 2, Smoke::mf_static, 100, 280},	//707 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {33, 342, 517, 2, Smoke::mf_static, 235, 281},	//708 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {33, 366, 953, 2, Smoke::mf_static, 99, 282},	//709 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {33, 342, 796, 2, Smoke::mf_static, 235, 283},	//710 QGlobalSpace::operator==(const char*, const QStringRef&)
    {33, 328, 956, 2, Smoke::mf_static, 60, 284},	//711 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {33, 357, 959, 2, Smoke::mf_static, 57, 285},	//712 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {33, 366, 962, 2, Smoke::mf_static, 102, 286},	//713 QGlobalSpace::operator|(QFile::Permission, int)
    {33, 313, 594, 2, Smoke::mf_static, 273, 287},	//714 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {33, 313, 433, 2, Smoke::mf_static, 241, 288},	//715 QGlobalSpace::operator+(const QByteArray&, const char*)
    {33, 372, 811, 1, Smoke::mf_static, 0, 289},	//716 QGlobalSpace::qAddPostRoutine(void(*)())
    {33, 451, 965, 1, Smoke::mf_static, 0, 290},	//717 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {33, 310, 967, 2, Smoke::mf_static, 275, 291},	//718 QGlobalSpace::operator*(double, const QPointF&)
    {33, 310, 970, 2, Smoke::mf_static, 273, 292},	//719 QGlobalSpace::operator*(int, const QPoint&)
    {33, 466, 0, 0, Smoke::mf_static, 235, 293},	//720 QGlobalSpace::qSharedBuild()
    {33, 328, 973, 2, Smoke::mf_static, 57, 294},	//721 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {33, 328, 976, 2, Smoke::mf_static, 57, 295},	//722 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {33, 357, 979, 2, Smoke::mf_static, 57, 296},	//723 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {33, 328, 982, 2, Smoke::mf_static, 13, 297},	//724 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {33, 421, 0, 0, Smoke::mf_static, 299, 298},	//725 QGlobalSpace::qInf()
    {33, 507, 469, 3, Smoke::mf_static, 302, 299},	//726 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {33, 417, 985, 1, Smoke::mf_static, 314, 300},	//727 QGlobalSpace::qHash(const QStringRef&)
    {33, 357, 987, 2, Smoke::mf_static, 57, 301},	//728 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {33, 366, 990, 2, Smoke::mf_static, 102, 302},	//729 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {33, 328, 993, 2, Smoke::mf_static, 57, 303},	//730 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {33, 347, 621, 2, Smoke::mf_static, 235, 304},	//731 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {33, 342, 537, 2, Smoke::mf_static, 235, 305},	//732 QGlobalSpace::operator==(QChar, QChar)
    {33, 391, 178, 1, Smoke::mf_static, 299, 306},	//733 QGlobalSpace::qCos(double)
    {33, 357, 996, 2, Smoke::mf_static, 244, 307},	//734 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {33, 438, 999, 2, Smoke::mf_static, 326, 308},	//735 QGlobalSpace::qMallocAligned(size_t, size_t)
    {33, 328, 1002, 2, Smoke::mf_static, 57, 309},	//736 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {33, 313, 1005, 2, Smoke::mf_static, 285, 310},	//737 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {33, 516, 1008, 4, Smoke::mf_static, 0, 311},	//738 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {33, 357, 1013, 2, Smoke::mf_static, 244, 312},	//739 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {33, 366, 1016, 2, Smoke::mf_static, 84, 313},	//740 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {33, 328, 1019, 2, Smoke::mf_static, 13, 314},	//741 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {33, 366, 1022, 2, Smoke::mf_static, 76, 315},	//742 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {33, 313, 1025, 2, Smoke::mf_static, 241, 316},	//743 QGlobalSpace::operator+(const QByteArray&, char)
    {33, 366, 1028, 2, Smoke::mf_static, 79, 317},	//744 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {33, 479, 0, 0, Smoke::mf_static, 296, 318},	//745 QGlobalSpace::qVersion()
    {33, 366, 1031, 2, Smoke::mf_static, 85, 319},	//746 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {33, 328, 1034, 2, Smoke::mf_static, 13, 320},	//747 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {33, 328, 1037, 2, Smoke::mf_static, 13, 321},	//748 QGlobalSpace::operator<<(QDBusArgument&, const QHash<QString,QVariant>&)
    {33, 328, 1040, 2, Smoke::mf_static, 57, 322},	//749 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {33, 313, 484, 2, Smoke::mf_static, 275, 323},	//750 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {33, 342, 436, 2, Smoke::mf_static, 235, 324},	//751 QGlobalSpace::operator==(const char*, const QString&)
    {33, 366, 1043, 2, Smoke::mf_static, 78, 325},	//752 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {33, 328, 1046, 2, Smoke::mf_static, 57, 326},	//753 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {33, 328, 1049, 2, Smoke::mf_static, 60, 327},	//754 QGlobalSpace::operator<<(QDebug, const QDBusError&)
    {33, 366, 1052, 2, Smoke::mf_static, 102, 328},	//755 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {33, 342, 710, 2, Smoke::mf_static, 235, 329},	//756 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {33, 471, 1055, 2, Smoke::mf_static, 235, 330},	//757 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {33, 366, 1058, 2, Smoke::mf_static, 74, 331},	//758 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {33, 328, 1061, 2, Smoke::mf_static, 57, 332},	//759 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {33, 313, 1064, 2, Smoke::mf_static, 241, 333},	//760 QGlobalSpace::operator+(char, const QByteArray&)
    {33, 313, 1067, 2, Smoke::mf_static, 285, 334},	//761 QGlobalSpace::operator+(const QString&, const char*)
    {33, 366, 1070, 2, Smoke::mf_static, 102, 335},	//762 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {33, 323, 621, 2, Smoke::mf_static, 235, 336},	//763 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {33, 386, 1073, 3, Smoke::mf_static, 5, 337},	//764 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {33, 386, 624, 2, Smoke::mf_static, 5, 338},	//765 QGlobalSpace::qCompress(const unsigned char*, int)
    {33, 407, 178, 1, Smoke::mf_static, 302, 339},	//766 QGlobalSpace::qFloor(double)
    {33, 366, 1077, 2, Smoke::mf_static, 95, 340},	//767 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {33, 417, 68, 1, Smoke::mf_static, 314, 341},	//768 QGlobalSpace::qHash(const QString&)
    {33, 313, 289, 2, Smoke::mf_static, 285, 342},	//769 QGlobalSpace::operator+(const QString&, const QString&)
    {33, 303, 1080, 2, Smoke::mf_static, 235, 343},	//770 QGlobalSpace::operator!=(QBool, bool)
    {33, 342, 621, 2, Smoke::mf_static, 235, 344},	//771 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {33, 342, 1083, 2, Smoke::mf_static, 235, 345},	//772 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {33, 328, 1086, 2, Smoke::mf_static, 13, 346},	//773 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {33, 328, 1089, 2, Smoke::mf_static, 57, 347},	//774 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {33, 430, 532, 1, Smoke::mf_static, 235, 348},	//775 QGlobalSpace::qIsNaN(float)
    {33, 328, 1092, 2, Smoke::mf_static, 57, 349},	//776 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {33, 366, 1095, 2, Smoke::mf_static, 102, 350},	//777 QGlobalSpace::operator|(QDir::SortFlag, int)
    {33, 303, 692, 2, Smoke::mf_static, 235, 351},	//778 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {33, 440, 1098, 3, Smoke::mf_static, 326, 352},	//779 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {33, 409, 1102, 1, Smoke::mf_static, 0, 353},	//780 QGlobalSpace::qFree(void*)
    {33, 342, 1055, 2, Smoke::mf_static, 235, 354},	//781 QGlobalSpace::operator==(const QStringRef&, const char*)
    {33, 352, 436, 2, Smoke::mf_static, 235, 355},	//782 QGlobalSpace::operator>=(const char*, const QString&)
    {33, 430, 178, 1, Smoke::mf_static, 235, 356},	//783 QGlobalSpace::qIsNaN(double)
    {33, 366, 1104, 2, Smoke::mf_static, 97, 357},	//784 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {33, 310, 848, 2, Smoke::mf_static, 273, 358},	//785 QGlobalSpace::operator*(const QPoint&, double)
    {33, 366, 1107, 2, Smoke::mf_static, 102, 359},	//786 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {33, 328, 1110, 2, Smoke::mf_static, 60, 360},	//787 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {33, 464, 18, 1, Smoke::mf_static, 131, 361},	//788 QGlobalSpace::qSetRealNumberPrecision(int)
    {33, 487, 0, 0, Smoke::mf_static, 302, 362},	//789 QGlobalSpace::qrand()
    {33, 357, 1113, 2, Smoke::mf_static, 57, 363},	//790 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {33, 417, 1116, 1, Smoke::mf_static, 314, 364},	//791 QGlobalSpace::qHash(const QUrl&)
    {33, 366, 1118, 2, Smoke::mf_static, 98, 365},	//792 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {33, 313, 621, 2, Smoke::mf_static, 241, 366},	//793 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {33, 310, 1121, 2, Smoke::mf_static, 273, 367},	//794 QGlobalSpace::operator*(float, const QPoint&)
    {33, 310, 1124, 2, Smoke::mf_static, 273, 368},	//795 QGlobalSpace::operator*(double, const QPoint&)
    {33, 303, 1055, 2, Smoke::mf_static, 235, 369},	//796 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {33, 467, 178, 1, Smoke::mf_static, 299, 370},	//797 QGlobalSpace::qSin(double)
    {33, 328, 1127, 2, Smoke::mf_static, 60, 371},	//798 QGlobalSpace::operator<<(QDebug, const QObject*)
    {33, 342, 594, 2, Smoke::mf_static, 235, 372},	//799 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {33, 366, 1130, 2, Smoke::mf_static, 77, 373},	//800 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {33, 514, 6, 3, Smoke::mf_static, 0, 374},	//801 QGlobalSpace::qt_assert(const char*, const char*, int)
    {33, 328, 1133, 2, Smoke::mf_static, 60, 375},	//802 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {33, 501, 1, 1, Smoke::mf_static, 314, 376},	//803 QGlobalSpace::qstrlen(const char*)
    {33, 366, 1136, 2, Smoke::mf_static, 83, 377},	//804 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {33, 366, 1139, 2, Smoke::mf_static, 74, 378},	//805 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {33, 428, 178, 1, Smoke::mf_static, 235, 379},	//806 QGlobalSpace::qIsInf(double)
    {33, 318, 457, 2, Smoke::mf_static, 281, 380},	//807 QGlobalSpace::operator-(const QSize&, const QSize&)
    {33, 321, 831, 2, Smoke::mf_static, 281, 381},	//808 QGlobalSpace::operator/(const QSize&, double)
    {33, 352, 580, 2, Smoke::mf_static, 235, 382},	//809 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {33, 366, 1142, 2, Smoke::mf_static, 102, 383},	//810 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {33, 366, 1145, 2, Smoke::mf_static, 102, 384},	//811 QGlobalSpace::operator|(QDir::Filter, int)
    {33, 303, 580, 2, Smoke::mf_static, 235, 385},	//812 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {33, 474, 178, 1, Smoke::mf_static, 299, 386},	//813 QGlobalSpace::qTan(double)
    {33, 457, 178, 1, Smoke::mf_static, 305, 387},	//814 QGlobalSpace::qRound64(double)
    {33, 417, 1148, 1, Smoke::mf_static, 314, 388},	//815 QGlobalSpace::qHash(unsigned long)
    {33, 328, 1150, 2, Smoke::mf_static, 13, 389},	//816 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {33, 366, 1153, 2, Smoke::mf_static, 68, 390},	//817 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {33, 459, 0, 0, Smoke::mf_static, 299, 391},	//818 QGlobalSpace::qSNaN()
    {33, 323, 537, 2, Smoke::mf_static, 235, 392},	//819 QGlobalSpace::operator<(QChar, QChar)
    {33, 366, 1156, 2, Smoke::mf_static, 94, 393},	//820 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {33, 366, 1159, 2, Smoke::mf_static, 87, 394},	//821 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {33, 318, 710, 2, Smoke::mf_static, 283, 395},	//822 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {33, 436, 1162, 1, Smoke::mf_static, 326, 396},	//823 QGlobalSpace::qMalloc(size_t)
    {33, 432, 178, 1, Smoke::mf_static, 235, 397},	//824 QGlobalSpace::qIsNull(double)
    {33, 485, 580, 2, Smoke::mf_static, 235, 398},	//825 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {33, 366, 1164, 2, Smoke::mf_static, 102, 399},	//826 QGlobalSpace::operator|(Qt::Orientation, int)
    {33, 357, 1167, 2, Smoke::mf_static, 57, 400},	//827 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {33, 366, 1170, 2, Smoke::mf_static, 102, 401},	//828 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {33, 357, 1173, 2, Smoke::mf_static, 57, 402},	//829 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {33, 415, 532, 1, Smoke::mf_static, 235, 403},	//830 QGlobalSpace::qFuzzyIsNull(float)
    {33, 328, 1176, 2, Smoke::mf_static, 57, 404},	//831 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {33, 417, 182, 1, Smoke::mf_static, 314, 405},	//832 QGlobalSpace::qHash(const QDBusObjectPath&)
    {33, 328, 1179, 2, Smoke::mf_static, 60, 406},	//833 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {33, 417, 1182, 1, Smoke::mf_static, 314, 407},	//834 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {33, 366, 1184, 2, Smoke::mf_static, 102, 408},	//835 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {33, 328, 1187, 2, Smoke::mf_static, 60, 409},	//836 QGlobalSpace::operator<<(QDebug, const QTime&)
    {33, 366, 1190, 2, Smoke::mf_static, 98, 410},	//837 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {33, 347, 433, 2, Smoke::mf_static, 235, 411},	//838 QGlobalSpace::operator>(const QByteArray&, const char*)
    {33, 303, 917, 2, Smoke::mf_static, 235, 412},	//839 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {33, 366, 1193, 2, Smoke::mf_static, 89, 413},	//840 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {33, 303, 436, 2, Smoke::mf_static, 235, 414},	//841 QGlobalSpace::operator!=(const char*, const QString&)
    {33, 460, 18, 1, Smoke::mf_static, 131, 415},	//842 QGlobalSpace::qSetFieldWidth(int)
    {33, 471, 1067, 2, Smoke::mf_static, 235, 416},	//843 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {33, 366, 1196, 2, Smoke::mf_static, 99, 417},	//844 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {33, 366, 1199, 2, Smoke::mf_static, 86, 418},	//845 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {33, 366, 1202, 2, Smoke::mf_static, 102, 419},	//846 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {33, 323, 473, 2, Smoke::mf_static, 235, 420},	//847 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {33, 310, 1205, 2, Smoke::mf_static, 283, 421},	//848 QGlobalSpace::operator*(double, const QSizeF&)
    {33, 352, 476, 2, Smoke::mf_static, 235, 422},	//849 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {33, 328, 1208, 2, Smoke::mf_static, 60, 423},	//850 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {33, 417, 190, 1, Smoke::mf_static, 314, 424},	//851 QGlobalSpace::qHash(const QByteArray&)
    {33, 342, 502, 2, Smoke::mf_static, 235, 425},	//852 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {33, 417, 1211, 1, Smoke::mf_static, 314, 426},	//853 QGlobalSpace::qHash(const QModelIndex&)
    {33, 366, 1213, 2, Smoke::mf_static, 102, 427},	//854 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {33, 310, 1216, 2, Smoke::mf_static, 273, 428},	//855 QGlobalSpace::operator*(const QPoint&, int)
    {33, 342, 618, 2, Smoke::mf_static, 235, 429},	//856 QGlobalSpace::operator==(const QRect&, const QRect&)
    {33, 366, 1219, 2, Smoke::mf_static, 93, 430},	//857 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {33, 366, 1222, 2, Smoke::mf_static, 90, 431},	//858 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {33, 411, 1102, 1, Smoke::mf_static, 0, 432},	//859 QGlobalSpace::qFreeAligned(void*)
    {33, 366, 1225, 2, Smoke::mf_static, 95, 433},	//860 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {33, 328, 1228, 2, Smoke::mf_static, 60, 434},	//861 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {33, 342, 433, 2, Smoke::mf_static, 235, 435},	//862 QGlobalSpace::operator==(const QByteArray&, const char*)
    {33, 366, 1231, 2, Smoke::mf_static, 102, 436},	//863 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {33, 342, 460, 2, Smoke::mf_static, 235, 437},	//864 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {33, 366, 1234, 2, Smoke::mf_static, 102, 438},	//865 QGlobalSpace::operator|(Qt::MouseButton, int)
    {33, 434, 178, 1, Smoke::mf_static, 299, 439},	//866 QGlobalSpace::qLn(double)
    {33, 342, 1080, 2, Smoke::mf_static, 235, 440},	//867 QGlobalSpace::operator==(QBool, bool)
    {33, 303, 433, 2, Smoke::mf_static, 235, 441},	//868 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {33, 364, 591, 2, Smoke::mf_static, 2, 442},	//869 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {33, 375, 178, 1, Smoke::mf_static, 299, 443},	//870 QGlobalSpace::qAsin(double)
    {33, 357, 1237, 2, Smoke::mf_static, 57, 444},	//871 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {33, 381, 0, 0, Smoke::mf_static, 0, 445},	//872 QGlobalSpace::qBadAlloc()
    {33, 366, 1240, 2, Smoke::mf_static, 102, 446},	//873 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {33, 366, 1243, 2, Smoke::mf_static, 102, 447},	//874 QGlobalSpace::operator|(QString::SectionFlag, int)
    {33, 313, 1246, 2, Smoke::mf_static, 285, 448},	//875 QGlobalSpace::operator+(char, const QString&)
    {33, 328, 1249, 2, Smoke::mf_static, 57, 449},	//876 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {33, 426, 532, 1, Smoke::mf_static, 235, 450},	//877 QGlobalSpace::qIsFinite(float)
    {33, 366, 1252, 2, Smoke::mf_static, 73, 451},	//878 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {33, 313, 710, 2, Smoke::mf_static, 283, 452},	//879 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {33, 366, 1255, 2, Smoke::mf_static, 81, 453},	//880 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {33, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 304, 454},	//881 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {33, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 304, 455},	//882 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {33, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 304, 456},	//883 QGlobalSpace::Q_STATIC_TYPE (enum)
    {33, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 304, 457},	//884 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {33, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 304, 458},	//885 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {33, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 459},	//886 QGlobalSpace::LicensedGui (enum)
    {33, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 460},	//887 QGlobalSpace::LicensedXml (enum)
    {33, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 461},	//888 QGlobalSpace::LicensedQt3SupportLight (enum)
    {33, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 462},	//889 QGlobalSpace::LicensedScript (enum)
    {33, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 463},	//890 QGlobalSpace::LicensedOpenVG (enum)
    {33, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 464},	//891 QGlobalSpace::LicensedDBus (enum)
    {33, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 465},	//892 QGlobalSpace::LicensedTest (enum)
    {33, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 466},	//893 QGlobalSpace::LicensedActiveQt (enum)
    {33, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 467},	//894 QGlobalSpace::LicensedScriptTools (enum)
    {33, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 468},	//895 QGlobalSpace::LicensedSvg (enum)
    {33, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 469},	//896 QGlobalSpace::LicensedDeclarative (enum)
    {33, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 470},	//897 QGlobalSpace::LicensedSql (enum)
    {33, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 471},	//898 QGlobalSpace::LicensedOpenGL (enum)
    {33, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 472},	//899 QGlobalSpace::LicensedCore (enum)
    {33, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 473},	//900 QGlobalSpace::QtDebugMsg (enum)
    {33, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 474},	//901 QGlobalSpace::QtWarningMsg (enum)
    {33, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 475},	//902 QGlobalSpace::QtCriticalMsg (enum)
    {33, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 476},	//903 QGlobalSpace::QtFatalMsg (enum)
    {33, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 477},	//904 QGlobalSpace::QtSystemMsg (enum)
    {33, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 478},	//905 QGlobalSpace::LicensedHelp (enum)
    {33, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 479},	//906 QGlobalSpace::LicensedMultimedia (enum)
    {33, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 480},	//907 QGlobalSpace::LicensedQt3Support (enum)
    {33, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 481},	//908 QGlobalSpace::LicensedXmlPatterns (enum)
    {33, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 482},	//909 QGlobalSpace::LicensedNetwork (enum)
    {43, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//910 QObject::metaObject() const
    {43, 526, 1, 1, Smoke::mf_virtual, 326, 0},	//911 QObject::qt_metacast(const char*)
    {43, 266, 1258, 1, Smoke::mf_virtual, 235, 0},	//912 QObject::event(QEvent*)
    {43, 267, 1260, 2, Smoke::mf_virtual, 235, 0},	//913 QObject::eventFilter(QObject*, QEvent*)
    {43, 597, 1263, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//914 QObject::timerEvent(QTimerEvent*)
    {43, 216, 1265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//915 QObject::childEvent(QChildEvent*)
    {43, 244, 1258, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//916 QObject::customEvent(QEvent*)
    {43, 221, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//917 QObject::connectNotify(const char*)
    {43, 255, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//918 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    315,  // QDBusMessage::createError(const QString&, const QString&)
    317,  // QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    0,
    320,  // QDBusMessage::createErrorReply(const QString, const QString&) const
    322,  // QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    263,  // QDBusError::QDBusError(const DBusError*)
    264,  // QDBusError::QDBusError(const QDBusMessage&)
    266,  // QDBusError::QDBusError(const QDBusError&)
    0,
    260,  // QDBusContext::sendErrorReply(const QString&) const
    261,  // QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    0,
    257,  // QDBusContext::sendErrorReply(const QString&, const QString&) const
    258,  // QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    152,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    178,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    0,
    169,  // QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    170,  // QDBusConnection::connectToBus(const QString&, const QString&)
    0,
    464,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    472,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    477,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    488,  // QGlobalSpace::operator!=(QChar, QChar)
    512,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    519,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    533,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    535,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    565,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    581,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    598,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    621,  // QGlobalSpace::operator!=(QBool, QBool)
    633,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    665,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    703,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    839,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    659,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    685,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    770,  // QGlobalSpace::operator!=(QBool, bool)
    796,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    868,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    465,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    514,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    624,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    688,  // QGlobalSpace::operator!=(bool, QBool)
    698,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    812,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    484,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    778,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    841,  // QGlobalSpace::operator!=(const char*, const QString&)
    0,
    444,  // QGlobalSpace::operator*(const QSizeF&, double)
    526,  // QGlobalSpace::operator*(const QPointF&, double)
    589,  // QGlobalSpace::operator*(const QPoint&, float)
    647,  // QGlobalSpace::operator*(const QSize&, double)
    785,  // QGlobalSpace::operator*(const QPoint&, double)
    855,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    582,  // QGlobalSpace::operator*(double, const QSize&)
    718,  // QGlobalSpace::operator*(double, const QPointF&)
    719,  // QGlobalSpace::operator*(int, const QPoint&)
    794,  // QGlobalSpace::operator*(float, const QPoint&)
    795,  // QGlobalSpace::operator*(double, const QPoint&)
    848,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    468,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    714,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    750,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    793,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    879,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    458,  // QGlobalSpace::operator+(QChar, const QString&)
    693,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    715,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    743,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    467,  // QGlobalSpace::operator+(const QString&, QChar)
    513,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    737,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    760,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    594,  // QGlobalSpace::operator+(const char*, const QString&)
    623,  // QGlobalSpace::operator+(const QString&, char)
    761,  // QGlobalSpace::operator+(const QString&, const char*)
    769,  // QGlobalSpace::operator+(const QString&, const QString&)
    875,  // QGlobalSpace::operator+(char, const QString&)
    0,
    590,  // QGlobalSpace::operator-(const QPointF&)
    607,  // QGlobalSpace::operator-(const QPoint&)
    0,
    494,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    650,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    807,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    822,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    600,  // QGlobalSpace::operator/(const QSizeF&, double)
    629,  // QGlobalSpace::operator/(const QPointF&, double)
    656,  // QGlobalSpace::operator/(const QPoint&, double)
    808,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    620,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    763,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    819,  // QGlobalSpace::operator<(QChar, QChar)
    847,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    520,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    686,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    456,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    572,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    679,  // QGlobalSpace::operator<(const char*, const QString&)
    0,
    430,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    432,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    435,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    439,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    445,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    473,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    474,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    476,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    492,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    500,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    510,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    528,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    547,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    548,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    550,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    563,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    580,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    597,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    603,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    606,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    613,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    614,  // QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    626,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    634,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    643,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    649,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    657,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    658,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    668,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    684,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    702,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    706,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    711,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    721,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    722,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    724,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    730,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    736,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    741,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    749,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    753,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    754,  // QGlobalSpace::operator<<(QDebug, const QDBusError&)
    759,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    773,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    776,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    787,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    798,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    802,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    816,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    831,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    833,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    836,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    850,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    876,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    0,
    454,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    498,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    540,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    695,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    861,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    0,
    453,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    747,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    748,  // QGlobalSpace::operator<<(QDBusArgument&, const QHash<QString,QVariant>&)
    774,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    0,
    461,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    462,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    525,  // QGlobalSpace::operator<=(QChar, QChar)
    536,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    576,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    596,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    452,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    455,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    470,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    480,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    529,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    532,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    556,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    627,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    669,  // QGlobalSpace::operator==(QBool, QBool)
    692,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    708,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    732,  // QGlobalSpace::operator==(QChar, QChar)
    756,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    771,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    772,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    799,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    852,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    856,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    635,  // QGlobalSpace::operator==(QString::Null, const QString&)
    680,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    781,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    862,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    867,  // QGlobalSpace::operator==(QBool, bool)
    0,
    501,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    560,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    570,  // QGlobalSpace::operator==(const QString&, QString::Null)
    663,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    674,  // QGlobalSpace::operator==(bool, QBool)
    710,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    645,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    751,  // QGlobalSpace::operator==(const char*, const QString&)
    864,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    0,
    511,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    551,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    599,  // QGlobalSpace::operator>(QChar, QChar)
    731,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    545,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    557,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    523,  // QGlobalSpace::operator>=(QChar, QChar)
    552,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    617,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    849,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    436,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    809,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    433,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    437,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    449,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    466,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    471,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    483,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    491,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    534,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    541,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    549,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    555,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    579,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    585,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    595,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    610,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    611,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    618,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    619,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    641,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    646,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    652,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    671,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    672,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    677,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    687,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    697,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    723,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    728,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    734,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    739,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    790,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    829,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    871,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    666,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    827,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    429,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    434,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    440,  // QGlobalSpace::operator|(Qt::WindowType, int)
    450,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    451,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    459,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>)
    475,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    486,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    493,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    502,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    504,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    508,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    516,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    524,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    527,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption)
    530,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    542,  // QGlobalSpace::operator|(Qt::DropAction, int)
    544,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    554,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    561,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    562,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    564,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    567,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    568,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    569,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    571,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    574,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    577,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    578,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    583,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    587,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    591,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    593,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    601,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, int)
    602,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    612,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    615,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    616,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    622,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    631,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    639,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    640,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    651,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    653,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    661,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    664,  // QGlobalSpace::operator|(Qt::WindowState, int)
    673,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    675,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    683,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    690,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    694,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    696,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    700,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    707,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    709,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    713,  // QGlobalSpace::operator|(QFile::Permission, int)
    729,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    740,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    742,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    744,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    746,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    752,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    755,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    758,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    762,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    767,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    777,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    784,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    786,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    792,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    800,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    804,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    805,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    810,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    811,  // QGlobalSpace::operator|(QDir::Filter, int)
    817,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    820,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    821,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    826,  // QGlobalSpace::operator|(Qt::Orientation, int)
    828,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    835,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    837,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    840,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    844,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    845,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    846,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    854,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    857,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    858,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    860,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    863,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    865,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    873,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    874,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    878,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    880,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
    575,  // QGlobalSpace::qFuzzyCompare(double, double)
    642,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    676,  // QGlobalSpace::qFuzzyIsNull(double)
    830,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    515,  // QGlobalSpace::qHash(const QBitArray&)
    682,  // QGlobalSpace::qHash(QChar)
    727,  // QGlobalSpace::qHash(const QStringRef&)
    791,  // QGlobalSpace::qHash(const QUrl&)
    834,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    851,  // QGlobalSpace::qHash(const QByteArray&)
    853,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    442,  // QGlobalSpace::qHash(unsigned int)
    443,  // QGlobalSpace::qHash(char)
    478,  // QGlobalSpace::qHash(unsigned char)
    490,  // QGlobalSpace::qHash(const QDBusSignature&)
    499,  // QGlobalSpace::qHash(short)
    507,  // QGlobalSpace::qHash(long)
    559,  // QGlobalSpace::qHash(unsigned short)
    660,  // QGlobalSpace::qHash(int)
    705,  // QGlobalSpace::qHash(signed char)
    768,  // QGlobalSpace::qHash(const QString&)
    815,  // QGlobalSpace::qHash(unsigned long)
    832,  // QGlobalSpace::qHash(const QDBusObjectPath&)
    0,
    586,  // QGlobalSpace::qHash(long long)
    625,  // QGlobalSpace::qHash(unsigned long long)
    0,
    553,  // QGlobalSpace::qIntCast(float)
    630,  // QGlobalSpace::qIntCast(double)
    0,
    503,  // QGlobalSpace::qIsFinite(double)
    877,  // QGlobalSpace::qIsFinite(float)
    0,
    592,  // QGlobalSpace::qIsInf(float)
    806,  // QGlobalSpace::qIsInf(double)
    0,
    775,  // QGlobalSpace::qIsNaN(float)
    783,  // QGlobalSpace::qIsNaN(double)
    0,
    485,  // QGlobalSpace::qIsNull(float)
    824,  // QGlobalSpace::qIsNull(double)
    0,
    103,  // QDBusArgument::beginMapEntry()
    130,  // QDBusArgument::beginMapEntry() const
    0,
    97,  // QDBusArgument::beginStructure()
    124,  // QDBusArgument::beginStructure() const
    0,
    100,  // QDBusArgument::endArray()
    127,  // QDBusArgument::endArray() const
    0,
    102,  // QDBusArgument::endMap()
    129,  // QDBusArgument::endMap() const
    0,
    104,  // QDBusArgument::endMapEntry()
    131,  // QDBusArgument::endMapEntry() const
    0,
    98,  // QDBusArgument::endStructure()
    125,  // QDBusArgument::endStructure() const
    0,
    91,  // QDBusArgument::operator<<(const QDBusVariant&)
    94,  // QDBusArgument::operator<<(const QDBusUnixFileDescriptor&)
    96,  // QDBusArgument::operator<<(const QByteArray&)
    0,
    81,  // QDBusArgument::operator<<(unsigned char)
    82,  // QDBusArgument::operator<<(bool)
    83,  // QDBusArgument::operator<<(short)
    84,  // QDBusArgument::operator<<(unsigned short)
    85,  // QDBusArgument::operator<<(int)
    86,  // QDBusArgument::operator<<(unsigned int)
    89,  // QDBusArgument::operator<<(double)
    90,  // QDBusArgument::operator<<(const QString&)
    92,  // QDBusArgument::operator<<(const QDBusObjectPath&)
    93,  // QDBusArgument::operator<<(const QDBusSignature&)
    0,
    87,  // QDBusArgument::operator<<(long long)
    88,  // QDBusArgument::operator<<(unsigned long long)
    95,  // QDBusArgument::operator<<(const QStringList&)
    0,
    118,  // QDBusArgument::operator>>(QDBusVariant&) const
    121,  // QDBusArgument::operator>>(QDBusUnixFileDescriptor&) const
    123,  // QDBusArgument::operator>>(QByteArray&) const
    0,
    108,  // QDBusArgument::operator>>(unsigned char&) const
    109,  // QDBusArgument::operator>>(bool&) const
    110,  // QDBusArgument::operator>>(short&) const
    111,  // QDBusArgument::operator>>(unsigned short&) const
    112,  // QDBusArgument::operator>>(int&) const
    113,  // QDBusArgument::operator>>(unsigned int&) const
    116,  // QDBusArgument::operator>>(double&) const
    117,  // QDBusArgument::operator>>(QString&) const
    119,  // QDBusArgument::operator>>(QDBusObjectPath&) const
    120,  // QDBusArgument::operator>>(QDBusSignature&) const
    0,
    114,  // QDBusArgument::operator>>(long long&) const
    115,  // QDBusArgument::operator>>(unsigned long long&) const
    122,  // QDBusArgument::operator>>(QStringList&) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 6, 4},	// QDBus::AutoDetect
    {7, 9, 2},	// QDBus::Block
    {7, 10, 3},	// QDBus::BlockWithGui
    {7, 72, 1},	// QDBus::NoBlock
    {8, 81, 12},	// QDBusAbstractAdaptor::QDBusAbstractAdaptor#
    {8, 174, 14},	// QDBusAbstractAdaptor::autoRelaySignals
    {8, 297, 5},	// QDBusAbstractAdaptor::metaObject
    {8, 525, 11},	// QDBusAbstractAdaptor::qt_metacall$$?
    {8, 527, 6},	// QDBusAbstractAdaptor::qt_metacast$
    {8, 576, 13},	// QDBusAbstractAdaptor::setAutoRelaySignals$
    {8, 594, 17},	// QDBusAbstractAdaptor::staticMetaObject
    {8, 599, 15},	// QDBusAbstractAdaptor::tr$
    {8, 600, 7},	// QDBusAbstractAdaptor::tr$$
    {8, 601, 9},	// QDBusAbstractAdaptor::tr$$$
    {8, 603, 16},	// QDBusAbstractAdaptor::trUtf8$
    {8, 604, 8},	// QDBusAbstractAdaptor::trUtf8$$
    {8, 605, 10},	// QDBusAbstractAdaptor::trUtf8$$$
    {8, 617, 18},	// QDBusAbstractAdaptor::~QDBusAbstractAdaptor
    {9, 83, 41},	// QDBusAbstractInterface::QDBusAbstractInterface$$$##
    {9, 162, 65},	// QDBusAbstractInterface::asyncCall$
    {9, 163, 66},	// QDBusAbstractInterface::asyncCall$#
    {9, 164, 67},	// QDBusAbstractInterface::asyncCall$##
    {9, 165, 68},	// QDBusAbstractInterface::asyncCall$###
    {9, 166, 69},	// QDBusAbstractInterface::asyncCall$####
    {9, 167, 70},	// QDBusAbstractInterface::asyncCall$#####
    {9, 168, 71},	// QDBusAbstractInterface::asyncCall$######
    {9, 169, 72},	// QDBusAbstractInterface::asyncCall$#######
    {9, 170, 39},	// QDBusAbstractInterface::asyncCall$########
    {9, 172, 40},	// QDBusAbstractInterface::asyncCallWithArgumentList$?
    {9, 187, 49},	// QDBusAbstractInterface::call$
    {9, 188, 50},	// QDBusAbstractInterface::call$#
    {9, 189, 51},	// QDBusAbstractInterface::call$##
    {9, 190, 52},	// QDBusAbstractInterface::call$###
    {9, 191, 53},	// QDBusAbstractInterface::call$####
    {9, 192, 54},	// QDBusAbstractInterface::call$#####
    {9, 193, 55},	// QDBusAbstractInterface::call$######
    {9, 194, 56},	// QDBusAbstractInterface::call$#######
    {9, 195, 34},	// QDBusAbstractInterface::call$########
    {9, 196, 57},	// QDBusAbstractInterface::call$$
    {9, 197, 58},	// QDBusAbstractInterface::call$$#
    {9, 198, 59},	// QDBusAbstractInterface::call$$##
    {9, 199, 60},	// QDBusAbstractInterface::call$$###
    {9, 200, 61},	// QDBusAbstractInterface::call$$####
    {9, 201, 62},	// QDBusAbstractInterface::call$$#####
    {9, 202, 63},	// QDBusAbstractInterface::call$$######
    {9, 203, 64},	// QDBusAbstractInterface::call$$#######
    {9, 204, 35},	// QDBusAbstractInterface::call$$########
    {9, 206, 36},	// QDBusAbstractInterface::callWithArgumentList$$?
    {9, 211, 38},	// QDBusAbstractInterface::callWithCallback$?#$
    {9, 212, 37},	// QDBusAbstractInterface::callWithCallback$?#$$
    {9, 222, 42},	// QDBusAbstractInterface::connectNotify$
    {9, 227, 27},	// QDBusAbstractInterface::connection
    {9, 256, 43},	// QDBusAbstractInterface::disconnectNotify$
    {9, 274, 30},	// QDBusAbstractInterface::interface
    {9, 276, 73},	// QDBusAbstractInterface::internalConstCall$$
    {9, 277, 46},	// QDBusAbstractInterface::internalConstCall$$?
    {9, 280, 44},	// QDBusAbstractInterface::internalPropGet$
    {9, 282, 45},	// QDBusAbstractInterface::internalPropSet$#
    {9, 290, 26},	// QDBusAbstractInterface::isValid
    {9, 291, 31},	// QDBusAbstractInterface::lastError
    {9, 297, 19},	// QDBusAbstractInterface::metaObject
    {9, 369, 29},	// QDBusAbstractInterface::path
    {9, 525, 25},	// QDBusAbstractInterface::qt_metacall$$?
    {9, 527, 20},	// QDBusAbstractInterface::qt_metacast$
    {9, 559, 28},	// QDBusAbstractInterface::service
    {9, 584, 32},	// QDBusAbstractInterface::setTimeout$
    {9, 594, 74},	// QDBusAbstractInterface::staticMetaObject
    {9, 596, 33},	// QDBusAbstractInterface::timeout
    {9, 599, 47},	// QDBusAbstractInterface::tr$
    {9, 600, 21},	// QDBusAbstractInterface::tr$$
    {9, 601, 23},	// QDBusAbstractInterface::tr$$$
    {9, 603, 48},	// QDBusAbstractInterface::trUtf8$
    {9, 604, 22},	// QDBusAbstractInterface::trUtf8$$
    {9, 605, 24},	// QDBusAbstractInterface::trUtf8$$$
    {9, 618, 75},	// QDBusAbstractInterface::~QDBusAbstractInterface
    {10, 525, 76},	// QDBusAbstractInterfaceBase::qt_metacall$$?
    {10, 619, 77},	// QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase
    {11, 5, 136},	// QDBusArgument::ArrayType
    {11, 8, 134},	// QDBusArgument::BasicType
    {11, 63, 139},	// QDBusArgument::MapEntryType
    {11, 64, 138},	// QDBusArgument::MapType
    {11, 84, 78},	// QDBusArgument::QDBusArgument
    {11, 85, 79},	// QDBusArgument::QDBusArgument#
    {11, 136, 137},	// QDBusArgument::StructureType
    {11, 145, 140},	// QDBusArgument::UnknownType
    {11, 148, 135},	// QDBusArgument::VariantType
    {11, 156, 105},	// QDBusArgument::appendVariant#
    {11, 158, 133},	// QDBusArgument::asVariant
    {11, 173, 132},	// QDBusArgument::atEnd
    {11, 177, 126},	// QDBusArgument::beginArray
    {11, 178, 99},	// QDBusArgument::beginArray$
    {11, 179, 128},	// QDBusArgument::beginMap
    {11, 180, 101},	// QDBusArgument::beginMap$$
    {11, 181, -423},	// QDBusArgument::beginMapEntry
    {11, 182, -426},	// QDBusArgument::beginStructure
    {11, 242, 106},	// QDBusArgument::currentSignature
    {11, 243, 107},	// QDBusArgument::currentType
    {11, 257, -429},	// QDBusArgument::endArray
    {11, 258, -432},	// QDBusArgument::endMap
    {11, 259, -435},	// QDBusArgument::endMapEntry
    {11, 260, -438},	// QDBusArgument::endStructure
    {11, 329, -441},	// QDBusArgument::operator<<#
    {11, 333, -445},	// QDBusArgument::operator<<$
    {11, 334, -456},	// QDBusArgument::operator<<?
    {11, 341, 80},	// QDBusArgument::operator=#
    {11, 358, -460},	// QDBusArgument::operator>>#
    {11, 362, -464},	// QDBusArgument::operator>>$
    {11, 363, -475},	// QDBusArgument::operator>>?
    {11, 620, 141},	// QDBusArgument::~QDBusArgument
    {12, 2, 189},	// QDBusConnection::ActivationBus
    {12, 15, 190},	// QDBusConnection::ExportAdaptors
    {12, 16, 205},	// QDBusConnection::ExportAllContents
    {12, 17, 204},	// QDBusConnection::ExportAllInvokables
    {12, 18, 203},	// QDBusConnection::ExportAllProperties
    {12, 19, 206},	// QDBusConnection::ExportAllSignal
    {12, 20, 202},	// QDBusConnection::ExportAllSignals
    {12, 21, 201},	// QDBusConnection::ExportAllSlots
    {12, 22, 207},	// QDBusConnection::ExportChildObjects
    {12, 23, 200},	// QDBusConnection::ExportNonScriptableContents
    {12, 24, 199},	// QDBusConnection::ExportNonScriptableInvokables
    {12, 25, 198},	// QDBusConnection::ExportNonScriptableProperties
    {12, 26, 197},	// QDBusConnection::ExportNonScriptableSignals
    {12, 27, 196},	// QDBusConnection::ExportNonScriptableSlots
    {12, 28, 195},	// QDBusConnection::ExportScriptableContents
    {12, 29, 194},	// QDBusConnection::ExportScriptableInvokables
    {12, 30, 193},	// QDBusConnection::ExportScriptableProperties
    {12, 31, 192},	// QDBusConnection::ExportScriptableSignals
    {12, 32, 191},	// QDBusConnection::ExportScriptableSlots
    {12, 87, 143},	// QDBusConnection::QDBusConnection#
    {12, 88, 142},	// QDBusConnection::QDBusConnection$
    {12, 133, 187},	// QDBusConnection::SessionBus
    {12, 135, 210},	// QDBusConnection::SingleNode
    {12, 137, 211},	// QDBusConnection::SubPath
    {12, 138, 188},	// QDBusConnection::SystemBus
    {12, 141, 212},	// QDBusConnection::UnixFileDescriptorPassing
    {12, 146, 208},	// QDBusConnection::UnregisterNode
    {12, 147, 209},	// QDBusConnection::UnregisterTree
    {12, 160, 182},	// QDBusConnection::asyncCall#
    {12, 161, 154},	// QDBusConnection::asyncCall#$
    {12, 176, 146},	// QDBusConnection::baseService
    {12, 184, 180},	// QDBusConnection::call#
    {12, 185, 181},	// QDBusConnection::call#$
    {12, 186, 153},	// QDBusConnection::call#$$
    {12, 208, 179},	// QDBusConnection::callWithCallback##$
    {12, 209, -17},	// QDBusConnection::callWithCallback##$$
    {12, 210, 151},	// QDBusConnection::callWithCallback##$$$
    {12, 218, 155},	// QDBusConnection::connect$$$$#$
    {12, 219, 156},	// QDBusConnection::connect$$$$$#$
    {12, 220, 157},	// QDBusConnection::connect$$$$?$#$
    {12, 224, -20},	// QDBusConnection::connectToBus$$
    {12, 226, 171},	// QDBusConnection::connectToPeer$$
    {12, 228, 149},	// QDBusConnection::connectionCapabilities
    {12, 248, 158},	// QDBusConnection::disconnect$$$$#$
    {12, 249, 159},	// QDBusConnection::disconnect$$$$$#$
    {12, 250, 160},	// QDBusConnection::disconnect$$$$?$#$
    {12, 252, 172},	// QDBusConnection::disconnectFromBus$
    {12, 254, 173},	// QDBusConnection::disconnectFromPeer$
    {12, 274, 167},	// QDBusConnection::interface
    {12, 278, 168},	// QDBusConnection::internalPointer
    {12, 283, 145},	// QDBusConnection::isConnected
    {12, 291, 147},	// QDBusConnection::lastError
    {12, 292, 174},	// QDBusConnection::localMachineId
    {12, 298, 148},	// QDBusConnection::name
    {12, 302, 163},	// QDBusConnection::objectRegisteredAt$
    {12, 341, 144},	// QDBusConnection::operator=#
    {12, 540, 183},	// QDBusConnection::registerObject$#
    {12, 541, 161},	// QDBusConnection::registerObject$#$
    {12, 543, 165},	// QDBusConnection::registerService$
    {12, 547, 185},	// QDBusConnection::registerVirtualObject$#
    {12, 548, 164},	// QDBusConnection::registerVirtualObject$#$
    {12, 554, 150},	// QDBusConnection::send#
    {12, 558, 177},	// QDBusConnection::sender
    {12, 572, 175},	// QDBusConnection::sessionBus
    {12, 594, 186},	// QDBusConnection::staticMetaObject
    {12, 595, 176},	// QDBusConnection::systemBus
    {12, 610, 184},	// QDBusConnection::unregisterObject$
    {12, 611, 162},	// QDBusConnection::unregisterObject$$
    {12, 613, 166},	// QDBusConnection::unregisterService$
    {12, 621, 213},	// QDBusConnection::~QDBusConnection
    {13, 4, 247},	// QDBusConnectionInterface::AllowReplacement
    {13, 12, 246},	// QDBusConnectionInterface::DontAllowReplacement
    {13, 13, 243},	// QDBusConnectionInterface::DontQueueService
    {13, 67, 233},	// QDBusConnectionInterface::NameAcquired$
    {13, 69, 234},	// QDBusConnectionInterface::NameLost$
    {13, 71, 235},	// QDBusConnectionInterface::NameOwnerChanged$$$
    {13, 126, 244},	// QDBusConnectionInterface::QueueService
    {13, 127, 245},	// QDBusConnectionInterface::ReplaceExistingService
    {13, 129, 248},	// QDBusConnectionInterface::ServiceNotRegistered
    {13, 130, 250},	// QDBusConnectionInterface::ServiceQueued
    {13, 131, 249},	// QDBusConnectionInterface::ServiceRegistered
    {13, 214, 232},	// QDBusConnectionInterface::callWithCallbackFailed##
    {13, 222, 236},	// QDBusConnectionInterface::connectNotify$
    {13, 256, 237},	// QDBusConnectionInterface::disconnectNotify$
    {13, 289, 222},	// QDBusConnectionInterface::isServiceRegistered$
    {13, 297, 214},	// QDBusConnectionInterface::metaObject
    {13, 525, 220},	// QDBusConnectionInterface::qt_metacall$$?
    {13, 527, 215},	// QDBusConnectionInterface::qt_metacast$
    {13, 543, 240},	// QDBusConnectionInterface::registerService$
    {13, 544, 241},	// QDBusConnectionInterface::registerService$$
    {13, 545, 225},	// QDBusConnectionInterface::registerService$$$
    {13, 549, 221},	// QDBusConnectionInterface::registeredServiceNames
    {13, 561, 223},	// QDBusConnectionInterface::serviceOwner$
    {13, 563, 231},	// QDBusConnectionInterface::serviceOwnerChanged$$$
    {13, 565, 226},	// QDBusConnectionInterface::servicePid$
    {13, 567, 229},	// QDBusConnectionInterface::serviceRegistered$
    {13, 569, 227},	// QDBusConnectionInterface::serviceUid$
    {13, 571, 230},	// QDBusConnectionInterface::serviceUnregistered$
    {13, 593, 228},	// QDBusConnectionInterface::startService$
    {13, 594, 242},	// QDBusConnectionInterface::staticMetaObject
    {13, 599, 238},	// QDBusConnectionInterface::tr$
    {13, 600, 216},	// QDBusConnectionInterface::tr$$
    {13, 601, 218},	// QDBusConnectionInterface::tr$$$
    {13, 603, 239},	// QDBusConnectionInterface::trUtf8$
    {13, 604, 217},	// QDBusConnectionInterface::trUtf8$$
    {13, 605, 219},	// QDBusConnectionInterface::trUtf8$$$
    {13, 613, 224},	// QDBusConnectionInterface::unregisterService$
    {14, 89, 251},	// QDBusContext::QDBusContext
    {14, 90, 259},	// QDBusContext::QDBusContext#
    {14, 215, 252},	// QDBusContext::calledFromDBus
    {14, 227, 253},	// QDBusContext::connection
    {14, 284, 255},	// QDBusContext::isDelayedReply
    {14, 296, 254},	// QDBusContext::message
    {14, 556, -11},	// QDBusContext::sendErrorReply$
    {14, 557, -14},	// QDBusContext::sendErrorReply$$
    {14, 582, 256},	// QDBusContext::setDelayedReply$
    {14, 622, 262},	// QDBusContext::~QDBusContext
    {15, 1, 283},	// QDBusError::AccessDenied
    {15, 3, 287},	// QDBusError::AddressInUse
    {15, 7, 280},	// QDBusError::BadAddress
    {15, 11, 288},	// QDBusError::Disconnected
    {15, 33, 276},	// QDBusError::Failed
    {15, 34, 294},	// QDBusError::InternalError
    {15, 35, 289},	// QDBusError::InvalidArgs
    {15, 36, 298},	// QDBusError::InvalidInterface
    {15, 37, 299},	// QDBusError::InvalidMember
    {15, 39, 297},	// QDBusError::InvalidObjectPath
    {15, 40, 296},	// QDBusError::InvalidService
    {15, 41, 292},	// QDBusError::InvalidSignature
    {15, 42, 300},	// QDBusError::LastErrorType
    {15, 62, 282},	// QDBusError::LimitsExceeded
    {15, 73, 274},	// QDBusError::NoError
    {15, 74, 277},	// QDBusError::NoMemory
    {15, 75, 286},	// QDBusError::NoNetwork
    {15, 76, 279},	// QDBusError::NoReply
    {15, 77, 284},	// QDBusError::NoServer
    {15, 78, 281},	// QDBusError::NotSupported
    {15, 79, 275},	// QDBusError::Other
    {15, 91, 273},	// QDBusError::QDBusError
    {15, 92, -7},	// QDBusError::QDBusError#
    {15, 93, 265},	// QDBusError::QDBusError$$
    {15, 132, 278},	// QDBusError::ServiceUnknown
    {15, 139, 291},	// QDBusError::TimedOut
    {15, 140, 285},	// QDBusError::Timeout
    {15, 142, 293},	// QDBusError::UnknownInterface
    {15, 143, 290},	// QDBusError::UnknownMethod
    {15, 144, 295},	// QDBusError::UnknownObject
    {15, 265, 272},	// QDBusError::errorString$
    {15, 290, 271},	// QDBusError::isValid
    {15, 296, 270},	// QDBusError::message
    {15, 298, 269},	// QDBusError::name
    {15, 341, 267},	// QDBusError::operator=#
    {15, 606, 268},	// QDBusError::type
    {15, 623, 301},	// QDBusError::~QDBusError
    {16, 95, 306},	// QDBusInterface::QDBusInterface$$
    {16, 96, 307},	// QDBusInterface::QDBusInterface$$$
    {16, 97, 308},	// QDBusInterface::QDBusInterface$$$#
    {16, 98, 302},	// QDBusInterface::QDBusInterface$$$##
    {16, 297, 303},	// QDBusInterface::metaObject
    {16, 525, 305},	// QDBusInterface::qt_metacall$$?
    {16, 527, 304},	// QDBusInterface::qt_metacast$
    {16, 624, 309},	// QDBusInterface::~QDBusInterface
    {17, 14, 343},	// QDBusMessage::ErrorMessage
    {17, 38, 340},	// QDBusMessage::InvalidMessage
    {17, 65, 341},	// QDBusMessage::MethodCallMessage
    {17, 99, 310},	// QDBusMessage::QDBusMessage
    {17, 100, 311},	// QDBusMessage::QDBusMessage#
    {17, 128, 342},	// QDBusMessage::ReplyMessage
    {17, 134, 344},	// QDBusMessage::SignalMessage
    {17, 157, 337},	// QDBusMessage::arguments
    {17, 175, 335},	// QDBusMessage::autoStartService
    {17, 230, 316},	// QDBusMessage::createError#
    {17, 231, -1},	// QDBusMessage::createError$$
    {17, 233, 321},	// QDBusMessage::createErrorReply#
    {17, 234, -4},	// QDBusMessage::createErrorReply$$
    {17, 236, 314},	// QDBusMessage::createMethodCall$$$$
    {17, 237, 339},	// QDBusMessage::createReply
    {17, 238, 319},	// QDBusMessage::createReply#
    {17, 239, 318},	// QDBusMessage::createReply?
    {17, 241, 313},	// QDBusMessage::createSignal$$$
    {17, 262, 328},	// QDBusMessage::errorMessage
    {17, 263, 327},	// QDBusMessage::errorName
    {17, 274, 325},	// QDBusMessage::interface
    {17, 284, 333},	// QDBusMessage::isDelayedReply
    {17, 287, 331},	// QDBusMessage::isReplyRequired
    {17, 295, 326},	// QDBusMessage::member
    {17, 329, 338},	// QDBusMessage::operator<<#
    {17, 341, 312},	// QDBusMessage::operator=#
    {17, 369, 324},	// QDBusMessage::path
    {17, 559, 323},	// QDBusMessage::service
    {17, 574, 336},	// QDBusMessage::setArguments?
    {17, 578, 334},	// QDBusMessage::setAutoStartService$
    {17, 582, 332},	// QDBusMessage::setDelayedReply$
    {17, 589, 330},	// QDBusMessage::signature
    {17, 606, 329},	// QDBusMessage::type
    {17, 625, 345},	// QDBusMessage::~QDBusMessage
    {18, 101, 351},	// QDBusMetaType::QDBusMetaType
    {18, 102, 352},	// QDBusMetaType::QDBusMetaType#
    {18, 246, 348},	// QDBusMetaType::demarshall#$$
    {18, 294, 347},	// QDBusMetaType::marshall#$$
    {18, 538, 346},	// QDBusMetaType::registerMarshallOperators$$$
    {18, 591, 349},	// QDBusMetaType::signatureToType$
    {18, 608, 350},	// QDBusMetaType::typeToSignature$
    {18, 626, 353},	// QDBusMetaType::~QDBusMetaType
    {19, 104, 354},	// QDBusPendingCall::QDBusPendingCall#
    {19, 261, 360},	// QDBusPendingCall::error
    {19, 271, 363},	// QDBusPendingCall::fromCompletedCall#
    {19, 273, 362},	// QDBusPendingCall::fromError#
    {19, 285, 358},	// QDBusPendingCall::isError
    {19, 286, 356},	// QDBusPendingCall::isFinished
    {19, 290, 359},	// QDBusPendingCall::isValid
    {19, 341, 355},	// QDBusPendingCall::operator=#
    {19, 552, 361},	// QDBusPendingCall::reply
    {19, 614, 357},	// QDBusPendingCall::waitForFinished
    {19, 627, 364},	// QDBusPendingCall::~QDBusPendingCall
    {20, 106, 377},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher#
    {20, 107, 372},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher##
    {20, 269, 374},	// QDBusPendingCallWatcher::finished#
    {20, 297, 365},	// QDBusPendingCallWatcher::metaObject
    {20, 525, 371},	// QDBusPendingCallWatcher::qt_metacall$$?
    {20, 527, 366},	// QDBusPendingCallWatcher::qt_metacast$
    {20, 594, 378},	// QDBusPendingCallWatcher::staticMetaObject
    {20, 599, 375},	// QDBusPendingCallWatcher::tr$
    {20, 600, 367},	// QDBusPendingCallWatcher::tr$$
    {20, 601, 369},	// QDBusPendingCallWatcher::tr$$$
    {20, 603, 376},	// QDBusPendingCallWatcher::trUtf8$
    {20, 604, 368},	// QDBusPendingCallWatcher::trUtf8$$
    {20, 605, 370},	// QDBusPendingCallWatcher::trUtf8$$$
    {20, 614, 373},	// QDBusPendingCallWatcher::waitForFinished
    {20, 628, 379},	// QDBusPendingCallWatcher::~QDBusPendingCallWatcher
    {21, 108, 394},	// QDBusServer::QDBusServer
    {21, 109, 395},	// QDBusServer::QDBusServer$
    {21, 110, 387},	// QDBusServer::QDBusServer$#
    {21, 154, 390},	// QDBusServer::address
    {21, 283, 388},	// QDBusServer::isConnected
    {21, 291, 389},	// QDBusServer::lastError
    {21, 297, 380},	// QDBusServer::metaObject
    {21, 300, 391},	// QDBusServer::newConnection#
    {21, 525, 386},	// QDBusServer::qt_metacall$$?
    {21, 527, 381},	// QDBusServer::qt_metacast$
    {21, 594, 396},	// QDBusServer::staticMetaObject
    {21, 599, 392},	// QDBusServer::tr$
    {21, 600, 382},	// QDBusServer::tr$$
    {21, 601, 384},	// QDBusServer::tr$$$
    {21, 603, 393},	// QDBusServer::trUtf8$
    {21, 604, 383},	// QDBusServer::trUtf8$$
    {21, 605, 385},	// QDBusServer::trUtf8$$$
    {21, 629, 397},	// QDBusServer::~QDBusServer
    {22, 111, 420},	// QDBusServiceWatcher::QDBusServiceWatcher
    {22, 112, 405},	// QDBusServiceWatcher::QDBusServiceWatcher#
    {22, 113, 421},	// QDBusServiceWatcher::QDBusServiceWatcher$#
    {22, 114, 422},	// QDBusServiceWatcher::QDBusServiceWatcher$#$
    {22, 115, 406},	// QDBusServiceWatcher::QDBusServiceWatcher$#$#
    {22, 149, 426},	// QDBusServiceWatcher::WatchForOwnerChange
    {22, 150, 424},	// QDBusServiceWatcher::WatchForRegistration
    {22, 151, 425},	// QDBusServiceWatcher::WatchForUnregistration
    {22, 153, 409},	// QDBusServiceWatcher::addWatchedService$
    {22, 227, 413},	// QDBusServiceWatcher::connection
    {22, 297, 398},	// QDBusServiceWatcher::metaObject
    {22, 525, 404},	// QDBusServiceWatcher::qt_metacall$$?
    {22, 527, 399},	// QDBusServiceWatcher::qt_metacast$
    {22, 551, 410},	// QDBusServiceWatcher::removeWatchedService$
    {22, 563, 417},	// QDBusServiceWatcher::serviceOwnerChanged$$$
    {22, 567, 415},	// QDBusServiceWatcher::serviceRegistered$
    {22, 571, 416},	// QDBusServiceWatcher::serviceUnregistered$
    {22, 580, 414},	// QDBusServiceWatcher::setConnection#
    {22, 586, 412},	// QDBusServiceWatcher::setWatchMode$
    {22, 588, 408},	// QDBusServiceWatcher::setWatchedServices?
    {22, 594, 423},	// QDBusServiceWatcher::staticMetaObject
    {22, 599, 418},	// QDBusServiceWatcher::tr$
    {22, 600, 400},	// QDBusServiceWatcher::tr$$
    {22, 601, 402},	// QDBusServiceWatcher::tr$$$
    {22, 603, 419},	// QDBusServiceWatcher::trUtf8$
    {22, 604, 401},	// QDBusServiceWatcher::trUtf8$$
    {22, 605, 403},	// QDBusServiceWatcher::trUtf8$$$
    {22, 615, 411},	// QDBusServiceWatcher::watchMode
    {22, 616, 407},	// QDBusServiceWatcher::watchedServices
    {22, 630, 427},	// QDBusServiceWatcher::~QDBusServiceWatcher
    {33, 43, 893},	// QGlobalSpace::LicensedActiveQt
    {33, 44, 899},	// QGlobalSpace::LicensedCore
    {33, 45, 891},	// QGlobalSpace::LicensedDBus
    {33, 46, 896},	// QGlobalSpace::LicensedDeclarative
    {33, 47, 886},	// QGlobalSpace::LicensedGui
    {33, 48, 905},	// QGlobalSpace::LicensedHelp
    {33, 49, 906},	// QGlobalSpace::LicensedMultimedia
    {33, 50, 909},	// QGlobalSpace::LicensedNetwork
    {33, 51, 898},	// QGlobalSpace::LicensedOpenGL
    {33, 52, 890},	// QGlobalSpace::LicensedOpenVG
    {33, 53, 907},	// QGlobalSpace::LicensedQt3Support
    {33, 54, 888},	// QGlobalSpace::LicensedQt3SupportLight
    {33, 55, 889},	// QGlobalSpace::LicensedScript
    {33, 56, 894},	// QGlobalSpace::LicensedScriptTools
    {33, 57, 897},	// QGlobalSpace::LicensedSql
    {33, 58, 895},	// QGlobalSpace::LicensedSvg
    {33, 59, 892},	// QGlobalSpace::LicensedTest
    {33, 60, 887},	// QGlobalSpace::LicensedXml
    {33, 61, 908},	// QGlobalSpace::LicensedXmlPatterns
    {33, 116, 881},	// QGlobalSpace::Q_COMPLEX_TYPE
    {33, 117, 885},	// QGlobalSpace::Q_DUMMY_TYPE
    {33, 118, 884},	// QGlobalSpace::Q_MOVABLE_TYPE
    {33, 119, 882},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {33, 120, 883},	// QGlobalSpace::Q_STATIC_TYPE
    {33, 121, 902},	// QGlobalSpace::QtCriticalMsg
    {33, 122, 900},	// QGlobalSpace::QtDebugMsg
    {33, 123, 903},	// QGlobalSpace::QtFatalMsg
    {33, 124, 904},	// QGlobalSpace::QtSystemMsg
    {33, 125, 901},	// QGlobalSpace::QtWarningMsg
    {33, 304, -23},	// QGlobalSpace::operator!=##
    {33, 305, -40},	// QGlobalSpace::operator!=#$
    {33, 306, -46},	// QGlobalSpace::operator!=$#
    {33, 307, -53},	// QGlobalSpace::operator!=$$
    {33, 309, 605},	// QGlobalSpace::operator&##
    {33, 311, -57},	// QGlobalSpace::operator*#$
    {33, 312, -64},	// QGlobalSpace::operator*$#
    {33, 314, -71},	// QGlobalSpace::operator+##
    {33, 315, -77},	// QGlobalSpace::operator+#$
    {33, 316, -82},	// QGlobalSpace::operator+$#
    {33, 317, -87},	// QGlobalSpace::operator+$$
    {33, 319, -93},	// QGlobalSpace::operator-#
    {33, 320, -96},	// QGlobalSpace::operator-##
    {33, 322, -101},	// QGlobalSpace::operator/#$
    {33, 324, -106},	// QGlobalSpace::operator<##
    {33, 325, 447},	// QGlobalSpace::operator<#$
    {33, 326, -111},	// QGlobalSpace::operator<$#
    {33, 327, -114},	// QGlobalSpace::operator<$$
    {33, 330, -118},	// QGlobalSpace::operator<<##
    {33, 331, -173},	// QGlobalSpace::operator<<#$
    {33, 332, -179},	// QGlobalSpace::operator<<#?
    {33, 336, -184},	// QGlobalSpace::operator<=##
    {33, 337, 636},	// QGlobalSpace::operator<=#$
    {33, 338, -189},	// QGlobalSpace::operator<=$#
    {33, 339, 588},	// QGlobalSpace::operator<=$$
    {33, 343, -192},	// QGlobalSpace::operator==##
    {33, 344, -211},	// QGlobalSpace::operator==#$
    {33, 345, -217},	// QGlobalSpace::operator==$#
    {33, 346, -224},	// QGlobalSpace::operator==$$
    {33, 348, -228},	// QGlobalSpace::operator>##
    {33, 349, 838},	// QGlobalSpace::operator>#$
    {33, 350, -233},	// QGlobalSpace::operator>$#
    {33, 351, 448},	// QGlobalSpace::operator>$$
    {33, 353, -236},	// QGlobalSpace::operator>=##
    {33, 354, 608},	// QGlobalSpace::operator>=#$
    {33, 355, -241},	// QGlobalSpace::operator>=$#
    {33, 356, 782},	// QGlobalSpace::operator>=$$
    {33, 359, -244},	// QGlobalSpace::operator>>##
    {33, 360, -278},	// QGlobalSpace::operator>>#$
    {33, 361, 712},	// QGlobalSpace::operator>>#?
    {33, 365, 869},	// QGlobalSpace::operator^##
    {33, 367, 518},	// QGlobalSpace::operator|##
    {33, 368, -281},	// QGlobalSpace::operator|$$
    {33, 371, 431},	// QGlobalSpace::qAcos$
    {33, 373, 716},	// QGlobalSpace::qAddPostRoutine$
    {33, 374, 438},	// QGlobalSpace::qAppName
    {33, 376, 870},	// QGlobalSpace::qAsin$
    {33, 378, 521},	// QGlobalSpace::qAtan$
    {33, 380, 497},	// QGlobalSpace::qAtan2$$
    {33, 381, 872},	// QGlobalSpace::qBadAlloc
    {33, 383, 704},	// QGlobalSpace::qCeil$
    {33, 385, 644},	// QGlobalSpace::qChecksum$$
    {33, 387, 539},	// QGlobalSpace::qCompress#
    {33, 388, 538},	// QGlobalSpace::qCompress#$
    {33, 389, 765},	// QGlobalSpace::qCompress$$
    {33, 390, 764},	// QGlobalSpace::qCompress$$$
    {33, 392, 733},	// QGlobalSpace::qCos$
    {33, 393, 654},	// QGlobalSpace::qCritical
    {33, 395, 609},	// QGlobalSpace::qDBusReplyFill###
    {33, 396, 584},	// QGlobalSpace::qDebug
    {33, 398, 670},	// QGlobalSpace::qExp$
    {33, 400, 558},	// QGlobalSpace::qFabs$
    {33, 402, 637},	// QGlobalSpace::qFastCos$
    {33, 404, 457},	// QGlobalSpace::qFastSin$
    {33, 406, 628},	// QGlobalSpace::qFlagLocation$
    {33, 408, 766},	// QGlobalSpace::qFloor$
    {33, 410, 780},	// QGlobalSpace::qFree$
    {33, 412, 859},	// QGlobalSpace::qFreeAligned$
    {33, 414, -378},	// QGlobalSpace::qFuzzyCompare$$
    {33, 416, -381},	// QGlobalSpace::qFuzzyIsNull$
    {33, 418, -384},	// QGlobalSpace::qHash#
    {33, 419, -392},	// QGlobalSpace::qHash$
    {33, 420, -405},	// QGlobalSpace::qHash?
    {33, 421, 725},	// QGlobalSpace::qInf
    {33, 423, 648},	// QGlobalSpace::qInstallMsgHandler$
    {33, 425, -408},	// QGlobalSpace::qIntCast$
    {33, 427, -411},	// QGlobalSpace::qIsFinite$
    {33, 429, -414},	// QGlobalSpace::qIsInf$
    {33, 431, -417},	// QGlobalSpace::qIsNaN$
    {33, 433, -420},	// QGlobalSpace::qIsNull$
    {33, 435, 866},	// QGlobalSpace::qLn$
    {33, 437, 823},	// QGlobalSpace::qMalloc?
    {33, 439, 735},	// QGlobalSpace::qMallocAligned??
    {33, 441, 779},	// QGlobalSpace::qMemCopy$$?
    {33, 443, 701},	// QGlobalSpace::qMemSet$$?
    {33, 445, 655},	// QGlobalSpace::qPow$$
    {33, 446, 487},	// QGlobalSpace::qQNaN
    {33, 448, 566},	// QGlobalSpace::qRealloc$?
    {33, 450, 543},	// QGlobalSpace::qReallocAligned$???
    {33, 452, 717},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {33, 454, 638},	// QGlobalSpace::qRemovePostRoutine$
    {33, 456, 428},	// QGlobalSpace::qRound$
    {33, 458, 814},	// QGlobalSpace::qRound64$
    {33, 459, 818},	// QGlobalSpace::qSNaN
    {33, 461, 842},	// QGlobalSpace::qSetFieldWidth$
    {33, 463, 489},	// QGlobalSpace::qSetPadChar#
    {33, 465, 788},	// QGlobalSpace::qSetRealNumberPrecision$
    {33, 466, 720},	// QGlobalSpace::qSharedBuild
    {33, 468, 797},	// QGlobalSpace::qSin$
    {33, 470, 546},	// QGlobalSpace::qSqrt$
    {33, 472, 757},	// QGlobalSpace::qStringComparisonHelper#$
    {33, 473, 843},	// QGlobalSpace::qStringComparisonHelper$$
    {33, 475, 813},	// QGlobalSpace::qTan$
    {33, 477, 632},	// QGlobalSpace::qUncompress#
    {33, 478, 537},	// QGlobalSpace::qUncompress$$
    {33, 479, 745},	// QGlobalSpace::qVersion
    {33, 480, 573},	// QGlobalSpace::qWarning
    {33, 482, 681},	// QGlobalSpace::qbswap_helper$$$
    {33, 484, 446},	// QGlobalSpace::qgetenv$
    {33, 486, 825},	// QGlobalSpace::qputenv$#
    {33, 487, 789},	// QGlobalSpace::qrand
    {33, 489, 691},	// QGlobalSpace::qsrand$
    {33, 491, 604},	// QGlobalSpace::qstrcmp##
    {33, 492, 505},	// QGlobalSpace::qstrcmp#$
    {33, 493, 522},	// QGlobalSpace::qstrcmp$#
    {33, 494, 509},	// QGlobalSpace::qstrcmp$$
    {33, 496, 517},	// QGlobalSpace::qstrcpy$$
    {33, 498, 506},	// QGlobalSpace::qstrdup$
    {33, 500, 699},	// QGlobalSpace::qstricmp$$
    {33, 502, 803},	// QGlobalSpace::qstrlen$
    {33, 504, 460},	// QGlobalSpace::qstrncmp$$$
    {33, 506, 441},	// QGlobalSpace::qstrncpy$$$
    {33, 508, 726},	// QGlobalSpace::qstrnicmp$$$
    {33, 510, 469},	// QGlobalSpace::qstrnlen$$
    {33, 512, 496},	// QGlobalSpace::qtTrId$
    {33, 513, 495},	// QGlobalSpace::qtTrId$$
    {33, 515, 801},	// QGlobalSpace::qt_assert$$$
    {33, 517, 738},	// QGlobalSpace::qt_assert_x$$$$
    {33, 519, 531},	// QGlobalSpace::qt_check_pointer$$
    {33, 520, 482},	// QGlobalSpace::qt_error_string
    {33, 521, 481},	// QGlobalSpace::qt_error_string$
    {33, 523, 689},	// QGlobalSpace::qt_message_output$$
    {33, 528, 662},	// QGlobalSpace::qt_noop
    {33, 530, 667},	// QGlobalSpace::qt_qFindChild_helper#$#
    {33, 532, 479},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {33, 534, 678},	// QGlobalSpace::qvariant_cast_helper#$$
    {33, 536, 463},	// QGlobalSpace::qvsnprintf$?$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtdbus_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtdbus_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtdbus_Smoke = new Smoke(
        "qtdbus",
        __smokeqtdbus::classes, 61,
        __smokeqtdbus::methods, 919,
        __smokeqtdbus::methodMaps, 554,
        __smokeqtdbus::methodNames, 630,
        __smokeqtdbus::types, 328,
        __smokeqtdbus::inheritanceList,
        __smokeqtdbus::argumentList,
        __smokeqtdbus::ambiguousMethodList,
        __smokeqtdbus::cast );
    initialized = true;
}

void delete_qtdbus_Smoke() { delete qtdbus_Smoke; }

}
