#include <qtnetwork_includes.h>

#include <smoke.h>
#include <qtnetwork_smoke.h>

namespace __smokeqtnetwork {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractNetworkCache
      switch(to) {
        case 51: return (void*)(QObject*)(QAbstractNetworkCache*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)xptr;
        case 44: return (void*)(QNetworkDiskCache*)(QAbstractNetworkCache*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractSocket
      switch(to) {
        case 26: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 51: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)xptr;
        case 75: return (void*)(QUdpSocket*)(QAbstractSocket*)xptr;
        case 66: return (void*)(QSslSocket*)(QAbstractSocket*)xptr;
        case 70: return (void*)(QTcpSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 3:   //QAuthenticator
      switch(to) {
        case 3: return (void*)(QAuthenticator*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDataStream
      switch(to) {
        case 9: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 10:   //QDate
      switch(to) {
        case 10: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 11:   //QDateTime
      switch(to) {
        case 11: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 12:   //QDebug
      switch(to) {
        case 12: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 13:   //QDir
      switch(to) {
        case 13: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 14:   //QEasingCurve
      switch(to) {
        case 14: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 15:   //QEvent
      switch(to) {
        case 15: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QFtp
      switch(to) {
        case 51: return (void*)(QObject*)(QFtp*)xptr;
        case 16: return (void*)(QFtp*)xptr;
        default: return xptr;
      }
    case 18:   //QHashDummyValue
      switch(to) {
        case 18: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 19:   //QHostAddress
      switch(to) {
        case 19: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 20:   //QHostInfo
      switch(to) {
        case 20: return (void*)(QHostInfo*)xptr;
        default: return xptr;
      }
    case 21:   //QHttp
      switch(to) {
        case 51: return (void*)(QObject*)(QHttp*)xptr;
        case 21: return (void*)(QHttp*)xptr;
        default: return xptr;
      }
    case 22:   //QHttpHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)xptr;
        case 24: return (void*)(QHttpRequestHeader*)(QHttpHeader*)xptr;
        case 25: return (void*)(QHttpResponseHeader*)(QHttpHeader*)xptr;
        default: return xptr;
      }
    case 23:   //QHttpMultiPart
      switch(to) {
        case 51: return (void*)(QObject*)(QHttpMultiPart*)xptr;
        case 23: return (void*)(QHttpMultiPart*)xptr;
        default: return xptr;
      }
    case 24:   //QHttpRequestHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpRequestHeader*)xptr;
        case 24: return (void*)(QHttpRequestHeader*)xptr;
        default: return xptr;
      }
    case 25:   //QHttpResponseHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpResponseHeader*)xptr;
        case 25: return (void*)(QHttpResponseHeader*)xptr;
        default: return xptr;
      }
    case 26:   //QIODevice
      switch(to) {
        case 51: return (void*)(QObject*)(QIODevice*)xptr;
        case 26: return (void*)(QIODevice*)xptr;
        case 49: return (void*)(QNetworkReply*)(QIODevice*)xptr;
        case 75: return (void*)(QUdpSocket*)(QIODevice*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QIODevice*)xptr;
        case 66: return (void*)(QSslSocket*)(QIODevice*)xptr;
        case 70: return (void*)(QTcpSocket*)(QIODevice*)xptr;
        case 33: return (void*)(QLocalSocket*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 27:   //QIPv6Address
      switch(to) {
        case 27: return (void*)(QIPv6Address*)xptr;
        default: return xptr;
      }
    case 28:   //QIncompatibleFlag
      switch(to) {
        case 28: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 29:   //QLatin1String
      switch(to) {
        case 29: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 30:   //QLine
      switch(to) {
        case 30: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 31:   //QLineF
      switch(to) {
        case 31: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 32:   //QLocalServer
      switch(to) {
        case 51: return (void*)(QObject*)(QLocalServer*)xptr;
        case 32: return (void*)(QLocalServer*)xptr;
        default: return xptr;
      }
    case 33:   //QLocalSocket
      switch(to) {
        case 26: return (void*)(QIODevice*)(QLocalSocket*)xptr;
        case 51: return (void*)(QObject*)(QLocalSocket*)xptr;
        case 33: return (void*)(QLocalSocket*)xptr;
        default: return xptr;
      }
    case 34:   //QLocale
      switch(to) {
        case 34: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 35:   //QMargins
      switch(to) {
        case 35: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 36:   //QMetaObject
      switch(to) {
        case 36: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 37:   //QModelIndex
      switch(to) {
        case 37: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 38:   //QNetworkAccessManager
      switch(to) {
        case 51: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 38: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 39:   //QNetworkAddressEntry
      switch(to) {
        case 39: return (void*)(QNetworkAddressEntry*)xptr;
        default: return xptr;
      }
    case 40:   //QNetworkCacheMetaData
      switch(to) {
        case 40: return (void*)(QNetworkCacheMetaData*)xptr;
        default: return xptr;
      }
    case 41:   //QNetworkConfiguration
      switch(to) {
        case 41: return (void*)(QNetworkConfiguration*)xptr;
        default: return xptr;
      }
    case 42:   //QNetworkCookie
      switch(to) {
        case 42: return (void*)(QNetworkCookie*)xptr;
        default: return xptr;
      }
    case 43:   //QNetworkCookieJar
      switch(to) {
        case 51: return (void*)(QObject*)(QNetworkCookieJar*)xptr;
        case 43: return (void*)(QNetworkCookieJar*)xptr;
        default: return xptr;
      }
    case 44:   //QNetworkDiskCache
      switch(to) {
        case 1: return (void*)(QAbstractNetworkCache*)(QNetworkDiskCache*)xptr;
        case 51: return (void*)(QObject*)(QNetworkDiskCache*)xptr;
        case 44: return (void*)(QNetworkDiskCache*)xptr;
        default: return xptr;
      }
    case 45:   //QNetworkInterface
      switch(to) {
        case 45: return (void*)(QNetworkInterface*)xptr;
        default: return xptr;
      }
    case 46:   //QNetworkProxy
      switch(to) {
        case 46: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 47:   //QNetworkProxyFactory
      switch(to) {
        case 47: return (void*)(QNetworkProxyFactory*)xptr;
        default: return xptr;
      }
    case 48:   //QNetworkProxyQuery
      switch(to) {
        case 48: return (void*)(QNetworkProxyQuery*)xptr;
        default: return xptr;
      }
    case 49:   //QNetworkReply
      switch(to) {
        case 26: return (void*)(QIODevice*)(QNetworkReply*)xptr;
        case 51: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 49: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 50:   //QNetworkRequest
      switch(to) {
        case 50: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 51:   //QObject
      switch(to) {
        case 51: return (void*)(QObject*)xptr;
        case 16: return (void*)(QFtp*)(QObject*)xptr;
        case 43: return (void*)(QNetworkCookieJar*)(QObject*)xptr;
        case 32: return (void*)(QLocalServer*)(QObject*)xptr;
        case 49: return (void*)(QNetworkReply*)(QObject*)xptr;
        case 75: return (void*)(QUdpSocket*)(QObject*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)(QObject*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QObject*)xptr;
        case 21: return (void*)(QHttp*)(QObject*)xptr;
        case 66: return (void*)(QSslSocket*)(QObject*)xptr;
        case 38: return (void*)(QNetworkAccessManager*)(QObject*)xptr;
        case 70: return (void*)(QTcpSocket*)(QObject*)xptr;
        case 44: return (void*)(QNetworkDiskCache*)(QObject*)xptr;
        case 69: return (void*)(QTcpServer*)(QObject*)xptr;
        case 33: return (void*)(QLocalSocket*)(QObject*)xptr;
        default: return xptr;
      }
    case 52:   //QPersistentModelIndex
      switch(to) {
        case 52: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 53:   //QPoint
      switch(to) {
        case 53: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 54:   //QPointF
      switch(to) {
        case 54: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 55:   //QRect
      switch(to) {
        case 55: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 56:   //QRectF
      switch(to) {
        case 56: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 57:   //QRegExp
      switch(to) {
        case 57: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 58:   //QSize
      switch(to) {
        case 58: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 59:   //QSizeF
      switch(to) {
        case 59: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 61:   //QSslCertificate
      switch(to) {
        case 61: return (void*)(QSslCertificate*)xptr;
        default: return xptr;
      }
    case 62:   //QSslCipher
      switch(to) {
        case 62: return (void*)(QSslCipher*)xptr;
        default: return xptr;
      }
    case 63:   //QSslConfiguration
      switch(to) {
        case 63: return (void*)(QSslConfiguration*)xptr;
        default: return xptr;
      }
    case 64:   //QSslError
      switch(to) {
        case 64: return (void*)(QSslError*)xptr;
        default: return xptr;
      }
    case 65:   //QSslKey
      switch(to) {
        case 65: return (void*)(QSslKey*)xptr;
        default: return xptr;
      }
    case 66:   //QSslSocket
      switch(to) {
        case 70: return (void*)(QTcpSocket*)(QSslSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QSslSocket*)xptr;
        case 26: return (void*)(QIODevice*)(QSslSocket*)xptr;
        case 51: return (void*)(QObject*)(QSslSocket*)xptr;
        case 66: return (void*)(QSslSocket*)xptr;
        default: return xptr;
      }
    case 67:   //QString::Null
      switch(to) {
        case 67: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 68:   //QStringRef
      switch(to) {
        case 68: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 69:   //QTcpServer
      switch(to) {
        case 51: return (void*)(QObject*)(QTcpServer*)xptr;
        case 69: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 70:   //QTcpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 26: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 51: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 70: return (void*)(QTcpSocket*)xptr;
        case 66: return (void*)(QSslSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 71:   //QTextStream
      switch(to) {
        case 71: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 72:   //QTextStreamManipulator
      switch(to) {
        case 72: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 73:   //QTime
      switch(to) {
        case 73: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 74:   //QTimerEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 74: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 75:   //QUdpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QUdpSocket*)xptr;
        case 26: return (void*)(QIODevice*)(QUdpSocket*)xptr;
        case 51: return (void*)(QObject*)(QUdpSocket*)xptr;
        case 75: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 76:   //QUrl
      switch(to) {
        case 76: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 77:   //QUrlInfo
      switch(to) {
        case 77: return (void*)(QUrlInfo*)xptr;
        default: return xptr;
      }
    case 78:   //QUuid
      switch(to) {
        case 78: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 79:   //QVariant
      switch(to) {
        case 79: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 80:   //QVariantComparisonHelper
      switch(to) {
        case 80: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 81:   //sockaddr
      switch(to) {
        case 81: return (void*)(sockaddr*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    51, 0,	// 1: QObject
    26, 0,	// 3: QIODevice
    22, 0,	// 5: QHttpHeader
    1, 0,	// 7: QAbstractNetworkCache
    70, 0,	// 9: QTcpSocket
    2, 0,	// 11: QAbstractSocket
};

// These are the xenum functions for manipulating enum pointers
void xenum_QSsl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkAccessManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFtp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHttp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslCertificate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostAddress(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkCookie(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxyQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrlInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUdpSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QAbstractNetworkCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QAbstractSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QAuthenticator(Smoke::Index, void*, Smoke::Stack);
void xcall_QFtp(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostAddress(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttp(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpRequestHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpResponseHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QIPv6Address(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAddressEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCacheMetaData(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookie(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookieJar(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkDiskCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkReply(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_QSsl(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCertificate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCipher(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslKey(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUdpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUrlInfo(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractNetworkCache", false, 1, xcall_QAbstractNetworkCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractNetworkCache) },	//1
    { "QAbstractSocket", false, 3, xcall_QAbstractSocket, xenum_QAbstractSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractSocket) },	//2
    { "QAuthenticator", false, 0, xcall_QAuthenticator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QAuthenticator) },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//9
    { "QDate", true, 0, 0, 0, 0, 0 },	//10
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//11
    { "QDebug", true, 0, 0, 0, 0, 0 },	//12
    { "QDir", true, 0, 0, 0, 0, 0 },	//13
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//14
    { "QEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QFtp", false, 1, xcall_QFtp, xenum_QFtp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QFtp) },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//18
    { "QHostAddress", false, 0, xcall_QHostAddress, xenum_QHostAddress, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostAddress) },	//19
    { "QHostInfo", false, 0, xcall_QHostInfo, xenum_QHostInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostInfo) },	//20
    { "QHttp", false, 1, xcall_QHttp, xenum_QHttp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QHttp) },	//21
    { "QHttpHeader", false, 0, xcall_QHttpHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpHeader) },	//22
    { "QHttpMultiPart", true, 0, 0, 0, 0, 0 },	//23
    { "QHttpRequestHeader", false, 5, xcall_QHttpRequestHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpRequestHeader) },	//24
    { "QHttpResponseHeader", false, 5, xcall_QHttpResponseHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpResponseHeader) },	//25
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//26
    { "QIPv6Address", false, 0, xcall_QIPv6Address, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QIPv6Address) },	//27
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//28
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//29
    { "QLine", true, 0, 0, 0, 0, 0 },	//30
    { "QLineF", true, 0, 0, 0, 0, 0 },	//31
    { "QLocalServer", false, 1, xcall_QLocalServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalServer) },	//32
    { "QLocalSocket", false, 3, xcall_QLocalSocket, xenum_QLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalSocket) },	//33
    { "QLocale", true, 0, 0, 0, 0, 0 },	//34
    { "QMargins", true, 0, 0, 0, 0, 0 },	//35
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//36
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//37
    { "QNetworkAccessManager", false, 1, xcall_QNetworkAccessManager, xenum_QNetworkAccessManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkAccessManager) },	//38
    { "QNetworkAddressEntry", false, 0, xcall_QNetworkAddressEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkAddressEntry) },	//39
    { "QNetworkCacheMetaData", false, 0, xcall_QNetworkCacheMetaData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCacheMetaData) },	//40
    { "QNetworkConfiguration", true, 0, 0, 0, 0, 0 },	//41
    { "QNetworkCookie", false, 0, xcall_QNetworkCookie, xenum_QNetworkCookie, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCookie) },	//42
    { "QNetworkCookieJar", false, 1, xcall_QNetworkCookieJar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkCookieJar) },	//43
    { "QNetworkDiskCache", false, 7, xcall_QNetworkDiskCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkDiskCache) },	//44
    { "QNetworkInterface", false, 0, xcall_QNetworkInterface, xenum_QNetworkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkInterface) },	//45
    { "QNetworkProxy", false, 0, xcall_QNetworkProxy, xenum_QNetworkProxy, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxy) },	//46
    { "QNetworkProxyFactory", false, 0, xcall_QNetworkProxyFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QNetworkProxyFactory) },	//47
    { "QNetworkProxyQuery", false, 0, xcall_QNetworkProxyQuery, xenum_QNetworkProxyQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxyQuery) },	//48
    { "QNetworkReply", false, 3, xcall_QNetworkReply, xenum_QNetworkReply, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkReply) },	//49
    { "QNetworkRequest", false, 0, xcall_QNetworkRequest, xenum_QNetworkRequest, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkRequest) },	//50
    { "QObject", true, 0, 0, 0, 0, 0 },	//51
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//52
    { "QPoint", true, 0, 0, 0, 0, 0 },	//53
    { "QPointF", true, 0, 0, 0, 0, 0 },	//54
    { "QRect", true, 0, 0, 0, 0, 0 },	//55
    { "QRectF", true, 0, 0, 0, 0, 0 },	//56
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//57
    { "QSize", true, 0, 0, 0, 0, 0 },	//58
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//59
    { "QSsl", false, 0, xcall_QSsl, xenum_QSsl, Smoke::cf_namespace, 0 },	//60
    { "QSslCertificate", false, 0, xcall_QSslCertificate, xenum_QSslCertificate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCertificate) },	//61
    { "QSslCipher", false, 0, xcall_QSslCipher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCipher) },	//62
    { "QSslConfiguration", false, 0, xcall_QSslConfiguration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslConfiguration) },	//63
    { "QSslError", false, 0, xcall_QSslError, xenum_QSslError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslError) },	//64
    { "QSslKey", false, 0, xcall_QSslKey, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslKey) },	//65
    { "QSslSocket", false, 9, xcall_QSslSocket, xenum_QSslSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSslSocket) },	//66
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//67
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//68
    { "QTcpServer", false, 1, xcall_QTcpServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpServer) },	//69
    { "QTcpSocket", false, 11, xcall_QTcpSocket, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpSocket) },	//70
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//71
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//72
    { "QTime", true, 0, 0, 0, 0, 0 },	//73
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//74
    { "QUdpSocket", false, 11, xcall_QUdpSocket, xenum_QUdpSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QUdpSocket) },	//75
    { "QUrl", true, 0, 0, 0, 0, 0 },	//76
    { "QUrlInfo", false, 0, xcall_QUrlInfo, xenum_QUrlInfo, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QUrlInfo) },	//77
    { "QUuid", true, 0, 0, 0, 0, 0 },	//78
    { "QVariant", true, 0, 0, 0, 0, 0 },	//79
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//80
    { "sockaddr", true, 0, 0, 0, 0, 0 },	//81
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractNetworkCache*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractSocket*", 2, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QAbstractSocket::NetworkLayerProtocol", 2, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSocket::SocketError", 2, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAbstractSocket::SocketOption", 2, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractSocket::SocketState", 2, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractSocket::SocketType", 2, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref },	//9
    { "QAuthenticator*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//11
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//12
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//13
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//14
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//15
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//16
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QCryptographicHash::Algorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDataStream&", 9, Smoke::t_class|Smoke::tf_ref },	//20
    { "QDate&", 10, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDateTime", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "QDateTime&", 11, Smoke::t_class|Smoke::tf_ref },	//23
    { "QDebug", 12, Smoke::t_class|Smoke::tf_stack },	//24
    { "QDir::Filter", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDir::SortFlag", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<QNetworkConfigurationManager::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QNetworkInterface::InterfaceFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QNetworkProxy::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QSsl::SslOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QUdpSocket::BindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFtp*", 16, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QFtp::Command", 16, Smoke::t_enum|Smoke::tf_stack },	//67
    { "QFtp::Error", 16, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QFtp::State", 16, Smoke::t_enum|Smoke::tf_stack },	//69
    { "QFtp::TransferMode", 16, Smoke::t_enum|Smoke::tf_stack },	//70
    { "QFtp::TransferType", 16, Smoke::t_enum|Smoke::tf_stack },	//71
    { "QHash<QNetworkRequest::Attribute,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QHostAddress", 19, Smoke::t_class|Smoke::tf_stack },	//74
    { "QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref },	//75
    { "QHostAddress*", 19, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QHostAddress::SpecialAddress", 19, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QHostInfo", 20, Smoke::t_class|Smoke::tf_stack },	//78
    { "QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref },	//79
    { "QHostInfo*", 20, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QHostInfo::HostInfoError", 20, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QHttp*", 21, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QHttp::ConnectionMode", 21, Smoke::t_enum|Smoke::tf_stack },	//83
    { "QHttp::Error", 21, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QHttp::State", 21, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref },	//86
    { "QHttpHeader*", 22, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QHttpMultiPart*", 23, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QHttpRequestHeader", 24, Smoke::t_class|Smoke::tf_stack },	//89
    { "QHttpRequestHeader&", 24, Smoke::t_class|Smoke::tf_ref },	//90
    { "QHttpRequestHeader*", 24, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QHttpResponseHeader", 25, Smoke::t_class|Smoke::tf_stack },	//92
    { "QHttpResponseHeader&", 25, Smoke::t_class|Smoke::tf_ref },	//93
    { "QHttpResponseHeader*", 25, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QIODevice*", 26, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QIODevice::OpenModeFlag", 26, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QIPv6Address", 27, Smoke::t_class|Smoke::tf_stack },	//98
    { "QIPv6Address*", 27, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QIncompatibleFlag", 28, Smoke::t_class|Smoke::tf_stack },	//100
    { "QIntegerForSizeof< void* >::Unsigned", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QLine&", 30, Smoke::t_class|Smoke::tf_ref },	//103
    { "QLineF&", 31, Smoke::t_class|Smoke::tf_ref },	//104
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QList<QHostAddress>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QList<QNetworkAddressEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QList<QNetworkCookie>", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QList<QNetworkInterface>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QList<QNetworkProxy>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QList<QPair<QByteArray,QByteArray> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QList<QPair<QString,QString> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QList<QSslCertificate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QList<QSslCipher>", 0, Smoke::t_voidp|Smoke::tf_stack },	//114
    { "QList<QSslError>", 0, Smoke::t_voidp|Smoke::tf_stack },	//115
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//116
    { "QLocalServer*", 32, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QLocalSocket*", 33, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QLocalSocket::LocalSocketError", 33, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QLocalSocket::LocalSocketState", 33, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QLocale&", 34, Smoke::t_class|Smoke::tf_ref },	//121
    { "QLocale::NumberOption", 34, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QMetaObject::Call", 36, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QMultiMap<QSsl::AlternateNameEntryType,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//124
    { "QNetworkAccessManager*", 38, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QNetworkAccessManager::NetworkAccessibility", 38, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QNetworkAccessManager::Operation", 38, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QNetworkAddressEntry&", 39, Smoke::t_class|Smoke::tf_ref },	//128
    { "QNetworkAddressEntry*", 39, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QNetworkCacheMetaData", 40, Smoke::t_class|Smoke::tf_stack },	//130
    { "QNetworkCacheMetaData&", 40, Smoke::t_class|Smoke::tf_ref },	//131
    { "QNetworkCacheMetaData*", 40, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QNetworkConfiguration", 41, Smoke::t_class|Smoke::tf_stack },	//133
    { "QNetworkConfigurationManager::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QNetworkCookie&", 42, Smoke::t_class|Smoke::tf_ref },	//135
    { "QNetworkCookie*", 42, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QNetworkCookie::RawForm", 42, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QNetworkCookieJar*", 43, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QNetworkDiskCache*", 44, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QNetworkInterface", 45, Smoke::t_class|Smoke::tf_stack },	//140
    { "QNetworkInterface&", 45, Smoke::t_class|Smoke::tf_ref },	//141
    { "QNetworkInterface*", 45, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QNetworkInterface::InterfaceFlag", 45, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QNetworkProxy", 46, Smoke::t_class|Smoke::tf_stack },	//144
    { "QNetworkProxy&", 46, Smoke::t_class|Smoke::tf_ref },	//145
    { "QNetworkProxy*", 46, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QNetworkProxy::Capability", 46, Smoke::t_enum|Smoke::tf_stack },	//147
    { "QNetworkProxy::ProxyType", 46, Smoke::t_enum|Smoke::tf_stack },	//148
    { "QNetworkProxyFactory*", 47, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QNetworkProxyQuery&", 48, Smoke::t_class|Smoke::tf_ref },	//150
    { "QNetworkProxyQuery*", 48, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QNetworkProxyQuery::QueryType", 48, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QNetworkReply*", 49, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QNetworkReply::NetworkError", 49, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QNetworkRequest", 50, Smoke::t_class|Smoke::tf_stack },	//155
    { "QNetworkRequest&", 50, Smoke::t_class|Smoke::tf_ref },	//156
    { "QNetworkRequest*", 50, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QNetworkRequest::Attribute", 50, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QNetworkRequest::CacheLoadControl", 50, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QNetworkRequest::KnownHeaders", 50, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QNetworkRequest::LoadControl", 50, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QNetworkRequest::Priority", 50, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QObject*", 51, Smoke::t_class|Smoke::tf_ptr },	//163
    { "QObject*(*)()", 51, Smoke::t_class|Smoke::tf_ptr },	//164
    { "QPair<QHostAddress,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//165
    { "QPoint&", 53, Smoke::t_class|Smoke::tf_ref },	//166
    { "QPointF&", 54, Smoke::t_class|Smoke::tf_ref },	//167
    { "QRect&", 55, Smoke::t_class|Smoke::tf_ref },	//168
    { "QRectF&", 56, Smoke::t_class|Smoke::tf_ref },	//169
    { "QRegExp&", 57, Smoke::t_class|Smoke::tf_ref },	//170
    { "QRegExp::PatternSyntax", 57, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QSize&", 58, Smoke::t_class|Smoke::tf_ref },	//172
    { "QSizeF&", 59, Smoke::t_class|Smoke::tf_ref },	//173
    { "QSsl::AlternateNameEntryType", 60, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QSsl::EncodingFormat", 60, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QSsl::KeyAlgorithm", 60, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QSsl::KeyType", 60, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QSsl::SslOption", 60, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QSsl::SslProtocol", 60, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QSslCertificate", 61, Smoke::t_class|Smoke::tf_stack },	//180
    { "QSslCertificate&", 61, Smoke::t_class|Smoke::tf_ref },	//181
    { "QSslCertificate*", 61, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QSslCertificate::SubjectInfo", 61, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QSslCipher", 62, Smoke::t_class|Smoke::tf_stack },	//184
    { "QSslCipher&", 62, Smoke::t_class|Smoke::tf_ref },	//185
    { "QSslCipher*", 62, Smoke::t_class|Smoke::tf_ptr },	//186
    { "QSslConfiguration", 63, Smoke::t_class|Smoke::tf_stack },	//187
    { "QSslConfiguration&", 63, Smoke::t_class|Smoke::tf_ref },	//188
    { "QSslConfiguration*", 63, Smoke::t_class|Smoke::tf_ptr },	//189
    { "QSslError&", 64, Smoke::t_class|Smoke::tf_ref },	//190
    { "QSslError*", 64, Smoke::t_class|Smoke::tf_ptr },	//191
    { "QSslError::SslError", 64, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QSslKey", 65, Smoke::t_class|Smoke::tf_stack },	//193
    { "QSslKey&", 65, Smoke::t_class|Smoke::tf_ref },	//194
    { "QSslKey*", 65, Smoke::t_class|Smoke::tf_ptr },	//195
    { "QSslSocket*", 66, Smoke::t_class|Smoke::tf_ptr },	//196
    { "QSslSocket::PeerVerifyMode", 66, Smoke::t_enum|Smoke::tf_stack },	//197
    { "QSslSocket::SslMode", 66, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//199
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//200
    { "QString::Null", 67, Smoke::t_class|Smoke::tf_stack },	//201
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//203
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//204
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//205
    { "QTcpServer*", 69, Smoke::t_class|Smoke::tf_ptr },	//206
    { "QTcpSocket*", 70, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QTextStream&", 71, Smoke::t_class|Smoke::tf_ref },	//209
    { "QTextStream&(*)(QTextStream&)", 71, Smoke::t_class|Smoke::tf_ref },	//210
    { "QTextStream::NumberFlag", 71, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QTextStreamManipulator", 72, Smoke::t_class|Smoke::tf_stack },	//212
    { "QTime&", 73, Smoke::t_class|Smoke::tf_ref },	//213
    { "QTimerEvent*", 74, Smoke::t_class|Smoke::tf_ptr },	//214
    { "QUdpSocket*", 75, Smoke::t_class|Smoke::tf_ptr },	//215
    { "QUdpSocket::BindFlag", 75, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QUrl", 76, Smoke::t_class|Smoke::tf_stack },	//217
    { "QUrl&", 76, Smoke::t_class|Smoke::tf_ref },	//218
    { "QUrl::FormattingOption", 76, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QUrlInfo&", 77, Smoke::t_class|Smoke::tf_ref },	//220
    { "QUrlInfo*", 77, Smoke::t_class|Smoke::tf_ptr },	//221
    { "QUrlInfo::PermissionSpec", 77, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QUuid&", 78, Smoke::t_class|Smoke::tf_ref },	//223
    { "QVariant", 79, Smoke::t_class|Smoke::tf_stack },	//224
    { "QVariant&", 79, Smoke::t_class|Smoke::tf_ref },	//225
    { "QVariant::Type", 79, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QVariant::Type&", 79, Smoke::t_enum|Smoke::tf_ref },	//227
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//302
    { "QtValidLicenseForActiveQtModule", 17, Smoke::t_enum|Smoke::tf_stack },	//303
    { "QtValidLicenseForCoreModule", 17, Smoke::t_enum|Smoke::tf_stack },	//304
    { "QtValidLicenseForDBusModule", 17, Smoke::t_enum|Smoke::tf_stack },	//305
    { "QtValidLicenseForDeclarativeModule", 17, Smoke::t_enum|Smoke::tf_stack },	//306
    { "QtValidLicenseForGuiModule", 17, Smoke::t_enum|Smoke::tf_stack },	//307
    { "QtValidLicenseForHelpModule", 17, Smoke::t_enum|Smoke::tf_stack },	//308
    { "QtValidLicenseForMultimediaModule", 17, Smoke::t_enum|Smoke::tf_stack },	//309
    { "QtValidLicenseForNetworkModule", 17, Smoke::t_enum|Smoke::tf_stack },	//310
    { "QtValidLicenseForOpenGLModule", 17, Smoke::t_enum|Smoke::tf_stack },	//311
    { "QtValidLicenseForOpenVGModule", 17, Smoke::t_enum|Smoke::tf_stack },	//312
    { "QtValidLicenseForQt3SupportLightModule", 17, Smoke::t_enum|Smoke::tf_stack },	//313
    { "QtValidLicenseForQt3SupportModule", 17, Smoke::t_enum|Smoke::tf_stack },	//314
    { "QtValidLicenseForScriptModule", 17, Smoke::t_enum|Smoke::tf_stack },	//315
    { "QtValidLicenseForScriptToolsModule", 17, Smoke::t_enum|Smoke::tf_stack },	//316
    { "QtValidLicenseForSqlModule", 17, Smoke::t_enum|Smoke::tf_stack },	//317
    { "QtValidLicenseForSvgModule", 17, Smoke::t_enum|Smoke::tf_stack },	//318
    { "QtValidLicenseForTestModule", 17, Smoke::t_enum|Smoke::tf_stack },	//319
    { "QtValidLicenseForXmlModule", 17, Smoke::t_enum|Smoke::tf_stack },	//320
    { "QtValidLicenseForXmlPatternsModule", 17, Smoke::t_enum|Smoke::tf_stack },	//321
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//322
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//323
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//324
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//325
    { "const QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//328
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QDate&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QDateTime&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QDir&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QHash<QNetworkRequest::Attribute,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QHashDummyValue&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QHttpRequestHeader&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QHttpResponseHeader&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QIPv6Address&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QLatin1String&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QLine&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QLineF&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QList<QHostAddress>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QList<QNetworkCookie>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QList<QPair<QByteArray,QByteArray> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QList<QPair<QString,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QList<QSslCertificate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QList<QSslCipher>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//351
    { "const QList<QSslError>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QLocale&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QMargins&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QMetaObject&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QMetaObject*", 36, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//356
    { "const QModelIndex&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QNetworkAddressEntry&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QNetworkCacheMetaData&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QNetworkConfiguration&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QNetworkCookie&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QNetworkInterface&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const QNetworkProxy&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QNetworkProxyFactory&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QNetworkProxyQuery&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QNetworkRequest&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QObject*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//367
    { "const QPair<QHostAddress,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QPersistentModelIndex&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const QPoint", 53, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//370
    { "const QPoint&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//371
    { "const QPointF", 54, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//372
    { "const QPointF&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QRect&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QRectF&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QRegExp&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QRegExp*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//377
    { "const QSize", 58, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//378
    { "const QSize&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QSizeF", 59, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//380
    { "const QSizeF&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QSslCertificate&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QSslCipher&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QSslConfiguration&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QSslError&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QSslError::SslError&", 64, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QSslKey&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//388
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//391
    { "const QStringRef&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QTime&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QUrl&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QUrlInfo&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QUuid&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QVariant&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QVariant::Type", 79, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//398
    { "const QVariantComparisonHelper&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//400
    { "const sockaddr*", 81, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//401
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//402
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//403
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//404
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//405
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//406
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//407
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//408
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//409
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//410
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//411
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//412
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//413
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//414
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//415
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//416
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//417
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//418
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//419
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//420
    { "unsigned short*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//421
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//422
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//423
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//424
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//425
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//426
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//427
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    400, 0,	//1  const char*
    400, 400, 0,	//3  const char*, const char*
    400, 400, 406, 0,	//6  const char*, const char*, int
    123, 406, 426, 0,	//10  QMetaObject::Call, int, void**
    394, 0,	//14  const QUrl&
    359, 0,	//16  const QNetworkCacheMetaData&
    95, 0,	//18  QIODevice*
    163, 0,	//20  QObject*
    8, 163, 0,	//22  QAbstractSocket::SocketType, QObject*
    389, 420, 38, 0,	//25  const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    337, 420, 38, 0,	//29  const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    408, 0,	//33  long long
    406, 7, 38, 0,	//35  int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>
    6, 397, 0,	//39  QAbstractSocket::SocketOption, const QVariant&
    6, 0,	//42  QAbstractSocket::SocketOption
    406, 0,	//44  int
    363, 0,	//46  const QNetworkProxy&
    7, 0,	//48  QAbstractSocket::SocketState
    5, 0,	//50  QAbstractSocket::SocketError
    363, 10, 0,	//52  const QNetworkProxy&, QAuthenticator*
    389, 410, 96, 0,	//55  const QString&, quint16, QIODevice::OpenMode
    325, 408, 0,	//59  char*, long long
    400, 408, 0,	//62  const char*, long long
    420, 0,	//65  unsigned short
    337, 0,	//67  const QHostAddress&
    389, 0,	//69  const QString&
    389, 420, 0,	//71  const QString&, unsigned short
    337, 420, 0,	//74  const QHostAddress&, unsigned short
    406, 7, 0,	//77  int, QAbstractSocket::SocketState
    389, 410, 0,	//80  const QString&, quint16
    326, 0,	//83  const QAuthenticator&
    389, 397, 0,	//85  const QString&, const QVariant&
    389, 389, 0,	//88  const QString&, const QString&
    70, 0,	//91  QFtp::TransferMode
    389, 95, 71, 0,	//93  const QString&, QIODevice*, QFtp::TransferType
    329, 389, 71, 0,	//97  const QByteArray&, const QString&, QFtp::TransferType
    95, 389, 71, 0,	//101  QIODevice*, const QString&, QFtp::TransferType
    395, 0,	//105  const QUrlInfo&
    409, 409, 0,	//107  qint64, qint64
    406, 389, 0,	//110  int, const QString&
    406, 322, 0,	//113  int, bool
    322, 0,	//116  bool
    389, 95, 0,	//118  const QString&, QIODevice*
    329, 389, 0,	//121  const QByteArray&, const QString&
    95, 389, 0,	//124  QIODevice*, const QString&
    404, 0,	//127  double
    31, 31, 0,	//129  QFile::Permission, QFile::Permission
    20, 17, 0,	//132  QDataStream&, QChar&
    27, 35, 0,	//135  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    400, 343, 0,	//138  const char*, const QLatin1String&
    20, 121, 0,	//141  QDataStream&, QLocale&
    299, 406, 0,	//144  Qt::WindowType, int
    325, 400, 417, 0,	//147  char*, const char*, unsigned int
    417, 0,	//151  unsigned int
    324, 0,	//153  char
    381, 404, 0,	//155  const QSizeF&, double
    24, 344, 0,	//158  QDebug, const QLine&
    329, 400, 0,	//161  const QByteArray&, const char*
    400, 389, 0,	//164  const char*, const QString&
    20, 168, 0,	//167  QDataStream&, QRect&
    264, 264, 0,	//170  Qt::ItemFlag, Qt::ItemFlag
    397, 399, 0,	//173  const QVariant&, const QVariantComparisonHelper&
    24, 38, 0,	//176  QDebug, QFlags<QIODevice::OpenModeFlag>
    379, 379, 0,	//179  const QSize&, const QSize&
    24, 337, 0,	//182  QDebug, const QHostAddress&
    16, 389, 0,	//185  QChar, const QString&
    400, 400, 417, 0,	//188  const char*, const char*, unsigned int
    343, 343, 0,	//192  const QLatin1String&, const QLatin1String&
    392, 392, 0,	//195  const QStringRef&, const QStringRef&
    24, 119, 0,	//198  QDebug, QLocalSocket::LocalSocketError
    325, 413, 400, 422, 0,	//201  char*, size_t, const char*, va_list
    373, 373, 0,	//206  const QPointF&, const QPointF&
    389, 392, 0,	//209  const QString&, const QStringRef&
    20, 337, 0,	//212  QDataStream&, const QHostAddress&
    389, 16, 0,	//215  const QString&, QChar
    400, 417, 0,	//218  const char*, unsigned int
    20, 28, 0,	//221  QDataStream&, QEasingCurve&
    343, 392, 0,	//224  const QLatin1String&, const QStringRef&
    24, 331, 0,	//227  QDebug, const QDate&
    289, 289, 0,	//230  Qt::ToolBarArea, Qt::ToolBarArea
    24, 345, 0,	//233  QDebug, const QLineF&
    375, 375, 0,	//236  const QRectF&, const QRectF&
    414, 0,	//239  unsigned char
    367, 389, 377, 355, 116, 0,	//241  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    392, 343, 0,	//247  const QStringRef&, const QLatin1String&
    20, 21, 0,	//250  QDataStream&, QDate&
    405, 0,	//253  float
    286, 406, 0,	//255  Qt::TextInteractionFlag, int
    16, 16, 0,	//258  QChar, QChar
    16, 0,	//261  QChar
    20, 218, 0,	//263  QDataStream&, QUrl&
    24, 357, 0,	//266  QDebug, const QModelIndex&
    102, 39, 0,	//269  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    24, 386, 0,	//272  QDebug, const QSslError::SslError&
    400, 406, 0,	//275  const char*, int
    404, 404, 0,	//278  double, double
    20, 398, 0,	//281  QDataStream&, const QVariant::Type
    411, 0,	//284  short
    20, 397, 0,	//286  QDataStream&, const QVariant&
    286, 61, 0,	//289  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    24, 382, 0,	//292  QDebug, const QSslCertificate&
    264, 56, 0,	//295  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    407, 0,	//298  long
    261, 55, 0,	//300  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    20, 381, 0,	//303  QDataStream&, const QSizeF&
    201, 201, 0,	//306  QString::Null, QString::Null
    400, 329, 0,	//309  const char*, const QByteArray&
    143, 143, 0,	//312  QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag
    143, 42, 0,	//315  QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>
    77, 337, 0,	//318  QHostAddress::SpecialAddress, const QHostAddress&
    327, 0,	//321  const QBitArray&
    27, 27, 0,	//323  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    325, 400, 0,	//326  char*, const char*
    327, 327, 0,	//329  const QBitArray&, const QBitArray&
    371, 371, 0,	//332  const QPoint&, const QPoint&
    267, 57, 0,	//335  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    373, 404, 0,	//338  const QPointF&, double
    24, 381, 0,	//341  QDebug, const QSizeF&
    336, 336, 0,	//344  const QHashDummyValue&, const QHashDummyValue&
    1, 1, 0,	//347  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    216, 406, 0,	//350  QUdpSocket::BindFlag, int
    20, 223, 0,	//353  QDataStream&, QUuid&
    374, 374, 0,	//356  const QRect&, const QRect&
    329, 329, 0,	//359  const QByteArray&, const QByteArray&
    402, 406, 0,	//362  const unsigned char*, int
    216, 48, 0,	//365  QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>
    329, 406, 0,	//368  const QByteArray&, int
    329, 0,	//371  const QByteArray&
    20, 389, 0,	//373  QDataStream&, const QString&
    209, 210, 0,	//376  QTextStream&, QTextStream&(*)(QTextStream&)
    24, 385, 0,	//379  QDebug, const QSslError&
    250, 406, 0,	//382  Qt::DropAction, int
    425, 413, 413, 413, 0,	//385  void*, size_t, size_t, size_t
    270, 406, 0,	//390  Qt::MatchFlag, int
    20, 371, 0,	//393  QDataStream&, const QPoint&
    24, 7, 0,	//396  QDebug, QAbstractSocket::SocketState
    24, 374, 0,	//399  QDebug, const QRect&
    24, 5, 0,	//402  QDebug, QAbstractSocket::SocketError
    208, 46, 0,	//405  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    286, 286, 0,	//408  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    202, 45, 0,	//411  QString::SectionFlag, QFlags<QString::SectionFlag>
    24, 333, 0,	//414  QDebug, const QDir&
    272, 272, 0,	//417  Qt::MouseButton, Qt::MouseButton
    425, 413, 0,	//420  void*, size_t
    250, 250, 0,	//423  Qt::DropAction, Qt::DropAction
    178, 406, 0,	//426  QSsl::SslOption, int
    1, 406, 0,	//429  QAbstractFileEngine::FileFlag, int
    389, 201, 0,	//432  const QString&, QString::Null
    255, 53, 0,	//435  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    30, 406, 0,	//438  QEventLoop::ProcessEventsFlag, int
    24, 183, 0,	//441  QDebug, QSslCertificate::SubjectInfo
    122, 122, 0,	//444  QLocale::NumberOption, QLocale::NumberOption
    97, 97, 0,	//447  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    20, 104, 0,	//450  QDataStream&, QLineF&
    24, 387, 0,	//453  QDebug, const QSslKey&
    20, 345, 0,	//456  QDataStream&, const QLineF&
    381, 381, 0,	//459  const QSizeF&, const QSizeF&
    404, 379, 0,	//462  double, const QSize&
    248, 51, 0,	//465  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    270, 58, 0,	//468  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    371, 405, 0,	//471  const QPoint&, float
    373, 0,	//474  const QPointF&
    228, 406, 0,	//476  Qt::AlignmentFlag, int
    259, 406, 0,	//479  Qt::ImageConversionFlag, int
    24, 379, 0,	//482  QDebug, const QSize&
    208, 406, 0,	//485  QTextCodec::ConversionFlag, int
    24, 371, 0,	//488  QDebug, const QPoint&
    24, 394, 0,	//491  QDebug, const QUrl&
    371, 0,	//494  const QPoint&
    20, 373, 0,	//496  QDataStream&, const QPointF&
    208, 208, 0,	//499  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    20, 75, 0,	//502  QDataStream&, QHostAddress&
    13, 13, 0,	//505  QBool, QBool
    389, 324, 0,	//508  const QString&, char
    400, 392, 0,	//511  const char*, const QStringRef&
    419, 0,	//514  unsigned long long
    211, 406, 0,	//516  QTextStream::NumberFlag, int
    24, 373, 0,	//519  QDebug, const QPointF&
    201, 389, 0,	//522  QString::Null, const QString&
    423, 0,	//525  void(*)()
    122, 40, 0,	//527  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    255, 255, 0,	//530  Qt::GestureFlag, Qt::GestureFlag
    20, 169, 0,	//533  QDataStream&, QRectF&
    405, 405, 0,	//536  float, float
    20, 330, 0,	//539  QDataStream&, const QChar&
    20, 167, 0,	//542  QDataStream&, QPointF&
    379, 404, 0,	//545  const QSize&, double
    424, 0,	//548  void(*)(QtMsgType,const char*)
    209, 212, 0,	//550  QTextStream&, QTextStreamManipulator
    228, 228, 0,	//553  Qt::AlignmentFlag, Qt::AlignmentFlag
    20, 103, 0,	//556  QDataStream&, QLine&
    25, 25, 0,	//559  QDir::Filter, QDir::Filter
    371, 404, 0,	//562  const QPoint&, double
    20, 329, 0,	//565  QDataStream&, const QByteArray&
    20, 334, 0,	//568  QDataStream&, const QEasingCurve&
    20, 359, 0,	//571  QDataStream&, const QNetworkCacheMetaData&
    259, 259, 0,	//574  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    298, 406, 0,	//577  Qt::WindowState, int
    20, 200, 0,	//580  QDataStream&, QString&
    367, 389, 355, 0,	//583  const QObject*, const QString&, const QMetaObject&
    20, 375, 0,	//587  QDataStream&, const QRectF&
    20, 12, 0,	//590  QDataStream&, QBitArray&
    20, 172, 0,	//593  QDataStream&, QSize&
    267, 267, 0,	//596  Qt::KeyboardModifier, Qt::KeyboardModifier
    322, 13, 0,	//599  bool, QBool
    211, 211, 0,	//602  QTextStream::NumberFlag, QTextStream::NumberFlag
    20, 23, 0,	//605  QDataStream&, QDateTime&
    397, 226, 425, 0,	//608  const QVariant&, QVariant::Type, void*
    392, 389, 0,	//612  const QStringRef&, const QString&
    402, 416, 406, 0,	//615  const unsigned char*, unsigned char*, int
    267, 406, 0,	//619  Qt::KeyboardModifier, int
    20, 332, 0,	//622  QDataStream&, const QDateTime&
    302, 400, 0,	//625  QtMsgType, const char*
    30, 36, 0,	//628  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    354, 354, 0,	//631  const QMargins&, const QMargins&
    219, 219, 0,	//634  QUrl::FormattingOption, QUrl::FormattingOption
    134, 41, 0,	//637  QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>
    147, 147, 0,	//640  QNetworkProxy::Capability, QNetworkProxy::Capability
    24, 398, 0,	//643  QDebug, const QVariant::Type
    248, 406, 0,	//646  Qt::DockWidgetArea, int
    20, 213, 0,	//649  QDataStream&, QTime&
    299, 299, 0,	//652  Qt::WindowType, Qt::WindowType
    425, 406, 413, 0,	//655  void*, int, size_t
    24, 332, 0,	//659  QDebug, const QDateTime&
    412, 0,	//662  signed char
    299, 65, 0,	//664  Qt::WindowType, QFlags<Qt::WindowType>
    298, 298, 0,	//667  Qt::WindowState, Qt::WindowState
    24, 397, 0,	//670  QDebug, const QVariant&
    20, 204, 0,	//673  QDataStream&, QStringList&
    31, 406, 0,	//676  QFile::Permission, int
    164, 0,	//679  QObject*(*)()
    404, 373, 0,	//681  double, const QPointF&
    406, 371, 0,	//684  int, const QPoint&
    20, 394, 0,	//687  QDataStream&, const QUrl&
    20, 393, 0,	//690  QDataStream&, const QTime&
    20, 166, 0,	//693  QDataStream&, QPoint&
    216, 216, 0,	//696  QUdpSocket::BindFlag, QUdpSocket::BindFlag
    392, 0,	//699  const QStringRef&
    20, 170, 0,	//701  QDataStream&, QRegExp&
    261, 406, 0,	//704  Qt::InputMethodHint, int
    20, 353, 0,	//707  QDataStream&, const QLocale&
    413, 413, 0,	//710  size_t, size_t
    20, 327, 0,	//713  QDataStream&, const QBitArray&
    389, 329, 0,	//716  const QString&, const QByteArray&
    400, 400, 400, 406, 0,	//719  const char*, const char*, const char*, int
    219, 49, 0,	//724  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    30, 30, 0,	//727  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    329, 324, 0,	//730  const QByteArray&, char
    147, 406, 0,	//733  QNetworkProxy::Capability, int
    102, 102, 0,	//736  QLibrary::LoadHint, QLibrary::LoadHint
    228, 50, 0,	//739  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    20, 396, 0,	//742  QDataStream&, const QUuid&
    97, 38, 0,	//745  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    20, 344, 0,	//748  QDataStream&, const QLine&
    255, 406, 0,	//751  Qt::GestureFlag, int
    392, 400, 0,	//754  const QStringRef&, const char*
    26, 34, 0,	//757  QDir::SortFlag, QFlags<QDir::SortFlag>
    24, 361, 0,	//760  QDebug, const QNetworkCookie&
    20, 331, 0,	//763  QDataStream&, const QDate&
    324, 329, 0,	//766  char, const QByteArray&
    389, 400, 0,	//769  const QString&, const char*
    102, 406, 0,	//772  QLibrary::LoadHint, int
    402, 406, 406, 0,	//775  const unsigned char*, int, int
    274, 274, 0,	//779  Qt::Orientation, Qt::Orientation
    13, 322, 0,	//782  QBool, bool
    20, 390, 0,	//785  QDataStream&, const QStringList&
    20, 376, 0,	//788  QDataStream&, const QRegExp&
    26, 406, 0,	//791  QDir::SortFlag, int
    425, 403, 413, 0,	//794  void*, const void*, size_t
    425, 0,	//798  void*
    289, 62, 0,	//800  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    24, 120, 0,	//803  QDebug, QLocalSocket::LocalSocketState
    24, 369, 0,	//806  QDebug, const QPersistentModelIndex&
    20, 225, 0,	//809  QDataStream&, QVariant&
    292, 63, 0,	//812  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    405, 371, 0,	//815  float, const QPoint&
    404, 371, 0,	//818  double, const QPoint&
    24, 362, 0,	//821  QDebug, const QNetworkInterface&
    24, 367, 0,	//824  QDebug, const QObject*
    24, 383, 0,	//827  QDebug, const QSslCipher&
    31, 37, 0,	//830  QFile::Permission, QFlags<QFile::Permission>
    20, 131, 0,	//833  QDataStream&, QNetworkCacheMetaData&
    178, 178, 0,	//836  QSsl::SslOption, QSsl::SslOption
    24, 375, 0,	//839  QDebug, const QRectF&
    211, 47, 0,	//842  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    26, 26, 0,	//845  QDir::SortFlag, QDir::SortFlag
    147, 43, 0,	//848  QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>
    143, 406, 0,	//851  QNetworkInterface::InterfaceFlag, int
    292, 406, 0,	//854  Qt::TouchPointState, int
    25, 406, 0,	//857  QDir::Filter, int
    418, 0,	//860  unsigned long
    1, 32, 0,	//862  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    272, 59, 0,	//865  Qt::MouseButton, QFlags<Qt::MouseButton>
    250, 52, 0,	//868  Qt::DropAction, QFlags<Qt::DropAction>
    413, 0,	//871  size_t
    274, 406, 0,	//873  Qt::Orientation, int
    20, 227, 0,	//876  QDataStream&, QVariant::Type&
    289, 406, 0,	//879  Qt::ToolBarArea, int
    20, 15, 0,	//882  QDataStream&, QByteArray&
    20, 374, 0,	//885  QDataStream&, const QRect&
    24, 334, 0,	//888  QDebug, const QEasingCurve&
    369, 0,	//891  const QPersistentModelIndex&
    134, 134, 0,	//893  QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability
    122, 406, 0,	//896  QLocale::NumberOption, int
    24, 393, 0,	//899  QDebug, const QTime&
    292, 292, 0,	//902  Qt::TouchPointState, Qt::TouchPointState
    178, 44, 0,	//905  QSsl::SslOption, QFlags<QSsl::SslOption>
    259, 54, 0,	//908  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    298, 64, 0,	//911  Qt::WindowState, QFlags<Qt::WindowState>
    248, 248, 0,	//914  Qt::DockWidgetArea, Qt::DockWidgetArea
    27, 406, 0,	//917  QDirIterator::IteratorFlag, int
    404, 381, 0,	//920  double, const QSizeF&
    24, 354, 0,	//923  QDebug, const QMargins&
    357, 0,	//926  const QModelIndex&
    219, 406, 0,	//928  QUrl::FormattingOption, int
    371, 406, 0,	//931  const QPoint&, int
    270, 270, 0,	//934  Qt::MatchFlag, Qt::MatchFlag
    261, 261, 0,	//937  Qt::InputMethodHint, Qt::InputMethodHint
    274, 60, 0,	//940  Qt::Orientation, QFlags<Qt::Orientation>
    24, 33, 0,	//943  QDebug, QFlags<QDir::Filter>
    264, 406, 0,	//946  Qt::ItemFlag, int
    272, 406, 0,	//949  Qt::MouseButton, int
    20, 173, 0,	//952  QDataStream&, QSizeF&
    97, 406, 0,	//955  QIODevice::OpenModeFlag, int
    202, 406, 0,	//958  QString::SectionFlag, int
    134, 406, 0,	//961  QNetworkConfigurationManager::Capability, int
    324, 389, 0,	//964  char, const QString&
    20, 379, 0,	//967  QDataStream&, const QSize&
    25, 33, 0,	//970  QDir::Filter, QFlags<QDir::Filter>
    202, 202, 0,	//973  QString::SectionFlag, QString::SectionFlag
    416, 0,	//976  unsigned char*
    342, 0,	//978  const QIPv6Address&
    401, 0,	//980  const sockaddr*
    77, 0,	//982  QHostAddress::SpecialAddress
    337, 406, 0,	//984  const QHostAddress&, int
    368, 0,	//987  const QPair<QHostAddress,int>&
    338, 0,	//989  const QHostInfo&
    346, 0,	//991  const QList<QHostAddress>&
    81, 0,	//993  QHostInfo::HostInfoError
    389, 163, 400, 0,	//995  const QString&, QObject*, const char*
    389, 420, 163, 0,	//999  const QString&, unsigned short, QObject*
    389, 83, 420, 163, 0,	//1003  const QString&, QHttp::ConnectionMode, unsigned short, QObject*
    389, 83, 420, 0,	//1008  const QString&, QHttp::ConnectionMode, unsigned short
    207, 0,	//1012  QTcpSocket*
    389, 406, 389, 389, 0,	//1014  const QString&, int, const QString&, const QString&
    389, 95, 95, 0,	//1019  const QString&, QIODevice*, QIODevice*
    389, 329, 95, 0,	//1023  const QString&, const QByteArray&, QIODevice*
    340, 95, 95, 0,	//1027  const QHttpRequestHeader&, QIODevice*, QIODevice*
    340, 329, 95, 0,	//1031  const QHttpRequestHeader&, const QByteArray&, QIODevice*
    341, 0,	//1035  const QHttpResponseHeader&
    406, 406, 0,	//1037  int, int
    389, 410, 10, 0,	//1040  const QString&, quint16, QAuthenticator*
    352, 0,	//1044  const QList<QSslError>&
    389, 83, 0,	//1046  const QString&, QHttp::ConnectionMode
    389, 406, 0,	//1049  const QString&, int
    389, 406, 389, 0,	//1052  const QString&, int, const QString&
    340, 0,	//1056  const QHttpRequestHeader&
    340, 95, 0,	//1058  const QHttpRequestHeader&, QIODevice*
    340, 329, 0,	//1061  const QHttpRequestHeader&, const QByteArray&
    339, 0,	//1064  const QHttpHeader&
    349, 0,	//1066  const QList<QPair<QString,QString> >&
    389, 389, 406, 406, 0,	//1068  const QString&, const QString&, int, int
    389, 389, 406, 0,	//1073  const QString&, const QString&, int
    406, 389, 406, 406, 0,	//1077  int, const QString&, int, int
    406, 389, 406, 0,	//1082  int, const QString&, int
    38, 0,	//1086  QFlags<QIODevice::OpenModeFlag>
    406, 323, 0,	//1088  int, bool*
    101, 0,	//1091  QIntegerForSizeof< void* >::Unsigned
    389, 38, 0,	//1093  const QString&, QFlags<QIODevice::OpenModeFlag>
    101, 120, 38, 0,	//1096  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>
    119, 0,	//1100  QLocalSocket::LocalSocketError
    120, 0,	//1102  QLocalSocket::LocalSocketState
    101, 120, 0,	//1104  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState
    149, 0,	//1107  QNetworkProxyFactory*
    2, 0,	//1109  QAbstractNetworkCache*
    138, 0,	//1111  QNetworkCookieJar*
    366, 0,	//1113  const QNetworkRequest&
    366, 95, 0,	//1115  const QNetworkRequest&, QIODevice*
    366, 329, 0,	//1118  const QNetworkRequest&, const QByteArray&
    366, 88, 0,	//1121  const QNetworkRequest&, QHttpMultiPart*
    366, 329, 95, 0,	//1124  const QNetworkRequest&, const QByteArray&, QIODevice*
    360, 0,	//1128  const QNetworkConfiguration&
    126, 0,	//1130  QNetworkAccessManager::NetworkAccessibility
    153, 10, 0,	//1132  QNetworkReply*, QAuthenticator*
    153, 0,	//1135  QNetworkReply*
    153, 352, 0,	//1137  QNetworkReply*, const QList<QSslError>&
    127, 366, 95, 0,	//1140  QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*
    127, 366, 0,	//1144  QNetworkAccessManager::Operation, const QNetworkRequest&
    358, 0,	//1147  const QNetworkAddressEntry&
    348, 0,	//1149  const QList<QPair<QByteArray,QByteArray> >&
    332, 0,	//1151  const QDateTime&
    335, 0,	//1153  const QHash<QNetworkRequest::Attribute,QVariant>&
    361, 0,	//1155  const QNetworkCookie&
    137, 0,	//1157  QNetworkCookie::RawForm
    347, 394, 0,	//1159  const QList<QNetworkCookie>&, const QUrl&
    347, 0,	//1162  const QList<QNetworkCookie>&
    362, 0,	//1164  const QNetworkInterface&
    148, 389, 420, 389, 389, 0,	//1166  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&
    148, 0,	//1172  QNetworkProxy::ProxyType
    43, 0,	//1174  QFlags<QNetworkProxy::Capability>
    148, 389, 0,	//1176  QNetworkProxy::ProxyType, const QString&
    148, 389, 420, 0,	//1179  QNetworkProxy::ProxyType, const QString&, unsigned short
    148, 389, 420, 389, 0,	//1183  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&
    365, 0,	//1188  const QNetworkProxyQuery&
    364, 0,	//1190  const QNetworkProxyFactory&
    394, 152, 0,	//1192  const QUrl&, QNetworkProxyQuery::QueryType
    389, 406, 389, 152, 0,	//1195  const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    420, 389, 152, 0,	//1200  unsigned short, const QString&, QNetworkProxyQuery::QueryType
    360, 394, 152, 0,	//1204  const QNetworkConfiguration&, const QUrl&, QNetworkProxyQuery::QueryType
    360, 389, 406, 389, 152, 0,	//1208  const QNetworkConfiguration&, const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    360, 420, 389, 152, 0,	//1214  const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType
    152, 0,	//1219  QNetworkProxyQuery::QueryType
    420, 389, 0,	//1221  unsigned short, const QString&
    360, 394, 0,	//1224  const QNetworkConfiguration&, const QUrl&
    360, 389, 406, 0,	//1227  const QNetworkConfiguration&, const QString&, int
    360, 389, 406, 389, 0,	//1231  const QNetworkConfiguration&, const QString&, int, const QString&
    360, 420, 0,	//1236  const QNetworkConfiguration&, unsigned short
    360, 420, 389, 0,	//1239  const QNetworkConfiguration&, unsigned short, const QString&
    160, 0,	//1243  QNetworkRequest::KnownHeaders
    158, 0,	//1245  QNetworkRequest::Attribute
    384, 0,	//1247  const QSslConfiguration&
    154, 0,	//1249  QNetworkReply::NetworkError
    127, 0,	//1251  QNetworkAccessManager::Operation
    154, 389, 0,	//1253  QNetworkReply::NetworkError, const QString&
    160, 397, 0,	//1256  QNetworkRequest::KnownHeaders, const QVariant&
    158, 397, 0,	//1259  QNetworkRequest::Attribute, const QVariant&
    162, 0,	//1262  QNetworkRequest::Priority
    29, 0,	//1264  QEvent*
    163, 29, 0,	//1266  QObject*, QEvent*
    214, 0,	//1269  QTimerEvent*
    18, 0,	//1271  QChildEvent*
    95, 175, 0,	//1273  QIODevice*, QSsl::EncodingFormat
    329, 175, 0,	//1276  const QByteArray&, QSsl::EncodingFormat
    382, 0,	//1279  const QSslCertificate&
    19, 0,	//1281  QCryptographicHash::Algorithm
    183, 0,	//1283  QSslCertificate::SubjectInfo
    389, 175, 171, 0,	//1285  const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax
    389, 175, 0,	//1289  const QString&, QSsl::EncodingFormat
    389, 179, 0,	//1292  const QString&, QSsl::SslProtocol
    383, 0,	//1295  const QSslCipher&
    179, 0,	//1297  QSsl::SslProtocol
    197, 0,	//1299  QSslSocket::PeerVerifyMode
    387, 0,	//1301  const QSslKey&
    351, 0,	//1303  const QList<QSslCipher>&
    350, 0,	//1305  const QList<QSslCertificate>&
    178, 322, 0,	//1307  QSsl::SslOption, bool
    178, 0,	//1310  QSsl::SslOption
    192, 0,	//1312  QSslError::SslError
    192, 382, 0,	//1314  QSslError::SslError, const QSslCertificate&
    385, 0,	//1317  const QSslError&
    329, 176, 175, 177, 329, 0,	//1319  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    95, 176, 175, 177, 329, 0,	//1325  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    329, 176, 0,	//1331  const QByteArray&, QSsl::KeyAlgorithm
    329, 176, 175, 0,	//1334  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    329, 176, 175, 177, 0,	//1338  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    95, 176, 0,	//1343  QIODevice*, QSsl::KeyAlgorithm
    95, 176, 175, 0,	//1346  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    95, 176, 175, 177, 0,	//1350  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    389, 420, 389, 38, 0,	//1355  const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>
    389, 176, 175, 329, 0,	//1360  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&
    198, 0,	//1365  QSslSocket::SslMode
    409, 0,	//1367  qint64
    389, 420, 389, 0,	//1369  const QString&, unsigned short, const QString&
    389, 176, 0,	//1373  const QString&, QSsl::KeyAlgorithm
    389, 176, 175, 0,	//1376  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    337, 420, 48, 0,	//1380  const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>
    420, 48, 0,	//1384  unsigned short, QFlags<QUdpSocket::BindFlag>
    337, 362, 0,	//1387  const QHostAddress&, const QNetworkInterface&
    325, 408, 76, 421, 0,	//1390  char*, long long, QHostAddress*, unsigned short*
    400, 408, 337, 420, 0,	//1395  const char*, long long, const QHostAddress&, unsigned short
    329, 337, 420, 0,	//1400  const QByteArray&, const QHostAddress&, unsigned short
    325, 408, 76, 0,	//1404  char*, long long, QHostAddress*
    389, 406, 389, 389, 408, 332, 332, 322, 322, 322, 322, 322, 322, 0,	//1408  const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    394, 406, 389, 389, 408, 332, 332, 322, 322, 322, 322, 322, 322, 0,	//1422  const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    395, 395, 406, 0,	//1436  const QUrlInfo&, const QUrlInfo&, int
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Aborted",	//1
    "Accessible",	//2
    "Active",	//3
    "AddressInUseError",	//4
    "AlwaysCache",	//5
    "AlwaysNetwork",	//6
    "Any",	//7
    "AnyIPv6",	//8
    "AnyProtocol",	//9
    "Append",	//10
    "Ascii",	//11
    "AuthenticationRequiredError",	//12
    "AuthenticationReuseAttribute",	//13
    "AuthorityIssuerSerialNumberMismatch",	//14
    "AutoVerifyPeer",	//15
    "Automatic",	//16
    "Binary",	//17
    "BoundState",	//18
    "Broadcast",	//19
    "CacheLoadControlAttribute",	//20
    "CacheSaveControlAttribute",	//21
    "CachingCapability",	//22
    "CanBroadcast",	//23
    "CanMulticast",	//24
    "Cd",	//25
    "CertificateBlacklisted",	//26
    "CertificateExpired",	//27
    "CertificateNotYetValid",	//28
    "CertificateRejected",	//29
    "CertificateRevoked",	//30
    "CertificateSignatureFailed",	//31
    "CertificateUntrusted",	//32
    "Close",	//33
    "Closing",	//34
    "ClosingState",	//35
    "CommonName",	//36
    "ConnectToHost",	//37
    "Connected",	//38
    "ConnectedState",	//39
    "Connecting",	//40
    "ConnectingState",	//41
    "ConnectionEncryptedAttribute",	//42
    "ConnectionError",	//43
    "ConnectionModeHttp",	//44
    "ConnectionModeHttps",	//45
    "ConnectionRefused",	//46
    "ConnectionRefusedError",	//47
    "ContentAccessDenied",	//48
    "ContentDispositionHeader",	//49
    "ContentLengthHeader",	//50
    "ContentNotFoundError",	//51
    "ContentOperationNotPermittedError",	//52
    "ContentReSendError",	//53
    "ContentTypeHeader",	//54
    "CookieHeader",	//55
    "CookieLoadControlAttribute",	//56
    "CookieSaveControlAttribute",	//57
    "CountryName",	//58
    "CustomOperation",	//59
    "CustomVerbAttribute",	//60
    "DatagramTooLargeError",	//61
    "DefaultForPlatform",	//62
    "DefaultProxy",	//63
    "DeleteOperation",	//64
    "Der",	//65
    "DnsEntry",	//66
    "DoNotBufferUploadDataAttribute",	//67
    "DontShareAddress",	//68
    "DownloadBufferAttribute",	//69
    "Dsa",	//70
    "EmailEntry",	//71
    "ExeGroup",	//72
    "ExeOther",	//73
    "ExeOwner",	//74
    "FtpCachingProxy",	//75
    "Full",	//76
    "Get",	//77
    "GetOperation",	//78
    "HeadOperation",	//79
    "HighPriority",	//80
    "HostLookup",	//81
    "HostLookupState",	//82
    "HostNameLookupCapability",	//83
    "HostNameMismatch",	//84
    "HostNotFound",	//85
    "HostNotFoundError",	//86
    "HttpCachingProxy",	//87
    "HttpPipeliningAllowedAttribute",	//88
    "HttpPipeliningWasUsedAttribute",	//89
    "HttpProxy",	//90
    "HttpReasonPhraseAttribute",	//91
    "HttpStatusCodeAttribute",	//92
    "IPv4Protocol",	//93
    "IPv6Protocol",	//94
    "InvalidCaCertificate",	//95
    "InvalidNotAfterField",	//96
    "InvalidNotBeforeField",	//97
    "InvalidPurpose",	//98
    "InvalidResponseHeader",	//99
    "IsLoopBack",	//100
    "IsPointToPoint",	//101
    "IsRunning",	//102
    "IsUp",	//103
    "KeepAliveOption",	//104
    "LastModifiedHeader",	//105
    "LicensedActiveQt",	//106
    "LicensedCore",	//107
    "LicensedDBus",	//108
    "LicensedDeclarative",	//109
    "LicensedGui",	//110
    "LicensedHelp",	//111
    "LicensedMultimedia",	//112
    "LicensedNetwork",	//113
    "LicensedOpenGL",	//114
    "LicensedOpenVG",	//115
    "LicensedQt3Support",	//116
    "LicensedQt3SupportLight",	//117
    "LicensedScript",	//118
    "LicensedScriptTools",	//119
    "LicensedSql",	//120
    "LicensedSvg",	//121
    "LicensedTest",	//122
    "LicensedXml",	//123
    "LicensedXmlPatterns",	//124
    "List",	//125
    "ListeningCapability",	//126
    "ListeningState",	//127
    "LocalHost",	//128
    "LocalHostIPv6",	//129
    "LocalityName",	//130
    "LocationHeader",	//131
    "LoggedIn",	//132
    "Login",	//133
    "LowDelayOption",	//134
    "LowPriority",	//135
    "Manual",	//136
    "MaximumDownloadBufferSizeAttribute",	//137
    "Mkdir",	//138
    "MulticastLoopbackOption",	//139
    "MulticastTtlOption",	//140
    "NameAndValueOnly",	//141
    "NetworkError",	//142
    "NoError",	//143
    "NoPeerCertificate",	//144
    "NoProxy",	//145
    "NoSslSupport",	//146
    "None",	//147
    "NormalPriority",	//148
    "NotAccessible",	//149
    "NotConnected",	//150
    "NotOpen",	//151
    "Null",	//152
    "OperationCanceledError",	//153
    "Organization",	//154
    "OrganizationalUnitName",	//155
    "Passive",	//156
    "PathLengthExceeded",	//157
    "PeerClosedError",	//158
    "Pem",	//159
    "PostOperation",	//160
    "PreferCache",	//161
    "PreferNetwork",	//162
    "PrivateKey",	//163
    "ProtocolFailure",	//164
    "ProtocolInvalidOperationError",	//165
    "ProtocolUnknownError",	//166
    "ProxyAuthenticationRequiredError",	//167
    "ProxyConnectionClosedError",	//168
    "ProxyConnectionRefusedError",	//169
    "ProxyConnectionTimeoutError",	//170
    "ProxyNotFoundError",	//171
    "ProxyProtocolError",	//172
    "ProxyTimeoutError",	//173
    "PublicKey",	//174
    "Put",	//175
    "PutOperation",	//176
    "QAbstractNetworkCache",	//177
    "QAbstractNetworkCache#",	//178
    "QAbstractSocket",	//179
    "QAbstractSocket$#",	//180
    "QAuthenticator",	//181
    "QAuthenticator#",	//182
    "QFtp",	//183
    "QFtp#",	//184
    "QHostAddress",	//185
    "QHostAddress#",	//186
    "QHostAddress$",	//187
    "QHostInfo",	//188
    "QHostInfo#",	//189
    "QHostInfo$",	//190
    "QHttp",	//191
    "QHttp#",	//192
    "QHttp$",	//193
    "QHttp$$",	//194
    "QHttp$$#",	//195
    "QHttp$$$",	//196
    "QHttp$$$#",	//197
    "QHttpHeader",	//198
    "QHttpHeader#",	//199
    "QHttpHeader$",	//200
    "QHttpRequestHeader",	//201
    "QHttpRequestHeader#",	//202
    "QHttpRequestHeader$",	//203
    "QHttpRequestHeader$$",	//204
    "QHttpRequestHeader$$$",	//205
    "QHttpRequestHeader$$$$",	//206
    "QHttpResponseHeader",	//207
    "QHttpResponseHeader#",	//208
    "QHttpResponseHeader$",	//209
    "QHttpResponseHeader$$",	//210
    "QHttpResponseHeader$$$",	//211
    "QHttpResponseHeader$$$$",	//212
    "QIPv6Address",	//213
    "QIPv6Address#",	//214
    "QLocalServer",	//215
    "QLocalServer#",	//216
    "QLocalSocket",	//217
    "QLocalSocket#",	//218
    "QNetworkAccessManager",	//219
    "QNetworkAccessManager#",	//220
    "QNetworkAddressEntry",	//221
    "QNetworkAddressEntry#",	//222
    "QNetworkCacheMetaData",	//223
    "QNetworkCacheMetaData#",	//224
    "QNetworkCookie",	//225
    "QNetworkCookie#",	//226
    "QNetworkCookie##",	//227
    "QNetworkCookieJar",	//228
    "QNetworkCookieJar#",	//229
    "QNetworkDiskCache",	//230
    "QNetworkDiskCache#",	//231
    "QNetworkInterface",	//232
    "QNetworkInterface#",	//233
    "QNetworkProxy",	//234
    "QNetworkProxy#",	//235
    "QNetworkProxy$",	//236
    "QNetworkProxy$$",	//237
    "QNetworkProxy$$$",	//238
    "QNetworkProxy$$$$",	//239
    "QNetworkProxy$$$$$",	//240
    "QNetworkProxyFactory",	//241
    "QNetworkProxyFactory#",	//242
    "QNetworkProxyQuery",	//243
    "QNetworkProxyQuery#",	//244
    "QNetworkProxyQuery##",	//245
    "QNetworkProxyQuery##$",	//246
    "QNetworkProxyQuery#$",	//247
    "QNetworkProxyQuery#$$",	//248
    "QNetworkProxyQuery#$$$",	//249
    "QNetworkProxyQuery#$$$$",	//250
    "QNetworkProxyQuery$",	//251
    "QNetworkProxyQuery$$",	//252
    "QNetworkProxyQuery$$$",	//253
    "QNetworkProxyQuery$$$$",	//254
    "QNetworkReply",	//255
    "QNetworkReply#",	//256
    "QNetworkRequest",	//257
    "QNetworkRequest#",	//258
    "QSslCertificate",	//259
    "QSslCertificate#",	//260
    "QSslCertificate#$",	//261
    "QSslCipher",	//262
    "QSslCipher#",	//263
    "QSslCipher$$",	//264
    "QSslConfiguration",	//265
    "QSslConfiguration#",	//266
    "QSslError",	//267
    "QSslError#",	//268
    "QSslError$",	//269
    "QSslError$#",	//270
    "QSslKey",	//271
    "QSslKey#",	//272
    "QSslKey#$",	//273
    "QSslKey#$$",	//274
    "QSslKey#$$$",	//275
    "QSslKey#$$$#",	//276
    "QSslSocket",	//277
    "QSslSocket#",	//278
    "QTcpServer",	//279
    "QTcpServer#",	//280
    "QTcpSocket",	//281
    "QTcpSocket#",	//282
    "QUdpSocket",	//283
    "QUdpSocket#",	//284
    "QUrlInfo",	//285
    "QUrlInfo#",	//286
    "QUrlInfo#$$$?##$$$$$$",	//287
    "QUrlInfo$$$$?##$$$$$$",	//288
    "Q_COMPLEX_TYPE",	//289
    "Q_DUMMY_TYPE",	//290
    "Q_MOVABLE_TYPE",	//291
    "Q_PRIMITIVE_TYPE",	//292
    "Q_STATIC_TYPE",	//293
    "QtCriticalMsg",	//294
    "QtDebugMsg",	//295
    "QtFatalMsg",	//296
    "QtSystemMsg",	//297
    "QtWarningMsg",	//298
    "QueryPeer",	//299
    "RawCommand",	//300
    "ReadGroup",	//301
    "ReadOnly",	//302
    "ReadOther",	//303
    "ReadOwner",	//304
    "ReadWrite",	//305
    "Reading",	//306
    "RedirectionTargetAttribute",	//307
    "RemoteHostClosedError",	//308
    "Remove",	//309
    "Rename",	//310
    "ReuseAddressHint",	//311
    "Rmdir",	//312
    "Rsa",	//313
    "SecureProtocols",	//314
    "SelfSignedCertificate",	//315
    "SelfSignedCertificateInChain",	//316
    "Sending",	//317
    "ServerNotFoundError",	//318
    "SetCookieHeader",	//319
    "SetProxy",	//320
    "SetTransferMode",	//321
    "ShareAddress",	//322
    "SocketAccessError",	//323
    "SocketAddressNotAvailableError",	//324
    "SocketResourceError",	//325
    "SocketTimeoutError",	//326
    "Socks5Proxy",	//327
    "SourceIsFromCacheAttribute",	//328
    "SslClientMode",	//329
    "SslHandshakeFailedError",	//330
    "SslOptionDisableCompression",	//331
    "SslOptionDisableEmptyFragments",	//332
    "SslOptionDisableLegacyRenegotiation",	//333
    "SslOptionDisableServerNameIndication",	//334
    "SslOptionDisableSessionTickets",	//335
    "SslServerMode",	//336
    "SslV2",	//337
    "SslV3",	//338
    "StateOrProvinceName",	//339
    "SubjectIssuerMismatch",	//340
    "SynchronousRequestAttribute",	//341
    "TcpServer",	//342
    "TcpSocket",	//343
    "TemporaryNetworkFailureError",	//344
    "Text",	//345
    "TimeoutError",	//346
    "TlsV1",	//347
    "TlsV1SslV3",	//348
    "Truncate",	//349
    "TunnelingCapability",	//350
    "UdpSocket",	//351
    "UdpTunnelingCapability",	//352
    "UnableToDecodeIssuerPublicKey",	//353
    "UnableToDecryptCertificateSignature",	//354
    "UnableToGetIssuerCertificate",	//355
    "UnableToGetLocalIssuerCertificate",	//356
    "UnableToVerifyFirstCertificate",	//357
    "Unbuffered",	//358
    "Unconnected",	//359
    "UnconnectedState",	//360
    "UnencryptedMode",	//361
    "UnexpectedClose",	//362
    "UnfinishedSocketOperationError",	//363
    "UnknownAccessibility",	//364
    "UnknownContentError",	//365
    "UnknownError",	//366
    "UnknownNetworkError",	//367
    "UnknownNetworkLayerProtocol",	//368
    "UnknownOperation",	//369
    "UnknownProtocol",	//370
    "UnknownProxyError",	//371
    "UnknownSocketError",	//372
    "UnknownSocketType",	//373
    "UnspecifiedError",	//374
    "UnsupportedSocketOperationError",	//375
    "UrlRequest",	//376
    "User",	//377
    "UserMax",	//378
    "VerifyNone",	//379
    "VerifyPeer",	//380
    "WriteGroup",	//381
    "WriteOnly",	//382
    "WriteOther",	//383
    "WriteOwner",	//384
    "WrongContentLength",	//385
    "abort",	//386
    "abortHostLookup",	//387
    "abortHostLookup$",	//388
    "activeConfiguration",	//389
    "addCaCertificate",	//390
    "addCaCertificate#",	//391
    "addCaCertificates",	//392
    "addCaCertificates$",	//393
    "addCaCertificates$$",	//394
    "addCaCertificates$$$",	//395
    "addCaCertificates?",	//396
    "addDefaultCaCertificate",	//397
    "addDefaultCaCertificate#",	//398
    "addDefaultCaCertificates",	//399
    "addDefaultCaCertificates$",	//400
    "addDefaultCaCertificates$$",	//401
    "addDefaultCaCertificates$$$",	//402
    "addDefaultCaCertificates?",	//403
    "addPendingConnection",	//404
    "addPendingConnection#",	//405
    "addValue",	//406
    "addValue$$",	//407
    "addressEntries",	//408
    "addresses",	//409
    "algorithm",	//410
    "allAddresses",	//411
    "allCookies",	//412
    "allInterfaces",	//413
    "allValues",	//414
    "allValues$",	//415
    "alternateSubjectNames",	//416
    "applicationProxy",	//417
    "atEnd",	//418
    "attribute",	//419
    "attribute$",	//420
    "attribute$#",	//421
    "attributes",	//422
    "authenticationMethod",	//423
    "authenticationRequired",	//424
    "authenticationRequired##",	//425
    "authenticationRequired$$#",	//426
    "bind",	//427
    "bind#$",	//428
    "bind#$$",	//429
    "bind$",	//430
    "bind$$",	//431
    "broadcast",	//432
    "bytesAvailable",	//433
    "bytesToWrite",	//434
    "caCertificates",	//435
    "cache",	//436
    "cacheDirectory",	//437
    "cacheSize",	//438
    "canReadLine",	//439
    "capabilities",	//440
    "cd",	//441
    "cd$",	//442
    "certificate",	//443
    "childEvent",	//444
    "ciphers",	//445
    "clear",	//446
    "clearPendingCommands",	//447
    "clearPendingRequests",	//448
    "close",	//449
    "closeConnection",	//450
    "commandFinished",	//451
    "commandFinished$$",	//452
    "commandStarted",	//453
    "commandStarted$",	//454
    "configuration",	//455
    "connectNotify",	//456
    "connectToHost",	//457
    "connectToHost#$",	//458
    "connectToHost#$$",	//459
    "connectToHost$",	//460
    "connectToHost$$",	//461
    "connectToHost$$$",	//462
    "connectToHostEncrypted",	//463
    "connectToHostEncrypted$$",	//464
    "connectToHostEncrypted$$$",	//465
    "connectToHostEncrypted$$$$",	//466
    "connectToHostImplementation",	//467
    "connectToHostImplementation$$",	//468
    "connectToHostImplementation$$$",	//469
    "connectToServer",	//470
    "connectToServer$",	//471
    "connectToServer$$",	//472
    "connected",	//473
    "contentLength",	//474
    "contentType",	//475
    "cookieJar",	//476
    "cookiesForUrl",	//477
    "cookiesForUrl#",	//478
    "createRequest",	//479
    "createRequest$#",	//480
    "createRequest$##",	//481
    "currentCommand",	//482
    "currentDestinationDevice",	//483
    "currentDevice",	//484
    "currentId",	//485
    "currentRequest",	//486
    "currentSourceDevice",	//487
    "customEvent",	//488
    "data",	//489
    "data#",	//490
    "dataReadProgress",	//491
    "dataReadProgress$$",	//492
    "dataSendProgress",	//493
    "dataSendProgress$$",	//494
    "dataTransferProgress",	//495
    "dataTransferProgress??",	//496
    "defaultCaCertificates",	//497
    "defaultCiphers",	//498
    "defaultConfiguration",	//499
    "deleteResource",	//500
    "deleteResource#",	//501
    "detach",	//502
    "digest",	//503
    "digest$",	//504
    "disconnectFromHost",	//505
    "disconnectFromHostImplementation",	//506
    "disconnectFromServer",	//507
    "disconnectNotify",	//508
    "disconnected",	//509
    "domain",	//510
    "done",	//511
    "done$",	//512
    "downloadProgress",	//513
    "downloadProgress??",	//514
    "effectiveDate",	//515
    "encrypted",	//516
    "encryptedBytesAvailable",	//517
    "encryptedBytesToWrite",	//518
    "encryptedBytesWritten",	//519
    "encryptedBytesWritten?",	//520
    "encryptionMethod",	//521
    "equal",	//522
    "equal##$",	//523
    "error",	//524
    "error$",	//525
    "errorString",	//526
    "event",	//527
    "eventFilter",	//528
    "expirationDate",	//529
    "expire",	//530
    "expiryDate",	//531
    "fileMetaData",	//532
    "fileMetaData$",	//533
    "finished",	//534
    "finished#",	//535
    "flags",	//536
    "flush",	//537
    "fromData",	//538
    "fromData#",	//539
    "fromData#$",	//540
    "fromDevice",	//541
    "fromDevice#",	//542
    "fromDevice#$",	//543
    "fromName",	//544
    "fromName$",	//545
    "fromPath",	//546
    "fromPath$",	//547
    "fromPath$$",	//548
    "fromPath$$$",	//549
    "fullServerName",	//550
    "get",	//551
    "get#",	//552
    "get$",	//553
    "get$#",	//554
    "get$#$",	//555
    "greaterThan",	//556
    "greaterThan##$",	//557
    "group",	//558
    "handle",	//559
    "hardwareAddress",	//560
    "hasContentLength",	//561
    "hasContentType",	//562
    "hasKey",	//563
    "hasKey$",	//564
    "hasPendingCommands",	//565
    "hasPendingConnections",	//566
    "hasPendingDatagrams",	//567
    "hasPendingRequests",	//568
    "hasRawHeader",	//569
    "hasRawHeader#",	//570
    "head",	//571
    "head#",	//572
    "head$",	//573
    "header",	//574
    "header$",	//575
    "hostFound",	//576
    "hostName",	//577
    "humanReadableName",	//578
    "ignoreSslErrors",	//579
    "ignoreSslErrors?",	//580
    "incomingConnection",	//581
    "incomingConnection$",	//582
    "incomingConnection?",	//583
    "index",	//584
    "insert",	//585
    "insert#",	//586
    "interfaceFromIndex",	//587
    "interfaceFromIndex$",	//588
    "interfaceFromName",	//589
    "interfaceFromName$",	//590
    "ip",	//591
    "isCachingProxy",	//592
    "isDir",	//593
    "isEncrypted",	//594
    "isExecutable",	//595
    "isFile",	//596
    "isFinished",	//597
    "isHttpOnly",	//598
    "isInSubnet",	//599
    "isInSubnet#$",	//600
    "isInSubnet?",	//601
    "isListening",	//602
    "isNull",	//603
    "isReadable",	//604
    "isRunning",	//605
    "isSecure",	//606
    "isSequential",	//607
    "isSessionCookie",	//608
    "isSymLink",	//609
    "isTransparentProxy",	//610
    "isValid",	//611
    "isWritable",	//612
    "issuerInfo",	//613
    "issuerInfo#",	//614
    "issuerInfo$",	//615
    "joinMulticastGroup",	//616
    "joinMulticastGroup#",	//617
    "joinMulticastGroup##",	//618
    "keyExchangeMethod",	//619
    "keys",	//620
    "lastModified",	//621
    "lastRead",	//622
    "lastResponse",	//623
    "leaveMulticastGroup",	//624
    "leaveMulticastGroup#",	//625
    "leaveMulticastGroup##",	//626
    "length",	//627
    "lessThan",	//628
    "lessThan##$",	//629
    "list",	//630
    "list$",	//631
    "listInfo",	//632
    "listInfo#",	//633
    "listen",	//634
    "listen#",	//635
    "listen#$",	//636
    "listen$",	//637
    "localAddress",	//638
    "localCertificate",	//639
    "localDomainName",	//640
    "localHostName",	//641
    "localPort",	//642
    "login",	//643
    "login$",	//644
    "login$$",	//645
    "lookupHost",	//646
    "lookupHost$#$",	//647
    "lookupId",	//648
    "majorVersion",	//649
    "manager",	//650
    "maxPendingConnections",	//651
    "maximumCacheSize",	//652
    "metaData",	//653
    "metaData#",	//654
    "metaDataChanged",	//655
    "metaObject",	//656
    "method",	//657
    "minorVersion",	//658
    "mkdir",	//659
    "mkdir$",	//660
    "mode",	//661
    "modeChanged",	//662
    "modeChanged$",	//663
    "multicastInterface",	//664
    "name",	//665
    "netmask",	//666
    "networkAccessible",	//667
    "networkAccessibleChanged",	//668
    "networkAccessibleChanged$",	//669
    "networkConfiguration",	//670
    "networkSessionConnected",	//671
    "newConnection",	//672
    "nextPendingConnection",	//673
    "open",	//674
    "operation",	//675
    "operator!=",	//676
    "operator!=#",	//677
    "operator!=##",	//678
    "operator!=#$",	//679
    "operator!=$",	//680
    "operator!=$#",	//681
    "operator!=$$",	//682
    "operator&",	//683
    "operator&##",	//684
    "operator*",	//685
    "operator*#$",	//686
    "operator*$#",	//687
    "operator+",	//688
    "operator+##",	//689
    "operator+#$",	//690
    "operator+$#",	//691
    "operator+$$",	//692
    "operator-",	//693
    "operator-#",	//694
    "operator-##",	//695
    "operator/",	//696
    "operator/#$",	//697
    "operator<",	//698
    "operator<##",	//699
    "operator<#$",	//700
    "operator<$#",	//701
    "operator<$$",	//702
    "operator<<",	//703
    "operator<<##",	//704
    "operator<<#$",	//705
    "operator<<#?",	//706
    "operator<=",	//707
    "operator<=##",	//708
    "operator<=#$",	//709
    "operator<=$#",	//710
    "operator<=$$",	//711
    "operator=",	//712
    "operator=#",	//713
    "operator=$",	//714
    "operator==",	//715
    "operator==#",	//716
    "operator==##",	//717
    "operator==#$",	//718
    "operator==$",	//719
    "operator==$#",	//720
    "operator==$$",	//721
    "operator>",	//722
    "operator>##",	//723
    "operator>#$",	//724
    "operator>$#",	//725
    "operator>$$",	//726
    "operator>=",	//727
    "operator>=##",	//728
    "operator>=#$",	//729
    "operator>=$#",	//730
    "operator>=$$",	//731
    "operator>>",	//732
    "operator>>##",	//733
    "operator>>#$",	//734
    "operator>>#?",	//735
    "operator[]",	//736
    "operator[]$",	//737
    "operator^",	//738
    "operator^##",	//739
    "operator|",	//740
    "operator|##",	//741
    "operator|$$",	//742
    "option",	//743
    "option$",	//744
    "options",	//745
    "originatingObject",	//746
    "owner",	//747
    "parse",	//748
    "parse$",	//749
    "parseCookies",	//750
    "parseCookies#",	//751
    "parseLine",	//752
    "parseLine$$",	//753
    "parseSubnet",	//754
    "parseSubnet$",	//755
    "password",	//756
    "path",	//757
    "peerAddress",	//758
    "peerCertificate",	//759
    "peerCertificateChain",	//760
    "peerHostName",	//761
    "peerName",	//762
    "peerPort",	//763
    "peerVerifyDepth",	//764
    "peerVerifyError",	//765
    "peerVerifyError#",	//766
    "peerVerifyMode",	//767
    "peerVerifyName",	//768
    "pendingDatagramSize",	//769
    "permissions",	//770
    "port",	//771
    "pos",	//772
    "post",	//773
    "post##",	//774
    "post$#",	//775
    "post$##",	//776
    "prefixLength",	//777
    "prepare",	//778
    "prepare#",	//779
    "priority",	//780
    "privateKey",	//781
    "protocol",	//782
    "protocolString",	//783
    "protocolTag",	//784
    "proxy",	//785
    "proxyAuthenticationRequired",	//786
    "proxyAuthenticationRequired##",	//787
    "proxyFactory",	//788
    "proxyForQuery",	//789
    "proxyForQuery#",	//790
    "publicKey",	//791
    "put",	//792
    "put##",	//793
    "put#$",	//794
    "put#$$",	//795
    "qAcos",	//796
    "qAcos$",	//797
    "qAddPostRoutine",	//798
    "qAddPostRoutine$",	//799
    "qAppName",	//800
    "qAsin",	//801
    "qAsin$",	//802
    "qAtan",	//803
    "qAtan$",	//804
    "qAtan2",	//805
    "qAtan2$$",	//806
    "qBadAlloc",	//807
    "qCeil",	//808
    "qCeil$",	//809
    "qChecksum",	//810
    "qChecksum$$",	//811
    "qCompress",	//812
    "qCompress#",	//813
    "qCompress#$",	//814
    "qCompress$$",	//815
    "qCompress$$$",	//816
    "qCos",	//817
    "qCos$",	//818
    "qCritical",	//819
    "qDebug",	//820
    "qExp",	//821
    "qExp$",	//822
    "qFabs",	//823
    "qFabs$",	//824
    "qFastCos",	//825
    "qFastCos$",	//826
    "qFastSin",	//827
    "qFastSin$",	//828
    "qFlagLocation",	//829
    "qFlagLocation$",	//830
    "qFloor",	//831
    "qFloor$",	//832
    "qFree",	//833
    "qFree$",	//834
    "qFreeAligned",	//835
    "qFreeAligned$",	//836
    "qFuzzyCompare",	//837
    "qFuzzyCompare$$",	//838
    "qFuzzyIsNull",	//839
    "qFuzzyIsNull$",	//840
    "qHash",	//841
    "qHash#",	//842
    "qHash$",	//843
    "qHash?",	//844
    "qInf",	//845
    "qInstallMsgHandler",	//846
    "qInstallMsgHandler$",	//847
    "qIntCast",	//848
    "qIntCast$",	//849
    "qIsFinite",	//850
    "qIsFinite$",	//851
    "qIsInf",	//852
    "qIsInf$",	//853
    "qIsNaN",	//854
    "qIsNaN$",	//855
    "qIsNull",	//856
    "qIsNull$",	//857
    "qLn",	//858
    "qLn$",	//859
    "qMalloc",	//860
    "qMalloc?",	//861
    "qMallocAligned",	//862
    "qMallocAligned??",	//863
    "qMemCopy",	//864
    "qMemCopy$$?",	//865
    "qMemSet",	//866
    "qMemSet$$?",	//867
    "qPow",	//868
    "qPow$$",	//869
    "qQNaN",	//870
    "qRealloc",	//871
    "qRealloc$?",	//872
    "qReallocAligned",	//873
    "qReallocAligned$???",	//874
    "qRegisterStaticPluginInstanceFunction",	//875
    "qRegisterStaticPluginInstanceFunction#",	//876
    "qRemovePostRoutine",	//877
    "qRemovePostRoutine$",	//878
    "qRound",	//879
    "qRound$",	//880
    "qRound64",	//881
    "qRound64$",	//882
    "qSNaN",	//883
    "qSetFieldWidth",	//884
    "qSetFieldWidth$",	//885
    "qSetPadChar",	//886
    "qSetPadChar#",	//887
    "qSetRealNumberPrecision",	//888
    "qSetRealNumberPrecision$",	//889
    "qSharedBuild",	//890
    "qSin",	//891
    "qSin$",	//892
    "qSqrt",	//893
    "qSqrt$",	//894
    "qStringComparisonHelper",	//895
    "qStringComparisonHelper#$",	//896
    "qStringComparisonHelper$$",	//897
    "qTan",	//898
    "qTan$",	//899
    "qUncompress",	//900
    "qUncompress#",	//901
    "qUncompress$$",	//902
    "qVersion",	//903
    "qWarning",	//904
    "qbswap_helper",	//905
    "qbswap_helper$$$",	//906
    "qgetenv",	//907
    "qgetenv$",	//908
    "qputenv",	//909
    "qputenv$#",	//910
    "qrand",	//911
    "qsrand",	//912
    "qsrand$",	//913
    "qstrcmp",	//914
    "qstrcmp##",	//915
    "qstrcmp#$",	//916
    "qstrcmp$#",	//917
    "qstrcmp$$",	//918
    "qstrcpy",	//919
    "qstrcpy$$",	//920
    "qstrdup",	//921
    "qstrdup$",	//922
    "qstricmp",	//923
    "qstricmp$$",	//924
    "qstrlen",	//925
    "qstrlen$",	//926
    "qstrncmp",	//927
    "qstrncmp$$$",	//928
    "qstrncpy",	//929
    "qstrncpy$$$",	//930
    "qstrnicmp",	//931
    "qstrnicmp$$$",	//932
    "qstrnlen",	//933
    "qstrnlen$$",	//934
    "qtTrId",	//935
    "qtTrId$",	//936
    "qtTrId$$",	//937
    "qt_assert",	//938
    "qt_assert$$$",	//939
    "qt_assert_x",	//940
    "qt_assert_x$$$$",	//941
    "qt_check_pointer",	//942
    "qt_check_pointer$$",	//943
    "qt_error_string",	//944
    "qt_error_string$",	//945
    "qt_message_output",	//946
    "qt_message_output$$",	//947
    "qt_metacall",	//948
    "qt_metacall$$?",	//949
    "qt_metacast",	//950
    "qt_metacast$",	//951
    "qt_noop",	//952
    "qt_qFindChild_helper",	//953
    "qt_qFindChild_helper#$#",	//954
    "qt_qFindChildren_helper",	//955
    "qt_qFindChildren_helper#$##?",	//956
    "queryProxy",	//957
    "queryProxy#",	//958
    "queryType",	//959
    "qvariant_cast_helper",	//960
    "qvariant_cast_helper#$$",	//961
    "qvsnprintf",	//962
    "qvsnprintf$?$?",	//963
    "rawCommand",	//964
    "rawCommand$",	//965
    "rawCommandReply",	//966
    "rawCommandReply$$",	//967
    "rawHeader",	//968
    "rawHeader#",	//969
    "rawHeaderList",	//970
    "rawHeaderPairs",	//971
    "rawHeaders",	//972
    "read",	//973
    "read$?",	//974
    "readAll",	//975
    "readBufferSize",	//976
    "readData",	//977
    "readData$?",	//978
    "readDatagram",	//979
    "readDatagram$?",	//980
    "readDatagram$?#",	//981
    "readDatagram$?#$",	//982
    "readLineData",	//983
    "readLineData$?",	//984
    "readyRead",	//985
    "readyRead#",	//986
    "realm",	//987
    "reasonPhrase",	//988
    "remove",	//989
    "remove#",	//990
    "remove$",	//991
    "removeAllValues",	//992
    "removeAllValues$",	//993
    "removeServer",	//994
    "removeServer$",	//995
    "removeValue",	//996
    "removeValue$",	//997
    "rename",	//998
    "rename$$",	//999
    "request",	//1000
    "request#",	//1001
    "request##",	//1002
    "request###",	//1003
    "requestFinished",	//1004
    "requestFinished$$",	//1005
    "requestStarted",	//1006
    "requestStarted$",	//1007
    "reset",	//1008
    "responseHeaderReceived",	//1009
    "responseHeaderReceived#",	//1010
    "rmdir",	//1011
    "rmdir$",	//1012
    "saveToDisk",	//1013
    "scopeId",	//1014
    "seek",	//1015
    "sendCustomRequest",	//1016
    "sendCustomRequest##",	//1017
    "sendCustomRequest###",	//1018
    "serialNumber",	//1019
    "serverAddress",	//1020
    "serverError",	//1021
    "serverName",	//1022
    "serverPort",	//1023
    "sessionCipher",	//1024
    "setAddress",	//1025
    "setAddress#",	//1026
    "setAddress$",	//1027
    "setAddresses",	//1028
    "setAddresses?",	//1029
    "setAllCookies",	//1030
    "setAllCookies?",	//1031
    "setApplicationProxy",	//1032
    "setApplicationProxy#",	//1033
    "setApplicationProxyFactory",	//1034
    "setApplicationProxyFactory#",	//1035
    "setAttribute",	//1036
    "setAttribute$#",	//1037
    "setAttributes",	//1038
    "setAttributes?",	//1039
    "setBroadcast",	//1040
    "setBroadcast#",	//1041
    "setCaCertificates",	//1042
    "setCaCertificates?",	//1043
    "setCache",	//1044
    "setCache#",	//1045
    "setCacheDirectory",	//1046
    "setCacheDirectory$",	//1047
    "setCapabilities",	//1048
    "setCapabilities$",	//1049
    "setCiphers",	//1050
    "setCiphers$",	//1051
    "setCiphers?",	//1052
    "setConfiguration",	//1053
    "setConfiguration#",	//1054
    "setContentLength",	//1055
    "setContentLength$",	//1056
    "setContentType",	//1057
    "setContentType$",	//1058
    "setCookieJar",	//1059
    "setCookieJar#",	//1060
    "setCookiesFromUrl",	//1061
    "setCookiesFromUrl?#",	//1062
    "setDefaultCaCertificates",	//1063
    "setDefaultCaCertificates?",	//1064
    "setDefaultCiphers",	//1065
    "setDefaultCiphers?",	//1066
    "setDefaultConfiguration",	//1067
    "setDefaultConfiguration#",	//1068
    "setDir",	//1069
    "setDir$",	//1070
    "setDomain",	//1071
    "setDomain$",	//1072
    "setError",	//1073
    "setError$",	//1074
    "setError$$",	//1075
    "setErrorString",	//1076
    "setErrorString$",	//1077
    "setExpirationDate",	//1078
    "setExpirationDate#",	//1079
    "setFile",	//1080
    "setFile$",	//1081
    "setFinished",	//1082
    "setFinished$",	//1083
    "setGroup",	//1084
    "setGroup$",	//1085
    "setHeader",	//1086
    "setHeader$#",	//1087
    "setHost",	//1088
    "setHost$",	//1089
    "setHost$$",	//1090
    "setHost$$$",	//1091
    "setHostName",	//1092
    "setHostName$",	//1093
    "setHttpOnly",	//1094
    "setHttpOnly$",	//1095
    "setIp",	//1096
    "setIp#",	//1097
    "setLastModified",	//1098
    "setLastModified#",	//1099
    "setLastRead",	//1100
    "setLastRead#",	//1101
    "setLocalAddress",	//1102
    "setLocalAddress#",	//1103
    "setLocalCertificate",	//1104
    "setLocalCertificate#",	//1105
    "setLocalCertificate$",	//1106
    "setLocalCertificate$$",	//1107
    "setLocalPort",	//1108
    "setLocalPort$",	//1109
    "setLookupId",	//1110
    "setLookupId$",	//1111
    "setMaxPendingConnections",	//1112
    "setMaxPendingConnections$",	//1113
    "setMaximumCacheSize",	//1114
    "setMaximumCacheSize?",	//1115
    "setMulticastInterface",	//1116
    "setMulticastInterface#",	//1117
    "setName",	//1118
    "setName#",	//1119
    "setName$",	//1120
    "setNetmask",	//1121
    "setNetmask#",	//1122
    "setNetworkAccessible",	//1123
    "setNetworkAccessible$",	//1124
    "setNetworkConfiguration",	//1125
    "setNetworkConfiguration#",	//1126
    "setOperation",	//1127
    "setOperation$",	//1128
    "setOption",	//1129
    "setOption$#",	//1130
    "setOriginatingObject",	//1131
    "setOriginatingObject#",	//1132
    "setOwner",	//1133
    "setOwner$",	//1134
    "setPassword",	//1135
    "setPassword$",	//1136
    "setPath",	//1137
    "setPath$",	//1138
    "setPeerAddress",	//1139
    "setPeerAddress#",	//1140
    "setPeerHostName",	//1141
    "setPeerHostName$",	//1142
    "setPeerName",	//1143
    "setPeerName$",	//1144
    "setPeerPort",	//1145
    "setPeerPort$",	//1146
    "setPeerVerifyDepth",	//1147
    "setPeerVerifyDepth$",	//1148
    "setPeerVerifyMode",	//1149
    "setPeerVerifyMode$",	//1150
    "setPeerVerifyName",	//1151
    "setPeerVerifyName$",	//1152
    "setPermissions",	//1153
    "setPermissions$",	//1154
    "setPort",	//1155
    "setPort$",	//1156
    "setPrefixLength",	//1157
    "setPrefixLength$",	//1158
    "setPriority",	//1159
    "setPriority$",	//1160
    "setPrivateKey",	//1161
    "setPrivateKey#",	//1162
    "setPrivateKey$",	//1163
    "setPrivateKey$$",	//1164
    "setPrivateKey$$$",	//1165
    "setPrivateKey$$$#",	//1166
    "setProtocol",	//1167
    "setProtocol$",	//1168
    "setProtocolTag",	//1169
    "setProtocolTag$",	//1170
    "setProxy",	//1171
    "setProxy#",	//1172
    "setProxy$$",	//1173
    "setProxy$$$",	//1174
    "setProxy$$$$",	//1175
    "setProxyFactory",	//1176
    "setProxyFactory#",	//1177
    "setQueryType",	//1178
    "setQueryType$",	//1179
    "setRawHeader",	//1180
    "setRawHeader##",	//1181
    "setRawHeaders",	//1182
    "setRawHeaders?",	//1183
    "setReadBufferSize",	//1184
    "setReadBufferSize?",	//1185
    "setReadable",	//1186
    "setReadable$",	//1187
    "setRequest",	//1188
    "setRequest#",	//1189
    "setRequest$$",	//1190
    "setRequest$$$",	//1191
    "setRequest$$$$",	//1192
    "setSaveToDisk",	//1193
    "setSaveToDisk$",	//1194
    "setScopeId",	//1195
    "setScopeId$",	//1196
    "setSecure",	//1197
    "setSecure$",	//1198
    "setSize",	//1199
    "setSize?",	//1200
    "setSocket",	//1201
    "setSocket#",	//1202
    "setSocketDescriptor",	//1203
    "setSocketDescriptor$",	//1204
    "setSocketDescriptor$$",	//1205
    "setSocketDescriptor$$$",	//1206
    "setSocketDescriptor?",	//1207
    "setSocketDescriptor?$",	//1208
    "setSocketDescriptor?$$",	//1209
    "setSocketError",	//1210
    "setSocketError$",	//1211
    "setSocketOption",	//1212
    "setSocketOption$#",	//1213
    "setSocketState",	//1214
    "setSocketState$",	//1215
    "setSslConfiguration",	//1216
    "setSslConfiguration#",	//1217
    "setSslOption",	//1218
    "setSslOption$$",	//1219
    "setStatusLine",	//1220
    "setStatusLine$",	//1221
    "setStatusLine$$",	//1222
    "setStatusLine$$$",	//1223
    "setStatusLine$$$$",	//1224
    "setSymLink",	//1225
    "setSymLink$",	//1226
    "setTransferMode",	//1227
    "setTransferMode$",	//1228
    "setType",	//1229
    "setType$",	//1230
    "setUrl",	//1231
    "setUrl#",	//1232
    "setUseSystemConfiguration",	//1233
    "setUseSystemConfiguration$",	//1234
    "setUser",	//1235
    "setUser$",	//1236
    "setUser$$",	//1237
    "setValid",	//1238
    "setValid$",	//1239
    "setValue",	//1240
    "setValue#",	//1241
    "setValue$$",	//1242
    "setValues",	//1243
    "setValues?",	//1244
    "setWritable",	//1245
    "setWritable$",	//1246
    "size",	//1247
    "socketDescriptor",	//1248
    "socketOption",	//1249
    "socketOption$",	//1250
    "socketType",	//1251
    "sslConfiguration",	//1252
    "sslErrors",	//1253
    "sslErrors#?",	//1254
    "sslErrors?",	//1255
    "startClientEncryption",	//1256
    "startServerEncryption",	//1257
    "state",	//1258
    "stateChanged",	//1259
    "stateChanged$",	//1260
    "staticMetaObject",	//1261
    "statusCode",	//1262
    "subjectInfo",	//1263
    "subjectInfo#",	//1264
    "subjectInfo$",	//1265
    "supportedBits",	//1266
    "supportedCiphers",	//1267
    "supportsSsl",	//1268
    "systemCaCertificates",	//1269
    "systemProxyForQuery",	//1270
    "systemProxyForQuery#",	//1271
    "testSslOption",	//1272
    "testSslOption$",	//1273
    "timerEvent",	//1274
    "toDer",	//1275
    "toDer#",	//1276
    "toIPv4Address",	//1277
    "toIPv6Address",	//1278
    "toPem",	//1279
    "toPem#",	//1280
    "toRawForm",	//1281
    "toRawForm$",	//1282
    "toString",	//1283
    "tr",	//1284
    "tr$",	//1285
    "tr$$",	//1286
    "tr$$$",	//1287
    "trUtf8",	//1288
    "trUtf8$",	//1289
    "trUtf8$$",	//1290
    "trUtf8$$$",	//1291
    "type",	//1292
    "updateMetaData",	//1293
    "updateMetaData#",	//1294
    "uploadProgress",	//1295
    "uploadProgress??",	//1296
    "url",	//1297
    "usedBits",	//1298
    "user",	//1299
    "value",	//1300
    "value$",	//1301
    "values",	//1302
    "version",	//1303
    "waitForBytesWritten",	//1304
    "waitForBytesWritten$",	//1305
    "waitForConnected",	//1306
    "waitForConnected$",	//1307
    "waitForDisconnected",	//1308
    "waitForDisconnected$",	//1309
    "waitForEncrypted",	//1310
    "waitForEncrypted$",	//1311
    "waitForNewConnection",	//1312
    "waitForNewConnection$",	//1313
    "waitForNewConnection$$",	//1314
    "waitForReadyRead",	//1315
    "waitForReadyRead$",	//1316
    "writeData",	//1317
    "writeData$?",	//1318
    "writeDatagram",	//1319
    "writeDatagram##$",	//1320
    "writeDatagram$?#$",	//1321
    "~QAbstractNetworkCache",	//1322
    "~QAbstractSocket",	//1323
    "~QAuthenticator",	//1324
    "~QFtp",	//1325
    "~QHostAddress",	//1326
    "~QHostInfo",	//1327
    "~QHttp",	//1328
    "~QHttpHeader",	//1329
    "~QHttpRequestHeader",	//1330
    "~QHttpResponseHeader",	//1331
    "~QIPv6Address",	//1332
    "~QLocalServer",	//1333
    "~QLocalSocket",	//1334
    "~QNetworkAccessManager",	//1335
    "~QNetworkAddressEntry",	//1336
    "~QNetworkCacheMetaData",	//1337
    "~QNetworkCookie",	//1338
    "~QNetworkCookieJar",	//1339
    "~QNetworkDiskCache",	//1340
    "~QNetworkInterface",	//1341
    "~QNetworkProxy",	//1342
    "~QNetworkProxyFactory",	//1343
    "~QNetworkProxyQuery",	//1344
    "~QNetworkReply",	//1345
    "~QNetworkRequest",	//1346
    "~QSslCertificate",	//1347
    "~QSslCipher",	//1348
    "~QSslConfiguration",	//1349
    "~QSslError",	//1350
    "~QSslKey",	//1351
    "~QSslSocket",	//1352
    "~QTcpServer",	//1353
    "~QTcpSocket",	//1354
    "~QUdpSocket",	//1355
    "~QUrlInfo",	//1356
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1 QAbstractNetworkCache::metaObject() const
    {1, 950, 1, 1, Smoke::mf_virtual, 425, 2},	//2 QAbstractNetworkCache::qt_metacast(const char*)
    {1, 1284, 3, 2, Smoke::mf_static, 199, 3},	//3 QAbstractNetworkCache::tr(const char*, const char*)
    {1, 1288, 3, 2, Smoke::mf_static, 199, 4},	//4 QAbstractNetworkCache::trUtf8(const char*, const char*)
    {1, 1284, 6, 3, Smoke::mf_static, 199, 5},	//5 QAbstractNetworkCache::tr(const char*, const char*, int)
    {1, 1288, 6, 3, Smoke::mf_static, 199, 6},	//6 QAbstractNetworkCache::trUtf8(const char*, const char*, int)
    {1, 948, 10, 3, Smoke::mf_virtual, 406, 7},	//7 QAbstractNetworkCache::qt_metacall(QMetaObject::Call, int, void**)
    {1, 653, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 130, 8},	//8 QAbstractNetworkCache::metaData(const QUrl&) [pure virtual]
    {1, 1293, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//9 QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData&) [pure virtual]
    {1, 489, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 95, 10},	//10 QAbstractNetworkCache::data(const QUrl&) [pure virtual]
    {1, 989, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 322, 11},	//11 QAbstractNetworkCache::remove(const QUrl&) [pure virtual]
    {1, 438, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 408, 12},	//12 QAbstractNetworkCache::cacheSize() const [pure virtual]
    {1, 778, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 95, 13},	//13 QAbstractNetworkCache::prepare(const QNetworkCacheMetaData&) [pure virtual]
    {1, 585, 18, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//14 QAbstractNetworkCache::insert(QIODevice*) [pure virtual]
    {1, 446, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//15 QAbstractNetworkCache::clear() [pure virtual]
    {1, 177, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 2, 16},	//16 QAbstractNetworkCache::QAbstractNetworkCache(QObject*)
    {1, 1284, 1, 1, Smoke::mf_static, 199, 17},	//17 QAbstractNetworkCache::tr(const char*)
    {1, 1288, 1, 1, Smoke::mf_static, 199, 18},	//18 QAbstractNetworkCache::trUtf8(const char*)
    {1, 177, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 2, 19},	//19 QAbstractNetworkCache::QAbstractNetworkCache()
    {1, 1261, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 20},	//20 QAbstractNetworkCache::staticMetaObject() const
    {1, 1322, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 QAbstractNetworkCache::~QAbstractNetworkCache()
    {2, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//22 QAbstractSocket::metaObject() const
    {2, 950, 1, 1, Smoke::mf_virtual, 425, 2},	//23 QAbstractSocket::qt_metacast(const char*)
    {2, 1284, 3, 2, Smoke::mf_static, 199, 3},	//24 QAbstractSocket::tr(const char*, const char*)
    {2, 1288, 3, 2, Smoke::mf_static, 199, 4},	//25 QAbstractSocket::trUtf8(const char*, const char*)
    {2, 1284, 6, 3, Smoke::mf_static, 199, 5},	//26 QAbstractSocket::tr(const char*, const char*, int)
    {2, 1288, 6, 3, Smoke::mf_static, 199, 6},	//27 QAbstractSocket::trUtf8(const char*, const char*, int)
    {2, 948, 10, 3, Smoke::mf_virtual, 406, 7},	//28 QAbstractSocket::qt_metacall(QMetaObject::Call, int, void**)
    {2, 179, 22, 2, Smoke::mf_ctor, 3, 8},	//29 QAbstractSocket::QAbstractSocket(QAbstractSocket::SocketType, QObject*)
    {2, 457, 25, 3, 0, 0, 9},	//30 QAbstractSocket::connectToHost(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 457, 29, 3, 0, 0, 10},	//31 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 505, 0, 0, 0, 0, 11},	//32 QAbstractSocket::disconnectFromHost()
    {2, 611, 0, 0, Smoke::mf_const, 322, 12},	//33 QAbstractSocket::isValid() const
    {2, 433, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 408, 13},	//34 QAbstractSocket::bytesAvailable() const
    {2, 434, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 408, 14},	//35 QAbstractSocket::bytesToWrite() const
    {2, 439, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 322, 15},	//36 QAbstractSocket::canReadLine() const
    {2, 642, 0, 0, Smoke::mf_const, 420, 16},	//37 QAbstractSocket::localPort() const
    {2, 638, 0, 0, Smoke::mf_const, 74, 17},	//38 QAbstractSocket::localAddress() const
    {2, 763, 0, 0, Smoke::mf_const, 420, 18},	//39 QAbstractSocket::peerPort() const
    {2, 758, 0, 0, Smoke::mf_const, 74, 19},	//40 QAbstractSocket::peerAddress() const
    {2, 762, 0, 0, Smoke::mf_const, 199, 20},	//41 QAbstractSocket::peerName() const
    {2, 976, 0, 0, Smoke::mf_const, 408, 21},	//42 QAbstractSocket::readBufferSize() const
    {2, 1184, 33, 1, 0, 0, 22},	//43 QAbstractSocket::setReadBufferSize(long long)
    {2, 386, 0, 0, 0, 0, 23},	//44 QAbstractSocket::abort()
    {2, 1248, 0, 0, Smoke::mf_const, 406, 24},	//45 QAbstractSocket::socketDescriptor() const
    {2, 1203, 35, 3, 0, 322, 25},	//46 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {2, 1212, 39, 2, 0, 0, 26},	//47 QAbstractSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {2, 1249, 42, 1, 0, 224, 27},	//48 QAbstractSocket::socketOption(QAbstractSocket::SocketOption)
    {2, 1251, 0, 0, Smoke::mf_const, 8, 28},	//49 QAbstractSocket::socketType() const
    {2, 1258, 0, 0, Smoke::mf_const, 7, 29},	//50 QAbstractSocket::state() const
    {2, 524, 0, 0, Smoke::mf_const, 5, 30},	//51 QAbstractSocket::error() const
    {2, 449, 0, 0, Smoke::mf_virtual, 0, 31},	//52 QAbstractSocket::close()
    {2, 607, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 322, 32},	//53 QAbstractSocket::isSequential() const
    {2, 418, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 322, 33},	//54 QAbstractSocket::atEnd() const
    {2, 537, 0, 0, 0, 322, 34},	//55 QAbstractSocket::flush()
    {2, 1306, 44, 1, 0, 322, 35},	//56 QAbstractSocket::waitForConnected(int)
    {2, 1315, 44, 1, Smoke::mf_virtual, 322, 36},	//57 QAbstractSocket::waitForReadyRead(int)
    {2, 1304, 44, 1, Smoke::mf_virtual, 322, 37},	//58 QAbstractSocket::waitForBytesWritten(int)
    {2, 1308, 44, 1, 0, 322, 38},	//59 QAbstractSocket::waitForDisconnected(int)
    {2, 1171, 46, 1, 0, 0, 39},	//60 QAbstractSocket::setProxy(const QNetworkProxy&)
    {2, 785, 0, 0, Smoke::mf_const, 144, 40},	//61 QAbstractSocket::proxy() const
    {2, 576, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//62 QAbstractSocket::hostFound()
    {2, 473, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//63 QAbstractSocket::connected()
    {2, 509, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//64 QAbstractSocket::disconnected()
    {2, 1259, 48, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//65 QAbstractSocket::stateChanged(QAbstractSocket::SocketState)
    {2, 524, 50, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//66 QAbstractSocket::error(QAbstractSocket::SocketError)
    {2, 786, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//67 QAbstractSocket::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {2, 467, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//68 QAbstractSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {2, 506, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//69 QAbstractSocket::disconnectFromHostImplementation()
    {2, 977, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 408, 49},	//70 QAbstractSocket::readData(char*, long long)
    {2, 983, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 408, 50},	//71 QAbstractSocket::readLineData(char*, long long)
    {2, 1317, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 408, 51},	//72 QAbstractSocket::writeData(const char*, long long)
    {2, 1214, 48, 1, Smoke::mf_protected, 0, 52},	//73 QAbstractSocket::setSocketState(QAbstractSocket::SocketState)
    {2, 1210, 50, 1, Smoke::mf_protected, 0, 53},	//74 QAbstractSocket::setSocketError(QAbstractSocket::SocketError)
    {2, 1108, 65, 1, Smoke::mf_protected, 0, 54},	//75 QAbstractSocket::setLocalPort(unsigned short)
    {2, 1102, 67, 1, Smoke::mf_protected, 0, 55},	//76 QAbstractSocket::setLocalAddress(const QHostAddress&)
    {2, 1145, 65, 1, Smoke::mf_protected, 0, 56},	//77 QAbstractSocket::setPeerPort(unsigned short)
    {2, 1139, 67, 1, Smoke::mf_protected, 0, 57},	//78 QAbstractSocket::setPeerAddress(const QHostAddress&)
    {2, 1143, 69, 1, Smoke::mf_protected, 0, 58},	//79 QAbstractSocket::setPeerName(const QString&)
    {2, 1284, 1, 1, Smoke::mf_static, 199, 59},	//80 QAbstractSocket::tr(const char*)
    {2, 1288, 1, 1, Smoke::mf_static, 199, 60},	//81 QAbstractSocket::trUtf8(const char*)
    {2, 457, 71, 2, 0, 0, 61},	//82 QAbstractSocket::connectToHost(const QString&, unsigned short)
    {2, 457, 74, 2, 0, 0, 62},	//83 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short)
    {2, 1203, 44, 1, 0, 322, 63},	//84 QAbstractSocket::setSocketDescriptor(int)
    {2, 1203, 77, 2, 0, 322, 64},	//85 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {2, 1306, 0, 0, 0, 322, 65},	//86 QAbstractSocket::waitForConnected()
    {2, 1315, 0, 0, 0, 322, 66},	//87 QAbstractSocket::waitForReadyRead()
    {2, 1304, 0, 0, 0, 322, 67},	//88 QAbstractSocket::waitForBytesWritten()
    {2, 1308, 0, 0, 0, 322, 68},	//89 QAbstractSocket::waitForDisconnected()
    {2, 467, 80, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 69},	//90 QAbstractSocket::connectToHostImplementation(const QString&, quint16)
    {2, 1261, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 70},	//91 QAbstractSocket::staticMetaObject() const
    {2, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 71},	//92 QAbstractSocket::TcpSocket (enum)
    {2, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 72},	//93 QAbstractSocket::UdpSocket (enum)
    {2, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 73},	//94 QAbstractSocket::UnknownSocketType (enum)
    {2, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 74},	//95 QAbstractSocket::IPv4Protocol (enum)
    {2, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 75},	//96 QAbstractSocket::IPv6Protocol (enum)
    {2, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 76},	//97 QAbstractSocket::UnknownNetworkLayerProtocol (enum)
    {2, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 77},	//98 QAbstractSocket::ConnectionRefusedError (enum)
    {2, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 78},	//99 QAbstractSocket::RemoteHostClosedError (enum)
    {2, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 79},	//100 QAbstractSocket::HostNotFoundError (enum)
    {2, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 80},	//101 QAbstractSocket::SocketAccessError (enum)
    {2, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 81},	//102 QAbstractSocket::SocketResourceError (enum)
    {2, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 82},	//103 QAbstractSocket::SocketTimeoutError (enum)
    {2, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 83},	//104 QAbstractSocket::DatagramTooLargeError (enum)
    {2, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 84},	//105 QAbstractSocket::NetworkError (enum)
    {2, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 85},	//106 QAbstractSocket::AddressInUseError (enum)
    {2, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 86},	//107 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {2, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 87},	//108 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {2, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 88},	//109 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {2, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 89},	//110 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {2, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 90},	//111 QAbstractSocket::SslHandshakeFailedError (enum)
    {2, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 91},	//112 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {2, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 92},	//113 QAbstractSocket::ProxyConnectionClosedError (enum)
    {2, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 93},	//114 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {2, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 94},	//115 QAbstractSocket::ProxyNotFoundError (enum)
    {2, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 95},	//116 QAbstractSocket::ProxyProtocolError (enum)
    {2, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 96},	//117 QAbstractSocket::UnknownSocketError (enum)
    {2, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 97},	//118 QAbstractSocket::UnconnectedState (enum)
    {2, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 98},	//119 QAbstractSocket::HostLookupState (enum)
    {2, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 99},	//120 QAbstractSocket::ConnectingState (enum)
    {2, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 100},	//121 QAbstractSocket::ConnectedState (enum)
    {2, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 101},	//122 QAbstractSocket::BoundState (enum)
    {2, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 102},	//123 QAbstractSocket::ListeningState (enum)
    {2, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 103},	//124 QAbstractSocket::ClosingState (enum)
    {2, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 104},	//125 QAbstractSocket::LowDelayOption (enum)
    {2, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 105},	//126 QAbstractSocket::KeepAliveOption (enum)
    {2, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 106},	//127 QAbstractSocket::MulticastTtlOption (enum)
    {2, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 107},	//128 QAbstractSocket::MulticastLoopbackOption (enum)
    {2, 1323, 0, 0, Smoke::mf_dtor, 0, 108 },	//129 QAbstractSocket::~QAbstractSocket()
    {3, 181, 0, 0, Smoke::mf_ctor, 10, 1},	//130 QAuthenticator::QAuthenticator()
    {3, 181, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 10, 2},	//131 QAuthenticator::QAuthenticator(const QAuthenticator&)
    {3, 712, 83, 1, 0, 9, 3},	//132 QAuthenticator::operator=(const QAuthenticator&)
    {3, 715, 83, 1, Smoke::mf_const, 322, 4},	//133 QAuthenticator::operator==(const QAuthenticator&) const
    {3, 676, 83, 1, Smoke::mf_const, 322, 5},	//134 QAuthenticator::operator!=(const QAuthenticator&) const
    {3, 1299, 0, 0, Smoke::mf_const, 199, 6},	//135 QAuthenticator::user() const
    {3, 1235, 69, 1, 0, 0, 7},	//136 QAuthenticator::setUser(const QString&)
    {3, 756, 0, 0, Smoke::mf_const, 199, 8},	//137 QAuthenticator::password() const
    {3, 1135, 69, 1, 0, 0, 9},	//138 QAuthenticator::setPassword(const QString&)
    {3, 987, 0, 0, Smoke::mf_const, 199, 10},	//139 QAuthenticator::realm() const
    {3, 743, 69, 1, Smoke::mf_const, 224, 11},	//140 QAuthenticator::option(const QString&) const
    {3, 745, 0, 0, Smoke::mf_const, 73, 12},	//141 QAuthenticator::options() const
    {3, 1129, 85, 2, 0, 0, 13},	//142 QAuthenticator::setOption(const QString&, const QVariant&)
    {3, 603, 0, 0, Smoke::mf_const, 322, 14},	//143 QAuthenticator::isNull() const
    {3, 502, 0, 0, 0, 0, 15},	//144 QAuthenticator::detach()
    {3, 1324, 0, 0, Smoke::mf_dtor, 0, 16 },	//145 QAuthenticator::~QAuthenticator()
    {16, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//146 QFtp::metaObject() const
    {16, 950, 1, 1, Smoke::mf_virtual, 425, 2},	//147 QFtp::qt_metacast(const char*)
    {16, 1284, 3, 2, Smoke::mf_static, 199, 3},	//148 QFtp::tr(const char*, const char*)
    {16, 1288, 3, 2, Smoke::mf_static, 199, 4},	//149 QFtp::trUtf8(const char*, const char*)
    {16, 1284, 6, 3, Smoke::mf_static, 199, 5},	//150 QFtp::tr(const char*, const char*, int)
    {16, 1288, 6, 3, Smoke::mf_static, 199, 6},	//151 QFtp::trUtf8(const char*, const char*, int)
    {16, 948, 10, 3, Smoke::mf_virtual, 406, 7},	//152 QFtp::qt_metacall(QMetaObject::Call, int, void**)
    {16, 183, 20, 1, Smoke::mf_ctor, 66, 8},	//153 QFtp::QFtp(QObject*)
    {16, 1171, 71, 2, 0, 406, 9},	//154 QFtp::setProxy(const QString&, unsigned short)
    {16, 457, 71, 2, 0, 406, 10},	//155 QFtp::connectToHost(const QString&, unsigned short)
    {16, 643, 88, 2, 0, 406, 11},	//156 QFtp::login(const QString&, const QString&)
    {16, 449, 0, 0, 0, 406, 12},	//157 QFtp::close()
    {16, 1227, 91, 1, 0, 406, 13},	//158 QFtp::setTransferMode(QFtp::TransferMode)
    {16, 630, 69, 1, 0, 406, 14},	//159 QFtp::list(const QString&)
    {16, 441, 69, 1, 0, 406, 15},	//160 QFtp::cd(const QString&)
    {16, 551, 93, 3, 0, 406, 16},	//161 QFtp::get(const QString&, QIODevice*, QFtp::TransferType)
    {16, 792, 97, 3, 0, 406, 17},	//162 QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    {16, 792, 101, 3, 0, 406, 18},	//163 QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    {16, 989, 69, 1, 0, 406, 19},	//164 QFtp::remove(const QString&)
    {16, 659, 69, 1, 0, 406, 20},	//165 QFtp::mkdir(const QString&)
    {16, 1011, 69, 1, 0, 406, 21},	//166 QFtp::rmdir(const QString&)
    {16, 998, 88, 2, 0, 406, 22},	//167 QFtp::rename(const QString&, const QString&)
    {16, 964, 69, 1, 0, 406, 23},	//168 QFtp::rawCommand(const QString&)
    {16, 433, 0, 0, Smoke::mf_const, 408, 24},	//169 QFtp::bytesAvailable() const
    {16, 973, 59, 2, 0, 408, 25},	//170 QFtp::read(char*, long long)
    {16, 975, 0, 0, 0, 14, 26},	//171 QFtp::readAll()
    {16, 485, 0, 0, Smoke::mf_const, 406, 27},	//172 QFtp::currentId() const
    {16, 484, 0, 0, Smoke::mf_const, 95, 28},	//173 QFtp::currentDevice() const
    {16, 482, 0, 0, Smoke::mf_const, 67, 29},	//174 QFtp::currentCommand() const
    {16, 565, 0, 0, Smoke::mf_const, 322, 30},	//175 QFtp::hasPendingCommands() const
    {16, 447, 0, 0, 0, 0, 31},	//176 QFtp::clearPendingCommands()
    {16, 1258, 0, 0, Smoke::mf_const, 69, 32},	//177 QFtp::state() const
    {16, 524, 0, 0, Smoke::mf_const, 68, 33},	//178 QFtp::error() const
    {16, 526, 0, 0, Smoke::mf_const, 199, 34},	//179 QFtp::errorString() const
    {16, 386, 0, 0, Smoke::mf_slot, 0, 35},	//180 QFtp::abort()
    {16, 1259, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//181 QFtp::stateChanged(int)
    {16, 632, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//182 QFtp::listInfo(const QUrlInfo&)
    {16, 985, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//183 QFtp::readyRead()
    {16, 495, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//184 QFtp::dataTransferProgress(qint64, qint64)
    {16, 966, 110, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//185 QFtp::rawCommandReply(int, const QString&)
    {16, 453, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//186 QFtp::commandStarted(int)
    {16, 451, 113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//187 QFtp::commandFinished(int, bool)
    {16, 511, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//188 QFtp::done(bool)
    {16, 1284, 1, 1, Smoke::mf_static, 199, 44},	//189 QFtp::tr(const char*)
    {16, 1288, 1, 1, Smoke::mf_static, 199, 45},	//190 QFtp::trUtf8(const char*)
    {16, 183, 0, 0, Smoke::mf_ctor, 66, 46},	//191 QFtp::QFtp()
    {16, 457, 69, 1, 0, 406, 47},	//192 QFtp::connectToHost(const QString&)
    {16, 643, 0, 0, 0, 406, 48},	//193 QFtp::login()
    {16, 643, 69, 1, 0, 406, 49},	//194 QFtp::login(const QString&)
    {16, 630, 0, 0, 0, 406, 50},	//195 QFtp::list()
    {16, 551, 69, 1, 0, 406, 51},	//196 QFtp::get(const QString&)
    {16, 551, 118, 2, 0, 406, 52},	//197 QFtp::get(const QString&, QIODevice*)
    {16, 792, 121, 2, 0, 406, 53},	//198 QFtp::put(const QByteArray&, const QString&)
    {16, 792, 124, 2, 0, 406, 54},	//199 QFtp::put(QIODevice*, const QString&)
    {16, 1261, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 55},	//200 QFtp::staticMetaObject() const
    {16, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 56},	//201 QFtp::Unconnected (enum)
    {16, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 57},	//202 QFtp::HostLookup (enum)
    {16, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 58},	//203 QFtp::Connecting (enum)
    {16, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 59},	//204 QFtp::Connected (enum)
    {16, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 60},	//205 QFtp::LoggedIn (enum)
    {16, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 61},	//206 QFtp::Closing (enum)
    {16, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 62},	//207 QFtp::NoError (enum)
    {16, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 63},	//208 QFtp::UnknownError (enum)
    {16, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 64},	//209 QFtp::HostNotFound (enum)
    {16, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 65},	//210 QFtp::ConnectionRefused (enum)
    {16, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 66},	//211 QFtp::NotConnected (enum)
    {16, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 67},	//212 QFtp::None (enum)
    {16, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 68},	//213 QFtp::SetTransferMode (enum)
    {16, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 69},	//214 QFtp::SetProxy (enum)
    {16, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 70},	//215 QFtp::ConnectToHost (enum)
    {16, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 71},	//216 QFtp::Login (enum)
    {16, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 72},	//217 QFtp::Close (enum)
    {16, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 73},	//218 QFtp::List (enum)
    {16, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 74},	//219 QFtp::Cd (enum)
    {16, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 75},	//220 QFtp::Get (enum)
    {16, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 76},	//221 QFtp::Put (enum)
    {16, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 77},	//222 QFtp::Remove (enum)
    {16, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 78},	//223 QFtp::Mkdir (enum)
    {16, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 79},	//224 QFtp::Rmdir (enum)
    {16, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 80},	//225 QFtp::Rename (enum)
    {16, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 81},	//226 QFtp::RawCommand (enum)
    {16, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 82},	//227 QFtp::Active (enum)
    {16, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 83},	//228 QFtp::Passive (enum)
    {16, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 84},	//229 QFtp::Binary (enum)
    {16, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 85},	//230 QFtp::Ascii (enum)
    {16, 1325, 0, 0, Smoke::mf_dtor, 0, 86 },	//231 QFtp::~QFtp()
    {17, 879, 127, 1, Smoke::mf_static, 406, 1},	//232 QGlobalSpace::qRound(double)
    {17, 740, 129, 2, Smoke::mf_static, 37, 2},	//233 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {17, 796, 127, 1, Smoke::mf_static, 404, 3},	//234 QGlobalSpace::qAcos(double)
    {17, 732, 132, 2, Smoke::mf_static, 20, 4},	//235 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {17, 740, 135, 2, Smoke::mf_static, 35, 5},	//236 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {17, 727, 138, 2, Smoke::mf_static, 322, 6},	//237 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {17, 732, 141, 2, Smoke::mf_static, 20, 7},	//238 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {17, 800, 0, 0, Smoke::mf_static, 199, 8},	//239 QGlobalSpace::qAppName()
    {17, 740, 144, 2, Smoke::mf_static, 100, 9},	//240 QGlobalSpace::operator|(Qt::WindowType, int)
    {17, 929, 147, 3, Smoke::mf_static, 325, 10},	//241 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {17, 841, 151, 1, Smoke::mf_static, 417, 11},	//242 QGlobalSpace::qHash(unsigned int)
    {17, 841, 153, 1, Smoke::mf_static, 417, 12},	//243 QGlobalSpace::qHash(char)
    {17, 685, 155, 2, Smoke::mf_static, 380, 13},	//244 QGlobalSpace::operator*(const QSizeF&, double)
    {17, 703, 158, 2, Smoke::mf_static, 24, 14},	//245 QGlobalSpace::operator<<(QDebug, const QLine&)
    {17, 907, 1, 1, Smoke::mf_static, 14, 15},	//246 QGlobalSpace::qgetenv(const char*)
    {17, 698, 161, 2, Smoke::mf_static, 322, 16},	//247 QGlobalSpace::operator<(const QByteArray&, const char*)
    {17, 722, 164, 2, Smoke::mf_static, 322, 17},	//248 QGlobalSpace::operator>(const char*, const QString&)
    {17, 732, 167, 2, Smoke::mf_static, 20, 18},	//249 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {17, 740, 170, 2, Smoke::mf_static, 56, 19},	//250 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {17, 715, 173, 2, Smoke::mf_static, 322, 20},	//251 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {17, 703, 176, 2, Smoke::mf_static, 24, 21},	//252 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {17, 715, 179, 2, Smoke::mf_static, 322, 22},	//253 QGlobalSpace::operator==(const QSize&, const QSize&)
    {17, 703, 182, 2, Smoke::mf_static, 24, 23},	//254 QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    {17, 827, 127, 1, Smoke::mf_static, 404, 24},	//255 QGlobalSpace::qFastSin(double)
    {17, 688, 185, 2, Smoke::mf_static, 388, 25},	//256 QGlobalSpace::operator+(QChar, const QString&)
    {17, 927, 188, 3, Smoke::mf_static, 406, 26},	//257 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {17, 707, 192, 2, Smoke::mf_static, 322, 27},	//258 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {17, 707, 195, 2, Smoke::mf_static, 322, 28},	//259 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {17, 703, 198, 2, Smoke::mf_static, 24, 29},	//260 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    {17, 962, 201, 4, Smoke::mf_static, 406, 30},	//261 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {17, 676, 206, 2, Smoke::mf_static, 322, 31},	//262 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {17, 676, 209, 2, Smoke::mf_static, 322, 32},	//263 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {17, 703, 212, 2, Smoke::mf_static, 20, 33},	//264 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {17, 688, 215, 2, Smoke::mf_static, 388, 34},	//265 QGlobalSpace::operator+(const QString&, QChar)
    {17, 688, 179, 2, Smoke::mf_static, 378, 35},	//266 QGlobalSpace::operator+(const QSize&, const QSize&)
    {17, 933, 218, 2, Smoke::mf_static, 417, 36},	//267 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {17, 715, 195, 2, Smoke::mf_static, 322, 37},	//268 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {17, 732, 221, 2, Smoke::mf_static, 20, 38},	//269 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {17, 676, 224, 2, Smoke::mf_static, 322, 39},	//270 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {17, 703, 227, 2, Smoke::mf_static, 24, 40},	//271 QGlobalSpace::operator<<(QDebug, const QDate&)
    {17, 740, 230, 2, Smoke::mf_static, 62, 41},	//272 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {17, 703, 233, 2, Smoke::mf_static, 24, 42},	//273 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {17, 676, 236, 2, Smoke::mf_static, 322, 43},	//274 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {17, 841, 239, 1, Smoke::mf_static, 417, 44},	//275 QGlobalSpace::qHash(unsigned char)
    {17, 955, 241, 5, Smoke::mf_static, 0, 45},	//276 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {17, 715, 247, 2, Smoke::mf_static, 322, 46},	//277 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {17, 944, 44, 1, Smoke::mf_static, 199, 47},	//278 QGlobalSpace::qt_error_string(int)
    {17, 944, 0, 0, Smoke::mf_static, 199, 48},	//279 QGlobalSpace::qt_error_string()
    {17, 732, 250, 2, Smoke::mf_static, 20, 49},	//280 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {17, 856, 253, 1, Smoke::mf_static, 322, 50},	//281 QGlobalSpace::qIsNull(float)
    {17, 740, 255, 2, Smoke::mf_static, 100, 51},	//282 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {17, 870, 0, 0, Smoke::mf_static, 404, 52},	//283 QGlobalSpace::qQNaN()
    {17, 676, 258, 2, Smoke::mf_static, 322, 53},	//284 QGlobalSpace::operator!=(QChar, QChar)
    {17, 886, 261, 1, Smoke::mf_static, 212, 54},	//285 QGlobalSpace::qSetPadChar(QChar)
    {17, 732, 263, 2, Smoke::mf_static, 20, 55},	//286 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {17, 703, 266, 2, Smoke::mf_static, 24, 56},	//287 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {17, 740, 269, 2, Smoke::mf_static, 39, 57},	//288 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {17, 693, 206, 2, Smoke::mf_static, 372, 58},	//289 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {17, 703, 272, 2, Smoke::mf_static, 24, 59},	//290 QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    {17, 935, 275, 2, Smoke::mf_static, 199, 60},	//291 QGlobalSpace::qtTrId(const char*, int)
    {17, 935, 1, 1, Smoke::mf_static, 199, 61},	//292 QGlobalSpace::qtTrId(const char*)
    {17, 805, 278, 2, Smoke::mf_static, 404, 62},	//293 QGlobalSpace::qAtan2(double, double)
    {17, 703, 281, 2, Smoke::mf_static, 20, 63},	//294 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {17, 841, 284, 1, Smoke::mf_static, 417, 64},	//295 QGlobalSpace::qHash(short)
    {17, 703, 286, 2, Smoke::mf_static, 20, 65},	//296 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {17, 715, 138, 2, Smoke::mf_static, 322, 66},	//297 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {17, 740, 289, 2, Smoke::mf_static, 61, 67},	//298 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {17, 850, 127, 1, Smoke::mf_static, 322, 68},	//299 QGlobalSpace::qIsFinite(double)
    {17, 703, 292, 2, Smoke::mf_static, 24, 69},	//300 QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    {17, 740, 295, 2, Smoke::mf_static, 56, 70},	//301 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {17, 914, 161, 2, Smoke::mf_static, 406, 71},	//302 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {17, 921, 1, 1, Smoke::mf_static, 325, 72},	//303 QGlobalSpace::qstrdup(const char*)
    {17, 841, 298, 1, Smoke::mf_static, 417, 73},	//304 QGlobalSpace::qHash(long)
    {17, 740, 300, 2, Smoke::mf_static, 55, 74},	//305 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {17, 914, 3, 2, Smoke::mf_static, 406, 75},	//306 QGlobalSpace::qstrcmp(const char*, const char*)
    {17, 703, 303, 2, Smoke::mf_static, 20, 76},	//307 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {17, 722, 192, 2, Smoke::mf_static, 322, 77},	//308 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {17, 676, 306, 2, Smoke::mf_static, 322, 78},	//309 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {17, 688, 309, 2, Smoke::mf_static, 328, 79},	//310 QGlobalSpace::operator+(const char*, const QByteArray&)
    {17, 740, 312, 2, Smoke::mf_static, 42, 80},	//311 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    {17, 740, 315, 2, Smoke::mf_static, 42, 81},	//312 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    {17, 676, 138, 2, Smoke::mf_static, 322, 82},	//313 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {17, 715, 318, 2, Smoke::mf_static, 322, 83},	//314 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {17, 841, 321, 1, Smoke::mf_static, 417, 84},	//315 QGlobalSpace::qHash(const QBitArray&)
    {17, 740, 323, 2, Smoke::mf_static, 35, 85},	//316 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {17, 919, 326, 2, Smoke::mf_static, 325, 86},	//317 QGlobalSpace::qstrcpy(char*, const char*)
    {17, 740, 329, 2, Smoke::mf_static, 11, 87},	//318 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {17, 676, 332, 2, Smoke::mf_static, 322, 88},	//319 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {17, 698, 309, 2, Smoke::mf_static, 322, 89},	//320 QGlobalSpace::operator<(const char*, const QByteArray&)
    {17, 803, 127, 1, Smoke::mf_static, 404, 90},	//321 QGlobalSpace::qAtan(double)
    {17, 914, 309, 2, Smoke::mf_static, 406, 91},	//322 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {17, 727, 258, 2, Smoke::mf_static, 322, 92},	//323 QGlobalSpace::operator>=(QChar, QChar)
    {17, 740, 335, 2, Smoke::mf_static, 57, 93},	//324 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {17, 707, 258, 2, Smoke::mf_static, 322, 94},	//325 QGlobalSpace::operator<=(QChar, QChar)
    {17, 685, 338, 2, Smoke::mf_static, 372, 95},	//326 QGlobalSpace::operator*(const QPointF&, double)
    {17, 703, 341, 2, Smoke::mf_static, 24, 96},	//327 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {17, 715, 344, 2, Smoke::mf_static, 322, 97},	//328 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {17, 740, 347, 2, Smoke::mf_static, 32, 98},	//329 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {17, 740, 350, 2, Smoke::mf_static, 100, 99},	//330 QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    {17, 942, 275, 2, Smoke::mf_static, 0, 100},	//331 QGlobalSpace::qt_check_pointer(const char*, int)
    {17, 715, 306, 2, Smoke::mf_static, 322, 101},	//332 QGlobalSpace::operator==(QString::Null, QString::Null)
    {17, 676, 192, 2, Smoke::mf_static, 322, 102},	//333 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {17, 732, 353, 2, Smoke::mf_static, 20, 103},	//334 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {17, 676, 356, 2, Smoke::mf_static, 322, 104},	//335 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {17, 707, 359, 2, Smoke::mf_static, 322, 105},	//336 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {17, 900, 362, 2, Smoke::mf_static, 14, 106},	//337 QGlobalSpace::qUncompress(const unsigned char*, int)
    {17, 740, 365, 2, Smoke::mf_static, 48, 107},	//338 QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    {17, 812, 368, 2, Smoke::mf_static, 14, 108},	//339 QGlobalSpace::qCompress(const QByteArray&, int)
    {17, 812, 371, 1, Smoke::mf_static, 14, 109},	//340 QGlobalSpace::qCompress(const QByteArray&)
    {17, 703, 373, 2, Smoke::mf_static, 20, 110},	//341 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {17, 732, 376, 2, Smoke::mf_static, 209, 111},	//342 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 703, 379, 2, Smoke::mf_static, 24, 112},	//343 QGlobalSpace::operator<<(QDebug, const QSslError&)
    {17, 740, 382, 2, Smoke::mf_static, 100, 113},	//344 QGlobalSpace::operator|(Qt::DropAction, int)
    {17, 873, 385, 4, Smoke::mf_static, 425, 114},	//345 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {17, 740, 390, 2, Smoke::mf_static, 100, 115},	//346 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {17, 722, 138, 2, Smoke::mf_static, 322, 116},	//347 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {17, 893, 127, 1, Smoke::mf_static, 404, 117},	//348 QGlobalSpace::qSqrt(double)
    {17, 703, 376, 2, Smoke::mf_static, 209, 118},	//349 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 703, 393, 2, Smoke::mf_static, 20, 119},	//350 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {17, 703, 396, 2, Smoke::mf_static, 24, 120},	//351 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    {17, 703, 399, 2, Smoke::mf_static, 24, 121},	//352 QGlobalSpace::operator<<(QDebug, const QRect&)
    {17, 703, 402, 2, Smoke::mf_static, 24, 122},	//353 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    {17, 722, 195, 2, Smoke::mf_static, 322, 123},	//354 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {17, 727, 359, 2, Smoke::mf_static, 322, 124},	//355 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {17, 848, 253, 1, Smoke::mf_static, 406, 125},	//356 QGlobalSpace::qIntCast(float)
    {17, 740, 405, 2, Smoke::mf_static, 46, 126},	//357 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {17, 715, 206, 2, Smoke::mf_static, 322, 127},	//358 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {17, 722, 309, 2, Smoke::mf_static, 322, 128},	//359 QGlobalSpace::operator>(const char*, const QByteArray&)
    {17, 823, 127, 1, Smoke::mf_static, 404, 129},	//360 QGlobalSpace::qFabs(double)
    {17, 841, 65, 1, Smoke::mf_static, 417, 130},	//361 QGlobalSpace::qHash(unsigned short)
    {17, 715, 309, 2, Smoke::mf_static, 322, 131},	//362 QGlobalSpace::operator==(const char*, const QByteArray&)
    {17, 740, 408, 2, Smoke::mf_static, 61, 132},	//363 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {17, 740, 411, 2, Smoke::mf_static, 45, 133},	//364 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {17, 703, 414, 2, Smoke::mf_static, 24, 134},	//365 QGlobalSpace::operator<<(QDebug, const QDir&)
    {17, 740, 417, 2, Smoke::mf_static, 59, 135},	//366 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {17, 676, 195, 2, Smoke::mf_static, 322, 136},	//367 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {17, 871, 420, 2, Smoke::mf_static, 425, 137},	//368 QGlobalSpace::qRealloc(void*, size_t)
    {17, 740, 423, 2, Smoke::mf_static, 52, 138},	//369 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {17, 740, 426, 2, Smoke::mf_static, 100, 139},	//370 QGlobalSpace::operator|(QSsl::SslOption, int)
    {17, 740, 429, 2, Smoke::mf_static, 100, 140},	//371 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {17, 715, 432, 2, Smoke::mf_static, 322, 141},	//372 QGlobalSpace::operator==(const QString&, QString::Null)
    {17, 740, 435, 2, Smoke::mf_static, 53, 142},	//373 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {17, 904, 0, 0, Smoke::mf_static, 24, 143},	//374 QGlobalSpace::qWarning()
    {17, 740, 438, 2, Smoke::mf_static, 100, 144},	//375 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {17, 837, 278, 2, Smoke::mf_static, 322, 145},	//376 QGlobalSpace::qFuzzyCompare(double, double)
    {17, 707, 138, 2, Smoke::mf_static, 322, 146},	//377 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {17, 703, 441, 2, Smoke::mf_static, 24, 147},	//378 QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    {17, 740, 444, 2, Smoke::mf_static, 40, 148},	//379 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {17, 740, 447, 2, Smoke::mf_static, 38, 149},	//380 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {17, 732, 450, 2, Smoke::mf_static, 20, 150},	//381 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {17, 703, 453, 2, Smoke::mf_static, 24, 151},	//382 QGlobalSpace::operator<<(QDebug, const QSslKey&)
    {17, 703, 456, 2, Smoke::mf_static, 20, 152},	//383 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {17, 676, 459, 2, Smoke::mf_static, 322, 153},	//384 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {17, 685, 462, 2, Smoke::mf_static, 378, 154},	//385 QGlobalSpace::operator*(double, const QSize&)
    {17, 740, 465, 2, Smoke::mf_static, 51, 155},	//386 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {17, 820, 0, 0, Smoke::mf_static, 24, 156},	//387 QGlobalSpace::qDebug()
    {17, 841, 33, 1, Smoke::mf_static, 417, 157},	//388 QGlobalSpace::qHash(long long)
    {17, 740, 468, 2, Smoke::mf_static, 58, 158},	//389 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {17, 707, 164, 2, Smoke::mf_static, 322, 159},	//390 QGlobalSpace::operator<=(const char*, const QString&)
    {17, 685, 471, 2, Smoke::mf_static, 370, 160},	//391 QGlobalSpace::operator*(const QPoint&, float)
    {17, 693, 474, 1, Smoke::mf_static, 372, 161},	//392 QGlobalSpace::operator-(const QPointF&)
    {17, 740, 476, 2, Smoke::mf_static, 100, 162},	//393 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {17, 852, 253, 1, Smoke::mf_static, 322, 163},	//394 QGlobalSpace::qIsInf(float)
    {17, 740, 479, 2, Smoke::mf_static, 100, 164},	//395 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {17, 688, 164, 2, Smoke::mf_static, 388, 165},	//396 QGlobalSpace::operator+(const char*, const QString&)
    {17, 707, 309, 2, Smoke::mf_static, 322, 166},	//397 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {17, 703, 482, 2, Smoke::mf_static, 24, 167},	//398 QGlobalSpace::operator<<(QDebug, const QSize&)
    {17, 841, 67, 1, Smoke::mf_static, 417, 168},	//399 QGlobalSpace::qHash(const QHostAddress&)
    {17, 676, 359, 2, Smoke::mf_static, 322, 169},	//400 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {17, 722, 258, 2, Smoke::mf_static, 322, 170},	//401 QGlobalSpace::operator>(QChar, QChar)
    {17, 696, 155, 2, Smoke::mf_static, 380, 171},	//402 QGlobalSpace::operator/(const QSizeF&, double)
    {17, 740, 485, 2, Smoke::mf_static, 100, 172},	//403 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {17, 703, 488, 2, Smoke::mf_static, 24, 173},	//404 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {17, 914, 359, 2, Smoke::mf_static, 406, 174},	//405 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {17, 683, 329, 2, Smoke::mf_static, 11, 175},	//406 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {17, 703, 491, 2, Smoke::mf_static, 24, 176},	//407 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {17, 693, 494, 1, Smoke::mf_static, 370, 177},	//408 QGlobalSpace::operator-(const QPoint&)
    {17, 727, 161, 2, Smoke::mf_static, 322, 178},	//409 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {17, 703, 496, 2, Smoke::mf_static, 20, 179},	//410 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {17, 740, 499, 2, Smoke::mf_static, 46, 180},	//411 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {17, 727, 192, 2, Smoke::mf_static, 322, 181},	//412 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {17, 698, 195, 2, Smoke::mf_static, 322, 182},	//413 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {17, 732, 502, 2, Smoke::mf_static, 20, 183},	//414 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {17, 676, 505, 2, Smoke::mf_static, 322, 184},	//415 QGlobalSpace::operator!=(QBool, QBool)
    {17, 688, 508, 2, Smoke::mf_static, 388, 185},	//416 QGlobalSpace::operator+(const QString&, char)
    {17, 676, 511, 2, Smoke::mf_static, 322, 186},	//417 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {17, 841, 514, 1, Smoke::mf_static, 417, 187},	//418 QGlobalSpace::qHash(unsigned long long)
    {17, 715, 192, 2, Smoke::mf_static, 322, 188},	//419 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {17, 829, 1, 1, Smoke::mf_static, 400, 189},	//420 QGlobalSpace::qFlagLocation(const char*)
    {17, 696, 338, 2, Smoke::mf_static, 372, 190},	//421 QGlobalSpace::operator/(const QPointF&, double)
    {17, 848, 127, 1, Smoke::mf_static, 406, 191},	//422 QGlobalSpace::qIntCast(double)
    {17, 740, 516, 2, Smoke::mf_static, 100, 192},	//423 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {17, 900, 371, 1, Smoke::mf_static, 14, 193},	//424 QGlobalSpace::qUncompress(const QByteArray&)
    {17, 676, 173, 2, Smoke::mf_static, 322, 194},	//425 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {17, 703, 519, 2, Smoke::mf_static, 24, 195},	//426 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {17, 715, 522, 2, Smoke::mf_static, 322, 196},	//427 QGlobalSpace::operator==(QString::Null, const QString&)
    {17, 707, 161, 2, Smoke::mf_static, 322, 197},	//428 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {17, 825, 127, 1, Smoke::mf_static, 404, 198},	//429 QGlobalSpace::qFastCos(double)
    {17, 877, 525, 1, Smoke::mf_static, 0, 199},	//430 QGlobalSpace::qRemovePostRoutine(void(*)())
    {17, 740, 527, 2, Smoke::mf_static, 40, 200},	//431 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {17, 740, 530, 2, Smoke::mf_static, 53, 201},	//432 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {17, 732, 533, 2, Smoke::mf_static, 20, 202},	//433 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {17, 837, 536, 2, Smoke::mf_static, 322, 203},	//434 QGlobalSpace::qFuzzyCompare(float, float)
    {17, 703, 539, 2, Smoke::mf_static, 20, 204},	//435 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {17, 810, 218, 2, Smoke::mf_static, 420, 205},	//436 QGlobalSpace::qChecksum(const char*, unsigned int)
    {17, 732, 542, 2, Smoke::mf_static, 20, 206},	//437 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {17, 685, 545, 2, Smoke::mf_static, 378, 207},	//438 QGlobalSpace::operator*(const QSize&, double)
    {17, 846, 548, 1, Smoke::mf_static, 424, 208},	//439 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {17, 703, 550, 2, Smoke::mf_static, 209, 209},	//440 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {17, 693, 332, 2, Smoke::mf_static, 370, 210},	//441 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {17, 740, 553, 2, Smoke::mf_static, 50, 211},	//442 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {17, 732, 556, 2, Smoke::mf_static, 20, 212},	//443 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {17, 740, 559, 2, Smoke::mf_static, 33, 213},	//444 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {17, 819, 0, 0, Smoke::mf_static, 24, 214},	//445 QGlobalSpace::qCritical()
    {17, 868, 278, 2, Smoke::mf_static, 404, 215},	//446 QGlobalSpace::qPow(double, double)
    {17, 696, 562, 2, Smoke::mf_static, 370, 216},	//447 QGlobalSpace::operator/(const QPoint&, double)
    {17, 703, 565, 2, Smoke::mf_static, 20, 217},	//448 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {17, 703, 568, 2, Smoke::mf_static, 20, 218},	//449 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {17, 676, 522, 2, Smoke::mf_static, 322, 219},	//450 QGlobalSpace::operator!=(QString::Null, const QString&)
    {17, 703, 571, 2, Smoke::mf_static, 20, 220},	//451 QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    {17, 841, 44, 1, Smoke::mf_static, 417, 221},	//452 QGlobalSpace::qHash(int)
    {17, 740, 574, 2, Smoke::mf_static, 54, 222},	//453 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {17, 952, 0, 0, Smoke::mf_static, 0, 223},	//454 QGlobalSpace::qt_noop()
    {17, 715, 209, 2, Smoke::mf_static, 322, 224},	//455 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {17, 740, 577, 2, Smoke::mf_static, 100, 225},	//456 QGlobalSpace::operator|(Qt::WindowState, int)
    {17, 676, 247, 2, Smoke::mf_static, 322, 226},	//457 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {17, 732, 580, 2, Smoke::mf_static, 20, 227},	//458 QGlobalSpace::operator>>(QDataStream&, QString&)
    {17, 953, 583, 3, Smoke::mf_static, 163, 228},	//459 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {17, 703, 587, 2, Smoke::mf_static, 20, 229},	//460 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {17, 715, 505, 2, Smoke::mf_static, 322, 230},	//461 QGlobalSpace::operator==(QBool, QBool)
    {17, 821, 127, 1, Smoke::mf_static, 404, 231},	//462 QGlobalSpace::qExp(double)
    {17, 732, 590, 2, Smoke::mf_static, 20, 232},	//463 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {17, 732, 593, 2, Smoke::mf_static, 20, 233},	//464 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {17, 740, 596, 2, Smoke::mf_static, 57, 234},	//465 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {17, 715, 599, 2, Smoke::mf_static, 322, 235},	//466 QGlobalSpace::operator==(bool, QBool)
    {17, 740, 602, 2, Smoke::mf_static, 47, 236},	//467 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {17, 839, 127, 1, Smoke::mf_static, 322, 237},	//468 QGlobalSpace::qFuzzyIsNull(double)
    {17, 732, 605, 2, Smoke::mf_static, 20, 238},	//469 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {17, 960, 608, 3, Smoke::mf_static, 322, 239},	//470 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {17, 698, 164, 2, Smoke::mf_static, 322, 240},	//471 QGlobalSpace::operator<(const char*, const QString&)
    {17, 715, 612, 2, Smoke::mf_static, 322, 241},	//472 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {17, 905, 615, 3, Smoke::mf_static, 0, 242},	//473 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {17, 841, 261, 1, Smoke::mf_static, 417, 243},	//474 QGlobalSpace::qHash(QChar)
    {17, 740, 619, 2, Smoke::mf_static, 100, 244},	//475 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {17, 703, 622, 2, Smoke::mf_static, 20, 245},	//476 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {17, 676, 612, 2, Smoke::mf_static, 322, 246},	//477 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {17, 698, 138, 2, Smoke::mf_static, 322, 247},	//478 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {17, 676, 599, 2, Smoke::mf_static, 322, 248},	//479 QGlobalSpace::operator!=(bool, QBool)
    {17, 946, 625, 2, Smoke::mf_static, 0, 249},	//480 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {17, 740, 628, 2, Smoke::mf_static, 36, 250},	//481 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {17, 912, 151, 1, Smoke::mf_static, 0, 251},	//482 QGlobalSpace::qsrand(unsigned int)
    {17, 715, 631, 2, Smoke::mf_static, 322, 252},	//483 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {17, 688, 121, 2, Smoke::mf_static, 388, 253},	//484 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {17, 740, 634, 2, Smoke::mf_static, 49, 254},	//485 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {17, 740, 637, 2, Smoke::mf_static, 41, 255},	//486 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    {17, 740, 640, 2, Smoke::mf_static, 43, 256},	//487 QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    {17, 703, 643, 2, Smoke::mf_static, 24, 257},	//488 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {17, 740, 646, 2, Smoke::mf_static, 100, 258},	//489 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {17, 732, 649, 2, Smoke::mf_static, 20, 259},	//490 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {17, 676, 432, 2, Smoke::mf_static, 322, 260},	//491 QGlobalSpace::operator!=(const QString&, QString::Null)
    {17, 923, 3, 2, Smoke::mf_static, 406, 261},	//492 QGlobalSpace::qstricmp(const char*, const char*)
    {17, 740, 652, 2, Smoke::mf_static, 65, 262},	//493 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {17, 866, 655, 3, Smoke::mf_static, 425, 263},	//494 QGlobalSpace::qMemSet(void*, int, size_t)
    {17, 703, 659, 2, Smoke::mf_static, 24, 264},	//495 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {17, 676, 179, 2, Smoke::mf_static, 322, 265},	//496 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {17, 808, 127, 1, Smoke::mf_static, 406, 266},	//497 QGlobalSpace::qCeil(double)
    {17, 841, 662, 1, Smoke::mf_static, 417, 267},	//498 QGlobalSpace::qHash(signed char)
    {17, 740, 664, 2, Smoke::mf_static, 65, 268},	//499 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {17, 715, 236, 2, Smoke::mf_static, 322, 269},	//500 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {17, 740, 667, 2, Smoke::mf_static, 64, 270},	//501 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {17, 715, 511, 2, Smoke::mf_static, 322, 271},	//502 QGlobalSpace::operator==(const char*, const QStringRef&)
    {17, 703, 670, 2, Smoke::mf_static, 24, 272},	//503 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {17, 732, 673, 2, Smoke::mf_static, 20, 273},	//504 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {17, 740, 676, 2, Smoke::mf_static, 100, 274},	//505 QGlobalSpace::operator|(QFile::Permission, int)
    {17, 688, 332, 2, Smoke::mf_static, 370, 275},	//506 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {17, 688, 161, 2, Smoke::mf_static, 328, 276},	//507 QGlobalSpace::operator+(const QByteArray&, const char*)
    {17, 798, 525, 1, Smoke::mf_static, 0, 277},	//508 QGlobalSpace::qAddPostRoutine(void(*)())
    {17, 875, 679, 1, Smoke::mf_static, 0, 278},	//509 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {17, 685, 681, 2, Smoke::mf_static, 372, 279},	//510 QGlobalSpace::operator*(double, const QPointF&)
    {17, 685, 684, 2, Smoke::mf_static, 370, 280},	//511 QGlobalSpace::operator*(int, const QPoint&)
    {17, 890, 0, 0, Smoke::mf_static, 322, 281},	//512 QGlobalSpace::qSharedBuild()
    {17, 703, 687, 2, Smoke::mf_static, 20, 282},	//513 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {17, 703, 690, 2, Smoke::mf_static, 20, 283},	//514 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {17, 732, 693, 2, Smoke::mf_static, 20, 284},	//515 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {17, 845, 0, 0, Smoke::mf_static, 404, 285},	//516 QGlobalSpace::qInf()
    {17, 931, 188, 3, Smoke::mf_static, 406, 286},	//517 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {17, 740, 696, 2, Smoke::mf_static, 48, 287},	//518 QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    {17, 841, 699, 1, Smoke::mf_static, 417, 288},	//519 QGlobalSpace::qHash(const QStringRef&)
    {17, 732, 701, 2, Smoke::mf_static, 20, 289},	//520 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {17, 740, 704, 2, Smoke::mf_static, 100, 290},	//521 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {17, 703, 707, 2, Smoke::mf_static, 20, 291},	//522 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {17, 722, 359, 2, Smoke::mf_static, 322, 292},	//523 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {17, 715, 258, 2, Smoke::mf_static, 322, 293},	//524 QGlobalSpace::operator==(QChar, QChar)
    {17, 817, 127, 1, Smoke::mf_static, 404, 294},	//525 QGlobalSpace::qCos(double)
    {17, 862, 710, 2, Smoke::mf_static, 425, 295},	//526 QGlobalSpace::qMallocAligned(size_t, size_t)
    {17, 703, 713, 2, Smoke::mf_static, 20, 296},	//527 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {17, 688, 716, 2, Smoke::mf_static, 388, 297},	//528 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {17, 940, 719, 4, Smoke::mf_static, 0, 298},	//529 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {17, 740, 724, 2, Smoke::mf_static, 49, 299},	//530 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {17, 740, 727, 2, Smoke::mf_static, 36, 300},	//531 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {17, 688, 730, 2, Smoke::mf_static, 328, 301},	//532 QGlobalSpace::operator+(const QByteArray&, char)
    {17, 740, 733, 2, Smoke::mf_static, 100, 302},	//533 QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    {17, 740, 736, 2, Smoke::mf_static, 39, 303},	//534 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {17, 903, 0, 0, Smoke::mf_static, 400, 304},	//535 QGlobalSpace::qVersion()
    {17, 740, 739, 2, Smoke::mf_static, 50, 305},	//536 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {17, 703, 742, 2, Smoke::mf_static, 20, 306},	//537 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {17, 688, 206, 2, Smoke::mf_static, 372, 307},	//538 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {17, 715, 164, 2, Smoke::mf_static, 322, 308},	//539 QGlobalSpace::operator==(const char*, const QString&)
    {17, 740, 745, 2, Smoke::mf_static, 38, 309},	//540 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {17, 703, 748, 2, Smoke::mf_static, 20, 310},	//541 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {17, 740, 751, 2, Smoke::mf_static, 100, 311},	//542 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {17, 715, 459, 2, Smoke::mf_static, 322, 312},	//543 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {17, 895, 754, 2, Smoke::mf_static, 322, 313},	//544 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {17, 740, 757, 2, Smoke::mf_static, 34, 314},	//545 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {17, 703, 760, 2, Smoke::mf_static, 24, 315},	//546 QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    {17, 703, 763, 2, Smoke::mf_static, 20, 316},	//547 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {17, 688, 766, 2, Smoke::mf_static, 328, 317},	//548 QGlobalSpace::operator+(char, const QByteArray&)
    {17, 688, 769, 2, Smoke::mf_static, 388, 318},	//549 QGlobalSpace::operator+(const QString&, const char*)
    {17, 740, 772, 2, Smoke::mf_static, 100, 319},	//550 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {17, 698, 359, 2, Smoke::mf_static, 322, 320},	//551 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {17, 812, 775, 3, Smoke::mf_static, 14, 321},	//552 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {17, 812, 362, 2, Smoke::mf_static, 14, 322},	//553 QGlobalSpace::qCompress(const unsigned char*, int)
    {17, 831, 127, 1, Smoke::mf_static, 406, 323},	//554 QGlobalSpace::qFloor(double)
    {17, 740, 779, 2, Smoke::mf_static, 60, 324},	//555 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {17, 841, 69, 1, Smoke::mf_static, 417, 325},	//556 QGlobalSpace::qHash(const QString&)
    {17, 688, 88, 2, Smoke::mf_static, 388, 326},	//557 QGlobalSpace::operator+(const QString&, const QString&)
    {17, 676, 782, 2, Smoke::mf_static, 322, 327},	//558 QGlobalSpace::operator!=(QBool, bool)
    {17, 715, 359, 2, Smoke::mf_static, 322, 328},	//559 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {17, 703, 785, 2, Smoke::mf_static, 20, 329},	//560 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {17, 854, 253, 1, Smoke::mf_static, 322, 330},	//561 QGlobalSpace::qIsNaN(float)
    {17, 703, 788, 2, Smoke::mf_static, 20, 331},	//562 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {17, 740, 791, 2, Smoke::mf_static, 100, 332},	//563 QGlobalSpace::operator|(QDir::SortFlag, int)
    {17, 864, 794, 3, Smoke::mf_static, 425, 333},	//564 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {17, 833, 798, 1, Smoke::mf_static, 0, 334},	//565 QGlobalSpace::qFree(void*)
    {17, 715, 754, 2, Smoke::mf_static, 322, 335},	//566 QGlobalSpace::operator==(const QStringRef&, const char*)
    {17, 727, 164, 2, Smoke::mf_static, 322, 336},	//567 QGlobalSpace::operator>=(const char*, const QString&)
    {17, 854, 127, 1, Smoke::mf_static, 322, 337},	//568 QGlobalSpace::qIsNaN(double)
    {17, 740, 800, 2, Smoke::mf_static, 62, 338},	//569 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {17, 685, 562, 2, Smoke::mf_static, 370, 339},	//570 QGlobalSpace::operator*(const QPoint&, double)
    {17, 703, 803, 2, Smoke::mf_static, 24, 340},	//571 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    {17, 703, 806, 2, Smoke::mf_static, 24, 341},	//572 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {17, 888, 44, 1, Smoke::mf_static, 212, 342},	//573 QGlobalSpace::qSetRealNumberPrecision(int)
    {17, 911, 0, 0, Smoke::mf_static, 406, 343},	//574 QGlobalSpace::qrand()
    {17, 732, 809, 2, Smoke::mf_static, 20, 344},	//575 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {17, 841, 14, 1, Smoke::mf_static, 417, 345},	//576 QGlobalSpace::qHash(const QUrl&)
    {17, 740, 812, 2, Smoke::mf_static, 63, 346},	//577 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {17, 688, 359, 2, Smoke::mf_static, 328, 347},	//578 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {17, 685, 815, 2, Smoke::mf_static, 370, 348},	//579 QGlobalSpace::operator*(float, const QPoint&)
    {17, 685, 818, 2, Smoke::mf_static, 370, 349},	//580 QGlobalSpace::operator*(double, const QPoint&)
    {17, 703, 821, 2, Smoke::mf_static, 24, 350},	//581 QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    {17, 676, 754, 2, Smoke::mf_static, 322, 351},	//582 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {17, 891, 127, 1, Smoke::mf_static, 404, 352},	//583 QGlobalSpace::qSin(double)
    {17, 703, 824, 2, Smoke::mf_static, 24, 353},	//584 QGlobalSpace::operator<<(QDebug, const QObject*)
    {17, 703, 827, 2, Smoke::mf_static, 24, 354},	//585 QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    {17, 715, 332, 2, Smoke::mf_static, 322, 355},	//586 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {17, 740, 830, 2, Smoke::mf_static, 37, 356},	//587 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {17, 938, 6, 3, Smoke::mf_static, 0, 357},	//588 QGlobalSpace::qt_assert(const char*, const char*, int)
    {17, 732, 833, 2, Smoke::mf_static, 20, 358},	//589 QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    {17, 740, 836, 2, Smoke::mf_static, 44, 359},	//590 QGlobalSpace::operator|(QSsl::SslOption, QSsl::SslOption)
    {17, 703, 839, 2, Smoke::mf_static, 24, 360},	//591 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {17, 925, 1, 1, Smoke::mf_static, 417, 361},	//592 QGlobalSpace::qstrlen(const char*)
    {17, 740, 842, 2, Smoke::mf_static, 47, 362},	//593 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {17, 740, 845, 2, Smoke::mf_static, 34, 363},	//594 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {17, 852, 127, 1, Smoke::mf_static, 322, 364},	//595 QGlobalSpace::qIsInf(double)
    {17, 693, 179, 2, Smoke::mf_static, 378, 365},	//596 QGlobalSpace::operator-(const QSize&, const QSize&)
    {17, 740, 848, 2, Smoke::mf_static, 43, 366},	//597 QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    {17, 740, 851, 2, Smoke::mf_static, 100, 367},	//598 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    {17, 696, 545, 2, Smoke::mf_static, 378, 368},	//599 QGlobalSpace::operator/(const QSize&, double)
    {17, 727, 309, 2, Smoke::mf_static, 322, 369},	//600 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {17, 740, 854, 2, Smoke::mf_static, 100, 370},	//601 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {17, 740, 857, 2, Smoke::mf_static, 100, 371},	//602 QGlobalSpace::operator|(QDir::Filter, int)
    {17, 676, 309, 2, Smoke::mf_static, 322, 372},	//603 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {17, 898, 127, 1, Smoke::mf_static, 404, 373},	//604 QGlobalSpace::qTan(double)
    {17, 881, 127, 1, Smoke::mf_static, 408, 374},	//605 QGlobalSpace::qRound64(double)
    {17, 841, 860, 1, Smoke::mf_static, 417, 375},	//606 QGlobalSpace::qHash(unsigned long)
    {17, 740, 862, 2, Smoke::mf_static, 32, 376},	//607 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {17, 883, 0, 0, Smoke::mf_static, 404, 377},	//608 QGlobalSpace::qSNaN()
    {17, 698, 258, 2, Smoke::mf_static, 322, 378},	//609 QGlobalSpace::operator<(QChar, QChar)
    {17, 740, 865, 2, Smoke::mf_static, 59, 379},	//610 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {17, 740, 868, 2, Smoke::mf_static, 52, 380},	//611 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {17, 693, 459, 2, Smoke::mf_static, 380, 381},	//612 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {17, 860, 871, 1, Smoke::mf_static, 425, 382},	//613 QGlobalSpace::qMalloc(size_t)
    {17, 856, 127, 1, Smoke::mf_static, 322, 383},	//614 QGlobalSpace::qIsNull(double)
    {17, 909, 309, 2, Smoke::mf_static, 322, 384},	//615 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {17, 740, 873, 2, Smoke::mf_static, 100, 385},	//616 QGlobalSpace::operator|(Qt::Orientation, int)
    {17, 732, 876, 2, Smoke::mf_static, 20, 386},	//617 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {17, 740, 879, 2, Smoke::mf_static, 100, 387},	//618 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {17, 732, 882, 2, Smoke::mf_static, 20, 388},	//619 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {17, 839, 253, 1, Smoke::mf_static, 322, 389},	//620 QGlobalSpace::qFuzzyIsNull(float)
    {17, 703, 885, 2, Smoke::mf_static, 20, 390},	//621 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {17, 703, 888, 2, Smoke::mf_static, 24, 391},	//622 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {17, 841, 891, 1, Smoke::mf_static, 417, 392},	//623 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {17, 740, 893, 2, Smoke::mf_static, 41, 393},	//624 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    {17, 740, 896, 2, Smoke::mf_static, 100, 394},	//625 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {17, 703, 899, 2, Smoke::mf_static, 24, 395},	//626 QGlobalSpace::operator<<(QDebug, const QTime&)
    {17, 740, 902, 2, Smoke::mf_static, 63, 396},	//627 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {17, 722, 161, 2, Smoke::mf_static, 322, 397},	//628 QGlobalSpace::operator>(const QByteArray&, const char*)
    {17, 740, 905, 2, Smoke::mf_static, 44, 398},	//629 QGlobalSpace::operator|(QSsl::SslOption, QFlags<QSsl::SslOption>)
    {17, 676, 631, 2, Smoke::mf_static, 322, 399},	//630 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {17, 740, 908, 2, Smoke::mf_static, 54, 400},	//631 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {17, 676, 164, 2, Smoke::mf_static, 322, 401},	//632 QGlobalSpace::operator!=(const char*, const QString&)
    {17, 884, 44, 1, Smoke::mf_static, 212, 402},	//633 QGlobalSpace::qSetFieldWidth(int)
    {17, 895, 769, 2, Smoke::mf_static, 322, 403},	//634 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {17, 740, 911, 2, Smoke::mf_static, 64, 404},	//635 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {17, 740, 914, 2, Smoke::mf_static, 51, 405},	//636 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {17, 740, 917, 2, Smoke::mf_static, 100, 406},	//637 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {17, 698, 192, 2, Smoke::mf_static, 322, 407},	//638 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {17, 685, 920, 2, Smoke::mf_static, 380, 408},	//639 QGlobalSpace::operator*(double, const QSizeF&)
    {17, 727, 195, 2, Smoke::mf_static, 322, 409},	//640 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {17, 703, 923, 2, Smoke::mf_static, 24, 410},	//641 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {17, 841, 371, 1, Smoke::mf_static, 417, 411},	//642 QGlobalSpace::qHash(const QByteArray&)
    {17, 715, 224, 2, Smoke::mf_static, 322, 412},	//643 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {17, 841, 926, 1, Smoke::mf_static, 417, 413},	//644 QGlobalSpace::qHash(const QModelIndex&)
    {17, 740, 928, 2, Smoke::mf_static, 100, 414},	//645 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {17, 685, 931, 2, Smoke::mf_static, 370, 415},	//646 QGlobalSpace::operator*(const QPoint&, int)
    {17, 715, 356, 2, Smoke::mf_static, 322, 416},	//647 QGlobalSpace::operator==(const QRect&, const QRect&)
    {17, 740, 934, 2, Smoke::mf_static, 58, 417},	//648 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {17, 740, 937, 2, Smoke::mf_static, 55, 418},	//649 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {17, 835, 798, 1, Smoke::mf_static, 0, 419},	//650 QGlobalSpace::qFreeAligned(void*)
    {17, 740, 940, 2, Smoke::mf_static, 60, 420},	//651 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {17, 703, 943, 2, Smoke::mf_static, 24, 421},	//652 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {17, 715, 161, 2, Smoke::mf_static, 322, 422},	//653 QGlobalSpace::operator==(const QByteArray&, const char*)
    {17, 740, 946, 2, Smoke::mf_static, 100, 423},	//654 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {17, 740, 949, 2, Smoke::mf_static, 100, 424},	//655 QGlobalSpace::operator|(Qt::MouseButton, int)
    {17, 858, 127, 1, Smoke::mf_static, 404, 425},	//656 QGlobalSpace::qLn(double)
    {17, 715, 782, 2, Smoke::mf_static, 322, 426},	//657 QGlobalSpace::operator==(QBool, bool)
    {17, 676, 161, 2, Smoke::mf_static, 322, 427},	//658 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {17, 738, 329, 2, Smoke::mf_static, 11, 428},	//659 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {17, 801, 127, 1, Smoke::mf_static, 404, 429},	//660 QGlobalSpace::qAsin(double)
    {17, 732, 952, 2, Smoke::mf_static, 20, 430},	//661 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {17, 807, 0, 0, Smoke::mf_static, 0, 431},	//662 QGlobalSpace::qBadAlloc()
    {17, 740, 955, 2, Smoke::mf_static, 100, 432},	//663 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {17, 740, 958, 2, Smoke::mf_static, 100, 433},	//664 QGlobalSpace::operator|(QString::SectionFlag, int)
    {17, 740, 961, 2, Smoke::mf_static, 100, 434},	//665 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    {17, 688, 964, 2, Smoke::mf_static, 388, 435},	//666 QGlobalSpace::operator+(char, const QString&)
    {17, 703, 967, 2, Smoke::mf_static, 20, 436},	//667 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {17, 850, 253, 1, Smoke::mf_static, 322, 437},	//668 QGlobalSpace::qIsFinite(float)
    {17, 740, 970, 2, Smoke::mf_static, 33, 438},	//669 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {17, 688, 459, 2, Smoke::mf_static, 380, 439},	//670 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {17, 740, 973, 2, Smoke::mf_static, 45, 440},	//671 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {17, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 407, 441},	//672 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {17, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 407, 442},	//673 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {17, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 407, 443},	//674 QGlobalSpace::Q_STATIC_TYPE (enum)
    {17, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 407, 444},	//675 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {17, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 407, 445},	//676 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {17, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 446},	//677 QGlobalSpace::LicensedGui (enum)
    {17, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 447},	//678 QGlobalSpace::LicensedXml (enum)
    {17, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 448},	//679 QGlobalSpace::LicensedQt3SupportLight (enum)
    {17, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 315, 449},	//680 QGlobalSpace::LicensedScript (enum)
    {17, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 312, 450},	//681 QGlobalSpace::LicensedOpenVG (enum)
    {17, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 305, 451},	//682 QGlobalSpace::LicensedDBus (enum)
    {17, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 319, 452},	//683 QGlobalSpace::LicensedTest (enum)
    {17, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 453},	//684 QGlobalSpace::LicensedActiveQt (enum)
    {17, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 316, 454},	//685 QGlobalSpace::LicensedScriptTools (enum)
    {17, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 318, 455},	//686 QGlobalSpace::LicensedSvg (enum)
    {17, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 456},	//687 QGlobalSpace::LicensedDeclarative (enum)
    {17, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 317, 457},	//688 QGlobalSpace::LicensedSql (enum)
    {17, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 311, 458},	//689 QGlobalSpace::LicensedOpenGL (enum)
    {17, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 304, 459},	//690 QGlobalSpace::LicensedCore (enum)
    {17, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 460},	//691 QGlobalSpace::QtDebugMsg (enum)
    {17, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 461},	//692 QGlobalSpace::QtWarningMsg (enum)
    {17, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 462},	//693 QGlobalSpace::QtCriticalMsg (enum)
    {17, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 463},	//694 QGlobalSpace::QtFatalMsg (enum)
    {17, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 464},	//695 QGlobalSpace::QtSystemMsg (enum)
    {17, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 308, 465},	//696 QGlobalSpace::LicensedHelp (enum)
    {17, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 309, 466},	//697 QGlobalSpace::LicensedMultimedia (enum)
    {17, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 467},	//698 QGlobalSpace::LicensedQt3Support (enum)
    {17, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 468},	//699 QGlobalSpace::LicensedXmlPatterns (enum)
    {17, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 469},	//700 QGlobalSpace::LicensedNetwork (enum)
    {19, 185, 0, 0, Smoke::mf_ctor, 76, 1},	//701 QHostAddress::QHostAddress()
    {19, 185, 151, 1, Smoke::mf_ctor, 76, 2},	//702 QHostAddress::QHostAddress(unsigned int)
    {19, 185, 976, 1, Smoke::mf_ctor, 76, 3},	//703 QHostAddress::QHostAddress(unsigned char*)
    {19, 185, 978, 1, Smoke::mf_ctor, 76, 4},	//704 QHostAddress::QHostAddress(const QIPv6Address&)
    {19, 185, 980, 1, Smoke::mf_ctor, 76, 5},	//705 QHostAddress::QHostAddress(const sockaddr*)
    {19, 185, 69, 1, Smoke::mf_ctor, 76, 6},	//706 QHostAddress::QHostAddress(const QString&)
    {19, 185, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 7},	//707 QHostAddress::QHostAddress(const QHostAddress&)
    {19, 185, 982, 1, Smoke::mf_ctor, 76, 8},	//708 QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    {19, 712, 67, 1, 0, 75, 9},	//709 QHostAddress::operator=(const QHostAddress&)
    {19, 712, 69, 1, 0, 75, 10},	//710 QHostAddress::operator=(const QString&)
    {19, 1025, 151, 1, 0, 0, 11},	//711 QHostAddress::setAddress(unsigned int)
    {19, 1025, 976, 1, 0, 0, 12},	//712 QHostAddress::setAddress(unsigned char*)
    {19, 1025, 978, 1, 0, 0, 13},	//713 QHostAddress::setAddress(const QIPv6Address&)
    {19, 1025, 980, 1, 0, 0, 14},	//714 QHostAddress::setAddress(const sockaddr*)
    {19, 1025, 69, 1, 0, 322, 15},	//715 QHostAddress::setAddress(const QString&)
    {19, 782, 0, 0, Smoke::mf_const, 4, 16},	//716 QHostAddress::protocol() const
    {19, 1277, 0, 0, Smoke::mf_const, 417, 17},	//717 QHostAddress::toIPv4Address() const
    {19, 1278, 0, 0, Smoke::mf_const, 98, 18},	//718 QHostAddress::toIPv6Address() const
    {19, 1283, 0, 0, Smoke::mf_const, 199, 19},	//719 QHostAddress::toString() const
    {19, 1014, 0, 0, Smoke::mf_const, 199, 20},	//720 QHostAddress::scopeId() const
    {19, 1195, 69, 1, 0, 0, 21},	//721 QHostAddress::setScopeId(const QString&)
    {19, 715, 67, 1, Smoke::mf_const, 322, 22},	//722 QHostAddress::operator==(const QHostAddress&) const
    {19, 715, 982, 1, Smoke::mf_const, 322, 23},	//723 QHostAddress::operator==(QHostAddress::SpecialAddress) const
    {19, 676, 67, 1, Smoke::mf_const, 322, 24},	//724 QHostAddress::operator!=(const QHostAddress&) const
    {19, 676, 982, 1, Smoke::mf_const, 322, 25},	//725 QHostAddress::operator!=(QHostAddress::SpecialAddress) const
    {19, 603, 0, 0, Smoke::mf_const, 322, 26},	//726 QHostAddress::isNull() const
    {19, 446, 0, 0, 0, 0, 27},	//727 QHostAddress::clear()
    {19, 599, 984, 2, Smoke::mf_const, 322, 28},	//728 QHostAddress::isInSubnet(const QHostAddress&, int) const
    {19, 599, 987, 1, Smoke::mf_const, 322, 29},	//729 QHostAddress::isInSubnet(const QPair<QHostAddress,int>&) const
    {19, 754, 69, 1, Smoke::mf_static, 165, 30},	//730 QHostAddress::parseSubnet(const QString&)
    {19, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 31},	//731 QHostAddress::Null (enum)
    {19, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 32},	//732 QHostAddress::Broadcast (enum)
    {19, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 33},	//733 QHostAddress::LocalHost (enum)
    {19, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 34},	//734 QHostAddress::LocalHostIPv6 (enum)
    {19, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 35},	//735 QHostAddress::Any (enum)
    {19, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 36},	//736 QHostAddress::AnyIPv6 (enum)
    {19, 1326, 0, 0, Smoke::mf_dtor, 0, 37 },	//737 QHostAddress::~QHostAddress()
    {20, 188, 44, 1, Smoke::mf_ctor, 80, 1},	//738 QHostInfo::QHostInfo(int)
    {20, 188, 989, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 80, 2},	//739 QHostInfo::QHostInfo(const QHostInfo&)
    {20, 712, 989, 1, 0, 79, 3},	//740 QHostInfo::operator=(const QHostInfo&)
    {20, 577, 0, 0, Smoke::mf_const, 199, 4},	//741 QHostInfo::hostName() const
    {20, 1092, 69, 1, 0, 0, 5},	//742 QHostInfo::setHostName(const QString&)
    {20, 409, 0, 0, Smoke::mf_const, 106, 6},	//743 QHostInfo::addresses() const
    {20, 1028, 991, 1, 0, 0, 7},	//744 QHostInfo::setAddresses(const QList<QHostAddress>&)
    {20, 524, 0, 0, Smoke::mf_const, 81, 8},	//745 QHostInfo::error() const
    {20, 1073, 993, 1, 0, 0, 9},	//746 QHostInfo::setError(QHostInfo::HostInfoError)
    {20, 526, 0, 0, Smoke::mf_const, 199, 10},	//747 QHostInfo::errorString() const
    {20, 1076, 69, 1, 0, 0, 11},	//748 QHostInfo::setErrorString(const QString&)
    {20, 1110, 44, 1, 0, 0, 12},	//749 QHostInfo::setLookupId(int)
    {20, 648, 0, 0, Smoke::mf_const, 406, 13},	//750 QHostInfo::lookupId() const
    {20, 646, 995, 3, Smoke::mf_static, 406, 14},	//751 QHostInfo::lookupHost(const QString&, QObject*, const char*)
    {20, 387, 44, 1, Smoke::mf_static, 0, 15},	//752 QHostInfo::abortHostLookup(int)
    {20, 544, 69, 1, Smoke::mf_static, 78, 16},	//753 QHostInfo::fromName(const QString&)
    {20, 641, 0, 0, Smoke::mf_static, 199, 17},	//754 QHostInfo::localHostName()
    {20, 640, 0, 0, Smoke::mf_static, 199, 18},	//755 QHostInfo::localDomainName()
    {20, 188, 0, 0, Smoke::mf_ctor, 80, 19},	//756 QHostInfo::QHostInfo()
    {20, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 20},	//757 QHostInfo::NoError (enum)
    {20, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 21},	//758 QHostInfo::HostNotFound (enum)
    {20, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 22},	//759 QHostInfo::UnknownError (enum)
    {20, 1327, 0, 0, Smoke::mf_dtor, 0, 23 },	//760 QHostInfo::~QHostInfo()
    {21, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//761 QHttp::metaObject() const
    {21, 950, 1, 1, Smoke::mf_virtual, 425, 2},	//762 QHttp::qt_metacast(const char*)
    {21, 1284, 3, 2, Smoke::mf_static, 199, 3},	//763 QHttp::tr(const char*, const char*)
    {21, 1288, 3, 2, Smoke::mf_static, 199, 4},	//764 QHttp::trUtf8(const char*, const char*)
    {21, 1284, 6, 3, Smoke::mf_static, 199, 5},	//765 QHttp::tr(const char*, const char*, int)
    {21, 1288, 6, 3, Smoke::mf_static, 199, 6},	//766 QHttp::trUtf8(const char*, const char*, int)
    {21, 948, 10, 3, Smoke::mf_virtual, 406, 7},	//767 QHttp::qt_metacall(QMetaObject::Call, int, void**)
    {21, 191, 20, 1, Smoke::mf_ctor, 82, 8},	//768 QHttp::QHttp(QObject*)
    {21, 191, 999, 3, Smoke::mf_ctor, 82, 9},	//769 QHttp::QHttp(const QString&, unsigned short, QObject*)
    {21, 191, 1003, 4, Smoke::mf_ctor, 82, 10},	//770 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short, QObject*)
    {21, 1088, 71, 2, 0, 406, 11},	//771 QHttp::setHost(const QString&, unsigned short)
    {21, 1088, 1008, 3, 0, 406, 12},	//772 QHttp::setHost(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1201, 1012, 1, 0, 406, 13},	//773 QHttp::setSocket(QTcpSocket*)
    {21, 1235, 88, 2, 0, 406, 14},	//774 QHttp::setUser(const QString&, const QString&)
    {21, 1171, 1014, 4, 0, 406, 15},	//775 QHttp::setProxy(const QString&, int, const QString&, const QString&)
    {21, 1171, 46, 1, 0, 406, 16},	//776 QHttp::setProxy(const QNetworkProxy&)
    {21, 551, 118, 2, 0, 406, 17},	//777 QHttp::get(const QString&, QIODevice*)
    {21, 773, 1019, 3, 0, 406, 18},	//778 QHttp::post(const QString&, QIODevice*, QIODevice*)
    {21, 773, 1023, 3, 0, 406, 19},	//779 QHttp::post(const QString&, const QByteArray&, QIODevice*)
    {21, 571, 69, 1, 0, 406, 20},	//780 QHttp::head(const QString&)
    {21, 1000, 1027, 3, 0, 406, 21},	//781 QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    {21, 1000, 1031, 3, 0, 406, 22},	//782 QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    {21, 450, 0, 0, 0, 406, 23},	//783 QHttp::closeConnection()
    {21, 449, 0, 0, 0, 406, 24},	//784 QHttp::close()
    {21, 433, 0, 0, Smoke::mf_const, 408, 25},	//785 QHttp::bytesAvailable() const
    {21, 973, 59, 2, 0, 408, 26},	//786 QHttp::read(char*, long long)
    {21, 975, 0, 0, 0, 14, 27},	//787 QHttp::readAll()
    {21, 485, 0, 0, Smoke::mf_const, 406, 28},	//788 QHttp::currentId() const
    {21, 487, 0, 0, Smoke::mf_const, 95, 29},	//789 QHttp::currentSourceDevice() const
    {21, 483, 0, 0, Smoke::mf_const, 95, 30},	//790 QHttp::currentDestinationDevice() const
    {21, 486, 0, 0, Smoke::mf_const, 89, 31},	//791 QHttp::currentRequest() const
    {21, 623, 0, 0, Smoke::mf_const, 92, 32},	//792 QHttp::lastResponse() const
    {21, 568, 0, 0, Smoke::mf_const, 322, 33},	//793 QHttp::hasPendingRequests() const
    {21, 448, 0, 0, 0, 0, 34},	//794 QHttp::clearPendingRequests()
    {21, 1258, 0, 0, Smoke::mf_const, 85, 35},	//795 QHttp::state() const
    {21, 524, 0, 0, Smoke::mf_const, 84, 36},	//796 QHttp::error() const
    {21, 526, 0, 0, Smoke::mf_const, 199, 37},	//797 QHttp::errorString() const
    {21, 386, 0, 0, Smoke::mf_slot, 0, 38},	//798 QHttp::abort()
    {21, 579, 0, 0, Smoke::mf_slot, 0, 39},	//799 QHttp::ignoreSslErrors()
    {21, 1259, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//800 QHttp::stateChanged(int)
    {21, 1009, 1035, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//801 QHttp::responseHeaderReceived(const QHttpResponseHeader&)
    {21, 985, 1035, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//802 QHttp::readyRead(const QHttpResponseHeader&)
    {21, 493, 1037, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//803 QHttp::dataSendProgress(int, int)
    {21, 491, 1037, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//804 QHttp::dataReadProgress(int, int)
    {21, 1006, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//805 QHttp::requestStarted(int)
    {21, 1004, 113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//806 QHttp::requestFinished(int, bool)
    {21, 511, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//807 QHttp::done(bool)
    {21, 786, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//808 QHttp::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {21, 424, 1040, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//809 QHttp::authenticationRequired(const QString&, quint16, QAuthenticator*)
    {21, 1253, 1044, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//810 QHttp::sslErrors(const QList<QSslError>&)
    {21, 1284, 1, 1, Smoke::mf_static, 199, 51},	//811 QHttp::tr(const char*)
    {21, 1288, 1, 1, Smoke::mf_static, 199, 52},	//812 QHttp::trUtf8(const char*)
    {21, 191, 0, 0, Smoke::mf_ctor, 82, 53},	//813 QHttp::QHttp()
    {21, 191, 69, 1, Smoke::mf_ctor, 82, 54},	//814 QHttp::QHttp(const QString&)
    {21, 191, 71, 2, Smoke::mf_ctor, 82, 55},	//815 QHttp::QHttp(const QString&, unsigned short)
    {21, 191, 1046, 2, Smoke::mf_ctor, 82, 56},	//816 QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    {21, 191, 1008, 3, Smoke::mf_ctor, 82, 57},	//817 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1088, 69, 1, 0, 406, 58},	//818 QHttp::setHost(const QString&)
    {21, 1088, 1046, 2, 0, 406, 59},	//819 QHttp::setHost(const QString&, QHttp::ConnectionMode)
    {21, 1235, 69, 1, 0, 406, 60},	//820 QHttp::setUser(const QString&)
    {21, 1171, 1049, 2, 0, 406, 61},	//821 QHttp::setProxy(const QString&, int)
    {21, 1171, 1052, 3, 0, 406, 62},	//822 QHttp::setProxy(const QString&, int, const QString&)
    {21, 551, 69, 1, 0, 406, 63},	//823 QHttp::get(const QString&)
    {21, 773, 118, 2, 0, 406, 64},	//824 QHttp::post(const QString&, QIODevice*)
    {21, 773, 716, 2, 0, 406, 65},	//825 QHttp::post(const QString&, const QByteArray&)
    {21, 1000, 1056, 1, 0, 406, 66},	//826 QHttp::request(const QHttpRequestHeader&)
    {21, 1000, 1058, 2, 0, 406, 67},	//827 QHttp::request(const QHttpRequestHeader&, QIODevice*)
    {21, 1000, 1061, 2, 0, 406, 68},	//828 QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    {21, 1261, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 69},	//829 QHttp::staticMetaObject() const
    {21, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 70},	//830 QHttp::ConnectionModeHttp (enum)
    {21, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 71},	//831 QHttp::ConnectionModeHttps (enum)
    {21, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 72},	//832 QHttp::Unconnected (enum)
    {21, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 73},	//833 QHttp::HostLookup (enum)
    {21, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 74},	//834 QHttp::Connecting (enum)
    {21, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 75},	//835 QHttp::Sending (enum)
    {21, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 76},	//836 QHttp::Reading (enum)
    {21, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 77},	//837 QHttp::Connected (enum)
    {21, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 78},	//838 QHttp::Closing (enum)
    {21, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 79},	//839 QHttp::NoError (enum)
    {21, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 80},	//840 QHttp::UnknownError (enum)
    {21, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 81},	//841 QHttp::HostNotFound (enum)
    {21, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 82},	//842 QHttp::ConnectionRefused (enum)
    {21, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 83},	//843 QHttp::UnexpectedClose (enum)
    {21, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 84},	//844 QHttp::InvalidResponseHeader (enum)
    {21, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 85},	//845 QHttp::WrongContentLength (enum)
    {21, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 86},	//846 QHttp::Aborted (enum)
    {21, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 87},	//847 QHttp::AuthenticationRequiredError (enum)
    {21, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 88},	//848 QHttp::ProxyAuthenticationRequiredError (enum)
    {21, 1328, 0, 0, Smoke::mf_dtor, 0, 89 },	//849 QHttp::~QHttp()
    {22, 198, 0, 0, Smoke::mf_ctor, 87, 1},	//850 QHttpHeader::QHttpHeader()
    {22, 198, 1064, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 2},	//851 QHttpHeader::QHttpHeader(const QHttpHeader&)
    {22, 198, 69, 1, Smoke::mf_ctor, 87, 3},	//852 QHttpHeader::QHttpHeader(const QString&)
    {22, 712, 1064, 1, 0, 86, 4},	//853 QHttpHeader::operator=(const QHttpHeader&)
    {22, 1240, 88, 2, 0, 0, 5},	//854 QHttpHeader::setValue(const QString&, const QString&)
    {22, 1243, 1066, 1, 0, 0, 6},	//855 QHttpHeader::setValues(const QList<QPair<QString,QString> >&)
    {22, 406, 88, 2, 0, 0, 7},	//856 QHttpHeader::addValue(const QString&, const QString&)
    {22, 1302, 0, 0, Smoke::mf_const, 112, 8},	//857 QHttpHeader::values() const
    {22, 563, 69, 1, Smoke::mf_const, 322, 9},	//858 QHttpHeader::hasKey(const QString&) const
    {22, 620, 0, 0, Smoke::mf_const, 203, 10},	//859 QHttpHeader::keys() const
    {22, 1300, 69, 1, Smoke::mf_const, 199, 11},	//860 QHttpHeader::value(const QString&) const
    {22, 414, 69, 1, Smoke::mf_const, 203, 12},	//861 QHttpHeader::allValues(const QString&) const
    {22, 996, 69, 1, 0, 0, 13},	//862 QHttpHeader::removeValue(const QString&)
    {22, 992, 69, 1, 0, 0, 14},	//863 QHttpHeader::removeAllValues(const QString&)
    {22, 561, 0, 0, Smoke::mf_const, 322, 15},	//864 QHttpHeader::hasContentLength() const
    {22, 474, 0, 0, Smoke::mf_const, 417, 16},	//865 QHttpHeader::contentLength() const
    {22, 1055, 44, 1, 0, 0, 17},	//866 QHttpHeader::setContentLength(int)
    {22, 562, 0, 0, Smoke::mf_const, 322, 18},	//867 QHttpHeader::hasContentType() const
    {22, 475, 0, 0, Smoke::mf_const, 199, 19},	//868 QHttpHeader::contentType() const
    {22, 1057, 69, 1, 0, 0, 20},	//869 QHttpHeader::setContentType(const QString&)
    {22, 1283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 21},	//870 QHttpHeader::toString() const
    {22, 611, 0, 0, Smoke::mf_const, 322, 22},	//871 QHttpHeader::isValid() const
    {22, 649, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 406, 23},	//872 QHttpHeader::majorVersion() const [pure virtual]
    {22, 658, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 406, 24},	//873 QHttpHeader::minorVersion() const [pure virtual]
    {22, 752, 1049, 2, Smoke::mf_protected|Smoke::mf_virtual, 322, 25},	//874 QHttpHeader::parseLine(const QString&, int)
    {22, 748, 69, 1, Smoke::mf_protected, 322, 26},	//875 QHttpHeader::parse(const QString&)
    {22, 1238, 116, 1, Smoke::mf_protected, 0, 27},	//876 QHttpHeader::setValid(bool)
    {22, 1329, 0, 0, Smoke::mf_dtor, 0, 28 },	//877 QHttpHeader::~QHttpHeader()
    {24, 201, 0, 0, Smoke::mf_ctor, 91, 1},	//878 QHttpRequestHeader::QHttpRequestHeader()
    {24, 201, 1068, 4, Smoke::mf_ctor, 91, 2},	//879 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int, int)
    {24, 201, 1056, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 91, 3},	//880 QHttpRequestHeader::QHttpRequestHeader(const QHttpRequestHeader&)
    {24, 201, 69, 1, Smoke::mf_ctor, 91, 4},	//881 QHttpRequestHeader::QHttpRequestHeader(const QString&)
    {24, 712, 1056, 1, 0, 90, 5},	//882 QHttpRequestHeader::operator=(const QHttpRequestHeader&)
    {24, 1188, 1068, 4, 0, 0, 6},	//883 QHttpRequestHeader::setRequest(const QString&, const QString&, int, int)
    {24, 657, 0, 0, Smoke::mf_const, 199, 7},	//884 QHttpRequestHeader::method() const
    {24, 757, 0, 0, Smoke::mf_const, 199, 8},	//885 QHttpRequestHeader::path() const
    {24, 649, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 406, 9},	//886 QHttpRequestHeader::majorVersion() const
    {24, 658, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 406, 10},	//887 QHttpRequestHeader::minorVersion() const
    {24, 1283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//888 QHttpRequestHeader::toString() const
    {24, 752, 1049, 2, Smoke::mf_protected|Smoke::mf_virtual, 322, 12},	//889 QHttpRequestHeader::parseLine(const QString&, int)
    {24, 201, 88, 2, Smoke::mf_ctor, 91, 13},	//890 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&)
    {24, 201, 1073, 3, Smoke::mf_ctor, 91, 14},	//891 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int)
    {24, 1188, 88, 2, 0, 0, 15},	//892 QHttpRequestHeader::setRequest(const QString&, const QString&)
    {24, 1188, 1073, 3, 0, 0, 16},	//893 QHttpRequestHeader::setRequest(const QString&, const QString&, int)
    {24, 1330, 0, 0, Smoke::mf_dtor, 0, 17 },	//894 QHttpRequestHeader::~QHttpRequestHeader()
    {25, 207, 0, 0, Smoke::mf_ctor, 94, 1},	//895 QHttpResponseHeader::QHttpResponseHeader()
    {25, 207, 1035, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 2},	//896 QHttpResponseHeader::QHttpResponseHeader(const QHttpResponseHeader&)
    {25, 207, 69, 1, Smoke::mf_ctor, 94, 3},	//897 QHttpResponseHeader::QHttpResponseHeader(const QString&)
    {25, 207, 1077, 4, Smoke::mf_ctor, 94, 4},	//898 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int, int)
    {25, 712, 1035, 1, 0, 93, 5},	//899 QHttpResponseHeader::operator=(const QHttpResponseHeader&)
    {25, 1220, 1077, 4, 0, 0, 6},	//900 QHttpResponseHeader::setStatusLine(int, const QString&, int, int)
    {25, 1262, 0, 0, Smoke::mf_const, 406, 7},	//901 QHttpResponseHeader::statusCode() const
    {25, 988, 0, 0, Smoke::mf_const, 199, 8},	//902 QHttpResponseHeader::reasonPhrase() const
    {25, 649, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 406, 9},	//903 QHttpResponseHeader::majorVersion() const
    {25, 658, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 406, 10},	//904 QHttpResponseHeader::minorVersion() const
    {25, 1283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//905 QHttpResponseHeader::toString() const
    {25, 752, 1049, 2, Smoke::mf_protected|Smoke::mf_virtual, 322, 12},	//906 QHttpResponseHeader::parseLine(const QString&, int)
    {25, 207, 44, 1, Smoke::mf_ctor, 94, 13},	//907 QHttpResponseHeader::QHttpResponseHeader(int)
    {25, 207, 110, 2, Smoke::mf_ctor, 94, 14},	//908 QHttpResponseHeader::QHttpResponseHeader(int, const QString&)
    {25, 207, 1082, 3, Smoke::mf_ctor, 94, 15},	//909 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int)
    {25, 1220, 44, 1, 0, 0, 16},	//910 QHttpResponseHeader::setStatusLine(int)
    {25, 1220, 110, 2, 0, 0, 17},	//911 QHttpResponseHeader::setStatusLine(int, const QString&)
    {25, 1220, 1082, 3, 0, 0, 18},	//912 QHttpResponseHeader::setStatusLine(int, const QString&, int)
    {25, 1331, 0, 0, Smoke::mf_dtor, 0, 19 },	//913 QHttpResponseHeader::~QHttpResponseHeader()
    {26, 674, 1086, 1, Smoke::mf_virtual, 322, 0},	//914 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {26, 772, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 408, 0},	//915 QIODevice::pos() const
    {26, 1247, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 408, 0},	//916 QIODevice::size() const
    {26, 1015, 33, 1, Smoke::mf_virtual, 322, 0},	//917 QIODevice::seek(long long)
    {26, 418, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 322, 0},	//918 QIODevice::atEnd() const
    {26, 1008, 0, 0, Smoke::mf_virtual, 322, 0},	//919 QIODevice::reset()
    {26, 433, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 408, 0},	//920 QIODevice::bytesAvailable() const
    {26, 434, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 408, 0},	//921 QIODevice::bytesToWrite() const
    {26, 439, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 322, 0},	//922 QIODevice::canReadLine() const
    {26, 1315, 44, 1, Smoke::mf_virtual, 322, 0},	//923 QIODevice::waitForReadyRead(int)
    {26, 1304, 44, 1, Smoke::mf_virtual, 322, 0},	//924 QIODevice::waitForBytesWritten(int)
    {26, 977, 59, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 408, 0},	//925 QIODevice::readData(char*, long long) [pure virtual]
    {26, 983, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 408, 0},	//926 QIODevice::readLineData(char*, long long)
    {26, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 14},	//927 QIODevice::NotOpen (enum)
    {26, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 15},	//928 QIODevice::ReadOnly (enum)
    {26, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 16},	//929 QIODevice::WriteOnly (enum)
    {26, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 17},	//930 QIODevice::ReadWrite (enum)
    {26, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 18},	//931 QIODevice::Append (enum)
    {26, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 19},	//932 QIODevice::Truncate (enum)
    {26, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 20},	//933 QIODevice::Text (enum)
    {26, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 21},	//934 QIODevice::Unbuffered (enum)
    {27, 736, 44, 1, 0, 415, 1},	//935 QIPv6Address::operator[](int)
    {27, 736, 44, 1, Smoke::mf_const, 414, 2},	//936 QIPv6Address::operator[](int) const
    {27, 213, 0, 0, Smoke::mf_ctor, 99, 3},	//937 QIPv6Address::QIPv6Address()
    {27, 213, 978, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 4},	//938 QIPv6Address::QIPv6Address(const QIPv6Address&)
    {27, 1332, 0, 0, Smoke::mf_dtor, 0, 5 },	//939 QIPv6Address::~QIPv6Address()
    {32, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//940 QLocalServer::metaObject() const
    {32, 950, 1, 1, Smoke::mf_virtual, 425, 2},	//941 QLocalServer::qt_metacast(const char*)
    {32, 1284, 3, 2, Smoke::mf_static, 199, 3},	//942 QLocalServer::tr(const char*, const char*)
    {32, 1288, 3, 2, Smoke::mf_static, 199, 4},	//943 QLocalServer::trUtf8(const char*, const char*)
    {32, 1284, 6, 3, Smoke::mf_static, 199, 5},	//944 QLocalServer::tr(const char*, const char*, int)
    {32, 1288, 6, 3, Smoke::mf_static, 199, 6},	//945 QLocalServer::trUtf8(const char*, const char*, int)
    {32, 948, 10, 3, Smoke::mf_virtual, 406, 7},	//946 QLocalServer::qt_metacall(QMetaObject::Call, int, void**)
    {32, 672, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//947 QLocalServer::newConnection()
    {32, 215, 20, 1, Smoke::mf_ctor, 117, 9},	//948 QLocalServer::QLocalServer(QObject*)
    {32, 449, 0, 0, 0, 0, 10},	//949 QLocalServer::close()
    {32, 526, 0, 0, Smoke::mf_const, 199, 11},	//950 QLocalServer::errorString() const
    {32, 566, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 322, 12},	//951 QLocalServer::hasPendingConnections() const
    {32, 602, 0, 0, Smoke::mf_const, 322, 13},	//952 QLocalServer::isListening() const
    {32, 634, 69, 1, 0, 322, 14},	//953 QLocalServer::listen(const QString&)
    {32, 651, 0, 0, Smoke::mf_const, 406, 15},	//954 QLocalServer::maxPendingConnections() const
    {32, 673, 0, 0, Smoke::mf_virtual, 118, 16},	//955 QLocalServer::nextPendingConnection()
    {32, 1022, 0, 0, Smoke::mf_const, 199, 17},	//956 QLocalServer::serverName() const
    {32, 550, 0, 0, Smoke::mf_const, 199, 18},	//957 QLocalServer::fullServerName() const
    {32, 994, 69, 1, Smoke::mf_static, 322, 19},	//958 QLocalServer::removeServer(const QString&)
    {32, 1021, 0, 0, Smoke::mf_const, 5, 20},	//959 QLocalServer::serverError() const
    {32, 1112, 44, 1, 0, 0, 21},	//960 QLocalServer::setMaxPendingConnections(int)
    {32, 1312, 1088, 2, 0, 322, 22},	//961 QLocalServer::waitForNewConnection(int, bool*)
    {32, 581, 1091, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//962 QLocalServer::incomingConnection(QIntegerForSizeof< void* >::Unsigned)
    {32, 1284, 1, 1, Smoke::mf_static, 199, 24},	//963 QLocalServer::tr(const char*)
    {32, 1288, 1, 1, Smoke::mf_static, 199, 25},	//964 QLocalServer::trUtf8(const char*)
    {32, 215, 0, 0, Smoke::mf_ctor, 117, 26},	//965 QLocalServer::QLocalServer()
    {32, 1312, 0, 0, 0, 322, 27},	//966 QLocalServer::waitForNewConnection()
    {32, 1312, 44, 1, 0, 322, 28},	//967 QLocalServer::waitForNewConnection(int)
    {32, 1261, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 29},	//968 QLocalServer::staticMetaObject() const
    {32, 1333, 0, 0, Smoke::mf_dtor, 0, 30 },	//969 QLocalServer::~QLocalServer()
    {33, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//970 QLocalSocket::metaObject() const
    {33, 950, 1, 1, Smoke::mf_virtual, 425, 2},	//971 QLocalSocket::qt_metacast(const char*)
    {33, 1284, 3, 2, Smoke::mf_static, 199, 3},	//972 QLocalSocket::tr(const char*, const char*)
    {33, 1288, 3, 2, Smoke::mf_static, 199, 4},	//973 QLocalSocket::trUtf8(const char*, const char*)
    {33, 1284, 6, 3, Smoke::mf_static, 199, 5},	//974 QLocalSocket::tr(const char*, const char*, int)
    {33, 1288, 6, 3, Smoke::mf_static, 199, 6},	//975 QLocalSocket::trUtf8(const char*, const char*, int)
    {33, 948, 10, 3, Smoke::mf_virtual, 406, 7},	//976 QLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {33, 217, 20, 1, Smoke::mf_ctor, 118, 8},	//977 QLocalSocket::QLocalSocket(QObject*)
    {33, 470, 1093, 2, 0, 0, 9},	//978 QLocalSocket::connectToServer(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {33, 507, 0, 0, 0, 0, 10},	//979 QLocalSocket::disconnectFromServer()
    {33, 1022, 0, 0, Smoke::mf_const, 199, 11},	//980 QLocalSocket::serverName() const
    {33, 550, 0, 0, Smoke::mf_const, 199, 12},	//981 QLocalSocket::fullServerName() const
    {33, 386, 0, 0, 0, 0, 13},	//982 QLocalSocket::abort()
    {33, 607, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 322, 14},	//983 QLocalSocket::isSequential() const
    {33, 433, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 408, 15},	//984 QLocalSocket::bytesAvailable() const
    {33, 434, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 408, 16},	//985 QLocalSocket::bytesToWrite() const
    {33, 439, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 322, 17},	//986 QLocalSocket::canReadLine() const
    {33, 449, 0, 0, Smoke::mf_virtual, 0, 18},	//987 QLocalSocket::close()
    {33, 524, 0, 0, Smoke::mf_const, 119, 19},	//988 QLocalSocket::error() const
    {33, 537, 0, 0, 0, 322, 20},	//989 QLocalSocket::flush()
    {33, 611, 0, 0, Smoke::mf_const, 322, 21},	//990 QLocalSocket::isValid() const
    {33, 976, 0, 0, Smoke::mf_const, 408, 22},	//991 QLocalSocket::readBufferSize() const
    {33, 1184, 33, 1, 0, 0, 23},	//992 QLocalSocket::setReadBufferSize(long long)
    {33, 1203, 1096, 3, 0, 322, 24},	//993 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>)
    {33, 1248, 0, 0, Smoke::mf_const, 101, 25},	//994 QLocalSocket::socketDescriptor() const
    {33, 1258, 0, 0, Smoke::mf_const, 120, 26},	//995 QLocalSocket::state() const
    {33, 1304, 44, 1, Smoke::mf_virtual, 322, 27},	//996 QLocalSocket::waitForBytesWritten(int)
    {33, 1306, 44, 1, 0, 322, 28},	//997 QLocalSocket::waitForConnected(int)
    {33, 1308, 44, 1, 0, 322, 29},	//998 QLocalSocket::waitForDisconnected(int)
    {33, 1315, 44, 1, Smoke::mf_virtual, 322, 30},	//999 QLocalSocket::waitForReadyRead(int)
    {33, 473, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1000 QLocalSocket::connected()
    {33, 509, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1001 QLocalSocket::disconnected()
    {33, 524, 1100, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1002 QLocalSocket::error(QLocalSocket::LocalSocketError)
    {33, 1259, 1102, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1003 QLocalSocket::stateChanged(QLocalSocket::LocalSocketState)
    {33, 977, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 408, 35},	//1004 QLocalSocket::readData(char*, long long)
    {33, 1317, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 408, 36},	//1005 QLocalSocket::writeData(const char*, long long)
    {33, 1284, 1, 1, Smoke::mf_static, 199, 37},	//1006 QLocalSocket::tr(const char*)
    {33, 1288, 1, 1, Smoke::mf_static, 199, 38},	//1007 QLocalSocket::trUtf8(const char*)
    {33, 217, 0, 0, Smoke::mf_ctor, 118, 39},	//1008 QLocalSocket::QLocalSocket()
    {33, 470, 69, 1, 0, 0, 40},	//1009 QLocalSocket::connectToServer(const QString&)
    {33, 1203, 1091, 1, 0, 322, 41},	//1010 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned)
    {33, 1203, 1104, 2, 0, 322, 42},	//1011 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState)
    {33, 1304, 0, 0, 0, 322, 43},	//1012 QLocalSocket::waitForBytesWritten()
    {33, 1306, 0, 0, 0, 322, 44},	//1013 QLocalSocket::waitForConnected()
    {33, 1308, 0, 0, 0, 322, 45},	//1014 QLocalSocket::waitForDisconnected()
    {33, 1315, 0, 0, 0, 322, 46},	//1015 QLocalSocket::waitForReadyRead()
    {33, 1261, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 47},	//1016 QLocalSocket::staticMetaObject() const
    {33, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 48},	//1017 QLocalSocket::ConnectionRefusedError (enum)
    {33, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 49},	//1018 QLocalSocket::PeerClosedError (enum)
    {33, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 50},	//1019 QLocalSocket::ServerNotFoundError (enum)
    {33, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 51},	//1020 QLocalSocket::SocketAccessError (enum)
    {33, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 52},	//1021 QLocalSocket::SocketResourceError (enum)
    {33, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 53},	//1022 QLocalSocket::SocketTimeoutError (enum)
    {33, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 54},	//1023 QLocalSocket::DatagramTooLargeError (enum)
    {33, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 55},	//1024 QLocalSocket::ConnectionError (enum)
    {33, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 56},	//1025 QLocalSocket::UnsupportedSocketOperationError (enum)
    {33, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 57},	//1026 QLocalSocket::UnknownSocketError (enum)
    {33, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 58},	//1027 QLocalSocket::UnconnectedState (enum)
    {33, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 59},	//1028 QLocalSocket::ConnectingState (enum)
    {33, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 60},	//1029 QLocalSocket::ConnectedState (enum)
    {33, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 61},	//1030 QLocalSocket::ClosingState (enum)
    {33, 1334, 0, 0, Smoke::mf_dtor, 0, 62 },	//1031 QLocalSocket::~QLocalSocket()
    {38, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1032 QNetworkAccessManager::metaObject() const
    {38, 950, 1, 1, Smoke::mf_virtual, 425, 2},	//1033 QNetworkAccessManager::qt_metacast(const char*)
    {38, 1284, 3, 2, Smoke::mf_static, 199, 3},	//1034 QNetworkAccessManager::tr(const char*, const char*)
    {38, 1288, 3, 2, Smoke::mf_static, 199, 4},	//1035 QNetworkAccessManager::trUtf8(const char*, const char*)
    {38, 1284, 6, 3, Smoke::mf_static, 199, 5},	//1036 QNetworkAccessManager::tr(const char*, const char*, int)
    {38, 1288, 6, 3, Smoke::mf_static, 199, 6},	//1037 QNetworkAccessManager::trUtf8(const char*, const char*, int)
    {38, 948, 10, 3, Smoke::mf_virtual, 406, 7},	//1038 QNetworkAccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {38, 219, 20, 1, Smoke::mf_ctor, 125, 8},	//1039 QNetworkAccessManager::QNetworkAccessManager(QObject*)
    {38, 785, 0, 0, Smoke::mf_const, 144, 9},	//1040 QNetworkAccessManager::proxy() const
    {38, 1171, 46, 1, 0, 0, 10},	//1041 QNetworkAccessManager::setProxy(const QNetworkProxy&)
    {38, 788, 0, 0, Smoke::mf_const, 149, 11},	//1042 QNetworkAccessManager::proxyFactory() const
    {38, 1176, 1107, 1, 0, 0, 12},	//1043 QNetworkAccessManager::setProxyFactory(QNetworkProxyFactory*)
    {38, 436, 0, 0, Smoke::mf_const, 2, 13},	//1044 QNetworkAccessManager::cache() const
    {38, 1044, 1109, 1, 0, 0, 14},	//1045 QNetworkAccessManager::setCache(QAbstractNetworkCache*)
    {38, 476, 0, 0, Smoke::mf_const, 138, 15},	//1046 QNetworkAccessManager::cookieJar() const
    {38, 1059, 1111, 1, 0, 0, 16},	//1047 QNetworkAccessManager::setCookieJar(QNetworkCookieJar*)
    {38, 571, 1113, 1, 0, 153, 17},	//1048 QNetworkAccessManager::head(const QNetworkRequest&)
    {38, 551, 1113, 1, 0, 153, 18},	//1049 QNetworkAccessManager::get(const QNetworkRequest&)
    {38, 773, 1115, 2, 0, 153, 19},	//1050 QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    {38, 773, 1118, 2, 0, 153, 20},	//1051 QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    {38, 773, 1121, 2, 0, 153, 21},	//1052 QNetworkAccessManager::post(const QNetworkRequest&, QHttpMultiPart*)
    {38, 792, 1115, 2, 0, 153, 22},	//1053 QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    {38, 792, 1118, 2, 0, 153, 23},	//1054 QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    {38, 792, 1121, 2, 0, 153, 24},	//1055 QNetworkAccessManager::put(const QNetworkRequest&, QHttpMultiPart*)
    {38, 500, 1113, 1, 0, 153, 25},	//1056 QNetworkAccessManager::deleteResource(const QNetworkRequest&)
    {38, 1016, 1124, 3, 0, 153, 26},	//1057 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&, QIODevice*)
    {38, 1053, 1128, 1, 0, 0, 27},	//1058 QNetworkAccessManager::setConfiguration(const QNetworkConfiguration&)
    {38, 455, 0, 0, Smoke::mf_const, 133, 28},	//1059 QNetworkAccessManager::configuration() const
    {38, 389, 0, 0, Smoke::mf_const, 133, 29},	//1060 QNetworkAccessManager::activeConfiguration() const
    {38, 1123, 1130, 1, Smoke::mf_property, 0, 30},	//1061 QNetworkAccessManager::setNetworkAccessible(QNetworkAccessManager::NetworkAccessibility)
    {38, 667, 0, 0, Smoke::mf_const|Smoke::mf_property, 126, 31},	//1062 QNetworkAccessManager::networkAccessible() const
    {38, 786, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1063 QNetworkAccessManager::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {38, 424, 1132, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1064 QNetworkAccessManager::authenticationRequired(QNetworkReply*, QAuthenticator*)
    {38, 534, 1135, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1065 QNetworkAccessManager::finished(QNetworkReply*)
    {38, 1253, 1137, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1066 QNetworkAccessManager::sslErrors(QNetworkReply*, const QList<QSslError>&)
    {38, 671, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1067 QNetworkAccessManager::networkSessionConnected()
    {38, 668, 1130, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1068 QNetworkAccessManager::networkAccessibleChanged(QNetworkAccessManager::NetworkAccessibility)
    {38, 479, 1140, 3, Smoke::mf_protected|Smoke::mf_virtual, 153, 38},	//1069 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*)
    {38, 1284, 1, 1, Smoke::mf_static, 199, 39},	//1070 QNetworkAccessManager::tr(const char*)
    {38, 1288, 1, 1, Smoke::mf_static, 199, 40},	//1071 QNetworkAccessManager::trUtf8(const char*)
    {38, 219, 0, 0, Smoke::mf_ctor, 125, 41},	//1072 QNetworkAccessManager::QNetworkAccessManager()
    {38, 1016, 1118, 2, 0, 153, 42},	//1073 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&)
    {38, 479, 1144, 2, Smoke::mf_protected, 153, 43},	//1074 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&)
    {38, 1261, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 44},	//1075 QNetworkAccessManager::staticMetaObject() const
    {38, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 45},	//1076 QNetworkAccessManager::HeadOperation (enum)
    {38, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 46},	//1077 QNetworkAccessManager::GetOperation (enum)
    {38, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 47},	//1078 QNetworkAccessManager::PutOperation (enum)
    {38, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 48},	//1079 QNetworkAccessManager::PostOperation (enum)
    {38, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 49},	//1080 QNetworkAccessManager::DeleteOperation (enum)
    {38, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 50},	//1081 QNetworkAccessManager::CustomOperation (enum)
    {38, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 51},	//1082 QNetworkAccessManager::UnknownOperation (enum)
    {38, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 52},	//1083 QNetworkAccessManager::UnknownAccessibility (enum)
    {38, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 53},	//1084 QNetworkAccessManager::NotAccessible (enum)
    {38, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 54},	//1085 QNetworkAccessManager::Accessible (enum)
    {38, 1335, 0, 0, Smoke::mf_dtor, 0, 55 },	//1086 QNetworkAccessManager::~QNetworkAccessManager()
    {39, 221, 0, 0, Smoke::mf_ctor, 129, 1},	//1087 QNetworkAddressEntry::QNetworkAddressEntry()
    {39, 221, 1147, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 2},	//1088 QNetworkAddressEntry::QNetworkAddressEntry(const QNetworkAddressEntry&)
    {39, 712, 1147, 1, 0, 128, 3},	//1089 QNetworkAddressEntry::operator=(const QNetworkAddressEntry&)
    {39, 715, 1147, 1, Smoke::mf_const, 322, 4},	//1090 QNetworkAddressEntry::operator==(const QNetworkAddressEntry&) const
    {39, 676, 1147, 1, Smoke::mf_const, 322, 5},	//1091 QNetworkAddressEntry::operator!=(const QNetworkAddressEntry&) const
    {39, 591, 0, 0, Smoke::mf_const, 74, 6},	//1092 QNetworkAddressEntry::ip() const
    {39, 1096, 67, 1, 0, 0, 7},	//1093 QNetworkAddressEntry::setIp(const QHostAddress&)
    {39, 666, 0, 0, Smoke::mf_const, 74, 8},	//1094 QNetworkAddressEntry::netmask() const
    {39, 1121, 67, 1, 0, 0, 9},	//1095 QNetworkAddressEntry::setNetmask(const QHostAddress&)
    {39, 777, 0, 0, Smoke::mf_const, 406, 10},	//1096 QNetworkAddressEntry::prefixLength() const
    {39, 1157, 44, 1, 0, 0, 11},	//1097 QNetworkAddressEntry::setPrefixLength(int)
    {39, 432, 0, 0, Smoke::mf_const, 74, 12},	//1098 QNetworkAddressEntry::broadcast() const
    {39, 1040, 67, 1, 0, 0, 13},	//1099 QNetworkAddressEntry::setBroadcast(const QHostAddress&)
    {39, 1336, 0, 0, Smoke::mf_dtor, 0, 14 },	//1100 QNetworkAddressEntry::~QNetworkAddressEntry()
    {40, 223, 0, 0, Smoke::mf_ctor, 132, 1},	//1101 QNetworkCacheMetaData::QNetworkCacheMetaData()
    {40, 223, 16, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 132, 2},	//1102 QNetworkCacheMetaData::QNetworkCacheMetaData(const QNetworkCacheMetaData&)
    {40, 712, 16, 1, 0, 131, 3},	//1103 QNetworkCacheMetaData::operator=(const QNetworkCacheMetaData&)
    {40, 715, 16, 1, Smoke::mf_const, 322, 4},	//1104 QNetworkCacheMetaData::operator==(const QNetworkCacheMetaData&) const
    {40, 676, 16, 1, Smoke::mf_const, 322, 5},	//1105 QNetworkCacheMetaData::operator!=(const QNetworkCacheMetaData&) const
    {40, 611, 0, 0, Smoke::mf_const, 322, 6},	//1106 QNetworkCacheMetaData::isValid() const
    {40, 1297, 0, 0, Smoke::mf_const, 217, 7},	//1107 QNetworkCacheMetaData::url() const
    {40, 1231, 14, 1, 0, 0, 8},	//1108 QNetworkCacheMetaData::setUrl(const QUrl&)
    {40, 972, 0, 0, Smoke::mf_const, 111, 9},	//1109 QNetworkCacheMetaData::rawHeaders() const
    {40, 1182, 1149, 1, 0, 0, 10},	//1110 QNetworkCacheMetaData::setRawHeaders(const QList<QPair<QByteArray,QByteArray> >&)
    {40, 621, 0, 0, Smoke::mf_const, 22, 11},	//1111 QNetworkCacheMetaData::lastModified() const
    {40, 1098, 1151, 1, 0, 0, 12},	//1112 QNetworkCacheMetaData::setLastModified(const QDateTime&)
    {40, 529, 0, 0, Smoke::mf_const, 22, 13},	//1113 QNetworkCacheMetaData::expirationDate() const
    {40, 1078, 1151, 1, 0, 0, 14},	//1114 QNetworkCacheMetaData::setExpirationDate(const QDateTime&)
    {40, 1013, 0, 0, Smoke::mf_const, 322, 15},	//1115 QNetworkCacheMetaData::saveToDisk() const
    {40, 1193, 116, 1, 0, 0, 16},	//1116 QNetworkCacheMetaData::setSaveToDisk(bool)
    {40, 422, 0, 0, Smoke::mf_const, 72, 17},	//1117 QNetworkCacheMetaData::attributes() const
    {40, 1038, 1153, 1, 0, 0, 18},	//1118 QNetworkCacheMetaData::setAttributes(const QHash<QNetworkRequest::Attribute,QVariant>&)
    {40, 1337, 0, 0, Smoke::mf_dtor, 0, 19 },	//1119 QNetworkCacheMetaData::~QNetworkCacheMetaData()
    {42, 225, 359, 2, Smoke::mf_ctor, 136, 1},	//1120 QNetworkCookie::QNetworkCookie(const QByteArray&, const QByteArray&)
    {42, 225, 1155, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 136, 2},	//1121 QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    {42, 712, 1155, 1, 0, 135, 3},	//1122 QNetworkCookie::operator=(const QNetworkCookie&)
    {42, 715, 1155, 1, Smoke::mf_const, 322, 4},	//1123 QNetworkCookie::operator==(const QNetworkCookie&) const
    {42, 676, 1155, 1, Smoke::mf_const, 322, 5},	//1124 QNetworkCookie::operator!=(const QNetworkCookie&) const
    {42, 606, 0, 0, Smoke::mf_const, 322, 6},	//1125 QNetworkCookie::isSecure() const
    {42, 1197, 116, 1, 0, 0, 7},	//1126 QNetworkCookie::setSecure(bool)
    {42, 598, 0, 0, Smoke::mf_const, 322, 8},	//1127 QNetworkCookie::isHttpOnly() const
    {42, 1094, 116, 1, 0, 0, 9},	//1128 QNetworkCookie::setHttpOnly(bool)
    {42, 608, 0, 0, Smoke::mf_const, 322, 10},	//1129 QNetworkCookie::isSessionCookie() const
    {42, 529, 0, 0, Smoke::mf_const, 22, 11},	//1130 QNetworkCookie::expirationDate() const
    {42, 1078, 1151, 1, 0, 0, 12},	//1131 QNetworkCookie::setExpirationDate(const QDateTime&)
    {42, 510, 0, 0, Smoke::mf_const, 199, 13},	//1132 QNetworkCookie::domain() const
    {42, 1071, 69, 1, 0, 0, 14},	//1133 QNetworkCookie::setDomain(const QString&)
    {42, 757, 0, 0, Smoke::mf_const, 199, 15},	//1134 QNetworkCookie::path() const
    {42, 1137, 69, 1, 0, 0, 16},	//1135 QNetworkCookie::setPath(const QString&)
    {42, 665, 0, 0, Smoke::mf_const, 14, 17},	//1136 QNetworkCookie::name() const
    {42, 1118, 371, 1, 0, 0, 18},	//1137 QNetworkCookie::setName(const QByteArray&)
    {42, 1300, 0, 0, Smoke::mf_const, 14, 19},	//1138 QNetworkCookie::value() const
    {42, 1240, 371, 1, 0, 0, 20},	//1139 QNetworkCookie::setValue(const QByteArray&)
    {42, 1281, 1157, 1, Smoke::mf_const, 14, 21},	//1140 QNetworkCookie::toRawForm(QNetworkCookie::RawForm) const
    {42, 750, 371, 1, Smoke::mf_static, 108, 22},	//1141 QNetworkCookie::parseCookies(const QByteArray&)
    {42, 225, 0, 0, Smoke::mf_ctor, 136, 23},	//1142 QNetworkCookie::QNetworkCookie()
    {42, 225, 371, 1, Smoke::mf_ctor, 136, 24},	//1143 QNetworkCookie::QNetworkCookie(const QByteArray&)
    {42, 1281, 0, 0, Smoke::mf_const, 14, 25},	//1144 QNetworkCookie::toRawForm() const
    {42, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 26},	//1145 QNetworkCookie::NameAndValueOnly (enum)
    {42, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 27},	//1146 QNetworkCookie::Full (enum)
    {42, 1338, 0, 0, Smoke::mf_dtor, 0, 28 },	//1147 QNetworkCookie::~QNetworkCookie()
    {43, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1148 QNetworkCookieJar::metaObject() const
    {43, 950, 1, 1, Smoke::mf_virtual, 425, 2},	//1149 QNetworkCookieJar::qt_metacast(const char*)
    {43, 1284, 3, 2, Smoke::mf_static, 199, 3},	//1150 QNetworkCookieJar::tr(const char*, const char*)
    {43, 1288, 3, 2, Smoke::mf_static, 199, 4},	//1151 QNetworkCookieJar::trUtf8(const char*, const char*)
    {43, 1284, 6, 3, Smoke::mf_static, 199, 5},	//1152 QNetworkCookieJar::tr(const char*, const char*, int)
    {43, 1288, 6, 3, Smoke::mf_static, 199, 6},	//1153 QNetworkCookieJar::trUtf8(const char*, const char*, int)
    {43, 948, 10, 3, Smoke::mf_virtual, 406, 7},	//1154 QNetworkCookieJar::qt_metacall(QMetaObject::Call, int, void**)
    {43, 228, 20, 1, Smoke::mf_ctor, 138, 8},	//1155 QNetworkCookieJar::QNetworkCookieJar(QObject*)
    {43, 477, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 108, 9},	//1156 QNetworkCookieJar::cookiesForUrl(const QUrl&) const
    {43, 1061, 1159, 2, Smoke::mf_virtual, 322, 10},	//1157 QNetworkCookieJar::setCookiesFromUrl(const QList<QNetworkCookie>&, const QUrl&)
    {43, 412, 0, 0, Smoke::mf_const|Smoke::mf_protected, 108, 11},	//1158 QNetworkCookieJar::allCookies() const
    {43, 1030, 1162, 1, Smoke::mf_protected, 0, 12},	//1159 QNetworkCookieJar::setAllCookies(const QList<QNetworkCookie>&)
    {43, 1284, 1, 1, Smoke::mf_static, 199, 13},	//1160 QNetworkCookieJar::tr(const char*)
    {43, 1288, 1, 1, Smoke::mf_static, 199, 14},	//1161 QNetworkCookieJar::trUtf8(const char*)
    {43, 228, 0, 0, Smoke::mf_ctor, 138, 15},	//1162 QNetworkCookieJar::QNetworkCookieJar()
    {43, 1261, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 16},	//1163 QNetworkCookieJar::staticMetaObject() const
    {43, 1339, 0, 0, Smoke::mf_dtor, 0, 17 },	//1164 QNetworkCookieJar::~QNetworkCookieJar()
    {44, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1165 QNetworkDiskCache::metaObject() const
    {44, 950, 1, 1, Smoke::mf_virtual, 425, 2},	//1166 QNetworkDiskCache::qt_metacast(const char*)
    {44, 1284, 3, 2, Smoke::mf_static, 199, 3},	//1167 QNetworkDiskCache::tr(const char*, const char*)
    {44, 1288, 3, 2, Smoke::mf_static, 199, 4},	//1168 QNetworkDiskCache::trUtf8(const char*, const char*)
    {44, 1284, 6, 3, Smoke::mf_static, 199, 5},	//1169 QNetworkDiskCache::tr(const char*, const char*, int)
    {44, 1288, 6, 3, Smoke::mf_static, 199, 6},	//1170 QNetworkDiskCache::trUtf8(const char*, const char*, int)
    {44, 948, 10, 3, Smoke::mf_virtual, 406, 7},	//1171 QNetworkDiskCache::qt_metacall(QMetaObject::Call, int, void**)
    {44, 230, 20, 1, Smoke::mf_ctor, 139, 8},	//1172 QNetworkDiskCache::QNetworkDiskCache(QObject*)
    {44, 437, 0, 0, Smoke::mf_const, 199, 9},	//1173 QNetworkDiskCache::cacheDirectory() const
    {44, 1046, 69, 1, 0, 0, 10},	//1174 QNetworkDiskCache::setCacheDirectory(const QString&)
    {44, 652, 0, 0, Smoke::mf_const, 408, 11},	//1175 QNetworkDiskCache::maximumCacheSize() const
    {44, 1114, 33, 1, 0, 0, 12},	//1176 QNetworkDiskCache::setMaximumCacheSize(long long)
    {44, 438, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 408, 13},	//1177 QNetworkDiskCache::cacheSize() const
    {44, 653, 14, 1, Smoke::mf_virtual, 130, 14},	//1178 QNetworkDiskCache::metaData(const QUrl&)
    {44, 1293, 16, 1, Smoke::mf_virtual, 0, 15},	//1179 QNetworkDiskCache::updateMetaData(const QNetworkCacheMetaData&)
    {44, 489, 14, 1, Smoke::mf_virtual, 95, 16},	//1180 QNetworkDiskCache::data(const QUrl&)
    {44, 989, 14, 1, Smoke::mf_virtual, 322, 17},	//1181 QNetworkDiskCache::remove(const QUrl&)
    {44, 778, 16, 1, Smoke::mf_virtual, 95, 18},	//1182 QNetworkDiskCache::prepare(const QNetworkCacheMetaData&)
    {44, 585, 18, 1, Smoke::mf_virtual, 0, 19},	//1183 QNetworkDiskCache::insert(QIODevice*)
    {44, 532, 69, 1, Smoke::mf_const, 130, 20},	//1184 QNetworkDiskCache::fileMetaData(const QString&) const
    {44, 446, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1185 QNetworkDiskCache::clear()
    {44, 530, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 408, 22},	//1186 QNetworkDiskCache::expire()
    {44, 1284, 1, 1, Smoke::mf_static, 199, 23},	//1187 QNetworkDiskCache::tr(const char*)
    {44, 1288, 1, 1, Smoke::mf_static, 199, 24},	//1188 QNetworkDiskCache::trUtf8(const char*)
    {44, 230, 0, 0, Smoke::mf_ctor, 139, 25},	//1189 QNetworkDiskCache::QNetworkDiskCache()
    {44, 1261, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 26},	//1190 QNetworkDiskCache::staticMetaObject() const
    {44, 1340, 0, 0, Smoke::mf_dtor, 0, 27 },	//1191 QNetworkDiskCache::~QNetworkDiskCache()
    {45, 232, 0, 0, Smoke::mf_ctor, 142, 1},	//1192 QNetworkInterface::QNetworkInterface()
    {45, 232, 1164, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 142, 2},	//1193 QNetworkInterface::QNetworkInterface(const QNetworkInterface&)
    {45, 712, 1164, 1, 0, 141, 3},	//1194 QNetworkInterface::operator=(const QNetworkInterface&)
    {45, 611, 0, 0, Smoke::mf_const, 322, 4},	//1195 QNetworkInterface::isValid() const
    {45, 584, 0, 0, Smoke::mf_const, 406, 5},	//1196 QNetworkInterface::index() const
    {45, 665, 0, 0, Smoke::mf_const, 199, 6},	//1197 QNetworkInterface::name() const
    {45, 578, 0, 0, Smoke::mf_const, 199, 7},	//1198 QNetworkInterface::humanReadableName() const
    {45, 536, 0, 0, Smoke::mf_const, 42, 8},	//1199 QNetworkInterface::flags() const
    {45, 560, 0, 0, Smoke::mf_const, 199, 9},	//1200 QNetworkInterface::hardwareAddress() const
    {45, 408, 0, 0, Smoke::mf_const, 107, 10},	//1201 QNetworkInterface::addressEntries() const
    {45, 589, 69, 1, Smoke::mf_static, 140, 11},	//1202 QNetworkInterface::interfaceFromName(const QString&)
    {45, 587, 44, 1, Smoke::mf_static, 140, 12},	//1203 QNetworkInterface::interfaceFromIndex(int)
    {45, 413, 0, 0, Smoke::mf_static, 109, 13},	//1204 QNetworkInterface::allInterfaces()
    {45, 411, 0, 0, Smoke::mf_static, 106, 14},	//1205 QNetworkInterface::allAddresses()
    {45, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 15},	//1206 QNetworkInterface::IsUp (enum)
    {45, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 16},	//1207 QNetworkInterface::IsRunning (enum)
    {45, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 17},	//1208 QNetworkInterface::CanBroadcast (enum)
    {45, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 18},	//1209 QNetworkInterface::IsLoopBack (enum)
    {45, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 19},	//1210 QNetworkInterface::IsPointToPoint (enum)
    {45, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 20},	//1211 QNetworkInterface::CanMulticast (enum)
    {45, 1341, 0, 0, Smoke::mf_dtor, 0, 21 },	//1212 QNetworkInterface::~QNetworkInterface()
    {46, 234, 0, 0, Smoke::mf_ctor, 146, 1},	//1213 QNetworkProxy::QNetworkProxy()
    {46, 234, 1166, 5, Smoke::mf_ctor, 146, 2},	//1214 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&)
    {46, 234, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 3},	//1215 QNetworkProxy::QNetworkProxy(const QNetworkProxy&)
    {46, 712, 46, 1, 0, 145, 4},	//1216 QNetworkProxy::operator=(const QNetworkProxy&)
    {46, 715, 46, 1, Smoke::mf_const, 322, 5},	//1217 QNetworkProxy::operator==(const QNetworkProxy&) const
    {46, 676, 46, 1, Smoke::mf_const, 322, 6},	//1218 QNetworkProxy::operator!=(const QNetworkProxy&) const
    {46, 1229, 1172, 1, 0, 0, 7},	//1219 QNetworkProxy::setType(QNetworkProxy::ProxyType)
    {46, 1292, 0, 0, Smoke::mf_const, 148, 8},	//1220 QNetworkProxy::type() const
    {46, 1048, 1174, 1, 0, 0, 9},	//1221 QNetworkProxy::setCapabilities(QFlags<QNetworkProxy::Capability>)
    {46, 440, 0, 0, Smoke::mf_const, 43, 10},	//1222 QNetworkProxy::capabilities() const
    {46, 592, 0, 0, Smoke::mf_const, 322, 11},	//1223 QNetworkProxy::isCachingProxy() const
    {46, 610, 0, 0, Smoke::mf_const, 322, 12},	//1224 QNetworkProxy::isTransparentProxy() const
    {46, 1235, 69, 1, 0, 0, 13},	//1225 QNetworkProxy::setUser(const QString&)
    {46, 1299, 0, 0, Smoke::mf_const, 199, 14},	//1226 QNetworkProxy::user() const
    {46, 1135, 69, 1, 0, 0, 15},	//1227 QNetworkProxy::setPassword(const QString&)
    {46, 756, 0, 0, Smoke::mf_const, 199, 16},	//1228 QNetworkProxy::password() const
    {46, 1092, 69, 1, 0, 0, 17},	//1229 QNetworkProxy::setHostName(const QString&)
    {46, 577, 0, 0, Smoke::mf_const, 199, 18},	//1230 QNetworkProxy::hostName() const
    {46, 1155, 65, 1, 0, 0, 19},	//1231 QNetworkProxy::setPort(unsigned short)
    {46, 771, 0, 0, Smoke::mf_const, 420, 20},	//1232 QNetworkProxy::port() const
    {46, 1032, 46, 1, Smoke::mf_static, 0, 21},	//1233 QNetworkProxy::setApplicationProxy(const QNetworkProxy&)
    {46, 417, 0, 0, Smoke::mf_static, 144, 22},	//1234 QNetworkProxy::applicationProxy()
    {46, 234, 1172, 1, Smoke::mf_ctor, 146, 23},	//1235 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType)
    {46, 234, 1176, 2, Smoke::mf_ctor, 146, 24},	//1236 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&)
    {46, 234, 1179, 3, Smoke::mf_ctor, 146, 25},	//1237 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short)
    {46, 234, 1183, 4, Smoke::mf_ctor, 146, 26},	//1238 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&)
    {46, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 27},	//1239 QNetworkProxy::DefaultProxy (enum)
    {46, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 28},	//1240 QNetworkProxy::Socks5Proxy (enum)
    {46, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 29},	//1241 QNetworkProxy::NoProxy (enum)
    {46, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 30},	//1242 QNetworkProxy::HttpProxy (enum)
    {46, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 31},	//1243 QNetworkProxy::HttpCachingProxy (enum)
    {46, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 32},	//1244 QNetworkProxy::FtpCachingProxy (enum)
    {46, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 33},	//1245 QNetworkProxy::TunnelingCapability (enum)
    {46, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 34},	//1246 QNetworkProxy::ListeningCapability (enum)
    {46, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 35},	//1247 QNetworkProxy::UdpTunnelingCapability (enum)
    {46, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 36},	//1248 QNetworkProxy::CachingCapability (enum)
    {46, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 37},	//1249 QNetworkProxy::HostNameLookupCapability (enum)
    {46, 1342, 0, 0, Smoke::mf_dtor, 0, 38 },	//1250 QNetworkProxy::~QNetworkProxy()
    {47, 241, 0, 0, Smoke::mf_ctor, 149, 1},	//1251 QNetworkProxyFactory::QNetworkProxyFactory()
    {47, 957, 1188, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 110, 2},	//1252 QNetworkProxyFactory::queryProxy(const QNetworkProxyQuery&) [pure virtual]
    {47, 1233, 116, 1, Smoke::mf_static, 0, 3},	//1253 QNetworkProxyFactory::setUseSystemConfiguration(bool)
    {47, 1034, 1107, 1, Smoke::mf_static, 0, 4},	//1254 QNetworkProxyFactory::setApplicationProxyFactory(QNetworkProxyFactory*)
    {47, 789, 1188, 1, Smoke::mf_static, 110, 5},	//1255 QNetworkProxyFactory::proxyForQuery(const QNetworkProxyQuery&)
    {47, 1270, 1188, 1, Smoke::mf_static, 110, 6},	//1256 QNetworkProxyFactory::systemProxyForQuery(const QNetworkProxyQuery&)
    {47, 241, 1190, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 7},	//1257 QNetworkProxyFactory::QNetworkProxyFactory(const QNetworkProxyFactory&)
    {47, 957, 0, 0, 0, 110, 8},	//1258 QNetworkProxyFactory::queryProxy()
    {47, 1270, 0, 0, Smoke::mf_static, 110, 9},	//1259 QNetworkProxyFactory::systemProxyForQuery()
    {47, 1343, 0, 0, Smoke::mf_dtor, 0, 10 },	//1260 QNetworkProxyFactory::~QNetworkProxyFactory()
    {48, 243, 0, 0, Smoke::mf_ctor, 151, 1},	//1261 QNetworkProxyQuery::QNetworkProxyQuery()
    {48, 243, 1192, 2, Smoke::mf_ctor, 151, 2},	//1262 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    {48, 243, 1195, 4, Smoke::mf_ctor, 151, 3},	//1263 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {48, 243, 1200, 3, Smoke::mf_ctor, 151, 4},	//1264 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {48, 243, 1188, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 151, 5},	//1265 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    {48, 243, 1204, 3, Smoke::mf_ctor, 151, 6},	//1266 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QUrl&, QNetworkProxyQuery::QueryType)
    {48, 243, 1208, 5, Smoke::mf_ctor, 151, 7},	//1267 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {48, 243, 1214, 4, Smoke::mf_ctor, 151, 8},	//1268 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {48, 712, 1188, 1, 0, 150, 9},	//1269 QNetworkProxyQuery::operator=(const QNetworkProxyQuery&)
    {48, 715, 1188, 1, Smoke::mf_const, 322, 10},	//1270 QNetworkProxyQuery::operator==(const QNetworkProxyQuery&) const
    {48, 676, 1188, 1, Smoke::mf_const, 322, 11},	//1271 QNetworkProxyQuery::operator!=(const QNetworkProxyQuery&) const
    {48, 959, 0, 0, Smoke::mf_const, 152, 12},	//1272 QNetworkProxyQuery::queryType() const
    {48, 1178, 1219, 1, 0, 0, 13},	//1273 QNetworkProxyQuery::setQueryType(QNetworkProxyQuery::QueryType)
    {48, 763, 0, 0, Smoke::mf_const, 406, 14},	//1274 QNetworkProxyQuery::peerPort() const
    {48, 1145, 44, 1, 0, 0, 15},	//1275 QNetworkProxyQuery::setPeerPort(int)
    {48, 761, 0, 0, Smoke::mf_const, 199, 16},	//1276 QNetworkProxyQuery::peerHostName() const
    {48, 1141, 69, 1, 0, 0, 17},	//1277 QNetworkProxyQuery::setPeerHostName(const QString&)
    {48, 642, 0, 0, Smoke::mf_const, 406, 18},	//1278 QNetworkProxyQuery::localPort() const
    {48, 1108, 44, 1, 0, 0, 19},	//1279 QNetworkProxyQuery::setLocalPort(int)
    {48, 784, 0, 0, Smoke::mf_const, 199, 20},	//1280 QNetworkProxyQuery::protocolTag() const
    {48, 1169, 69, 1, 0, 0, 21},	//1281 QNetworkProxyQuery::setProtocolTag(const QString&)
    {48, 1297, 0, 0, Smoke::mf_const, 217, 22},	//1282 QNetworkProxyQuery::url() const
    {48, 1231, 14, 1, 0, 0, 23},	//1283 QNetworkProxyQuery::setUrl(const QUrl&)
    {48, 670, 0, 0, Smoke::mf_const, 133, 24},	//1284 QNetworkProxyQuery::networkConfiguration() const
    {48, 1125, 1128, 1, 0, 0, 25},	//1285 QNetworkProxyQuery::setNetworkConfiguration(const QNetworkConfiguration&)
    {48, 243, 14, 1, Smoke::mf_ctor, 151, 26},	//1286 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    {48, 243, 1049, 2, Smoke::mf_ctor, 151, 27},	//1287 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    {48, 243, 1052, 3, Smoke::mf_ctor, 151, 28},	//1288 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    {48, 243, 65, 1, Smoke::mf_ctor, 151, 29},	//1289 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short)
    {48, 243, 1221, 2, Smoke::mf_ctor, 151, 30},	//1290 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    {48, 243, 1224, 2, Smoke::mf_ctor, 151, 31},	//1291 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QUrl&)
    {48, 243, 1227, 3, Smoke::mf_ctor, 151, 32},	//1292 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int)
    {48, 243, 1231, 4, Smoke::mf_ctor, 151, 33},	//1293 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&)
    {48, 243, 1236, 2, Smoke::mf_ctor, 151, 34},	//1294 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short)
    {48, 243, 1239, 3, Smoke::mf_ctor, 151, 35},	//1295 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&)
    {48, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 36},	//1296 QNetworkProxyQuery::TcpSocket (enum)
    {48, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 37},	//1297 QNetworkProxyQuery::UdpSocket (enum)
    {48, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 38},	//1298 QNetworkProxyQuery::TcpServer (enum)
    {48, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 39},	//1299 QNetworkProxyQuery::UrlRequest (enum)
    {48, 1344, 0, 0, Smoke::mf_dtor, 0, 40 },	//1300 QNetworkProxyQuery::~QNetworkProxyQuery()
    {49, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1301 QNetworkReply::metaObject() const
    {49, 950, 1, 1, Smoke::mf_virtual, 425, 2},	//1302 QNetworkReply::qt_metacast(const char*)
    {49, 1284, 3, 2, Smoke::mf_static, 199, 3},	//1303 QNetworkReply::tr(const char*, const char*)
    {49, 1288, 3, 2, Smoke::mf_static, 199, 4},	//1304 QNetworkReply::trUtf8(const char*, const char*)
    {49, 1284, 6, 3, Smoke::mf_static, 199, 5},	//1305 QNetworkReply::tr(const char*, const char*, int)
    {49, 1288, 6, 3, Smoke::mf_static, 199, 6},	//1306 QNetworkReply::trUtf8(const char*, const char*, int)
    {49, 948, 10, 3, Smoke::mf_virtual, 406, 7},	//1307 QNetworkReply::qt_metacall(QMetaObject::Call, int, void**)
    {49, 386, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//1308 QNetworkReply::abort() [pure virtual]
    {49, 449, 0, 0, Smoke::mf_virtual, 0, 9},	//1309 QNetworkReply::close()
    {49, 607, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 322, 10},	//1310 QNetworkReply::isSequential() const
    {49, 976, 0, 0, Smoke::mf_const, 408, 11},	//1311 QNetworkReply::readBufferSize() const
    {49, 1184, 33, 1, Smoke::mf_virtual, 0, 12},	//1312 QNetworkReply::setReadBufferSize(long long)
    {49, 650, 0, 0, Smoke::mf_const, 125, 13},	//1313 QNetworkReply::manager() const
    {49, 675, 0, 0, Smoke::mf_const, 127, 14},	//1314 QNetworkReply::operation() const
    {49, 1000, 0, 0, Smoke::mf_const, 155, 15},	//1315 QNetworkReply::request() const
    {49, 524, 0, 0, Smoke::mf_const, 154, 16},	//1316 QNetworkReply::error() const
    {49, 597, 0, 0, Smoke::mf_const, 322, 17},	//1317 QNetworkReply::isFinished() const
    {49, 605, 0, 0, Smoke::mf_const, 322, 18},	//1318 QNetworkReply::isRunning() const
    {49, 1297, 0, 0, Smoke::mf_const, 217, 19},	//1319 QNetworkReply::url() const
    {49, 574, 1243, 1, Smoke::mf_const, 224, 20},	//1320 QNetworkReply::header(QNetworkRequest::KnownHeaders) const
    {49, 569, 371, 1, Smoke::mf_const, 322, 21},	//1321 QNetworkReply::hasRawHeader(const QByteArray&) const
    {49, 970, 0, 0, Smoke::mf_const, 105, 22},	//1322 QNetworkReply::rawHeaderList() const
    {49, 968, 371, 1, Smoke::mf_const, 14, 23},	//1323 QNetworkReply::rawHeader(const QByteArray&) const
    {49, 971, 0, 0, Smoke::mf_const, 348, 24},	//1324 QNetworkReply::rawHeaderPairs() const
    {49, 419, 1245, 1, Smoke::mf_const, 224, 25},	//1325 QNetworkReply::attribute(QNetworkRequest::Attribute) const
    {49, 1252, 0, 0, Smoke::mf_const, 187, 26},	//1326 QNetworkReply::sslConfiguration() const
    {49, 1216, 1247, 1, 0, 0, 27},	//1327 QNetworkReply::setSslConfiguration(const QSslConfiguration&)
    {49, 579, 1044, 1, 0, 0, 28},	//1328 QNetworkReply::ignoreSslErrors(const QList<QSslError>&)
    {49, 579, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1329 QNetworkReply::ignoreSslErrors()
    {49, 655, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1330 QNetworkReply::metaDataChanged()
    {49, 534, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1331 QNetworkReply::finished()
    {49, 524, 1249, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1332 QNetworkReply::error(QNetworkReply::NetworkError)
    {49, 1253, 1044, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1333 QNetworkReply::sslErrors(const QList<QSslError>&)
    {49, 1295, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1334 QNetworkReply::uploadProgress(qint64, qint64)
    {49, 513, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1335 QNetworkReply::downloadProgress(qint64, qint64)
    {49, 255, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 153, 36},	//1336 QNetworkReply::QNetworkReply(QObject*)
    {49, 1317, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 408, 37},	//1337 QNetworkReply::writeData(const char*, long long)
    {49, 1127, 1251, 1, Smoke::mf_protected, 0, 38},	//1338 QNetworkReply::setOperation(QNetworkAccessManager::Operation)
    {49, 1188, 1113, 1, Smoke::mf_protected, 0, 39},	//1339 QNetworkReply::setRequest(const QNetworkRequest&)
    {49, 1073, 1253, 2, Smoke::mf_protected, 0, 40},	//1340 QNetworkReply::setError(QNetworkReply::NetworkError, const QString&)
    {49, 1082, 116, 1, Smoke::mf_protected, 0, 41},	//1341 QNetworkReply::setFinished(bool)
    {49, 1231, 14, 1, Smoke::mf_protected, 0, 42},	//1342 QNetworkReply::setUrl(const QUrl&)
    {49, 1086, 1256, 2, Smoke::mf_protected, 0, 43},	//1343 QNetworkReply::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {49, 1180, 359, 2, Smoke::mf_protected, 0, 44},	//1344 QNetworkReply::setRawHeader(const QByteArray&, const QByteArray&)
    {49, 1036, 1259, 2, Smoke::mf_protected, 0, 45},	//1345 QNetworkReply::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {49, 1284, 1, 1, Smoke::mf_static, 199, 46},	//1346 QNetworkReply::tr(const char*)
    {49, 1288, 1, 1, Smoke::mf_static, 199, 47},	//1347 QNetworkReply::trUtf8(const char*)
    {49, 255, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 153, 48},	//1348 QNetworkReply::QNetworkReply()
    {49, 1261, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 49},	//1349 QNetworkReply::staticMetaObject() const
    {49, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 50},	//1350 QNetworkReply::NoError (enum)
    {49, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 51},	//1351 QNetworkReply::ConnectionRefusedError (enum)
    {49, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 52},	//1352 QNetworkReply::RemoteHostClosedError (enum)
    {49, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 53},	//1353 QNetworkReply::HostNotFoundError (enum)
    {49, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 54},	//1354 QNetworkReply::TimeoutError (enum)
    {49, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 55},	//1355 QNetworkReply::OperationCanceledError (enum)
    {49, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 56},	//1356 QNetworkReply::SslHandshakeFailedError (enum)
    {49, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 57},	//1357 QNetworkReply::TemporaryNetworkFailureError (enum)
    {49, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 58},	//1358 QNetworkReply::UnknownNetworkError (enum)
    {49, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 59},	//1359 QNetworkReply::ProxyConnectionRefusedError (enum)
    {49, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 60},	//1360 QNetworkReply::ProxyConnectionClosedError (enum)
    {49, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 61},	//1361 QNetworkReply::ProxyNotFoundError (enum)
    {49, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 62},	//1362 QNetworkReply::ProxyTimeoutError (enum)
    {49, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 63},	//1363 QNetworkReply::ProxyAuthenticationRequiredError (enum)
    {49, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 64},	//1364 QNetworkReply::UnknownProxyError (enum)
    {49, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 65},	//1365 QNetworkReply::ContentAccessDenied (enum)
    {49, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 66},	//1366 QNetworkReply::ContentOperationNotPermittedError (enum)
    {49, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 67},	//1367 QNetworkReply::ContentNotFoundError (enum)
    {49, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 68},	//1368 QNetworkReply::AuthenticationRequiredError (enum)
    {49, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 69},	//1369 QNetworkReply::ContentReSendError (enum)
    {49, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 70},	//1370 QNetworkReply::UnknownContentError (enum)
    {49, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 71},	//1371 QNetworkReply::ProtocolUnknownError (enum)
    {49, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 72},	//1372 QNetworkReply::ProtocolInvalidOperationError (enum)
    {49, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 73},	//1373 QNetworkReply::ProtocolFailure (enum)
    {49, 1345, 0, 0, Smoke::mf_dtor, 0, 74 },	//1374 QNetworkReply::~QNetworkReply()
    {50, 257, 14, 1, Smoke::mf_ctor, 157, 1},	//1375 QNetworkRequest::QNetworkRequest(const QUrl&)
    {50, 257, 1113, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 157, 2},	//1376 QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    {50, 712, 1113, 1, 0, 156, 3},	//1377 QNetworkRequest::operator=(const QNetworkRequest&)
    {50, 715, 1113, 1, Smoke::mf_const, 322, 4},	//1378 QNetworkRequest::operator==(const QNetworkRequest&) const
    {50, 676, 1113, 1, Smoke::mf_const, 322, 5},	//1379 QNetworkRequest::operator!=(const QNetworkRequest&) const
    {50, 1297, 0, 0, Smoke::mf_const, 217, 6},	//1380 QNetworkRequest::url() const
    {50, 1231, 14, 1, 0, 0, 7},	//1381 QNetworkRequest::setUrl(const QUrl&)
    {50, 574, 1243, 1, Smoke::mf_const, 224, 8},	//1382 QNetworkRequest::header(QNetworkRequest::KnownHeaders) const
    {50, 1086, 1256, 2, 0, 0, 9},	//1383 QNetworkRequest::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {50, 569, 371, 1, Smoke::mf_const, 322, 10},	//1384 QNetworkRequest::hasRawHeader(const QByteArray&) const
    {50, 970, 0, 0, Smoke::mf_const, 105, 11},	//1385 QNetworkRequest::rawHeaderList() const
    {50, 968, 371, 1, Smoke::mf_const, 14, 12},	//1386 QNetworkRequest::rawHeader(const QByteArray&) const
    {50, 1180, 359, 2, 0, 0, 13},	//1387 QNetworkRequest::setRawHeader(const QByteArray&, const QByteArray&)
    {50, 419, 1259, 2, Smoke::mf_const, 224, 14},	//1388 QNetworkRequest::attribute(QNetworkRequest::Attribute, const QVariant&) const
    {50, 1036, 1259, 2, 0, 0, 15},	//1389 QNetworkRequest::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {50, 1252, 0, 0, Smoke::mf_const, 187, 16},	//1390 QNetworkRequest::sslConfiguration() const
    {50, 1216, 1247, 1, 0, 0, 17},	//1391 QNetworkRequest::setSslConfiguration(const QSslConfiguration&)
    {50, 1131, 20, 1, 0, 0, 18},	//1392 QNetworkRequest::setOriginatingObject(QObject*)
    {50, 746, 0, 0, Smoke::mf_const, 163, 19},	//1393 QNetworkRequest::originatingObject() const
    {50, 780, 0, 0, Smoke::mf_const, 162, 20},	//1394 QNetworkRequest::priority() const
    {50, 1159, 1262, 1, 0, 0, 21},	//1395 QNetworkRequest::setPriority(QNetworkRequest::Priority)
    {50, 257, 0, 0, Smoke::mf_ctor, 157, 22},	//1396 QNetworkRequest::QNetworkRequest()
    {50, 419, 1245, 1, Smoke::mf_const, 224, 23},	//1397 QNetworkRequest::attribute(QNetworkRequest::Attribute) const
    {50, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 24},	//1398 QNetworkRequest::ContentTypeHeader (enum)
    {50, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 25},	//1399 QNetworkRequest::ContentLengthHeader (enum)
    {50, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 26},	//1400 QNetworkRequest::LocationHeader (enum)
    {50, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 27},	//1401 QNetworkRequest::LastModifiedHeader (enum)
    {50, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 28},	//1402 QNetworkRequest::CookieHeader (enum)
    {50, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 29},	//1403 QNetworkRequest::SetCookieHeader (enum)
    {50, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 30},	//1404 QNetworkRequest::ContentDispositionHeader (enum)
    {50, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 31},	//1405 QNetworkRequest::HttpStatusCodeAttribute (enum)
    {50, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 32},	//1406 QNetworkRequest::HttpReasonPhraseAttribute (enum)
    {50, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 33},	//1407 QNetworkRequest::RedirectionTargetAttribute (enum)
    {50, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 34},	//1408 QNetworkRequest::ConnectionEncryptedAttribute (enum)
    {50, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 35},	//1409 QNetworkRequest::CacheLoadControlAttribute (enum)
    {50, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 36},	//1410 QNetworkRequest::CacheSaveControlAttribute (enum)
    {50, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 37},	//1411 QNetworkRequest::SourceIsFromCacheAttribute (enum)
    {50, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 38},	//1412 QNetworkRequest::DoNotBufferUploadDataAttribute (enum)
    {50, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 39},	//1413 QNetworkRequest::HttpPipeliningAllowedAttribute (enum)
    {50, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 40},	//1414 QNetworkRequest::HttpPipeliningWasUsedAttribute (enum)
    {50, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 41},	//1415 QNetworkRequest::CustomVerbAttribute (enum)
    {50, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 42},	//1416 QNetworkRequest::CookieLoadControlAttribute (enum)
    {50, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 43},	//1417 QNetworkRequest::AuthenticationReuseAttribute (enum)
    {50, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 44},	//1418 QNetworkRequest::CookieSaveControlAttribute (enum)
    {50, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 45},	//1419 QNetworkRequest::MaximumDownloadBufferSizeAttribute (enum)
    {50, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 46},	//1420 QNetworkRequest::DownloadBufferAttribute (enum)
    {50, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 47},	//1421 QNetworkRequest::SynchronousRequestAttribute (enum)
    {50, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 48},	//1422 QNetworkRequest::User (enum)
    {50, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 49},	//1423 QNetworkRequest::UserMax (enum)
    {50, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 50},	//1424 QNetworkRequest::AlwaysNetwork (enum)
    {50, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 51},	//1425 QNetworkRequest::PreferNetwork (enum)
    {50, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 52},	//1426 QNetworkRequest::PreferCache (enum)
    {50, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 53},	//1427 QNetworkRequest::AlwaysCache (enum)
    {50, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 54},	//1428 QNetworkRequest::Automatic (enum)
    {50, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 55},	//1429 QNetworkRequest::Manual (enum)
    {50, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 56},	//1430 QNetworkRequest::HighPriority (enum)
    {50, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 57},	//1431 QNetworkRequest::NormalPriority (enum)
    {50, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 58},	//1432 QNetworkRequest::LowPriority (enum)
    {50, 1346, 0, 0, Smoke::mf_dtor, 0, 59 },	//1433 QNetworkRequest::~QNetworkRequest()
    {51, 527, 1264, 1, Smoke::mf_virtual, 322, 0},	//1434 QObject::event(QEvent*)
    {51, 528, 1266, 2, Smoke::mf_virtual, 322, 0},	//1435 QObject::eventFilter(QObject*, QEvent*)
    {51, 1274, 1269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1436 QObject::timerEvent(QTimerEvent*)
    {51, 444, 1271, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1437 QObject::childEvent(QChildEvent*)
    {51, 488, 1264, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1438 QObject::customEvent(QEvent*)
    {51, 456, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1439 QObject::connectNotify(const char*)
    {51, 508, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1440 QObject::disconnectNotify(const char*)
    {60, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 1},	//1441 QSsl::Rsa (enum)
    {60, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 2},	//1442 QSsl::Dsa (enum)
    {60, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 3},	//1443 QSsl::Pem (enum)
    {60, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 4},	//1444 QSsl::Der (enum)
    {60, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 5},	//1445 QSsl::SslOptionDisableEmptyFragments (enum)
    {60, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 6},	//1446 QSsl::SslOptionDisableSessionTickets (enum)
    {60, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 7},	//1447 QSsl::SslOptionDisableCompression (enum)
    {60, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 8},	//1448 QSsl::SslOptionDisableServerNameIndication (enum)
    {60, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 9},	//1449 QSsl::SslOptionDisableLegacyRenegotiation (enum)
    {60, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 10},	//1450 QSsl::SslV3 (enum)
    {60, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 11},	//1451 QSsl::SslV2 (enum)
    {60, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 12},	//1452 QSsl::TlsV1 (enum)
    {60, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 13},	//1453 QSsl::AnyProtocol (enum)
    {60, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 14},	//1454 QSsl::TlsV1SslV3 (enum)
    {60, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 15},	//1455 QSsl::SecureProtocols (enum)
    {60, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 16},	//1456 QSsl::UnknownProtocol (enum)
    {60, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 17},	//1457 QSsl::EmailEntry (enum)
    {60, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 18},	//1458 QSsl::DnsEntry (enum)
    {60, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 19},	//1459 QSsl::PrivateKey (enum)
    {60, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 20},	//1460 QSsl::PublicKey (enum)
    {61, 259, 1273, 2, Smoke::mf_ctor, 182, 1},	//1461 QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    {61, 259, 1276, 2, Smoke::mf_ctor, 182, 2},	//1462 QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    {61, 259, 1279, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 182, 3},	//1463 QSslCertificate::QSslCertificate(const QSslCertificate&)
    {61, 712, 1279, 1, 0, 181, 4},	//1464 QSslCertificate::operator=(const QSslCertificate&)
    {61, 715, 1279, 1, Smoke::mf_const, 322, 5},	//1465 QSslCertificate::operator==(const QSslCertificate&) const
    {61, 676, 1279, 1, Smoke::mf_const, 322, 6},	//1466 QSslCertificate::operator!=(const QSslCertificate&) const
    {61, 603, 0, 0, Smoke::mf_const, 322, 7},	//1467 QSslCertificate::isNull() const
    {61, 611, 0, 0, Smoke::mf_const, 322, 8},	//1468 QSslCertificate::isValid() const
    {61, 446, 0, 0, 0, 0, 9},	//1469 QSslCertificate::clear()
    {61, 1303, 0, 0, Smoke::mf_const, 14, 10},	//1470 QSslCertificate::version() const
    {61, 1019, 0, 0, Smoke::mf_const, 14, 11},	//1471 QSslCertificate::serialNumber() const
    {61, 503, 1281, 1, Smoke::mf_const, 14, 12},	//1472 QSslCertificate::digest(QCryptographicHash::Algorithm) const
    {61, 613, 1283, 1, Smoke::mf_const, 199, 13},	//1473 QSslCertificate::issuerInfo(QSslCertificate::SubjectInfo) const
    {61, 613, 371, 1, Smoke::mf_const, 199, 14},	//1474 QSslCertificate::issuerInfo(const QByteArray&) const
    {61, 1263, 1283, 1, Smoke::mf_const, 199, 15},	//1475 QSslCertificate::subjectInfo(QSslCertificate::SubjectInfo) const
    {61, 1263, 371, 1, Smoke::mf_const, 199, 16},	//1476 QSslCertificate::subjectInfo(const QByteArray&) const
    {61, 416, 0, 0, Smoke::mf_const, 124, 17},	//1477 QSslCertificate::alternateSubjectNames() const
    {61, 515, 0, 0, Smoke::mf_const, 22, 18},	//1478 QSslCertificate::effectiveDate() const
    {61, 531, 0, 0, Smoke::mf_const, 22, 19},	//1479 QSslCertificate::expiryDate() const
    {61, 791, 0, 0, Smoke::mf_const, 193, 20},	//1480 QSslCertificate::publicKey() const
    {61, 1279, 0, 0, Smoke::mf_const, 14, 21},	//1481 QSslCertificate::toPem() const
    {61, 1275, 0, 0, Smoke::mf_const, 14, 22},	//1482 QSslCertificate::toDer() const
    {61, 546, 1285, 3, Smoke::mf_static, 113, 23},	//1483 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {61, 541, 1273, 2, Smoke::mf_static, 113, 24},	//1484 QSslCertificate::fromDevice(QIODevice*, QSsl::EncodingFormat)
    {61, 538, 1276, 2, Smoke::mf_static, 113, 25},	//1485 QSslCertificate::fromData(const QByteArray&, QSsl::EncodingFormat)
    {61, 559, 0, 0, Smoke::mf_const, 418, 26},	//1486 QSslCertificate::handle() const
    {61, 259, 18, 1, Smoke::mf_ctor, 182, 27},	//1487 QSslCertificate::QSslCertificate(QIODevice*)
    {61, 259, 0, 0, Smoke::mf_ctor, 182, 28},	//1488 QSslCertificate::QSslCertificate()
    {61, 259, 371, 1, Smoke::mf_ctor, 182, 29},	//1489 QSslCertificate::QSslCertificate(const QByteArray&)
    {61, 503, 0, 0, Smoke::mf_const, 14, 30},	//1490 QSslCertificate::digest() const
    {61, 546, 69, 1, Smoke::mf_static, 113, 31},	//1491 QSslCertificate::fromPath(const QString&)
    {61, 546, 1289, 2, Smoke::mf_static, 113, 32},	//1492 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat)
    {61, 541, 18, 1, Smoke::mf_static, 113, 33},	//1493 QSslCertificate::fromDevice(QIODevice*)
    {61, 538, 371, 1, Smoke::mf_static, 113, 34},	//1494 QSslCertificate::fromData(const QByteArray&)
    {61, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 35},	//1495 QSslCertificate::Organization (enum)
    {61, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 36},	//1496 QSslCertificate::CommonName (enum)
    {61, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 37},	//1497 QSslCertificate::LocalityName (enum)
    {61, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 38},	//1498 QSslCertificate::OrganizationalUnitName (enum)
    {61, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 39},	//1499 QSslCertificate::CountryName (enum)
    {61, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 40},	//1500 QSslCertificate::StateOrProvinceName (enum)
    {61, 1347, 0, 0, Smoke::mf_dtor, 0, 41 },	//1501 QSslCertificate::~QSslCertificate()
    {62, 262, 0, 0, Smoke::mf_ctor, 186, 1},	//1502 QSslCipher::QSslCipher()
    {62, 262, 1292, 2, Smoke::mf_ctor, 186, 2},	//1503 QSslCipher::QSslCipher(const QString&, QSsl::SslProtocol)
    {62, 262, 1295, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 186, 3},	//1504 QSslCipher::QSslCipher(const QSslCipher&)
    {62, 712, 1295, 1, 0, 185, 4},	//1505 QSslCipher::operator=(const QSslCipher&)
    {62, 715, 1295, 1, Smoke::mf_const, 322, 5},	//1506 QSslCipher::operator==(const QSslCipher&) const
    {62, 676, 1295, 1, Smoke::mf_const, 322, 6},	//1507 QSslCipher::operator!=(const QSslCipher&) const
    {62, 603, 0, 0, Smoke::mf_const, 322, 7},	//1508 QSslCipher::isNull() const
    {62, 665, 0, 0, Smoke::mf_const, 199, 8},	//1509 QSslCipher::name() const
    {62, 1266, 0, 0, Smoke::mf_const, 406, 9},	//1510 QSslCipher::supportedBits() const
    {62, 1298, 0, 0, Smoke::mf_const, 406, 10},	//1511 QSslCipher::usedBits() const
    {62, 619, 0, 0, Smoke::mf_const, 199, 11},	//1512 QSslCipher::keyExchangeMethod() const
    {62, 423, 0, 0, Smoke::mf_const, 199, 12},	//1513 QSslCipher::authenticationMethod() const
    {62, 521, 0, 0, Smoke::mf_const, 199, 13},	//1514 QSslCipher::encryptionMethod() const
    {62, 783, 0, 0, Smoke::mf_const, 199, 14},	//1515 QSslCipher::protocolString() const
    {62, 782, 0, 0, Smoke::mf_const, 179, 15},	//1516 QSslCipher::protocol() const
    {62, 1348, 0, 0, Smoke::mf_dtor, 0, 16 },	//1517 QSslCipher::~QSslCipher()
    {63, 265, 0, 0, Smoke::mf_ctor, 189, 1},	//1518 QSslConfiguration::QSslConfiguration()
    {63, 265, 1247, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 189, 2},	//1519 QSslConfiguration::QSslConfiguration(const QSslConfiguration&)
    {63, 712, 1247, 1, 0, 188, 3},	//1520 QSslConfiguration::operator=(const QSslConfiguration&)
    {63, 715, 1247, 1, Smoke::mf_const, 322, 4},	//1521 QSslConfiguration::operator==(const QSslConfiguration&) const
    {63, 676, 1247, 1, Smoke::mf_const, 322, 5},	//1522 QSslConfiguration::operator!=(const QSslConfiguration&) const
    {63, 603, 0, 0, Smoke::mf_const, 322, 6},	//1523 QSslConfiguration::isNull() const
    {63, 782, 0, 0, Smoke::mf_const, 179, 7},	//1524 QSslConfiguration::protocol() const
    {63, 1167, 1297, 1, 0, 0, 8},	//1525 QSslConfiguration::setProtocol(QSsl::SslProtocol)
    {63, 767, 0, 0, Smoke::mf_const, 197, 9},	//1526 QSslConfiguration::peerVerifyMode() const
    {63, 1149, 1299, 1, 0, 0, 10},	//1527 QSslConfiguration::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {63, 764, 0, 0, Smoke::mf_const, 406, 11},	//1528 QSslConfiguration::peerVerifyDepth() const
    {63, 1147, 44, 1, 0, 0, 12},	//1529 QSslConfiguration::setPeerVerifyDepth(int)
    {63, 639, 0, 0, Smoke::mf_const, 180, 13},	//1530 QSslConfiguration::localCertificate() const
    {63, 1104, 1279, 1, 0, 0, 14},	//1531 QSslConfiguration::setLocalCertificate(const QSslCertificate&)
    {63, 759, 0, 0, Smoke::mf_const, 180, 15},	//1532 QSslConfiguration::peerCertificate() const
    {63, 760, 0, 0, Smoke::mf_const, 113, 16},	//1533 QSslConfiguration::peerCertificateChain() const
    {63, 1024, 0, 0, Smoke::mf_const, 184, 17},	//1534 QSslConfiguration::sessionCipher() const
    {63, 781, 0, 0, Smoke::mf_const, 193, 18},	//1535 QSslConfiguration::privateKey() const
    {63, 1161, 1301, 1, 0, 0, 19},	//1536 QSslConfiguration::setPrivateKey(const QSslKey&)
    {63, 445, 0, 0, Smoke::mf_const, 114, 20},	//1537 QSslConfiguration::ciphers() const
    {63, 1050, 1303, 1, 0, 0, 21},	//1538 QSslConfiguration::setCiphers(const QList<QSslCipher>&)
    {63, 435, 0, 0, Smoke::mf_const, 113, 22},	//1539 QSslConfiguration::caCertificates() const
    {63, 1042, 1305, 1, 0, 0, 23},	//1540 QSslConfiguration::setCaCertificates(const QList<QSslCertificate>&)
    {63, 1218, 1307, 2, 0, 0, 24},	//1541 QSslConfiguration::setSslOption(QSsl::SslOption, bool)
    {63, 1272, 1310, 1, Smoke::mf_const, 322, 25},	//1542 QSslConfiguration::testSslOption(QSsl::SslOption) const
    {63, 499, 0, 0, Smoke::mf_static, 187, 26},	//1543 QSslConfiguration::defaultConfiguration()
    {63, 1067, 1247, 1, Smoke::mf_static, 0, 27},	//1544 QSslConfiguration::setDefaultConfiguration(const QSslConfiguration&)
    {63, 1349, 0, 0, Smoke::mf_dtor, 0, 28 },	//1545 QSslConfiguration::~QSslConfiguration()
    {64, 267, 0, 0, Smoke::mf_ctor, 191, 1},	//1546 QSslError::QSslError()
    {64, 267, 1312, 1, Smoke::mf_ctor, 191, 2},	//1547 QSslError::QSslError(QSslError::SslError)
    {64, 267, 1314, 2, Smoke::mf_ctor, 191, 3},	//1548 QSslError::QSslError(QSslError::SslError, const QSslCertificate&)
    {64, 267, 1317, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 191, 4},	//1549 QSslError::QSslError(const QSslError&)
    {64, 712, 1317, 1, 0, 190, 5},	//1550 QSslError::operator=(const QSslError&)
    {64, 715, 1317, 1, Smoke::mf_const, 322, 6},	//1551 QSslError::operator==(const QSslError&) const
    {64, 676, 1317, 1, Smoke::mf_const, 322, 7},	//1552 QSslError::operator!=(const QSslError&) const
    {64, 524, 0, 0, Smoke::mf_const, 192, 8},	//1553 QSslError::error() const
    {64, 526, 0, 0, Smoke::mf_const, 199, 9},	//1554 QSslError::errorString() const
    {64, 443, 0, 0, Smoke::mf_const, 180, 10},	//1555 QSslError::certificate() const
    {64, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 11},	//1556 QSslError::NoError (enum)
    {64, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 12},	//1557 QSslError::UnableToGetIssuerCertificate (enum)
    {64, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 13},	//1558 QSslError::UnableToDecryptCertificateSignature (enum)
    {64, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 14},	//1559 QSslError::UnableToDecodeIssuerPublicKey (enum)
    {64, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 15},	//1560 QSslError::CertificateSignatureFailed (enum)
    {64, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 16},	//1561 QSslError::CertificateNotYetValid (enum)
    {64, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 17},	//1562 QSslError::CertificateExpired (enum)
    {64, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 18},	//1563 QSslError::InvalidNotBeforeField (enum)
    {64, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 19},	//1564 QSslError::InvalidNotAfterField (enum)
    {64, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 20},	//1565 QSslError::SelfSignedCertificate (enum)
    {64, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 21},	//1566 QSslError::SelfSignedCertificateInChain (enum)
    {64, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 22},	//1567 QSslError::UnableToGetLocalIssuerCertificate (enum)
    {64, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 23},	//1568 QSslError::UnableToVerifyFirstCertificate (enum)
    {64, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 24},	//1569 QSslError::CertificateRevoked (enum)
    {64, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 25},	//1570 QSslError::InvalidCaCertificate (enum)
    {64, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 26},	//1571 QSslError::PathLengthExceeded (enum)
    {64, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 27},	//1572 QSslError::InvalidPurpose (enum)
    {64, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 28},	//1573 QSslError::CertificateUntrusted (enum)
    {64, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 29},	//1574 QSslError::CertificateRejected (enum)
    {64, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 30},	//1575 QSslError::SubjectIssuerMismatch (enum)
    {64, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 31},	//1576 QSslError::AuthorityIssuerSerialNumberMismatch (enum)
    {64, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 32},	//1577 QSslError::NoPeerCertificate (enum)
    {64, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 33},	//1578 QSslError::HostNameMismatch (enum)
    {64, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 34},	//1579 QSslError::NoSslSupport (enum)
    {64, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 35},	//1580 QSslError::CertificateBlacklisted (enum)
    {64, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 36},	//1581 QSslError::UnspecifiedError (enum)
    {64, 1350, 0, 0, Smoke::mf_dtor, 0, 37 },	//1582 QSslError::~QSslError()
    {65, 271, 0, 0, Smoke::mf_ctor, 195, 1},	//1583 QSslKey::QSslKey()
    {65, 271, 1319, 5, Smoke::mf_ctor, 195, 2},	//1584 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {65, 271, 1325, 5, Smoke::mf_ctor, 195, 3},	//1585 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {65, 271, 1301, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 195, 4},	//1586 QSslKey::QSslKey(const QSslKey&)
    {65, 712, 1301, 1, 0, 194, 5},	//1587 QSslKey::operator=(const QSslKey&)
    {65, 603, 0, 0, Smoke::mf_const, 322, 6},	//1588 QSslKey::isNull() const
    {65, 446, 0, 0, 0, 0, 7},	//1589 QSslKey::clear()
    {65, 627, 0, 0, Smoke::mf_const, 406, 8},	//1590 QSslKey::length() const
    {65, 1292, 0, 0, Smoke::mf_const, 177, 9},	//1591 QSslKey::type() const
    {65, 410, 0, 0, Smoke::mf_const, 176, 10},	//1592 QSslKey::algorithm() const
    {65, 1279, 371, 1, Smoke::mf_const, 14, 11},	//1593 QSslKey::toPem(const QByteArray&) const
    {65, 1275, 371, 1, Smoke::mf_const, 14, 12},	//1594 QSslKey::toDer(const QByteArray&) const
    {65, 559, 0, 0, Smoke::mf_const, 418, 13},	//1595 QSslKey::handle() const
    {65, 715, 1301, 1, Smoke::mf_const, 322, 14},	//1596 QSslKey::operator==(const QSslKey&) const
    {65, 676, 1301, 1, Smoke::mf_const, 322, 15},	//1597 QSslKey::operator!=(const QSslKey&) const
    {65, 271, 1331, 2, Smoke::mf_ctor, 195, 16},	//1598 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    {65, 271, 1334, 3, Smoke::mf_ctor, 195, 17},	//1599 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {65, 271, 1338, 4, Smoke::mf_ctor, 195, 18},	//1600 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {65, 271, 1343, 2, Smoke::mf_ctor, 195, 19},	//1601 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    {65, 271, 1346, 3, Smoke::mf_ctor, 195, 20},	//1602 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {65, 271, 1350, 4, Smoke::mf_ctor, 195, 21},	//1603 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {65, 1279, 0, 0, Smoke::mf_const, 14, 22},	//1604 QSslKey::toPem() const
    {65, 1275, 0, 0, Smoke::mf_const, 14, 23},	//1605 QSslKey::toDer() const
    {65, 1351, 0, 0, Smoke::mf_dtor, 0, 24 },	//1606 QSslKey::~QSslKey()
    {66, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1607 QSslSocket::metaObject() const
    {66, 950, 1, 1, Smoke::mf_virtual, 425, 2},	//1608 QSslSocket::qt_metacast(const char*)
    {66, 1284, 3, 2, Smoke::mf_static, 199, 3},	//1609 QSslSocket::tr(const char*, const char*)
    {66, 1288, 3, 2, Smoke::mf_static, 199, 4},	//1610 QSslSocket::trUtf8(const char*, const char*)
    {66, 1284, 6, 3, Smoke::mf_static, 199, 5},	//1611 QSslSocket::tr(const char*, const char*, int)
    {66, 1288, 6, 3, Smoke::mf_static, 199, 6},	//1612 QSslSocket::trUtf8(const char*, const char*, int)
    {66, 948, 10, 3, Smoke::mf_virtual, 406, 7},	//1613 QSslSocket::qt_metacall(QMetaObject::Call, int, void**)
    {66, 277, 20, 1, Smoke::mf_ctor, 196, 8},	//1614 QSslSocket::QSslSocket(QObject*)
    {66, 463, 25, 3, 0, 0, 9},	//1615 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {66, 463, 1355, 4, 0, 0, 10},	//1616 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>)
    {66, 1203, 35, 3, 0, 322, 11},	//1617 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {66, 1212, 39, 2, 0, 0, 12},	//1618 QSslSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {66, 1249, 42, 1, 0, 224, 13},	//1619 QSslSocket::socketOption(QAbstractSocket::SocketOption)
    {66, 661, 0, 0, Smoke::mf_const, 198, 14},	//1620 QSslSocket::mode() const
    {66, 594, 0, 0, Smoke::mf_const, 322, 15},	//1621 QSslSocket::isEncrypted() const
    {66, 782, 0, 0, Smoke::mf_const, 179, 16},	//1622 QSslSocket::protocol() const
    {66, 1167, 1297, 1, 0, 0, 17},	//1623 QSslSocket::setProtocol(QSsl::SslProtocol)
    {66, 767, 0, 0, Smoke::mf_const, 197, 18},	//1624 QSslSocket::peerVerifyMode() const
    {66, 1149, 1299, 1, 0, 0, 19},	//1625 QSslSocket::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {66, 764, 0, 0, Smoke::mf_const, 406, 20},	//1626 QSslSocket::peerVerifyDepth() const
    {66, 1147, 44, 1, 0, 0, 21},	//1627 QSslSocket::setPeerVerifyDepth(int)
    {66, 768, 0, 0, Smoke::mf_const, 199, 22},	//1628 QSslSocket::peerVerifyName() const
    {66, 1151, 69, 1, 0, 0, 23},	//1629 QSslSocket::setPeerVerifyName(const QString&)
    {66, 433, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 408, 24},	//1630 QSslSocket::bytesAvailable() const
    {66, 434, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 408, 25},	//1631 QSslSocket::bytesToWrite() const
    {66, 439, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 322, 26},	//1632 QSslSocket::canReadLine() const
    {66, 449, 0, 0, Smoke::mf_virtual, 0, 27},	//1633 QSslSocket::close()
    {66, 418, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 322, 28},	//1634 QSslSocket::atEnd() const
    {66, 537, 0, 0, 0, 322, 29},	//1635 QSslSocket::flush()
    {66, 386, 0, 0, 0, 0, 30},	//1636 QSslSocket::abort()
    {66, 1184, 33, 1, 0, 0, 31},	//1637 QSslSocket::setReadBufferSize(long long)
    {66, 517, 0, 0, Smoke::mf_const, 408, 32},	//1638 QSslSocket::encryptedBytesAvailable() const
    {66, 518, 0, 0, Smoke::mf_const, 408, 33},	//1639 QSslSocket::encryptedBytesToWrite() const
    {66, 1252, 0, 0, Smoke::mf_const, 187, 34},	//1640 QSslSocket::sslConfiguration() const
    {66, 1216, 1247, 1, 0, 0, 35},	//1641 QSslSocket::setSslConfiguration(const QSslConfiguration&)
    {66, 1104, 1279, 1, 0, 0, 36},	//1642 QSslSocket::setLocalCertificate(const QSslCertificate&)
    {66, 1104, 1289, 2, 0, 0, 37},	//1643 QSslSocket::setLocalCertificate(const QString&, QSsl::EncodingFormat)
    {66, 639, 0, 0, Smoke::mf_const, 180, 38},	//1644 QSslSocket::localCertificate() const
    {66, 759, 0, 0, Smoke::mf_const, 180, 39},	//1645 QSslSocket::peerCertificate() const
    {66, 760, 0, 0, Smoke::mf_const, 113, 40},	//1646 QSslSocket::peerCertificateChain() const
    {66, 1024, 0, 0, Smoke::mf_const, 184, 41},	//1647 QSslSocket::sessionCipher() const
    {66, 1161, 1301, 1, 0, 0, 42},	//1648 QSslSocket::setPrivateKey(const QSslKey&)
    {66, 1161, 1360, 4, 0, 0, 43},	//1649 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&)
    {66, 781, 0, 0, Smoke::mf_const, 193, 44},	//1650 QSslSocket::privateKey() const
    {66, 445, 0, 0, Smoke::mf_const, 114, 45},	//1651 QSslSocket::ciphers() const
    {66, 1050, 1303, 1, 0, 0, 46},	//1652 QSslSocket::setCiphers(const QList<QSslCipher>&)
    {66, 1050, 69, 1, 0, 0, 47},	//1653 QSslSocket::setCiphers(const QString&)
    {66, 1065, 1303, 1, Smoke::mf_static, 0, 48},	//1654 QSslSocket::setDefaultCiphers(const QList<QSslCipher>&)
    {66, 498, 0, 0, Smoke::mf_static, 114, 49},	//1655 QSslSocket::defaultCiphers()
    {66, 1267, 0, 0, Smoke::mf_static, 114, 50},	//1656 QSslSocket::supportedCiphers()
    {66, 392, 1285, 3, 0, 322, 51},	//1657 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {66, 390, 1279, 1, 0, 0, 52},	//1658 QSslSocket::addCaCertificate(const QSslCertificate&)
    {66, 392, 1305, 1, 0, 0, 53},	//1659 QSslSocket::addCaCertificates(const QList<QSslCertificate>&)
    {66, 1042, 1305, 1, 0, 0, 54},	//1660 QSslSocket::setCaCertificates(const QList<QSslCertificate>&)
    {66, 435, 0, 0, Smoke::mf_const, 113, 55},	//1661 QSslSocket::caCertificates() const
    {66, 399, 1285, 3, Smoke::mf_static, 322, 56},	//1662 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {66, 397, 1279, 1, Smoke::mf_static, 0, 57},	//1663 QSslSocket::addDefaultCaCertificate(const QSslCertificate&)
    {66, 399, 1305, 1, Smoke::mf_static, 0, 58},	//1664 QSslSocket::addDefaultCaCertificates(const QList<QSslCertificate>&)
    {66, 1063, 1305, 1, Smoke::mf_static, 0, 59},	//1665 QSslSocket::setDefaultCaCertificates(const QList<QSslCertificate>&)
    {66, 497, 0, 0, Smoke::mf_static, 113, 60},	//1666 QSslSocket::defaultCaCertificates()
    {66, 1269, 0, 0, Smoke::mf_static, 113, 61},	//1667 QSslSocket::systemCaCertificates()
    {66, 1306, 44, 1, 0, 322, 62},	//1668 QSslSocket::waitForConnected(int)
    {66, 1310, 44, 1, 0, 322, 63},	//1669 QSslSocket::waitForEncrypted(int)
    {66, 1315, 44, 1, Smoke::mf_virtual, 322, 64},	//1670 QSslSocket::waitForReadyRead(int)
    {66, 1304, 44, 1, Smoke::mf_virtual, 322, 65},	//1671 QSslSocket::waitForBytesWritten(int)
    {66, 1308, 44, 1, 0, 322, 66},	//1672 QSslSocket::waitForDisconnected(int)
    {66, 1253, 0, 0, Smoke::mf_const, 115, 67},	//1673 QSslSocket::sslErrors() const
    {66, 1268, 0, 0, Smoke::mf_static, 322, 68},	//1674 QSslSocket::supportsSsl()
    {66, 579, 1044, 1, 0, 0, 69},	//1675 QSslSocket::ignoreSslErrors(const QList<QSslError>&)
    {66, 1256, 0, 0, Smoke::mf_slot, 0, 70},	//1676 QSslSocket::startClientEncryption()
    {66, 1257, 0, 0, Smoke::mf_slot, 0, 71},	//1677 QSslSocket::startServerEncryption()
    {66, 579, 0, 0, Smoke::mf_slot, 0, 72},	//1678 QSslSocket::ignoreSslErrors()
    {66, 516, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//1679 QSslSocket::encrypted()
    {66, 765, 1317, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//1680 QSslSocket::peerVerifyError(const QSslError&)
    {66, 1253, 1044, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//1681 QSslSocket::sslErrors(const QList<QSslError>&)
    {66, 662, 1365, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//1682 QSslSocket::modeChanged(QSslSocket::SslMode)
    {66, 519, 1367, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//1683 QSslSocket::encryptedBytesWritten(qint64)
    {66, 467, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 78},	//1684 QSslSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {66, 506, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 79},	//1685 QSslSocket::disconnectFromHostImplementation()
    {66, 977, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 408, 80},	//1686 QSslSocket::readData(char*, long long)
    {66, 1317, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 408, 81},	//1687 QSslSocket::writeData(const char*, long long)
    {66, 1284, 1, 1, Smoke::mf_static, 199, 82},	//1688 QSslSocket::tr(const char*)
    {66, 1288, 1, 1, Smoke::mf_static, 199, 83},	//1689 QSslSocket::trUtf8(const char*)
    {66, 277, 0, 0, Smoke::mf_ctor, 196, 84},	//1690 QSslSocket::QSslSocket()
    {66, 463, 71, 2, 0, 0, 85},	//1691 QSslSocket::connectToHostEncrypted(const QString&, unsigned short)
    {66, 463, 1369, 3, 0, 0, 86},	//1692 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    {66, 1203, 44, 1, 0, 322, 87},	//1693 QSslSocket::setSocketDescriptor(int)
    {66, 1203, 77, 2, 0, 322, 88},	//1694 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {66, 1104, 69, 1, 0, 0, 89},	//1695 QSslSocket::setLocalCertificate(const QString&)
    {66, 1161, 69, 1, 0, 0, 90},	//1696 QSslSocket::setPrivateKey(const QString&)
    {66, 1161, 1373, 2, 0, 0, 91},	//1697 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm)
    {66, 1161, 1376, 3, 0, 0, 92},	//1698 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {66, 392, 69, 1, 0, 322, 93},	//1699 QSslSocket::addCaCertificates(const QString&)
    {66, 392, 1289, 2, 0, 322, 94},	//1700 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat)
    {66, 399, 69, 1, Smoke::mf_static, 322, 95},	//1701 QSslSocket::addDefaultCaCertificates(const QString&)
    {66, 399, 1289, 2, Smoke::mf_static, 322, 96},	//1702 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat)
    {66, 1306, 0, 0, 0, 322, 97},	//1703 QSslSocket::waitForConnected()
    {66, 1310, 0, 0, 0, 322, 98},	//1704 QSslSocket::waitForEncrypted()
    {66, 1315, 0, 0, 0, 322, 99},	//1705 QSslSocket::waitForReadyRead()
    {66, 1304, 0, 0, 0, 322, 100},	//1706 QSslSocket::waitForBytesWritten()
    {66, 1308, 0, 0, 0, 322, 101},	//1707 QSslSocket::waitForDisconnected()
    {66, 1261, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 102},	//1708 QSslSocket::staticMetaObject() const
    {66, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 103},	//1709 QSslSocket::UnencryptedMode (enum)
    {66, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 104},	//1710 QSslSocket::SslClientMode (enum)
    {66, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 105},	//1711 QSslSocket::SslServerMode (enum)
    {66, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 106},	//1712 QSslSocket::VerifyNone (enum)
    {66, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 107},	//1713 QSslSocket::QueryPeer (enum)
    {66, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 108},	//1714 QSslSocket::VerifyPeer (enum)
    {66, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 109},	//1715 QSslSocket::AutoVerifyPeer (enum)
    {66, 1352, 0, 0, Smoke::mf_dtor, 0, 110 },	//1716 QSslSocket::~QSslSocket()
    {69, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1717 QTcpServer::metaObject() const
    {69, 950, 1, 1, Smoke::mf_virtual, 425, 2},	//1718 QTcpServer::qt_metacast(const char*)
    {69, 1284, 3, 2, Smoke::mf_static, 199, 3},	//1719 QTcpServer::tr(const char*, const char*)
    {69, 1288, 3, 2, Smoke::mf_static, 199, 4},	//1720 QTcpServer::trUtf8(const char*, const char*)
    {69, 1284, 6, 3, Smoke::mf_static, 199, 5},	//1721 QTcpServer::tr(const char*, const char*, int)
    {69, 1288, 6, 3, Smoke::mf_static, 199, 6},	//1722 QTcpServer::trUtf8(const char*, const char*, int)
    {69, 948, 10, 3, Smoke::mf_virtual, 406, 7},	//1723 QTcpServer::qt_metacall(QMetaObject::Call, int, void**)
    {69, 279, 20, 1, Smoke::mf_ctor, 206, 8},	//1724 QTcpServer::QTcpServer(QObject*)
    {69, 634, 74, 2, 0, 322, 9},	//1725 QTcpServer::listen(const QHostAddress&, unsigned short)
    {69, 449, 0, 0, 0, 0, 10},	//1726 QTcpServer::close()
    {69, 602, 0, 0, Smoke::mf_const, 322, 11},	//1727 QTcpServer::isListening() const
    {69, 1112, 44, 1, 0, 0, 12},	//1728 QTcpServer::setMaxPendingConnections(int)
    {69, 651, 0, 0, Smoke::mf_const, 406, 13},	//1729 QTcpServer::maxPendingConnections() const
    {69, 1023, 0, 0, Smoke::mf_const, 420, 14},	//1730 QTcpServer::serverPort() const
    {69, 1020, 0, 0, Smoke::mf_const, 74, 15},	//1731 QTcpServer::serverAddress() const
    {69, 1248, 0, 0, Smoke::mf_const, 406, 16},	//1732 QTcpServer::socketDescriptor() const
    {69, 1203, 44, 1, 0, 322, 17},	//1733 QTcpServer::setSocketDescriptor(int)
    {69, 1312, 1088, 2, 0, 322, 18},	//1734 QTcpServer::waitForNewConnection(int, bool*)
    {69, 566, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 322, 19},	//1735 QTcpServer::hasPendingConnections() const
    {69, 673, 0, 0, Smoke::mf_virtual, 207, 20},	//1736 QTcpServer::nextPendingConnection()
    {69, 1021, 0, 0, Smoke::mf_const, 5, 21},	//1737 QTcpServer::serverError() const
    {69, 526, 0, 0, Smoke::mf_const, 199, 22},	//1738 QTcpServer::errorString() const
    {69, 1171, 46, 1, 0, 0, 23},	//1739 QTcpServer::setProxy(const QNetworkProxy&)
    {69, 785, 0, 0, Smoke::mf_const, 144, 24},	//1740 QTcpServer::proxy() const
    {69, 581, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1741 QTcpServer::incomingConnection(int)
    {69, 404, 1012, 1, Smoke::mf_protected, 0, 26},	//1742 QTcpServer::addPendingConnection(QTcpSocket*)
    {69, 672, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1743 QTcpServer::newConnection()
    {69, 1284, 1, 1, Smoke::mf_static, 199, 28},	//1744 QTcpServer::tr(const char*)
    {69, 1288, 1, 1, Smoke::mf_static, 199, 29},	//1745 QTcpServer::trUtf8(const char*)
    {69, 279, 0, 0, Smoke::mf_ctor, 206, 30},	//1746 QTcpServer::QTcpServer()
    {69, 634, 0, 0, 0, 322, 31},	//1747 QTcpServer::listen()
    {69, 634, 67, 1, 0, 322, 32},	//1748 QTcpServer::listen(const QHostAddress&)
    {69, 1312, 0, 0, 0, 322, 33},	//1749 QTcpServer::waitForNewConnection()
    {69, 1312, 44, 1, 0, 322, 34},	//1750 QTcpServer::waitForNewConnection(int)
    {69, 1261, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 35},	//1751 QTcpServer::staticMetaObject() const
    {69, 1353, 0, 0, Smoke::mf_dtor, 0, 36 },	//1752 QTcpServer::~QTcpServer()
    {70, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1753 QTcpSocket::metaObject() const
    {70, 950, 1, 1, Smoke::mf_virtual, 425, 2},	//1754 QTcpSocket::qt_metacast(const char*)
    {70, 1284, 3, 2, Smoke::mf_static, 199, 3},	//1755 QTcpSocket::tr(const char*, const char*)
    {70, 1288, 3, 2, Smoke::mf_static, 199, 4},	//1756 QTcpSocket::trUtf8(const char*, const char*)
    {70, 1284, 6, 3, Smoke::mf_static, 199, 5},	//1757 QTcpSocket::tr(const char*, const char*, int)
    {70, 1288, 6, 3, Smoke::mf_static, 199, 6},	//1758 QTcpSocket::trUtf8(const char*, const char*, int)
    {70, 948, 10, 3, Smoke::mf_virtual, 406, 7},	//1759 QTcpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {70, 281, 20, 1, Smoke::mf_ctor, 207, 8},	//1760 QTcpSocket::QTcpSocket(QObject*)
    {70, 1284, 1, 1, Smoke::mf_static, 199, 9},	//1761 QTcpSocket::tr(const char*)
    {70, 1288, 1, 1, Smoke::mf_static, 199, 10},	//1762 QTcpSocket::trUtf8(const char*)
    {70, 281, 0, 0, Smoke::mf_ctor, 207, 11},	//1763 QTcpSocket::QTcpSocket()
    {70, 1261, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 12},	//1764 QTcpSocket::staticMetaObject() const
    {70, 1354, 0, 0, Smoke::mf_dtor, 0, 13 },	//1765 QTcpSocket::~QTcpSocket()
    {75, 656, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 356, 1},	//1766 QUdpSocket::metaObject() const
    {75, 950, 1, 1, Smoke::mf_virtual, 425, 2},	//1767 QUdpSocket::qt_metacast(const char*)
    {75, 1284, 3, 2, Smoke::mf_static, 199, 3},	//1768 QUdpSocket::tr(const char*, const char*)
    {75, 1288, 3, 2, Smoke::mf_static, 199, 4},	//1769 QUdpSocket::trUtf8(const char*, const char*)
    {75, 1284, 6, 3, Smoke::mf_static, 199, 5},	//1770 QUdpSocket::tr(const char*, const char*, int)
    {75, 1288, 6, 3, Smoke::mf_static, 199, 6},	//1771 QUdpSocket::trUtf8(const char*, const char*, int)
    {75, 948, 10, 3, Smoke::mf_virtual, 406, 7},	//1772 QUdpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {75, 283, 20, 1, Smoke::mf_ctor, 215, 8},	//1773 QUdpSocket::QUdpSocket(QObject*)
    {75, 427, 74, 2, 0, 322, 9},	//1774 QUdpSocket::bind(const QHostAddress&, unsigned short)
    {75, 427, 65, 1, 0, 322, 10},	//1775 QUdpSocket::bind(unsigned short)
    {75, 427, 1380, 3, 0, 322, 11},	//1776 QUdpSocket::bind(const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>)
    {75, 427, 1384, 2, 0, 322, 12},	//1777 QUdpSocket::bind(unsigned short, QFlags<QUdpSocket::BindFlag>)
    {75, 616, 67, 1, 0, 322, 13},	//1778 QUdpSocket::joinMulticastGroup(const QHostAddress&)
    {75, 616, 1387, 2, 0, 322, 14},	//1779 QUdpSocket::joinMulticastGroup(const QHostAddress&, const QNetworkInterface&)
    {75, 624, 67, 1, 0, 322, 15},	//1780 QUdpSocket::leaveMulticastGroup(const QHostAddress&)
    {75, 624, 1387, 2, 0, 322, 16},	//1781 QUdpSocket::leaveMulticastGroup(const QHostAddress&, const QNetworkInterface&)
    {75, 664, 0, 0, Smoke::mf_const, 140, 17},	//1782 QUdpSocket::multicastInterface() const
    {75, 1116, 1164, 1, 0, 0, 18},	//1783 QUdpSocket::setMulticastInterface(const QNetworkInterface&)
    {75, 567, 0, 0, Smoke::mf_const, 322, 19},	//1784 QUdpSocket::hasPendingDatagrams() const
    {75, 769, 0, 0, Smoke::mf_const, 408, 20},	//1785 QUdpSocket::pendingDatagramSize() const
    {75, 979, 1390, 4, 0, 408, 21},	//1786 QUdpSocket::readDatagram(char*, long long, QHostAddress*, unsigned short*)
    {75, 1319, 1395, 4, 0, 408, 22},	//1787 QUdpSocket::writeDatagram(const char*, long long, const QHostAddress&, unsigned short)
    {75, 1319, 1400, 3, 0, 408, 23},	//1788 QUdpSocket::writeDatagram(const QByteArray&, const QHostAddress&, unsigned short)
    {75, 1284, 1, 1, Smoke::mf_static, 199, 24},	//1789 QUdpSocket::tr(const char*)
    {75, 1288, 1, 1, Smoke::mf_static, 199, 25},	//1790 QUdpSocket::trUtf8(const char*)
    {75, 283, 0, 0, Smoke::mf_ctor, 215, 26},	//1791 QUdpSocket::QUdpSocket()
    {75, 427, 0, 0, 0, 322, 27},	//1792 QUdpSocket::bind()
    {75, 979, 59, 2, 0, 408, 28},	//1793 QUdpSocket::readDatagram(char*, long long)
    {75, 979, 1404, 3, 0, 408, 29},	//1794 QUdpSocket::readDatagram(char*, long long, QHostAddress*)
    {75, 1261, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 355, 30},	//1795 QUdpSocket::staticMetaObject() const
    {75, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 31},	//1796 QUdpSocket::DefaultForPlatform (enum)
    {75, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 32},	//1797 QUdpSocket::ShareAddress (enum)
    {75, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 33},	//1798 QUdpSocket::DontShareAddress (enum)
    {75, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 34},	//1799 QUdpSocket::ReuseAddressHint (enum)
    {75, 1355, 0, 0, Smoke::mf_dtor, 0, 35 },	//1800 QUdpSocket::~QUdpSocket()
    {77, 285, 0, 0, Smoke::mf_ctor, 221, 1},	//1801 QUrlInfo::QUrlInfo()
    {77, 285, 105, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 221, 2},	//1802 QUrlInfo::QUrlInfo(const QUrlInfo&)
    {77, 285, 1408, 13, Smoke::mf_ctor, 221, 3},	//1803 QUrlInfo::QUrlInfo(const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {77, 285, 1422, 13, Smoke::mf_ctor, 221, 4},	//1804 QUrlInfo::QUrlInfo(const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {77, 712, 105, 1, 0, 220, 5},	//1805 QUrlInfo::operator=(const QUrlInfo&)
    {77, 1118, 69, 1, Smoke::mf_virtual, 0, 6},	//1806 QUrlInfo::setName(const QString&)
    {77, 1069, 116, 1, Smoke::mf_virtual, 0, 7},	//1807 QUrlInfo::setDir(bool)
    {77, 1080, 116, 1, Smoke::mf_virtual, 0, 8},	//1808 QUrlInfo::setFile(bool)
    {77, 1225, 116, 1, Smoke::mf_virtual, 0, 9},	//1809 QUrlInfo::setSymLink(bool)
    {77, 1133, 69, 1, Smoke::mf_virtual, 0, 10},	//1810 QUrlInfo::setOwner(const QString&)
    {77, 1084, 69, 1, Smoke::mf_virtual, 0, 11},	//1811 QUrlInfo::setGroup(const QString&)
    {77, 1199, 33, 1, Smoke::mf_virtual, 0, 12},	//1812 QUrlInfo::setSize(long long)
    {77, 1245, 116, 1, Smoke::mf_virtual, 0, 13},	//1813 QUrlInfo::setWritable(bool)
    {77, 1186, 116, 1, Smoke::mf_virtual, 0, 14},	//1814 QUrlInfo::setReadable(bool)
    {77, 1153, 44, 1, Smoke::mf_virtual, 0, 15},	//1815 QUrlInfo::setPermissions(int)
    {77, 1098, 1151, 1, Smoke::mf_virtual, 0, 16},	//1816 QUrlInfo::setLastModified(const QDateTime&)
    {77, 1100, 1151, 1, 0, 0, 17},	//1817 QUrlInfo::setLastRead(const QDateTime&)
    {77, 611, 0, 0, Smoke::mf_const, 322, 18},	//1818 QUrlInfo::isValid() const
    {77, 665, 0, 0, Smoke::mf_const, 199, 19},	//1819 QUrlInfo::name() const
    {77, 770, 0, 0, Smoke::mf_const, 406, 20},	//1820 QUrlInfo::permissions() const
    {77, 747, 0, 0, Smoke::mf_const, 199, 21},	//1821 QUrlInfo::owner() const
    {77, 558, 0, 0, Smoke::mf_const, 199, 22},	//1822 QUrlInfo::group() const
    {77, 1247, 0, 0, Smoke::mf_const, 408, 23},	//1823 QUrlInfo::size() const
    {77, 621, 0, 0, Smoke::mf_const, 22, 24},	//1824 QUrlInfo::lastModified() const
    {77, 622, 0, 0, Smoke::mf_const, 22, 25},	//1825 QUrlInfo::lastRead() const
    {77, 593, 0, 0, Smoke::mf_const, 322, 26},	//1826 QUrlInfo::isDir() const
    {77, 596, 0, 0, Smoke::mf_const, 322, 27},	//1827 QUrlInfo::isFile() const
    {77, 609, 0, 0, Smoke::mf_const, 322, 28},	//1828 QUrlInfo::isSymLink() const
    {77, 612, 0, 0, Smoke::mf_const, 322, 29},	//1829 QUrlInfo::isWritable() const
    {77, 604, 0, 0, Smoke::mf_const, 322, 30},	//1830 QUrlInfo::isReadable() const
    {77, 595, 0, 0, Smoke::mf_const, 322, 31},	//1831 QUrlInfo::isExecutable() const
    {77, 556, 1436, 3, Smoke::mf_static, 322, 32},	//1832 QUrlInfo::greaterThan(const QUrlInfo&, const QUrlInfo&, int)
    {77, 628, 1436, 3, Smoke::mf_static, 322, 33},	//1833 QUrlInfo::lessThan(const QUrlInfo&, const QUrlInfo&, int)
    {77, 522, 1436, 3, Smoke::mf_static, 322, 34},	//1834 QUrlInfo::equal(const QUrlInfo&, const QUrlInfo&, int)
    {77, 715, 105, 1, Smoke::mf_const, 322, 35},	//1835 QUrlInfo::operator==(const QUrlInfo&) const
    {77, 676, 105, 1, Smoke::mf_const, 322, 36},	//1836 QUrlInfo::operator!=(const QUrlInfo&) const
    {77, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 37},	//1837 QUrlInfo::ReadOwner (enum)
    {77, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 38},	//1838 QUrlInfo::WriteOwner (enum)
    {77, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 39},	//1839 QUrlInfo::ExeOwner (enum)
    {77, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 40},	//1840 QUrlInfo::ReadGroup (enum)
    {77, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 41},	//1841 QUrlInfo::WriteGroup (enum)
    {77, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 42},	//1842 QUrlInfo::ExeGroup (enum)
    {77, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 43},	//1843 QUrlInfo::ReadOther (enum)
    {77, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 44},	//1844 QUrlInfo::WriteOther (enum)
    {77, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 45},	//1845 QUrlInfo::ExeOther (enum)
    {77, 1356, 0, 0, Smoke::mf_dtor, 0, 46 },	//1846 QUrlInfo::~QUrlInfo()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1375,  // QNetworkRequest::QNetworkRequest(const QUrl&)
    1376,  // QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    0,
    815,  // QHttp::QHttp(const QString&, unsigned short)
    816,  // QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    0,
    824,  // QHttp::post(const QString&, QIODevice*)
    825,  // QHttp::post(const QString&, const QByteArray&)
    0,
    778,  // QHttp::post(const QString&, QIODevice*, QIODevice*)
    779,  // QHttp::post(const QString&, const QByteArray&, QIODevice*)
    0,
    827,  // QHttp::request(const QHttpRequestHeader&, QIODevice*)
    828,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    0,
    781,  // QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    782,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    0,
    771,  // QHttp::setHost(const QString&, unsigned short)
    819,  // QHttp::setHost(const QString&, QHttp::ConnectionMode)
    0,
    1598,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    1601,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    0,
    1599,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    1602,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    0,
    1600,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    1603,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    0,
    1584,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    1585,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    0,
    1121,  // QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    1143,  // QNetworkCookie::QNetworkCookie(const QByteArray&)
    0,
    897,  // QHttpResponseHeader::QHttpResponseHeader(const QString&)
    907,  // QHttpResponseHeader::QHttpResponseHeader(int)
    0,
    1463,  // QSslCertificate::QSslCertificate(const QSslCertificate&)
    1487,  // QSslCertificate::QSslCertificate(QIODevice*)
    1489,  // QSslCertificate::QSslCertificate(const QByteArray&)
    0,
    1461,  // QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    1462,  // QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    0,
    1050,  // QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    1051,  // QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    1052,  // QNetworkAccessManager::post(const QNetworkRequest&, QHttpMultiPart*)
    0,
    1053,  // QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    1054,  // QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    1055,  // QNetworkAccessManager::put(const QNetworkRequest&, QHttpMultiPart*)
    0,
    935,  // QIPv6Address::operator[](int)
    936,  // QIPv6Address::operator[](int) const
    0,
    262,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    270,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    274,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    284,  // QGlobalSpace::operator!=(QChar, QChar)
    309,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    319,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    333,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    335,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    367,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    384,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    400,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    415,  // QGlobalSpace::operator!=(QBool, QBool)
    425,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    457,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    496,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    630,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    450,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    477,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    558,  // QGlobalSpace::operator!=(QBool, bool)
    582,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    658,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    263,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    313,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    417,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    479,  // QGlobalSpace::operator!=(bool, QBool)
    491,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    603,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    244,  // QGlobalSpace::operator*(const QSizeF&, double)
    326,  // QGlobalSpace::operator*(const QPointF&, double)
    391,  // QGlobalSpace::operator*(const QPoint&, float)
    438,  // QGlobalSpace::operator*(const QSize&, double)
    570,  // QGlobalSpace::operator*(const QPoint&, double)
    646,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    385,  // QGlobalSpace::operator*(double, const QSize&)
    510,  // QGlobalSpace::operator*(double, const QPointF&)
    511,  // QGlobalSpace::operator*(int, const QPoint&)
    579,  // QGlobalSpace::operator*(float, const QPoint&)
    580,  // QGlobalSpace::operator*(double, const QPoint&)
    639,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    266,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    506,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    538,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    578,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    670,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    256,  // QGlobalSpace::operator+(QChar, const QString&)
    484,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    507,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    532,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    265,  // QGlobalSpace::operator+(const QString&, QChar)
    310,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    528,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    548,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    396,  // QGlobalSpace::operator+(const char*, const QString&)
    416,  // QGlobalSpace::operator+(const QString&, char)
    549,  // QGlobalSpace::operator+(const QString&, const char*)
    557,  // QGlobalSpace::operator+(const QString&, const QString&)
    666,  // QGlobalSpace::operator+(char, const QString&)
    0,
    392,  // QGlobalSpace::operator-(const QPointF&)
    408,  // QGlobalSpace::operator-(const QPoint&)
    0,
    289,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    441,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    596,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    612,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    402,  // QGlobalSpace::operator/(const QSizeF&, double)
    421,  // QGlobalSpace::operator/(const QPointF&, double)
    447,  // QGlobalSpace::operator/(const QPoint&, double)
    599,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    413,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    551,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    609,  // QGlobalSpace::operator<(QChar, QChar)
    638,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    320,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    478,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    245,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    254,  // QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    264,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    271,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    273,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    287,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    296,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    300,  // QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    307,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    327,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    343,  // QGlobalSpace::operator<<(QDebug, const QSslError&)
    349,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    350,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    352,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    365,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    382,  // QGlobalSpace::operator<<(QDebug, const QSslKey&)
    383,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    398,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    404,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    407,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    410,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    426,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    435,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    440,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    448,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    449,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    451,  // QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    460,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    476,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    495,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    503,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    513,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    514,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    522,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    527,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    537,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    541,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    546,  // QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    547,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    562,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    572,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    581,  // QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    584,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    585,  // QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    591,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    621,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    622,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    626,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    641,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    667,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    0,
    252,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    260,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    290,  // QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    294,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    341,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    351,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    353,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    378,  // QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    488,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    571,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    652,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    0,
    258,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    259,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    325,  // QGlobalSpace::operator<=(QChar, QChar)
    336,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    377,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    397,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    251,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    253,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    268,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    277,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    328,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    332,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    358,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    419,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    461,  // QGlobalSpace::operator==(QBool, QBool)
    483,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    500,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    524,  // QGlobalSpace::operator==(QChar, QChar)
    543,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    559,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    586,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    643,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    647,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    427,  // QGlobalSpace::operator==(QString::Null, const QString&)
    472,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    566,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    653,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    657,  // QGlobalSpace::operator==(QBool, bool)
    0,
    297,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    314,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    362,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    372,  // QGlobalSpace::operator==(const QString&, QString::Null)
    455,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    466,  // QGlobalSpace::operator==(bool, QBool)
    502,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    308,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    354,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    401,  // QGlobalSpace::operator>(QChar, QChar)
    523,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    347,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    359,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    323,  // QGlobalSpace::operator>=(QChar, QChar)
    355,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    412,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    640,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    237,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    600,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    235,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    238,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    249,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    269,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    280,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    286,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    334,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    342,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    381,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    414,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    433,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    437,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    443,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    463,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    464,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    469,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    490,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    515,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    520,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    575,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    589,  // QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    619,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    661,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    458,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    617,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    233,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    236,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    240,  // QGlobalSpace::operator|(Qt::WindowType, int)
    250,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    272,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    282,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    288,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    298,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    301,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    305,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    311,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    312,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    316,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    324,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    329,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    330,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    338,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    344,  // QGlobalSpace::operator|(Qt::DropAction, int)
    346,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    357,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    363,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    364,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    366,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    369,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    370,  // QGlobalSpace::operator|(QSsl::SslOption, int)
    371,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    373,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    375,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    379,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    380,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    386,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    389,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    393,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    395,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    403,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    411,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    423,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    431,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    432,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    442,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    444,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    453,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    456,  // QGlobalSpace::operator|(Qt::WindowState, int)
    465,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    467,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    475,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    481,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    485,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    486,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    487,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    489,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    493,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    499,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    501,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    505,  // QGlobalSpace::operator|(QFile::Permission, int)
    518,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    521,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    530,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    531,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    533,  // QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    534,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    536,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    540,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    542,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    545,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    550,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    555,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    563,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    569,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    577,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    587,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    590,  // QGlobalSpace::operator|(QSsl::SslOption, QSsl::SslOption)
    593,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    594,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    597,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    598,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    601,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    602,  // QGlobalSpace::operator|(QDir::Filter, int)
    607,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    610,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    611,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    616,  // QGlobalSpace::operator|(Qt::Orientation, int)
    618,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    624,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    625,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    627,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    629,  // QGlobalSpace::operator|(QSsl::SslOption, QFlags<QSsl::SslOption>)
    631,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    635,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    636,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    637,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    645,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    648,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    649,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    651,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    654,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    655,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    663,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    664,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    665,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    669,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    671,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
    376,  // QGlobalSpace::qFuzzyCompare(double, double)
    434,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    468,  // QGlobalSpace::qFuzzyIsNull(double)
    620,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    315,  // QGlobalSpace::qHash(const QBitArray&)
    399,  // QGlobalSpace::qHash(const QHostAddress&)
    474,  // QGlobalSpace::qHash(QChar)
    519,  // QGlobalSpace::qHash(const QStringRef&)
    576,  // QGlobalSpace::qHash(const QUrl&)
    623,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    642,  // QGlobalSpace::qHash(const QByteArray&)
    644,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    242,  // QGlobalSpace::qHash(unsigned int)
    243,  // QGlobalSpace::qHash(char)
    275,  // QGlobalSpace::qHash(unsigned char)
    295,  // QGlobalSpace::qHash(short)
    304,  // QGlobalSpace::qHash(long)
    361,  // QGlobalSpace::qHash(unsigned short)
    452,  // QGlobalSpace::qHash(int)
    498,  // QGlobalSpace::qHash(signed char)
    556,  // QGlobalSpace::qHash(const QString&)
    606,  // QGlobalSpace::qHash(unsigned long)
    0,
    388,  // QGlobalSpace::qHash(long long)
    418,  // QGlobalSpace::qHash(unsigned long long)
    0,
    356,  // QGlobalSpace::qIntCast(float)
    422,  // QGlobalSpace::qIntCast(double)
    0,
    299,  // QGlobalSpace::qIsFinite(double)
    668,  // QGlobalSpace::qIsFinite(float)
    0,
    394,  // QGlobalSpace::qIsInf(float)
    595,  // QGlobalSpace::qIsInf(double)
    0,
    561,  // QGlobalSpace::qIsNaN(float)
    568,  // QGlobalSpace::qIsNaN(double)
    0,
    281,  // QGlobalSpace::qIsNull(float)
    614,  // QGlobalSpace::qIsNull(double)
    0,
    198,  // QFtp::put(const QByteArray&, const QString&)
    199,  // QFtp::put(QIODevice*, const QString&)
    0,
    162,  // QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    163,  // QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    0,
    704,  // QHostAddress::QHostAddress(const QIPv6Address&)
    705,  // QHostAddress::QHostAddress(const sockaddr*)
    707,  // QHostAddress::QHostAddress(const QHostAddress&)
    0,
    702,  // QHostAddress::QHostAddress(unsigned int)
    703,  // QHostAddress::QHostAddress(unsigned char*)
    706,  // QHostAddress::QHostAddress(const QString&)
    708,  // QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    0,
    713,  // QHostAddress::setAddress(const QIPv6Address&)
    714,  // QHostAddress::setAddress(const sockaddr*)
    0,
    711,  // QHostAddress::setAddress(unsigned int)
    712,  // QHostAddress::setAddress(unsigned char*)
    715,  // QHostAddress::setAddress(const QString&)
    0,
    1615,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    1692,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    0,
    1265,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    1286,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    0,
    1262,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    1294,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short)
    0,
    1292,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int)
    1295,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&)
    0,
    1268,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1293,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&)
    0,
    1287,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    1290,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    0,
    1264,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1288,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 177, 19},	// QAbstractNetworkCache::QAbstractNetworkCache
    {1, 178, 16},	// QAbstractNetworkCache::QAbstractNetworkCache#
    {1, 438, 12},	// QAbstractNetworkCache::cacheSize
    {1, 446, 15},	// QAbstractNetworkCache::clear
    {1, 490, 10},	// QAbstractNetworkCache::data#
    {1, 586, 14},	// QAbstractNetworkCache::insert#
    {1, 654, 8},	// QAbstractNetworkCache::metaData#
    {1, 656, 1},	// QAbstractNetworkCache::metaObject
    {1, 779, 13},	// QAbstractNetworkCache::prepare#
    {1, 949, 7},	// QAbstractNetworkCache::qt_metacall$$?
    {1, 951, 2},	// QAbstractNetworkCache::qt_metacast$
    {1, 990, 11},	// QAbstractNetworkCache::remove#
    {1, 1261, 20},	// QAbstractNetworkCache::staticMetaObject
    {1, 1285, 17},	// QAbstractNetworkCache::tr$
    {1, 1286, 3},	// QAbstractNetworkCache::tr$$
    {1, 1287, 5},	// QAbstractNetworkCache::tr$$$
    {1, 1289, 18},	// QAbstractNetworkCache::trUtf8$
    {1, 1290, 4},	// QAbstractNetworkCache::trUtf8$$
    {1, 1291, 6},	// QAbstractNetworkCache::trUtf8$$$
    {1, 1294, 9},	// QAbstractNetworkCache::updateMetaData#
    {1, 1322, 21},	// QAbstractNetworkCache::~QAbstractNetworkCache
    {2, 4, 106},	// QAbstractSocket::AddressInUseError
    {2, 18, 122},	// QAbstractSocket::BoundState
    {2, 35, 124},	// QAbstractSocket::ClosingState
    {2, 39, 121},	// QAbstractSocket::ConnectedState
    {2, 41, 120},	// QAbstractSocket::ConnectingState
    {2, 47, 98},	// QAbstractSocket::ConnectionRefusedError
    {2, 61, 104},	// QAbstractSocket::DatagramTooLargeError
    {2, 82, 119},	// QAbstractSocket::HostLookupState
    {2, 86, 100},	// QAbstractSocket::HostNotFoundError
    {2, 93, 95},	// QAbstractSocket::IPv4Protocol
    {2, 94, 96},	// QAbstractSocket::IPv6Protocol
    {2, 104, 126},	// QAbstractSocket::KeepAliveOption
    {2, 127, 123},	// QAbstractSocket::ListeningState
    {2, 134, 125},	// QAbstractSocket::LowDelayOption
    {2, 139, 128},	// QAbstractSocket::MulticastLoopbackOption
    {2, 140, 127},	// QAbstractSocket::MulticastTtlOption
    {2, 142, 105},	// QAbstractSocket::NetworkError
    {2, 167, 110},	// QAbstractSocket::ProxyAuthenticationRequiredError
    {2, 168, 113},	// QAbstractSocket::ProxyConnectionClosedError
    {2, 169, 112},	// QAbstractSocket::ProxyConnectionRefusedError
    {2, 170, 114},	// QAbstractSocket::ProxyConnectionTimeoutError
    {2, 171, 115},	// QAbstractSocket::ProxyNotFoundError
    {2, 172, 116},	// QAbstractSocket::ProxyProtocolError
    {2, 180, 29},	// QAbstractSocket::QAbstractSocket$#
    {2, 308, 99},	// QAbstractSocket::RemoteHostClosedError
    {2, 323, 101},	// QAbstractSocket::SocketAccessError
    {2, 324, 107},	// QAbstractSocket::SocketAddressNotAvailableError
    {2, 325, 102},	// QAbstractSocket::SocketResourceError
    {2, 326, 103},	// QAbstractSocket::SocketTimeoutError
    {2, 330, 111},	// QAbstractSocket::SslHandshakeFailedError
    {2, 343, 92},	// QAbstractSocket::TcpSocket
    {2, 351, 93},	// QAbstractSocket::UdpSocket
    {2, 360, 118},	// QAbstractSocket::UnconnectedState
    {2, 363, 109},	// QAbstractSocket::UnfinishedSocketOperationError
    {2, 368, 97},	// QAbstractSocket::UnknownNetworkLayerProtocol
    {2, 372, 117},	// QAbstractSocket::UnknownSocketError
    {2, 373, 94},	// QAbstractSocket::UnknownSocketType
    {2, 375, 108},	// QAbstractSocket::UnsupportedSocketOperationError
    {2, 386, 44},	// QAbstractSocket::abort
    {2, 418, 54},	// QAbstractSocket::atEnd
    {2, 433, 34},	// QAbstractSocket::bytesAvailable
    {2, 434, 35},	// QAbstractSocket::bytesToWrite
    {2, 439, 36},	// QAbstractSocket::canReadLine
    {2, 449, 52},	// QAbstractSocket::close
    {2, 458, 83},	// QAbstractSocket::connectToHost#$
    {2, 459, 31},	// QAbstractSocket::connectToHost#$$
    {2, 461, 82},	// QAbstractSocket::connectToHost$$
    {2, 462, 30},	// QAbstractSocket::connectToHost$$$
    {2, 468, 90},	// QAbstractSocket::connectToHostImplementation$$
    {2, 469, 68},	// QAbstractSocket::connectToHostImplementation$$$
    {2, 473, 63},	// QAbstractSocket::connected
    {2, 505, 32},	// QAbstractSocket::disconnectFromHost
    {2, 506, 69},	// QAbstractSocket::disconnectFromHostImplementation
    {2, 509, 64},	// QAbstractSocket::disconnected
    {2, 524, 51},	// QAbstractSocket::error
    {2, 525, 66},	// QAbstractSocket::error$
    {2, 537, 55},	// QAbstractSocket::flush
    {2, 576, 62},	// QAbstractSocket::hostFound
    {2, 607, 53},	// QAbstractSocket::isSequential
    {2, 611, 33},	// QAbstractSocket::isValid
    {2, 638, 38},	// QAbstractSocket::localAddress
    {2, 642, 37},	// QAbstractSocket::localPort
    {2, 656, 22},	// QAbstractSocket::metaObject
    {2, 758, 40},	// QAbstractSocket::peerAddress
    {2, 762, 41},	// QAbstractSocket::peerName
    {2, 763, 39},	// QAbstractSocket::peerPort
    {2, 785, 61},	// QAbstractSocket::proxy
    {2, 787, 67},	// QAbstractSocket::proxyAuthenticationRequired##
    {2, 949, 28},	// QAbstractSocket::qt_metacall$$?
    {2, 951, 23},	// QAbstractSocket::qt_metacast$
    {2, 976, 42},	// QAbstractSocket::readBufferSize
    {2, 978, 70},	// QAbstractSocket::readData$?
    {2, 984, 71},	// QAbstractSocket::readLineData$?
    {2, 1103, 76},	// QAbstractSocket::setLocalAddress#
    {2, 1109, 75},	// QAbstractSocket::setLocalPort$
    {2, 1140, 78},	// QAbstractSocket::setPeerAddress#
    {2, 1144, 79},	// QAbstractSocket::setPeerName$
    {2, 1146, 77},	// QAbstractSocket::setPeerPort$
    {2, 1172, 60},	// QAbstractSocket::setProxy#
    {2, 1185, 43},	// QAbstractSocket::setReadBufferSize?
    {2, 1204, 84},	// QAbstractSocket::setSocketDescriptor$
    {2, 1205, 85},	// QAbstractSocket::setSocketDescriptor$$
    {2, 1206, 46},	// QAbstractSocket::setSocketDescriptor$$$
    {2, 1211, 74},	// QAbstractSocket::setSocketError$
    {2, 1213, 47},	// QAbstractSocket::setSocketOption$#
    {2, 1215, 73},	// QAbstractSocket::setSocketState$
    {2, 1248, 45},	// QAbstractSocket::socketDescriptor
    {2, 1250, 48},	// QAbstractSocket::socketOption$
    {2, 1251, 49},	// QAbstractSocket::socketType
    {2, 1258, 50},	// QAbstractSocket::state
    {2, 1260, 65},	// QAbstractSocket::stateChanged$
    {2, 1261, 91},	// QAbstractSocket::staticMetaObject
    {2, 1285, 80},	// QAbstractSocket::tr$
    {2, 1286, 24},	// QAbstractSocket::tr$$
    {2, 1287, 26},	// QAbstractSocket::tr$$$
    {2, 1289, 81},	// QAbstractSocket::trUtf8$
    {2, 1290, 25},	// QAbstractSocket::trUtf8$$
    {2, 1291, 27},	// QAbstractSocket::trUtf8$$$
    {2, 1304, 88},	// QAbstractSocket::waitForBytesWritten
    {2, 1305, 58},	// QAbstractSocket::waitForBytesWritten$
    {2, 1306, 86},	// QAbstractSocket::waitForConnected
    {2, 1307, 56},	// QAbstractSocket::waitForConnected$
    {2, 1308, 89},	// QAbstractSocket::waitForDisconnected
    {2, 1309, 59},	// QAbstractSocket::waitForDisconnected$
    {2, 1315, 87},	// QAbstractSocket::waitForReadyRead
    {2, 1316, 57},	// QAbstractSocket::waitForReadyRead$
    {2, 1318, 72},	// QAbstractSocket::writeData$?
    {2, 1323, 129},	// QAbstractSocket::~QAbstractSocket
    {3, 181, 130},	// QAuthenticator::QAuthenticator
    {3, 182, 131},	// QAuthenticator::QAuthenticator#
    {3, 502, 144},	// QAuthenticator::detach
    {3, 603, 143},	// QAuthenticator::isNull
    {3, 677, 134},	// QAuthenticator::operator!=#
    {3, 713, 132},	// QAuthenticator::operator=#
    {3, 716, 133},	// QAuthenticator::operator==#
    {3, 744, 140},	// QAuthenticator::option$
    {3, 745, 141},	// QAuthenticator::options
    {3, 756, 137},	// QAuthenticator::password
    {3, 987, 139},	// QAuthenticator::realm
    {3, 1130, 142},	// QAuthenticator::setOption$#
    {3, 1136, 138},	// QAuthenticator::setPassword$
    {3, 1236, 136},	// QAuthenticator::setUser$
    {3, 1299, 135},	// QAuthenticator::user
    {3, 1324, 145},	// QAuthenticator::~QAuthenticator
    {16, 3, 227},	// QFtp::Active
    {16, 11, 230},	// QFtp::Ascii
    {16, 17, 229},	// QFtp::Binary
    {16, 25, 219},	// QFtp::Cd
    {16, 33, 217},	// QFtp::Close
    {16, 34, 206},	// QFtp::Closing
    {16, 37, 215},	// QFtp::ConnectToHost
    {16, 38, 204},	// QFtp::Connected
    {16, 40, 203},	// QFtp::Connecting
    {16, 46, 210},	// QFtp::ConnectionRefused
    {16, 77, 220},	// QFtp::Get
    {16, 81, 202},	// QFtp::HostLookup
    {16, 85, 209},	// QFtp::HostNotFound
    {16, 125, 218},	// QFtp::List
    {16, 132, 205},	// QFtp::LoggedIn
    {16, 133, 216},	// QFtp::Login
    {16, 138, 223},	// QFtp::Mkdir
    {16, 143, 207},	// QFtp::NoError
    {16, 147, 212},	// QFtp::None
    {16, 150, 211},	// QFtp::NotConnected
    {16, 156, 228},	// QFtp::Passive
    {16, 175, 221},	// QFtp::Put
    {16, 183, 191},	// QFtp::QFtp
    {16, 184, 153},	// QFtp::QFtp#
    {16, 300, 226},	// QFtp::RawCommand
    {16, 309, 222},	// QFtp::Remove
    {16, 310, 225},	// QFtp::Rename
    {16, 312, 224},	// QFtp::Rmdir
    {16, 320, 214},	// QFtp::SetProxy
    {16, 321, 213},	// QFtp::SetTransferMode
    {16, 359, 201},	// QFtp::Unconnected
    {16, 366, 208},	// QFtp::UnknownError
    {16, 386, 180},	// QFtp::abort
    {16, 433, 169},	// QFtp::bytesAvailable
    {16, 442, 160},	// QFtp::cd$
    {16, 447, 176},	// QFtp::clearPendingCommands
    {16, 449, 157},	// QFtp::close
    {16, 452, 187},	// QFtp::commandFinished$$
    {16, 454, 186},	// QFtp::commandStarted$
    {16, 460, 192},	// QFtp::connectToHost$
    {16, 461, 155},	// QFtp::connectToHost$$
    {16, 482, 174},	// QFtp::currentCommand
    {16, 484, 173},	// QFtp::currentDevice
    {16, 485, 172},	// QFtp::currentId
    {16, 496, 184},	// QFtp::dataTransferProgress??
    {16, 512, 188},	// QFtp::done$
    {16, 524, 178},	// QFtp::error
    {16, 526, 179},	// QFtp::errorString
    {16, 553, 196},	// QFtp::get$
    {16, 554, 197},	// QFtp::get$#
    {16, 555, 161},	// QFtp::get$#$
    {16, 565, 175},	// QFtp::hasPendingCommands
    {16, 630, 195},	// QFtp::list
    {16, 631, 159},	// QFtp::list$
    {16, 633, 182},	// QFtp::listInfo#
    {16, 643, 193},	// QFtp::login
    {16, 644, 194},	// QFtp::login$
    {16, 645, 156},	// QFtp::login$$
    {16, 656, 146},	// QFtp::metaObject
    {16, 660, 165},	// QFtp::mkdir$
    {16, 794, -438},	// QFtp::put#$
    {16, 795, -441},	// QFtp::put#$$
    {16, 949, 152},	// QFtp::qt_metacall$$?
    {16, 951, 147},	// QFtp::qt_metacast$
    {16, 965, 168},	// QFtp::rawCommand$
    {16, 967, 185},	// QFtp::rawCommandReply$$
    {16, 974, 170},	// QFtp::read$?
    {16, 975, 171},	// QFtp::readAll
    {16, 985, 183},	// QFtp::readyRead
    {16, 991, 164},	// QFtp::remove$
    {16, 999, 167},	// QFtp::rename$$
    {16, 1012, 166},	// QFtp::rmdir$
    {16, 1173, 154},	// QFtp::setProxy$$
    {16, 1228, 158},	// QFtp::setTransferMode$
    {16, 1258, 177},	// QFtp::state
    {16, 1260, 181},	// QFtp::stateChanged$
    {16, 1261, 200},	// QFtp::staticMetaObject
    {16, 1285, 189},	// QFtp::tr$
    {16, 1286, 148},	// QFtp::tr$$
    {16, 1287, 150},	// QFtp::tr$$$
    {16, 1289, 190},	// QFtp::trUtf8$
    {16, 1290, 149},	// QFtp::trUtf8$$
    {16, 1291, 151},	// QFtp::trUtf8$$$
    {16, 1325, 231},	// QFtp::~QFtp
    {17, 106, 684},	// QGlobalSpace::LicensedActiveQt
    {17, 107, 690},	// QGlobalSpace::LicensedCore
    {17, 108, 682},	// QGlobalSpace::LicensedDBus
    {17, 109, 687},	// QGlobalSpace::LicensedDeclarative
    {17, 110, 677},	// QGlobalSpace::LicensedGui
    {17, 111, 696},	// QGlobalSpace::LicensedHelp
    {17, 112, 697},	// QGlobalSpace::LicensedMultimedia
    {17, 113, 700},	// QGlobalSpace::LicensedNetwork
    {17, 114, 689},	// QGlobalSpace::LicensedOpenGL
    {17, 115, 681},	// QGlobalSpace::LicensedOpenVG
    {17, 116, 698},	// QGlobalSpace::LicensedQt3Support
    {17, 117, 679},	// QGlobalSpace::LicensedQt3SupportLight
    {17, 118, 680},	// QGlobalSpace::LicensedScript
    {17, 119, 685},	// QGlobalSpace::LicensedScriptTools
    {17, 120, 688},	// QGlobalSpace::LicensedSql
    {17, 121, 686},	// QGlobalSpace::LicensedSvg
    {17, 122, 683},	// QGlobalSpace::LicensedTest
    {17, 123, 678},	// QGlobalSpace::LicensedXml
    {17, 124, 699},	// QGlobalSpace::LicensedXmlPatterns
    {17, 289, 672},	// QGlobalSpace::Q_COMPLEX_TYPE
    {17, 290, 676},	// QGlobalSpace::Q_DUMMY_TYPE
    {17, 291, 675},	// QGlobalSpace::Q_MOVABLE_TYPE
    {17, 292, 673},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {17, 293, 674},	// QGlobalSpace::Q_STATIC_TYPE
    {17, 294, 693},	// QGlobalSpace::QtCriticalMsg
    {17, 295, 691},	// QGlobalSpace::QtDebugMsg
    {17, 296, 694},	// QGlobalSpace::QtFatalMsg
    {17, 297, 695},	// QGlobalSpace::QtSystemMsg
    {17, 298, 692},	// QGlobalSpace::QtWarningMsg
    {17, 678, -58},	// QGlobalSpace::operator!=##
    {17, 679, -75},	// QGlobalSpace::operator!=#$
    {17, 681, -81},	// QGlobalSpace::operator!=$#
    {17, 682, 632},	// QGlobalSpace::operator!=$$
    {17, 684, 406},	// QGlobalSpace::operator&##
    {17, 686, -88},	// QGlobalSpace::operator*#$
    {17, 687, -95},	// QGlobalSpace::operator*$#
    {17, 689, -102},	// QGlobalSpace::operator+##
    {17, 690, -108},	// QGlobalSpace::operator+#$
    {17, 691, -113},	// QGlobalSpace::operator+$#
    {17, 692, -118},	// QGlobalSpace::operator+$$
    {17, 694, -124},	// QGlobalSpace::operator-#
    {17, 695, -127},	// QGlobalSpace::operator-##
    {17, 697, -132},	// QGlobalSpace::operator/#$
    {17, 699, -137},	// QGlobalSpace::operator<##
    {17, 700, 247},	// QGlobalSpace::operator<#$
    {17, 701, -142},	// QGlobalSpace::operator<$#
    {17, 702, 471},	// QGlobalSpace::operator<$$
    {17, 704, -145},	// QGlobalSpace::operator<<##
    {17, 705, -196},	// QGlobalSpace::operator<<#$
    {17, 706, 560},	// QGlobalSpace::operator<<#?
    {17, 708, -208},	// QGlobalSpace::operator<=##
    {17, 709, 428},	// QGlobalSpace::operator<=#$
    {17, 710, -213},	// QGlobalSpace::operator<=$#
    {17, 711, 390},	// QGlobalSpace::operator<=$$
    {17, 717, -216},	// QGlobalSpace::operator==##
    {17, 718, -234},	// QGlobalSpace::operator==#$
    {17, 720, -240},	// QGlobalSpace::operator==$#
    {17, 721, 539},	// QGlobalSpace::operator==$$
    {17, 723, -248},	// QGlobalSpace::operator>##
    {17, 724, 628},	// QGlobalSpace::operator>#$
    {17, 725, -253},	// QGlobalSpace::operator>$#
    {17, 726, 248},	// QGlobalSpace::operator>$$
    {17, 728, -256},	// QGlobalSpace::operator>=##
    {17, 729, 409},	// QGlobalSpace::operator>=#$
    {17, 730, -261},	// QGlobalSpace::operator>=$#
    {17, 731, 567},	// QGlobalSpace::operator>=$$
    {17, 733, -264},	// QGlobalSpace::operator>>##
    {17, 734, -288},	// QGlobalSpace::operator>>#$
    {17, 735, 504},	// QGlobalSpace::operator>>#?
    {17, 739, 659},	// QGlobalSpace::operator^##
    {17, 741, 318},	// QGlobalSpace::operator|##
    {17, 742, -291},	// QGlobalSpace::operator|$$
    {17, 797, 234},	// QGlobalSpace::qAcos$
    {17, 799, 508},	// QGlobalSpace::qAddPostRoutine$
    {17, 800, 239},	// QGlobalSpace::qAppName
    {17, 802, 660},	// QGlobalSpace::qAsin$
    {17, 804, 321},	// QGlobalSpace::qAtan$
    {17, 806, 293},	// QGlobalSpace::qAtan2$$
    {17, 807, 662},	// QGlobalSpace::qBadAlloc
    {17, 809, 497},	// QGlobalSpace::qCeil$
    {17, 811, 436},	// QGlobalSpace::qChecksum$$
    {17, 813, 340},	// QGlobalSpace::qCompress#
    {17, 814, 339},	// QGlobalSpace::qCompress#$
    {17, 815, 553},	// QGlobalSpace::qCompress$$
    {17, 816, 552},	// QGlobalSpace::qCompress$$$
    {17, 818, 525},	// QGlobalSpace::qCos$
    {17, 819, 445},	// QGlobalSpace::qCritical
    {17, 820, 387},	// QGlobalSpace::qDebug
    {17, 822, 462},	// QGlobalSpace::qExp$
    {17, 824, 360},	// QGlobalSpace::qFabs$
    {17, 826, 429},	// QGlobalSpace::qFastCos$
    {17, 828, 255},	// QGlobalSpace::qFastSin$
    {17, 830, 420},	// QGlobalSpace::qFlagLocation$
    {17, 832, 554},	// QGlobalSpace::qFloor$
    {17, 834, 565},	// QGlobalSpace::qFree$
    {17, 836, 650},	// QGlobalSpace::qFreeAligned$
    {17, 838, -394},	// QGlobalSpace::qFuzzyCompare$$
    {17, 840, -397},	// QGlobalSpace::qFuzzyIsNull$
    {17, 842, -400},	// QGlobalSpace::qHash#
    {17, 843, -409},	// QGlobalSpace::qHash$
    {17, 844, -420},	// QGlobalSpace::qHash?
    {17, 845, 516},	// QGlobalSpace::qInf
    {17, 847, 439},	// QGlobalSpace::qInstallMsgHandler$
    {17, 849, -423},	// QGlobalSpace::qIntCast$
    {17, 851, -426},	// QGlobalSpace::qIsFinite$
    {17, 853, -429},	// QGlobalSpace::qIsInf$
    {17, 855, -432},	// QGlobalSpace::qIsNaN$
    {17, 857, -435},	// QGlobalSpace::qIsNull$
    {17, 859, 656},	// QGlobalSpace::qLn$
    {17, 861, 613},	// QGlobalSpace::qMalloc?
    {17, 863, 526},	// QGlobalSpace::qMallocAligned??
    {17, 865, 564},	// QGlobalSpace::qMemCopy$$?
    {17, 867, 494},	// QGlobalSpace::qMemSet$$?
    {17, 869, 446},	// QGlobalSpace::qPow$$
    {17, 870, 283},	// QGlobalSpace::qQNaN
    {17, 872, 368},	// QGlobalSpace::qRealloc$?
    {17, 874, 345},	// QGlobalSpace::qReallocAligned$???
    {17, 876, 509},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {17, 878, 430},	// QGlobalSpace::qRemovePostRoutine$
    {17, 880, 232},	// QGlobalSpace::qRound$
    {17, 882, 605},	// QGlobalSpace::qRound64$
    {17, 883, 608},	// QGlobalSpace::qSNaN
    {17, 885, 633},	// QGlobalSpace::qSetFieldWidth$
    {17, 887, 285},	// QGlobalSpace::qSetPadChar#
    {17, 889, 573},	// QGlobalSpace::qSetRealNumberPrecision$
    {17, 890, 512},	// QGlobalSpace::qSharedBuild
    {17, 892, 583},	// QGlobalSpace::qSin$
    {17, 894, 348},	// QGlobalSpace::qSqrt$
    {17, 896, 544},	// QGlobalSpace::qStringComparisonHelper#$
    {17, 897, 634},	// QGlobalSpace::qStringComparisonHelper$$
    {17, 899, 604},	// QGlobalSpace::qTan$
    {17, 901, 424},	// QGlobalSpace::qUncompress#
    {17, 902, 337},	// QGlobalSpace::qUncompress$$
    {17, 903, 535},	// QGlobalSpace::qVersion
    {17, 904, 374},	// QGlobalSpace::qWarning
    {17, 906, 473},	// QGlobalSpace::qbswap_helper$$$
    {17, 908, 246},	// QGlobalSpace::qgetenv$
    {17, 910, 615},	// QGlobalSpace::qputenv$#
    {17, 911, 574},	// QGlobalSpace::qrand
    {17, 913, 482},	// QGlobalSpace::qsrand$
    {17, 915, 405},	// QGlobalSpace::qstrcmp##
    {17, 916, 302},	// QGlobalSpace::qstrcmp#$
    {17, 917, 322},	// QGlobalSpace::qstrcmp$#
    {17, 918, 306},	// QGlobalSpace::qstrcmp$$
    {17, 920, 317},	// QGlobalSpace::qstrcpy$$
    {17, 922, 303},	// QGlobalSpace::qstrdup$
    {17, 924, 492},	// QGlobalSpace::qstricmp$$
    {17, 926, 592},	// QGlobalSpace::qstrlen$
    {17, 928, 257},	// QGlobalSpace::qstrncmp$$$
    {17, 930, 241},	// QGlobalSpace::qstrncpy$$$
    {17, 932, 517},	// QGlobalSpace::qstrnicmp$$$
    {17, 934, 267},	// QGlobalSpace::qstrnlen$$
    {17, 936, 292},	// QGlobalSpace::qtTrId$
    {17, 937, 291},	// QGlobalSpace::qtTrId$$
    {17, 939, 588},	// QGlobalSpace::qt_assert$$$
    {17, 941, 529},	// QGlobalSpace::qt_assert_x$$$$
    {17, 943, 331},	// QGlobalSpace::qt_check_pointer$$
    {17, 944, 279},	// QGlobalSpace::qt_error_string
    {17, 945, 278},	// QGlobalSpace::qt_error_string$
    {17, 947, 480},	// QGlobalSpace::qt_message_output$$
    {17, 952, 454},	// QGlobalSpace::qt_noop
    {17, 954, 459},	// QGlobalSpace::qt_qFindChild_helper#$#
    {17, 956, 276},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {17, 961, 470},	// QGlobalSpace::qvariant_cast_helper#$$
    {17, 963, 261},	// QGlobalSpace::qvsnprintf$?$?
    {19, 7, 735},	// QHostAddress::Any
    {19, 8, 736},	// QHostAddress::AnyIPv6
    {19, 19, 732},	// QHostAddress::Broadcast
    {19, 128, 733},	// QHostAddress::LocalHost
    {19, 129, 734},	// QHostAddress::LocalHostIPv6
    {19, 152, 731},	// QHostAddress::Null
    {19, 185, 701},	// QHostAddress::QHostAddress
    {19, 186, -444},	// QHostAddress::QHostAddress#
    {19, 187, -448},	// QHostAddress::QHostAddress$
    {19, 446, 727},	// QHostAddress::clear
    {19, 600, 728},	// QHostAddress::isInSubnet#$
    {19, 601, 729},	// QHostAddress::isInSubnet?
    {19, 603, 726},	// QHostAddress::isNull
    {19, 677, 724},	// QHostAddress::operator!=#
    {19, 680, 725},	// QHostAddress::operator!=$
    {19, 713, 709},	// QHostAddress::operator=#
    {19, 714, 710},	// QHostAddress::operator=$
    {19, 716, 722},	// QHostAddress::operator==#
    {19, 719, 723},	// QHostAddress::operator==$
    {19, 755, 730},	// QHostAddress::parseSubnet$
    {19, 782, 716},	// QHostAddress::protocol
    {19, 1014, 720},	// QHostAddress::scopeId
    {19, 1026, -453},	// QHostAddress::setAddress#
    {19, 1027, -456},	// QHostAddress::setAddress$
    {19, 1196, 721},	// QHostAddress::setScopeId$
    {19, 1277, 717},	// QHostAddress::toIPv4Address
    {19, 1278, 718},	// QHostAddress::toIPv6Address
    {19, 1283, 719},	// QHostAddress::toString
    {19, 1326, 737},	// QHostAddress::~QHostAddress
    {20, 85, 758},	// QHostInfo::HostNotFound
    {20, 143, 757},	// QHostInfo::NoError
    {20, 188, 756},	// QHostInfo::QHostInfo
    {20, 189, 739},	// QHostInfo::QHostInfo#
    {20, 190, 738},	// QHostInfo::QHostInfo$
    {20, 366, 759},	// QHostInfo::UnknownError
    {20, 388, 752},	// QHostInfo::abortHostLookup$
    {20, 409, 743},	// QHostInfo::addresses
    {20, 524, 745},	// QHostInfo::error
    {20, 526, 747},	// QHostInfo::errorString
    {20, 545, 753},	// QHostInfo::fromName$
    {20, 577, 741},	// QHostInfo::hostName
    {20, 640, 755},	// QHostInfo::localDomainName
    {20, 641, 754},	// QHostInfo::localHostName
    {20, 647, 751},	// QHostInfo::lookupHost$#$
    {20, 648, 750},	// QHostInfo::lookupId
    {20, 713, 740},	// QHostInfo::operator=#
    {20, 1029, 744},	// QHostInfo::setAddresses?
    {20, 1074, 746},	// QHostInfo::setError$
    {20, 1077, 748},	// QHostInfo::setErrorString$
    {20, 1093, 742},	// QHostInfo::setHostName$
    {20, 1111, 749},	// QHostInfo::setLookupId$
    {20, 1327, 760},	// QHostInfo::~QHostInfo
    {21, 1, 846},	// QHttp::Aborted
    {21, 12, 847},	// QHttp::AuthenticationRequiredError
    {21, 34, 838},	// QHttp::Closing
    {21, 38, 837},	// QHttp::Connected
    {21, 40, 834},	// QHttp::Connecting
    {21, 44, 830},	// QHttp::ConnectionModeHttp
    {21, 45, 831},	// QHttp::ConnectionModeHttps
    {21, 46, 842},	// QHttp::ConnectionRefused
    {21, 81, 833},	// QHttp::HostLookup
    {21, 85, 841},	// QHttp::HostNotFound
    {21, 99, 844},	// QHttp::InvalidResponseHeader
    {21, 143, 839},	// QHttp::NoError
    {21, 167, 848},	// QHttp::ProxyAuthenticationRequiredError
    {21, 191, 813},	// QHttp::QHttp
    {21, 192, 768},	// QHttp::QHttp#
    {21, 193, 814},	// QHttp::QHttp$
    {21, 194, -4},	// QHttp::QHttp$$
    {21, 195, 769},	// QHttp::QHttp$$#
    {21, 196, 817},	// QHttp::QHttp$$$
    {21, 197, 770},	// QHttp::QHttp$$$#
    {21, 306, 836},	// QHttp::Reading
    {21, 317, 835},	// QHttp::Sending
    {21, 359, 832},	// QHttp::Unconnected
    {21, 362, 843},	// QHttp::UnexpectedClose
    {21, 366, 840},	// QHttp::UnknownError
    {21, 385, 845},	// QHttp::WrongContentLength
    {21, 386, 798},	// QHttp::abort
    {21, 426, 809},	// QHttp::authenticationRequired$$#
    {21, 433, 785},	// QHttp::bytesAvailable
    {21, 448, 794},	// QHttp::clearPendingRequests
    {21, 449, 784},	// QHttp::close
    {21, 450, 783},	// QHttp::closeConnection
    {21, 483, 790},	// QHttp::currentDestinationDevice
    {21, 485, 788},	// QHttp::currentId
    {21, 486, 791},	// QHttp::currentRequest
    {21, 487, 789},	// QHttp::currentSourceDevice
    {21, 492, 804},	// QHttp::dataReadProgress$$
    {21, 494, 803},	// QHttp::dataSendProgress$$
    {21, 512, 807},	// QHttp::done$
    {21, 524, 796},	// QHttp::error
    {21, 526, 797},	// QHttp::errorString
    {21, 553, 823},	// QHttp::get$
    {21, 554, 777},	// QHttp::get$#
    {21, 568, 793},	// QHttp::hasPendingRequests
    {21, 573, 780},	// QHttp::head$
    {21, 579, 799},	// QHttp::ignoreSslErrors
    {21, 623, 792},	// QHttp::lastResponse
    {21, 656, 761},	// QHttp::metaObject
    {21, 775, -7},	// QHttp::post$#
    {21, 776, -10},	// QHttp::post$##
    {21, 787, 808},	// QHttp::proxyAuthenticationRequired##
    {21, 949, 767},	// QHttp::qt_metacall$$?
    {21, 951, 762},	// QHttp::qt_metacast$
    {21, 974, 786},	// QHttp::read$?
    {21, 975, 787},	// QHttp::readAll
    {21, 986, 802},	// QHttp::readyRead#
    {21, 1001, 826},	// QHttp::request#
    {21, 1002, -13},	// QHttp::request##
    {21, 1003, -16},	// QHttp::request###
    {21, 1005, 806},	// QHttp::requestFinished$$
    {21, 1007, 805},	// QHttp::requestStarted$
    {21, 1010, 801},	// QHttp::responseHeaderReceived#
    {21, 1089, 818},	// QHttp::setHost$
    {21, 1090, -19},	// QHttp::setHost$$
    {21, 1091, 772},	// QHttp::setHost$$$
    {21, 1172, 776},	// QHttp::setProxy#
    {21, 1173, 821},	// QHttp::setProxy$$
    {21, 1174, 822},	// QHttp::setProxy$$$
    {21, 1175, 775},	// QHttp::setProxy$$$$
    {21, 1202, 773},	// QHttp::setSocket#
    {21, 1236, 820},	// QHttp::setUser$
    {21, 1237, 774},	// QHttp::setUser$$
    {21, 1255, 810},	// QHttp::sslErrors?
    {21, 1258, 795},	// QHttp::state
    {21, 1260, 800},	// QHttp::stateChanged$
    {21, 1261, 829},	// QHttp::staticMetaObject
    {21, 1285, 811},	// QHttp::tr$
    {21, 1286, 763},	// QHttp::tr$$
    {21, 1287, 765},	// QHttp::tr$$$
    {21, 1289, 812},	// QHttp::trUtf8$
    {21, 1290, 764},	// QHttp::trUtf8$$
    {21, 1291, 766},	// QHttp::trUtf8$$$
    {21, 1328, 849},	// QHttp::~QHttp
    {22, 198, 850},	// QHttpHeader::QHttpHeader
    {22, 199, 851},	// QHttpHeader::QHttpHeader#
    {22, 200, 852},	// QHttpHeader::QHttpHeader$
    {22, 407, 856},	// QHttpHeader::addValue$$
    {22, 415, 861},	// QHttpHeader::allValues$
    {22, 474, 865},	// QHttpHeader::contentLength
    {22, 475, 868},	// QHttpHeader::contentType
    {22, 561, 864},	// QHttpHeader::hasContentLength
    {22, 562, 867},	// QHttpHeader::hasContentType
    {22, 564, 858},	// QHttpHeader::hasKey$
    {22, 611, 871},	// QHttpHeader::isValid
    {22, 620, 859},	// QHttpHeader::keys
    {22, 649, 872},	// QHttpHeader::majorVersion
    {22, 658, 873},	// QHttpHeader::minorVersion
    {22, 713, 853},	// QHttpHeader::operator=#
    {22, 749, 875},	// QHttpHeader::parse$
    {22, 753, 874},	// QHttpHeader::parseLine$$
    {22, 993, 863},	// QHttpHeader::removeAllValues$
    {22, 997, 862},	// QHttpHeader::removeValue$
    {22, 1056, 866},	// QHttpHeader::setContentLength$
    {22, 1058, 869},	// QHttpHeader::setContentType$
    {22, 1239, 876},	// QHttpHeader::setValid$
    {22, 1242, 854},	// QHttpHeader::setValue$$
    {22, 1244, 855},	// QHttpHeader::setValues?
    {22, 1283, 870},	// QHttpHeader::toString
    {22, 1301, 860},	// QHttpHeader::value$
    {22, 1302, 857},	// QHttpHeader::values
    {22, 1329, 877},	// QHttpHeader::~QHttpHeader
    {24, 201, 878},	// QHttpRequestHeader::QHttpRequestHeader
    {24, 202, 880},	// QHttpRequestHeader::QHttpRequestHeader#
    {24, 203, 881},	// QHttpRequestHeader::QHttpRequestHeader$
    {24, 204, 890},	// QHttpRequestHeader::QHttpRequestHeader$$
    {24, 205, 891},	// QHttpRequestHeader::QHttpRequestHeader$$$
    {24, 206, 879},	// QHttpRequestHeader::QHttpRequestHeader$$$$
    {24, 649, 886},	// QHttpRequestHeader::majorVersion
    {24, 657, 884},	// QHttpRequestHeader::method
    {24, 658, 887},	// QHttpRequestHeader::minorVersion
    {24, 713, 882},	// QHttpRequestHeader::operator=#
    {24, 753, 889},	// QHttpRequestHeader::parseLine$$
    {24, 757, 885},	// QHttpRequestHeader::path
    {24, 1190, 892},	// QHttpRequestHeader::setRequest$$
    {24, 1191, 893},	// QHttpRequestHeader::setRequest$$$
    {24, 1192, 883},	// QHttpRequestHeader::setRequest$$$$
    {24, 1283, 888},	// QHttpRequestHeader::toString
    {24, 1330, 894},	// QHttpRequestHeader::~QHttpRequestHeader
    {25, 207, 895},	// QHttpResponseHeader::QHttpResponseHeader
    {25, 208, 896},	// QHttpResponseHeader::QHttpResponseHeader#
    {25, 209, -37},	// QHttpResponseHeader::QHttpResponseHeader$
    {25, 210, 908},	// QHttpResponseHeader::QHttpResponseHeader$$
    {25, 211, 909},	// QHttpResponseHeader::QHttpResponseHeader$$$
    {25, 212, 898},	// QHttpResponseHeader::QHttpResponseHeader$$$$
    {25, 649, 903},	// QHttpResponseHeader::majorVersion
    {25, 658, 904},	// QHttpResponseHeader::minorVersion
    {25, 713, 899},	// QHttpResponseHeader::operator=#
    {25, 753, 906},	// QHttpResponseHeader::parseLine$$
    {25, 988, 902},	// QHttpResponseHeader::reasonPhrase
    {25, 1221, 910},	// QHttpResponseHeader::setStatusLine$
    {25, 1222, 911},	// QHttpResponseHeader::setStatusLine$$
    {25, 1223, 912},	// QHttpResponseHeader::setStatusLine$$$
    {25, 1224, 900},	// QHttpResponseHeader::setStatusLine$$$$
    {25, 1262, 901},	// QHttpResponseHeader::statusCode
    {25, 1283, 905},	// QHttpResponseHeader::toString
    {25, 1331, 913},	// QHttpResponseHeader::~QHttpResponseHeader
    {27, 213, 937},	// QIPv6Address::QIPv6Address
    {27, 214, 938},	// QIPv6Address::QIPv6Address#
    {27, 737, -55},	// QIPv6Address::operator[]$
    {27, 1332, 939},	// QIPv6Address::~QIPv6Address
    {32, 215, 965},	// QLocalServer::QLocalServer
    {32, 216, 948},	// QLocalServer::QLocalServer#
    {32, 449, 949},	// QLocalServer::close
    {32, 526, 950},	// QLocalServer::errorString
    {32, 550, 957},	// QLocalServer::fullServerName
    {32, 566, 951},	// QLocalServer::hasPendingConnections
    {32, 583, 962},	// QLocalServer::incomingConnection?
    {32, 602, 952},	// QLocalServer::isListening
    {32, 637, 953},	// QLocalServer::listen$
    {32, 651, 954},	// QLocalServer::maxPendingConnections
    {32, 656, 940},	// QLocalServer::metaObject
    {32, 672, 947},	// QLocalServer::newConnection
    {32, 673, 955},	// QLocalServer::nextPendingConnection
    {32, 949, 946},	// QLocalServer::qt_metacall$$?
    {32, 951, 941},	// QLocalServer::qt_metacast$
    {32, 995, 958},	// QLocalServer::removeServer$
    {32, 1021, 959},	// QLocalServer::serverError
    {32, 1022, 956},	// QLocalServer::serverName
    {32, 1113, 960},	// QLocalServer::setMaxPendingConnections$
    {32, 1261, 968},	// QLocalServer::staticMetaObject
    {32, 1285, 963},	// QLocalServer::tr$
    {32, 1286, 942},	// QLocalServer::tr$$
    {32, 1287, 944},	// QLocalServer::tr$$$
    {32, 1289, 964},	// QLocalServer::trUtf8$
    {32, 1290, 943},	// QLocalServer::trUtf8$$
    {32, 1291, 945},	// QLocalServer::trUtf8$$$
    {32, 1312, 966},	// QLocalServer::waitForNewConnection
    {32, 1313, 967},	// QLocalServer::waitForNewConnection$
    {32, 1314, 961},	// QLocalServer::waitForNewConnection$$
    {32, 1333, 969},	// QLocalServer::~QLocalServer
    {33, 35, 1030},	// QLocalSocket::ClosingState
    {33, 39, 1029},	// QLocalSocket::ConnectedState
    {33, 41, 1028},	// QLocalSocket::ConnectingState
    {33, 43, 1024},	// QLocalSocket::ConnectionError
    {33, 47, 1017},	// QLocalSocket::ConnectionRefusedError
    {33, 61, 1023},	// QLocalSocket::DatagramTooLargeError
    {33, 158, 1018},	// QLocalSocket::PeerClosedError
    {33, 217, 1008},	// QLocalSocket::QLocalSocket
    {33, 218, 977},	// QLocalSocket::QLocalSocket#
    {33, 318, 1019},	// QLocalSocket::ServerNotFoundError
    {33, 323, 1020},	// QLocalSocket::SocketAccessError
    {33, 325, 1021},	// QLocalSocket::SocketResourceError
    {33, 326, 1022},	// QLocalSocket::SocketTimeoutError
    {33, 360, 1027},	// QLocalSocket::UnconnectedState
    {33, 372, 1026},	// QLocalSocket::UnknownSocketError
    {33, 375, 1025},	// QLocalSocket::UnsupportedSocketOperationError
    {33, 386, 982},	// QLocalSocket::abort
    {33, 433, 984},	// QLocalSocket::bytesAvailable
    {33, 434, 985},	// QLocalSocket::bytesToWrite
    {33, 439, 986},	// QLocalSocket::canReadLine
    {33, 449, 987},	// QLocalSocket::close
    {33, 471, 1009},	// QLocalSocket::connectToServer$
    {33, 472, 978},	// QLocalSocket::connectToServer$$
    {33, 473, 1000},	// QLocalSocket::connected
    {33, 507, 979},	// QLocalSocket::disconnectFromServer
    {33, 509, 1001},	// QLocalSocket::disconnected
    {33, 524, 988},	// QLocalSocket::error
    {33, 525, 1002},	// QLocalSocket::error$
    {33, 537, 989},	// QLocalSocket::flush
    {33, 550, 981},	// QLocalSocket::fullServerName
    {33, 607, 983},	// QLocalSocket::isSequential
    {33, 611, 990},	// QLocalSocket::isValid
    {33, 656, 970},	// QLocalSocket::metaObject
    {33, 949, 976},	// QLocalSocket::qt_metacall$$?
    {33, 951, 971},	// QLocalSocket::qt_metacast$
    {33, 976, 991},	// QLocalSocket::readBufferSize
    {33, 978, 1004},	// QLocalSocket::readData$?
    {33, 1022, 980},	// QLocalSocket::serverName
    {33, 1185, 992},	// QLocalSocket::setReadBufferSize?
    {33, 1207, 1010},	// QLocalSocket::setSocketDescriptor?
    {33, 1208, 1011},	// QLocalSocket::setSocketDescriptor?$
    {33, 1209, 993},	// QLocalSocket::setSocketDescriptor?$$
    {33, 1248, 994},	// QLocalSocket::socketDescriptor
    {33, 1258, 995},	// QLocalSocket::state
    {33, 1260, 1003},	// QLocalSocket::stateChanged$
    {33, 1261, 1016},	// QLocalSocket::staticMetaObject
    {33, 1285, 1006},	// QLocalSocket::tr$
    {33, 1286, 972},	// QLocalSocket::tr$$
    {33, 1287, 974},	// QLocalSocket::tr$$$
    {33, 1289, 1007},	// QLocalSocket::trUtf8$
    {33, 1290, 973},	// QLocalSocket::trUtf8$$
    {33, 1291, 975},	// QLocalSocket::trUtf8$$$
    {33, 1304, 1012},	// QLocalSocket::waitForBytesWritten
    {33, 1305, 996},	// QLocalSocket::waitForBytesWritten$
    {33, 1306, 1013},	// QLocalSocket::waitForConnected
    {33, 1307, 997},	// QLocalSocket::waitForConnected$
    {33, 1308, 1014},	// QLocalSocket::waitForDisconnected
    {33, 1309, 998},	// QLocalSocket::waitForDisconnected$
    {33, 1315, 1015},	// QLocalSocket::waitForReadyRead
    {33, 1316, 999},	// QLocalSocket::waitForReadyRead$
    {33, 1318, 1005},	// QLocalSocket::writeData$?
    {33, 1334, 1031},	// QLocalSocket::~QLocalSocket
    {38, 2, 1085},	// QNetworkAccessManager::Accessible
    {38, 59, 1081},	// QNetworkAccessManager::CustomOperation
    {38, 64, 1080},	// QNetworkAccessManager::DeleteOperation
    {38, 78, 1077},	// QNetworkAccessManager::GetOperation
    {38, 79, 1076},	// QNetworkAccessManager::HeadOperation
    {38, 149, 1084},	// QNetworkAccessManager::NotAccessible
    {38, 160, 1079},	// QNetworkAccessManager::PostOperation
    {38, 176, 1078},	// QNetworkAccessManager::PutOperation
    {38, 219, 1072},	// QNetworkAccessManager::QNetworkAccessManager
    {38, 220, 1039},	// QNetworkAccessManager::QNetworkAccessManager#
    {38, 364, 1083},	// QNetworkAccessManager::UnknownAccessibility
    {38, 369, 1082},	// QNetworkAccessManager::UnknownOperation
    {38, 389, 1060},	// QNetworkAccessManager::activeConfiguration
    {38, 425, 1064},	// QNetworkAccessManager::authenticationRequired##
    {38, 436, 1044},	// QNetworkAccessManager::cache
    {38, 455, 1059},	// QNetworkAccessManager::configuration
    {38, 476, 1046},	// QNetworkAccessManager::cookieJar
    {38, 480, 1074},	// QNetworkAccessManager::createRequest$#
    {38, 481, 1069},	// QNetworkAccessManager::createRequest$##
    {38, 501, 1056},	// QNetworkAccessManager::deleteResource#
    {38, 535, 1065},	// QNetworkAccessManager::finished#
    {38, 552, 1049},	// QNetworkAccessManager::get#
    {38, 572, 1048},	// QNetworkAccessManager::head#
    {38, 656, 1032},	// QNetworkAccessManager::metaObject
    {38, 667, 1062},	// QNetworkAccessManager::networkAccessible
    {38, 669, 1068},	// QNetworkAccessManager::networkAccessibleChanged$
    {38, 671, 1067},	// QNetworkAccessManager::networkSessionConnected
    {38, 774, -47},	// QNetworkAccessManager::post##
    {38, 785, 1040},	// QNetworkAccessManager::proxy
    {38, 787, 1063},	// QNetworkAccessManager::proxyAuthenticationRequired##
    {38, 788, 1042},	// QNetworkAccessManager::proxyFactory
    {38, 793, -51},	// QNetworkAccessManager::put##
    {38, 949, 1038},	// QNetworkAccessManager::qt_metacall$$?
    {38, 951, 1033},	// QNetworkAccessManager::qt_metacast$
    {38, 1017, 1073},	// QNetworkAccessManager::sendCustomRequest##
    {38, 1018, 1057},	// QNetworkAccessManager::sendCustomRequest###
    {38, 1045, 1045},	// QNetworkAccessManager::setCache#
    {38, 1054, 1058},	// QNetworkAccessManager::setConfiguration#
    {38, 1060, 1047},	// QNetworkAccessManager::setCookieJar#
    {38, 1124, 1061},	// QNetworkAccessManager::setNetworkAccessible$
    {38, 1172, 1041},	// QNetworkAccessManager::setProxy#
    {38, 1177, 1043},	// QNetworkAccessManager::setProxyFactory#
    {38, 1254, 1066},	// QNetworkAccessManager::sslErrors#?
    {38, 1261, 1075},	// QNetworkAccessManager::staticMetaObject
    {38, 1285, 1070},	// QNetworkAccessManager::tr$
    {38, 1286, 1034},	// QNetworkAccessManager::tr$$
    {38, 1287, 1036},	// QNetworkAccessManager::tr$$$
    {38, 1289, 1071},	// QNetworkAccessManager::trUtf8$
    {38, 1290, 1035},	// QNetworkAccessManager::trUtf8$$
    {38, 1291, 1037},	// QNetworkAccessManager::trUtf8$$$
    {38, 1335, 1086},	// QNetworkAccessManager::~QNetworkAccessManager
    {39, 221, 1087},	// QNetworkAddressEntry::QNetworkAddressEntry
    {39, 222, 1088},	// QNetworkAddressEntry::QNetworkAddressEntry#
    {39, 432, 1098},	// QNetworkAddressEntry::broadcast
    {39, 591, 1092},	// QNetworkAddressEntry::ip
    {39, 666, 1094},	// QNetworkAddressEntry::netmask
    {39, 677, 1091},	// QNetworkAddressEntry::operator!=#
    {39, 713, 1089},	// QNetworkAddressEntry::operator=#
    {39, 716, 1090},	// QNetworkAddressEntry::operator==#
    {39, 777, 1096},	// QNetworkAddressEntry::prefixLength
    {39, 1041, 1099},	// QNetworkAddressEntry::setBroadcast#
    {39, 1097, 1093},	// QNetworkAddressEntry::setIp#
    {39, 1122, 1095},	// QNetworkAddressEntry::setNetmask#
    {39, 1158, 1097},	// QNetworkAddressEntry::setPrefixLength$
    {39, 1336, 1100},	// QNetworkAddressEntry::~QNetworkAddressEntry
    {40, 223, 1101},	// QNetworkCacheMetaData::QNetworkCacheMetaData
    {40, 224, 1102},	// QNetworkCacheMetaData::QNetworkCacheMetaData#
    {40, 422, 1117},	// QNetworkCacheMetaData::attributes
    {40, 529, 1113},	// QNetworkCacheMetaData::expirationDate
    {40, 611, 1106},	// QNetworkCacheMetaData::isValid
    {40, 621, 1111},	// QNetworkCacheMetaData::lastModified
    {40, 677, 1105},	// QNetworkCacheMetaData::operator!=#
    {40, 713, 1103},	// QNetworkCacheMetaData::operator=#
    {40, 716, 1104},	// QNetworkCacheMetaData::operator==#
    {40, 972, 1109},	// QNetworkCacheMetaData::rawHeaders
    {40, 1013, 1115},	// QNetworkCacheMetaData::saveToDisk
    {40, 1039, 1118},	// QNetworkCacheMetaData::setAttributes?
    {40, 1079, 1114},	// QNetworkCacheMetaData::setExpirationDate#
    {40, 1099, 1112},	// QNetworkCacheMetaData::setLastModified#
    {40, 1183, 1110},	// QNetworkCacheMetaData::setRawHeaders?
    {40, 1194, 1116},	// QNetworkCacheMetaData::setSaveToDisk$
    {40, 1232, 1108},	// QNetworkCacheMetaData::setUrl#
    {40, 1297, 1107},	// QNetworkCacheMetaData::url
    {40, 1337, 1119},	// QNetworkCacheMetaData::~QNetworkCacheMetaData
    {42, 76, 1146},	// QNetworkCookie::Full
    {42, 141, 1145},	// QNetworkCookie::NameAndValueOnly
    {42, 225, 1142},	// QNetworkCookie::QNetworkCookie
    {42, 226, -34},	// QNetworkCookie::QNetworkCookie#
    {42, 227, 1120},	// QNetworkCookie::QNetworkCookie##
    {42, 510, 1132},	// QNetworkCookie::domain
    {42, 529, 1130},	// QNetworkCookie::expirationDate
    {42, 598, 1127},	// QNetworkCookie::isHttpOnly
    {42, 606, 1125},	// QNetworkCookie::isSecure
    {42, 608, 1129},	// QNetworkCookie::isSessionCookie
    {42, 665, 1136},	// QNetworkCookie::name
    {42, 677, 1124},	// QNetworkCookie::operator!=#
    {42, 713, 1122},	// QNetworkCookie::operator=#
    {42, 716, 1123},	// QNetworkCookie::operator==#
    {42, 751, 1141},	// QNetworkCookie::parseCookies#
    {42, 757, 1134},	// QNetworkCookie::path
    {42, 1072, 1133},	// QNetworkCookie::setDomain$
    {42, 1079, 1131},	// QNetworkCookie::setExpirationDate#
    {42, 1095, 1128},	// QNetworkCookie::setHttpOnly$
    {42, 1119, 1137},	// QNetworkCookie::setName#
    {42, 1138, 1135},	// QNetworkCookie::setPath$
    {42, 1198, 1126},	// QNetworkCookie::setSecure$
    {42, 1241, 1139},	// QNetworkCookie::setValue#
    {42, 1281, 1144},	// QNetworkCookie::toRawForm
    {42, 1282, 1140},	// QNetworkCookie::toRawForm$
    {42, 1300, 1138},	// QNetworkCookie::value
    {42, 1338, 1147},	// QNetworkCookie::~QNetworkCookie
    {43, 228, 1162},	// QNetworkCookieJar::QNetworkCookieJar
    {43, 229, 1155},	// QNetworkCookieJar::QNetworkCookieJar#
    {43, 412, 1158},	// QNetworkCookieJar::allCookies
    {43, 478, 1156},	// QNetworkCookieJar::cookiesForUrl#
    {43, 656, 1148},	// QNetworkCookieJar::metaObject
    {43, 949, 1154},	// QNetworkCookieJar::qt_metacall$$?
    {43, 951, 1149},	// QNetworkCookieJar::qt_metacast$
    {43, 1031, 1159},	// QNetworkCookieJar::setAllCookies?
    {43, 1062, 1157},	// QNetworkCookieJar::setCookiesFromUrl?#
    {43, 1261, 1163},	// QNetworkCookieJar::staticMetaObject
    {43, 1285, 1160},	// QNetworkCookieJar::tr$
    {43, 1286, 1150},	// QNetworkCookieJar::tr$$
    {43, 1287, 1152},	// QNetworkCookieJar::tr$$$
    {43, 1289, 1161},	// QNetworkCookieJar::trUtf8$
    {43, 1290, 1151},	// QNetworkCookieJar::trUtf8$$
    {43, 1291, 1153},	// QNetworkCookieJar::trUtf8$$$
    {43, 1339, 1164},	// QNetworkCookieJar::~QNetworkCookieJar
    {44, 230, 1189},	// QNetworkDiskCache::QNetworkDiskCache
    {44, 231, 1172},	// QNetworkDiskCache::QNetworkDiskCache#
    {44, 437, 1173},	// QNetworkDiskCache::cacheDirectory
    {44, 438, 1177},	// QNetworkDiskCache::cacheSize
    {44, 446, 1185},	// QNetworkDiskCache::clear
    {44, 490, 1180},	// QNetworkDiskCache::data#
    {44, 530, 1186},	// QNetworkDiskCache::expire
    {44, 533, 1184},	// QNetworkDiskCache::fileMetaData$
    {44, 586, 1183},	// QNetworkDiskCache::insert#
    {44, 652, 1175},	// QNetworkDiskCache::maximumCacheSize
    {44, 654, 1178},	// QNetworkDiskCache::metaData#
    {44, 656, 1165},	// QNetworkDiskCache::metaObject
    {44, 779, 1182},	// QNetworkDiskCache::prepare#
    {44, 949, 1171},	// QNetworkDiskCache::qt_metacall$$?
    {44, 951, 1166},	// QNetworkDiskCache::qt_metacast$
    {44, 990, 1181},	// QNetworkDiskCache::remove#
    {44, 1047, 1174},	// QNetworkDiskCache::setCacheDirectory$
    {44, 1115, 1176},	// QNetworkDiskCache::setMaximumCacheSize?
    {44, 1261, 1190},	// QNetworkDiskCache::staticMetaObject
    {44, 1285, 1187},	// QNetworkDiskCache::tr$
    {44, 1286, 1167},	// QNetworkDiskCache::tr$$
    {44, 1287, 1169},	// QNetworkDiskCache::tr$$$
    {44, 1289, 1188},	// QNetworkDiskCache::trUtf8$
    {44, 1290, 1168},	// QNetworkDiskCache::trUtf8$$
    {44, 1291, 1170},	// QNetworkDiskCache::trUtf8$$$
    {44, 1294, 1179},	// QNetworkDiskCache::updateMetaData#
    {44, 1340, 1191},	// QNetworkDiskCache::~QNetworkDiskCache
    {45, 23, 1208},	// QNetworkInterface::CanBroadcast
    {45, 24, 1211},	// QNetworkInterface::CanMulticast
    {45, 100, 1209},	// QNetworkInterface::IsLoopBack
    {45, 101, 1210},	// QNetworkInterface::IsPointToPoint
    {45, 102, 1207},	// QNetworkInterface::IsRunning
    {45, 103, 1206},	// QNetworkInterface::IsUp
    {45, 232, 1192},	// QNetworkInterface::QNetworkInterface
    {45, 233, 1193},	// QNetworkInterface::QNetworkInterface#
    {45, 408, 1201},	// QNetworkInterface::addressEntries
    {45, 411, 1205},	// QNetworkInterface::allAddresses
    {45, 413, 1204},	// QNetworkInterface::allInterfaces
    {45, 536, 1199},	// QNetworkInterface::flags
    {45, 560, 1200},	// QNetworkInterface::hardwareAddress
    {45, 578, 1198},	// QNetworkInterface::humanReadableName
    {45, 584, 1196},	// QNetworkInterface::index
    {45, 588, 1203},	// QNetworkInterface::interfaceFromIndex$
    {45, 590, 1202},	// QNetworkInterface::interfaceFromName$
    {45, 611, 1195},	// QNetworkInterface::isValid
    {45, 665, 1197},	// QNetworkInterface::name
    {45, 713, 1194},	// QNetworkInterface::operator=#
    {45, 1341, 1212},	// QNetworkInterface::~QNetworkInterface
    {46, 22, 1248},	// QNetworkProxy::CachingCapability
    {46, 63, 1239},	// QNetworkProxy::DefaultProxy
    {46, 75, 1244},	// QNetworkProxy::FtpCachingProxy
    {46, 83, 1249},	// QNetworkProxy::HostNameLookupCapability
    {46, 87, 1243},	// QNetworkProxy::HttpCachingProxy
    {46, 90, 1242},	// QNetworkProxy::HttpProxy
    {46, 126, 1246},	// QNetworkProxy::ListeningCapability
    {46, 145, 1241},	// QNetworkProxy::NoProxy
    {46, 234, 1213},	// QNetworkProxy::QNetworkProxy
    {46, 235, 1215},	// QNetworkProxy::QNetworkProxy#
    {46, 236, 1235},	// QNetworkProxy::QNetworkProxy$
    {46, 237, 1236},	// QNetworkProxy::QNetworkProxy$$
    {46, 238, 1237},	// QNetworkProxy::QNetworkProxy$$$
    {46, 239, 1238},	// QNetworkProxy::QNetworkProxy$$$$
    {46, 240, 1214},	// QNetworkProxy::QNetworkProxy$$$$$
    {46, 327, 1240},	// QNetworkProxy::Socks5Proxy
    {46, 350, 1245},	// QNetworkProxy::TunnelingCapability
    {46, 352, 1247},	// QNetworkProxy::UdpTunnelingCapability
    {46, 417, 1234},	// QNetworkProxy::applicationProxy
    {46, 440, 1222},	// QNetworkProxy::capabilities
    {46, 577, 1230},	// QNetworkProxy::hostName
    {46, 592, 1223},	// QNetworkProxy::isCachingProxy
    {46, 610, 1224},	// QNetworkProxy::isTransparentProxy
    {46, 677, 1218},	// QNetworkProxy::operator!=#
    {46, 713, 1216},	// QNetworkProxy::operator=#
    {46, 716, 1217},	// QNetworkProxy::operator==#
    {46, 756, 1228},	// QNetworkProxy::password
    {46, 771, 1232},	// QNetworkProxy::port
    {46, 1033, 1233},	// QNetworkProxy::setApplicationProxy#
    {46, 1049, 1221},	// QNetworkProxy::setCapabilities$
    {46, 1093, 1229},	// QNetworkProxy::setHostName$
    {46, 1136, 1227},	// QNetworkProxy::setPassword$
    {46, 1156, 1231},	// QNetworkProxy::setPort$
    {46, 1230, 1219},	// QNetworkProxy::setType$
    {46, 1236, 1225},	// QNetworkProxy::setUser$
    {46, 1292, 1220},	// QNetworkProxy::type
    {46, 1299, 1226},	// QNetworkProxy::user
    {46, 1342, 1250},	// QNetworkProxy::~QNetworkProxy
    {47, 241, 1251},	// QNetworkProxyFactory::QNetworkProxyFactory
    {47, 242, 1257},	// QNetworkProxyFactory::QNetworkProxyFactory#
    {47, 790, 1255},	// QNetworkProxyFactory::proxyForQuery#
    {47, 957, 1258},	// QNetworkProxyFactory::queryProxy
    {47, 958, 1252},	// QNetworkProxyFactory::queryProxy#
    {47, 1035, 1254},	// QNetworkProxyFactory::setApplicationProxyFactory#
    {47, 1234, 1253},	// QNetworkProxyFactory::setUseSystemConfiguration$
    {47, 1270, 1259},	// QNetworkProxyFactory::systemProxyForQuery
    {47, 1271, 1256},	// QNetworkProxyFactory::systemProxyForQuery#
    {47, 1343, 1260},	// QNetworkProxyFactory::~QNetworkProxyFactory
    {48, 243, 1261},	// QNetworkProxyQuery::QNetworkProxyQuery
    {48, 244, -463},	// QNetworkProxyQuery::QNetworkProxyQuery#
    {48, 245, 1291},	// QNetworkProxyQuery::QNetworkProxyQuery##
    {48, 246, 1266},	// QNetworkProxyQuery::QNetworkProxyQuery##$
    {48, 247, -466},	// QNetworkProxyQuery::QNetworkProxyQuery#$
    {48, 248, -469},	// QNetworkProxyQuery::QNetworkProxyQuery#$$
    {48, 249, -472},	// QNetworkProxyQuery::QNetworkProxyQuery#$$$
    {48, 250, 1267},	// QNetworkProxyQuery::QNetworkProxyQuery#$$$$
    {48, 251, 1289},	// QNetworkProxyQuery::QNetworkProxyQuery$
    {48, 252, -475},	// QNetworkProxyQuery::QNetworkProxyQuery$$
    {48, 253, -478},	// QNetworkProxyQuery::QNetworkProxyQuery$$$
    {48, 254, 1263},	// QNetworkProxyQuery::QNetworkProxyQuery$$$$
    {48, 342, 1298},	// QNetworkProxyQuery::TcpServer
    {48, 343, 1296},	// QNetworkProxyQuery::TcpSocket
    {48, 351, 1297},	// QNetworkProxyQuery::UdpSocket
    {48, 376, 1299},	// QNetworkProxyQuery::UrlRequest
    {48, 642, 1278},	// QNetworkProxyQuery::localPort
    {48, 670, 1284},	// QNetworkProxyQuery::networkConfiguration
    {48, 677, 1271},	// QNetworkProxyQuery::operator!=#
    {48, 713, 1269},	// QNetworkProxyQuery::operator=#
    {48, 716, 1270},	// QNetworkProxyQuery::operator==#
    {48, 761, 1276},	// QNetworkProxyQuery::peerHostName
    {48, 763, 1274},	// QNetworkProxyQuery::peerPort
    {48, 784, 1280},	// QNetworkProxyQuery::protocolTag
    {48, 959, 1272},	// QNetworkProxyQuery::queryType
    {48, 1109, 1279},	// QNetworkProxyQuery::setLocalPort$
    {48, 1126, 1285},	// QNetworkProxyQuery::setNetworkConfiguration#
    {48, 1142, 1277},	// QNetworkProxyQuery::setPeerHostName$
    {48, 1146, 1275},	// QNetworkProxyQuery::setPeerPort$
    {48, 1170, 1281},	// QNetworkProxyQuery::setProtocolTag$
    {48, 1179, 1273},	// QNetworkProxyQuery::setQueryType$
    {48, 1232, 1283},	// QNetworkProxyQuery::setUrl#
    {48, 1297, 1282},	// QNetworkProxyQuery::url
    {48, 1344, 1300},	// QNetworkProxyQuery::~QNetworkProxyQuery
    {49, 12, 1368},	// QNetworkReply::AuthenticationRequiredError
    {49, 47, 1351},	// QNetworkReply::ConnectionRefusedError
    {49, 48, 1365},	// QNetworkReply::ContentAccessDenied
    {49, 51, 1367},	// QNetworkReply::ContentNotFoundError
    {49, 52, 1366},	// QNetworkReply::ContentOperationNotPermittedError
    {49, 53, 1369},	// QNetworkReply::ContentReSendError
    {49, 86, 1353},	// QNetworkReply::HostNotFoundError
    {49, 143, 1350},	// QNetworkReply::NoError
    {49, 153, 1355},	// QNetworkReply::OperationCanceledError
    {49, 164, 1373},	// QNetworkReply::ProtocolFailure
    {49, 165, 1372},	// QNetworkReply::ProtocolInvalidOperationError
    {49, 166, 1371},	// QNetworkReply::ProtocolUnknownError
    {49, 167, 1363},	// QNetworkReply::ProxyAuthenticationRequiredError
    {49, 168, 1360},	// QNetworkReply::ProxyConnectionClosedError
    {49, 169, 1359},	// QNetworkReply::ProxyConnectionRefusedError
    {49, 171, 1361},	// QNetworkReply::ProxyNotFoundError
    {49, 173, 1362},	// QNetworkReply::ProxyTimeoutError
    {49, 255, 1348},	// QNetworkReply::QNetworkReply
    {49, 256, 1336},	// QNetworkReply::QNetworkReply#
    {49, 308, 1352},	// QNetworkReply::RemoteHostClosedError
    {49, 330, 1356},	// QNetworkReply::SslHandshakeFailedError
    {49, 344, 1357},	// QNetworkReply::TemporaryNetworkFailureError
    {49, 346, 1354},	// QNetworkReply::TimeoutError
    {49, 365, 1370},	// QNetworkReply::UnknownContentError
    {49, 367, 1358},	// QNetworkReply::UnknownNetworkError
    {49, 371, 1364},	// QNetworkReply::UnknownProxyError
    {49, 386, 1308},	// QNetworkReply::abort
    {49, 420, 1325},	// QNetworkReply::attribute$
    {49, 449, 1309},	// QNetworkReply::close
    {49, 514, 1335},	// QNetworkReply::downloadProgress??
    {49, 524, 1316},	// QNetworkReply::error
    {49, 525, 1332},	// QNetworkReply::error$
    {49, 534, 1331},	// QNetworkReply::finished
    {49, 570, 1321},	// QNetworkReply::hasRawHeader#
    {49, 575, 1320},	// QNetworkReply::header$
    {49, 579, 1329},	// QNetworkReply::ignoreSslErrors
    {49, 580, 1328},	// QNetworkReply::ignoreSslErrors?
    {49, 597, 1317},	// QNetworkReply::isFinished
    {49, 605, 1318},	// QNetworkReply::isRunning
    {49, 607, 1310},	// QNetworkReply::isSequential
    {49, 650, 1313},	// QNetworkReply::manager
    {49, 655, 1330},	// QNetworkReply::metaDataChanged
    {49, 656, 1301},	// QNetworkReply::metaObject
    {49, 675, 1314},	// QNetworkReply::operation
    {49, 949, 1307},	// QNetworkReply::qt_metacall$$?
    {49, 951, 1302},	// QNetworkReply::qt_metacast$
    {49, 969, 1323},	// QNetworkReply::rawHeader#
    {49, 970, 1322},	// QNetworkReply::rawHeaderList
    {49, 971, 1324},	// QNetworkReply::rawHeaderPairs
    {49, 976, 1311},	// QNetworkReply::readBufferSize
    {49, 1000, 1315},	// QNetworkReply::request
    {49, 1037, 1345},	// QNetworkReply::setAttribute$#
    {49, 1075, 1340},	// QNetworkReply::setError$$
    {49, 1083, 1341},	// QNetworkReply::setFinished$
    {49, 1087, 1343},	// QNetworkReply::setHeader$#
    {49, 1128, 1338},	// QNetworkReply::setOperation$
    {49, 1181, 1344},	// QNetworkReply::setRawHeader##
    {49, 1185, 1312},	// QNetworkReply::setReadBufferSize?
    {49, 1189, 1339},	// QNetworkReply::setRequest#
    {49, 1217, 1327},	// QNetworkReply::setSslConfiguration#
    {49, 1232, 1342},	// QNetworkReply::setUrl#
    {49, 1252, 1326},	// QNetworkReply::sslConfiguration
    {49, 1255, 1333},	// QNetworkReply::sslErrors?
    {49, 1261, 1349},	// QNetworkReply::staticMetaObject
    {49, 1285, 1346},	// QNetworkReply::tr$
    {49, 1286, 1303},	// QNetworkReply::tr$$
    {49, 1287, 1305},	// QNetworkReply::tr$$$
    {49, 1289, 1347},	// QNetworkReply::trUtf8$
    {49, 1290, 1304},	// QNetworkReply::trUtf8$$
    {49, 1291, 1306},	// QNetworkReply::trUtf8$$$
    {49, 1296, 1334},	// QNetworkReply::uploadProgress??
    {49, 1297, 1319},	// QNetworkReply::url
    {49, 1318, 1337},	// QNetworkReply::writeData$?
    {49, 1345, 1374},	// QNetworkReply::~QNetworkReply
    {50, 5, 1427},	// QNetworkRequest::AlwaysCache
    {50, 6, 1424},	// QNetworkRequest::AlwaysNetwork
    {50, 13, 1417},	// QNetworkRequest::AuthenticationReuseAttribute
    {50, 16, 1428},	// QNetworkRequest::Automatic
    {50, 20, 1409},	// QNetworkRequest::CacheLoadControlAttribute
    {50, 21, 1410},	// QNetworkRequest::CacheSaveControlAttribute
    {50, 42, 1408},	// QNetworkRequest::ConnectionEncryptedAttribute
    {50, 49, 1404},	// QNetworkRequest::ContentDispositionHeader
    {50, 50, 1399},	// QNetworkRequest::ContentLengthHeader
    {50, 54, 1398},	// QNetworkRequest::ContentTypeHeader
    {50, 55, 1402},	// QNetworkRequest::CookieHeader
    {50, 56, 1416},	// QNetworkRequest::CookieLoadControlAttribute
    {50, 57, 1418},	// QNetworkRequest::CookieSaveControlAttribute
    {50, 60, 1415},	// QNetworkRequest::CustomVerbAttribute
    {50, 67, 1412},	// QNetworkRequest::DoNotBufferUploadDataAttribute
    {50, 69, 1420},	// QNetworkRequest::DownloadBufferAttribute
    {50, 80, 1430},	// QNetworkRequest::HighPriority
    {50, 88, 1413},	// QNetworkRequest::HttpPipeliningAllowedAttribute
    {50, 89, 1414},	// QNetworkRequest::HttpPipeliningWasUsedAttribute
    {50, 91, 1406},	// QNetworkRequest::HttpReasonPhraseAttribute
    {50, 92, 1405},	// QNetworkRequest::HttpStatusCodeAttribute
    {50, 105, 1401},	// QNetworkRequest::LastModifiedHeader
    {50, 131, 1400},	// QNetworkRequest::LocationHeader
    {50, 135, 1432},	// QNetworkRequest::LowPriority
    {50, 136, 1429},	// QNetworkRequest::Manual
    {50, 137, 1419},	// QNetworkRequest::MaximumDownloadBufferSizeAttribute
    {50, 148, 1431},	// QNetworkRequest::NormalPriority
    {50, 161, 1426},	// QNetworkRequest::PreferCache
    {50, 162, 1425},	// QNetworkRequest::PreferNetwork
    {50, 257, 1396},	// QNetworkRequest::QNetworkRequest
    {50, 258, -1},	// QNetworkRequest::QNetworkRequest#
    {50, 307, 1407},	// QNetworkRequest::RedirectionTargetAttribute
    {50, 319, 1403},	// QNetworkRequest::SetCookieHeader
    {50, 328, 1411},	// QNetworkRequest::SourceIsFromCacheAttribute
    {50, 341, 1421},	// QNetworkRequest::SynchronousRequestAttribute
    {50, 377, 1422},	// QNetworkRequest::User
    {50, 378, 1423},	// QNetworkRequest::UserMax
    {50, 420, 1397},	// QNetworkRequest::attribute$
    {50, 421, 1388},	// QNetworkRequest::attribute$#
    {50, 570, 1384},	// QNetworkRequest::hasRawHeader#
    {50, 575, 1382},	// QNetworkRequest::header$
    {50, 677, 1379},	// QNetworkRequest::operator!=#
    {50, 713, 1377},	// QNetworkRequest::operator=#
    {50, 716, 1378},	// QNetworkRequest::operator==#
    {50, 746, 1393},	// QNetworkRequest::originatingObject
    {50, 780, 1394},	// QNetworkRequest::priority
    {50, 969, 1386},	// QNetworkRequest::rawHeader#
    {50, 970, 1385},	// QNetworkRequest::rawHeaderList
    {50, 1037, 1389},	// QNetworkRequest::setAttribute$#
    {50, 1087, 1383},	// QNetworkRequest::setHeader$#
    {50, 1132, 1392},	// QNetworkRequest::setOriginatingObject#
    {50, 1160, 1395},	// QNetworkRequest::setPriority$
    {50, 1181, 1387},	// QNetworkRequest::setRawHeader##
    {50, 1217, 1391},	// QNetworkRequest::setSslConfiguration#
    {50, 1232, 1381},	// QNetworkRequest::setUrl#
    {50, 1252, 1390},	// QNetworkRequest::sslConfiguration
    {50, 1297, 1380},	// QNetworkRequest::url
    {50, 1346, 1433},	// QNetworkRequest::~QNetworkRequest
    {60, 9, 1453},	// QSsl::AnyProtocol
    {60, 65, 1444},	// QSsl::Der
    {60, 66, 1458},	// QSsl::DnsEntry
    {60, 70, 1442},	// QSsl::Dsa
    {60, 71, 1457},	// QSsl::EmailEntry
    {60, 159, 1443},	// QSsl::Pem
    {60, 163, 1459},	// QSsl::PrivateKey
    {60, 174, 1460},	// QSsl::PublicKey
    {60, 313, 1441},	// QSsl::Rsa
    {60, 314, 1455},	// QSsl::SecureProtocols
    {60, 331, 1447},	// QSsl::SslOptionDisableCompression
    {60, 332, 1445},	// QSsl::SslOptionDisableEmptyFragments
    {60, 333, 1449},	// QSsl::SslOptionDisableLegacyRenegotiation
    {60, 334, 1448},	// QSsl::SslOptionDisableServerNameIndication
    {60, 335, 1446},	// QSsl::SslOptionDisableSessionTickets
    {60, 337, 1451},	// QSsl::SslV2
    {60, 338, 1450},	// QSsl::SslV3
    {60, 347, 1452},	// QSsl::TlsV1
    {60, 348, 1454},	// QSsl::TlsV1SslV3
    {60, 370, 1456},	// QSsl::UnknownProtocol
    {61, 36, 1496},	// QSslCertificate::CommonName
    {61, 58, 1499},	// QSslCertificate::CountryName
    {61, 130, 1497},	// QSslCertificate::LocalityName
    {61, 154, 1495},	// QSslCertificate::Organization
    {61, 155, 1498},	// QSslCertificate::OrganizationalUnitName
    {61, 259, 1488},	// QSslCertificate::QSslCertificate
    {61, 260, -40},	// QSslCertificate::QSslCertificate#
    {61, 261, -44},	// QSslCertificate::QSslCertificate#$
    {61, 339, 1500},	// QSslCertificate::StateOrProvinceName
    {61, 416, 1477},	// QSslCertificate::alternateSubjectNames
    {61, 446, 1469},	// QSslCertificate::clear
    {61, 503, 1490},	// QSslCertificate::digest
    {61, 504, 1472},	// QSslCertificate::digest$
    {61, 515, 1478},	// QSslCertificate::effectiveDate
    {61, 531, 1479},	// QSslCertificate::expiryDate
    {61, 539, 1494},	// QSslCertificate::fromData#
    {61, 540, 1485},	// QSslCertificate::fromData#$
    {61, 542, 1493},	// QSslCertificate::fromDevice#
    {61, 543, 1484},	// QSslCertificate::fromDevice#$
    {61, 547, 1491},	// QSslCertificate::fromPath$
    {61, 548, 1492},	// QSslCertificate::fromPath$$
    {61, 549, 1483},	// QSslCertificate::fromPath$$$
    {61, 559, 1486},	// QSslCertificate::handle
    {61, 603, 1467},	// QSslCertificate::isNull
    {61, 611, 1468},	// QSslCertificate::isValid
    {61, 614, 1474},	// QSslCertificate::issuerInfo#
    {61, 615, 1473},	// QSslCertificate::issuerInfo$
    {61, 677, 1466},	// QSslCertificate::operator!=#
    {61, 713, 1464},	// QSslCertificate::operator=#
    {61, 716, 1465},	// QSslCertificate::operator==#
    {61, 791, 1480},	// QSslCertificate::publicKey
    {61, 1019, 1471},	// QSslCertificate::serialNumber
    {61, 1264, 1476},	// QSslCertificate::subjectInfo#
    {61, 1265, 1475},	// QSslCertificate::subjectInfo$
    {61, 1275, 1482},	// QSslCertificate::toDer
    {61, 1279, 1481},	// QSslCertificate::toPem
    {61, 1303, 1470},	// QSslCertificate::version
    {61, 1347, 1501},	// QSslCertificate::~QSslCertificate
    {62, 262, 1502},	// QSslCipher::QSslCipher
    {62, 263, 1504},	// QSslCipher::QSslCipher#
    {62, 264, 1503},	// QSslCipher::QSslCipher$$
    {62, 423, 1513},	// QSslCipher::authenticationMethod
    {62, 521, 1514},	// QSslCipher::encryptionMethod
    {62, 603, 1508},	// QSslCipher::isNull
    {62, 619, 1512},	// QSslCipher::keyExchangeMethod
    {62, 665, 1509},	// QSslCipher::name
    {62, 677, 1507},	// QSslCipher::operator!=#
    {62, 713, 1505},	// QSslCipher::operator=#
    {62, 716, 1506},	// QSslCipher::operator==#
    {62, 782, 1516},	// QSslCipher::protocol
    {62, 783, 1515},	// QSslCipher::protocolString
    {62, 1266, 1510},	// QSslCipher::supportedBits
    {62, 1298, 1511},	// QSslCipher::usedBits
    {62, 1348, 1517},	// QSslCipher::~QSslCipher
    {63, 265, 1518},	// QSslConfiguration::QSslConfiguration
    {63, 266, 1519},	// QSslConfiguration::QSslConfiguration#
    {63, 435, 1539},	// QSslConfiguration::caCertificates
    {63, 445, 1537},	// QSslConfiguration::ciphers
    {63, 499, 1543},	// QSslConfiguration::defaultConfiguration
    {63, 603, 1523},	// QSslConfiguration::isNull
    {63, 639, 1530},	// QSslConfiguration::localCertificate
    {63, 677, 1522},	// QSslConfiguration::operator!=#
    {63, 713, 1520},	// QSslConfiguration::operator=#
    {63, 716, 1521},	// QSslConfiguration::operator==#
    {63, 759, 1532},	// QSslConfiguration::peerCertificate
    {63, 760, 1533},	// QSslConfiguration::peerCertificateChain
    {63, 764, 1528},	// QSslConfiguration::peerVerifyDepth
    {63, 767, 1526},	// QSslConfiguration::peerVerifyMode
    {63, 781, 1535},	// QSslConfiguration::privateKey
    {63, 782, 1524},	// QSslConfiguration::protocol
    {63, 1024, 1534},	// QSslConfiguration::sessionCipher
    {63, 1043, 1540},	// QSslConfiguration::setCaCertificates?
    {63, 1052, 1538},	// QSslConfiguration::setCiphers?
    {63, 1068, 1544},	// QSslConfiguration::setDefaultConfiguration#
    {63, 1105, 1531},	// QSslConfiguration::setLocalCertificate#
    {63, 1148, 1529},	// QSslConfiguration::setPeerVerifyDepth$
    {63, 1150, 1527},	// QSslConfiguration::setPeerVerifyMode$
    {63, 1162, 1536},	// QSslConfiguration::setPrivateKey#
    {63, 1168, 1525},	// QSslConfiguration::setProtocol$
    {63, 1219, 1541},	// QSslConfiguration::setSslOption$$
    {63, 1273, 1542},	// QSslConfiguration::testSslOption$
    {63, 1349, 1545},	// QSslConfiguration::~QSslConfiguration
    {64, 14, 1576},	// QSslError::AuthorityIssuerSerialNumberMismatch
    {64, 26, 1580},	// QSslError::CertificateBlacklisted
    {64, 27, 1562},	// QSslError::CertificateExpired
    {64, 28, 1561},	// QSslError::CertificateNotYetValid
    {64, 29, 1574},	// QSslError::CertificateRejected
    {64, 30, 1569},	// QSslError::CertificateRevoked
    {64, 31, 1560},	// QSslError::CertificateSignatureFailed
    {64, 32, 1573},	// QSslError::CertificateUntrusted
    {64, 84, 1578},	// QSslError::HostNameMismatch
    {64, 95, 1570},	// QSslError::InvalidCaCertificate
    {64, 96, 1564},	// QSslError::InvalidNotAfterField
    {64, 97, 1563},	// QSslError::InvalidNotBeforeField
    {64, 98, 1572},	// QSslError::InvalidPurpose
    {64, 143, 1556},	// QSslError::NoError
    {64, 144, 1577},	// QSslError::NoPeerCertificate
    {64, 146, 1579},	// QSslError::NoSslSupport
    {64, 157, 1571},	// QSslError::PathLengthExceeded
    {64, 267, 1546},	// QSslError::QSslError
    {64, 268, 1549},	// QSslError::QSslError#
    {64, 269, 1547},	// QSslError::QSslError$
    {64, 270, 1548},	// QSslError::QSslError$#
    {64, 315, 1565},	// QSslError::SelfSignedCertificate
    {64, 316, 1566},	// QSslError::SelfSignedCertificateInChain
    {64, 340, 1575},	// QSslError::SubjectIssuerMismatch
    {64, 353, 1559},	// QSslError::UnableToDecodeIssuerPublicKey
    {64, 354, 1558},	// QSslError::UnableToDecryptCertificateSignature
    {64, 355, 1557},	// QSslError::UnableToGetIssuerCertificate
    {64, 356, 1567},	// QSslError::UnableToGetLocalIssuerCertificate
    {64, 357, 1568},	// QSslError::UnableToVerifyFirstCertificate
    {64, 374, 1581},	// QSslError::UnspecifiedError
    {64, 443, 1555},	// QSslError::certificate
    {64, 524, 1553},	// QSslError::error
    {64, 526, 1554},	// QSslError::errorString
    {64, 677, 1552},	// QSslError::operator!=#
    {64, 713, 1550},	// QSslError::operator=#
    {64, 716, 1551},	// QSslError::operator==#
    {64, 1350, 1582},	// QSslError::~QSslError
    {65, 271, 1583},	// QSslKey::QSslKey
    {65, 272, 1586},	// QSslKey::QSslKey#
    {65, 273, -22},	// QSslKey::QSslKey#$
    {65, 274, -25},	// QSslKey::QSslKey#$$
    {65, 275, -28},	// QSslKey::QSslKey#$$$
    {65, 276, -31},	// QSslKey::QSslKey#$$$#
    {65, 410, 1592},	// QSslKey::algorithm
    {65, 446, 1589},	// QSslKey::clear
    {65, 559, 1595},	// QSslKey::handle
    {65, 603, 1588},	// QSslKey::isNull
    {65, 627, 1590},	// QSslKey::length
    {65, 677, 1597},	// QSslKey::operator!=#
    {65, 713, 1587},	// QSslKey::operator=#
    {65, 716, 1596},	// QSslKey::operator==#
    {65, 1275, 1605},	// QSslKey::toDer
    {65, 1276, 1594},	// QSslKey::toDer#
    {65, 1279, 1604},	// QSslKey::toPem
    {65, 1280, 1593},	// QSslKey::toPem#
    {65, 1292, 1591},	// QSslKey::type
    {65, 1351, 1606},	// QSslKey::~QSslKey
    {66, 15, 1715},	// QSslSocket::AutoVerifyPeer
    {66, 277, 1690},	// QSslSocket::QSslSocket
    {66, 278, 1614},	// QSslSocket::QSslSocket#
    {66, 299, 1713},	// QSslSocket::QueryPeer
    {66, 329, 1710},	// QSslSocket::SslClientMode
    {66, 336, 1711},	// QSslSocket::SslServerMode
    {66, 361, 1709},	// QSslSocket::UnencryptedMode
    {66, 379, 1712},	// QSslSocket::VerifyNone
    {66, 380, 1714},	// QSslSocket::VerifyPeer
    {66, 386, 1636},	// QSslSocket::abort
    {66, 391, 1658},	// QSslSocket::addCaCertificate#
    {66, 393, 1699},	// QSslSocket::addCaCertificates$
    {66, 394, 1700},	// QSslSocket::addCaCertificates$$
    {66, 395, 1657},	// QSslSocket::addCaCertificates$$$
    {66, 396, 1659},	// QSslSocket::addCaCertificates?
    {66, 398, 1663},	// QSslSocket::addDefaultCaCertificate#
    {66, 400, 1701},	// QSslSocket::addDefaultCaCertificates$
    {66, 401, 1702},	// QSslSocket::addDefaultCaCertificates$$
    {66, 402, 1662},	// QSslSocket::addDefaultCaCertificates$$$
    {66, 403, 1664},	// QSslSocket::addDefaultCaCertificates?
    {66, 418, 1634},	// QSslSocket::atEnd
    {66, 433, 1630},	// QSslSocket::bytesAvailable
    {66, 434, 1631},	// QSslSocket::bytesToWrite
    {66, 435, 1661},	// QSslSocket::caCertificates
    {66, 439, 1632},	// QSslSocket::canReadLine
    {66, 445, 1651},	// QSslSocket::ciphers
    {66, 449, 1633},	// QSslSocket::close
    {66, 464, 1691},	// QSslSocket::connectToHostEncrypted$$
    {66, 465, -460},	// QSslSocket::connectToHostEncrypted$$$
    {66, 466, 1616},	// QSslSocket::connectToHostEncrypted$$$$
    {66, 469, 1684},	// QSslSocket::connectToHostImplementation$$$
    {66, 497, 1666},	// QSslSocket::defaultCaCertificates
    {66, 498, 1655},	// QSslSocket::defaultCiphers
    {66, 506, 1685},	// QSslSocket::disconnectFromHostImplementation
    {66, 516, 1679},	// QSslSocket::encrypted
    {66, 517, 1638},	// QSslSocket::encryptedBytesAvailable
    {66, 518, 1639},	// QSslSocket::encryptedBytesToWrite
    {66, 520, 1683},	// QSslSocket::encryptedBytesWritten?
    {66, 537, 1635},	// QSslSocket::flush
    {66, 579, 1678},	// QSslSocket::ignoreSslErrors
    {66, 580, 1675},	// QSslSocket::ignoreSslErrors?
    {66, 594, 1621},	// QSslSocket::isEncrypted
    {66, 639, 1644},	// QSslSocket::localCertificate
    {66, 656, 1607},	// QSslSocket::metaObject
    {66, 661, 1620},	// QSslSocket::mode
    {66, 663, 1682},	// QSslSocket::modeChanged$
    {66, 759, 1645},	// QSslSocket::peerCertificate
    {66, 760, 1646},	// QSslSocket::peerCertificateChain
    {66, 764, 1626},	// QSslSocket::peerVerifyDepth
    {66, 766, 1680},	// QSslSocket::peerVerifyError#
    {66, 767, 1624},	// QSslSocket::peerVerifyMode
    {66, 768, 1628},	// QSslSocket::peerVerifyName
    {66, 781, 1650},	// QSslSocket::privateKey
    {66, 782, 1622},	// QSslSocket::protocol
    {66, 949, 1613},	// QSslSocket::qt_metacall$$?
    {66, 951, 1608},	// QSslSocket::qt_metacast$
    {66, 978, 1686},	// QSslSocket::readData$?
    {66, 1024, 1647},	// QSslSocket::sessionCipher
    {66, 1043, 1660},	// QSslSocket::setCaCertificates?
    {66, 1051, 1653},	// QSslSocket::setCiphers$
    {66, 1052, 1652},	// QSslSocket::setCiphers?
    {66, 1064, 1665},	// QSslSocket::setDefaultCaCertificates?
    {66, 1066, 1654},	// QSslSocket::setDefaultCiphers?
    {66, 1105, 1642},	// QSslSocket::setLocalCertificate#
    {66, 1106, 1695},	// QSslSocket::setLocalCertificate$
    {66, 1107, 1643},	// QSslSocket::setLocalCertificate$$
    {66, 1148, 1627},	// QSslSocket::setPeerVerifyDepth$
    {66, 1150, 1625},	// QSslSocket::setPeerVerifyMode$
    {66, 1152, 1629},	// QSslSocket::setPeerVerifyName$
    {66, 1162, 1648},	// QSslSocket::setPrivateKey#
    {66, 1163, 1696},	// QSslSocket::setPrivateKey$
    {66, 1164, 1697},	// QSslSocket::setPrivateKey$$
    {66, 1165, 1698},	// QSslSocket::setPrivateKey$$$
    {66, 1166, 1649},	// QSslSocket::setPrivateKey$$$#
    {66, 1168, 1623},	// QSslSocket::setProtocol$
    {66, 1185, 1637},	// QSslSocket::setReadBufferSize?
    {66, 1204, 1693},	// QSslSocket::setSocketDescriptor$
    {66, 1205, 1694},	// QSslSocket::setSocketDescriptor$$
    {66, 1206, 1617},	// QSslSocket::setSocketDescriptor$$$
    {66, 1213, 1618},	// QSslSocket::setSocketOption$#
    {66, 1217, 1641},	// QSslSocket::setSslConfiguration#
    {66, 1250, 1619},	// QSslSocket::socketOption$
    {66, 1252, 1640},	// QSslSocket::sslConfiguration
    {66, 1253, 1673},	// QSslSocket::sslErrors
    {66, 1255, 1681},	// QSslSocket::sslErrors?
    {66, 1256, 1676},	// QSslSocket::startClientEncryption
    {66, 1257, 1677},	// QSslSocket::startServerEncryption
    {66, 1261, 1708},	// QSslSocket::staticMetaObject
    {66, 1267, 1656},	// QSslSocket::supportedCiphers
    {66, 1268, 1674},	// QSslSocket::supportsSsl
    {66, 1269, 1667},	// QSslSocket::systemCaCertificates
    {66, 1285, 1688},	// QSslSocket::tr$
    {66, 1286, 1609},	// QSslSocket::tr$$
    {66, 1287, 1611},	// QSslSocket::tr$$$
    {66, 1289, 1689},	// QSslSocket::trUtf8$
    {66, 1290, 1610},	// QSslSocket::trUtf8$$
    {66, 1291, 1612},	// QSslSocket::trUtf8$$$
    {66, 1304, 1706},	// QSslSocket::waitForBytesWritten
    {66, 1305, 1671},	// QSslSocket::waitForBytesWritten$
    {66, 1306, 1703},	// QSslSocket::waitForConnected
    {66, 1307, 1668},	// QSslSocket::waitForConnected$
    {66, 1308, 1707},	// QSslSocket::waitForDisconnected
    {66, 1309, 1672},	// QSslSocket::waitForDisconnected$
    {66, 1310, 1704},	// QSslSocket::waitForEncrypted
    {66, 1311, 1669},	// QSslSocket::waitForEncrypted$
    {66, 1315, 1705},	// QSslSocket::waitForReadyRead
    {66, 1316, 1670},	// QSslSocket::waitForReadyRead$
    {66, 1318, 1687},	// QSslSocket::writeData$?
    {66, 1352, 1716},	// QSslSocket::~QSslSocket
    {69, 279, 1746},	// QTcpServer::QTcpServer
    {69, 280, 1724},	// QTcpServer::QTcpServer#
    {69, 405, 1742},	// QTcpServer::addPendingConnection#
    {69, 449, 1726},	// QTcpServer::close
    {69, 526, 1738},	// QTcpServer::errorString
    {69, 566, 1735},	// QTcpServer::hasPendingConnections
    {69, 582, 1741},	// QTcpServer::incomingConnection$
    {69, 602, 1727},	// QTcpServer::isListening
    {69, 634, 1747},	// QTcpServer::listen
    {69, 635, 1748},	// QTcpServer::listen#
    {69, 636, 1725},	// QTcpServer::listen#$
    {69, 651, 1729},	// QTcpServer::maxPendingConnections
    {69, 656, 1717},	// QTcpServer::metaObject
    {69, 672, 1743},	// QTcpServer::newConnection
    {69, 673, 1736},	// QTcpServer::nextPendingConnection
    {69, 785, 1740},	// QTcpServer::proxy
    {69, 949, 1723},	// QTcpServer::qt_metacall$$?
    {69, 951, 1718},	// QTcpServer::qt_metacast$
    {69, 1020, 1731},	// QTcpServer::serverAddress
    {69, 1021, 1737},	// QTcpServer::serverError
    {69, 1023, 1730},	// QTcpServer::serverPort
    {69, 1113, 1728},	// QTcpServer::setMaxPendingConnections$
    {69, 1172, 1739},	// QTcpServer::setProxy#
    {69, 1204, 1733},	// QTcpServer::setSocketDescriptor$
    {69, 1248, 1732},	// QTcpServer::socketDescriptor
    {69, 1261, 1751},	// QTcpServer::staticMetaObject
    {69, 1285, 1744},	// QTcpServer::tr$
    {69, 1286, 1719},	// QTcpServer::tr$$
    {69, 1287, 1721},	// QTcpServer::tr$$$
    {69, 1289, 1745},	// QTcpServer::trUtf8$
    {69, 1290, 1720},	// QTcpServer::trUtf8$$
    {69, 1291, 1722},	// QTcpServer::trUtf8$$$
    {69, 1312, 1749},	// QTcpServer::waitForNewConnection
    {69, 1313, 1750},	// QTcpServer::waitForNewConnection$
    {69, 1314, 1734},	// QTcpServer::waitForNewConnection$$
    {69, 1353, 1752},	// QTcpServer::~QTcpServer
    {70, 281, 1763},	// QTcpSocket::QTcpSocket
    {70, 282, 1760},	// QTcpSocket::QTcpSocket#
    {70, 656, 1753},	// QTcpSocket::metaObject
    {70, 949, 1759},	// QTcpSocket::qt_metacall$$?
    {70, 951, 1754},	// QTcpSocket::qt_metacast$
    {70, 1261, 1764},	// QTcpSocket::staticMetaObject
    {70, 1285, 1761},	// QTcpSocket::tr$
    {70, 1286, 1755},	// QTcpSocket::tr$$
    {70, 1287, 1757},	// QTcpSocket::tr$$$
    {70, 1289, 1762},	// QTcpSocket::trUtf8$
    {70, 1290, 1756},	// QTcpSocket::trUtf8$$
    {70, 1291, 1758},	// QTcpSocket::trUtf8$$$
    {70, 1354, 1765},	// QTcpSocket::~QTcpSocket
    {75, 62, 1796},	// QUdpSocket::DefaultForPlatform
    {75, 68, 1798},	// QUdpSocket::DontShareAddress
    {75, 283, 1791},	// QUdpSocket::QUdpSocket
    {75, 284, 1773},	// QUdpSocket::QUdpSocket#
    {75, 311, 1799},	// QUdpSocket::ReuseAddressHint
    {75, 322, 1797},	// QUdpSocket::ShareAddress
    {75, 427, 1792},	// QUdpSocket::bind
    {75, 428, 1774},	// QUdpSocket::bind#$
    {75, 429, 1776},	// QUdpSocket::bind#$$
    {75, 430, 1775},	// QUdpSocket::bind$
    {75, 431, 1777},	// QUdpSocket::bind$$
    {75, 567, 1784},	// QUdpSocket::hasPendingDatagrams
    {75, 617, 1778},	// QUdpSocket::joinMulticastGroup#
    {75, 618, 1779},	// QUdpSocket::joinMulticastGroup##
    {75, 625, 1780},	// QUdpSocket::leaveMulticastGroup#
    {75, 626, 1781},	// QUdpSocket::leaveMulticastGroup##
    {75, 656, 1766},	// QUdpSocket::metaObject
    {75, 664, 1782},	// QUdpSocket::multicastInterface
    {75, 769, 1785},	// QUdpSocket::pendingDatagramSize
    {75, 949, 1772},	// QUdpSocket::qt_metacall$$?
    {75, 951, 1767},	// QUdpSocket::qt_metacast$
    {75, 980, 1793},	// QUdpSocket::readDatagram$?
    {75, 981, 1794},	// QUdpSocket::readDatagram$?#
    {75, 982, 1786},	// QUdpSocket::readDatagram$?#$
    {75, 1117, 1783},	// QUdpSocket::setMulticastInterface#
    {75, 1261, 1795},	// QUdpSocket::staticMetaObject
    {75, 1285, 1789},	// QUdpSocket::tr$
    {75, 1286, 1768},	// QUdpSocket::tr$$
    {75, 1287, 1770},	// QUdpSocket::tr$$$
    {75, 1289, 1790},	// QUdpSocket::trUtf8$
    {75, 1290, 1769},	// QUdpSocket::trUtf8$$
    {75, 1291, 1771},	// QUdpSocket::trUtf8$$$
    {75, 1320, 1788},	// QUdpSocket::writeDatagram##$
    {75, 1321, 1787},	// QUdpSocket::writeDatagram$?#$
    {75, 1355, 1800},	// QUdpSocket::~QUdpSocket
    {77, 72, 1842},	// QUrlInfo::ExeGroup
    {77, 73, 1845},	// QUrlInfo::ExeOther
    {77, 74, 1839},	// QUrlInfo::ExeOwner
    {77, 285, 1801},	// QUrlInfo::QUrlInfo
    {77, 286, 1802},	// QUrlInfo::QUrlInfo#
    {77, 287, 1804},	// QUrlInfo::QUrlInfo#$$$?##$$$$$$
    {77, 288, 1803},	// QUrlInfo::QUrlInfo$$$$?##$$$$$$
    {77, 301, 1840},	// QUrlInfo::ReadGroup
    {77, 303, 1843},	// QUrlInfo::ReadOther
    {77, 304, 1837},	// QUrlInfo::ReadOwner
    {77, 381, 1841},	// QUrlInfo::WriteGroup
    {77, 383, 1844},	// QUrlInfo::WriteOther
    {77, 384, 1838},	// QUrlInfo::WriteOwner
    {77, 523, 1834},	// QUrlInfo::equal##$
    {77, 557, 1832},	// QUrlInfo::greaterThan##$
    {77, 558, 1822},	// QUrlInfo::group
    {77, 593, 1826},	// QUrlInfo::isDir
    {77, 595, 1831},	// QUrlInfo::isExecutable
    {77, 596, 1827},	// QUrlInfo::isFile
    {77, 604, 1830},	// QUrlInfo::isReadable
    {77, 609, 1828},	// QUrlInfo::isSymLink
    {77, 611, 1818},	// QUrlInfo::isValid
    {77, 612, 1829},	// QUrlInfo::isWritable
    {77, 621, 1824},	// QUrlInfo::lastModified
    {77, 622, 1825},	// QUrlInfo::lastRead
    {77, 629, 1833},	// QUrlInfo::lessThan##$
    {77, 665, 1819},	// QUrlInfo::name
    {77, 677, 1836},	// QUrlInfo::operator!=#
    {77, 713, 1805},	// QUrlInfo::operator=#
    {77, 716, 1835},	// QUrlInfo::operator==#
    {77, 747, 1821},	// QUrlInfo::owner
    {77, 770, 1820},	// QUrlInfo::permissions
    {77, 1070, 1807},	// QUrlInfo::setDir$
    {77, 1081, 1808},	// QUrlInfo::setFile$
    {77, 1085, 1811},	// QUrlInfo::setGroup$
    {77, 1099, 1816},	// QUrlInfo::setLastModified#
    {77, 1101, 1817},	// QUrlInfo::setLastRead#
    {77, 1120, 1806},	// QUrlInfo::setName$
    {77, 1134, 1810},	// QUrlInfo::setOwner$
    {77, 1154, 1815},	// QUrlInfo::setPermissions$
    {77, 1187, 1814},	// QUrlInfo::setReadable$
    {77, 1200, 1812},	// QUrlInfo::setSize?
    {77, 1226, 1809},	// QUrlInfo::setSymLink$
    {77, 1246, 1813},	// QUrlInfo::setWritable$
    {77, 1247, 1823},	// QUrlInfo::size
    {77, 1356, 1846},	// QUrlInfo::~QUrlInfo
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtnetwork_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtnetwork_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtnetwork_Smoke = new Smoke(
        "qtnetwork",
        __smokeqtnetwork::classes, 81,
        __smokeqtnetwork::methods, 1847,
        __smokeqtnetwork::methodMaps, 1477,
        __smokeqtnetwork::methodNames, 1356,
        __smokeqtnetwork::types, 427,
        __smokeqtnetwork::inheritanceList,
        __smokeqtnetwork::argumentList,
        __smokeqtnetwork::ambiguousMethodList,
        __smokeqtnetwork::cast );
    initialized = true;
}

void delete_qtnetwork_Smoke() { delete qtnetwork_Smoke; }

}
