#include <qtopengl_includes.h>

#include <smoke.h>
#include <qtopengl_smoke.h>

namespace __smokeqtopengl {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGLColormap
      switch(to) {
        case 27: return (void*)(QGLColormap*)xptr;
        default: return xptr;
      }
    case 28:   //QGLContext
      switch(to) {
        case 28: return (void*)(QGLContext*)xptr;
        default: return xptr;
      }
    case 29:   //QGLFormat
      switch(to) {
        case 29: return (void*)(QGLFormat*)xptr;
        default: return xptr;
      }
    case 30:   //QGLFramebufferObject
      switch(to) {
        case 61: return (void*)(QPaintDevice*)(QGLFramebufferObject*)xptr;
        case 30: return (void*)(QGLFramebufferObject*)xptr;
        default: return xptr;
      }
    case 31:   //QGLFramebufferObjectFormat
      switch(to) {
        case 31: return (void*)(QGLFramebufferObjectFormat*)xptr;
        default: return xptr;
      }
    case 32:   //QGLPixelBuffer
      switch(to) {
        case 61: return (void*)(QPaintDevice*)(QGLPixelBuffer*)xptr;
        case 32: return (void*)(QGLPixelBuffer*)xptr;
        default: return xptr;
      }
    case 33:   //QGLShader
      switch(to) {
        case 60: return (void*)(QObject*)(QGLShader*)xptr;
        case 33: return (void*)(QGLShader*)xptr;
        default: return xptr;
      }
    case 34:   //QGLShaderProgram
      switch(to) {
        case 60: return (void*)(QObject*)(QGLShaderProgram*)xptr;
        case 34: return (void*)(QGLShaderProgram*)xptr;
        default: return xptr;
      }
    case 35:   //QGLWidget
      switch(to) {
        case 111: return (void*)(QWidget*)(QGLWidget*)xptr;
        case 60: return (void*)(QObject*)(QGLWidget*)xptr;
        case 61: return (void*)(QPaintDevice*)(QGLWidget*)xptr;
        case 35: return (void*)(QGLWidget*)xptr;
        default: return xptr;
      }
    case 37:   //QGraphicsItem
      switch(to) {
        case 37: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 38:   //QGraphicsObject
      switch(to) {
        case 60: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 37: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 38: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 39:   //QHashDummyValue
      switch(to) {
        case 39: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 40:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 40: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QIcon
      switch(to) {
        case 41: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 42:   //QImage
      switch(to) {
        case 61: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 42: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 43:   //QIncompatibleFlag
      switch(to) {
        case 43: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 44:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 44: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QItemSelectionRange
      switch(to) {
        case 45: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 46:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 46: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QKeySequence
      switch(to) {
        case 47: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 48:   //QLatin1String
      switch(to) {
        case 48: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 49:   //QLine
      switch(to) {
        case 49: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 50:   //QLineF
      switch(to) {
        case 50: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 51:   //QListWidgetItem
      switch(to) {
        case 51: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 52:   //QLocale
      switch(to) {
        case 52: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 53:   //QMargins
      switch(to) {
        case 53: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 54:   //QMatrix
      switch(to) {
        case 54: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 55:   //QMatrix4x4
      switch(to) {
        case 55: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 56:   //QMetaObject
      switch(to) {
        case 56: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 57:   //QModelIndex
      switch(to) {
        case 57: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 58:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 58: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 59:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 59: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QObject
      switch(to) {
        case 60: return (void*)(QObject*)xptr;
        case 34: return (void*)(QGLShaderProgram*)(QObject*)xptr;
        case 35: return (void*)(QGLWidget*)(QObject*)xptr;
        case 33: return (void*)(QGLShader*)(QObject*)xptr;
        default: return xptr;
      }
    case 61:   //QPaintDevice
      switch(to) {
        case 61: return (void*)(QPaintDevice*)xptr;
        case 30: return (void*)(QGLFramebufferObject*)(QPaintDevice*)xptr;
        case 35: return (void*)(QGLWidget*)(QPaintDevice*)xptr;
        case 32: return (void*)(QGLPixelBuffer*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintEngine
      switch(to) {
        case 62: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 63: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 64:   //QPainter
      switch(to) {
        case 64: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 65:   //QPainterPath
      switch(to) {
        case 65: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 66:   //QPalette
      switch(to) {
        case 66: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 67:   //QPen
      switch(to) {
        case 67: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 68:   //QPersistentModelIndex
      switch(to) {
        case 68: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 69:   //QPicture
      switch(to) {
        case 61: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 69: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 70:   //QPixmap
      switch(to) {
        case 61: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 70: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 71:   //QPoint
      switch(to) {
        case 71: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 72:   //QPointF
      switch(to) {
        case 72: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 73:   //QPolygon
      switch(to) {
        case 73: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 74:   //QPolygonF
      switch(to) {
        case 74: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 75:   //QQuaternion
      switch(to) {
        case 75: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 76:   //QRect
      switch(to) {
        case 76: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 77:   //QRectF
      switch(to) {
        case 77: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 78:   //QRegExp
      switch(to) {
        case 78: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 79:   //QRegion
      switch(to) {
        case 79: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 80:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 80: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 81:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 81: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QSize
      switch(to) {
        case 82: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 83:   //QSizeF
      switch(to) {
        case 83: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 84:   //QSizePolicy
      switch(to) {
        case 84: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 85:   //QSplitter
      switch(to) {
        case 111: return (void*)(QWidget*)(QSplitter*)xptr;
        case 60: return (void*)(QObject*)(QSplitter*)xptr;
        case 61: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 85: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 86:   //QStandardItem
      switch(to) {
        case 86: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 87:   //QString::Null
      switch(to) {
        case 87: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 88:   //QStringRef
      switch(to) {
        case 88: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 89:   //QStyle
      switch(to) {
        case 60: return (void*)(QObject*)(QStyle*)xptr;
        case 89: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 90:   //QStyleOption
      switch(to) {
        case 90: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 91:   //QTableWidgetItem
      switch(to) {
        case 91: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 92:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 92: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 93:   //QTextCodec
      switch(to) {
        case 93: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 94:   //QTextFormat
      switch(to) {
        case 94: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 95:   //QTextLength
      switch(to) {
        case 95: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 96:   //QTextStream
      switch(to) {
        case 96: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStreamManipulator
      switch(to) {
        case 97: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 98:   //QTileRules
      switch(to) {
        case 98: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 99:   //QTime
      switch(to) {
        case 99: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 100:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 100: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 101:   //QTransform
      switch(to) {
        case 101: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 102:   //QTreeWidgetItem
      switch(to) {
        case 102: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 103:   //QUrl
      switch(to) {
        case 103: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 104:   //QUuid
      switch(to) {
        case 104: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 105:   //QVariant
      switch(to) {
        case 105: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 106:   //QVariantComparisonHelper
      switch(to) {
        case 106: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 107:   //QVector2D
      switch(to) {
        case 107: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 108:   //QVector3D
      switch(to) {
        case 108: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector4D
      switch(to) {
        case 109: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 110:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 110: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 111:   //QWidget
      switch(to) {
        case 60: return (void*)(QObject*)(QWidget*)xptr;
        case 61: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 111: return (void*)(QWidget*)xptr;
        case 35: return (void*)(QGLWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    61, 0,	// 1: QPaintDevice
    60, 0,	// 3: QObject
    111, 0,	// 5: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLShader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFramebufferObject(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGL(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGL(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLColormap(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObject(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObjectFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLPixelBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShader(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShaderProgram(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGL", false, 0, xcall_QGL, xenum_QGL, Smoke::cf_namespace, 0 },	//26
    { "QGLColormap", false, 0, xcall_QGLColormap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLColormap) },	//27
    { "QGLContext", false, 0, xcall_QGLContext, xenum_QGLContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLContext) },	//28
    { "QGLFormat", false, 0, xcall_QGLFormat, xenum_QGLFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFormat) },	//29
    { "QGLFramebufferObject", false, 1, xcall_QGLFramebufferObject, xenum_QGLFramebufferObject, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLFramebufferObject) },	//30
    { "QGLFramebufferObjectFormat", false, 0, xcall_QGLFramebufferObjectFormat, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFramebufferObjectFormat) },	//31
    { "QGLPixelBuffer", false, 1, xcall_QGLPixelBuffer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLPixelBuffer) },	//32
    { "QGLShader", false, 3, xcall_QGLShader, xenum_QGLShader, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShader) },	//33
    { "QGLShaderProgram", false, 3, xcall_QGLShaderProgram, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShaderProgram) },	//34
    { "QGLWidget", false, 5, xcall_QGLWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLWidget) },	//35
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//36
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//37
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//38
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//39
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QIcon", true, 0, 0, 0, 0, 0 },	//41
    { "QImage", true, 0, 0, 0, 0, 0 },	//42
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//43
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//45
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//47
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//48
    { "QLine", true, 0, 0, 0, 0, 0 },	//49
    { "QLineF", true, 0, 0, 0, 0, 0 },	//50
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//51
    { "QLocale", true, 0, 0, 0, 0, 0 },	//52
    { "QMargins", true, 0, 0, 0, 0, 0 },	//53
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//54
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//55
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//56
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//57
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//58
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QObject", true, 0, 0, 0, 0, 0 },	//60
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//63
    { "QPainter", true, 0, 0, 0, 0, 0 },	//64
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//65
    { "QPalette", true, 0, 0, 0, 0, 0 },	//66
    { "QPen", true, 0, 0, 0, 0, 0 },	//67
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//68
    { "QPicture", true, 0, 0, 0, 0, 0 },	//69
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//70
    { "QPoint", true, 0, 0, 0, 0, 0 },	//71
    { "QPointF", true, 0, 0, 0, 0, 0 },	//72
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//73
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//74
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//75
    { "QRect", true, 0, 0, 0, 0, 0 },	//76
    { "QRectF", true, 0, 0, 0, 0, 0 },	//77
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//78
    { "QRegion", true, 0, 0, 0, 0, 0 },	//79
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//80
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QSize", true, 0, 0, 0, 0, 0 },	//82
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//83
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//84
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//85
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//86
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//87
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//88
    { "QStyle", true, 0, 0, 0, 0, 0 },	//89
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//90
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//91
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//92
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//93
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//94
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//95
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//97
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//98
    { "QTime", true, 0, 0, 0, 0, 0 },	//99
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//100
    { "QTransform", true, 0, 0, 0, 0, 0 },	//101
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//102
    { "QUrl", true, 0, 0, 0, 0, 0 },	//103
    { "QUuid", true, 0, 0, 0, 0, 0 },	//104
    { "QVariant", true, 0, 0, 0, 0, 0 },	//105
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//106
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//107
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//109
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//110
    { "QWidget", true, 0, 0, 0, 0, 0 },	//111
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "GLbitfield", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "GLenum", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "GLfloat", 0, Smoke::t_voidp|Smoke::tf_stack },	//3
    { "GLint", 0, Smoke::t_voidp|Smoke::tf_stack },	//4
    { "GLuint", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QAccessible2::TableModelChangeType", 0, Smoke::t_enum|Smoke::tf_stack },	//13
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//18
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//19
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//20
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//21
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//22
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//23
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//24
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//25
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QColor", 10, Smoke::t_class|Smoke::tf_stack },	//28
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//29
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//32
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//34
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//35
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//37
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//48
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QGL::FormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QGLContext::BindOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QGLFormat::OpenGLVersionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QGLFunctions::OpenGLFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QGLShader::ShaderTypeBit>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//129
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//130
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//131
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//132
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//133
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//134
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//135
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//137
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QGL::FormatOption", 26, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QGLColormap&", 27, Smoke::t_class|Smoke::tf_ref },	//141
    { "QGLColormap*", 27, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QGLContext*", 28, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QGLContext::BindOption", 28, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QGLFormat", 29, Smoke::t_class|Smoke::tf_stack },	//145
    { "QGLFormat&", 29, Smoke::t_class|Smoke::tf_ref },	//146
    { "QGLFormat*", 29, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QGLFormat::OpenGLContextProfile", 29, Smoke::t_enum|Smoke::tf_stack },	//148
    { "QGLFormat::OpenGLVersionFlag", 29, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QGLFramebufferObject*", 30, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QGLFramebufferObject::Attachment", 30, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QGLFramebufferObjectFormat", 31, Smoke::t_class|Smoke::tf_stack },	//152
    { "QGLFramebufferObjectFormat&", 31, Smoke::t_class|Smoke::tf_ref },	//153
    { "QGLFramebufferObjectFormat*", 31, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QGLFunctions::OpenGLFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QGLPixelBuffer*", 32, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QGLShader*", 33, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QGLShader::ShaderTypeBit", 33, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QGLShaderProgram*", 34, Smoke::t_class|Smoke::tf_ptr },	//159
    { "QGLWidget*", 35, Smoke::t_class|Smoke::tf_ptr },	//160
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "QGraphicsItem*", 37, Smoke::t_class|Smoke::tf_ptr },	//164
    { "QGraphicsItem::GraphicsItemChange", 37, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QGraphicsItem::GraphicsItemFlag", 37, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QGraphicsObject*", 38, Smoke::t_class|Smoke::tf_ptr },	//167
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QHideEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//171
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QIcon&", 41, Smoke::t_class|Smoke::tf_ref },	//173
    { "QImage", 42, Smoke::t_class|Smoke::tf_stack },	//174
    { "QImage&", 42, Smoke::t_class|Smoke::tf_ref },	//175
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QIncompatibleFlag", 43, Smoke::t_class|Smoke::tf_stack },	//177
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QInputMethodEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QKeyEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QKeySequence&", 47, Smoke::t_class|Smoke::tf_ref },	//182
    { "QKeySequence::StandardKey", 47, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QLine", 49, Smoke::t_class|Smoke::tf_stack },	//185
    { "QLine&", 49, Smoke::t_class|Smoke::tf_ref },	//186
    { "QLineF", 50, Smoke::t_class|Smoke::tf_stack },	//187
    { "QLineF&", 50, Smoke::t_class|Smoke::tf_ref },	//188
    { "QList<QGLShader*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//189
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//190
    { "QListWidgetItem&", 51, Smoke::t_class|Smoke::tf_ref },	//191
    { "QLocale&", 52, Smoke::t_class|Smoke::tf_ref },	//192
    { "QLocale::NumberOption", 52, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QMatrix&", 54, Smoke::t_class|Smoke::tf_ref },	//195
    { "QMatrix4x4", 55, Smoke::t_class|Smoke::tf_stack },	//196
    { "QMatrix4x4&", 55, Smoke::t_class|Smoke::tf_ref },	//197
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QMetaObject::Call", 56, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QMouseEvent*", 58, Smoke::t_class|Smoke::tf_ptr },	//202
    { "QMoveEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//203
    { "QObject*", 60, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QObject*(*)()", 60, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QPaintDevice*", 61, Smoke::t_class|Smoke::tf_ptr },	//206
    { "QPaintDevice::PaintDeviceMetric", 61, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QPaintEngine*", 62, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QPaintEngine::DirtyFlag", 62, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QPaintEngine::PaintEngineFeature", 62, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QPaintEngine::Type", 62, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QPaintEvent*", 63, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QPainter*", 64, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QPainter::RenderHint", 64, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QPainterPath", 65, Smoke::t_class|Smoke::tf_stack },	//215
    { "QPainterPath&", 65, Smoke::t_class|Smoke::tf_ref },	//216
    { "QPalette&", 66, Smoke::t_class|Smoke::tf_ref },	//217
    { "QPen&", 67, Smoke::t_class|Smoke::tf_ref },	//218
    { "QPicture&", 69, Smoke::t_class|Smoke::tf_ref },	//219
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QPixmap", 70, Smoke::t_class|Smoke::tf_stack },	//221
    { "QPixmap&", 70, Smoke::t_class|Smoke::tf_ref },	//222
    { "QPoint", 71, Smoke::t_class|Smoke::tf_stack },	//223
    { "QPoint&", 71, Smoke::t_class|Smoke::tf_ref },	//224
    { "QPointF", 72, Smoke::t_class|Smoke::tf_stack },	//225
    { "QPointF&", 72, Smoke::t_class|Smoke::tf_ref },	//226
    { "QPolygon", 73, Smoke::t_class|Smoke::tf_stack },	//227
    { "QPolygon&", 73, Smoke::t_class|Smoke::tf_ref },	//228
    { "QPolygonF", 74, Smoke::t_class|Smoke::tf_stack },	//229
    { "QPolygonF&", 74, Smoke::t_class|Smoke::tf_ref },	//230
    { "QQuaternion&", 75, Smoke::t_class|Smoke::tf_ref },	//231
    { "QRect&", 76, Smoke::t_class|Smoke::tf_ref },	//232
    { "QRectF&", 77, Smoke::t_class|Smoke::tf_ref },	//233
    { "QRegExp&", 78, Smoke::t_class|Smoke::tf_ref },	//234
    { "QRegion", 79, Smoke::t_class|Smoke::tf_stack },	//235
    { "QRegion&", 79, Smoke::t_class|Smoke::tf_ref },	//236
    { "QResizeEvent*", 80, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QShowEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QSize", 82, Smoke::t_class|Smoke::tf_stack },	//239
    { "QSize&", 82, Smoke::t_class|Smoke::tf_ref },	//240
    { "QSizeF&", 83, Smoke::t_class|Smoke::tf_ref },	//241
    { "QSizePolicy&", 84, Smoke::t_class|Smoke::tf_ref },	//242
    { "QSizePolicy::ControlType", 84, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QSplitter&", 85, Smoke::t_class|Smoke::tf_ref },	//244
    { "QStandardItem&", 86, Smoke::t_class|Smoke::tf_ref },	//245
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//247
    { "QString::Null", 87, Smoke::t_class|Smoke::tf_stack },	//248
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//250
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//251
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//252
    { "QStyle&", 89, Smoke::t_class|Smoke::tf_ref },	//253
    { "QStyle::StateFlag", 89, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QStyle::SubControl", 89, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QTableWidgetItem&", 91, Smoke::t_class|Smoke::tf_ref },	//263
    { "QTabletEvent*", 92, Smoke::t_class|Smoke::tf_ptr },	//264
    { "QTextCodec*", 93, Smoke::t_class|Smoke::tf_ptr },	//265
    { "QTextCodec::ConversionFlag", 93, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QTextFormat&", 94, Smoke::t_class|Smoke::tf_ref },	//269
    { "QTextFormat::PageBreakFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QTextLength&", 95, Smoke::t_class|Smoke::tf_ref },	//272
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QTextStream&", 96, Smoke::t_class|Smoke::tf_ref },	//274
    { "QTextStream&(*)(QTextStream&)", 96, Smoke::t_class|Smoke::tf_ref },	//275
    { "QTextStream::NumberFlag", 96, Smoke::t_enum|Smoke::tf_stack },	//276
    { "QTextStreamManipulator", 97, Smoke::t_class|Smoke::tf_stack },	//277
    { "QTime&", 99, Smoke::t_class|Smoke::tf_ref },	//278
    { "QTimerEvent*", 100, Smoke::t_class|Smoke::tf_ptr },	//279
    { "QTransform", 101, Smoke::t_class|Smoke::tf_stack },	//280
    { "QTransform&", 101, Smoke::t_class|Smoke::tf_ref },	//281
    { "QTreeWidgetItem&", 102, Smoke::t_class|Smoke::tf_ref },	//282
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "QUrl&", 103, Smoke::t_class|Smoke::tf_ref },	//284
    { "QUrl::FormattingOption", 103, Smoke::t_enum|Smoke::tf_stack },	//285
    { "QUuid&", 104, Smoke::t_class|Smoke::tf_ref },	//286
    { "QVariant", 105, Smoke::t_class|Smoke::tf_stack },	//287
    { "QVariant&", 105, Smoke::t_class|Smoke::tf_ref },	//288
    { "QVariant::Type", 105, Smoke::t_enum|Smoke::tf_stack },	//289
    { "QVariant::Type&", 105, Smoke::t_enum|Smoke::tf_ref },	//290
    { "QVector2D&", 107, Smoke::t_class|Smoke::tf_ref },	//291
    { "QVector3D", 108, Smoke::t_class|Smoke::tf_stack },	//292
    { "QVector3D&", 108, Smoke::t_class|Smoke::tf_ref },	//293
    { "QVector4D", 109, Smoke::t_class|Smoke::tf_stack },	//294
    { "QVector4D&", 109, Smoke::t_class|Smoke::tf_ref },	//295
    { "QWheelEvent*", 110, Smoke::t_class|Smoke::tf_ptr },	//296
    { "QWidget*", 111, Smoke::t_class|Smoke::tf_ptr },	//297
    { "QWidget::RenderFlag", 111, Smoke::t_enum|Smoke::tf_stack },	//298
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//375
    { "QtMsgType", 36, Smoke::t_enum|Smoke::tf_stack },	//376
    { "QtValidLicenseForActiveQtModule", 36, Smoke::t_enum|Smoke::tf_stack },	//377
    { "QtValidLicenseForCoreModule", 36, Smoke::t_enum|Smoke::tf_stack },	//378
    { "QtValidLicenseForDBusModule", 36, Smoke::t_enum|Smoke::tf_stack },	//379
    { "QtValidLicenseForDeclarativeModule", 36, Smoke::t_enum|Smoke::tf_stack },	//380
    { "QtValidLicenseForGuiModule", 36, Smoke::t_enum|Smoke::tf_stack },	//381
    { "QtValidLicenseForHelpModule", 36, Smoke::t_enum|Smoke::tf_stack },	//382
    { "QtValidLicenseForMultimediaModule", 36, Smoke::t_enum|Smoke::tf_stack },	//383
    { "QtValidLicenseForNetworkModule", 36, Smoke::t_enum|Smoke::tf_stack },	//384
    { "QtValidLicenseForOpenGLModule", 36, Smoke::t_enum|Smoke::tf_stack },	//385
    { "QtValidLicenseForOpenVGModule", 36, Smoke::t_enum|Smoke::tf_stack },	//386
    { "QtValidLicenseForQt3SupportLightModule", 36, Smoke::t_enum|Smoke::tf_stack },	//387
    { "QtValidLicenseForQt3SupportModule", 36, Smoke::t_enum|Smoke::tf_stack },	//388
    { "QtValidLicenseForScriptModule", 36, Smoke::t_enum|Smoke::tf_stack },	//389
    { "QtValidLicenseForScriptToolsModule", 36, Smoke::t_enum|Smoke::tf_stack },	//390
    { "QtValidLicenseForSqlModule", 36, Smoke::t_enum|Smoke::tf_stack },	//391
    { "QtValidLicenseForSvgModule", 36, Smoke::t_enum|Smoke::tf_stack },	//392
    { "QtValidLicenseForTestModule", 36, Smoke::t_enum|Smoke::tf_stack },	//393
    { "QtValidLicenseForXmlModule", 36, Smoke::t_enum|Smoke::tf_stack },	//394
    { "QtValidLicenseForXmlPatternsModule", 36, Smoke::t_enum|Smoke::tf_stack },	//395
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//396
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//397
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//398
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//399
    { "const GLfloat*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//400
    { "const GLfloat[2][2]", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//401
    { "const GLfloat[3][3]", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//402
    { "const GLfloat[4][4]", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//403
    { "const GLint*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//404
    { "const GLuint*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//405
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//408
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//409
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//418
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QGLColormap&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QGLContext*", 28, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//421
    { "const QGLFormat&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QGLFramebufferObjectFormat&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QGLWidget*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//424
    { "const QGenericMatrix<2,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QGenericMatrix<2,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//426
    { "const QGenericMatrix<2,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QGenericMatrix<2,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//428
    { "const QGenericMatrix<2,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QGenericMatrix<2,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//430
    { "const QGenericMatrix<3,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QGenericMatrix<3,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//432
    { "const QGenericMatrix<3,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QGenericMatrix<3,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//434
    { "const QGenericMatrix<3,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QGenericMatrix<3,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//436
    { "const QGenericMatrix<4,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QGenericMatrix<4,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//438
    { "const QGenericMatrix<4,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QGenericMatrix<4,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//440
    { "const QHashDummyValue&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QIcon&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QImage&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QItemSelectionRange&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QKeySequence&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QLatin1String&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QLine&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QLineF&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QListWidgetItem&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QLocale&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QMargins&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QMatrix&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QMatrix4x4&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QMatrix4x4*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//454
    { "const QMetaObject&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QMetaObject*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//456
    { "const QModelIndex&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QObject*", 60, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//458
    { "const QPainterPath&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QPalette&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QPen&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QPersistentModelIndex&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QPicture&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QPixmap&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const QPoint", 71, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//465
    { "const QPoint&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QPointF", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//467
    { "const QPointF&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const QPolygon&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const QPolygonF&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const QQuaternion", 75, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//471
    { "const QQuaternion&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//472
    { "const QRect&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const QRectF&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const QRegExp&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const QRegExp*", 78, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//476
    { "const QRegion&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const QSize", 82, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//478
    { "const QSize&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const QSizeF", 83, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//480
    { "const QSizeF&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const QSizePolicy&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//482
    { "const QSplitter&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//483
    { "const QStandardItem&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//484
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//485
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//486
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//487
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//488
    { "const QStringRef&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//489
    { "const QStyleOption&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//490
    { "const QStyleOption::OptionType&", 90, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//491
    { "const QTableWidgetItem&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//492
    { "const QTextFormat&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//493
    { "const QTextLength&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//494
    { "const QTileRules&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//495
    { "const QTime&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//496
    { "const QTransform&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//497
    { "const QTreeWidgetItem&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//498
    { "const QUrl&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//499
    { "const QUuid&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//500
    { "const QVariant&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//501
    { "const QVariant::Type", 105, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//502
    { "const QVariantComparisonHelper&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//503
    { "const QVector2D", 107, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//504
    { "const QVector2D&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//505
    { "const QVector2D*", 107, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//506
    { "const QVector3D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//507
    { "const QVector3D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//508
    { "const QVector3D*", 108, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//509
    { "const QVector4D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//510
    { "const QVector4D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//511
    { "const QVector4D*", 109, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//512
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//513
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//514
    { "const unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//515
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//516
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//517
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//518
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//519
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//520
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//521
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//522
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//523
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//524
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//525
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//526
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//527
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//528
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//529
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//530
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//531
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//532
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//533
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//534
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//535
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//536
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    211, 0,	//1  QPaintEngine::Type
    420, 0,	//3  const QGLColormap&
    519, 515, 519, 0,	//5  int, const unsigned int*, int
    519, 527, 0,	//9  int, unsigned int
    519, 412, 0,	//12  int, const QColor&
    519, 0,	//15  int
    527, 0,	//17  unsigned int
    528, 0,	//19  unsigned long
    519, 515, 0,	//21  int, const unsigned int*
    422, 206, 0,	//24  const QGLFormat&, QPaintDevice*
    422, 0,	//27  const QGLFormat&
    421, 0,	//29  const QGLContext*
    421, 421, 0,	//31  const QGLContext*, const QGLContext*
    443, 2, 4, 73, 0,	//34  const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>
    464, 2, 4, 73, 0,	//39  const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>
    443, 2, 4, 0,	//44  const QImage&, GLenum, GLint
    464, 2, 4, 0,	//48  const QPixmap&, GLenum, GLint
    486, 0,	//52  const QString&
    5, 0,	//54  GLuint
    474, 5, 2, 0,	//56  const QRectF&, GLuint, GLenum
    468, 5, 2, 0,	//60  const QPointF&, GLuint, GLenum
    422, 519, 0,	//64  const QGLFormat&, int
    397, 0,	//67  bool
    419, 519, 0,	//69  const QFont&, int
    412, 0,	//72  const QColor&
    206, 0,	//74  QPaintDevice*
    443, 0,	//76  const QImage&
    443, 2, 0,	//78  const QImage&, GLenum
    464, 0,	//81  const QPixmap&
    464, 2, 0,	//83  const QPixmap&, GLenum
    474, 5, 0,	//86  const QRectF&, GLuint
    468, 5, 0,	//89  const QPointF&, GLuint
    143, 0,	//92  QGLContext*
    72, 519, 0,	//94  QFlags<QGL::FormatOption>, int
    72, 0,	//97  QFlags<QGL::FormatOption>
    519, 519, 0,	//99  int, int
    148, 0,	//102  QGLFormat::OpenGLContextProfile
    479, 2, 0,	//104  const QSize&, GLenum
    519, 519, 2, 0,	//107  int, int, GLenum
    479, 151, 2, 2, 0,	//111  const QSize&, QGLFramebufferObject::Attachment, GLenum, GLenum
    519, 519, 151, 2, 2, 0,	//116  int, int, QGLFramebufferObject::Attachment, GLenum, GLenum
    479, 423, 0,	//122  const QSize&, const QGLFramebufferObjectFormat&
    519, 519, 423, 0,	//125  int, int, const QGLFramebufferObjectFormat&
    150, 473, 150, 473, 1, 2, 0,	//129  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield, GLenum
    207, 0,	//136  QPaintDevice::PaintDeviceMetric
    479, 0,	//138  const QSize&
    479, 151, 0,	//140  const QSize&, QGLFramebufferObject::Attachment
    479, 151, 2, 0,	//143  const QSize&, QGLFramebufferObject::Attachment, GLenum
    519, 519, 151, 0,	//147  int, int, QGLFramebufferObject::Attachment
    519, 519, 151, 2, 0,	//151  int, int, QGLFramebufferObject::Attachment, GLenum
    150, 473, 150, 473, 0,	//156  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&
    150, 473, 150, 473, 1, 0,	//161  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield
    423, 0,	//167  const QGLFramebufferObjectFormat&
    151, 0,	//169  QGLFramebufferObject::Attachment
    2, 0,	//171  GLenum
    479, 422, 160, 0,	//173  const QSize&, const QGLFormat&, QGLWidget*
    519, 519, 422, 160, 0,	//177  int, int, const QGLFormat&, QGLWidget*
    479, 422, 0,	//182  const QSize&, const QGLFormat&
    519, 519, 422, 0,	//185  int, int, const QGLFormat&
    513, 0,	//189  const char*
    513, 513, 0,	//191  const char*, const char*
    513, 513, 519, 0,	//194  const char*, const char*, int
    201, 519, 535, 0,	//198  QMetaObject::Call, int, void**
    76, 204, 0,	//202  QFlags<QGLShader::ShaderTypeBit>, QObject*
    76, 421, 204, 0,	//205  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*
    410, 0,	//209  const QByteArray&
    76, 421, 0,	//211  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*
    76, 0,	//214  QFlags<QGLShader::ShaderTypeBit>
    204, 0,	//216  QObject*
    421, 204, 0,	//218  const QGLContext*, QObject*
    157, 0,	//221  QGLShader*
    76, 513, 0,	//223  QFlags<QGLShader::ShaderTypeBit>, const char*
    76, 410, 0,	//226  QFlags<QGLShader::ShaderTypeBit>, const QByteArray&
    76, 486, 0,	//229  QFlags<QGLShader::ShaderTypeBit>, const QString&
    513, 519, 0,	//232  const char*, int
    410, 519, 0,	//235  const QByteArray&, int
    486, 519, 0,	//238  const QString&, int
    519, 3, 0,	//241  int, GLfloat
    519, 3, 3, 0,	//244  int, GLfloat, GLfloat
    519, 3, 3, 3, 0,	//248  int, GLfloat, GLfloat, GLfloat
    519, 3, 3, 3, 3, 0,	//253  int, GLfloat, GLfloat, GLfloat, GLfloat
    519, 505, 0,	//259  int, const QVector2D&
    519, 508, 0,	//262  int, const QVector3D&
    519, 511, 0,	//265  int, const QVector4D&
    519, 400, 519, 519, 0,	//268  int, const GLfloat*, int, int
    513, 3, 0,	//273  const char*, GLfloat
    513, 3, 3, 0,	//276  const char*, GLfloat, GLfloat
    513, 3, 3, 3, 0,	//280  const char*, GLfloat, GLfloat, GLfloat
    513, 3, 3, 3, 3, 0,	//285  const char*, GLfloat, GLfloat, GLfloat, GLfloat
    513, 505, 0,	//291  const char*, const QVector2D&
    513, 508, 0,	//294  const char*, const QVector3D&
    513, 511, 0,	//297  const char*, const QVector4D&
    513, 412, 0,	//300  const char*, const QColor&
    513, 400, 519, 519, 0,	//303  const char*, const GLfloat*, int, int
    519, 506, 519, 0,	//308  int, const QVector2D*, int
    519, 509, 519, 0,	//312  int, const QVector3D*, int
    519, 512, 519, 0,	//316  int, const QVector4D*, int
    519, 2, 516, 519, 519, 0,	//320  int, GLenum, const void*, int, int
    513, 506, 519, 0,	//326  const char*, const QVector2D*, int
    513, 509, 519, 0,	//330  const char*, const QVector3D*, int
    513, 512, 519, 0,	//334  const char*, const QVector4D*, int
    513, 2, 516, 519, 519, 0,	//338  const char*, GLenum, const void*, int, int
    519, 2, 519, 519, 519, 0,	//344  int, GLenum, int, int, int
    513, 2, 519, 519, 519, 0,	//350  const char*, GLenum, int, int, int
    519, 4, 0,	//356  int, GLint
    519, 5, 0,	//359  int, GLuint
    519, 466, 0,	//362  int, const QPoint&
    519, 468, 0,	//365  int, const QPointF&
    519, 479, 0,	//368  int, const QSize&
    519, 481, 0,	//371  int, const QSizeF&
    519, 425, 0,	//374  int, const QGenericMatrix<2,2,double>&
    519, 427, 0,	//377  int, const QGenericMatrix<2,3,double>&
    519, 429, 0,	//380  int, const QGenericMatrix<2,4,double>&
    519, 431, 0,	//383  int, const QGenericMatrix<3,2,double>&
    519, 433, 0,	//386  int, const QGenericMatrix<3,3,double>&
    519, 435, 0,	//389  int, const QGenericMatrix<3,4,double>&
    519, 437, 0,	//392  int, const QGenericMatrix<4,2,double>&
    519, 439, 0,	//395  int, const QGenericMatrix<4,3,double>&
    519, 453, 0,	//398  int, const QMatrix4x4&
    519, 401, 0,	//401  int, const GLfloat[2][2]
    519, 402, 0,	//404  int, const GLfloat[3][3]
    519, 403, 0,	//407  int, const GLfloat[4][4]
    519, 497, 0,	//410  int, const QTransform&
    513, 4, 0,	//413  const char*, GLint
    513, 5, 0,	//416  const char*, GLuint
    513, 466, 0,	//419  const char*, const QPoint&
    513, 468, 0,	//422  const char*, const QPointF&
    513, 479, 0,	//425  const char*, const QSize&
    513, 481, 0,	//428  const char*, const QSizeF&
    513, 425, 0,	//431  const char*, const QGenericMatrix<2,2,double>&
    513, 427, 0,	//434  const char*, const QGenericMatrix<2,3,double>&
    513, 429, 0,	//437  const char*, const QGenericMatrix<2,4,double>&
    513, 431, 0,	//440  const char*, const QGenericMatrix<3,2,double>&
    513, 433, 0,	//443  const char*, const QGenericMatrix<3,3,double>&
    513, 435, 0,	//446  const char*, const QGenericMatrix<3,4,double>&
    513, 437, 0,	//449  const char*, const QGenericMatrix<4,2,double>&
    513, 439, 0,	//452  const char*, const QGenericMatrix<4,3,double>&
    513, 453, 0,	//455  const char*, const QMatrix4x4&
    513, 401, 0,	//458  const char*, const GLfloat[2][2]
    513, 402, 0,	//461  const char*, const GLfloat[3][3]
    513, 403, 0,	//464  const char*, const GLfloat[4][4]
    513, 497, 0,	//467  const char*, const QTransform&
    519, 404, 519, 0,	//470  int, const GLint*, int
    519, 405, 519, 0,	//474  int, const GLuint*, int
    519, 426, 519, 0,	//478  int, const QGenericMatrix<2,2,double>*, int
    519, 428, 519, 0,	//482  int, const QGenericMatrix<2,3,double>*, int
    519, 430, 519, 0,	//486  int, const QGenericMatrix<2,4,double>*, int
    519, 432, 519, 0,	//490  int, const QGenericMatrix<3,2,double>*, int
    519, 434, 519, 0,	//494  int, const QGenericMatrix<3,3,double>*, int
    519, 436, 519, 0,	//498  int, const QGenericMatrix<3,4,double>*, int
    519, 438, 519, 0,	//502  int, const QGenericMatrix<4,2,double>*, int
    519, 440, 519, 0,	//506  int, const QGenericMatrix<4,3,double>*, int
    519, 454, 519, 0,	//510  int, const QMatrix4x4*, int
    513, 404, 519, 0,	//514  const char*, const GLint*, int
    513, 405, 519, 0,	//518  const char*, const GLuint*, int
    513, 426, 519, 0,	//522  const char*, const QGenericMatrix<2,2,double>*, int
    513, 428, 519, 0,	//526  const char*, const QGenericMatrix<2,3,double>*, int
    513, 430, 519, 0,	//530  const char*, const QGenericMatrix<2,4,double>*, int
    513, 432, 519, 0,	//534  const char*, const QGenericMatrix<3,2,double>*, int
    513, 434, 519, 0,	//538  const char*, const QGenericMatrix<3,3,double>*, int
    513, 436, 519, 0,	//542  const char*, const QGenericMatrix<3,4,double>*, int
    513, 438, 519, 0,	//546  const char*, const QGenericMatrix<4,2,double>*, int
    513, 440, 519, 0,	//550  const char*, const QGenericMatrix<4,3,double>*, int
    513, 454, 519, 0,	//554  const char*, const QMatrix4x4*, int
    519, 400, 519, 0,	//558  int, const GLfloat*, int
    519, 506, 0,	//562  int, const QVector2D*
    519, 509, 0,	//565  int, const QVector3D*
    519, 512, 0,	//568  int, const QVector4D*
    519, 2, 516, 519, 0,	//571  int, GLenum, const void*, int
    513, 400, 519, 0,	//576  const char*, const GLfloat*, int
    513, 506, 0,	//580  const char*, const QVector2D*
    513, 509, 0,	//583  const char*, const QVector3D*
    513, 512, 0,	//586  const char*, const QVector4D*
    513, 2, 516, 519, 0,	//589  const char*, GLenum, const void*, int
    519, 2, 519, 519, 0,	//594  int, GLenum, int, int
    513, 2, 519, 519, 0,	//599  const char*, GLenum, int, int
    297, 424, 135, 0,	//604  QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    143, 297, 424, 135, 0,	//608  QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    422, 297, 424, 135, 0,	//613  const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    143, 421, 397, 0,	//618  QGLContext*, const QGLContext*, bool
    519, 519, 397, 0,	//622  int, int, bool
    519, 519, 486, 419, 519, 0,	//626  int, int, const QString&, const QFont&, int
    517, 517, 517, 486, 419, 519, 0,	//632  double, double, double, const QString&, const QFont&, int
    49, 0,	//639  QEvent*
    212, 0,	//641  QPaintEvent*
    237, 0,	//643  QResizeEvent*
    297, 0,	//645  QWidget*
    297, 424, 0,	//647  QWidget*, const QGLWidget*
    143, 297, 0,	//650  QGLContext*, QWidget*
    143, 297, 424, 0,	//653  QGLContext*, QWidget*, const QGLWidget*
    422, 297, 0,	//657  const QGLFormat&, QWidget*
    422, 297, 424, 0,	//660  const QGLFormat&, QWidget*, const QGLWidget*
    143, 421, 0,	//664  QGLContext*, const QGLContext*
    519, 519, 486, 0,	//667  int, int, const QString&
    519, 519, 486, 419, 0,	//671  int, int, const QString&, const QFont&
    517, 517, 517, 486, 0,	//676  double, double, double, const QString&
    517, 517, 517, 486, 419, 0,	//681  double, double, double, const QString&, const QFont&
    419, 0,	//687  const QFont&
    406, 406, 0,	//689  const QBitArray&, const QBitArray&
    462, 0,	//692  const QPersistentModelIndex&
    320, 519, 0,	//694  Qt::DockWidgetArea, int
    161, 161, 0,	//697  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    422, 422, 0,	//700  const QGLFormat&, const QGLFormat&
    466, 517, 0,	//703  const QPoint&, double
    517, 0,	//706  double
    37, 444, 0,	//708  QDebug, const QItemSelectionRange&
    517, 468, 0,	//711  double, const QPointF&
    345, 129, 0,	//714  Qt::MouseButton, QFlags<Qt::MouseButton>
    451, 451, 0,	//717  const QMargins&, const QMargins&
    37, 490, 0,	//720  QDebug, const QStyleOption&
    517, 481, 0,	//723  double, const QSizeF&
    40, 519, 0,	//726  QDir::SortFlag, int
    7, 7, 0,	//729  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    37, 462, 0,	//732  QDebug, const QPersistentModelIndex&
    33, 175, 0,	//735  QDataStream&, QImage&
    33, 482, 0,	//738  QDataStream&, const QSizePolicy&
    334, 519, 0,	//741  Qt::InputMethodHint, int
    260, 519, 0,	//744  QStyleOptionToolBar::ToolBarFeature, int
    37, 497, 0,	//747  QDebug, const QTransform&
    399, 513, 0,	//750  char*, const char*
    473, 473, 0,	//753  const QRect&, const QRect&
    479, 479, 0,	//756  const QSize&, const QSize&
    33, 497, 0,	//759  QDataStream&, const QTransform&
    155, 155, 0,	//762  QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature
    266, 266, 0,	//765  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    37, 466, 0,	//768  QDebug, const QPoint&
    453, 453, 0,	//771  const QMatrix4x4&, const QMatrix4x4&
    158, 158, 0,	//774  QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit
    525, 0,	//777  unsigned char
    39, 62, 0,	//779  QDir::Filter, QFlags<QDir::Filter>
    511, 511, 0,	//782  const QVector4D&, const QVector4D&
    468, 452, 0,	//785  const QPointF&, const QMatrix&
    210, 210, 0,	//788  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    447, 497, 0,	//791  const QLine&, const QTransform&
    505, 505, 0,	//794  const QVector2D&, const QVector2D&
    50, 67, 0,	//797  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    372, 134, 0,	//800  Qt::WindowState, QFlags<Qt::WindowState>
    481, 517, 0,	//803  const QSizeF&, double
    33, 447, 0,	//806  QDataStream&, const QLine&
    39, 519, 0,	//809  QDir::Filter, int
    497, 497, 0,	//812  const QTransform&, const QTransform&
    513, 446, 0,	//815  const char*, const QLatin1String&
    52, 69, 0,	//818  QFileDialog::Option, QFlags<QFileDialog::Option>
    481, 481, 0,	//821  const QSizeF&, const QSizeF&
    410, 410, 0,	//824  const QByteArray&, const QByteArray&
    446, 489, 0,	//827  const QLatin1String&, const QStringRef&
    472, 0,	//830  const QQuaternion&
    8, 8, 0,	//832  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    345, 345, 0,	//835  Qt::MouseButton, Qt::MouseButton
    37, 502, 0,	//838  QDebug, const QVariant::Type
    501, 503, 0,	//841  const QVariant&, const QVariantComparisonHelper&
    472, 517, 0,	//844  const QQuaternion&, double
    20, 20, 0,	//847  QBool, QBool
    259, 259, 0,	//850  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    258, 258, 0,	//853  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    138, 138, 0,	//856  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    300, 120, 0,	//859  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    489, 0,	//862  const QStringRef&
    270, 270, 0,	//864  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    248, 248, 0,	//867  QString::Null, QString::Null
    37, 419, 0,	//870  QDebug, const QFont&
    37, 469, 0,	//873  QDebug, const QPolygon&
    33, 474, 0,	//876  QDataStream&, const QRectF&
    33, 192, 0,	//879  QDataStream&, QLocale&
    255, 519, 0,	//882  QStyle::SubControl, int
    42, 42, 0,	//885  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    24, 486, 0,	//888  QChar, const QString&
    172, 84, 0,	//891  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    213, 473, 460, 397, 519, 408, 0,	//894  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    213, 473, 460, 0,	//901  QPainter*, const QRect&, const QPalette&
    213, 473, 460, 397, 0,	//905  QPainter*, const QRect&, const QPalette&, bool
    213, 473, 460, 397, 519, 0,	//910  QPainter*, const QRect&, const QPalette&, bool, int
    505, 0,	//916  const QVector2D&
    39, 39, 0,	//918  QDir::Filter, QDir::Filter
    33, 460, 0,	//921  QDataStream&, const QPalette&
    37, 496, 0,	//924  QDebug, const QTime&
    472, 472, 0,	//927  const QQuaternion&, const QQuaternion&
    267, 110, 0,	//930  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    33, 410, 0,	//933  QDataStream&, const QByteArray&
    37, 414, 0,	//936  QDebug, const QDate&
    406, 0,	//939  const QBitArray&
    268, 111, 0,	//941  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    514, 526, 519, 0,	//944  const unsigned char*, unsigned char*, int
    16, 58, 0,	//948  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    470, 497, 0,	//951  const QPolygonF&, const QTransform&
    501, 289, 534, 0,	//954  const QVariant&, QVariant::Type, void*
    530, 0,	//958  unsigned short
    205, 0,	//960  QObject*(*)()
    520, 0,	//962  long
    362, 362, 0,	//964  Qt::ToolBarArea, Qt::ToolBarArea
    521, 0,	//967  long long
    37, 470, 0,	//969  QDebug, const QPolygonF&
    220, 97, 0,	//972  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    213, 519, 519, 519, 519, 460, 397, 408, 0,	//975  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    213, 519, 519, 519, 519, 460, 0,	//984  QPainter*, int, int, int, int, const QPalette&
    213, 519, 519, 519, 519, 460, 397, 0,	//991  QPainter*, int, int, int, int, const QPalette&, bool
    298, 519, 0,	//999  QWidget::RenderFlag, int
    37, 412, 0,	//1002  QDebug, const QColor&
    283, 519, 0,	//1005  QTreeWidgetItemIterator::IteratorFlag, int
    322, 519, 0,	//1008  Qt::DropAction, int
    213, 519, 519, 519, 519, 460, 397, 519, 519, 408, 0,	//1011  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    213, 519, 519, 519, 519, 460, 397, 519, 0,	//1022  QPainter*, int, int, int, int, const QPalette&, bool, int
    213, 519, 519, 519, 519, 460, 397, 519, 519, 0,	//1031  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    33, 487, 0,	//1041  QDataStream&, const QStringList&
    6, 6, 0,	//1044  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    33, 218, 0,	//1047  QDataStream&, QPen&
    518, 0,	//1050  float
    161, 77, 0,	//1052  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    300, 300, 0,	//1055  Qt::AlignmentFlag, Qt::AlignmentFlag
    33, 29, 0,	//1058  QDataStream&, QColor&
    41, 519, 0,	//1061  QDirIterator::IteratorFlag, int
    33, 475, 0,	//1064  QDataStream&, const QRegExp&
    285, 519, 0,	//1067  QUrl::FormattingOption, int
    41, 64, 0,	//1070  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    410, 513, 0,	//1073  const QByteArray&, const char*
    163, 163, 0,	//1076  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    139, 519, 0,	//1079  QFontDialog::FontDialogOption, int
    37, 481, 0,	//1082  QDebug, const QSizeF&
    320, 121, 0,	//1085  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    258, 519, 0,	//1088  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    37, 422, 0,	//1091  QDebug, const QGLFormat&
    447, 452, 0,	//1094  const QLine&, const QMatrix&
    209, 209, 0,	//1097  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    519, 519, 519, 0,	//1100  int, int, int
    448, 452, 0,	//1104  const QLineF&, const QMatrix&
    347, 347, 0,	//1107  Qt::Orientation, Qt::Orientation
    459, 452, 0,	//1110  const QPainterPath&, const QMatrix&
    362, 519, 0,	//1113  Qt::ToolBarArea, int
    508, 508, 0,	//1116  const QVector3D&, const QVector3D&
    33, 226, 0,	//1119  QDataStream&, QPointF&
    343, 519, 0,	//1122  Qt::MatchFlag, int
    33, 445, 0,	//1125  QDataStream&, const QKeySequence&
    486, 513, 0,	//1128  const QString&, const char*
    33, 492, 0,	//1131  QDataStream&, const QTableWidgetItem&
    37, 165, 0,	//1134  QDebug, QGraphicsItem::GraphicsItemChange
    37, 417, 0,	//1137  QDebug, const QEasingCurve&
    180, 519, 0,	//1140  QItemSelectionModel::SelectionFlag, int
    33, 413, 0,	//1143  QDataStream&, const QCursor&
    200, 93, 0,	//1146  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    327, 327, 0,	//1149  Qt::GestureFlag, Qt::GestureFlag
    33, 34, 0,	//1152  QDataStream&, QDate&
    33, 463, 0,	//1155  QDataStream&, const QPicture&
    172, 172, 0,	//1158  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    200, 200, 0,	//1161  QMessageBox::StandardButton, QMessageBox::StandardButton
    50, 519, 0,	//1164  QEventLoop::ProcessEventsFlag, int
    398, 410, 0,	//1167  char, const QByteArray&
    33, 295, 0,	//1170  QDataStream&, QVector4D&
    513, 486, 0,	//1173  const char*, const QString&
    199, 92, 0,	//1176  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    37, 100, 0,	//1179  QDebug, QFlags<QStyle::StateFlag>
    513, 410, 0,	//1182  const char*, const QByteArray&
    139, 139, 0,	//1185  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    33, 286, 0,	//1188  QDataStream&, QUuid&
    517, 517, 0,	//1191  double, double
    149, 149, 0,	//1194  QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag
    33, 23, 0,	//1197  QDataStream&, QByteArray&
    33, 288, 0,	//1200  QDataStream&, QVariant&
    33, 498, 0,	//1203  QDataStream&, const QTreeWidgetItem&
    33, 234, 0,	//1206  QDataStream&, QRegExp&
    214, 214, 0,	//1209  QPainter::RenderHint, QPainter::RenderHint
    468, 468, 0,	//1212  const QPointF&, const QPointF&
    497, 517, 0,	//1215  const QTransform&, double
    274, 483, 0,	//1218  QTextStream&, const QSplitter&
    9, 56, 0,	//1221  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    140, 519, 0,	//1224  QGL::FormatOption, int
    505, 517, 0,	//1227  const QVector2D&, double
    140, 140, 0,	//1230  QGL::FormatOption, QGL::FormatOption
    283, 283, 0,	//1233  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    256, 256, 0,	//1236  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    489, 489, 0,	//1239  const QStringRef&, const QStringRef&
    511, 517, 0,	//1242  const QVector4D&, double
    256, 519, 0,	//1245  QStyleOptionButton::ButtonFeature, int
    51, 519, 0,	//1248  QFile::Permission, int
    37, 448, 0,	//1251  QDebug, const QLineF&
    24, 24, 0,	//1254  QChar, QChar
    453, 517, 0,	//1257  const QMatrix4x4&, double
    459, 497, 0,	//1260  const QPainterPath&, const QTransform&
    33, 407, 0,	//1263  QDataStream&, const QBrush&
    198, 91, 0,	//1266  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    513, 513, 527, 0,	//1269  const char*, const char*, unsigned int
    9, 9, 0,	//1273  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    178, 519, 0,	//1276  QInputDialog::InputDialogOption, int
    144, 144, 0,	//1279  QGLContext::BindOption, QGLContext::BindOption
    254, 519, 0,	//1282  QStyle::StateFlag, int
    37, 62, 0,	//1285  QDebug, QFlags<QDir::Filter>
    33, 236, 0,	//1288  QDataStream&, QRegion&
    214, 519, 0,	//1291  QPainter::RenderHint, int
    259, 519, 0,	//1294  QStyleOptionTab::CornerWidget, int
    299, 299, 0,	//1297  QWizard::WizardOption, QWizard::WizardOption
    276, 115, 0,	//1300  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    33, 19, 0,	//1303  QDataStream&, QBitArray&
    299, 119, 0,	//1306  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    468, 517, 0,	//1309  const QPointF&, double
    210, 95, 0,	//1312  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    166, 166, 0,	//1315  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    24, 0,	//1318  QChar
    213, 519, 519, 519, 519, 460, 397, 519, 408, 0,	//1320  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    6, 53, 0,	//1330  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    533, 0,	//1333  void(*)(QtMsgType,const char*)
    33, 414, 0,	//1335  QDataStream&, const QDate&
    458, 486, 455, 0,	//1338  const QObject*, const QString&, const QMetaObject&
    343, 128, 0,	//1342  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    508, 453, 0,	//1345  const QVector3D&, const QMatrix4x4&
    327, 519, 0,	//1348  Qt::GestureFlag, int
    213, 473, 460, 397, 408, 0,	//1351  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    266, 519, 0,	//1357  QTextCodec::ConversionFlag, int
    243, 243, 0,	//1360  QSizePolicy::ControlType, QSizePolicy::ControlType
    138, 519, 0,	//1363  QFontComboBox::FontFilter, int
    267, 519, 0,	//1366  QTextDocument::FindFlag, int
    33, 32, 0,	//1369  QDataStream&, QCursor&
    340, 127, 0,	//1372  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    508, 517, 0,	//1375  const QVector3D&, double
    343, 343, 0,	//1378  Qt::MatchFlag, Qt::MatchFlag
    33, 281, 0,	//1381  QDataStream&, QTransform&
    469, 452, 0,	//1384  const QPolygon&, const QMatrix&
    534, 0,	//1387  void*
    259, 105, 0,	//1389  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    486, 248, 0,	//1392  const QString&, QString::Null
    37, 461, 0,	//1395  QDebug, const QPen&
    261, 261, 0,	//1398  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    184, 519, 0,	//1401  QLibrary::LoadHint, int
    33, 241, 0,	//1404  QDataStream&, QSizeF&
    489, 513, 0,	//1407  const QStringRef&, const char*
    213, 473, 460, 397, 519, 519, 408, 0,	//1410  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    213, 473, 460, 397, 519, 519, 0,	//1418  QPainter*, const QRect&, const QPalette&, bool, int, int
    209, 519, 0,	//1425  QPaintEngine::DirtyFlag, int
    268, 268, 0,	//1428  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    166, 519, 0,	//1431  QGraphicsItem::GraphicsItemFlag, int
    468, 0,	//1434  const QPointF&
    534, 524, 524, 524, 0,	//1436  void*, size_t, size_t, size_t
    337, 337, 0,	//1441  Qt::ItemFlag, Qt::ItemFlag
    33, 464, 0,	//1444  QDataStream&, const QPixmap&
    529, 0,	//1447  unsigned long long
    410, 486, 0,	//1449  const QByteArray&, const QString&
    373, 135, 0,	//1452  Qt::WindowType, QFlags<Qt::WindowType>
    37, 479, 0,	//1455  QDebug, const QSize&
    468, 497, 0,	//1458  const QPointF&, const QTransform&
    337, 126, 0,	//1461  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    37, 508, 0,	//1464  QDebug, const QVector3D&
    365, 133, 0,	//1467  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    486, 398, 0,	//1470  const QString&, char
    42, 65, 0,	//1473  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    163, 519, 0,	//1476  QGraphicsEffect::ChangeFlag, int
    213, 519, 519, 519, 519, 412, 519, 408, 0,	//1479  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    213, 519, 519, 519, 519, 412, 0,	//1488  QPainter*, int, int, int, int, const QColor&
    213, 519, 519, 519, 519, 412, 519, 0,	//1495  QPainter*, int, int, int, int, const QColor&, int
    33, 499, 0,	//1503  QDataStream&, const QUrl&
    534, 519, 524, 0,	//1506  void*, int, size_t
    243, 98, 0,	//1510  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    33, 501, 0,	//1513  QDataStream&, const QVariant&
    33, 186, 0,	//1516  QDataStream&, QLine&
    9, 519, 0,	//1519  QAbstractSpinBox::StepEnabledFlag, int
    37, 505, 0,	//1522  QDebug, const QVector2D&
    340, 340, 0,	//1525  Qt::KeyboardModifier, Qt::KeyboardModifier
    453, 511, 0,	//1528  const QMatrix4x4&, const QVector4D&
    16, 519, 0,	//1531  QAccessible::StateFlag, int
    213, 473, 412, 519, 408, 0,	//1534  QPainter*, const QRect&, const QColor&, int, const QBrush*
    213, 473, 412, 0,	//1540  QPainter*, const QRect&, const QColor&
    213, 473, 412, 519, 0,	//1544  QPainter*, const QRect&, const QColor&, int
    220, 220, 0,	//1549  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    36, 519, 0,	//1552  QDateTimeEdit::Section, int
    532, 0,	//1555  void(*)()
    300, 519, 0,	//1557  Qt::AlignmentFlag, int
    466, 452, 0,	//1560  const QPoint&, const QMatrix&
    340, 519, 0,	//1563  Qt::KeyboardModifier, int
    337, 519, 0,	//1566  Qt::ItemFlag, int
    332, 124, 0,	//1569  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    33, 461, 0,	//1572  QDataStream&, const QPen&
    466, 466, 0,	//1575  const QPoint&, const QPoint&
    249, 519, 0,	//1578  QString::SectionFlag, int
    373, 519, 0,	//1581  Qt::WindowType, int
    298, 298, 0,	//1584  QWidget::RenderFlag, QWidget::RenderFlag
    489, 486, 0,	//1587  const QStringRef&, const QString&
    213, 473, 451, 464, 473, 451, 495, 66, 0,	//1590  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    213, 473, 451, 464, 473, 451, 0,	//1599  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    213, 473, 451, 464, 473, 451, 495, 0,	//1606  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    446, 446, 0,	//1614  const QLatin1String&, const QLatin1String&
    441, 441, 0,	//1617  const QHashDummyValue&, const QHashDummyValue&
    513, 527, 0,	//1620  const char*, unsigned int
    285, 285, 0,	//1623  QUrl::FormattingOption, QUrl::FormattingOption
    30, 519, 0,	//1626  QColorDialog::ColorDialogOption, int
    33, 173, 0,	//1629  QDataStream&, QIcon&
    33, 469, 0,	//1632  QDataStream&, const QPolygon&
    365, 519, 0,	//1635  Qt::TouchPointState, int
    37, 451, 0,	//1638  QDebug, const QMargins&
    298, 118, 0,	//1641  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    270, 519, 0,	//1644  QTextFormat::PageBreakFlag, int
    176, 519, 0,	//1647  QImageIOPlugin::Capability, int
    37, 80, 0,	//1650  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    169, 519, 0,	//1653  QGraphicsView::CacheModeFlag, int
    7, 519, 0,	//1656  QAbstractItemView::EditTrigger, int
    37, 511, 0,	//1659  QDebug, const QVector4D&
    274, 275, 0,	//1662  QTextStream&, QTextStream&(*)(QTextStream&)
    299, 519, 0,	//1665  QWizard::WizardOption, int
    52, 519, 0,	//1668  QFileDialog::Option, int
    254, 100, 0,	//1671  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    453, 466, 0,	//1674  const QMatrix4x4&, const QPoint&
    261, 107, 0,	//1677  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    33, 48, 0,	//1680  QDataStream&, QEasingCurve&
    168, 81, 0,	//1683  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    198, 198, 0,	//1686  QMdiArea::AreaOption, QMdiArea::AreaOption
    33, 245, 0,	//1689  QDataStream&, QStandardItem&
    33, 448, 0,	//1692  QDataStream&, const QLineF&
    51, 68, 0,	//1695  QFile::Permission, QFlags<QFile::Permission>
    210, 519, 0,	//1698  QPaintEngine::PaintEngineFeature, int
    37, 459, 0,	//1701  QDebug, const QPainterPath&
    399, 513, 527, 0,	//1704  char*, const char*, unsigned int
    30, 59, 0,	//1708  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    33, 21, 0,	//1711  QDataStream&, QBrush&
    33, 468, 0,	//1714  QDataStream&, const QPointF&
    33, 197, 0,	//1717  QDataStream&, QMatrix4x4&
    511, 0,	//1720  const QVector4D&
    37, 453, 0,	//1722  QDebug, const QMatrix4x4&
    499, 0,	//1725  const QUrl&
    170, 519, 0,	//1727  QGraphicsView::OptimizationFlag, int
    33, 269, 0,	//1730  QDataStream&, QTextFormat&
    466, 518, 0,	//1733  const QPoint&, float
    193, 519, 0,	//1736  QLocale::NumberOption, int
    33, 191, 0,	//1739  QDataStream&, QListWidgetItem&
    534, 524, 0,	//1742  void*, size_t
    163, 79, 0,	//1745  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    162, 78, 0,	//1748  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    486, 486, 0,	//1751  const QString&, const QString&
    261, 519, 0,	//1754  QStyleOptionToolButton::ToolButtonFeature, int
    200, 519, 0,	//1757  QMessageBox::StandardButton, int
    513, 513, 513, 519, 0,	//1760  const char*, const char*, const char*, int
    486, 489, 0,	//1765  const QString&, const QStringRef&
    37, 166, 0,	//1768  QDebug, QGraphicsItem::GraphicsItemFlag
    15, 57, 0,	//1771  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    183, 181, 0,	//1774  QKeySequence::StandardKey, QKeyEvent*
    243, 519, 0,	//1777  QSizePolicy::ControlType, int
    33, 242, 0,	//1780  QDataStream&, QSizePolicy&
    158, 519, 0,	//1783  QGLShader::ShaderTypeBit, int
    155, 75, 0,	//1786  QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>
    513, 489, 0,	//1789  const char*, const QStringRef&
    33, 195, 0,	//1792  QDataStream&, QMatrix&
    345, 519, 0,	//1795  Qt::MouseButton, int
    258, 104, 0,	//1798  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    33, 240, 0,	//1801  QDataStream&, QSize&
    41, 41, 0,	//1804  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    334, 334, 0,	//1807  Qt::InputMethodHint, Qt::InputMethodHint
    276, 276, 0,	//1810  QTextStream::NumberFlag, QTextStream::NumberFlag
    453, 468, 0,	//1813  const QMatrix4x4&, const QPointF&
    453, 0,	//1816  const QMatrix4x4&
    8, 55, 0,	//1818  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    517, 505, 0,	//1821  double, const QVector2D&
    178, 178, 0,	//1824  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    8, 519, 0,	//1827  QAbstractPrintDialog::PrintDialogOption, int
    33, 290, 0,	//1830  QDataStream&, QVariant::Type&
    359, 131, 0,	//1833  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    33, 508, 0,	//1836  QDataStream&, const QVector3D&
    448, 497, 0,	//1839  const QLineF&, const QTransform&
    489, 446, 0,	//1842  const QStringRef&, const QLatin1String&
    523, 0,	//1845  signed char
    33, 470, 0,	//1847  QDataStream&, const QPolygonF&
    33, 481, 0,	//1850  QDataStream&, const QSizeF&
    362, 132, 0,	//1853  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    517, 508, 0,	//1856  double, const QVector3D&
    33, 419, 0,	//1859  QDataStream&, const QFont&
    273, 114, 0,	//1862  QTextOption::Flag, QFlags<QTextOption::Flag>
    33, 263, 0,	//1865  QDataStream&, QTableWidgetItem&
    149, 74, 0,	//1868  QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>
    255, 101, 0,	//1871  QStyle::SubControl, QFlags<QStyle::SubControl>
    33, 505, 0,	//1874  QDataStream&, const QVector2D&
    33, 452, 0,	//1877  QDataStream&, const QMatrix&
    398, 486, 0,	//1880  char, const QString&
    214, 96, 0,	//1883  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    184, 184, 0,	//1886  QLibrary::LoadHint, QLibrary::LoadHint
    517, 453, 0,	//1889  double, const QMatrix4x4&
    170, 83, 0,	//1892  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    372, 372, 0,	//1895  Qt::WindowState, Qt::WindowState
    271, 271, 0,	//1898  QTextItem::RenderFlag, QTextItem::RenderFlag
    37, 499, 0,	//1901  QDebug, const QUrl&
    169, 169, 0,	//1904  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    285, 117, 0,	//1907  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    33, 230, 0,	//1910  QDataStream&, QPolygonF&
    283, 116, 0,	//1913  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    33, 217, 0,	//1916  QDataStream&, QPalette&
    33, 459, 0,	//1919  QDataStream&, const QPainterPath&
    16, 16, 0,	//1922  QAccessible::StateFlag, QAccessible::StateFlag
    474, 474, 0,	//1925  const QRectF&, const QRectF&
    517, 479, 0,	//1928  double, const QSize&
    181, 183, 0,	//1931  QKeyEvent*, QKeySequence::StandardKey
    51, 51, 0,	//1934  QFile::Permission, QFile::Permission
    457, 0,	//1937  const QModelIndex&
    169, 82, 0,	//1939  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    255, 255, 0,	//1942  QStyle::SubControl, QStyle::SubControl
    37, 447, 0,	//1945  QDebug, const QLine&
    7, 54, 0,	//1948  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    220, 519, 0,	//1951  QPinchGesture::ChangeFlag, int
    33, 231, 0,	//1954  QDataStream&, QQuaternion&
    511, 453, 0,	//1957  const QVector4D&, const QMatrix4x4&
    33, 406, 0,	//1960  QDataStream&, const QBitArray&
    452, 452, 0,	//1963  const QMatrix&, const QMatrix&
    262, 262, 0,	//1966  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    534, 516, 524, 0,	//1969  void*, const void*, size_t
    517, 466, 0,	//1973  double, const QPoint&
    194, 90, 0,	//1976  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    37, 167, 0,	//1979  QDebug, QGraphicsObject*
    37, 457, 0,	//1982  QDebug, const QModelIndex&
    522, 0,	//1985  short
    37, 415, 0,	//1987  QDebug, const QDateTime&
    199, 199, 0,	//1990  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    33, 466, 0,	//1993  QDataStream&, const QPoint&
    33, 443, 0,	//1996  QDataStream&, const QImage&
    517, 472, 0,	//1999  double, const QQuaternion&
    410, 398, 0,	//2002  const QByteArray&, char
    267, 267, 0,	//2005  QTextDocument::FindFlag, QTextDocument::FindFlag
    37, 445, 0,	//2008  QDebug, const QKeySequence&
    209, 94, 0,	//2011  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    38, 38, 0,	//2014  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    15, 15, 0,	//2017  QAccessible::RelationFlag, QAccessible::RelationFlag
    37, 458, 0,	//2020  QDebug, const QObject*
    168, 168, 0,	//2023  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    140, 72, 0,	//2026  QGL::FormatOption, QFlags<QGL::FormatOption>
    37, 418, 0,	//2029  QDebug, const QEvent*
    518, 518, 0,	//2032  float, float
    33, 137, 0,	//2035  QDataStream&, QFont&
    40, 63, 0,	//2038  QDir::SortFlag, QFlags<QDir::SortFlag>
    399, 524, 513, 531, 0,	//2041  char*, size_t, const char*, va_list
    178, 86, 0,	//2046  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    249, 99, 0,	//2049  QString::SectionFlag, QFlags<QString::SectionFlag>
    33, 479, 0,	//2052  QDataStream&, const QSize&
    180, 87, 0,	//2055  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    33, 233, 0,	//2058  QDataStream&, QRectF&
    266, 109, 0,	//2061  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    37, 84, 0,	//2064  QDebug, QFlags<QIODevice::OpenModeFlag>
    33, 411, 0,	//2067  QDataStream&, const QChar&
    397, 20, 0,	//2070  bool, QBool
    37, 474, 0,	//2073  QDebug, const QRectF&
    161, 519, 0,	//2076  QGestureRecognizer::ResultFlag, int
    469, 497, 0,	//2079  const QPolygon&, const QTransform&
    20, 397, 0,	//2082  QBool, bool
    372, 519, 0,	//2085  Qt::WindowState, int
    262, 108, 0,	//2088  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    33, 272, 0,	//2091  QDataStream&, QTextLength&
    33, 251, 0,	//2094  QDataStream&, QStringList&
    33, 473, 0,	//2097  QDataStream&, const QRect&
    33, 477, 0,	//2100  QDataStream&, const QRegion&
    320, 320, 0,	//2103  Qt::DockWidgetArea, Qt::DockWidgetArea
    37, 452, 0,	//2106  QDebug, const QMatrix&
    162, 519, 0,	//2109  QGraphicsBlurEffect::BlurHint, int
    193, 89, 0,	//2112  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    149, 519, 0,	//2115  QGLFormat::OpenGLVersionFlag, int
    155, 519, 0,	//2118  QGLFunctions::OpenGLFeature, int
    273, 273, 0,	//2121  QTextOption::Flag, QTextOption::Flag
    144, 73, 0,	//2124  QGLContext::BindOption, QFlags<QGLContext::BindOption>
    33, 412, 0,	//2127  QDataStream&, const QColor&
    373, 373, 0,	//2130  Qt::WindowType, Qt::WindowType
    36, 36, 0,	//2133  QDateTimeEdit::Section, QDateTimeEdit::Section
    479, 517, 0,	//2136  const QSize&, double
    453, 508, 0,	//2139  const QMatrix4x4&, const QVector3D&
    248, 486, 0,	//2142  QString::Null, const QString&
    37, 407, 0,	//2145  QDebug, const QBrush&
    40, 40, 0,	//2148  QDir::SortFlag, QDir::SortFlag
    334, 125, 0,	//2151  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    33, 224, 0,	//2154  QDataStream&, QPoint&
    37, 468, 0,	//2157  QDebug, const QPointF&
    458, 486, 476, 455, 190, 0,	//2160  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    33, 35, 0,	//2166  QDataStream&, QDateTime&
    257, 257, 0,	//2169  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    33, 496, 0,	//2172  QDataStream&, const QTime&
    33, 282, 0,	//2175  QDataStream&, QTreeWidgetItem&
    33, 182, 0,	//2178  QDataStream&, QKeySequence&
    268, 519, 0,	//2181  QTextEdit::AutoFormattingFlag, int
    33, 500, 0,	//2184  QDataStream&, const QUuid&
    274, 277, 0,	//2187  QTextStream&, QTextStreamManipulator
    176, 85, 0,	//2190  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    33, 494, 0,	//2193  QDataStream&, const QTextLength&
    477, 497, 0,	//2196  const QRegion&, const QTransform&
    468, 453, 0,	//2199  const QPointF&, const QMatrix4x4&
    37, 164, 0,	//2202  QDebug, QGraphicsItem*
    42, 519, 0,	//2205  QDockWidget::DockWidgetFeature, int
    33, 449, 0,	//2208  QDataStream&, const QListWidgetItem&
    249, 249, 0,	//2211  QString::SectionFlag, QString::SectionFlag
    524, 524, 0,	//2214  size_t, size_t
    168, 519, 0,	//2217  QGraphicsScene::SceneLayer, int
    276, 519, 0,	//2220  QTextStream::NumberFlag, int
    514, 519, 519, 0,	//2223  const unsigned char*, int, int
    514, 519, 0,	//2227  const unsigned char*, int
    172, 519, 0,	//2230  QIODevice::OpenModeFlag, int
    37, 491, 0,	//2233  QDebug, const QStyleOption::OptionType&
    327, 123, 0,	//2236  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    33, 484, 0,	//2239  QDataStream&, const QStandardItem&
    470, 452, 0,	//2242  const QPolygonF&, const QMatrix&
    15, 519, 0,	//2245  QAccessible::RelationFlag, int
    466, 0,	//2248  const QPoint&
    33, 228, 0,	//2250  QDataStream&, QPolygon&
    213, 473, 451, 464, 0,	//2253  QPainter*, const QRect&, const QMargins&, const QPixmap&
    138, 70, 0,	//2258  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    52, 52, 0,	//2261  QFileDialog::Option, QFileDialog::Option
    198, 519, 0,	//2264  QMdiArea::AreaOption, int
    33, 247, 0,	//2267  QDataStream&, QString&
    36, 60, 0,	//2270  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    38, 61, 0,	//2273  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    213, 466, 466, 460, 397, 519, 519, 0,	//2276  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    213, 466, 466, 460, 0,	//2284  QPainter*, const QPoint&, const QPoint&, const QPalette&
    213, 466, 466, 460, 397, 0,	//2289  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    213, 466, 466, 460, 397, 519, 0,	//2295  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    180, 180, 0,	//2302  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    33, 486, 0,	//2305  QDataStream&, const QString&
    33, 417, 0,	//2308  QDataStream&, const QEasingCurve&
    274, 244, 0,	//2311  QTextStream&, QSplitter&
    144, 519, 0,	//2314  QGLContext::BindOption, int
    33, 453, 0,	//2317  QDataStream&, const QMatrix4x4&
    33, 25, 0,	//2320  QDataStream&, QChar&
    33, 511, 0,	//2323  QDataStream&, const QVector4D&
    254, 254, 0,	//2326  QStyle::StateFlag, QStyle::StateFlag
    444, 0,	//2329  const QItemSelectionRange&
    359, 359, 0,	//2331  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    33, 222, 0,	//2334  QDataStream&, QPixmap&
    486, 410, 0,	//2337  const QString&, const QByteArray&
    50, 50, 0,	//2340  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    466, 453, 0,	//2343  const QPoint&, const QMatrix4x4&
    33, 232, 0,	//2346  QDataStream&, QRect&
    6, 519, 0,	//2349  QAbstractFileEngine::FileFlag, int
    139, 71, 0,	//2352  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    170, 170, 0,	//2355  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    376, 513, 0,	//2358  QtMsgType, const char*
    332, 519, 0,	//2361  Qt::ImageConversionFlag, int
    508, 0,	//2364  const QVector3D&
    256, 102, 0,	//2366  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    30, 30, 0,	//2369  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    37, 473, 0,	//2372  QDebug, const QRect&
    33, 442, 0,	//2375  QDataStream&, const QIcon&
    33, 502, 0,	//2378  QDataStream&, const QVariant::Type
    33, 293, 0,	//2381  QDataStream&, QVector3D&
    262, 519, 0,	//2384  QStyleOptionViewItemV2::ViewItemFeature, int
    517, 511, 0,	//2387  double, const QVector4D&
    33, 188, 0,	//2390  QDataStream&, QLineF&
    33, 216, 0,	//2393  QDataStream&, QPainterPath&
    166, 80, 0,	//2396  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    33, 219, 0,	//2399  QDataStream&, QPicture&
    365, 365, 0,	//2402  Qt::TouchPointState, Qt::TouchPointState
    158, 76, 0,	//2405  QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>
    271, 113, 0,	//2408  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    359, 519, 0,	//2411  Qt::TextInteractionFlag, int
    466, 497, 0,	//2414  const QPoint&, const QTransform&
    257, 519, 0,	//2417  QStyleOptionFrameV2::FrameFeature, int
    38, 519, 0,	//2420  QDialogButtonBox::StandardButton, int
    260, 260, 0,	//2423  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    271, 519, 0,	//2426  QTextItem::RenderFlag, int
    33, 291, 0,	//2429  QDataStream&, QVector2D&
    398, 0,	//2432  char
    33, 415, 0,	//2434  QDataStream&, const QDateTime&
    194, 519, 0,	//2437  QMainWindow::DockOption, int
    33, 278, 0,	//2440  QDataStream&, QTime&
    270, 112, 0,	//2443  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    466, 519, 0,	//2446  const QPoint&, int
    332, 332, 0,	//2449  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    37, 472, 0,	//2452  QDebug, const QQuaternion&
    257, 103, 0,	//2455  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    33, 493, 0,	//2458  QDataStream&, const QTextFormat&
    322, 122, 0,	//2461  Qt::DropAction, QFlags<Qt::DropAction>
    199, 519, 0,	//2464  QMdiSubWindow::SubWindowOption, int
    322, 322, 0,	//2467  Qt::DropAction, Qt::DropAction
    162, 162, 0,	//2470  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    347, 519, 0,	//2473  Qt::Orientation, int
    176, 176, 0,	//2476  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    33, 472, 0,	//2479  QDataStream&, const QQuaternion&
    37, 416, 0,	//2482  QDebug, const QDir&
    477, 452, 0,	//2485  const QRegion&, const QMatrix&
    37, 477, 0,	//2488  QDebug, const QRegion&
    518, 466, 0,	//2491  float, const QPoint&
    33, 284, 0,	//2494  QDataStream&, QUrl&
    184, 88, 0,	//2497  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    273, 519, 0,	//2500  QTextOption::Flag, int
    486, 24, 0,	//2503  const QString&, QChar
    519, 519, 519, 519, 0,	//2506  int, int, int, int
    347, 130, 0,	//2511  Qt::Orientation, QFlags<Qt::Orientation>
    260, 106, 0,	//2514  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    194, 194, 0,	//2517  QMainWindow::DockOption, QMainWindow::DockOption
    524, 0,	//2520  size_t
    37, 501, 0,	//2522  QDebug, const QVariant&
    193, 193, 0,	//2525  QLocale::NumberOption, QLocale::NumberOption
    33, 450, 0,	//2528  QDataStream&, const QLocale&
    204, 49, 0,	//2531  QObject*, QEvent*
    279, 0,	//2534  QTimerEvent*
    26, 0,	//2536  QChildEvent*
    202, 0,	//2538  QMouseEvent*
    296, 0,	//2540  QWheelEvent*
    181, 0,	//2542  QKeyEvent*
    136, 0,	//2544  QFocusEvent*
    203, 0,	//2546  QMoveEvent*
    27, 0,	//2548  QCloseEvent*
    31, 0,	//2550  QContextMenuEvent*
    264, 0,	//2552  QTabletEvent*
    17, 0,	//2554  QActionEvent*
    43, 0,	//2556  QDragEnterEvent*
    45, 0,	//2558  QDragMoveEvent*
    44, 0,	//2560  QDragLeaveEvent*
    47, 0,	//2562  QDropEvent*
    238, 0,	//2564  QShowEvent*
    171, 0,	//2566  QHideEvent*
    396, 0,	//2568  _XEvent*
    179, 0,	//2570  QInputMethodEvent*
    335, 0,	//2572  Qt::InputMethodQuery
    253, 0,	//2574  QStyle&
    460, 0,	//2576  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccumBuffer",	//1
    "AlphaChannel",	//2
    "CanFlipNativePixmapBindOption",	//3
    "ColorIndex",	//4
    "CombinedDepthStencil",	//5
    "CompatibilityProfile",	//6
    "CoreProfile",	//7
    "DefaultBindOption",	//8
    "DeprecatedFunctions",	//9
    "Depth",	//10
    "DepthBuffer",	//11
    "DirectRendering",	//12
    "DoubleBuffer",	//13
    "DrawChildren",	//14
    "DrawWindowBackground",	//15
    "Fragment",	//16
    "Geometry",	//17
    "HasOverlay",	//18
    "IgnoreMask",	//19
    "IndirectRendering",	//20
    "InternalBindOption",	//21
    "InvertedYBindOption",	//22
    "LicensedActiveQt",	//23
    "LicensedCore",	//24
    "LicensedDBus",	//25
    "LicensedDeclarative",	//26
    "LicensedGui",	//27
    "LicensedHelp",	//28
    "LicensedMultimedia",	//29
    "LicensedNetwork",	//30
    "LicensedOpenGL",	//31
    "LicensedOpenVG",	//32
    "LicensedQt3Support",	//33
    "LicensedQt3SupportLight",	//34
    "LicensedScript",	//35
    "LicensedScriptTools",	//36
    "LicensedSql",	//37
    "LicensedSvg",	//38
    "LicensedTest",	//39
    "LicensedXml",	//40
    "LicensedXmlPatterns",	//41
    "LinearFilteringBindOption",	//42
    "MemoryManagedBindOption",	//43
    "MipmapBindOption",	//44
    "NoAccumBuffer",	//45
    "NoAlphaChannel",	//46
    "NoAttachment",	//47
    "NoBindOption",	//48
    "NoDeprecatedFunctions",	//49
    "NoDepthBuffer",	//50
    "NoOverlay",	//51
    "NoProfile",	//52
    "NoSampleBuffers",	//53
    "NoStencilBuffer",	//54
    "NoStereoBuffers",	//55
    "OpenGL_ES_CommonLite_Version_1_0",	//56
    "OpenGL_ES_CommonLite_Version_1_1",	//57
    "OpenGL_ES_Common_Version_1_0",	//58
    "OpenGL_ES_Common_Version_1_1",	//59
    "OpenGL_ES_Version_2_0",	//60
    "OpenGL_Version_1_1",	//61
    "OpenGL_Version_1_2",	//62
    "OpenGL_Version_1_3",	//63
    "OpenGL_Version_1_4",	//64
    "OpenGL_Version_1_5",	//65
    "OpenGL_Version_2_0",	//66
    "OpenGL_Version_2_1",	//67
    "OpenGL_Version_3_0",	//68
    "OpenGL_Version_3_1",	//69
    "OpenGL_Version_3_2",	//70
    "OpenGL_Version_3_3",	//71
    "OpenGL_Version_4_0",	//72
    "OpenGL_Version_None",	//73
    "PremultipliedAlphaBindOption",	//74
    "QGLColormap",	//75
    "QGLColormap#",	//76
    "QGLContext",	//77
    "QGLContext#",	//78
    "QGLContext##",	//79
    "QGLFormat",	//80
    "QGLFormat#",	//81
    "QGLFormat$",	//82
    "QGLFormat$$",	//83
    "QGLFramebufferObject",	//84
    "QGLFramebufferObject#",	//85
    "QGLFramebufferObject##",	//86
    "QGLFramebufferObject#$",	//87
    "QGLFramebufferObject#$?",	//88
    "QGLFramebufferObject#$??",	//89
    "QGLFramebufferObject#?",	//90
    "QGLFramebufferObject$$",	//91
    "QGLFramebufferObject$$#",	//92
    "QGLFramebufferObject$$$",	//93
    "QGLFramebufferObject$$$?",	//94
    "QGLFramebufferObject$$$??",	//95
    "QGLFramebufferObject$$?",	//96
    "QGLFramebufferObjectFormat",	//97
    "QGLFramebufferObjectFormat#",	//98
    "QGLPixelBuffer",	//99
    "QGLPixelBuffer#",	//100
    "QGLPixelBuffer##",	//101
    "QGLPixelBuffer###",	//102
    "QGLPixelBuffer$$",	//103
    "QGLPixelBuffer$$#",	//104
    "QGLPixelBuffer$$##",	//105
    "QGLShader",	//106
    "QGLShader$",	//107
    "QGLShader$#",	//108
    "QGLShader$##",	//109
    "QGLShaderProgram",	//110
    "QGLShaderProgram#",	//111
    "QGLShaderProgram##",	//112
    "QGLWidget",	//113
    "QGLWidget#",	//114
    "QGLWidget##",	//115
    "QGLWidget###",	//116
    "QGLWidget###$",	//117
    "QGLWidget##$",	//118
    "QtCriticalMsg",	//119
    "QtDebugMsg",	//120
    "QtFatalMsg",	//121
    "QtSystemMsg",	//122
    "QtWarningMsg",	//123
    "Rgba",	//124
    "SP_CustomCameraCaptureButton",	//125
    "SP_CustomCameraCaptureButtonPressed",	//126
    "SP_CustomCameraPauseButton",	//127
    "SP_CustomCameraPauseButtonPressed",	//128
    "SP_CustomCameraPlayButton",	//129
    "SP_CustomCameraPlayButtonPressed",	//130
    "SP_CustomCameraRecButton",	//131
    "SP_CustomCameraRecButtonPressed",	//132
    "SP_CustomCameraStopButton",	//133
    "SP_CustomCameraStopButtonPressed",	//134
    "SP_CustomTabAll",	//135
    "SP_CustomTabArtist",	//136
    "SP_CustomTabFavourite",	//137
    "SP_CustomTabGenre",	//138
    "SP_CustomTabLanguage",	//139
    "SP_CustomTabMusicAlbum",	//140
    "SP_CustomTabPhotosAlbum",	//141
    "SP_CustomTabPhotosAll",	//142
    "SP_CustomTabPlaylist",	//143
    "SP_CustomTabServices",	//144
    "SP_CustomTabSongs",	//145
    "SP_CustomTabVideos",	//146
    "SP_CustomToolBarAdd",	//147
    "SP_CustomToolBarAddDetail",	//148
    "SP_CustomToolBarAgain",	//149
    "SP_CustomToolBarAgenda",	//150
    "SP_CustomToolBarAudioOff",	//151
    "SP_CustomToolBarAudioOn",	//152
    "SP_CustomToolBarBack",	//153
    "SP_CustomToolBarBluetoothOff",	//154
    "SP_CustomToolBarBluetoothOn",	//155
    "SP_CustomToolBarCancel",	//156
    "SP_CustomToolBarDelete",	//157
    "SP_CustomToolBarDone",	//158
    "SP_CustomToolBarEdit",	//159
    "SP_CustomToolBarEditDisabled",	//160
    "SP_CustomToolBarEmailSend",	//161
    "SP_CustomToolBarEmergencyCall",	//162
    "SP_CustomToolBarFavouriteAdd",	//163
    "SP_CustomToolBarFavouriteRemove",	//164
    "SP_CustomToolBarFavourites",	//165
    "SP_CustomToolBarGo",	//166
    "SP_CustomToolBarHome",	//167
    "SP_CustomToolBarImageTools",	//168
    "SP_CustomToolBarList",	//169
    "SP_CustomToolBarLock",	//170
    "SP_CustomToolBarLogs",	//171
    "SP_CustomToolBarMenu",	//172
    "SP_CustomToolBarNewContact",	//173
    "SP_CustomToolBarNewGroup",	//174
    "SP_CustomToolBarNextFrame",	//175
    "SP_CustomToolBarNowPlay",	//176
    "SP_CustomToolBarOptions",	//177
    "SP_CustomToolBarOther",	//178
    "SP_CustomToolBarOvi",	//179
    "SP_CustomToolBarPreviousFrame",	//180
    "SP_CustomToolBarRead",	//181
    "SP_CustomToolBarRedo",	//182
    "SP_CustomToolBarRedoDisabled",	//183
    "SP_CustomToolBarRefresh",	//184
    "SP_CustomToolBarRemoveDetail",	//185
    "SP_CustomToolBarRemoveDisabled",	//186
    "SP_CustomToolBarRepeat",	//187
    "SP_CustomToolBarRepeatOff",	//188
    "SP_CustomToolBarRepeatOne",	//189
    "SP_CustomToolBarSearch",	//190
    "SP_CustomToolBarSearchDisabled",	//191
    "SP_CustomToolBarSelectContent",	//192
    "SP_CustomToolBarSelfTimer",	//193
    "SP_CustomToolBarSend",	//194
    "SP_CustomToolBarSendDimmed",	//195
    "SP_CustomToolBarShare",	//196
    "SP_CustomToolBarShift",	//197
    "SP_CustomToolBarShuffle",	//198
    "SP_CustomToolBarShuffleOff",	//199
    "SP_CustomToolBarSignalOff",	//200
    "SP_CustomToolBarSignalOn",	//201
    "SP_CustomToolBarSync",	//202
    "SP_CustomToolBarTools",	//203
    "SP_CustomToolBarTrim",	//204
    "SP_CustomToolBarUnlock",	//205
    "SP_CustomToolBarUnmark",	//206
    "SP_CustomToolBarView",	//207
    "SP_CustomToolBarWlanOff",	//208
    "SP_CustomToolBarWlanOn",	//209
    "SampleBuffers",	//210
    "SingleBuffer",	//211
    "StencilBuffer",	//212
    "StereoBuffers",	//213
    "Vertex",	//214
    "accum",	//215
    "accumBufferSize",	//216
    "actionEvent",	//217
    "addShader",	//218
    "addShader#",	//219
    "addShaderFromSourceCode",	//220
    "addShaderFromSourceCode$#",	//221
    "addShaderFromSourceCode$$",	//222
    "addShaderFromSourceFile",	//223
    "addShaderFromSourceFile$$",	//224
    "alpha",	//225
    "alphaBufferSize",	//226
    "areSharing",	//227
    "areSharing##",	//228
    "attachment",	//229
    "attributeLocation",	//230
    "attributeLocation#",	//231
    "attributeLocation$",	//232
    "autoBufferSwap",	//233
    "bind",	//234
    "bindAttributeLocation",	//235
    "bindAttributeLocation#$",	//236
    "bindAttributeLocation$$",	//237
    "bindDefault",	//238
    "bindTexture",	//239
    "bindTexture#",	//240
    "bindTexture#?",	//241
    "bindTexture#??",	//242
    "bindTexture#??$",	//243
    "bindTexture$",	//244
    "bindToDynamicTexture",	//245
    "bindToDynamicTexture?",	//246
    "blitFramebuffer",	//247
    "blitFramebuffer####",	//248
    "blitFramebuffer####?",	//249
    "blitFramebuffer####??",	//250
    "blueBufferSize",	//251
    "changeEvent",	//252
    "childEvent",	//253
    "chooseContext",	//254
    "chooseContext#",	//255
    "chooseVisual",	//256
    "closeEvent",	//257
    "colorIndex",	//258
    "colorIndex#",	//259
    "colormap",	//260
    "compileSourceCode",	//261
    "compileSourceCode#",	//262
    "compileSourceCode$",	//263
    "compileSourceFile",	//264
    "compileSourceFile$",	//265
    "connectNotify",	//266
    "context",	//267
    "contextMenuEvent",	//268
    "convertToGLFormat",	//269
    "convertToGLFormat#",	//270
    "create",	//271
    "create#",	//272
    "currentContext",	//273
    "currentCtx",	//274
    "customEvent",	//275
    "defaultFormat",	//276
    "defaultOverlayFormat",	//277
    "deleteTexture",	//278
    "deleteTexture?",	//279
    "depth",	//280
    "depthBufferSize",	//281
    "detach",	//282
    "devType",	//283
    "device",	//284
    "deviceIsPixmap",	//285
    "directRendering",	//286
    "disableAttributeArray",	//287
    "disableAttributeArray$",	//288
    "disconnectNotify",	//289
    "doneCurrent",	//290
    "doubleBuffer",	//291
    "dragEnterEvent",	//292
    "dragLeaveEvent",	//293
    "dragMoveEvent",	//294
    "drawTexture",	//295
    "drawTexture#?",	//296
    "drawTexture#??",	//297
    "dropEvent",	//298
    "enableAttributeArray",	//299
    "enableAttributeArray$",	//300
    "enabledChange",	//301
    "enterEvent",	//302
    "entryColor",	//303
    "entryColor$",	//304
    "entryRgb",	//305
    "entryRgb$",	//306
    "event",	//307
    "event#",	//308
    "eventFilter",	//309
    "find",	//310
    "find$",	//311
    "findNearest",	//312
    "findNearest$",	//313
    "focusInEvent",	//314
    "focusNextPrevChild",	//315
    "focusOutEvent",	//316
    "fontChange",	//317
    "fontDisplayListBase",	//318
    "fontDisplayListBase#",	//319
    "fontDisplayListBase#$",	//320
    "format",	//321
    "generateDynamicTexture",	//322
    "generateFontDisplayLists",	//323
    "generateFontDisplayLists#$",	//324
    "geometryInputType",	//325
    "geometryOutputType",	//326
    "geometryOutputVertexCount",	//327
    "getProcAddress",	//328
    "getProcAddress$",	//329
    "glDraw",	//330
    "glInit",	//331
    "grabFrameBuffer",	//332
    "grabFrameBuffer$",	//333
    "greenBufferSize",	//334
    "handle",	//335
    "hasOpenGL",	//336
    "hasOpenGLFramebufferBlit",	//337
    "hasOpenGLFramebufferObjects",	//338
    "hasOpenGLOverlays",	//339
    "hasOpenGLPbuffers",	//340
    "hasOpenGLShaderPrograms",	//341
    "hasOpenGLShaderPrograms#",	//342
    "hasOpenGLShaders",	//343
    "hasOpenGLShaders$",	//344
    "hasOpenGLShaders$#",	//345
    "hasOverlay",	//346
    "heightForWidth",	//347
    "hideEvent",	//348
    "initializeGL",	//349
    "initializeOverlayGL",	//350
    "initialized",	//351
    "inputMethodEvent",	//352
    "inputMethodQuery",	//353
    "internalTextureFormat",	//354
    "isBound",	//355
    "isCompiled",	//356
    "isEmpty",	//357
    "isLinked",	//358
    "isSharing",	//359
    "isValid",	//360
    "keyPressEvent",	//361
    "keyReleaseEvent",	//362
    "languageChange",	//363
    "leaveEvent",	//364
    "link",	//365
    "log",	//366
    "majorVersion",	//367
    "makeCurrent",	//368
    "makeOverlayCurrent",	//369
    "maxGeometryOutputVertices",	//370
    "metaObject",	//371
    "metric",	//372
    "metric$",	//373
    "minimumSizeHint",	//374
    "minorVersion",	//375
    "mipmap",	//376
    "mouseDoubleClickEvent",	//377
    "mouseMoveEvent",	//378
    "mousePressEvent",	//379
    "mouseReleaseEvent",	//380
    "moveEvent",	//381
    "openGLVersionFlags",	//382
    "operator!=",	//383
    "operator!=#",	//384
    "operator!=##",	//385
    "operator!=#$",	//386
    "operator!=$#",	//387
    "operator!=$$",	//388
    "operator&",	//389
    "operator&##",	//390
    "operator*",	//391
    "operator*##",	//392
    "operator*#$",	//393
    "operator*$#",	//394
    "operator+",	//395
    "operator+##",	//396
    "operator+#$",	//397
    "operator+$#",	//398
    "operator+$$",	//399
    "operator-",	//400
    "operator-#",	//401
    "operator-##",	//402
    "operator-#$",	//403
    "operator/",	//404
    "operator/#$",	//405
    "operator<",	//406
    "operator<##",	//407
    "operator<#$",	//408
    "operator<$#",	//409
    "operator<$$",	//410
    "operator<<",	//411
    "operator<<##",	//412
    "operator<<#$",	//413
    "operator<<#?",	//414
    "operator<=",	//415
    "operator<=##",	//416
    "operator<=#$",	//417
    "operator<=$#",	//418
    "operator<=$$",	//419
    "operator=",	//420
    "operator=#",	//421
    "operator==",	//422
    "operator==#",	//423
    "operator==##",	//424
    "operator==#$",	//425
    "operator==$#",	//426
    "operator==$$",	//427
    "operator>",	//428
    "operator>##",	//429
    "operator>#$",	//430
    "operator>$#",	//431
    "operator>$$",	//432
    "operator>=",	//433
    "operator>=##",	//434
    "operator>=#$",	//435
    "operator>=$#",	//436
    "operator>=$$",	//437
    "operator>>",	//438
    "operator>>##",	//439
    "operator>>#$",	//440
    "operator>>#?",	//441
    "operator^",	//442
    "operator^##",	//443
    "operator|",	//444
    "operator|##",	//445
    "operator|$$",	//446
    "overlayContext",	//447
    "overlayTransparentColor",	//448
    "paintEngine",	//449
    "paintEvent",	//450
    "paintEvent#",	//451
    "paintGL",	//452
    "paintOverlayGL",	//453
    "paletteChange",	//454
    "plane",	//455
    "profile",	//456
    "programId",	//457
    "qAccessibleActionCastHelper",	//458
    "qAccessibleEditableTextCastHelper",	//459
    "qAccessibleImageCastHelper",	//460
    "qAccessibleTable2CastHelper",	//461
    "qAccessibleTableCastHelper",	//462
    "qAccessibleTextCastHelper",	//463
    "qAccessibleValueCastHelper",	//464
    "qAcos",	//465
    "qAcos$",	//466
    "qAddPostRoutine",	//467
    "qAddPostRoutine$",	//468
    "qAlpha",	//469
    "qAlpha$",	//470
    "qAppName",	//471
    "qAsin",	//472
    "qAsin$",	//473
    "qAtan",	//474
    "qAtan$",	//475
    "qAtan2",	//476
    "qAtan2$$",	//477
    "qBadAlloc",	//478
    "qBlue",	//479
    "qBlue$",	//480
    "qCeil",	//481
    "qCeil$",	//482
    "qChecksum",	//483
    "qChecksum$$",	//484
    "qCompress",	//485
    "qCompress#",	//486
    "qCompress#$",	//487
    "qCompress$$",	//488
    "qCompress$$$",	//489
    "qCos",	//490
    "qCos$",	//491
    "qCritical",	//492
    "qDebug",	//493
    "qDrawBorderPixmap",	//494
    "qDrawBorderPixmap####",	//495
    "qDrawBorderPixmap######",	//496
    "qDrawBorderPixmap#######",	//497
    "qDrawBorderPixmap#######$",	//498
    "qDrawPlainRect",	//499
    "qDrawPlainRect###",	//500
    "qDrawPlainRect###$",	//501
    "qDrawPlainRect###$#",	//502
    "qDrawPlainRect#$$$$#",	//503
    "qDrawPlainRect#$$$$#$",	//504
    "qDrawPlainRect#$$$$#$#",	//505
    "qDrawShadeLine",	//506
    "qDrawShadeLine####",	//507
    "qDrawShadeLine####$",	//508
    "qDrawShadeLine####$$",	//509
    "qDrawShadeLine####$$$",	//510
    "qDrawShadeLine#$$$$#",	//511
    "qDrawShadeLine#$$$$#$",	//512
    "qDrawShadeLine#$$$$#$$",	//513
    "qDrawShadeLine#$$$$#$$$",	//514
    "qDrawShadePanel",	//515
    "qDrawShadePanel###",	//516
    "qDrawShadePanel###$",	//517
    "qDrawShadePanel###$$",	//518
    "qDrawShadePanel###$$#",	//519
    "qDrawShadePanel#$$$$#",	//520
    "qDrawShadePanel#$$$$#$",	//521
    "qDrawShadePanel#$$$$#$$",	//522
    "qDrawShadePanel#$$$$#$$#",	//523
    "qDrawShadeRect",	//524
    "qDrawShadeRect###",	//525
    "qDrawShadeRect###$",	//526
    "qDrawShadeRect###$$",	//527
    "qDrawShadeRect###$$$",	//528
    "qDrawShadeRect###$$$#",	//529
    "qDrawShadeRect#$$$$#",	//530
    "qDrawShadeRect#$$$$#$",	//531
    "qDrawShadeRect#$$$$#$$",	//532
    "qDrawShadeRect#$$$$#$$$",	//533
    "qDrawShadeRect#$$$$#$$$#",	//534
    "qDrawWinButton",	//535
    "qDrawWinButton###",	//536
    "qDrawWinButton###$",	//537
    "qDrawWinButton###$#",	//538
    "qDrawWinButton#$$$$#",	//539
    "qDrawWinButton#$$$$#$",	//540
    "qDrawWinButton#$$$$#$#",	//541
    "qDrawWinPanel",	//542
    "qDrawWinPanel###",	//543
    "qDrawWinPanel###$",	//544
    "qDrawWinPanel###$#",	//545
    "qDrawWinPanel#$$$$#",	//546
    "qDrawWinPanel#$$$$#$",	//547
    "qDrawWinPanel#$$$$#$#",	//548
    "qExp",	//549
    "qExp$",	//550
    "qFabs",	//551
    "qFabs$",	//552
    "qFastCos",	//553
    "qFastCos$",	//554
    "qFastSin",	//555
    "qFastSin$",	//556
    "qFlagLocation",	//557
    "qFlagLocation$",	//558
    "qFloor",	//559
    "qFloor$",	//560
    "qFree",	//561
    "qFree$",	//562
    "qFreeAligned",	//563
    "qFreeAligned$",	//564
    "qFuzzyCompare",	//565
    "qFuzzyCompare##",	//566
    "qFuzzyCompare$$",	//567
    "qFuzzyIsNull",	//568
    "qFuzzyIsNull$",	//569
    "qGray",	//570
    "qGray$",	//571
    "qGray$$$",	//572
    "qGreen",	//573
    "qGreen$",	//574
    "qHash",	//575
    "qHash#",	//576
    "qHash$",	//577
    "qHash?",	//578
    "qInf",	//579
    "qInstallMsgHandler",	//580
    "qInstallMsgHandler$",	//581
    "qIntCast",	//582
    "qIntCast$",	//583
    "qIsFinite",	//584
    "qIsFinite$",	//585
    "qIsGray",	//586
    "qIsGray$",	//587
    "qIsInf",	//588
    "qIsInf$",	//589
    "qIsNaN",	//590
    "qIsNaN$",	//591
    "qIsNull",	//592
    "qIsNull$",	//593
    "qLn",	//594
    "qLn$",	//595
    "qMalloc",	//596
    "qMalloc?",	//597
    "qMallocAligned",	//598
    "qMallocAligned??",	//599
    "qMemCopy",	//600
    "qMemCopy$$?",	//601
    "qMemSet",	//602
    "qMemSet$$?",	//603
    "qPow",	//604
    "qPow$$",	//605
    "qQNaN",	//606
    "qRealloc",	//607
    "qRealloc$?",	//608
    "qReallocAligned",	//609
    "qReallocAligned$???",	//610
    "qRed",	//611
    "qRed$",	//612
    "qRegisterStaticPluginInstanceFunction",	//613
    "qRegisterStaticPluginInstanceFunction#",	//614
    "qRemovePostRoutine",	//615
    "qRemovePostRoutine$",	//616
    "qRgb",	//617
    "qRgb$$$",	//618
    "qRgba",	//619
    "qRgba$$$$",	//620
    "qRound",	//621
    "qRound$",	//622
    "qRound64",	//623
    "qRound64$",	//624
    "qSNaN",	//625
    "qSetFieldWidth",	//626
    "qSetFieldWidth$",	//627
    "qSetPadChar",	//628
    "qSetPadChar#",	//629
    "qSetRealNumberPrecision",	//630
    "qSetRealNumberPrecision$",	//631
    "qSharedBuild",	//632
    "qSin",	//633
    "qSin$",	//634
    "qSqrt",	//635
    "qSqrt$",	//636
    "qStringComparisonHelper",	//637
    "qStringComparisonHelper#$",	//638
    "qStringComparisonHelper$$",	//639
    "qTan",	//640
    "qTan$",	//641
    "qUncompress",	//642
    "qUncompress#",	//643
    "qUncompress$$",	//644
    "qVersion",	//645
    "qWarning",	//646
    "qbswap_helper",	//647
    "qbswap_helper$$$",	//648
    "qgetenv",	//649
    "qgetenv$",	//650
    "qglClearColor",	//651
    "qglClearColor#",	//652
    "qglColor",	//653
    "qglColor#",	//654
    "qputenv",	//655
    "qputenv$#",	//656
    "qrand",	//657
    "qsrand",	//658
    "qsrand$",	//659
    "qstrcmp",	//660
    "qstrcmp##",	//661
    "qstrcmp#$",	//662
    "qstrcmp$#",	//663
    "qstrcmp$$",	//664
    "qstrcpy",	//665
    "qstrcpy$$",	//666
    "qstrdup",	//667
    "qstrdup$",	//668
    "qstricmp",	//669
    "qstricmp$$",	//670
    "qstrlen",	//671
    "qstrlen$",	//672
    "qstrncmp",	//673
    "qstrncmp$$$",	//674
    "qstrncpy",	//675
    "qstrncpy$$$",	//676
    "qstrnicmp",	//677
    "qstrnicmp$$$",	//678
    "qstrnlen",	//679
    "qstrnlen$$",	//680
    "qtTrId",	//681
    "qtTrId$",	//682
    "qtTrId$$",	//683
    "qt_assert",	//684
    "qt_assert$$$",	//685
    "qt_assert_x",	//686
    "qt_assert_x$$$$",	//687
    "qt_check_pointer",	//688
    "qt_check_pointer$$",	//689
    "qt_error_string",	//690
    "qt_error_string$",	//691
    "qt_message_output",	//692
    "qt_message_output$$",	//693
    "qt_metacall",	//694
    "qt_metacall$$?",	//695
    "qt_metacast",	//696
    "qt_metacast$",	//697
    "qt_noop",	//698
    "qt_qFindChild_helper",	//699
    "qt_qFindChild_helper#$#",	//700
    "qt_qFindChildren_helper",	//701
    "qt_qFindChildren_helper#$##?",	//702
    "qvariant_cast_helper",	//703
    "qvariant_cast_helper#$$",	//704
    "qvsnprintf",	//705
    "qvsnprintf$?$?",	//706
    "redBufferSize",	//707
    "release",	//708
    "releaseFromDynamicTexture",	//709
    "removeAllShaders",	//710
    "removeShader",	//711
    "removeShader#",	//712
    "renderPixmap",	//713
    "renderPixmap$",	//714
    "renderPixmap$$",	//715
    "renderPixmap$$$",	//716
    "renderText",	//717
    "renderText$$$",	//718
    "renderText$$$#",	//719
    "renderText$$$#$",	//720
    "renderText$$$$",	//721
    "renderText$$$$#",	//722
    "renderText$$$$#$",	//723
    "requestedFormat",	//724
    "reset",	//725
    "resizeEvent",	//726
    "resizeEvent#",	//727
    "resizeGL",	//728
    "resizeGL$$",	//729
    "resizeOverlayGL",	//730
    "resizeOverlayGL$$",	//731
    "rgba",	//732
    "sampleBuffers",	//733
    "samples",	//734
    "setAccum",	//735
    "setAccum$",	//736
    "setAccumBufferSize",	//737
    "setAccumBufferSize$",	//738
    "setAlpha",	//739
    "setAlpha$",	//740
    "setAlphaBufferSize",	//741
    "setAlphaBufferSize$",	//742
    "setAttachment",	//743
    "setAttachment$",	//744
    "setAttributeArray",	//745
    "setAttributeArray$#",	//746
    "setAttributeArray$#$",	//747
    "setAttributeArray$?$",	//748
    "setAttributeArray$?$$",	//749
    "setAttributeArray$?$$$",	//750
    "setAttributeBuffer",	//751
    "setAttributeBuffer$?$$",	//752
    "setAttributeBuffer$?$$$",	//753
    "setAttributeValue",	//754
    "setAttributeValue$#",	//755
    "setAttributeValue$?",	//756
    "setAttributeValue$?$$",	//757
    "setAttributeValue$??",	//758
    "setAttributeValue$???",	//759
    "setAttributeValue$????",	//760
    "setAutoBufferSwap",	//761
    "setAutoBufferSwap$",	//762
    "setBlueBufferSize",	//763
    "setBlueBufferSize$",	//764
    "setColormap",	//765
    "setColormap#",	//766
    "setContext",	//767
    "setContext#",	//768
    "setContext##",	//769
    "setContext##$",	//770
    "setCurrentCtx",	//771
    "setCurrentCtx#",	//772
    "setDefaultFormat",	//773
    "setDefaultFormat#",	//774
    "setDefaultOverlayFormat",	//775
    "setDefaultOverlayFormat#",	//776
    "setDepth",	//777
    "setDepth$",	//778
    "setDepthBufferSize",	//779
    "setDepthBufferSize$",	//780
    "setDevice",	//781
    "setDevice#",	//782
    "setDirectRendering",	//783
    "setDirectRendering$",	//784
    "setDoubleBuffer",	//785
    "setDoubleBuffer$",	//786
    "setEntries",	//787
    "setEntries$$",	//788
    "setEntries$$$",	//789
    "setEntry",	//790
    "setEntry$#",	//791
    "setEntry$$",	//792
    "setFormat",	//793
    "setFormat#",	//794
    "setGeometryInputType",	//795
    "setGeometryInputType?",	//796
    "setGeometryOutputType",	//797
    "setGeometryOutputType?",	//798
    "setGeometryOutputVertexCount",	//799
    "setGeometryOutputVertexCount$",	//800
    "setGreenBufferSize",	//801
    "setGreenBufferSize$",	//802
    "setHandle",	//803
    "setHandle$",	//804
    "setInitialized",	//805
    "setInitialized$",	//806
    "setInternalTextureFormat",	//807
    "setInternalTextureFormat?",	//808
    "setMipmap",	//809
    "setMipmap$",	//810
    "setMouseTracking",	//811
    "setMouseTracking$",	//812
    "setOption",	//813
    "setOption$",	//814
    "setOverlay",	//815
    "setOverlay$",	//816
    "setPlane",	//817
    "setPlane$",	//818
    "setPreferredPaintEngine",	//819
    "setPreferredPaintEngine$",	//820
    "setProfile",	//821
    "setProfile$",	//822
    "setRedBufferSize",	//823
    "setRedBufferSize$",	//824
    "setRgba",	//825
    "setRgba$",	//826
    "setSampleBuffers",	//827
    "setSampleBuffers$",	//828
    "setSamples",	//829
    "setSamples$",	//830
    "setStencil",	//831
    "setStencil$",	//832
    "setStencilBufferSize",	//833
    "setStencilBufferSize$",	//834
    "setStereo",	//835
    "setStereo$",	//836
    "setSwapInterval",	//837
    "setSwapInterval$",	//838
    "setTextureCacheLimit",	//839
    "setTextureCacheLimit$",	//840
    "setTextureTarget",	//841
    "setTextureTarget?",	//842
    "setUniformValue",	//843
    "setUniformValue$#",	//844
    "setUniformValue$?",	//845
    "setUniformValue$??",	//846
    "setUniformValue$???",	//847
    "setUniformValue$????",	//848
    "setUniformValueArray",	//849
    "setUniformValueArray$#$",	//850
    "setUniformValueArray$?$",	//851
    "setUniformValueArray$?$$",	//852
    "setValid",	//853
    "setValid$",	//854
    "setVersion",	//855
    "setVersion$$",	//856
    "setVisible",	//857
    "setWindowCreated",	//858
    "setWindowCreated$",	//859
    "shaderId",	//860
    "shaderType",	//861
    "shaders",	//862
    "showEvent",	//863
    "size",	//864
    "sizeHint",	//865
    "sourceCode",	//866
    "staticMetaObject",	//867
    "stencil",	//868
    "stencilBufferSize",	//869
    "stereo",	//870
    "styleChange",	//871
    "swapBuffers",	//872
    "swapInterval",	//873
    "tabletEvent",	//874
    "testOption",	//875
    "testOption$",	//876
    "texture",	//877
    "textureCacheLimit",	//878
    "textureTarget",	//879
    "timerEvent",	//880
    "toImage",	//881
    "tr",	//882
    "tr$",	//883
    "tr$$",	//884
    "tr$$$",	//885
    "trUtf8",	//886
    "trUtf8$",	//887
    "trUtf8$$",	//888
    "trUtf8$$$",	//889
    "tryVisual",	//890
    "tryVisual#",	//891
    "tryVisual#$",	//892
    "uniformLocation",	//893
    "uniformLocation#",	//894
    "uniformLocation$",	//895
    "updateDynamicTexture",	//896
    "updateDynamicTexture?",	//897
    "updateGL",	//898
    "updateOverlayGL",	//899
    "wheelEvent",	//900
    "windowActivationChange",	//901
    "windowCreated",	//902
    "x11Event",	//903
    "~QGLColormap",	//904
    "~QGLContext",	//905
    "~QGLFormat",	//906
    "~QGLFramebufferObject",	//907
    "~QGLFramebufferObjectFormat",	//908
    "~QGLPixelBuffer",	//909
    "~QGLShader",	//910
    "~QGLShaderProgram",	//911
    "~QGLWidget",	//912
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 819, 1, 1, Smoke::mf_static, 0, 1},	//1 QGL::setPreferredPaintEngine(QPaintEngine::Type)
    {26, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 2},	//2 QGL::DoubleBuffer (enum)
    {26, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 3},	//3 QGL::DepthBuffer (enum)
    {26, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 4},	//4 QGL::Rgba (enum)
    {26, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 5},	//5 QGL::AlphaChannel (enum)
    {26, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 6},	//6 QGL::AccumBuffer (enum)
    {26, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 7},	//7 QGL::StencilBuffer (enum)
    {26, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 8},	//8 QGL::StereoBuffers (enum)
    {26, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 9},	//9 QGL::DirectRendering (enum)
    {26, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 10},	//10 QGL::HasOverlay (enum)
    {26, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 11},	//11 QGL::SampleBuffers (enum)
    {26, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 12},	//12 QGL::DeprecatedFunctions (enum)
    {26, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 13},	//13 QGL::SingleBuffer (enum)
    {26, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 14},	//14 QGL::NoDepthBuffer (enum)
    {26, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 15},	//15 QGL::ColorIndex (enum)
    {26, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 16},	//16 QGL::NoAlphaChannel (enum)
    {26, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 17},	//17 QGL::NoAccumBuffer (enum)
    {26, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 18},	//18 QGL::NoStencilBuffer (enum)
    {26, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 19},	//19 QGL::NoStereoBuffers (enum)
    {26, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 20},	//20 QGL::IndirectRendering (enum)
    {26, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 21},	//21 QGL::NoOverlay (enum)
    {26, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 22},	//22 QGL::NoSampleBuffers (enum)
    {26, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 23},	//23 QGL::NoDeprecatedFunctions (enum)
    {27, 75, 0, 0, Smoke::mf_ctor, 142, 1},	//24 QGLColormap::QGLColormap()
    {27, 75, 3, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 142, 2},	//25 QGLColormap::QGLColormap(const QGLColormap&)
    {27, 420, 3, 1, 0, 141, 3},	//26 QGLColormap::operator=(const QGLColormap&)
    {27, 357, 0, 0, Smoke::mf_const, 397, 4},	//27 QGLColormap::isEmpty() const
    {27, 864, 0, 0, Smoke::mf_const, 519, 5},	//28 QGLColormap::size() const
    {27, 282, 0, 0, 0, 0, 6},	//29 QGLColormap::detach()
    {27, 787, 5, 3, 0, 0, 7},	//30 QGLColormap::setEntries(int, const unsigned int*, int)
    {27, 790, 9, 2, 0, 0, 8},	//31 QGLColormap::setEntry(int, unsigned int)
    {27, 790, 12, 2, 0, 0, 9},	//32 QGLColormap::setEntry(int, const QColor&)
    {27, 305, 15, 1, Smoke::mf_const, 527, 10},	//33 QGLColormap::entryRgb(int) const
    {27, 303, 15, 1, Smoke::mf_const, 28, 11},	//34 QGLColormap::entryColor(int) const
    {27, 310, 17, 1, Smoke::mf_const, 519, 12},	//35 QGLColormap::find(unsigned int) const
    {27, 312, 17, 1, Smoke::mf_const, 519, 13},	//36 QGLColormap::findNearest(unsigned int) const
    {27, 335, 0, 0, Smoke::mf_protected, 528, 14},	//37 QGLColormap::handle()
    {27, 803, 19, 1, Smoke::mf_protected, 0, 15},	//38 QGLColormap::setHandle(unsigned long)
    {27, 787, 21, 2, 0, 0, 16},	//39 QGLColormap::setEntries(int, const unsigned int*)
    {27, 904, 0, 0, Smoke::mf_dtor, 0, 17 },	//40 QGLColormap::~QGLColormap()
    {28, 77, 24, 2, Smoke::mf_ctor, 143, 1},	//41 QGLContext::QGLContext(const QGLFormat&, QPaintDevice*)
    {28, 77, 27, 1, Smoke::mf_ctor, 143, 2},	//42 QGLContext::QGLContext(const QGLFormat&)
    {28, 271, 29, 1, Smoke::mf_virtual, 397, 3},	//43 QGLContext::create(const QGLContext*)
    {28, 360, 0, 0, Smoke::mf_const, 397, 4},	//44 QGLContext::isValid() const
    {28, 359, 0, 0, Smoke::mf_const, 397, 5},	//45 QGLContext::isSharing() const
    {28, 725, 0, 0, 0, 0, 6},	//46 QGLContext::reset()
    {28, 227, 31, 2, Smoke::mf_static, 397, 7},	//47 QGLContext::areSharing(const QGLContext*, const QGLContext*)
    {28, 321, 0, 0, Smoke::mf_const, 145, 8},	//48 QGLContext::format() const
    {28, 724, 0, 0, Smoke::mf_const, 145, 9},	//49 QGLContext::requestedFormat() const
    {28, 793, 27, 1, 0, 0, 10},	//50 QGLContext::setFormat(const QGLFormat&)
    {28, 368, 0, 0, Smoke::mf_virtual, 0, 11},	//51 QGLContext::makeCurrent()
    {28, 290, 0, 0, Smoke::mf_virtual, 0, 12},	//52 QGLContext::doneCurrent()
    {28, 872, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 0, 13},	//53 QGLContext::swapBuffers() const
    {28, 239, 34, 4, 0, 5, 14},	//54 QGLContext::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {28, 239, 39, 4, 0, 5, 15},	//55 QGLContext::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {28, 239, 44, 3, 0, 5, 16},	//56 QGLContext::bindTexture(const QImage&, GLenum, GLint)
    {28, 239, 48, 3, 0, 5, 17},	//57 QGLContext::bindTexture(const QPixmap&, GLenum, GLint)
    {28, 239, 52, 1, 0, 5, 18},	//58 QGLContext::bindTexture(const QString&)
    {28, 278, 54, 1, 0, 0, 19},	//59 QGLContext::deleteTexture(GLuint)
    {28, 295, 56, 3, 0, 0, 20},	//60 QGLContext::drawTexture(const QRectF&, GLuint, GLenum)
    {28, 295, 60, 3, 0, 0, 21},	//61 QGLContext::drawTexture(const QPointF&, GLuint, GLenum)
    {28, 839, 15, 1, Smoke::mf_static, 0, 22},	//62 QGLContext::setTextureCacheLimit(int)
    {28, 878, 0, 0, Smoke::mf_static, 519, 23},	//63 QGLContext::textureCacheLimit()
    {28, 328, 52, 1, Smoke::mf_const, 534, 24},	//64 QGLContext::getProcAddress(const QString&) const
    {28, 284, 0, 0, Smoke::mf_const, 206, 25},	//65 QGLContext::device() const
    {28, 448, 0, 0, Smoke::mf_const, 28, 26},	//66 QGLContext::overlayTransparentColor() const
    {28, 273, 0, 0, Smoke::mf_static, 421, 27},	//67 QGLContext::currentContext()
    {28, 254, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 397, 28},	//68 QGLContext::chooseContext(const QGLContext*)
    {28, 890, 64, 2, Smoke::mf_protected|Smoke::mf_virtual, 534, 29},	//69 QGLContext::tryVisual(const QGLFormat&, int)
    {28, 256, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 534, 30},	//70 QGLContext::chooseVisual()
    {28, 285, 0, 0, Smoke::mf_const|Smoke::mf_protected, 397, 31},	//71 QGLContext::deviceIsPixmap() const
    {28, 902, 0, 0, Smoke::mf_const|Smoke::mf_protected, 397, 32},	//72 QGLContext::windowCreated() const
    {28, 858, 67, 1, Smoke::mf_protected, 0, 33},	//73 QGLContext::setWindowCreated(bool)
    {28, 351, 0, 0, Smoke::mf_const|Smoke::mf_protected, 397, 34},	//74 QGLContext::initialized() const
    {28, 805, 67, 1, Smoke::mf_protected, 0, 35},	//75 QGLContext::setInitialized(bool)
    {28, 323, 69, 2, Smoke::mf_protected, 0, 36},	//76 QGLContext::generateFontDisplayLists(const QFont&, int)
    {28, 258, 72, 1, Smoke::mf_const|Smoke::mf_protected, 527, 37},	//77 QGLContext::colorIndex(const QColor&) const
    {28, 853, 67, 1, Smoke::mf_protected, 0, 38},	//78 QGLContext::setValid(bool)
    {28, 781, 74, 1, Smoke::mf_protected, 0, 39},	//79 QGLContext::setDevice(QPaintDevice*)
    {28, 271, 0, 0, 0, 397, 40},	//80 QGLContext::create()
    {28, 239, 76, 1, 0, 5, 41},	//81 QGLContext::bindTexture(const QImage&)
    {28, 239, 78, 2, 0, 5, 42},	//82 QGLContext::bindTexture(const QImage&, GLenum)
    {28, 239, 81, 1, 0, 5, 43},	//83 QGLContext::bindTexture(const QPixmap&)
    {28, 239, 83, 2, 0, 5, 44},	//84 QGLContext::bindTexture(const QPixmap&, GLenum)
    {28, 295, 86, 2, 0, 0, 45},	//85 QGLContext::drawTexture(const QRectF&, GLuint)
    {28, 295, 89, 2, 0, 0, 46},	//86 QGLContext::drawTexture(const QPointF&, GLuint)
    {28, 254, 0, 0, Smoke::mf_protected, 397, 47},	//87 QGLContext::chooseContext()
    {28, 890, 27, 1, Smoke::mf_protected, 534, 48},	//88 QGLContext::tryVisual(const QGLFormat&)
    {28, 274, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 143, 49},	//89 QGLContext::currentCtx() const
    {28, 771, 92, 1, Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//90 QGLContext::setCurrentCtx(QGLContext*)
    {28, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 51},	//91 QGLContext::NoBindOption (enum)
    {28, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 52},	//92 QGLContext::InvertedYBindOption (enum)
    {28, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 53},	//93 QGLContext::MipmapBindOption (enum)
    {28, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 54},	//94 QGLContext::PremultipliedAlphaBindOption (enum)
    {28, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 55},	//95 QGLContext::LinearFilteringBindOption (enum)
    {28, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 56},	//96 QGLContext::MemoryManagedBindOption (enum)
    {28, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 57},	//97 QGLContext::CanFlipNativePixmapBindOption (enum)
    {28, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 58},	//98 QGLContext::DefaultBindOption (enum)
    {28, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 59},	//99 QGLContext::InternalBindOption (enum)
    {28, 905, 0, 0, Smoke::mf_dtor, 0, 60 },	//100 QGLContext::~QGLContext()
    {29, 80, 0, 0, Smoke::mf_ctor, 147, 1},	//101 QGLFormat::QGLFormat()
    {29, 80, 94, 2, Smoke::mf_ctor, 147, 2},	//102 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>, int)
    {29, 80, 27, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 3},	//103 QGLFormat::QGLFormat(const QGLFormat&)
    {29, 420, 27, 1, 0, 146, 4},	//104 QGLFormat::operator=(const QGLFormat&)
    {29, 779, 15, 1, 0, 0, 5},	//105 QGLFormat::setDepthBufferSize(int)
    {29, 281, 0, 0, Smoke::mf_const, 519, 6},	//106 QGLFormat::depthBufferSize() const
    {29, 737, 15, 1, 0, 0, 7},	//107 QGLFormat::setAccumBufferSize(int)
    {29, 216, 0, 0, Smoke::mf_const, 519, 8},	//108 QGLFormat::accumBufferSize() const
    {29, 823, 15, 1, 0, 0, 9},	//109 QGLFormat::setRedBufferSize(int)
    {29, 707, 0, 0, Smoke::mf_const, 519, 10},	//110 QGLFormat::redBufferSize() const
    {29, 801, 15, 1, 0, 0, 11},	//111 QGLFormat::setGreenBufferSize(int)
    {29, 334, 0, 0, Smoke::mf_const, 519, 12},	//112 QGLFormat::greenBufferSize() const
    {29, 763, 15, 1, 0, 0, 13},	//113 QGLFormat::setBlueBufferSize(int)
    {29, 251, 0, 0, Smoke::mf_const, 519, 14},	//114 QGLFormat::blueBufferSize() const
    {29, 741, 15, 1, 0, 0, 15},	//115 QGLFormat::setAlphaBufferSize(int)
    {29, 226, 0, 0, Smoke::mf_const, 519, 16},	//116 QGLFormat::alphaBufferSize() const
    {29, 833, 15, 1, 0, 0, 17},	//117 QGLFormat::setStencilBufferSize(int)
    {29, 869, 0, 0, Smoke::mf_const, 519, 18},	//118 QGLFormat::stencilBufferSize() const
    {29, 827, 67, 1, 0, 0, 19},	//119 QGLFormat::setSampleBuffers(bool)
    {29, 733, 0, 0, Smoke::mf_const, 397, 20},	//120 QGLFormat::sampleBuffers() const
    {29, 829, 15, 1, 0, 0, 21},	//121 QGLFormat::setSamples(int)
    {29, 734, 0, 0, Smoke::mf_const, 519, 22},	//122 QGLFormat::samples() const
    {29, 837, 15, 1, 0, 0, 23},	//123 QGLFormat::setSwapInterval(int)
    {29, 873, 0, 0, Smoke::mf_const, 519, 24},	//124 QGLFormat::swapInterval() const
    {29, 291, 0, 0, Smoke::mf_const, 397, 25},	//125 QGLFormat::doubleBuffer() const
    {29, 785, 67, 1, 0, 0, 26},	//126 QGLFormat::setDoubleBuffer(bool)
    {29, 280, 0, 0, Smoke::mf_const, 397, 27},	//127 QGLFormat::depth() const
    {29, 777, 67, 1, 0, 0, 28},	//128 QGLFormat::setDepth(bool)
    {29, 732, 0, 0, Smoke::mf_const, 397, 29},	//129 QGLFormat::rgba() const
    {29, 825, 67, 1, 0, 0, 30},	//130 QGLFormat::setRgba(bool)
    {29, 225, 0, 0, Smoke::mf_const, 397, 31},	//131 QGLFormat::alpha() const
    {29, 739, 67, 1, 0, 0, 32},	//132 QGLFormat::setAlpha(bool)
    {29, 215, 0, 0, Smoke::mf_const, 397, 33},	//133 QGLFormat::accum() const
    {29, 735, 67, 1, 0, 0, 34},	//134 QGLFormat::setAccum(bool)
    {29, 868, 0, 0, Smoke::mf_const, 397, 35},	//135 QGLFormat::stencil() const
    {29, 831, 67, 1, 0, 0, 36},	//136 QGLFormat::setStencil(bool)
    {29, 870, 0, 0, Smoke::mf_const, 397, 37},	//137 QGLFormat::stereo() const
    {29, 835, 67, 1, 0, 0, 38},	//138 QGLFormat::setStereo(bool)
    {29, 286, 0, 0, Smoke::mf_const, 397, 39},	//139 QGLFormat::directRendering() const
    {29, 783, 67, 1, 0, 0, 40},	//140 QGLFormat::setDirectRendering(bool)
    {29, 346, 0, 0, Smoke::mf_const, 397, 41},	//141 QGLFormat::hasOverlay() const
    {29, 815, 67, 1, 0, 0, 42},	//142 QGLFormat::setOverlay(bool)
    {29, 455, 0, 0, Smoke::mf_const, 519, 43},	//143 QGLFormat::plane() const
    {29, 817, 15, 1, 0, 0, 44},	//144 QGLFormat::setPlane(int)
    {29, 813, 97, 1, 0, 0, 45},	//145 QGLFormat::setOption(QFlags<QGL::FormatOption>)
    {29, 875, 97, 1, Smoke::mf_const, 397, 46},	//146 QGLFormat::testOption(QFlags<QGL::FormatOption>) const
    {29, 276, 0, 0, Smoke::mf_static, 145, 47},	//147 QGLFormat::defaultFormat()
    {29, 773, 27, 1, Smoke::mf_static, 0, 48},	//148 QGLFormat::setDefaultFormat(const QGLFormat&)
    {29, 277, 0, 0, Smoke::mf_static, 145, 49},	//149 QGLFormat::defaultOverlayFormat()
    {29, 775, 27, 1, Smoke::mf_static, 0, 50},	//150 QGLFormat::setDefaultOverlayFormat(const QGLFormat&)
    {29, 336, 0, 0, Smoke::mf_static, 397, 51},	//151 QGLFormat::hasOpenGL()
    {29, 339, 0, 0, Smoke::mf_static, 397, 52},	//152 QGLFormat::hasOpenGLOverlays()
    {29, 855, 99, 2, 0, 0, 53},	//153 QGLFormat::setVersion(int, int)
    {29, 367, 0, 0, Smoke::mf_const, 519, 54},	//154 QGLFormat::majorVersion() const
    {29, 375, 0, 0, Smoke::mf_const, 519, 55},	//155 QGLFormat::minorVersion() const
    {29, 821, 102, 1, 0, 0, 56},	//156 QGLFormat::setProfile(QGLFormat::OpenGLContextProfile)
    {29, 456, 0, 0, Smoke::mf_const, 148, 57},	//157 QGLFormat::profile() const
    {29, 382, 0, 0, Smoke::mf_static, 74, 58},	//158 QGLFormat::openGLVersionFlags()
    {29, 80, 97, 1, Smoke::mf_ctor, 147, 59},	//159 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>)
    {29, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 60},	//160 QGLFormat::NoProfile (enum)
    {29, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 61},	//161 QGLFormat::CoreProfile (enum)
    {29, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 62},	//162 QGLFormat::CompatibilityProfile (enum)
    {29, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 63},	//163 QGLFormat::OpenGL_Version_None (enum)
    {29, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 64},	//164 QGLFormat::OpenGL_Version_1_1 (enum)
    {29, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 65},	//165 QGLFormat::OpenGL_Version_1_2 (enum)
    {29, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 66},	//166 QGLFormat::OpenGL_Version_1_3 (enum)
    {29, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 67},	//167 QGLFormat::OpenGL_Version_1_4 (enum)
    {29, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 68},	//168 QGLFormat::OpenGL_Version_1_5 (enum)
    {29, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 69},	//169 QGLFormat::OpenGL_Version_2_0 (enum)
    {29, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 70},	//170 QGLFormat::OpenGL_Version_2_1 (enum)
    {29, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 71},	//171 QGLFormat::OpenGL_ES_Common_Version_1_0 (enum)
    {29, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 72},	//172 QGLFormat::OpenGL_ES_CommonLite_Version_1_0 (enum)
    {29, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 73},	//173 QGLFormat::OpenGL_ES_Common_Version_1_1 (enum)
    {29, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 74},	//174 QGLFormat::OpenGL_ES_CommonLite_Version_1_1 (enum)
    {29, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 75},	//175 QGLFormat::OpenGL_ES_Version_2_0 (enum)
    {29, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 76},	//176 QGLFormat::OpenGL_Version_3_0 (enum)
    {29, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 77},	//177 QGLFormat::OpenGL_Version_3_1 (enum)
    {29, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 78},	//178 QGLFormat::OpenGL_Version_3_2 (enum)
    {29, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 79},	//179 QGLFormat::OpenGL_Version_3_3 (enum)
    {29, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 80},	//180 QGLFormat::OpenGL_Version_4_0 (enum)
    {29, 906, 0, 0, Smoke::mf_dtor, 0, 81 },	//181 QGLFormat::~QGLFormat()
    {30, 84, 104, 2, Smoke::mf_ctor, 150, 1},	//182 QGLFramebufferObject::QGLFramebufferObject(const QSize&, GLenum)
    {30, 84, 107, 3, Smoke::mf_ctor, 150, 2},	//183 QGLFramebufferObject::QGLFramebufferObject(int, int, GLenum)
    {30, 84, 111, 4, Smoke::mf_ctor, 150, 3},	//184 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, GLenum, GLenum)
    {30, 84, 116, 5, Smoke::mf_ctor, 150, 4},	//185 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, GLenum, GLenum)
    {30, 84, 122, 2, Smoke::mf_ctor, 150, 5},	//186 QGLFramebufferObject::QGLFramebufferObject(const QSize&, const QGLFramebufferObjectFormat&)
    {30, 84, 125, 3, Smoke::mf_ctor, 150, 6},	//187 QGLFramebufferObject::QGLFramebufferObject(int, int, const QGLFramebufferObjectFormat&)
    {30, 321, 0, 0, Smoke::mf_const, 152, 7},	//188 QGLFramebufferObject::format() const
    {30, 360, 0, 0, Smoke::mf_const, 397, 8},	//189 QGLFramebufferObject::isValid() const
    {30, 355, 0, 0, Smoke::mf_const, 397, 9},	//190 QGLFramebufferObject::isBound() const
    {30, 234, 0, 0, 0, 397, 10},	//191 QGLFramebufferObject::bind()
    {30, 708, 0, 0, 0, 397, 11},	//192 QGLFramebufferObject::release()
    {30, 877, 0, 0, Smoke::mf_const, 5, 12},	//193 QGLFramebufferObject::texture() const
    {30, 864, 0, 0, Smoke::mf_const, 239, 13},	//194 QGLFramebufferObject::size() const
    {30, 881, 0, 0, Smoke::mf_const, 174, 14},	//195 QGLFramebufferObject::toImage() const
    {30, 229, 0, 0, Smoke::mf_const, 151, 15},	//196 QGLFramebufferObject::attachment() const
    {30, 449, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 16},	//197 QGLFramebufferObject::paintEngine() const
    {30, 335, 0, 0, Smoke::mf_const, 5, 17},	//198 QGLFramebufferObject::handle() const
    {30, 238, 0, 0, Smoke::mf_static, 397, 18},	//199 QGLFramebufferObject::bindDefault()
    {30, 338, 0, 0, Smoke::mf_static, 397, 19},	//200 QGLFramebufferObject::hasOpenGLFramebufferObjects()
    {30, 295, 56, 3, 0, 0, 20},	//201 QGLFramebufferObject::drawTexture(const QRectF&, GLuint, GLenum)
    {30, 295, 60, 3, 0, 0, 21},	//202 QGLFramebufferObject::drawTexture(const QPointF&, GLuint, GLenum)
    {30, 337, 0, 0, Smoke::mf_static, 397, 22},	//203 QGLFramebufferObject::hasOpenGLFramebufferBlit()
    {30, 247, 129, 6, Smoke::mf_static, 0, 23},	//204 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield, GLenum)
    {30, 372, 136, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 24},	//205 QGLFramebufferObject::metric(QPaintDevice::PaintDeviceMetric) const
    {30, 283, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 25},	//206 QGLFramebufferObject::devType() const
    {30, 84, 138, 1, Smoke::mf_ctor, 150, 26},	//207 QGLFramebufferObject::QGLFramebufferObject(const QSize&)
    {30, 84, 99, 2, Smoke::mf_ctor, 150, 27},	//208 QGLFramebufferObject::QGLFramebufferObject(int, int)
    {30, 84, 140, 2, Smoke::mf_ctor, 150, 28},	//209 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    {30, 84, 143, 3, Smoke::mf_ctor, 150, 29},	//210 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, GLenum)
    {30, 84, 147, 3, Smoke::mf_ctor, 150, 30},	//211 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    {30, 84, 151, 4, Smoke::mf_ctor, 150, 31},	//212 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, GLenum)
    {30, 295, 86, 2, 0, 0, 32},	//213 QGLFramebufferObject::drawTexture(const QRectF&, GLuint)
    {30, 295, 89, 2, 0, 0, 33},	//214 QGLFramebufferObject::drawTexture(const QPointF&, GLuint)
    {30, 247, 156, 4, Smoke::mf_static, 0, 34},	//215 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&)
    {30, 247, 161, 5, Smoke::mf_static, 0, 35},	//216 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, GLbitfield)
    {30, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 36},	//217 QGLFramebufferObject::NoAttachment (enum)
    {30, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 37},	//218 QGLFramebufferObject::CombinedDepthStencil (enum)
    {30, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 38},	//219 QGLFramebufferObject::Depth (enum)
    {30, 907, 0, 0, Smoke::mf_dtor, 0, 39 },	//220 QGLFramebufferObject::~QGLFramebufferObject()
    {31, 97, 0, 0, Smoke::mf_ctor, 154, 1},	//221 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat()
    {31, 97, 167, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 154, 2},	//222 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat(const QGLFramebufferObjectFormat&)
    {31, 420, 167, 1, 0, 153, 3},	//223 QGLFramebufferObjectFormat::operator=(const QGLFramebufferObjectFormat&)
    {31, 829, 15, 1, 0, 0, 4},	//224 QGLFramebufferObjectFormat::setSamples(int)
    {31, 734, 0, 0, Smoke::mf_const, 519, 5},	//225 QGLFramebufferObjectFormat::samples() const
    {31, 809, 67, 1, 0, 0, 6},	//226 QGLFramebufferObjectFormat::setMipmap(bool)
    {31, 376, 0, 0, Smoke::mf_const, 397, 7},	//227 QGLFramebufferObjectFormat::mipmap() const
    {31, 743, 169, 1, 0, 0, 8},	//228 QGLFramebufferObjectFormat::setAttachment(QGLFramebufferObject::Attachment)
    {31, 229, 0, 0, Smoke::mf_const, 151, 9},	//229 QGLFramebufferObjectFormat::attachment() const
    {31, 841, 171, 1, 0, 0, 10},	//230 QGLFramebufferObjectFormat::setTextureTarget(GLenum)
    {31, 879, 0, 0, Smoke::mf_const, 2, 11},	//231 QGLFramebufferObjectFormat::textureTarget() const
    {31, 807, 171, 1, 0, 0, 12},	//232 QGLFramebufferObjectFormat::setInternalTextureFormat(GLenum)
    {31, 354, 0, 0, Smoke::mf_const, 2, 13},	//233 QGLFramebufferObjectFormat::internalTextureFormat() const
    {31, 422, 167, 1, Smoke::mf_const, 397, 14},	//234 QGLFramebufferObjectFormat::operator==(const QGLFramebufferObjectFormat&) const
    {31, 383, 167, 1, Smoke::mf_const, 397, 15},	//235 QGLFramebufferObjectFormat::operator!=(const QGLFramebufferObjectFormat&) const
    {31, 908, 0, 0, Smoke::mf_dtor, 0, 16 },	//236 QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat()
    {32, 99, 173, 3, Smoke::mf_ctor, 156, 1},	//237 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&, QGLWidget*)
    {32, 99, 177, 4, Smoke::mf_ctor, 156, 2},	//238 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&, QGLWidget*)
    {32, 360, 0, 0, Smoke::mf_const, 397, 3},	//239 QGLPixelBuffer::isValid() const
    {32, 368, 0, 0, 0, 397, 4},	//240 QGLPixelBuffer::makeCurrent()
    {32, 290, 0, 0, 0, 397, 5},	//241 QGLPixelBuffer::doneCurrent()
    {32, 322, 0, 0, Smoke::mf_const, 5, 6},	//242 QGLPixelBuffer::generateDynamicTexture() const
    {32, 245, 54, 1, 0, 397, 7},	//243 QGLPixelBuffer::bindToDynamicTexture(GLuint)
    {32, 709, 0, 0, 0, 0, 8},	//244 QGLPixelBuffer::releaseFromDynamicTexture()
    {32, 896, 54, 1, Smoke::mf_const, 0, 9},	//245 QGLPixelBuffer::updateDynamicTexture(GLuint) const
    {32, 239, 78, 2, 0, 5, 10},	//246 QGLPixelBuffer::bindTexture(const QImage&, GLenum)
    {32, 239, 83, 2, 0, 5, 11},	//247 QGLPixelBuffer::bindTexture(const QPixmap&, GLenum)
    {32, 239, 52, 1, 0, 5, 12},	//248 QGLPixelBuffer::bindTexture(const QString&)
    {32, 278, 54, 1, 0, 0, 13},	//249 QGLPixelBuffer::deleteTexture(GLuint)
    {32, 295, 56, 3, 0, 0, 14},	//250 QGLPixelBuffer::drawTexture(const QRectF&, GLuint, GLenum)
    {32, 295, 60, 3, 0, 0, 15},	//251 QGLPixelBuffer::drawTexture(const QPointF&, GLuint, GLenum)
    {32, 864, 0, 0, Smoke::mf_const, 239, 16},	//252 QGLPixelBuffer::size() const
    {32, 335, 0, 0, Smoke::mf_const, 528, 17},	//253 QGLPixelBuffer::handle() const
    {32, 881, 0, 0, Smoke::mf_const, 174, 18},	//254 QGLPixelBuffer::toImage() const
    {32, 449, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 19},	//255 QGLPixelBuffer::paintEngine() const
    {32, 321, 0, 0, Smoke::mf_const, 145, 20},	//256 QGLPixelBuffer::format() const
    {32, 340, 0, 0, Smoke::mf_static, 397, 21},	//257 QGLPixelBuffer::hasOpenGLPbuffers()
    {32, 372, 136, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 22},	//258 QGLPixelBuffer::metric(QPaintDevice::PaintDeviceMetric) const
    {32, 283, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 23},	//259 QGLPixelBuffer::devType() const
    {32, 99, 138, 1, Smoke::mf_ctor, 156, 24},	//260 QGLPixelBuffer::QGLPixelBuffer(const QSize&)
    {32, 99, 182, 2, Smoke::mf_ctor, 156, 25},	//261 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&)
    {32, 99, 99, 2, Smoke::mf_ctor, 156, 26},	//262 QGLPixelBuffer::QGLPixelBuffer(int, int)
    {32, 99, 185, 3, Smoke::mf_ctor, 156, 27},	//263 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&)
    {32, 239, 76, 1, 0, 5, 28},	//264 QGLPixelBuffer::bindTexture(const QImage&)
    {32, 239, 81, 1, 0, 5, 29},	//265 QGLPixelBuffer::bindTexture(const QPixmap&)
    {32, 295, 86, 2, 0, 0, 30},	//266 QGLPixelBuffer::drawTexture(const QRectF&, GLuint)
    {32, 295, 89, 2, 0, 0, 31},	//267 QGLPixelBuffer::drawTexture(const QPointF&, GLuint)
    {32, 909, 0, 0, Smoke::mf_dtor, 0, 32 },	//268 QGLPixelBuffer::~QGLPixelBuffer()
    {33, 371, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 456, 1},	//269 QGLShader::metaObject() const
    {33, 696, 189, 1, Smoke::mf_virtual, 534, 2},	//270 QGLShader::qt_metacast(const char*)
    {33, 882, 191, 2, Smoke::mf_static, 246, 3},	//271 QGLShader::tr(const char*, const char*)
    {33, 886, 191, 2, Smoke::mf_static, 246, 4},	//272 QGLShader::trUtf8(const char*, const char*)
    {33, 882, 194, 3, Smoke::mf_static, 246, 5},	//273 QGLShader::tr(const char*, const char*, int)
    {33, 886, 194, 3, Smoke::mf_static, 246, 6},	//274 QGLShader::trUtf8(const char*, const char*, int)
    {33, 694, 198, 3, Smoke::mf_virtual, 519, 7},	//275 QGLShader::qt_metacall(QMetaObject::Call, int, void**)
    {33, 106, 202, 2, Smoke::mf_ctor, 157, 8},	//276 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    {33, 106, 205, 3, Smoke::mf_ctor, 157, 9},	//277 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*)
    {33, 861, 0, 0, Smoke::mf_const, 76, 10},	//278 QGLShader::shaderType() const
    {33, 261, 189, 1, 0, 397, 11},	//279 QGLShader::compileSourceCode(const char*)
    {33, 261, 209, 1, 0, 397, 12},	//280 QGLShader::compileSourceCode(const QByteArray&)
    {33, 261, 52, 1, 0, 397, 13},	//281 QGLShader::compileSourceCode(const QString&)
    {33, 264, 52, 1, 0, 397, 14},	//282 QGLShader::compileSourceFile(const QString&)
    {33, 866, 0, 0, Smoke::mf_const, 22, 15},	//283 QGLShader::sourceCode() const
    {33, 356, 0, 0, Smoke::mf_const, 397, 16},	//284 QGLShader::isCompiled() const
    {33, 366, 0, 0, Smoke::mf_const, 246, 17},	//285 QGLShader::log() const
    {33, 860, 0, 0, Smoke::mf_const, 5, 18},	//286 QGLShader::shaderId() const
    {33, 343, 211, 2, Smoke::mf_static, 397, 19},	//287 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {33, 882, 189, 1, Smoke::mf_static, 246, 20},	//288 QGLShader::tr(const char*)
    {33, 886, 189, 1, Smoke::mf_static, 246, 21},	//289 QGLShader::trUtf8(const char*)
    {33, 106, 214, 1, Smoke::mf_ctor, 157, 22},	//290 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>)
    {33, 106, 211, 2, Smoke::mf_ctor, 157, 23},	//291 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {33, 343, 214, 1, Smoke::mf_static, 397, 24},	//292 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>)
    {33, 867, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 455, 25},	//293 QGLShader::staticMetaObject() const
    {33, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 26},	//294 QGLShader::Vertex (enum)
    {33, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 27},	//295 QGLShader::Fragment (enum)
    {33, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 28},	//296 QGLShader::Geometry (enum)
    {33, 910, 0, 0, Smoke::mf_dtor, 0, 29 },	//297 QGLShader::~QGLShader()
    {34, 371, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 456, 1},	//298 QGLShaderProgram::metaObject() const
    {34, 696, 189, 1, Smoke::mf_virtual, 534, 2},	//299 QGLShaderProgram::qt_metacast(const char*)
    {34, 882, 191, 2, Smoke::mf_static, 246, 3},	//300 QGLShaderProgram::tr(const char*, const char*)
    {34, 886, 191, 2, Smoke::mf_static, 246, 4},	//301 QGLShaderProgram::trUtf8(const char*, const char*)
    {34, 882, 194, 3, Smoke::mf_static, 246, 5},	//302 QGLShaderProgram::tr(const char*, const char*, int)
    {34, 886, 194, 3, Smoke::mf_static, 246, 6},	//303 QGLShaderProgram::trUtf8(const char*, const char*, int)
    {34, 694, 198, 3, Smoke::mf_virtual, 519, 7},	//304 QGLShaderProgram::qt_metacall(QMetaObject::Call, int, void**)
    {34, 110, 216, 1, Smoke::mf_ctor, 159, 8},	//305 QGLShaderProgram::QGLShaderProgram(QObject*)
    {34, 110, 218, 2, Smoke::mf_ctor, 159, 9},	//306 QGLShaderProgram::QGLShaderProgram(const QGLContext*, QObject*)
    {34, 218, 221, 1, 0, 397, 10},	//307 QGLShaderProgram::addShader(QGLShader*)
    {34, 711, 221, 1, 0, 0, 11},	//308 QGLShaderProgram::removeShader(QGLShader*)
    {34, 862, 0, 0, Smoke::mf_const, 189, 12},	//309 QGLShaderProgram::shaders() const
    {34, 220, 223, 2, 0, 397, 13},	//310 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    {34, 220, 226, 2, 0, 397, 14},	//311 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QByteArray&)
    {34, 220, 229, 2, 0, 397, 15},	//312 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {34, 223, 229, 2, 0, 397, 16},	//313 QGLShaderProgram::addShaderFromSourceFile(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {34, 710, 0, 0, 0, 0, 17},	//314 QGLShaderProgram::removeAllShaders()
    {34, 365, 0, 0, Smoke::mf_virtual, 397, 18},	//315 QGLShaderProgram::link()
    {34, 358, 0, 0, Smoke::mf_const, 397, 19},	//316 QGLShaderProgram::isLinked() const
    {34, 366, 0, 0, Smoke::mf_const, 246, 20},	//317 QGLShaderProgram::log() const
    {34, 234, 0, 0, 0, 397, 21},	//318 QGLShaderProgram::bind()
    {34, 708, 0, 0, 0, 0, 22},	//319 QGLShaderProgram::release()
    {34, 457, 0, 0, Smoke::mf_const, 5, 23},	//320 QGLShaderProgram::programId() const
    {34, 370, 0, 0, Smoke::mf_const, 519, 24},	//321 QGLShaderProgram::maxGeometryOutputVertices() const
    {34, 799, 15, 1, 0, 0, 25},	//322 QGLShaderProgram::setGeometryOutputVertexCount(int)
    {34, 327, 0, 0, Smoke::mf_const, 519, 26},	//323 QGLShaderProgram::geometryOutputVertexCount() const
    {34, 795, 171, 1, 0, 0, 27},	//324 QGLShaderProgram::setGeometryInputType(GLenum)
    {34, 325, 0, 0, Smoke::mf_const, 2, 28},	//325 QGLShaderProgram::geometryInputType() const
    {34, 797, 171, 1, 0, 0, 29},	//326 QGLShaderProgram::setGeometryOutputType(GLenum)
    {34, 326, 0, 0, Smoke::mf_const, 2, 30},	//327 QGLShaderProgram::geometryOutputType() const
    {34, 235, 232, 2, 0, 0, 31},	//328 QGLShaderProgram::bindAttributeLocation(const char*, int)
    {34, 235, 235, 2, 0, 0, 32},	//329 QGLShaderProgram::bindAttributeLocation(const QByteArray&, int)
    {34, 235, 238, 2, 0, 0, 33},	//330 QGLShaderProgram::bindAttributeLocation(const QString&, int)
    {34, 230, 189, 1, Smoke::mf_const, 519, 34},	//331 QGLShaderProgram::attributeLocation(const char*) const
    {34, 230, 209, 1, Smoke::mf_const, 519, 35},	//332 QGLShaderProgram::attributeLocation(const QByteArray&) const
    {34, 230, 52, 1, Smoke::mf_const, 519, 36},	//333 QGLShaderProgram::attributeLocation(const QString&) const
    {34, 754, 241, 2, 0, 0, 37},	//334 QGLShaderProgram::setAttributeValue(int, GLfloat)
    {34, 754, 244, 3, 0, 0, 38},	//335 QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat)
    {34, 754, 248, 4, 0, 0, 39},	//336 QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat)
    {34, 754, 253, 5, 0, 0, 40},	//337 QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    {34, 754, 259, 2, 0, 0, 41},	//338 QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    {34, 754, 262, 2, 0, 0, 42},	//339 QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    {34, 754, 265, 2, 0, 0, 43},	//340 QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    {34, 754, 12, 2, 0, 0, 44},	//341 QGLShaderProgram::setAttributeValue(int, const QColor&)
    {34, 754, 268, 4, 0, 0, 45},	//342 QGLShaderProgram::setAttributeValue(int, const GLfloat*, int, int)
    {34, 754, 273, 2, 0, 0, 46},	//343 QGLShaderProgram::setAttributeValue(const char*, GLfloat)
    {34, 754, 276, 3, 0, 0, 47},	//344 QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat)
    {34, 754, 280, 4, 0, 0, 48},	//345 QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat)
    {34, 754, 285, 5, 0, 0, 49},	//346 QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    {34, 754, 291, 2, 0, 0, 50},	//347 QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    {34, 754, 294, 2, 0, 0, 51},	//348 QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    {34, 754, 297, 2, 0, 0, 52},	//349 QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    {34, 754, 300, 2, 0, 0, 53},	//350 QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    {34, 754, 303, 4, 0, 0, 54},	//351 QGLShaderProgram::setAttributeValue(const char*, const GLfloat*, int, int)
    {34, 745, 268, 4, 0, 0, 55},	//352 QGLShaderProgram::setAttributeArray(int, const GLfloat*, int, int)
    {34, 745, 308, 3, 0, 0, 56},	//353 QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    {34, 745, 312, 3, 0, 0, 57},	//354 QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    {34, 745, 316, 3, 0, 0, 58},	//355 QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    {34, 745, 320, 5, 0, 0, 59},	//356 QGLShaderProgram::setAttributeArray(int, GLenum, const void*, int, int)
    {34, 745, 303, 4, 0, 0, 60},	//357 QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int, int)
    {34, 745, 326, 3, 0, 0, 61},	//358 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    {34, 745, 330, 3, 0, 0, 62},	//359 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    {34, 745, 334, 3, 0, 0, 63},	//360 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    {34, 745, 338, 5, 0, 0, 64},	//361 QGLShaderProgram::setAttributeArray(const char*, GLenum, const void*, int, int)
    {34, 751, 344, 5, 0, 0, 65},	//362 QGLShaderProgram::setAttributeBuffer(int, GLenum, int, int, int)
    {34, 751, 350, 5, 0, 0, 66},	//363 QGLShaderProgram::setAttributeBuffer(const char*, GLenum, int, int, int)
    {34, 299, 15, 1, 0, 0, 67},	//364 QGLShaderProgram::enableAttributeArray(int)
    {34, 299, 189, 1, 0, 0, 68},	//365 QGLShaderProgram::enableAttributeArray(const char*)
    {34, 287, 15, 1, 0, 0, 69},	//366 QGLShaderProgram::disableAttributeArray(int)
    {34, 287, 189, 1, 0, 0, 70},	//367 QGLShaderProgram::disableAttributeArray(const char*)
    {34, 893, 189, 1, Smoke::mf_const, 519, 71},	//368 QGLShaderProgram::uniformLocation(const char*) const
    {34, 893, 209, 1, Smoke::mf_const, 519, 72},	//369 QGLShaderProgram::uniformLocation(const QByteArray&) const
    {34, 893, 52, 1, Smoke::mf_const, 519, 73},	//370 QGLShaderProgram::uniformLocation(const QString&) const
    {34, 843, 241, 2, 0, 0, 74},	//371 QGLShaderProgram::setUniformValue(int, GLfloat)
    {34, 843, 356, 2, 0, 0, 75},	//372 QGLShaderProgram::setUniformValue(int, GLint)
    {34, 843, 359, 2, 0, 0, 76},	//373 QGLShaderProgram::setUniformValue(int, GLuint)
    {34, 843, 244, 3, 0, 0, 77},	//374 QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat)
    {34, 843, 248, 4, 0, 0, 78},	//375 QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat)
    {34, 843, 253, 5, 0, 0, 79},	//376 QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    {34, 843, 259, 2, 0, 0, 80},	//377 QGLShaderProgram::setUniformValue(int, const QVector2D&)
    {34, 843, 262, 2, 0, 0, 81},	//378 QGLShaderProgram::setUniformValue(int, const QVector3D&)
    {34, 843, 265, 2, 0, 0, 82},	//379 QGLShaderProgram::setUniformValue(int, const QVector4D&)
    {34, 843, 12, 2, 0, 0, 83},	//380 QGLShaderProgram::setUniformValue(int, const QColor&)
    {34, 843, 362, 2, 0, 0, 84},	//381 QGLShaderProgram::setUniformValue(int, const QPoint&)
    {34, 843, 365, 2, 0, 0, 85},	//382 QGLShaderProgram::setUniformValue(int, const QPointF&)
    {34, 843, 368, 2, 0, 0, 86},	//383 QGLShaderProgram::setUniformValue(int, const QSize&)
    {34, 843, 371, 2, 0, 0, 87},	//384 QGLShaderProgram::setUniformValue(int, const QSizeF&)
    {34, 843, 374, 2, 0, 0, 88},	//385 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    {34, 843, 377, 2, 0, 0, 89},	//386 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    {34, 843, 380, 2, 0, 0, 90},	//387 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    {34, 843, 383, 2, 0, 0, 91},	//388 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    {34, 843, 386, 2, 0, 0, 92},	//389 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    {34, 843, 389, 2, 0, 0, 93},	//390 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    {34, 843, 392, 2, 0, 0, 94},	//391 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    {34, 843, 395, 2, 0, 0, 95},	//392 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    {34, 843, 398, 2, 0, 0, 96},	//393 QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    {34, 843, 401, 2, 0, 0, 97},	//394 QGLShaderProgram::setUniformValue(int, const GLfloat[2][2])
    {34, 843, 404, 2, 0, 0, 98},	//395 QGLShaderProgram::setUniformValue(int, const GLfloat[3][3])
    {34, 843, 407, 2, 0, 0, 99},	//396 QGLShaderProgram::setUniformValue(int, const GLfloat[4][4])
    {34, 843, 410, 2, 0, 0, 100},	//397 QGLShaderProgram::setUniformValue(int, const QTransform&)
    {34, 843, 273, 2, 0, 0, 101},	//398 QGLShaderProgram::setUniformValue(const char*, GLfloat)
    {34, 843, 413, 2, 0, 0, 102},	//399 QGLShaderProgram::setUniformValue(const char*, GLint)
    {34, 843, 416, 2, 0, 0, 103},	//400 QGLShaderProgram::setUniformValue(const char*, GLuint)
    {34, 843, 276, 3, 0, 0, 104},	//401 QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat)
    {34, 843, 280, 4, 0, 0, 105},	//402 QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat)
    {34, 843, 285, 5, 0, 0, 106},	//403 QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    {34, 843, 291, 2, 0, 0, 107},	//404 QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    {34, 843, 294, 2, 0, 0, 108},	//405 QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    {34, 843, 297, 2, 0, 0, 109},	//406 QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    {34, 843, 300, 2, 0, 0, 110},	//407 QGLShaderProgram::setUniformValue(const char*, const QColor&)
    {34, 843, 419, 2, 0, 0, 111},	//408 QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    {34, 843, 422, 2, 0, 0, 112},	//409 QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    {34, 843, 425, 2, 0, 0, 113},	//410 QGLShaderProgram::setUniformValue(const char*, const QSize&)
    {34, 843, 428, 2, 0, 0, 114},	//411 QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    {34, 843, 431, 2, 0, 0, 115},	//412 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    {34, 843, 434, 2, 0, 0, 116},	//413 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    {34, 843, 437, 2, 0, 0, 117},	//414 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    {34, 843, 440, 2, 0, 0, 118},	//415 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    {34, 843, 443, 2, 0, 0, 119},	//416 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    {34, 843, 446, 2, 0, 0, 120},	//417 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    {34, 843, 449, 2, 0, 0, 121},	//418 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    {34, 843, 452, 2, 0, 0, 122},	//419 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    {34, 843, 455, 2, 0, 0, 123},	//420 QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    {34, 843, 458, 2, 0, 0, 124},	//421 QGLShaderProgram::setUniformValue(const char*, const GLfloat[2][2])
    {34, 843, 461, 2, 0, 0, 125},	//422 QGLShaderProgram::setUniformValue(const char*, const GLfloat[3][3])
    {34, 843, 464, 2, 0, 0, 126},	//423 QGLShaderProgram::setUniformValue(const char*, const GLfloat[4][4])
    {34, 843, 467, 2, 0, 0, 127},	//424 QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    {34, 849, 268, 4, 0, 0, 128},	//425 QGLShaderProgram::setUniformValueArray(int, const GLfloat*, int, int)
    {34, 849, 470, 3, 0, 0, 129},	//426 QGLShaderProgram::setUniformValueArray(int, const GLint*, int)
    {34, 849, 474, 3, 0, 0, 130},	//427 QGLShaderProgram::setUniformValueArray(int, const GLuint*, int)
    {34, 849, 308, 3, 0, 0, 131},	//428 QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    {34, 849, 312, 3, 0, 0, 132},	//429 QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    {34, 849, 316, 3, 0, 0, 133},	//430 QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    {34, 849, 478, 3, 0, 0, 134},	//431 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    {34, 849, 482, 3, 0, 0, 135},	//432 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    {34, 849, 486, 3, 0, 0, 136},	//433 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    {34, 849, 490, 3, 0, 0, 137},	//434 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    {34, 849, 494, 3, 0, 0, 138},	//435 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    {34, 849, 498, 3, 0, 0, 139},	//436 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    {34, 849, 502, 3, 0, 0, 140},	//437 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    {34, 849, 506, 3, 0, 0, 141},	//438 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    {34, 849, 510, 3, 0, 0, 142},	//439 QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    {34, 849, 303, 4, 0, 0, 143},	//440 QGLShaderProgram::setUniformValueArray(const char*, const GLfloat*, int, int)
    {34, 849, 514, 3, 0, 0, 144},	//441 QGLShaderProgram::setUniformValueArray(const char*, const GLint*, int)
    {34, 849, 518, 3, 0, 0, 145},	//442 QGLShaderProgram::setUniformValueArray(const char*, const GLuint*, int)
    {34, 849, 326, 3, 0, 0, 146},	//443 QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    {34, 849, 330, 3, 0, 0, 147},	//444 QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    {34, 849, 334, 3, 0, 0, 148},	//445 QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    {34, 849, 522, 3, 0, 0, 149},	//446 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    {34, 849, 526, 3, 0, 0, 150},	//447 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    {34, 849, 530, 3, 0, 0, 151},	//448 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    {34, 849, 534, 3, 0, 0, 152},	//449 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    {34, 849, 538, 3, 0, 0, 153},	//450 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    {34, 849, 542, 3, 0, 0, 154},	//451 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    {34, 849, 546, 3, 0, 0, 155},	//452 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    {34, 849, 550, 3, 0, 0, 156},	//453 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    {34, 849, 554, 3, 0, 0, 157},	//454 QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    {34, 341, 29, 1, Smoke::mf_static, 397, 158},	//455 QGLShaderProgram::hasOpenGLShaderPrograms(const QGLContext*)
    {34, 882, 189, 1, Smoke::mf_static, 246, 159},	//456 QGLShaderProgram::tr(const char*)
    {34, 886, 189, 1, Smoke::mf_static, 246, 160},	//457 QGLShaderProgram::trUtf8(const char*)
    {34, 110, 0, 0, Smoke::mf_ctor, 159, 161},	//458 QGLShaderProgram::QGLShaderProgram()
    {34, 110, 29, 1, Smoke::mf_ctor, 159, 162},	//459 QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    {34, 745, 558, 3, 0, 0, 163},	//460 QGLShaderProgram::setAttributeArray(int, const GLfloat*, int)
    {34, 745, 562, 2, 0, 0, 164},	//461 QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    {34, 745, 565, 2, 0, 0, 165},	//462 QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    {34, 745, 568, 2, 0, 0, 166},	//463 QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    {34, 745, 571, 4, 0, 0, 167},	//464 QGLShaderProgram::setAttributeArray(int, GLenum, const void*, int)
    {34, 745, 576, 3, 0, 0, 168},	//465 QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int)
    {34, 745, 580, 2, 0, 0, 169},	//466 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    {34, 745, 583, 2, 0, 0, 170},	//467 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    {34, 745, 586, 2, 0, 0, 171},	//468 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    {34, 745, 589, 4, 0, 0, 172},	//469 QGLShaderProgram::setAttributeArray(const char*, GLenum, const void*, int)
    {34, 751, 594, 4, 0, 0, 173},	//470 QGLShaderProgram::setAttributeBuffer(int, GLenum, int, int)
    {34, 751, 599, 4, 0, 0, 174},	//471 QGLShaderProgram::setAttributeBuffer(const char*, GLenum, int, int)
    {34, 341, 0, 0, Smoke::mf_static, 397, 175},	//472 QGLShaderProgram::hasOpenGLShaderPrograms()
    {34, 867, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 455, 176},	//473 QGLShaderProgram::staticMetaObject() const
    {34, 911, 0, 0, Smoke::mf_dtor, 0, 177 },	//474 QGLShaderProgram::~QGLShaderProgram()
    {35, 371, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 456, 1},	//475 QGLWidget::metaObject() const
    {35, 696, 189, 1, Smoke::mf_virtual, 534, 2},	//476 QGLWidget::qt_metacast(const char*)
    {35, 882, 191, 2, Smoke::mf_static, 246, 3},	//477 QGLWidget::tr(const char*, const char*)
    {35, 886, 191, 2, Smoke::mf_static, 246, 4},	//478 QGLWidget::trUtf8(const char*, const char*)
    {35, 882, 194, 3, Smoke::mf_static, 246, 5},	//479 QGLWidget::tr(const char*, const char*, int)
    {35, 886, 194, 3, Smoke::mf_static, 246, 6},	//480 QGLWidget::trUtf8(const char*, const char*, int)
    {35, 694, 198, 3, Smoke::mf_virtual, 519, 7},	//481 QGLWidget::qt_metacall(QMetaObject::Call, int, void**)
    {35, 113, 604, 3, Smoke::mf_ctor, 160, 8},	//482 QGLWidget::QGLWidget(QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {35, 113, 608, 4, Smoke::mf_ctor, 160, 9},	//483 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {35, 113, 613, 4, Smoke::mf_ctor, 160, 10},	//484 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {35, 653, 72, 1, Smoke::mf_const, 0, 11},	//485 QGLWidget::qglColor(const QColor&) const
    {35, 651, 72, 1, Smoke::mf_const, 0, 12},	//486 QGLWidget::qglClearColor(const QColor&) const
    {35, 360, 0, 0, Smoke::mf_const, 397, 13},	//487 QGLWidget::isValid() const
    {35, 359, 0, 0, Smoke::mf_const, 397, 14},	//488 QGLWidget::isSharing() const
    {35, 368, 0, 0, 0, 0, 15},	//489 QGLWidget::makeCurrent()
    {35, 290, 0, 0, 0, 0, 16},	//490 QGLWidget::doneCurrent()
    {35, 291, 0, 0, Smoke::mf_const, 397, 17},	//491 QGLWidget::doubleBuffer() const
    {35, 872, 0, 0, 0, 0, 18},	//492 QGLWidget::swapBuffers()
    {35, 321, 0, 0, Smoke::mf_const, 145, 19},	//493 QGLWidget::format() const
    {35, 793, 27, 1, 0, 0, 20},	//494 QGLWidget::setFormat(const QGLFormat&)
    {35, 267, 0, 0, Smoke::mf_const, 421, 21},	//495 QGLWidget::context() const
    {35, 767, 618, 3, 0, 0, 22},	//496 QGLWidget::setContext(QGLContext*, const QGLContext*, bool)
    {35, 713, 622, 3, 0, 221, 23},	//497 QGLWidget::renderPixmap(int, int, bool)
    {35, 332, 67, 1, 0, 174, 24},	//498 QGLWidget::grabFrameBuffer(bool)
    {35, 369, 0, 0, 0, 0, 25},	//499 QGLWidget::makeOverlayCurrent()
    {35, 447, 0, 0, Smoke::mf_const, 421, 26},	//500 QGLWidget::overlayContext() const
    {35, 269, 76, 1, Smoke::mf_static, 174, 27},	//501 QGLWidget::convertToGLFormat(const QImage&)
    {35, 811, 67, 1, 0, 0, 28},	//502 QGLWidget::setMouseTracking(bool)
    {35, 260, 0, 0, Smoke::mf_const, 420, 29},	//503 QGLWidget::colormap() const
    {35, 765, 3, 1, 0, 0, 30},	//504 QGLWidget::setColormap(const QGLColormap&)
    {35, 717, 626, 5, 0, 0, 31},	//505 QGLWidget::renderText(int, int, const QString&, const QFont&, int)
    {35, 717, 632, 6, 0, 0, 32},	//506 QGLWidget::renderText(double, double, double, const QString&, const QFont&, int)
    {35, 449, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 33},	//507 QGLWidget::paintEngine() const
    {35, 239, 34, 4, 0, 5, 34},	//508 QGLWidget::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {35, 239, 39, 4, 0, 5, 35},	//509 QGLWidget::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    {35, 239, 44, 3, 0, 5, 36},	//510 QGLWidget::bindTexture(const QImage&, GLenum, GLint)
    {35, 239, 48, 3, 0, 5, 37},	//511 QGLWidget::bindTexture(const QPixmap&, GLenum, GLint)
    {35, 239, 52, 1, 0, 5, 38},	//512 QGLWidget::bindTexture(const QString&)
    {35, 278, 54, 1, 0, 0, 39},	//513 QGLWidget::deleteTexture(GLuint)
    {35, 295, 56, 3, 0, 0, 40},	//514 QGLWidget::drawTexture(const QRectF&, GLuint, GLenum)
    {35, 295, 60, 3, 0, 0, 41},	//515 QGLWidget::drawTexture(const QPointF&, GLuint, GLenum)
    {35, 898, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//516 QGLWidget::updateGL()
    {35, 899, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//517 QGLWidget::updateOverlayGL()
    {35, 307, 639, 1, Smoke::mf_protected|Smoke::mf_virtual, 397, 44},	//518 QGLWidget::event(QEvent*)
    {35, 349, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//519 QGLWidget::initializeGL()
    {35, 728, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//520 QGLWidget::resizeGL(int, int)
    {35, 452, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//521 QGLWidget::paintGL()
    {35, 350, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//522 QGLWidget::initializeOverlayGL()
    {35, 730, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//523 QGLWidget::resizeOverlayGL(int, int)
    {35, 453, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//524 QGLWidget::paintOverlayGL()
    {35, 761, 67, 1, Smoke::mf_protected, 0, 51},	//525 QGLWidget::setAutoBufferSwap(bool)
    {35, 233, 0, 0, Smoke::mf_const|Smoke::mf_protected, 397, 52},	//526 QGLWidget::autoBufferSwap() const
    {35, 450, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//527 QGLWidget::paintEvent(QPaintEvent*)
    {35, 726, 643, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//528 QGLWidget::resizeEvent(QResizeEvent*)
    {35, 331, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//529 QGLWidget::glInit()
    {35, 330, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//530 QGLWidget::glDraw()
    {35, 318, 69, 2, Smoke::mf_protected, 519, 57},	//531 QGLWidget::fontDisplayListBase(const QFont&, int)
    {35, 882, 189, 1, Smoke::mf_static, 246, 58},	//532 QGLWidget::tr(const char*)
    {35, 886, 189, 1, Smoke::mf_static, 246, 59},	//533 QGLWidget::trUtf8(const char*)
    {35, 113, 0, 0, Smoke::mf_ctor, 160, 60},	//534 QGLWidget::QGLWidget()
    {35, 113, 645, 1, Smoke::mf_ctor, 160, 61},	//535 QGLWidget::QGLWidget(QWidget*)
    {35, 113, 647, 2, Smoke::mf_ctor, 160, 62},	//536 QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    {35, 113, 92, 1, Smoke::mf_ctor, 160, 63},	//537 QGLWidget::QGLWidget(QGLContext*)
    {35, 113, 650, 2, Smoke::mf_ctor, 160, 64},	//538 QGLWidget::QGLWidget(QGLContext*, QWidget*)
    {35, 113, 653, 3, Smoke::mf_ctor, 160, 65},	//539 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    {35, 113, 27, 1, Smoke::mf_ctor, 160, 66},	//540 QGLWidget::QGLWidget(const QGLFormat&)
    {35, 113, 657, 2, Smoke::mf_ctor, 160, 67},	//541 QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    {35, 113, 660, 3, Smoke::mf_ctor, 160, 68},	//542 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    {35, 767, 92, 1, 0, 0, 69},	//543 QGLWidget::setContext(QGLContext*)
    {35, 767, 664, 2, 0, 0, 70},	//544 QGLWidget::setContext(QGLContext*, const QGLContext*)
    {35, 713, 0, 0, 0, 221, 71},	//545 QGLWidget::renderPixmap()
    {35, 713, 15, 1, 0, 221, 72},	//546 QGLWidget::renderPixmap(int)
    {35, 713, 99, 2, 0, 221, 73},	//547 QGLWidget::renderPixmap(int, int)
    {35, 332, 0, 0, 0, 174, 74},	//548 QGLWidget::grabFrameBuffer()
    {35, 717, 667, 3, 0, 0, 75},	//549 QGLWidget::renderText(int, int, const QString&)
    {35, 717, 671, 4, 0, 0, 76},	//550 QGLWidget::renderText(int, int, const QString&, const QFont&)
    {35, 717, 676, 4, 0, 0, 77},	//551 QGLWidget::renderText(double, double, double, const QString&)
    {35, 717, 681, 5, 0, 0, 78},	//552 QGLWidget::renderText(double, double, double, const QString&, const QFont&)
    {35, 239, 76, 1, 0, 5, 79},	//553 QGLWidget::bindTexture(const QImage&)
    {35, 239, 78, 2, 0, 5, 80},	//554 QGLWidget::bindTexture(const QImage&, GLenum)
    {35, 239, 81, 1, 0, 5, 81},	//555 QGLWidget::bindTexture(const QPixmap&)
    {35, 239, 83, 2, 0, 5, 82},	//556 QGLWidget::bindTexture(const QPixmap&, GLenum)
    {35, 295, 86, 2, 0, 0, 83},	//557 QGLWidget::drawTexture(const QRectF&, GLuint)
    {35, 295, 89, 2, 0, 0, 84},	//558 QGLWidget::drawTexture(const QPointF&, GLuint)
    {35, 318, 687, 1, Smoke::mf_protected, 519, 85},	//559 QGLWidget::fontDisplayListBase(const QFont&)
    {35, 867, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 455, 86},	//560 QGLWidget::staticMetaObject() const
    {35, 912, 0, 0, Smoke::mf_dtor, 0, 87 },	//561 QGLWidget::~QGLWidget()
    {36, 389, 689, 2, Smoke::mf_static, 18, 1},	//562 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {36, 492, 0, 0, Smoke::mf_static, 37, 2},	//563 QGlobalSpace::qCritical()
    {36, 575, 692, 1, Smoke::mf_static, 527, 3},	//564 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {36, 444, 694, 2, Smoke::mf_static, 177, 4},	//565 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {36, 684, 194, 3, Smoke::mf_static, 0, 5},	//566 QGlobalSpace::qt_assert(const char*, const char*, int)
    {36, 444, 697, 2, Smoke::mf_static, 77, 6},	//567 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {36, 422, 700, 2, Smoke::mf_static, 397, 7},	//568 QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    {36, 391, 703, 2, Smoke::mf_static, 465, 8},	//569 QGlobalSpace::operator*(const QPoint&, double)
    {36, 588, 706, 1, Smoke::mf_static, 397, 9},	//570 QGlobalSpace::qIsInf(double)
    {36, 411, 708, 2, Smoke::mf_static, 37, 10},	//571 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {36, 391, 711, 2, Smoke::mf_static, 467, 11},	//572 QGlobalSpace::operator*(double, const QPointF&)
    {36, 444, 714, 2, Smoke::mf_static, 129, 12},	//573 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {36, 383, 717, 2, Smoke::mf_static, 397, 13},	//574 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {36, 411, 720, 2, Smoke::mf_static, 37, 14},	//575 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {36, 391, 723, 2, Smoke::mf_static, 480, 15},	//576 QGlobalSpace::operator*(double, const QSizeF&)
    {36, 444, 726, 2, Smoke::mf_static, 177, 16},	//577 QGlobalSpace::operator|(QDir::SortFlag, int)
    {36, 444, 729, 2, Smoke::mf_static, 54, 17},	//578 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {36, 411, 732, 2, Smoke::mf_static, 37, 18},	//579 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {36, 438, 735, 2, Smoke::mf_static, 33, 19},	//580 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {36, 411, 738, 2, Smoke::mf_static, 33, 20},	//581 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {36, 444, 741, 2, Smoke::mf_static, 177, 21},	//582 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {36, 444, 744, 2, Smoke::mf_static, 177, 22},	//583 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {36, 411, 747, 2, Smoke::mf_static, 37, 23},	//584 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {36, 665, 750, 2, Smoke::mf_static, 399, 24},	//585 QGlobalSpace::qstrcpy(char*, const char*)
    {36, 383, 753, 2, Smoke::mf_static, 397, 25},	//586 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {36, 395, 756, 2, Smoke::mf_static, 478, 26},	//587 QGlobalSpace::operator+(const QSize&, const QSize&)
    {36, 551, 706, 1, Smoke::mf_static, 517, 27},	//588 QGlobalSpace::qFabs(double)
    {36, 411, 759, 2, Smoke::mf_static, 33, 28},	//589 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {36, 444, 762, 2, Smoke::mf_static, 75, 29},	//590 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature)
    {36, 444, 765, 2, Smoke::mf_static, 109, 30},	//591 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {36, 411, 768, 2, Smoke::mf_static, 37, 31},	//592 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {36, 606, 0, 0, Smoke::mf_static, 517, 32},	//593 QGlobalSpace::qQNaN()
    {36, 400, 771, 2, Smoke::mf_static, 196, 33},	//594 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {36, 444, 774, 2, Smoke::mf_static, 76, 34},	//595 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    {36, 575, 777, 1, Smoke::mf_static, 527, 35},	//596 QGlobalSpace::qHash(unsigned char)
    {36, 444, 779, 2, Smoke::mf_static, 62, 36},	//597 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {36, 400, 782, 2, Smoke::mf_static, 510, 37},	//598 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {36, 391, 785, 2, Smoke::mf_static, 225, 38},	//599 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {36, 444, 788, 2, Smoke::mf_static, 95, 39},	//600 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {36, 391, 791, 2, Smoke::mf_static, 185, 40},	//601 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {36, 645, 0, 0, Smoke::mf_static, 513, 41},	//602 QGlobalSpace::qVersion()
    {36, 565, 794, 2, Smoke::mf_static, 397, 42},	//603 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {36, 444, 797, 2, Smoke::mf_static, 67, 43},	//604 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {36, 422, 717, 2, Smoke::mf_static, 397, 44},	//605 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {36, 444, 800, 2, Smoke::mf_static, 134, 45},	//606 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {36, 391, 803, 2, Smoke::mf_static, 480, 46},	//607 QGlobalSpace::operator*(const QSizeF&, double)
    {36, 411, 806, 2, Smoke::mf_static, 33, 47},	//608 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {36, 444, 809, 2, Smoke::mf_static, 177, 48},	//609 QGlobalSpace::operator|(QDir::Filter, int)
    {36, 565, 812, 2, Smoke::mf_static, 397, 49},	//610 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {36, 428, 815, 2, Smoke::mf_static, 397, 50},	//611 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {36, 481, 706, 1, Smoke::mf_static, 519, 51},	//612 QGlobalSpace::qCeil(double)
    {36, 657, 0, 0, Smoke::mf_static, 519, 52},	//613 QGlobalSpace::qrand()
    {36, 570, 17, 1, Smoke::mf_static, 519, 53},	//614 QGlobalSpace::qGray(unsigned int)
    {36, 444, 818, 2, Smoke::mf_static, 69, 54},	//615 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {36, 400, 821, 2, Smoke::mf_static, 480, 55},	//616 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {36, 433, 824, 2, Smoke::mf_static, 397, 56},	//617 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {36, 422, 827, 2, Smoke::mf_static, 397, 57},	//618 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {36, 400, 830, 1, Smoke::mf_static, 471, 58},	//619 QGlobalSpace::operator-(const QQuaternion&)
    {36, 444, 832, 2, Smoke::mf_static, 55, 59},	//620 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {36, 444, 835, 2, Smoke::mf_static, 129, 60},	//621 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {36, 411, 838, 2, Smoke::mf_static, 37, 61},	//622 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {36, 611, 17, 1, Smoke::mf_static, 519, 62},	//623 QGlobalSpace::qRed(unsigned int)
    {36, 383, 841, 2, Smoke::mf_static, 397, 63},	//624 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {36, 391, 844, 2, Smoke::mf_static, 471, 64},	//625 QGlobalSpace::operator*(const QQuaternion&, double)
    {36, 422, 847, 2, Smoke::mf_static, 397, 65},	//626 QGlobalSpace::operator==(QBool, QBool)
    {36, 444, 850, 2, Smoke::mf_static, 105, 66},	//627 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {36, 444, 853, 2, Smoke::mf_static, 104, 67},	//628 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {36, 444, 856, 2, Smoke::mf_static, 70, 68},	//629 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {36, 444, 859, 2, Smoke::mf_static, 120, 69},	//630 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {36, 575, 862, 1, Smoke::mf_static, 527, 70},	//631 QGlobalSpace::qHash(const QStringRef&)
    {36, 444, 864, 2, Smoke::mf_static, 112, 71},	//632 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {36, 422, 867, 2, Smoke::mf_static, 397, 72},	//633 QGlobalSpace::operator==(QString::Null, QString::Null)
    {36, 411, 870, 2, Smoke::mf_static, 37, 73},	//634 QGlobalSpace::operator<<(QDebug, const QFont&)
    {36, 411, 873, 2, Smoke::mf_static, 37, 74},	//635 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {36, 411, 876, 2, Smoke::mf_static, 33, 75},	//636 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {36, 438, 879, 2, Smoke::mf_static, 33, 76},	//637 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {36, 469, 17, 1, Smoke::mf_static, 519, 77},	//638 QGlobalSpace::qAlpha(unsigned int)
    {36, 444, 882, 2, Smoke::mf_static, 177, 78},	//639 QGlobalSpace::operator|(QStyle::SubControl, int)
    {36, 444, 885, 2, Smoke::mf_static, 65, 79},	//640 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {36, 395, 888, 2, Smoke::mf_static, 485, 80},	//641 QGlobalSpace::operator+(QChar, const QString&)
    {36, 573, 17, 1, Smoke::mf_static, 519, 81},	//642 QGlobalSpace::qGreen(unsigned int)
    {36, 444, 891, 2, Smoke::mf_static, 84, 82},	//643 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {36, 515, 894, 6, Smoke::mf_static, 0, 83},	//644 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {36, 515, 901, 3, Smoke::mf_static, 0, 84},	//645 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {36, 515, 905, 4, Smoke::mf_static, 0, 85},	//646 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {36, 515, 910, 5, Smoke::mf_static, 0, 86},	//647 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {36, 400, 916, 1, Smoke::mf_static, 504, 87},	//648 QGlobalSpace::operator-(const QVector2D&)
    {36, 444, 918, 2, Smoke::mf_static, 62, 88},	//649 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {36, 411, 921, 2, Smoke::mf_static, 33, 89},	//650 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {36, 411, 924, 2, Smoke::mf_static, 37, 90},	//651 QGlobalSpace::operator<<(QDebug, const QTime&)
    {36, 391, 782, 2, Smoke::mf_static, 510, 91},	//652 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {36, 391, 927, 2, Smoke::mf_static, 471, 92},	//653 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {36, 444, 930, 2, Smoke::mf_static, 110, 93},	//654 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {36, 411, 933, 2, Smoke::mf_static, 33, 94},	//655 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {36, 411, 936, 2, Smoke::mf_static, 37, 95},	//656 QGlobalSpace::operator<<(QDebug, const QDate&)
    {36, 575, 939, 1, Smoke::mf_static, 527, 96},	//657 QGlobalSpace::qHash(const QBitArray&)
    {36, 444, 941, 2, Smoke::mf_static, 111, 97},	//658 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {36, 474, 706, 1, Smoke::mf_static, 517, 98},	//659 QGlobalSpace::qAtan(double)
    {36, 647, 944, 3, Smoke::mf_static, 0, 99},	//660 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {36, 444, 948, 2, Smoke::mf_static, 58, 100},	//661 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {36, 391, 951, 2, Smoke::mf_static, 229, 101},	//662 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {36, 703, 954, 3, Smoke::mf_static, 397, 102},	//663 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {36, 575, 52, 1, Smoke::mf_static, 527, 103},	//664 QGlobalSpace::qHash(const QString&)
    {36, 575, 958, 1, Smoke::mf_static, 527, 104},	//665 QGlobalSpace::qHash(unsigned short)
    {36, 613, 960, 1, Smoke::mf_static, 0, 105},	//666 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {36, 575, 962, 1, Smoke::mf_static, 527, 106},	//667 QGlobalSpace::qHash(long)
    {36, 444, 964, 2, Smoke::mf_static, 132, 107},	//668 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {36, 575, 967, 1, Smoke::mf_static, 527, 108},	//669 QGlobalSpace::qHash(long long)
    {36, 411, 969, 2, Smoke::mf_static, 37, 109},	//670 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {36, 395, 821, 2, Smoke::mf_static, 480, 110},	//671 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {36, 444, 972, 2, Smoke::mf_static, 97, 111},	//672 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {36, 535, 975, 8, Smoke::mf_static, 0, 112},	//673 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {36, 535, 984, 6, Smoke::mf_static, 0, 113},	//674 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {36, 535, 991, 7, Smoke::mf_static, 0, 114},	//675 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {36, 444, 999, 2, Smoke::mf_static, 177, 115},	//676 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {36, 411, 1002, 2, Smoke::mf_static, 37, 116},	//677 QGlobalSpace::operator<<(QDebug, const QColor&)
    {36, 444, 1005, 2, Smoke::mf_static, 177, 117},	//678 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {36, 444, 1008, 2, Smoke::mf_static, 177, 118},	//679 QGlobalSpace::operator|(Qt::DropAction, int)
    {36, 524, 1011, 10, Smoke::mf_static, 0, 119},	//680 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {36, 524, 984, 6, Smoke::mf_static, 0, 120},	//681 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {36, 524, 991, 7, Smoke::mf_static, 0, 121},	//682 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {36, 524, 1022, 8, Smoke::mf_static, 0, 122},	//683 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {36, 524, 1031, 9, Smoke::mf_static, 0, 123},	//684 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {36, 490, 706, 1, Smoke::mf_static, 517, 124},	//685 QGlobalSpace::qCos(double)
    {36, 411, 1041, 2, Smoke::mf_static, 33, 125},	//686 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {36, 444, 1044, 2, Smoke::mf_static, 53, 126},	//687 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {36, 438, 1047, 2, Smoke::mf_static, 33, 127},	//688 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {36, 658, 17, 1, Smoke::mf_static, 0, 128},	//689 QGlobalSpace::qsrand(unsigned int)
    {36, 588, 1050, 1, Smoke::mf_static, 397, 129},	//690 QGlobalSpace::qIsInf(float)
    {36, 444, 1052, 2, Smoke::mf_static, 77, 130},	//691 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {36, 444, 1055, 2, Smoke::mf_static, 120, 131},	//692 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {36, 438, 1058, 2, Smoke::mf_static, 33, 132},	//693 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {36, 444, 1061, 2, Smoke::mf_static, 177, 133},	//694 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {36, 411, 1064, 2, Smoke::mf_static, 33, 134},	//695 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {36, 444, 1067, 2, Smoke::mf_static, 177, 135},	//696 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {36, 444, 1070, 2, Smoke::mf_static, 64, 136},	//697 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {36, 406, 1073, 2, Smoke::mf_static, 397, 137},	//698 QGlobalSpace::operator<(const QByteArray&, const char*)
    {36, 444, 1076, 2, Smoke::mf_static, 79, 138},	//699 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {36, 444, 1079, 2, Smoke::mf_static, 177, 139},	//700 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {36, 411, 1082, 2, Smoke::mf_static, 37, 140},	//701 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {36, 444, 1085, 2, Smoke::mf_static, 121, 141},	//702 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {36, 444, 1088, 2, Smoke::mf_static, 177, 142},	//703 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {36, 411, 1091, 2, Smoke::mf_static, 37, 143},	//704 QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    {36, 391, 1094, 2, Smoke::mf_static, 185, 144},	//705 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {36, 646, 0, 0, Smoke::mf_static, 37, 145},	//706 QGlobalSpace::qWarning()
    {36, 444, 1097, 2, Smoke::mf_static, 94, 146},	//707 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {36, 395, 782, 2, Smoke::mf_static, 510, 147},	//708 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {36, 570, 1100, 3, Smoke::mf_static, 519, 148},	//709 QGlobalSpace::qGray(int, int, int)
    {36, 391, 1104, 2, Smoke::mf_static, 187, 149},	//710 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {36, 444, 1107, 2, Smoke::mf_static, 130, 150},	//711 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {36, 391, 1110, 2, Smoke::mf_static, 215, 151},	//712 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {36, 444, 1113, 2, Smoke::mf_static, 177, 152},	//713 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {36, 422, 1116, 2, Smoke::mf_static, 397, 153},	//714 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {36, 383, 794, 2, Smoke::mf_static, 397, 154},	//715 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {36, 438, 1119, 2, Smoke::mf_static, 33, 155},	//716 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {36, 444, 1122, 2, Smoke::mf_static, 177, 156},	//717 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {36, 411, 1125, 2, Smoke::mf_static, 33, 157},	//718 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {36, 395, 1128, 2, Smoke::mf_static, 485, 158},	//719 QGlobalSpace::operator+(const QString&, const char*)
    {36, 411, 1131, 2, Smoke::mf_static, 33, 159},	//720 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {36, 411, 1134, 2, Smoke::mf_static, 37, 160},	//721 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {36, 411, 1137, 2, Smoke::mf_static, 37, 161},	//722 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {36, 444, 1140, 2, Smoke::mf_static, 177, 162},	//723 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {36, 411, 1143, 2, Smoke::mf_static, 33, 163},	//724 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {36, 444, 1146, 2, Smoke::mf_static, 93, 164},	//725 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {36, 444, 1149, 2, Smoke::mf_static, 123, 165},	//726 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {36, 438, 1152, 2, Smoke::mf_static, 33, 166},	//727 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {36, 411, 1155, 2, Smoke::mf_static, 33, 167},	//728 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {36, 444, 1158, 2, Smoke::mf_static, 84, 168},	//729 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {36, 444, 1161, 2, Smoke::mf_static, 93, 169},	//730 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {36, 444, 1164, 2, Smoke::mf_static, 177, 170},	//731 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {36, 395, 1167, 2, Smoke::mf_static, 409, 171},	//732 QGlobalSpace::operator+(char, const QByteArray&)
    {36, 404, 703, 2, Smoke::mf_static, 465, 172},	//733 QGlobalSpace::operator/(const QPoint&, double)
    {36, 438, 1170, 2, Smoke::mf_static, 33, 173},	//734 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {36, 395, 1173, 2, Smoke::mf_static, 485, 174},	//735 QGlobalSpace::operator+(const char*, const QString&)
    {36, 395, 794, 2, Smoke::mf_static, 504, 175},	//736 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {36, 444, 1176, 2, Smoke::mf_static, 92, 176},	//737 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {36, 411, 1179, 2, Smoke::mf_static, 37, 177},	//738 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {36, 422, 1182, 2, Smoke::mf_static, 397, 178},	//739 QGlobalSpace::operator==(const char*, const QByteArray&)
    {36, 444, 1185, 2, Smoke::mf_static, 71, 179},	//740 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {36, 438, 1188, 2, Smoke::mf_static, 33, 180},	//741 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {36, 590, 1050, 1, Smoke::mf_static, 397, 181},	//742 QGlobalSpace::qIsNaN(float)
    {36, 565, 1191, 2, Smoke::mf_static, 397, 182},	//743 QGlobalSpace::qFuzzyCompare(double, double)
    {36, 592, 1050, 1, Smoke::mf_static, 397, 183},	//744 QGlobalSpace::qIsNull(float)
    {36, 444, 1194, 2, Smoke::mf_static, 74, 184},	//745 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    {36, 438, 1197, 2, Smoke::mf_static, 33, 185},	//746 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {36, 438, 1200, 2, Smoke::mf_static, 33, 186},	//747 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {36, 411, 1203, 2, Smoke::mf_static, 33, 187},	//748 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {36, 438, 1206, 2, Smoke::mf_static, 33, 188},	//749 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {36, 444, 1209, 2, Smoke::mf_static, 96, 189},	//750 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {36, 422, 1212, 2, Smoke::mf_static, 397, 190},	//751 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {36, 404, 1215, 2, Smoke::mf_static, 280, 191},	//752 QGlobalSpace::operator/(const QTransform&, double)
    {36, 411, 1218, 2, Smoke::mf_static, 274, 192},	//753 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {36, 444, 1221, 2, Smoke::mf_static, 56, 193},	//754 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {36, 444, 1224, 2, Smoke::mf_static, 177, 194},	//755 QGlobalSpace::operator|(QGL::FormatOption, int)
    {36, 415, 1173, 2, Smoke::mf_static, 397, 195},	//756 QGlobalSpace::operator<=(const char*, const QString&)
    {36, 391, 1227, 2, Smoke::mf_static, 504, 196},	//757 QGlobalSpace::operator*(const QVector2D&, double)
    {36, 444, 1230, 2, Smoke::mf_static, 72, 197},	//758 QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    {36, 444, 1233, 2, Smoke::mf_static, 116, 198},	//759 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {36, 444, 1236, 2, Smoke::mf_static, 102, 199},	//760 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {36, 383, 1239, 2, Smoke::mf_static, 397, 200},	//761 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {36, 391, 1242, 2, Smoke::mf_static, 510, 201},	//762 QGlobalSpace::operator*(const QVector4D&, double)
    {36, 444, 1245, 2, Smoke::mf_static, 177, 202},	//763 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {36, 444, 1248, 2, Smoke::mf_static, 177, 203},	//764 QGlobalSpace::operator|(QFile::Permission, int)
    {36, 411, 1251, 2, Smoke::mf_static, 37, 204},	//765 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {36, 406, 1254, 2, Smoke::mf_static, 397, 205},	//766 QGlobalSpace::operator<(QChar, QChar)
    {36, 463, 0, 0, Smoke::mf_static, 14, 206},	//767 QGlobalSpace::qAccessibleTextCastHelper()
    {36, 422, 927, 2, Smoke::mf_static, 397, 207},	//768 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {36, 565, 771, 2, Smoke::mf_static, 397, 208},	//769 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {36, 404, 1257, 2, Smoke::mf_static, 196, 209},	//770 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {36, 391, 1260, 2, Smoke::mf_static, 215, 210},	//771 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {36, 411, 1263, 2, Smoke::mf_static, 33, 211},	//772 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {36, 433, 815, 2, Smoke::mf_static, 397, 212},	//773 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {36, 444, 1266, 2, Smoke::mf_static, 91, 213},	//774 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {36, 677, 1269, 3, Smoke::mf_static, 519, 214},	//775 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {36, 575, 209, 1, Smoke::mf_static, 527, 215},	//776 QGlobalSpace::qHash(const QByteArray&)
    {36, 444, 1273, 2, Smoke::mf_static, 56, 216},	//777 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {36, 444, 1276, 2, Smoke::mf_static, 177, 217},	//778 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {36, 444, 1279, 2, Smoke::mf_static, 73, 218},	//779 QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    {36, 444, 1282, 2, Smoke::mf_static, 177, 219},	//780 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {36, 395, 771, 2, Smoke::mf_static, 196, 220},	//781 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {36, 411, 1285, 2, Smoke::mf_static, 37, 221},	//782 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {36, 391, 794, 2, Smoke::mf_static, 504, 222},	//783 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {36, 688, 232, 2, Smoke::mf_static, 0, 223},	//784 QGlobalSpace::qt_check_pointer(const char*, int)
    {36, 438, 1288, 2, Smoke::mf_static, 33, 224},	//785 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {36, 444, 1291, 2, Smoke::mf_static, 177, 225},	//786 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {36, 444, 1294, 2, Smoke::mf_static, 177, 226},	//787 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {36, 444, 1297, 2, Smoke::mf_static, 119, 227},	//788 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {36, 444, 1300, 2, Smoke::mf_static, 115, 228},	//789 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {36, 438, 1303, 2, Smoke::mf_static, 33, 229},	//790 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {36, 444, 1306, 2, Smoke::mf_static, 119, 230},	//791 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {36, 391, 1309, 2, Smoke::mf_static, 467, 231},	//792 QGlobalSpace::operator*(const QPointF&, double)
    {36, 660, 824, 2, Smoke::mf_static, 519, 232},	//793 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {36, 444, 1312, 2, Smoke::mf_static, 95, 233},	//794 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {36, 444, 1315, 2, Smoke::mf_static, 80, 234},	//795 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {36, 628, 1318, 1, Smoke::mf_static, 277, 235},	//796 QGlobalSpace::qSetPadChar(QChar)
    {36, 660, 1073, 2, Smoke::mf_static, 519, 236},	//797 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {36, 422, 756, 2, Smoke::mf_static, 397, 237},	//798 QGlobalSpace::operator==(const QSize&, const QSize&)
    {36, 515, 1320, 9, Smoke::mf_static, 0, 238},	//799 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {36, 515, 984, 6, Smoke::mf_static, 0, 239},	//800 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {36, 515, 991, 7, Smoke::mf_static, 0, 240},	//801 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {36, 515, 1022, 8, Smoke::mf_static, 0, 241},	//802 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {36, 632, 0, 0, Smoke::mf_static, 397, 242},	//803 QGlobalSpace::qSharedBuild()
    {36, 395, 927, 2, Smoke::mf_static, 471, 243},	//804 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {36, 444, 1330, 2, Smoke::mf_static, 53, 244},	//805 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {36, 580, 1333, 1, Smoke::mf_static, 533, 245},	//806 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {36, 411, 1335, 2, Smoke::mf_static, 33, 246},	//807 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {36, 699, 1338, 3, Smoke::mf_static, 204, 247},	//808 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {36, 422, 815, 2, Smoke::mf_static, 397, 248},	//809 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {36, 444, 1342, 2, Smoke::mf_static, 128, 249},	//810 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {36, 391, 1345, 2, Smoke::mf_static, 292, 250},	//811 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {36, 444, 1348, 2, Smoke::mf_static, 177, 251},	//812 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {36, 383, 824, 2, Smoke::mf_static, 397, 252},	//813 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {36, 535, 1351, 5, Smoke::mf_static, 0, 253},	//814 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {36, 535, 901, 3, Smoke::mf_static, 0, 254},	//815 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {36, 535, 905, 4, Smoke::mf_static, 0, 255},	//816 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {36, 444, 1357, 2, Smoke::mf_static, 177, 256},	//817 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {36, 444, 1360, 2, Smoke::mf_static, 98, 257},	//818 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {36, 444, 1363, 2, Smoke::mf_static, 177, 258},	//819 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {36, 444, 1366, 2, Smoke::mf_static, 177, 259},	//820 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {36, 438, 1369, 2, Smoke::mf_static, 33, 260},	//821 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {36, 400, 794, 2, Smoke::mf_static, 504, 261},	//822 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {36, 444, 1372, 2, Smoke::mf_static, 127, 262},	//823 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {36, 404, 803, 2, Smoke::mf_static, 480, 263},	//824 QGlobalSpace::operator/(const QSizeF&, double)
    {36, 391, 1375, 2, Smoke::mf_static, 507, 264},	//825 QGlobalSpace::operator*(const QVector3D&, double)
    {36, 444, 1378, 2, Smoke::mf_static, 128, 265},	//826 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {36, 438, 1381, 2, Smoke::mf_static, 33, 266},	//827 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {36, 391, 1384, 2, Smoke::mf_static, 227, 267},	//828 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {36, 428, 1254, 2, Smoke::mf_static, 397, 268},	//829 QGlobalSpace::operator>(QChar, QChar)
    {36, 433, 1182, 2, Smoke::mf_static, 397, 269},	//830 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {36, 563, 1387, 1, Smoke::mf_static, 0, 270},	//831 QGlobalSpace::qFreeAligned(void*)
    {36, 444, 1389, 2, Smoke::mf_static, 105, 271},	//832 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {36, 422, 1392, 2, Smoke::mf_static, 397, 272},	//833 QGlobalSpace::operator==(const QString&, QString::Null)
    {36, 411, 1395, 2, Smoke::mf_static, 37, 273},	//834 QGlobalSpace::operator<<(QDebug, const QPen&)
    {36, 582, 1050, 1, Smoke::mf_static, 519, 274},	//835 QGlobalSpace::qIntCast(float)
    {36, 406, 824, 2, Smoke::mf_static, 397, 275},	//836 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {36, 444, 1398, 2, Smoke::mf_static, 107, 276},	//837 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {36, 655, 1182, 2, Smoke::mf_static, 397, 277},	//838 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {36, 444, 1401, 2, Smoke::mf_static, 177, 278},	//839 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {36, 438, 1404, 2, Smoke::mf_static, 33, 279},	//840 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {36, 637, 1407, 2, Smoke::mf_static, 397, 280},	//841 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {36, 673, 1269, 3, Smoke::mf_static, 519, 281},	//842 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {36, 524, 1410, 7, Smoke::mf_static, 0, 282},	//843 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {36, 524, 901, 3, Smoke::mf_static, 0, 283},	//844 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {36, 524, 905, 4, Smoke::mf_static, 0, 284},	//845 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {36, 524, 910, 5, Smoke::mf_static, 0, 285},	//846 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {36, 524, 1418, 6, Smoke::mf_static, 0, 286},	//847 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {36, 444, 1425, 2, Smoke::mf_static, 177, 287},	//848 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {36, 444, 1428, 2, Smoke::mf_static, 111, 288},	//849 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {36, 444, 1431, 2, Smoke::mf_static, 177, 289},	//850 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {36, 400, 1434, 1, Smoke::mf_static, 467, 290},	//851 QGlobalSpace::operator-(const QPointF&)
    {36, 609, 1436, 4, Smoke::mf_static, 534, 291},	//852 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {36, 444, 1441, 2, Smoke::mf_static, 126, 292},	//853 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {36, 411, 1444, 2, Smoke::mf_static, 33, 293},	//854 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {36, 575, 1447, 1, Smoke::mf_static, 527, 294},	//855 QGlobalSpace::qHash(unsigned long long)
    {36, 395, 1449, 2, Smoke::mf_static, 485, 295},	//856 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {36, 444, 1452, 2, Smoke::mf_static, 135, 296},	//857 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {36, 411, 1455, 2, Smoke::mf_static, 37, 297},	//858 QGlobalSpace::operator<<(QDebug, const QSize&)
    {36, 391, 1458, 2, Smoke::mf_static, 225, 298},	//859 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {36, 444, 1461, 2, Smoke::mf_static, 126, 299},	//860 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {36, 411, 1464, 2, Smoke::mf_static, 37, 300},	//861 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {36, 444, 1467, 2, Smoke::mf_static, 133, 301},	//862 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {36, 471, 0, 0, Smoke::mf_static, 246, 302},	//863 QGlobalSpace::qAppName()
    {36, 395, 1470, 2, Smoke::mf_static, 485, 303},	//864 QGlobalSpace::operator+(const QString&, char)
    {36, 433, 1239, 2, Smoke::mf_static, 397, 304},	//865 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {36, 444, 1473, 2, Smoke::mf_static, 65, 305},	//866 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {36, 575, 1318, 1, Smoke::mf_static, 527, 306},	//867 QGlobalSpace::qHash(QChar)
    {36, 444, 1476, 2, Smoke::mf_static, 177, 307},	//868 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {36, 499, 1479, 8, Smoke::mf_static, 0, 308},	//869 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {36, 499, 1488, 6, Smoke::mf_static, 0, 309},	//870 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {36, 499, 1495, 7, Smoke::mf_static, 0, 310},	//871 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {36, 422, 841, 2, Smoke::mf_static, 397, 311},	//872 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {36, 568, 706, 1, Smoke::mf_static, 397, 312},	//873 QGlobalSpace::qFuzzyIsNull(double)
    {36, 391, 771, 2, Smoke::mf_static, 196, 313},	//874 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {36, 411, 1503, 2, Smoke::mf_static, 33, 314},	//875 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {36, 602, 1506, 3, Smoke::mf_static, 534, 315},	//876 QGlobalSpace::qMemSet(void*, int, size_t)
    {36, 476, 1191, 2, Smoke::mf_static, 517, 316},	//877 QGlobalSpace::qAtan2(double, double)
    {36, 444, 1510, 2, Smoke::mf_static, 98, 317},	//878 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {36, 411, 1513, 2, Smoke::mf_static, 33, 318},	//879 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {36, 438, 1516, 2, Smoke::mf_static, 33, 319},	//880 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {36, 485, 235, 2, Smoke::mf_static, 22, 320},	//881 QGlobalSpace::qCompress(const QByteArray&, int)
    {36, 485, 209, 1, Smoke::mf_static, 22, 321},	//882 QGlobalSpace::qCompress(const QByteArray&)
    {36, 383, 700, 2, Smoke::mf_static, 397, 322},	//883 QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    {36, 444, 1519, 2, Smoke::mf_static, 177, 323},	//884 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {36, 411, 1522, 2, Smoke::mf_static, 37, 324},	//885 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {36, 444, 1525, 2, Smoke::mf_static, 127, 325},	//886 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {36, 391, 1528, 2, Smoke::mf_static, 294, 326},	//887 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {36, 444, 1531, 2, Smoke::mf_static, 177, 327},	//888 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {36, 406, 1182, 2, Smoke::mf_static, 397, 328},	//889 QGlobalSpace::operator<(const char*, const QByteArray&)
    {36, 499, 1534, 5, Smoke::mf_static, 0, 329},	//890 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {36, 499, 1540, 3, Smoke::mf_static, 0, 330},	//891 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {36, 499, 1544, 4, Smoke::mf_static, 0, 331},	//892 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {36, 444, 1549, 2, Smoke::mf_static, 97, 332},	//893 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {36, 444, 1552, 2, Smoke::mf_static, 177, 333},	//894 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {36, 467, 1555, 1, Smoke::mf_static, 0, 334},	//895 QGlobalSpace::qAddPostRoutine(void(*)())
    {36, 444, 1557, 2, Smoke::mf_static, 177, 335},	//896 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {36, 391, 1560, 2, Smoke::mf_static, 223, 336},	//897 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {36, 444, 1563, 2, Smoke::mf_static, 177, 337},	//898 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {36, 444, 1566, 2, Smoke::mf_static, 177, 338},	//899 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {36, 549, 706, 1, Smoke::mf_static, 517, 339},	//900 QGlobalSpace::qExp(double)
    {36, 383, 756, 2, Smoke::mf_static, 397, 340},	//901 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {36, 444, 1569, 2, Smoke::mf_static, 124, 341},	//902 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {36, 415, 1073, 2, Smoke::mf_static, 397, 342},	//903 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {36, 411, 1572, 2, Smoke::mf_static, 33, 343},	//904 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {36, 383, 1575, 2, Smoke::mf_static, 397, 344},	//905 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {36, 444, 1578, 2, Smoke::mf_static, 177, 345},	//906 QGlobalSpace::operator|(QString::SectionFlag, int)
    {36, 444, 1581, 2, Smoke::mf_static, 177, 346},	//907 QGlobalSpace::operator|(Qt::WindowType, int)
    {36, 444, 1584, 2, Smoke::mf_static, 118, 347},	//908 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {36, 422, 1587, 2, Smoke::mf_static, 397, 348},	//909 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {36, 592, 706, 1, Smoke::mf_static, 397, 349},	//910 QGlobalSpace::qIsNull(double)
    {36, 494, 1590, 8, Smoke::mf_static, 0, 350},	//911 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {36, 494, 1599, 6, Smoke::mf_static, 0, 351},	//912 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {36, 494, 1606, 7, Smoke::mf_static, 0, 352},	//913 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {36, 433, 1614, 2, Smoke::mf_static, 397, 353},	//914 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {36, 422, 1617, 2, Smoke::mf_static, 397, 354},	//915 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {36, 582, 706, 1, Smoke::mf_static, 519, 355},	//916 QGlobalSpace::qIntCast(double)
    {36, 442, 689, 2, Smoke::mf_static, 18, 356},	//917 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {36, 483, 1620, 2, Smoke::mf_static, 530, 357},	//918 QGlobalSpace::qChecksum(const char*, unsigned int)
    {36, 444, 1623, 2, Smoke::mf_static, 117, 358},	//919 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {36, 444, 1626, 2, Smoke::mf_static, 177, 359},	//920 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {36, 438, 1629, 2, Smoke::mf_static, 33, 360},	//921 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {36, 411, 1632, 2, Smoke::mf_static, 33, 361},	//922 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {36, 391, 1215, 2, Smoke::mf_static, 280, 362},	//923 QGlobalSpace::operator*(const QTransform&, double)
    {36, 444, 1635, 2, Smoke::mf_static, 177, 363},	//924 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {36, 406, 1239, 2, Smoke::mf_static, 397, 364},	//925 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {36, 411, 1638, 2, Smoke::mf_static, 37, 365},	//926 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {36, 444, 1641, 2, Smoke::mf_static, 118, 366},	//927 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {36, 444, 1644, 2, Smoke::mf_static, 177, 367},	//928 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {36, 649, 189, 1, Smoke::mf_static, 22, 368},	//929 QGlobalSpace::qgetenv(const char*)
    {36, 444, 1647, 2, Smoke::mf_static, 177, 369},	//930 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {36, 411, 1650, 2, Smoke::mf_static, 37, 370},	//931 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {36, 444, 1653, 2, Smoke::mf_static, 177, 371},	//932 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {36, 444, 1656, 2, Smoke::mf_static, 177, 372},	//933 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {36, 383, 1407, 2, Smoke::mf_static, 397, 373},	//934 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {36, 411, 1659, 2, Smoke::mf_static, 37, 374},	//935 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {36, 438, 1662, 2, Smoke::mf_static, 274, 375},	//936 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {36, 444, 1665, 2, Smoke::mf_static, 177, 376},	//937 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {36, 383, 1182, 2, Smoke::mf_static, 397, 377},	//938 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {36, 444, 1668, 2, Smoke::mf_static, 177, 378},	//939 QGlobalSpace::operator|(QFileDialog::Option, int)
    {36, 465, 706, 1, Smoke::mf_static, 517, 379},	//940 QGlobalSpace::qAcos(double)
    {36, 444, 1671, 2, Smoke::mf_static, 100, 380},	//941 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {36, 428, 1239, 2, Smoke::mf_static, 397, 381},	//942 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {36, 404, 1242, 2, Smoke::mf_static, 510, 382},	//943 QGlobalSpace::operator/(const QVector4D&, double)
    {36, 391, 1674, 2, Smoke::mf_static, 223, 383},	//944 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {36, 444, 1677, 2, Smoke::mf_static, 107, 384},	//945 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {36, 438, 1680, 2, Smoke::mf_static, 33, 385},	//946 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {36, 444, 1683, 2, Smoke::mf_static, 81, 386},	//947 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {36, 404, 844, 2, Smoke::mf_static, 471, 387},	//948 QGlobalSpace::operator/(const QQuaternion&, double)
    {36, 444, 1686, 2, Smoke::mf_static, 91, 388},	//949 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {36, 438, 1689, 2, Smoke::mf_static, 33, 389},	//950 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {36, 411, 1692, 2, Smoke::mf_static, 33, 390},	//951 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {36, 444, 1695, 2, Smoke::mf_static, 68, 391},	//952 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {36, 460, 0, 0, Smoke::mf_static, 14, 392},	//953 QGlobalSpace::qAccessibleImageCastHelper()
    {36, 444, 1698, 2, Smoke::mf_static, 177, 393},	//954 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {36, 411, 1701, 2, Smoke::mf_static, 37, 394},	//955 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {36, 675, 1704, 3, Smoke::mf_static, 399, 395},	//956 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {36, 444, 1708, 2, Smoke::mf_static, 59, 396},	//957 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {36, 438, 1711, 2, Smoke::mf_static, 33, 397},	//958 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {36, 411, 1714, 2, Smoke::mf_static, 33, 398},	//959 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {36, 438, 1717, 2, Smoke::mf_static, 33, 399},	//960 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {36, 400, 1720, 1, Smoke::mf_static, 510, 400},	//961 QGlobalSpace::operator-(const QVector4D&)
    {36, 411, 1722, 2, Smoke::mf_static, 37, 401},	//962 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {36, 575, 1725, 1, Smoke::mf_static, 527, 402},	//963 QGlobalSpace::qHash(const QUrl&)
    {36, 444, 1727, 2, Smoke::mf_static, 177, 403},	//964 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {36, 438, 1730, 2, Smoke::mf_static, 33, 404},	//965 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {36, 584, 1050, 1, Smoke::mf_static, 397, 405},	//966 QGlobalSpace::qIsFinite(float)
    {36, 383, 1116, 2, Smoke::mf_static, 397, 406},	//967 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {36, 422, 794, 2, Smoke::mf_static, 397, 407},	//968 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {36, 690, 15, 1, Smoke::mf_static, 246, 408},	//969 QGlobalSpace::qt_error_string(int)
    {36, 690, 0, 0, Smoke::mf_static, 246, 409},	//970 QGlobalSpace::qt_error_string()
    {36, 404, 1227, 2, Smoke::mf_static, 504, 410},	//971 QGlobalSpace::operator/(const QVector2D&, double)
    {36, 391, 1733, 2, Smoke::mf_static, 465, 411},	//972 QGlobalSpace::operator*(const QPoint&, float)
    {36, 444, 1736, 2, Smoke::mf_static, 177, 412},	//973 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {36, 438, 1739, 2, Smoke::mf_static, 33, 413},	//974 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {36, 607, 1742, 2, Smoke::mf_static, 534, 414},	//975 QGlobalSpace::qRealloc(void*, size_t)
    {36, 444, 1745, 2, Smoke::mf_static, 79, 415},	//976 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {36, 444, 1748, 2, Smoke::mf_static, 78, 416},	//977 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {36, 395, 1751, 2, Smoke::mf_static, 485, 417},	//978 QGlobalSpace::operator+(const QString&, const QString&)
    {36, 444, 1754, 2, Smoke::mf_static, 177, 418},	//979 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {36, 462, 0, 0, Smoke::mf_static, 14, 419},	//980 QGlobalSpace::qAccessibleTableCastHelper()
    {36, 444, 1757, 2, Smoke::mf_static, 177, 420},	//981 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {36, 391, 1257, 2, Smoke::mf_static, 196, 421},	//982 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {36, 686, 1760, 4, Smoke::mf_static, 0, 422},	//983 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {36, 406, 1173, 2, Smoke::mf_static, 397, 423},	//984 QGlobalSpace::operator<(const char*, const QString&)
    {36, 383, 1173, 2, Smoke::mf_static, 397, 424},	//985 QGlobalSpace::operator!=(const char*, const QString&)
    {36, 383, 1073, 2, Smoke::mf_static, 397, 425},	//986 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {36, 383, 1765, 2, Smoke::mf_static, 397, 426},	//987 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {36, 411, 1768, 2, Smoke::mf_static, 37, 427},	//988 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {36, 444, 1771, 2, Smoke::mf_static, 57, 428},	//989 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {36, 422, 1774, 2, Smoke::mf_static, 397, 429},	//990 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {36, 444, 1777, 2, Smoke::mf_static, 177, 430},	//991 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {36, 438, 1780, 2, Smoke::mf_static, 33, 431},	//992 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {36, 428, 824, 2, Smoke::mf_static, 397, 432},	//993 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {36, 621, 706, 1, Smoke::mf_static, 519, 433},	//994 QGlobalSpace::qRound(double)
    {36, 415, 815, 2, Smoke::mf_static, 397, 434},	//995 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {36, 444, 1783, 2, Smoke::mf_static, 177, 435},	//996 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    {36, 422, 1575, 2, Smoke::mf_static, 397, 436},	//997 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {36, 444, 1786, 2, Smoke::mf_static, 75, 437},	//998 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>)
    {36, 444, 689, 2, Smoke::mf_static, 18, 438},	//999 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {36, 422, 1789, 2, Smoke::mf_static, 397, 439},	//1000 QGlobalSpace::operator==(const char*, const QStringRef&)
    {36, 395, 1182, 2, Smoke::mf_static, 409, 440},	//1001 QGlobalSpace::operator+(const char*, const QByteArray&)
    {36, 438, 1792, 2, Smoke::mf_static, 33, 441},	//1002 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {36, 444, 1795, 2, Smoke::mf_static, 177, 442},	//1003 QGlobalSpace::operator|(Qt::MouseButton, int)
    {36, 444, 1798, 2, Smoke::mf_static, 104, 443},	//1004 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {36, 415, 1239, 2, Smoke::mf_static, 397, 444},	//1005 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {36, 438, 1801, 2, Smoke::mf_static, 33, 445},	//1006 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {36, 444, 1804, 2, Smoke::mf_static, 64, 446},	//1007 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {36, 444, 1807, 2, Smoke::mf_static, 125, 447},	//1008 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {36, 586, 17, 1, Smoke::mf_static, 397, 448},	//1009 QGlobalSpace::qIsGray(unsigned int)
    {36, 444, 1810, 2, Smoke::mf_static, 115, 449},	//1010 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {36, 391, 1813, 2, Smoke::mf_static, 225, 450},	//1011 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {36, 400, 1816, 1, Smoke::mf_static, 196, 451},	//1012 QGlobalSpace::operator-(const QMatrix4x4&)
    {36, 444, 1818, 2, Smoke::mf_static, 55, 452},	//1013 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {36, 391, 1821, 2, Smoke::mf_static, 504, 453},	//1014 QGlobalSpace::operator*(double, const QVector2D&)
    {36, 444, 1824, 2, Smoke::mf_static, 86, 454},	//1015 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {36, 444, 1827, 2, Smoke::mf_static, 177, 455},	//1016 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {36, 438, 1830, 2, Smoke::mf_static, 33, 456},	//1017 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {36, 422, 1254, 2, Smoke::mf_static, 397, 457},	//1018 QGlobalSpace::operator==(QChar, QChar)
    {36, 444, 1833, 2, Smoke::mf_static, 131, 458},	//1019 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {36, 411, 1836, 2, Smoke::mf_static, 33, 459},	//1020 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {36, 383, 1587, 2, Smoke::mf_static, 397, 460},	//1021 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {36, 391, 1839, 2, Smoke::mf_static, 187, 461},	//1022 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {36, 383, 1842, 2, Smoke::mf_static, 397, 462},	//1023 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {36, 575, 1845, 1, Smoke::mf_static, 527, 463},	//1024 QGlobalSpace::qHash(signed char)
    {36, 411, 1847, 2, Smoke::mf_static, 33, 464},	//1025 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {36, 411, 1850, 2, Smoke::mf_static, 33, 465},	//1026 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {36, 444, 1853, 2, Smoke::mf_static, 132, 466},	//1027 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {36, 391, 1856, 2, Smoke::mf_static, 507, 467},	//1028 QGlobalSpace::operator*(double, const QVector3D&)
    {36, 635, 706, 1, Smoke::mf_static, 517, 468},	//1029 QGlobalSpace::qSqrt(double)
    {36, 411, 1859, 2, Smoke::mf_static, 33, 469},	//1030 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {36, 444, 1862, 2, Smoke::mf_static, 114, 470},	//1031 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {36, 660, 191, 2, Smoke::mf_static, 519, 471},	//1032 QGlobalSpace::qstrcmp(const char*, const char*)
    {36, 438, 1865, 2, Smoke::mf_static, 33, 472},	//1033 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {36, 444, 1868, 2, Smoke::mf_static, 74, 473},	//1034 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    {36, 444, 1871, 2, Smoke::mf_static, 101, 474},	//1035 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {36, 422, 782, 2, Smoke::mf_static, 397, 475},	//1036 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {36, 411, 1874, 2, Smoke::mf_static, 33, 476},	//1037 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {36, 411, 1877, 2, Smoke::mf_static, 33, 477},	//1038 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {36, 395, 1880, 2, Smoke::mf_static, 485, 478},	//1039 QGlobalSpace::operator+(char, const QString&)
    {36, 404, 1375, 2, Smoke::mf_static, 507, 479},	//1040 QGlobalSpace::operator/(const QVector3D&, double)
    {36, 444, 1883, 2, Smoke::mf_static, 96, 480},	//1041 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {36, 383, 827, 2, Smoke::mf_static, 397, 481},	//1042 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {36, 383, 1254, 2, Smoke::mf_static, 397, 482},	//1043 QGlobalSpace::operator!=(QChar, QChar)
    {36, 444, 1886, 2, Smoke::mf_static, 88, 483},	//1044 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {36, 391, 1889, 2, Smoke::mf_static, 196, 484},	//1045 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {36, 679, 1620, 2, Smoke::mf_static, 527, 485},	//1046 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {36, 444, 1892, 2, Smoke::mf_static, 83, 486},	//1047 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {36, 422, 1614, 2, Smoke::mf_static, 397, 487},	//1048 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {36, 617, 1100, 3, Smoke::mf_static, 527, 488},	//1049 QGlobalSpace::qRgb(int, int, int)
    {36, 565, 782, 2, Smoke::mf_static, 397, 489},	//1050 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {36, 559, 706, 1, Smoke::mf_static, 519, 490},	//1051 QGlobalSpace::qFloor(double)
    {36, 444, 1895, 2, Smoke::mf_static, 134, 491},	//1052 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {36, 444, 1898, 2, Smoke::mf_static, 113, 492},	//1053 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {36, 411, 1901, 2, Smoke::mf_static, 37, 493},	//1054 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {36, 444, 1904, 2, Smoke::mf_static, 82, 494},	//1055 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {36, 444, 1907, 2, Smoke::mf_static, 117, 495},	//1056 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {36, 422, 821, 2, Smoke::mf_static, 397, 496},	//1057 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {36, 438, 1910, 2, Smoke::mf_static, 33, 497},	//1058 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {36, 444, 1913, 2, Smoke::mf_static, 116, 498},	//1059 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {36, 438, 1916, 2, Smoke::mf_static, 33, 499},	//1060 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {36, 411, 1919, 2, Smoke::mf_static, 33, 500},	//1061 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {36, 444, 1922, 2, Smoke::mf_static, 58, 501},	//1062 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {36, 422, 1239, 2, Smoke::mf_static, 397, 502},	//1063 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {36, 383, 1925, 2, Smoke::mf_static, 397, 503},	//1064 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {36, 391, 1928, 2, Smoke::mf_static, 478, 504},	//1065 QGlobalSpace::operator*(double, const QSize&)
    {36, 422, 1931, 2, Smoke::mf_static, 397, 505},	//1066 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {36, 444, 1934, 2, Smoke::mf_static, 68, 506},	//1067 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {36, 575, 1937, 1, Smoke::mf_static, 527, 507},	//1068 QGlobalSpace::qHash(const QModelIndex&)
    {36, 444, 1939, 2, Smoke::mf_static, 82, 508},	//1069 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {36, 444, 1942, 2, Smoke::mf_static, 101, 509},	//1070 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {36, 411, 1945, 2, Smoke::mf_static, 37, 510},	//1071 QGlobalSpace::operator<<(QDebug, const QLine&)
    {36, 464, 0, 0, Smoke::mf_static, 14, 511},	//1072 QGlobalSpace::qAccessibleValueCastHelper()
    {36, 444, 1948, 2, Smoke::mf_static, 54, 512},	//1073 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {36, 615, 1555, 1, Smoke::mf_static, 0, 513},	//1074 QGlobalSpace::qRemovePostRoutine(void(*)())
    {36, 444, 1951, 2, Smoke::mf_static, 177, 514},	//1075 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {36, 438, 1954, 2, Smoke::mf_static, 33, 515},	//1076 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {36, 391, 1957, 2, Smoke::mf_static, 294, 516},	//1077 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {36, 411, 1960, 2, Smoke::mf_static, 33, 517},	//1078 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {36, 565, 1963, 2, Smoke::mf_static, 397, 518},	//1079 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {36, 444, 1966, 2, Smoke::mf_static, 108, 519},	//1080 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {36, 557, 189, 1, Smoke::mf_static, 513, 520},	//1081 QGlobalSpace::qFlagLocation(const char*)
    {36, 600, 1969, 3, Smoke::mf_static, 534, 521},	//1082 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {36, 433, 1073, 2, Smoke::mf_static, 397, 522},	//1083 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {36, 391, 1973, 2, Smoke::mf_static, 465, 523},	//1084 QGlobalSpace::operator*(double, const QPoint&)
    {36, 590, 706, 1, Smoke::mf_static, 397, 524},	//1085 QGlobalSpace::qIsNaN(double)
    {36, 444, 1976, 2, Smoke::mf_static, 90, 525},	//1086 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {36, 411, 1979, 2, Smoke::mf_static, 37, 526},	//1087 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {36, 411, 1982, 2, Smoke::mf_static, 37, 527},	//1088 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {36, 575, 1985, 1, Smoke::mf_static, 527, 528},	//1089 QGlobalSpace::qHash(short)
    {36, 579, 0, 0, Smoke::mf_static, 517, 529},	//1090 QGlobalSpace::qInf()
    {36, 411, 1987, 2, Smoke::mf_static, 37, 530},	//1091 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {36, 444, 1990, 2, Smoke::mf_static, 92, 531},	//1092 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {36, 411, 1993, 2, Smoke::mf_static, 33, 532},	//1093 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {36, 411, 1996, 2, Smoke::mf_static, 33, 533},	//1094 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {36, 391, 1999, 2, Smoke::mf_static, 471, 534},	//1095 QGlobalSpace::operator*(double, const QQuaternion&)
    {36, 395, 2002, 2, Smoke::mf_static, 409, 535},	//1096 QGlobalSpace::operator+(const QByteArray&, char)
    {36, 444, 2005, 2, Smoke::mf_static, 110, 536},	//1097 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {36, 411, 2008, 2, Smoke::mf_static, 37, 537},	//1098 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {36, 444, 2011, 2, Smoke::mf_static, 94, 538},	//1099 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {36, 444, 2014, 2, Smoke::mf_static, 61, 539},	//1100 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {36, 404, 1309, 2, Smoke::mf_static, 467, 540},	//1101 QGlobalSpace::operator/(const QPointF&, double)
    {36, 642, 209, 1, Smoke::mf_static, 22, 541},	//1102 QGlobalSpace::qUncompress(const QByteArray&)
    {36, 433, 1254, 2, Smoke::mf_static, 397, 542},	//1103 QGlobalSpace::operator>=(QChar, QChar)
    {36, 444, 2017, 2, Smoke::mf_static, 57, 543},	//1104 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {36, 415, 824, 2, Smoke::mf_static, 397, 544},	//1105 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {36, 630, 15, 1, Smoke::mf_static, 277, 545},	//1106 QGlobalSpace::qSetRealNumberPrecision(int)
    {36, 411, 2020, 2, Smoke::mf_static, 37, 546},	//1107 QGlobalSpace::operator<<(QDebug, const QObject*)
    {36, 633, 706, 1, Smoke::mf_static, 517, 547},	//1108 QGlobalSpace::qSin(double)
    {36, 472, 706, 1, Smoke::mf_static, 517, 548},	//1109 QGlobalSpace::qAsin(double)
    {36, 565, 1116, 2, Smoke::mf_static, 397, 549},	//1110 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {36, 669, 191, 2, Smoke::mf_static, 519, 550},	//1111 QGlobalSpace::qstricmp(const char*, const char*)
    {36, 444, 2023, 2, Smoke::mf_static, 81, 551},	//1112 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {36, 444, 2026, 2, Smoke::mf_static, 72, 552},	//1113 QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    {36, 411, 2029, 2, Smoke::mf_static, 37, 553},	//1114 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {36, 565, 2032, 2, Smoke::mf_static, 397, 554},	//1115 QGlobalSpace::qFuzzyCompare(float, float)
    {36, 438, 2035, 2, Smoke::mf_static, 33, 555},	//1116 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {36, 444, 2038, 2, Smoke::mf_static, 63, 556},	//1117 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {36, 415, 1614, 2, Smoke::mf_static, 397, 557},	//1118 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {36, 705, 2041, 4, Smoke::mf_static, 519, 558},	//1119 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {36, 444, 2046, 2, Smoke::mf_static, 86, 559},	//1120 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {36, 444, 2049, 2, Smoke::mf_static, 99, 560},	//1121 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {36, 411, 2052, 2, Smoke::mf_static, 33, 561},	//1122 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {36, 698, 0, 0, Smoke::mf_static, 0, 562},	//1123 QGlobalSpace::qt_noop()
    {36, 444, 2055, 2, Smoke::mf_static, 87, 563},	//1124 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {36, 428, 1182, 2, Smoke::mf_static, 397, 564},	//1125 QGlobalSpace::operator>(const char*, const QByteArray&)
    {36, 438, 2058, 2, Smoke::mf_static, 33, 565},	//1126 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {36, 626, 15, 1, Smoke::mf_static, 277, 566},	//1127 QGlobalSpace::qSetFieldWidth(int)
    {36, 444, 2061, 2, Smoke::mf_static, 109, 567},	//1128 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {36, 411, 2064, 2, Smoke::mf_static, 37, 568},	//1129 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {36, 411, 2067, 2, Smoke::mf_static, 33, 569},	//1130 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {36, 422, 1925, 2, Smoke::mf_static, 397, 570},	//1131 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {36, 383, 2070, 2, Smoke::mf_static, 397, 571},	//1132 QGlobalSpace::operator!=(bool, QBool)
    {36, 575, 19, 1, Smoke::mf_static, 527, 572},	//1133 QGlobalSpace::qHash(unsigned long)
    {36, 461, 0, 0, Smoke::mf_static, 14, 573},	//1134 QGlobalSpace::qAccessibleTable2CastHelper()
    {36, 411, 2073, 2, Smoke::mf_static, 37, 574},	//1135 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {36, 444, 2076, 2, Smoke::mf_static, 177, 575},	//1136 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {36, 391, 2079, 2, Smoke::mf_static, 227, 576},	//1137 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {36, 383, 2082, 2, Smoke::mf_static, 397, 577},	//1138 QGlobalSpace::operator!=(QBool, bool)
    {36, 444, 2085, 2, Smoke::mf_static, 177, 578},	//1139 QGlobalSpace::operator|(Qt::WindowState, int)
    {36, 444, 2088, 2, Smoke::mf_static, 108, 579},	//1140 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {36, 400, 1575, 2, Smoke::mf_static, 465, 580},	//1141 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {36, 594, 706, 1, Smoke::mf_static, 517, 581},	//1142 QGlobalSpace::qLn(double)
    {36, 438, 2091, 2, Smoke::mf_static, 33, 582},	//1143 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {36, 438, 2094, 2, Smoke::mf_static, 33, 583},	//1144 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {36, 565, 927, 2, Smoke::mf_static, 397, 584},	//1145 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {36, 506, 1031, 9, Smoke::mf_static, 0, 585},	//1146 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {36, 506, 984, 6, Smoke::mf_static, 0, 586},	//1147 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {36, 506, 991, 7, Smoke::mf_static, 0, 587},	//1148 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {36, 506, 1022, 8, Smoke::mf_static, 0, 588},	//1149 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {36, 671, 189, 1, Smoke::mf_static, 527, 589},	//1150 QGlobalSpace::qstrlen(const char*)
    {36, 395, 1073, 2, Smoke::mf_static, 409, 590},	//1151 QGlobalSpace::operator+(const QByteArray&, const char*)
    {36, 411, 2097, 2, Smoke::mf_static, 33, 591},	//1152 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {36, 383, 821, 2, Smoke::mf_static, 397, 592},	//1153 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {36, 415, 1182, 2, Smoke::mf_static, 397, 593},	//1154 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {36, 411, 2100, 2, Smoke::mf_static, 33, 594},	//1155 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {36, 444, 2103, 2, Smoke::mf_static, 121, 595},	//1156 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {36, 411, 2106, 2, Smoke::mf_static, 37, 596},	//1157 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {36, 444, 2109, 2, Smoke::mf_static, 177, 597},	//1158 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {36, 422, 1765, 2, Smoke::mf_static, 397, 598},	//1159 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {36, 444, 2112, 2, Smoke::mf_static, 89, 599},	//1160 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {36, 444, 2115, 2, Smoke::mf_static, 177, 600},	//1161 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    {36, 444, 2118, 2, Smoke::mf_static, 177, 601},	//1162 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, int)
    {36, 383, 1614, 2, Smoke::mf_static, 397, 602},	//1163 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {36, 444, 2121, 2, Smoke::mf_static, 114, 603},	//1164 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {36, 444, 2124, 2, Smoke::mf_static, 73, 604},	//1165 QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    {36, 411, 2127, 2, Smoke::mf_static, 33, 605},	//1166 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {36, 444, 2130, 2, Smoke::mf_static, 135, 606},	//1167 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {36, 444, 2133, 2, Smoke::mf_static, 60, 607},	//1168 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {36, 459, 0, 0, Smoke::mf_static, 14, 608},	//1169 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {36, 391, 2136, 2, Smoke::mf_static, 478, 609},	//1170 QGlobalSpace::operator*(const QSize&, double)
    {36, 391, 2139, 2, Smoke::mf_static, 292, 610},	//1171 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {36, 422, 2142, 2, Smoke::mf_static, 397, 611},	//1172 QGlobalSpace::operator==(QString::Null, const QString&)
    {36, 411, 2145, 2, Smoke::mf_static, 37, 612},	//1173 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {36, 444, 2148, 2, Smoke::mf_static, 63, 613},	//1174 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {36, 444, 2151, 2, Smoke::mf_static, 125, 614},	//1175 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {36, 438, 2154, 2, Smoke::mf_static, 33, 615},	//1176 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {36, 411, 2157, 2, Smoke::mf_static, 37, 616},	//1177 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {36, 422, 1073, 2, Smoke::mf_static, 397, 617},	//1178 QGlobalSpace::operator==(const QByteArray&, const char*)
    {36, 701, 2160, 5, Smoke::mf_static, 0, 618},	//1179 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {36, 438, 2166, 2, Smoke::mf_static, 33, 619},	//1180 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {36, 444, 2169, 2, Smoke::mf_static, 103, 620},	//1181 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {36, 428, 1173, 2, Smoke::mf_static, 397, 621},	//1182 QGlobalSpace::operator>(const char*, const QString&)
    {36, 411, 2172, 2, Smoke::mf_static, 33, 622},	//1183 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {36, 438, 2175, 2, Smoke::mf_static, 33, 623},	//1184 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {36, 438, 2178, 2, Smoke::mf_static, 33, 624},	//1185 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {36, 428, 1073, 2, Smoke::mf_static, 397, 625},	//1186 QGlobalSpace::operator>(const QByteArray&, const char*)
    {36, 406, 815, 2, Smoke::mf_static, 397, 626},	//1187 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {36, 444, 2181, 2, Smoke::mf_static, 177, 627},	//1188 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {36, 395, 1575, 2, Smoke::mf_static, 465, 628},	//1189 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {36, 411, 2184, 2, Smoke::mf_static, 33, 629},	//1190 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {36, 561, 1387, 1, Smoke::mf_static, 0, 630},	//1191 QGlobalSpace::qFree(void*)
    {36, 395, 1116, 2, Smoke::mf_static, 507, 631},	//1192 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {36, 415, 1254, 2, Smoke::mf_static, 397, 632},	//1193 QGlobalSpace::operator<=(QChar, QChar)
    {36, 411, 2187, 2, Smoke::mf_static, 274, 633},	//1194 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {36, 444, 2190, 2, Smoke::mf_static, 85, 634},	//1195 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {36, 411, 2193, 2, Smoke::mf_static, 33, 635},	//1196 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {36, 575, 17, 1, Smoke::mf_static, 527, 636},	//1197 QGlobalSpace::qHash(unsigned int)
    {36, 391, 2196, 2, Smoke::mf_static, 235, 637},	//1198 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {36, 383, 2142, 2, Smoke::mf_static, 397, 638},	//1199 QGlobalSpace::operator!=(QString::Null, const QString&)
    {36, 623, 706, 1, Smoke::mf_static, 521, 639},	//1200 QGlobalSpace::qRound64(double)
    {36, 391, 2199, 2, Smoke::mf_static, 225, 640},	//1201 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {36, 428, 1614, 2, Smoke::mf_static, 397, 641},	//1202 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {36, 411, 2202, 2, Smoke::mf_static, 37, 642},	//1203 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {36, 444, 2205, 2, Smoke::mf_static, 177, 643},	//1204 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {36, 411, 2208, 2, Smoke::mf_static, 33, 644},	//1205 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {36, 444, 2211, 2, Smoke::mf_static, 99, 645},	//1206 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {36, 598, 2214, 2, Smoke::mf_static, 534, 646},	//1207 QGlobalSpace::qMallocAligned(size_t, size_t)
    {36, 444, 2217, 2, Smoke::mf_static, 177, 647},	//1208 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {36, 444, 2220, 2, Smoke::mf_static, 177, 648},	//1209 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {36, 383, 1392, 2, Smoke::mf_static, 397, 649},	//1210 QGlobalSpace::operator!=(const QString&, QString::Null)
    {36, 485, 2223, 3, Smoke::mf_static, 22, 650},	//1211 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {36, 485, 2227, 2, Smoke::mf_static, 22, 651},	//1212 QGlobalSpace::qCompress(const unsigned char*, int)
    {36, 444, 2230, 2, Smoke::mf_static, 177, 652},	//1213 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {36, 391, 362, 2, Smoke::mf_static, 465, 653},	//1214 QGlobalSpace::operator*(int, const QPoint&)
    {36, 411, 2233, 2, Smoke::mf_static, 37, 654},	//1215 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {36, 667, 189, 1, Smoke::mf_static, 399, 655},	//1216 QGlobalSpace::qstrdup(const char*)
    {36, 444, 2236, 2, Smoke::mf_static, 123, 656},	//1217 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {36, 411, 2239, 2, Smoke::mf_static, 33, 657},	//1218 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {36, 391, 2242, 2, Smoke::mf_static, 229, 658},	//1219 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {36, 444, 2245, 2, Smoke::mf_static, 177, 659},	//1220 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {36, 383, 927, 2, Smoke::mf_static, 397, 660},	//1221 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {36, 493, 0, 0, Smoke::mf_static, 37, 661},	//1222 QGlobalSpace::qDebug()
    {36, 400, 2248, 1, Smoke::mf_static, 465, 662},	//1223 QGlobalSpace::operator-(const QPoint&)
    {36, 438, 2250, 2, Smoke::mf_static, 33, 663},	//1224 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {36, 494, 2253, 4, Smoke::mf_static, 0, 664},	//1225 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {36, 383, 782, 2, Smoke::mf_static, 397, 665},	//1226 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {36, 444, 2258, 2, Smoke::mf_static, 70, 666},	//1227 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {36, 660, 1182, 2, Smoke::mf_static, 519, 667},	//1228 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {36, 444, 2261, 2, Smoke::mf_static, 69, 668},	//1229 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {36, 444, 2264, 2, Smoke::mf_static, 177, 669},	//1230 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {36, 640, 706, 1, Smoke::mf_static, 517, 670},	//1231 QGlobalSpace::qTan(double)
    {36, 438, 2267, 2, Smoke::mf_static, 33, 671},	//1232 QGlobalSpace::operator>>(QDataStream&, QString&)
    {36, 444, 2270, 2, Smoke::mf_static, 60, 672},	//1233 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {36, 422, 824, 2, Smoke::mf_static, 397, 673},	//1234 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {36, 444, 2273, 2, Smoke::mf_static, 61, 674},	//1235 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {36, 506, 2276, 7, Smoke::mf_static, 0, 675},	//1236 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {36, 506, 2284, 4, Smoke::mf_static, 0, 676},	//1237 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {36, 506, 2289, 5, Smoke::mf_static, 0, 677},	//1238 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {36, 506, 2295, 6, Smoke::mf_static, 0, 678},	//1239 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {36, 444, 2302, 2, Smoke::mf_static, 87, 679},	//1240 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {36, 391, 1116, 2, Smoke::mf_static, 507, 680},	//1241 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {36, 542, 1351, 5, Smoke::mf_static, 0, 681},	//1242 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {36, 542, 901, 3, Smoke::mf_static, 0, 682},	//1243 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {36, 542, 905, 4, Smoke::mf_static, 0, 683},	//1244 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {36, 411, 2305, 2, Smoke::mf_static, 33, 684},	//1245 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {36, 575, 15, 1, Smoke::mf_static, 527, 685},	//1246 QGlobalSpace::qHash(int)
    {36, 400, 1212, 2, Smoke::mf_static, 467, 686},	//1247 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {36, 406, 1614, 2, Smoke::mf_static, 397, 687},	//1248 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {36, 411, 2308, 2, Smoke::mf_static, 33, 688},	//1249 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {36, 438, 2311, 2, Smoke::mf_static, 274, 689},	//1250 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {36, 444, 2314, 2, Smoke::mf_static, 177, 690},	//1251 QGlobalSpace::operator|(QGLContext::BindOption, int)
    {36, 411, 2317, 2, Smoke::mf_static, 33, 691},	//1252 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {36, 438, 2320, 2, Smoke::mf_static, 33, 692},	//1253 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {36, 395, 1215, 2, Smoke::mf_static, 280, 693},	//1254 QGlobalSpace::operator+(const QTransform&, double)
    {36, 411, 2323, 2, Smoke::mf_static, 33, 694},	//1255 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {36, 444, 2326, 2, Smoke::mf_static, 100, 695},	//1256 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {36, 575, 2329, 1, Smoke::mf_static, 527, 696},	//1257 QGlobalSpace::qHash(const QItemSelectionRange&)
    {36, 444, 2331, 2, Smoke::mf_static, 131, 697},	//1258 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {36, 604, 1191, 2, Smoke::mf_static, 517, 698},	//1259 QGlobalSpace::qPow(double, double)
    {36, 422, 1407, 2, Smoke::mf_static, 397, 699},	//1260 QGlobalSpace::operator==(const QStringRef&, const char*)
    {36, 383, 1789, 2, Smoke::mf_static, 397, 700},	//1261 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {36, 438, 2334, 2, Smoke::mf_static, 33, 701},	//1262 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {36, 395, 824, 2, Smoke::mf_static, 409, 702},	//1263 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {36, 395, 2337, 2, Smoke::mf_static, 485, 703},	//1264 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {36, 637, 1128, 2, Smoke::mf_static, 397, 704},	//1265 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {36, 444, 2340, 2, Smoke::mf_static, 67, 705},	//1266 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {36, 391, 2343, 2, Smoke::mf_static, 223, 706},	//1267 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {36, 438, 2346, 2, Smoke::mf_static, 33, 707},	//1268 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {36, 444, 2349, 2, Smoke::mf_static, 177, 708},	//1269 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {36, 444, 2352, 2, Smoke::mf_static, 71, 709},	//1270 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {36, 444, 2355, 2, Smoke::mf_static, 83, 710},	//1271 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {36, 692, 2358, 2, Smoke::mf_static, 0, 711},	//1272 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {36, 444, 2361, 2, Smoke::mf_static, 177, 712},	//1273 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {36, 400, 2364, 1, Smoke::mf_static, 507, 713},	//1274 QGlobalSpace::operator-(const QVector3D&)
    {36, 444, 2366, 2, Smoke::mf_static, 102, 714},	//1275 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {36, 422, 1173, 2, Smoke::mf_static, 397, 715},	//1276 QGlobalSpace::operator==(const char*, const QString&)
    {36, 444, 2369, 2, Smoke::mf_static, 59, 716},	//1277 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {36, 411, 2372, 2, Smoke::mf_static, 37, 717},	//1278 QGlobalSpace::operator<<(QDebug, const QRect&)
    {36, 553, 706, 1, Smoke::mf_static, 517, 718},	//1279 QGlobalSpace::qFastCos(double)
    {36, 411, 2375, 2, Smoke::mf_static, 33, 719},	//1280 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {36, 411, 2378, 2, Smoke::mf_static, 33, 720},	//1281 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {36, 438, 2381, 2, Smoke::mf_static, 33, 721},	//1282 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {36, 444, 2384, 2, Smoke::mf_static, 177, 722},	//1283 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {36, 391, 2387, 2, Smoke::mf_static, 510, 723},	//1284 QGlobalSpace::operator*(double, const QVector4D&)
    {36, 404, 2136, 2, Smoke::mf_static, 478, 724},	//1285 QGlobalSpace::operator/(const QSize&, double)
    {36, 438, 2390, 2, Smoke::mf_static, 33, 725},	//1286 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {36, 438, 2393, 2, Smoke::mf_static, 33, 726},	//1287 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {36, 444, 2396, 2, Smoke::mf_static, 80, 727},	//1288 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {36, 438, 2399, 2, Smoke::mf_static, 33, 728},	//1289 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {36, 422, 2070, 2, Smoke::mf_static, 397, 729},	//1290 QGlobalSpace::operator==(bool, QBool)
    {36, 542, 975, 8, Smoke::mf_static, 0, 730},	//1291 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {36, 542, 984, 6, Smoke::mf_static, 0, 731},	//1292 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {36, 542, 991, 7, Smoke::mf_static, 0, 732},	//1293 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {36, 444, 2402, 2, Smoke::mf_static, 133, 733},	//1294 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {36, 444, 2405, 2, Smoke::mf_static, 76, 734},	//1295 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    {36, 444, 2408, 2, Smoke::mf_static, 113, 735},	//1296 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {36, 444, 2411, 2, Smoke::mf_static, 177, 736},	//1297 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {36, 391, 2414, 2, Smoke::mf_static, 223, 737},	//1298 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {36, 444, 2417, 2, Smoke::mf_static, 177, 738},	//1299 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {36, 444, 2420, 2, Smoke::mf_static, 177, 739},	//1300 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {36, 400, 927, 2, Smoke::mf_static, 471, 740},	//1301 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {36, 444, 2423, 2, Smoke::mf_static, 106, 741},	//1302 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {36, 400, 1116, 2, Smoke::mf_static, 507, 742},	//1303 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {36, 444, 2426, 2, Smoke::mf_static, 177, 743},	//1304 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {36, 438, 2429, 2, Smoke::mf_static, 33, 744},	//1305 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {36, 433, 1173, 2, Smoke::mf_static, 397, 745},	//1306 QGlobalSpace::operator>=(const char*, const QString&)
    {36, 458, 0, 0, Smoke::mf_static, 14, 746},	//1307 QGlobalSpace::qAccessibleActionCastHelper()
    {36, 575, 2432, 1, Smoke::mf_static, 527, 747},	//1308 QGlobalSpace::qHash(char)
    {36, 411, 2434, 2, Smoke::mf_static, 33, 748},	//1309 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {36, 479, 17, 1, Smoke::mf_static, 519, 749},	//1310 QGlobalSpace::qBlue(unsigned int)
    {36, 444, 2437, 2, Smoke::mf_static, 177, 750},	//1311 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {36, 438, 2440, 2, Smoke::mf_static, 33, 751},	//1312 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {36, 383, 1212, 2, Smoke::mf_static, 397, 752},	//1313 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {36, 444, 2443, 2, Smoke::mf_static, 112, 753},	//1314 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {36, 584, 706, 1, Smoke::mf_static, 397, 754},	//1315 QGlobalSpace::qIsFinite(double)
    {36, 391, 2446, 2, Smoke::mf_static, 465, 755},	//1316 QGlobalSpace::operator*(const QPoint&, int)
    {36, 444, 2449, 2, Smoke::mf_static, 124, 756},	//1317 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {36, 400, 756, 2, Smoke::mf_static, 478, 757},	//1318 QGlobalSpace::operator-(const QSize&, const QSize&)
    {36, 411, 2452, 2, Smoke::mf_static, 37, 758},	//1319 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {36, 625, 0, 0, Smoke::mf_static, 517, 759},	//1320 QGlobalSpace::qSNaN()
    {36, 444, 2455, 2, Smoke::mf_static, 103, 760},	//1321 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {36, 411, 2458, 2, Smoke::mf_static, 33, 761},	//1322 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {36, 568, 1050, 1, Smoke::mf_static, 397, 762},	//1323 QGlobalSpace::qFuzzyIsNull(float)
    {36, 444, 2461, 2, Smoke::mf_static, 122, 763},	//1324 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {36, 444, 2464, 2, Smoke::mf_static, 177, 764},	//1325 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {36, 642, 2227, 2, Smoke::mf_static, 22, 765},	//1326 QGlobalSpace::qUncompress(const unsigned char*, int)
    {36, 444, 2467, 2, Smoke::mf_static, 122, 766},	//1327 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {36, 444, 2470, 2, Smoke::mf_static, 78, 767},	//1328 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {36, 444, 2473, 2, Smoke::mf_static, 177, 768},	//1329 QGlobalSpace::operator|(Qt::Orientation, int)
    {36, 555, 706, 1, Smoke::mf_static, 517, 769},	//1330 QGlobalSpace::qFastSin(double)
    {36, 383, 815, 2, Smoke::mf_static, 397, 770},	//1331 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {36, 444, 2476, 2, Smoke::mf_static, 85, 771},	//1332 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {36, 411, 2479, 2, Smoke::mf_static, 33, 772},	//1333 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {36, 411, 2482, 2, Smoke::mf_static, 37, 773},	//1334 QGlobalSpace::operator<<(QDebug, const QDir&)
    {36, 395, 1212, 2, Smoke::mf_static, 467, 774},	//1335 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {36, 391, 2485, 2, Smoke::mf_static, 235, 775},	//1336 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {36, 422, 2082, 2, Smoke::mf_static, 397, 776},	//1337 QGlobalSpace::operator==(QBool, bool)
    {36, 422, 753, 2, Smoke::mf_static, 397, 777},	//1338 QGlobalSpace::operator==(const QRect&, const QRect&)
    {36, 411, 2488, 2, Smoke::mf_static, 37, 778},	//1339 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {36, 391, 2491, 2, Smoke::mf_static, 465, 779},	//1340 QGlobalSpace::operator*(float, const QPoint&)
    {36, 681, 232, 2, Smoke::mf_static, 246, 780},	//1341 QGlobalSpace::qtTrId(const char*, int)
    {36, 681, 189, 1, Smoke::mf_static, 246, 781},	//1342 QGlobalSpace::qtTrId(const char*)
    {36, 438, 2494, 2, Smoke::mf_static, 33, 782},	//1343 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {36, 444, 2497, 2, Smoke::mf_static, 88, 783},	//1344 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {36, 444, 2500, 2, Smoke::mf_static, 177, 784},	//1345 QGlobalSpace::operator|(QTextOption::Flag, int)
    {36, 395, 2503, 2, Smoke::mf_static, 485, 785},	//1346 QGlobalSpace::operator+(const QString&, QChar)
    {36, 478, 0, 0, Smoke::mf_static, 0, 786},	//1347 QGlobalSpace::qBadAlloc()
    {36, 383, 867, 2, Smoke::mf_static, 397, 787},	//1348 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {36, 619, 2506, 4, Smoke::mf_static, 527, 788},	//1349 QGlobalSpace::qRgba(int, int, int, int)
    {36, 444, 2511, 2, Smoke::mf_static, 130, 789},	//1350 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {36, 444, 2514, 2, Smoke::mf_static, 106, 790},	//1351 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {36, 444, 2517, 2, Smoke::mf_static, 90, 791},	//1352 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {36, 383, 847, 2, Smoke::mf_static, 397, 792},	//1353 QGlobalSpace::operator!=(QBool, QBool)
    {36, 411, 1662, 2, Smoke::mf_static, 274, 793},	//1354 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {36, 596, 2520, 1, Smoke::mf_static, 534, 794},	//1355 QGlobalSpace::qMalloc(size_t)
    {36, 411, 2522, 2, Smoke::mf_static, 37, 795},	//1356 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {36, 422, 1842, 2, Smoke::mf_static, 397, 796},	//1357 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {36, 400, 1215, 2, Smoke::mf_static, 280, 797},	//1358 QGlobalSpace::operator-(const QTransform&, double)
    {36, 444, 2525, 2, Smoke::mf_static, 89, 798},	//1359 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {36, 411, 2528, 2, Smoke::mf_static, 33, 799},	//1360 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {36, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 800},	//1361 QGlobalSpace::SP_CustomToolBarAdd (enum)
    {36, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 801},	//1362 QGlobalSpace::SP_CustomToolBarAddDetail (enum)
    {36, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 802},	//1363 QGlobalSpace::SP_CustomToolBarAgain (enum)
    {36, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 803},	//1364 QGlobalSpace::SP_CustomToolBarAgenda (enum)
    {36, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 804},	//1365 QGlobalSpace::SP_CustomToolBarAudioOff (enum)
    {36, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 805},	//1366 QGlobalSpace::SP_CustomToolBarAudioOn (enum)
    {36, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 806},	//1367 QGlobalSpace::SP_CustomToolBarBack (enum)
    {36, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 807},	//1368 QGlobalSpace::SP_CustomToolBarBluetoothOff (enum)
    {36, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 808},	//1369 QGlobalSpace::SP_CustomToolBarBluetoothOn (enum)
    {36, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 809},	//1370 QGlobalSpace::SP_CustomToolBarCancel (enum)
    {36, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 810},	//1371 QGlobalSpace::SP_CustomToolBarDelete (enum)
    {36, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 811},	//1372 QGlobalSpace::SP_CustomToolBarDone (enum)
    {36, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 812},	//1373 QGlobalSpace::SP_CustomToolBarEdit (enum)
    {36, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 813},	//1374 QGlobalSpace::SP_CustomToolBarEditDisabled (enum)
    {36, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 814},	//1375 QGlobalSpace::SP_CustomToolBarEmailSend (enum)
    {36, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 815},	//1376 QGlobalSpace::SP_CustomToolBarEmergencyCall (enum)
    {36, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 816},	//1377 QGlobalSpace::SP_CustomToolBarFavouriteAdd (enum)
    {36, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 817},	//1378 QGlobalSpace::SP_CustomToolBarFavouriteRemove (enum)
    {36, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 818},	//1379 QGlobalSpace::SP_CustomToolBarFavourites (enum)
    {36, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 819},	//1380 QGlobalSpace::SP_CustomToolBarGo (enum)
    {36, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 820},	//1381 QGlobalSpace::SP_CustomToolBarHome (enum)
    {36, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 821},	//1382 QGlobalSpace::SP_CustomToolBarImageTools (enum)
    {36, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 822},	//1383 QGlobalSpace::SP_CustomToolBarList (enum)
    {36, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 823},	//1384 QGlobalSpace::SP_CustomToolBarLock (enum)
    {36, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 824},	//1385 QGlobalSpace::SP_CustomToolBarLogs (enum)
    {36, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 825},	//1386 QGlobalSpace::SP_CustomToolBarMenu (enum)
    {36, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 826},	//1387 QGlobalSpace::SP_CustomToolBarNewContact (enum)
    {36, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 827},	//1388 QGlobalSpace::SP_CustomToolBarNewGroup (enum)
    {36, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 828},	//1389 QGlobalSpace::SP_CustomToolBarNextFrame (enum)
    {36, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 829},	//1390 QGlobalSpace::SP_CustomToolBarNowPlay (enum)
    {36, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 830},	//1391 QGlobalSpace::SP_CustomToolBarOptions (enum)
    {36, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 831},	//1392 QGlobalSpace::SP_CustomToolBarOther (enum)
    {36, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 832},	//1393 QGlobalSpace::SP_CustomToolBarOvi (enum)
    {36, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 833},	//1394 QGlobalSpace::SP_CustomToolBarPreviousFrame (enum)
    {36, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 834},	//1395 QGlobalSpace::SP_CustomToolBarRead (enum)
    {36, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 835},	//1396 QGlobalSpace::SP_CustomToolBarRedoDisabled (enum)
    {36, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 836},	//1397 QGlobalSpace::SP_CustomToolBarRedo (enum)
    {36, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 837},	//1398 QGlobalSpace::SP_CustomToolBarRefresh (enum)
    {36, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 838},	//1399 QGlobalSpace::SP_CustomToolBarRemoveDetail (enum)
    {36, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 839},	//1400 QGlobalSpace::SP_CustomToolBarRemoveDisabled (enum)
    {36, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 840},	//1401 QGlobalSpace::SP_CustomToolBarRepeat (enum)
    {36, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 841},	//1402 QGlobalSpace::SP_CustomToolBarRepeatOff (enum)
    {36, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 842},	//1403 QGlobalSpace::SP_CustomToolBarRepeatOne (enum)
    {36, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 843},	//1404 QGlobalSpace::SP_CustomToolBarSearch (enum)
    {36, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 844},	//1405 QGlobalSpace::SP_CustomToolBarSearchDisabled (enum)
    {36, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 845},	//1406 QGlobalSpace::SP_CustomToolBarSelectContent (enum)
    {36, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 846},	//1407 QGlobalSpace::SP_CustomToolBarSelfTimer (enum)
    {36, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 847},	//1408 QGlobalSpace::SP_CustomToolBarSend (enum)
    {36, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 848},	//1409 QGlobalSpace::SP_CustomToolBarSendDimmed (enum)
    {36, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 849},	//1410 QGlobalSpace::SP_CustomToolBarShare (enum)
    {36, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 850},	//1411 QGlobalSpace::SP_CustomToolBarShift (enum)
    {36, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 851},	//1412 QGlobalSpace::SP_CustomToolBarShuffle (enum)
    {36, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 852},	//1413 QGlobalSpace::SP_CustomToolBarShuffleOff (enum)
    {36, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 853},	//1414 QGlobalSpace::SP_CustomToolBarSignalOff (enum)
    {36, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 854},	//1415 QGlobalSpace::SP_CustomToolBarSignalOn (enum)
    {36, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 855},	//1416 QGlobalSpace::SP_CustomToolBarSync (enum)
    {36, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 856},	//1417 QGlobalSpace::SP_CustomToolBarTools (enum)
    {36, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 857},	//1418 QGlobalSpace::SP_CustomToolBarTrim (enum)
    {36, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 858},	//1419 QGlobalSpace::SP_CustomToolBarUnlock (enum)
    {36, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 859},	//1420 QGlobalSpace::SP_CustomToolBarUnmark (enum)
    {36, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 860},	//1421 QGlobalSpace::SP_CustomToolBarView (enum)
    {36, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 861},	//1422 QGlobalSpace::SP_CustomToolBarWlanOff (enum)
    {36, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 862},	//1423 QGlobalSpace::SP_CustomToolBarWlanOn (enum)
    {36, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 863},	//1424 QGlobalSpace::SP_CustomCameraCaptureButton (enum)
    {36, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 864},	//1425 QGlobalSpace::SP_CustomCameraCaptureButtonPressed (enum)
    {36, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 865},	//1426 QGlobalSpace::SP_CustomCameraPauseButton (enum)
    {36, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 866},	//1427 QGlobalSpace::SP_CustomCameraPauseButtonPressed (enum)
    {36, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 867},	//1428 QGlobalSpace::SP_CustomCameraPlayButton (enum)
    {36, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 868},	//1429 QGlobalSpace::SP_CustomCameraPlayButtonPressed (enum)
    {36, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 869},	//1430 QGlobalSpace::SP_CustomCameraRecButton (enum)
    {36, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 870},	//1431 QGlobalSpace::SP_CustomCameraRecButtonPressed (enum)
    {36, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 871},	//1432 QGlobalSpace::SP_CustomCameraStopButton (enum)
    {36, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 872},	//1433 QGlobalSpace::SP_CustomCameraStopButtonPressed (enum)
    {36, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 873},	//1434 QGlobalSpace::SP_CustomTabAll (enum)
    {36, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 874},	//1435 QGlobalSpace::SP_CustomTabArtist (enum)
    {36, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 875},	//1436 QGlobalSpace::SP_CustomTabFavourite (enum)
    {36, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 876},	//1437 QGlobalSpace::SP_CustomTabGenre (enum)
    {36, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 877},	//1438 QGlobalSpace::SP_CustomTabLanguage (enum)
    {36, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 878},	//1439 QGlobalSpace::SP_CustomTabMusicAlbum (enum)
    {36, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 879},	//1440 QGlobalSpace::SP_CustomTabPhotosAlbum (enum)
    {36, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 880},	//1441 QGlobalSpace::SP_CustomTabPhotosAll (enum)
    {36, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 881},	//1442 QGlobalSpace::SP_CustomTabPlaylist (enum)
    {36, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 882},	//1443 QGlobalSpace::SP_CustomTabServices (enum)
    {36, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 883},	//1444 QGlobalSpace::SP_CustomTabSongs (enum)
    {36, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 520, 884},	//1445 QGlobalSpace::SP_CustomTabVideos (enum)
    {36, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 385, 885},	//1446 QGlobalSpace::LicensedOpenGL (enum)
    {36, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 392, 886},	//1447 QGlobalSpace::LicensedSvg (enum)
    {36, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 386, 887},	//1448 QGlobalSpace::LicensedOpenVG (enum)
    {36, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 389, 888},	//1449 QGlobalSpace::LicensedScript (enum)
    {36, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 889},	//1450 QGlobalSpace::LicensedQt3SupportLight (enum)
    {36, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 890},	//1451 QGlobalSpace::QtDebugMsg (enum)
    {36, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 891},	//1452 QGlobalSpace::QtWarningMsg (enum)
    {36, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 892},	//1453 QGlobalSpace::QtCriticalMsg (enum)
    {36, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 893},	//1454 QGlobalSpace::QtFatalMsg (enum)
    {36, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 894},	//1455 QGlobalSpace::QtSystemMsg (enum)
    {36, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 895},	//1456 QGlobalSpace::LicensedGui (enum)
    {36, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 395, 896},	//1457 QGlobalSpace::LicensedXmlPatterns (enum)
    {36, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 391, 897},	//1458 QGlobalSpace::LicensedSql (enum)
    {36, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 898},	//1459 QGlobalSpace::LicensedActiveQt (enum)
    {36, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 388, 899},	//1460 QGlobalSpace::LicensedQt3Support (enum)
    {36, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 900},	//1461 QGlobalSpace::LicensedDBus (enum)
    {36, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 901},	//1462 QGlobalSpace::LicensedCore (enum)
    {36, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 902},	//1463 QGlobalSpace::LicensedNetwork (enum)
    {36, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 903},	//1464 QGlobalSpace::LicensedMultimedia (enum)
    {36, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 393, 904},	//1465 QGlobalSpace::LicensedTest (enum)
    {36, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 390, 905},	//1466 QGlobalSpace::LicensedScriptTools (enum)
    {36, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 382, 906},	//1467 QGlobalSpace::LicensedHelp (enum)
    {36, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 394, 907},	//1468 QGlobalSpace::LicensedXml (enum)
    {36, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 380, 908},	//1469 QGlobalSpace::LicensedDeclarative (enum)
    {60, 307, 639, 1, Smoke::mf_virtual, 397, 0},	//1470 QObject::event(QEvent*)
    {60, 309, 2531, 2, Smoke::mf_virtual, 397, 0},	//1471 QObject::eventFilter(QObject*, QEvent*)
    {60, 880, 2534, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1472 QObject::timerEvent(QTimerEvent*)
    {60, 253, 2536, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1473 QObject::childEvent(QChildEvent*)
    {60, 275, 639, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1474 QObject::customEvent(QEvent*)
    {60, 266, 189, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1475 QObject::connectNotify(const char*)
    {60, 289, 189, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1476 QObject::disconnectNotify(const char*)
    {111, 283, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//1477 QWidget::devType() const
    {111, 857, 67, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1478 QWidget::setVisible(bool)
    {111, 865, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 239, 0},	//1479 QWidget::sizeHint() const
    {111, 374, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 239, 0},	//1480 QWidget::minimumSizeHint() const
    {111, 347, 15, 1, Smoke::mf_const|Smoke::mf_virtual, 519, 0},	//1481 QWidget::heightForWidth(int) const
    {111, 379, 2538, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1482 QWidget::mousePressEvent(QMouseEvent*)
    {111, 380, 2538, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1483 QWidget::mouseReleaseEvent(QMouseEvent*)
    {111, 377, 2538, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1484 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {111, 378, 2538, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1485 QWidget::mouseMoveEvent(QMouseEvent*)
    {111, 900, 2540, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1486 QWidget::wheelEvent(QWheelEvent*)
    {111, 361, 2542, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1487 QWidget::keyPressEvent(QKeyEvent*)
    {111, 362, 2542, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1488 QWidget::keyReleaseEvent(QKeyEvent*)
    {111, 314, 2544, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1489 QWidget::focusInEvent(QFocusEvent*)
    {111, 316, 2544, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1490 QWidget::focusOutEvent(QFocusEvent*)
    {111, 302, 639, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1491 QWidget::enterEvent(QEvent*)
    {111, 364, 639, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1492 QWidget::leaveEvent(QEvent*)
    {111, 381, 2546, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1493 QWidget::moveEvent(QMoveEvent*)
    {111, 257, 2548, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1494 QWidget::closeEvent(QCloseEvent*)
    {111, 268, 2550, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1495 QWidget::contextMenuEvent(QContextMenuEvent*)
    {111, 874, 2552, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1496 QWidget::tabletEvent(QTabletEvent*)
    {111, 217, 2554, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1497 QWidget::actionEvent(QActionEvent*)
    {111, 292, 2556, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1498 QWidget::dragEnterEvent(QDragEnterEvent*)
    {111, 294, 2558, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1499 QWidget::dragMoveEvent(QDragMoveEvent*)
    {111, 293, 2560, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1500 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {111, 298, 2562, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1501 QWidget::dropEvent(QDropEvent*)
    {111, 863, 2564, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1502 QWidget::showEvent(QShowEvent*)
    {111, 348, 2566, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1503 QWidget::hideEvent(QHideEvent*)
    {111, 903, 2568, 1, Smoke::mf_protected|Smoke::mf_virtual, 397, 0},	//1504 QWidget::x11Event(_XEvent*)
    {111, 252, 639, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1505 QWidget::changeEvent(QEvent*)
    {111, 372, 136, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 519, 0},	//1506 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {111, 352, 2570, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1507 QWidget::inputMethodEvent(QInputMethodEvent*)
    {111, 353, 2572, 1, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//1508 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {111, 315, 67, 1, Smoke::mf_protected|Smoke::mf_virtual, 397, 0},	//1509 QWidget::focusNextPrevChild(bool)
    {111, 871, 2574, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1510 QWidget::styleChange(QStyle&)
    {111, 301, 67, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1511 QWidget::enabledChange(bool)
    {111, 454, 2576, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1512 QWidget::paletteChange(const QPalette&)
    {111, 317, 687, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1513 QWidget::fontChange(const QFont&)
    {111, 901, 67, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1514 QWidget::windowActivationChange(bool)
    {111, 363, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1515 QWidget::languageChange()
    {111, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 40},	//1516 QWidget::DrawWindowBackground (enum)
    {111, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 41},	//1517 QWidget::DrawChildren (enum)
    {111, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 42},	//1518 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    535,  // QGLWidget::QGLWidget(QWidget*)
    537,  // QGLWidget::QGLWidget(QGLContext*)
    540,  // QGLWidget::QGLWidget(const QGLFormat&)
    0,
    536,  // QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    538,  // QGLWidget::QGLWidget(QGLContext*, QWidget*)
    541,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    0,
    539,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    542,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    0,
    483,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    484,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    0,
    553,  // QGLWidget::bindTexture(const QImage&)
    555,  // QGLWidget::bindTexture(const QPixmap&)
    0,
    554,  // QGLWidget::bindTexture(const QImage&, GLenum)
    556,  // QGLWidget::bindTexture(const QPixmap&, GLenum)
    0,
    510,  // QGLWidget::bindTexture(const QImage&, GLenum, GLint)
    511,  // QGLWidget::bindTexture(const QPixmap&, GLenum, GLint)
    0,
    508,  // QGLWidget::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    509,  // QGLWidget::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    0,
    557,  // QGLWidget::drawTexture(const QRectF&, GLuint)
    558,  // QGLWidget::drawTexture(const QPointF&, GLuint)
    0,
    514,  // QGLWidget::drawTexture(const QRectF&, GLuint, GLenum)
    515,  // QGLWidget::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    213,  // QGLFramebufferObject::drawTexture(const QRectF&, GLuint)
    214,  // QGLFramebufferObject::drawTexture(const QPointF&, GLuint)
    0,
    201,  // QGLFramebufferObject::drawTexture(const QRectF&, GLuint, GLenum)
    202,  // QGLFramebufferObject::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    574,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    586,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    624,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    715,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    761,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    813,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    883,  // QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    901,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    905,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    967,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    1023,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    1042,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    1043,  // QGlobalSpace::operator!=(QChar, QChar)
    1064,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    1153,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    1163,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    1221,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    1226,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    1313,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    1348,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    1353,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    934,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    986,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    1021,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    1138,  // QGlobalSpace::operator!=(QBool, bool)
    1199,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    938,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    987,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    1132,  // QGlobalSpace::operator!=(bool, QBool)
    1210,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    1261,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    1331,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    599,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    601,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    652,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    653,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    662,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    705,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    710,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    712,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    771,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    783,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    811,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    828,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    859,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    874,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    887,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    897,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    944,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    1011,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    1022,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    1077,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    1137,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    1171,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    1198,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    1201,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    1219,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    1241,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    1267,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    1298,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    1336,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    569,  // QGlobalSpace::operator*(const QPoint&, double)
    607,  // QGlobalSpace::operator*(const QSizeF&, double)
    625,  // QGlobalSpace::operator*(const QQuaternion&, double)
    757,  // QGlobalSpace::operator*(const QVector2D&, double)
    762,  // QGlobalSpace::operator*(const QVector4D&, double)
    792,  // QGlobalSpace::operator*(const QPointF&, double)
    825,  // QGlobalSpace::operator*(const QVector3D&, double)
    923,  // QGlobalSpace::operator*(const QTransform&, double)
    972,  // QGlobalSpace::operator*(const QPoint&, float)
    982,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    1170,  // QGlobalSpace::operator*(const QSize&, double)
    1316,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    572,  // QGlobalSpace::operator*(double, const QPointF&)
    576,  // QGlobalSpace::operator*(double, const QSizeF&)
    1014,  // QGlobalSpace::operator*(double, const QVector2D&)
    1028,  // QGlobalSpace::operator*(double, const QVector3D&)
    1045,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    1065,  // QGlobalSpace::operator*(double, const QSize&)
    1084,  // QGlobalSpace::operator*(double, const QPoint&)
    1095,  // QGlobalSpace::operator*(double, const QQuaternion&)
    1214,  // QGlobalSpace::operator*(int, const QPoint&)
    1284,  // QGlobalSpace::operator*(double, const QVector4D&)
    1340,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    587,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    671,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    708,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    736,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    781,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    804,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    1189,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    1192,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    1263,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    1335,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    641,  // QGlobalSpace::operator+(QChar, const QString&)
    856,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    1096,  // QGlobalSpace::operator+(const QByteArray&, char)
    1151,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    1254,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    732,  // QGlobalSpace::operator+(char, const QByteArray&)
    1001,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    1264,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    1346,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    719,  // QGlobalSpace::operator+(const QString&, const char*)
    735,  // QGlobalSpace::operator+(const char*, const QString&)
    864,  // QGlobalSpace::operator+(const QString&, char)
    978,  // QGlobalSpace::operator+(const QString&, const QString&)
    1039,  // QGlobalSpace::operator+(char, const QString&)
    0,
    619,  // QGlobalSpace::operator-(const QQuaternion&)
    648,  // QGlobalSpace::operator-(const QVector2D&)
    851,  // QGlobalSpace::operator-(const QPointF&)
    961,  // QGlobalSpace::operator-(const QVector4D&)
    1012,  // QGlobalSpace::operator-(const QMatrix4x4&)
    1223,  // QGlobalSpace::operator-(const QPoint&)
    1274,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    594,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    598,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    616,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    822,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    1141,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    1247,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    1301,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    1303,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    1318,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    733,  // QGlobalSpace::operator/(const QPoint&, double)
    752,  // QGlobalSpace::operator/(const QTransform&, double)
    770,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    824,  // QGlobalSpace::operator/(const QSizeF&, double)
    943,  // QGlobalSpace::operator/(const QVector4D&, double)
    948,  // QGlobalSpace::operator/(const QQuaternion&, double)
    971,  // QGlobalSpace::operator/(const QVector2D&, double)
    1040,  // QGlobalSpace::operator/(const QVector3D&, double)
    1101,  // QGlobalSpace::operator/(const QPointF&, double)
    1285,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    766,  // QGlobalSpace::operator<(QChar, QChar)
    836,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    925,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    1248,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    889,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    1187,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    571,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    575,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    579,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    581,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    584,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    589,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    592,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    608,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    634,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    635,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    636,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    650,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    651,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    655,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    656,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    670,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    677,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    695,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    701,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    704,  // QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    718,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    720,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    722,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    724,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    728,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    748,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    753,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    765,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    772,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    807,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    834,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    854,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    858,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    861,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    875,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    879,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    885,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    904,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    922,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    926,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    935,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    951,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    955,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    959,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    962,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    1020,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    1025,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    1026,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    1030,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    1037,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    1038,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    1054,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    1061,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    1071,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    1078,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    1087,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    1088,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    1091,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    1093,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    1094,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    1098,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    1107,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    1114,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    1122,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    1130,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    1135,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    1152,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    1155,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    1157,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    1166,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    1173,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    1177,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    1183,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    1190,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    1194,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    1196,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    1203,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    1205,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    1218,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    1249,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    1252,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    1255,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    1278,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    1280,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    1309,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    1319,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    1322,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    1333,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    1334,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    1339,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    1354,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    1356,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    1360,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    622,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    721,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    738,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    782,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    931,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    988,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    1129,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    1215,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    1245,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    1281,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    1005,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    1105,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    1118,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    1193,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    995,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    1154,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    568,  // QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    605,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    618,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    626,  // QGlobalSpace::operator==(QBool, QBool)
    633,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    714,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    751,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    768,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    798,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    872,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    915,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    968,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    997,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    1018,  // QGlobalSpace::operator==(QChar, QChar)
    1036,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    1048,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    1057,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    1063,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    1131,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    1234,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    1338,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    1357,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    909,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    1066,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    1172,  // QGlobalSpace::operator==(QString::Null, const QString&)
    1178,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    1260,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    1337,  // QGlobalSpace::operator==(QBool, bool)
    0,
    739,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    809,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    833,  // QGlobalSpace::operator==(const QString&, QString::Null)
    990,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    1000,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    1159,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    1290,  // QGlobalSpace::operator==(bool, QBool)
    0,
    829,  // QGlobalSpace::operator>(QChar, QChar)
    942,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    993,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    1202,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    611,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    1125,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    617,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    865,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    914,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    1103,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    773,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    830,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    580,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    637,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    688,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    693,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    716,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    727,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    734,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    741,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    746,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    747,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    749,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    785,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    790,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    821,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    827,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    840,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    880,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    921,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    936,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    946,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    950,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    958,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    960,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    965,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    974,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    992,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    1002,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    1006,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    1033,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    1058,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    1060,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    1076,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    1116,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    1126,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    1143,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    1176,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    1180,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    1184,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    1185,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    1224,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    1250,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    1253,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    1262,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    1268,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    1282,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    1286,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    1287,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    1289,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    1305,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    1312,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    1343,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    1017,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    1232,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    565,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    567,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    573,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    577,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    578,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    582,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    583,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    590,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature)
    591,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    595,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    597,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    600,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    604,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    606,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    609,  // QGlobalSpace::operator|(QDir::Filter, int)
    615,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    620,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    621,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    627,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    628,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    629,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    630,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    632,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    639,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    640,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    643,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    649,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    654,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    658,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    661,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    668,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    672,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    676,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    678,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    679,  // QGlobalSpace::operator|(Qt::DropAction, int)
    687,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    691,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    692,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    694,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    696,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    697,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    699,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    700,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    702,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    703,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    707,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    711,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    713,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    717,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    723,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    725,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    726,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    729,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    730,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    731,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    737,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    740,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    745,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    750,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    754,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    755,  // QGlobalSpace::operator|(QGL::FormatOption, int)
    758,  // QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    759,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    760,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    763,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    764,  // QGlobalSpace::operator|(QFile::Permission, int)
    774,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    777,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    778,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    779,  // QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    780,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    786,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    787,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    788,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    789,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    791,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    794,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    795,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    805,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    810,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    812,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    817,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    818,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    819,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    820,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    823,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    826,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    832,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    837,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    839,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    848,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    849,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    850,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    853,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    857,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    860,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    862,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    866,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    868,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    878,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    884,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    886,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    888,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    893,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    894,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    896,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    898,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    899,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    902,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    906,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    907,  // QGlobalSpace::operator|(Qt::WindowType, int)
    908,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    919,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    920,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    924,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    927,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    928,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    930,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    932,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    933,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    937,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    939,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    941,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    945,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    947,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    949,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    952,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    954,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    957,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    964,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    973,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    976,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    977,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    979,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    981,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    989,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    991,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    996,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    998,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>)
    1003,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    1004,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    1007,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    1008,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    1010,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    1013,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    1015,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    1016,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    1019,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    1027,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    1031,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    1034,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    1035,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    1041,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    1044,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    1047,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    1052,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    1053,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    1055,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    1056,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    1059,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    1062,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    1067,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    1069,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    1070,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    1073,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    1075,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    1080,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    1086,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    1092,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    1097,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    1099,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    1100,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    1104,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    1112,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    1113,  // QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    1117,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    1120,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    1121,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    1124,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    1128,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    1136,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    1139,  // QGlobalSpace::operator|(Qt::WindowState, int)
    1140,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    1156,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    1158,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    1160,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    1161,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    1162,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, int)
    1164,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    1165,  // QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    1167,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    1168,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    1174,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    1175,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    1181,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    1188,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    1195,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    1204,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    1206,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    1208,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    1209,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    1213,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    1217,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    1220,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    1227,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    1229,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    1230,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    1233,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    1235,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    1240,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    1251,  // QGlobalSpace::operator|(QGLContext::BindOption, int)
    1256,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    1258,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    1266,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    1269,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    1270,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    1271,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    1273,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    1275,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    1277,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    1283,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    1288,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1294,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    1295,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    1296,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    1297,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    1299,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    1300,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    1302,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    1304,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    1311,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    1314,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    1317,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    1321,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    1324,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    1325,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    1327,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    1328,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    1329,  // QGlobalSpace::operator|(Qt::Orientation, int)
    1332,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    1344,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    1345,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    1350,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    1351,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    1352,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    1359,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    603,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    610,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    769,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    1050,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    1079,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    1110,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    1145,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    0,
    743,  // QGlobalSpace::qFuzzyCompare(double, double)
    1115,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    873,  // QGlobalSpace::qFuzzyIsNull(double)
    1323,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    564,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    631,  // QGlobalSpace::qHash(const QStringRef&)
    657,  // QGlobalSpace::qHash(const QBitArray&)
    776,  // QGlobalSpace::qHash(const QByteArray&)
    867,  // QGlobalSpace::qHash(QChar)
    963,  // QGlobalSpace::qHash(const QUrl&)
    1068,  // QGlobalSpace::qHash(const QModelIndex&)
    1257,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    0,
    596,  // QGlobalSpace::qHash(unsigned char)
    664,  // QGlobalSpace::qHash(const QString&)
    665,  // QGlobalSpace::qHash(unsigned short)
    667,  // QGlobalSpace::qHash(long)
    1024,  // QGlobalSpace::qHash(signed char)
    1089,  // QGlobalSpace::qHash(short)
    1133,  // QGlobalSpace::qHash(unsigned long)
    1197,  // QGlobalSpace::qHash(unsigned int)
    1246,  // QGlobalSpace::qHash(int)
    1308,  // QGlobalSpace::qHash(char)
    0,
    669,  // QGlobalSpace::qHash(long long)
    855,  // QGlobalSpace::qHash(unsigned long long)
    0,
    835,  // QGlobalSpace::qIntCast(float)
    916,  // QGlobalSpace::qIntCast(double)
    0,
    966,  // QGlobalSpace::qIsFinite(float)
    1315,  // QGlobalSpace::qIsFinite(double)
    0,
    570,  // QGlobalSpace::qIsInf(double)
    690,  // QGlobalSpace::qIsInf(float)
    0,
    742,  // QGlobalSpace::qIsNaN(float)
    1085,  // QGlobalSpace::qIsNaN(double)
    0,
    744,  // QGlobalSpace::qIsNull(float)
    910,  // QGlobalSpace::qIsNull(double)
    0,
    276,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    291,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    0,
    279,  // QGLShader::compileSourceCode(const char*)
    281,  // QGLShader::compileSourceCode(const QString&)
    0,
    81,  // QGLContext::bindTexture(const QImage&)
    83,  // QGLContext::bindTexture(const QPixmap&)
    0,
    82,  // QGLContext::bindTexture(const QImage&, GLenum)
    84,  // QGLContext::bindTexture(const QPixmap&, GLenum)
    0,
    56,  // QGLContext::bindTexture(const QImage&, GLenum, GLint)
    57,  // QGLContext::bindTexture(const QPixmap&, GLenum, GLint)
    0,
    54,  // QGLContext::bindTexture(const QImage&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    55,  // QGLContext::bindTexture(const QPixmap&, GLenum, GLint, QFlags<QGLContext::BindOption>)
    0,
    85,  // QGLContext::drawTexture(const QRectF&, GLuint)
    86,  // QGLContext::drawTexture(const QPointF&, GLuint)
    0,
    60,  // QGLContext::drawTexture(const QRectF&, GLuint, GLenum)
    61,  // QGLContext::drawTexture(const QPointF&, GLuint, GLenum)
    0,
    305,  // QGLShaderProgram::QGLShaderProgram(QObject*)
    459,  // QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    0,
    310,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    312,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    0,
    331,  // QGLShaderProgram::attributeLocation(const char*) const
    333,  // QGLShaderProgram::attributeLocation(const QString&) const
    0,
    328,  // QGLShaderProgram::bindAttributeLocation(const char*, int)
    330,  // QGLShaderProgram::bindAttributeLocation(const QString&, int)
    0,
    366,  // QGLShaderProgram::disableAttributeArray(int)
    367,  // QGLShaderProgram::disableAttributeArray(const char*)
    0,
    364,  // QGLShaderProgram::enableAttributeArray(int)
    365,  // QGLShaderProgram::enableAttributeArray(const char*)
    0,
    461,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    462,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    463,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    466,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    467,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    468,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    0,
    353,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    354,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    355,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    358,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    359,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    360,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    0,
    460,  // QGLShaderProgram::setAttributeArray(int, const GLfloat*, int)
    465,  // QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int)
    0,
    352,  // QGLShaderProgram::setAttributeArray(int, const GLfloat*, int, int)
    357,  // QGLShaderProgram::setAttributeArray(const char*, const GLfloat*, int, int)
    464,  // QGLShaderProgram::setAttributeArray(int, GLenum, const void*, int)
    469,  // QGLShaderProgram::setAttributeArray(const char*, GLenum, const void*, int)
    0,
    356,  // QGLShaderProgram::setAttributeArray(int, GLenum, const void*, int, int)
    361,  // QGLShaderProgram::setAttributeArray(const char*, GLenum, const void*, int, int)
    0,
    470,  // QGLShaderProgram::setAttributeBuffer(int, GLenum, int, int)
    471,  // QGLShaderProgram::setAttributeBuffer(const char*, GLenum, int, int)
    0,
    362,  // QGLShaderProgram::setAttributeBuffer(int, GLenum, int, int, int)
    363,  // QGLShaderProgram::setAttributeBuffer(const char*, GLenum, int, int, int)
    0,
    338,  // QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    339,  // QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    340,  // QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    341,  // QGLShaderProgram::setAttributeValue(int, const QColor&)
    347,  // QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    348,  // QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    349,  // QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    350,  // QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    0,
    334,  // QGLShaderProgram::setAttributeValue(int, GLfloat)
    343,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat)
    0,
    342,  // QGLShaderProgram::setAttributeValue(int, const GLfloat*, int, int)
    351,  // QGLShaderProgram::setAttributeValue(const char*, const GLfloat*, int, int)
    0,
    335,  // QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat)
    344,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat)
    0,
    336,  // QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat)
    345,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat)
    0,
    337,  // QGLShaderProgram::setAttributeValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    346,  // QGLShaderProgram::setAttributeValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    0,
    377,  // QGLShaderProgram::setUniformValue(int, const QVector2D&)
    378,  // QGLShaderProgram::setUniformValue(int, const QVector3D&)
    379,  // QGLShaderProgram::setUniformValue(int, const QVector4D&)
    380,  // QGLShaderProgram::setUniformValue(int, const QColor&)
    381,  // QGLShaderProgram::setUniformValue(int, const QPoint&)
    382,  // QGLShaderProgram::setUniformValue(int, const QPointF&)
    383,  // QGLShaderProgram::setUniformValue(int, const QSize&)
    384,  // QGLShaderProgram::setUniformValue(int, const QSizeF&)
    393,  // QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    397,  // QGLShaderProgram::setUniformValue(int, const QTransform&)
    404,  // QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    405,  // QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    406,  // QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    407,  // QGLShaderProgram::setUniformValue(const char*, const QColor&)
    408,  // QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    409,  // QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    410,  // QGLShaderProgram::setUniformValue(const char*, const QSize&)
    411,  // QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    420,  // QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    424,  // QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    0,
    371,  // QGLShaderProgram::setUniformValue(int, GLfloat)
    372,  // QGLShaderProgram::setUniformValue(int, GLint)
    373,  // QGLShaderProgram::setUniformValue(int, GLuint)
    385,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    386,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    387,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    388,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    389,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    390,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    391,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    392,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    394,  // QGLShaderProgram::setUniformValue(int, const GLfloat[2][2])
    395,  // QGLShaderProgram::setUniformValue(int, const GLfloat[3][3])
    396,  // QGLShaderProgram::setUniformValue(int, const GLfloat[4][4])
    398,  // QGLShaderProgram::setUniformValue(const char*, GLfloat)
    399,  // QGLShaderProgram::setUniformValue(const char*, GLint)
    400,  // QGLShaderProgram::setUniformValue(const char*, GLuint)
    412,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    413,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    414,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    415,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    416,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    417,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    418,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    419,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    421,  // QGLShaderProgram::setUniformValue(const char*, const GLfloat[2][2])
    422,  // QGLShaderProgram::setUniformValue(const char*, const GLfloat[3][3])
    423,  // QGLShaderProgram::setUniformValue(const char*, const GLfloat[4][4])
    0,
    374,  // QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat)
    401,  // QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat)
    0,
    375,  // QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat)
    402,  // QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat)
    0,
    376,  // QGLShaderProgram::setUniformValue(int, GLfloat, GLfloat, GLfloat, GLfloat)
    403,  // QGLShaderProgram::setUniformValue(const char*, GLfloat, GLfloat, GLfloat, GLfloat)
    0,
    428,  // QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    429,  // QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    430,  // QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    439,  // QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    443,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    444,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    445,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    454,  // QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    0,
    426,  // QGLShaderProgram::setUniformValueArray(int, const GLint*, int)
    427,  // QGLShaderProgram::setUniformValueArray(int, const GLuint*, int)
    431,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    432,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    433,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    434,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    435,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    436,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    437,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    438,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    441,  // QGLShaderProgram::setUniformValueArray(const char*, const GLint*, int)
    442,  // QGLShaderProgram::setUniformValueArray(const char*, const GLuint*, int)
    446,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    447,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    448,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    449,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    450,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    451,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    452,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    453,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    0,
    425,  // QGLShaderProgram::setUniformValueArray(int, const GLfloat*, int, int)
    440,  // QGLShaderProgram::setUniformValueArray(const char*, const GLfloat*, int, int)
    0,
    368,  // QGLShaderProgram::uniformLocation(const char*) const
    370,  // QGLShaderProgram::uniformLocation(const QString&) const
    0,
    264,  // QGLPixelBuffer::bindTexture(const QImage&)
    265,  // QGLPixelBuffer::bindTexture(const QPixmap&)
    0,
    246,  // QGLPixelBuffer::bindTexture(const QImage&, GLenum)
    247,  // QGLPixelBuffer::bindTexture(const QPixmap&, GLenum)
    0,
    266,  // QGLPixelBuffer::drawTexture(const QRectF&, GLuint)
    267,  // QGLPixelBuffer::drawTexture(const QPointF&, GLuint)
    0,
    250,  // QGLPixelBuffer::drawTexture(const QRectF&, GLuint, GLenum)
    251,  // QGLPixelBuffer::drawTexture(const QPointF&, GLuint, GLenum)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 1, 6},	// QGL::AccumBuffer
    {26, 2, 5},	// QGL::AlphaChannel
    {26, 4, 15},	// QGL::ColorIndex
    {26, 9, 12},	// QGL::DeprecatedFunctions
    {26, 11, 3},	// QGL::DepthBuffer
    {26, 12, 9},	// QGL::DirectRendering
    {26, 13, 2},	// QGL::DoubleBuffer
    {26, 18, 10},	// QGL::HasOverlay
    {26, 20, 20},	// QGL::IndirectRendering
    {26, 45, 17},	// QGL::NoAccumBuffer
    {26, 46, 16},	// QGL::NoAlphaChannel
    {26, 49, 23},	// QGL::NoDeprecatedFunctions
    {26, 50, 14},	// QGL::NoDepthBuffer
    {26, 51, 21},	// QGL::NoOverlay
    {26, 53, 22},	// QGL::NoSampleBuffers
    {26, 54, 18},	// QGL::NoStencilBuffer
    {26, 55, 19},	// QGL::NoStereoBuffers
    {26, 124, 4},	// QGL::Rgba
    {26, 210, 11},	// QGL::SampleBuffers
    {26, 211, 13},	// QGL::SingleBuffer
    {26, 212, 7},	// QGL::StencilBuffer
    {26, 213, 8},	// QGL::StereoBuffers
    {26, 820, 1},	// QGL::setPreferredPaintEngine$
    {27, 75, 24},	// QGLColormap::QGLColormap
    {27, 76, 25},	// QGLColormap::QGLColormap#
    {27, 282, 29},	// QGLColormap::detach
    {27, 304, 34},	// QGLColormap::entryColor$
    {27, 306, 33},	// QGLColormap::entryRgb$
    {27, 311, 35},	// QGLColormap::find$
    {27, 313, 36},	// QGLColormap::findNearest$
    {27, 335, 37},	// QGLColormap::handle
    {27, 357, 27},	// QGLColormap::isEmpty
    {27, 421, 26},	// QGLColormap::operator=#
    {27, 788, 39},	// QGLColormap::setEntries$$
    {27, 789, 30},	// QGLColormap::setEntries$$$
    {27, 791, 32},	// QGLColormap::setEntry$#
    {27, 792, 31},	// QGLColormap::setEntry$$
    {27, 804, 38},	// QGLColormap::setHandle$
    {27, 864, 28},	// QGLColormap::size
    {27, 904, 40},	// QGLColormap::~QGLColormap
    {28, 3, 97},	// QGLContext::CanFlipNativePixmapBindOption
    {28, 8, 98},	// QGLContext::DefaultBindOption
    {28, 21, 99},	// QGLContext::InternalBindOption
    {28, 22, 92},	// QGLContext::InvertedYBindOption
    {28, 42, 95},	// QGLContext::LinearFilteringBindOption
    {28, 43, 96},	// QGLContext::MemoryManagedBindOption
    {28, 44, 93},	// QGLContext::MipmapBindOption
    {28, 48, 91},	// QGLContext::NoBindOption
    {28, 74, 94},	// QGLContext::PremultipliedAlphaBindOption
    {28, 78, 42},	// QGLContext::QGLContext#
    {28, 79, 41},	// QGLContext::QGLContext##
    {28, 228, 47},	// QGLContext::areSharing##
    {28, 240, -721},	// QGLContext::bindTexture#
    {28, 241, -724},	// QGLContext::bindTexture#?
    {28, 242, -727},	// QGLContext::bindTexture#??
    {28, 243, -730},	// QGLContext::bindTexture#??$
    {28, 244, 58},	// QGLContext::bindTexture$
    {28, 254, 87},	// QGLContext::chooseContext
    {28, 255, 68},	// QGLContext::chooseContext#
    {28, 256, 70},	// QGLContext::chooseVisual
    {28, 259, 77},	// QGLContext::colorIndex#
    {28, 271, 80},	// QGLContext::create
    {28, 272, 43},	// QGLContext::create#
    {28, 273, 67},	// QGLContext::currentContext
    {28, 274, 89},	// QGLContext::currentCtx
    {28, 279, 59},	// QGLContext::deleteTexture?
    {28, 284, 65},	// QGLContext::device
    {28, 285, 71},	// QGLContext::deviceIsPixmap
    {28, 290, 52},	// QGLContext::doneCurrent
    {28, 296, -733},	// QGLContext::drawTexture#?
    {28, 297, -736},	// QGLContext::drawTexture#??
    {28, 321, 48},	// QGLContext::format
    {28, 324, 76},	// QGLContext::generateFontDisplayLists#$
    {28, 329, 64},	// QGLContext::getProcAddress$
    {28, 351, 74},	// QGLContext::initialized
    {28, 359, 45},	// QGLContext::isSharing
    {28, 360, 44},	// QGLContext::isValid
    {28, 368, 51},	// QGLContext::makeCurrent
    {28, 448, 66},	// QGLContext::overlayTransparentColor
    {28, 724, 49},	// QGLContext::requestedFormat
    {28, 725, 46},	// QGLContext::reset
    {28, 772, 90},	// QGLContext::setCurrentCtx#
    {28, 782, 79},	// QGLContext::setDevice#
    {28, 794, 50},	// QGLContext::setFormat#
    {28, 806, 75},	// QGLContext::setInitialized$
    {28, 840, 62},	// QGLContext::setTextureCacheLimit$
    {28, 854, 78},	// QGLContext::setValid$
    {28, 859, 73},	// QGLContext::setWindowCreated$
    {28, 872, 53},	// QGLContext::swapBuffers
    {28, 878, 63},	// QGLContext::textureCacheLimit
    {28, 891, 88},	// QGLContext::tryVisual#
    {28, 892, 69},	// QGLContext::tryVisual#$
    {28, 902, 72},	// QGLContext::windowCreated
    {28, 905, 100},	// QGLContext::~QGLContext
    {29, 6, 162},	// QGLFormat::CompatibilityProfile
    {29, 7, 161},	// QGLFormat::CoreProfile
    {29, 52, 160},	// QGLFormat::NoProfile
    {29, 56, 172},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_0
    {29, 57, 174},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_1
    {29, 58, 171},	// QGLFormat::OpenGL_ES_Common_Version_1_0
    {29, 59, 173},	// QGLFormat::OpenGL_ES_Common_Version_1_1
    {29, 60, 175},	// QGLFormat::OpenGL_ES_Version_2_0
    {29, 61, 164},	// QGLFormat::OpenGL_Version_1_1
    {29, 62, 165},	// QGLFormat::OpenGL_Version_1_2
    {29, 63, 166},	// QGLFormat::OpenGL_Version_1_3
    {29, 64, 167},	// QGLFormat::OpenGL_Version_1_4
    {29, 65, 168},	// QGLFormat::OpenGL_Version_1_5
    {29, 66, 169},	// QGLFormat::OpenGL_Version_2_0
    {29, 67, 170},	// QGLFormat::OpenGL_Version_2_1
    {29, 68, 176},	// QGLFormat::OpenGL_Version_3_0
    {29, 69, 177},	// QGLFormat::OpenGL_Version_3_1
    {29, 70, 178},	// QGLFormat::OpenGL_Version_3_2
    {29, 71, 179},	// QGLFormat::OpenGL_Version_3_3
    {29, 72, 180},	// QGLFormat::OpenGL_Version_4_0
    {29, 73, 163},	// QGLFormat::OpenGL_Version_None
    {29, 80, 101},	// QGLFormat::QGLFormat
    {29, 81, 103},	// QGLFormat::QGLFormat#
    {29, 82, 159},	// QGLFormat::QGLFormat$
    {29, 83, 102},	// QGLFormat::QGLFormat$$
    {29, 215, 133},	// QGLFormat::accum
    {29, 216, 108},	// QGLFormat::accumBufferSize
    {29, 225, 131},	// QGLFormat::alpha
    {29, 226, 116},	// QGLFormat::alphaBufferSize
    {29, 251, 114},	// QGLFormat::blueBufferSize
    {29, 276, 147},	// QGLFormat::defaultFormat
    {29, 277, 149},	// QGLFormat::defaultOverlayFormat
    {29, 280, 127},	// QGLFormat::depth
    {29, 281, 106},	// QGLFormat::depthBufferSize
    {29, 286, 139},	// QGLFormat::directRendering
    {29, 291, 125},	// QGLFormat::doubleBuffer
    {29, 334, 112},	// QGLFormat::greenBufferSize
    {29, 336, 151},	// QGLFormat::hasOpenGL
    {29, 339, 152},	// QGLFormat::hasOpenGLOverlays
    {29, 346, 141},	// QGLFormat::hasOverlay
    {29, 367, 154},	// QGLFormat::majorVersion
    {29, 375, 155},	// QGLFormat::minorVersion
    {29, 382, 158},	// QGLFormat::openGLVersionFlags
    {29, 421, 104},	// QGLFormat::operator=#
    {29, 455, 143},	// QGLFormat::plane
    {29, 456, 157},	// QGLFormat::profile
    {29, 707, 110},	// QGLFormat::redBufferSize
    {29, 732, 129},	// QGLFormat::rgba
    {29, 733, 120},	// QGLFormat::sampleBuffers
    {29, 734, 122},	// QGLFormat::samples
    {29, 736, 134},	// QGLFormat::setAccum$
    {29, 738, 107},	// QGLFormat::setAccumBufferSize$
    {29, 740, 132},	// QGLFormat::setAlpha$
    {29, 742, 115},	// QGLFormat::setAlphaBufferSize$
    {29, 764, 113},	// QGLFormat::setBlueBufferSize$
    {29, 774, 148},	// QGLFormat::setDefaultFormat#
    {29, 776, 150},	// QGLFormat::setDefaultOverlayFormat#
    {29, 778, 128},	// QGLFormat::setDepth$
    {29, 780, 105},	// QGLFormat::setDepthBufferSize$
    {29, 784, 140},	// QGLFormat::setDirectRendering$
    {29, 786, 126},	// QGLFormat::setDoubleBuffer$
    {29, 802, 111},	// QGLFormat::setGreenBufferSize$
    {29, 814, 145},	// QGLFormat::setOption$
    {29, 816, 142},	// QGLFormat::setOverlay$
    {29, 818, 144},	// QGLFormat::setPlane$
    {29, 822, 156},	// QGLFormat::setProfile$
    {29, 824, 109},	// QGLFormat::setRedBufferSize$
    {29, 826, 130},	// QGLFormat::setRgba$
    {29, 828, 119},	// QGLFormat::setSampleBuffers$
    {29, 830, 121},	// QGLFormat::setSamples$
    {29, 832, 136},	// QGLFormat::setStencil$
    {29, 834, 117},	// QGLFormat::setStencilBufferSize$
    {29, 836, 138},	// QGLFormat::setStereo$
    {29, 838, 123},	// QGLFormat::setSwapInterval$
    {29, 856, 153},	// QGLFormat::setVersion$$
    {29, 868, 135},	// QGLFormat::stencil
    {29, 869, 118},	// QGLFormat::stencilBufferSize
    {29, 870, 137},	// QGLFormat::stereo
    {29, 873, 124},	// QGLFormat::swapInterval
    {29, 876, 146},	// QGLFormat::testOption$
    {29, 906, 181},	// QGLFormat::~QGLFormat
    {30, 5, 218},	// QGLFramebufferObject::CombinedDepthStencil
    {30, 10, 219},	// QGLFramebufferObject::Depth
    {30, 47, 217},	// QGLFramebufferObject::NoAttachment
    {30, 85, 207},	// QGLFramebufferObject::QGLFramebufferObject#
    {30, 86, 186},	// QGLFramebufferObject::QGLFramebufferObject##
    {30, 87, 209},	// QGLFramebufferObject::QGLFramebufferObject#$
    {30, 88, 210},	// QGLFramebufferObject::QGLFramebufferObject#$?
    {30, 89, 184},	// QGLFramebufferObject::QGLFramebufferObject#$??
    {30, 90, 182},	// QGLFramebufferObject::QGLFramebufferObject#?
    {30, 91, 208},	// QGLFramebufferObject::QGLFramebufferObject$$
    {30, 92, 187},	// QGLFramebufferObject::QGLFramebufferObject$$#
    {30, 93, 211},	// QGLFramebufferObject::QGLFramebufferObject$$$
    {30, 94, 212},	// QGLFramebufferObject::QGLFramebufferObject$$$?
    {30, 95, 185},	// QGLFramebufferObject::QGLFramebufferObject$$$??
    {30, 96, 183},	// QGLFramebufferObject::QGLFramebufferObject$$?
    {30, 229, 196},	// QGLFramebufferObject::attachment
    {30, 234, 191},	// QGLFramebufferObject::bind
    {30, 238, 199},	// QGLFramebufferObject::bindDefault
    {30, 248, 215},	// QGLFramebufferObject::blitFramebuffer####
    {30, 249, 216},	// QGLFramebufferObject::blitFramebuffer####?
    {30, 250, 204},	// QGLFramebufferObject::blitFramebuffer####??
    {30, 283, 206},	// QGLFramebufferObject::devType
    {30, 296, -33},	// QGLFramebufferObject::drawTexture#?
    {30, 297, -36},	// QGLFramebufferObject::drawTexture#??
    {30, 321, 188},	// QGLFramebufferObject::format
    {30, 335, 198},	// QGLFramebufferObject::handle
    {30, 337, 203},	// QGLFramebufferObject::hasOpenGLFramebufferBlit
    {30, 338, 200},	// QGLFramebufferObject::hasOpenGLFramebufferObjects
    {30, 355, 190},	// QGLFramebufferObject::isBound
    {30, 360, 189},	// QGLFramebufferObject::isValid
    {30, 373, 205},	// QGLFramebufferObject::metric$
    {30, 449, 197},	// QGLFramebufferObject::paintEngine
    {30, 708, 192},	// QGLFramebufferObject::release
    {30, 864, 194},	// QGLFramebufferObject::size
    {30, 877, 193},	// QGLFramebufferObject::texture
    {30, 881, 195},	// QGLFramebufferObject::toImage
    {30, 907, 220},	// QGLFramebufferObject::~QGLFramebufferObject
    {31, 97, 221},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat
    {31, 98, 222},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat#
    {31, 229, 229},	// QGLFramebufferObjectFormat::attachment
    {31, 354, 233},	// QGLFramebufferObjectFormat::internalTextureFormat
    {31, 376, 227},	// QGLFramebufferObjectFormat::mipmap
    {31, 384, 235},	// QGLFramebufferObjectFormat::operator!=#
    {31, 421, 223},	// QGLFramebufferObjectFormat::operator=#
    {31, 423, 234},	// QGLFramebufferObjectFormat::operator==#
    {31, 734, 225},	// QGLFramebufferObjectFormat::samples
    {31, 744, 228},	// QGLFramebufferObjectFormat::setAttachment$
    {31, 808, 232},	// QGLFramebufferObjectFormat::setInternalTextureFormat?
    {31, 810, 226},	// QGLFramebufferObjectFormat::setMipmap$
    {31, 830, 224},	// QGLFramebufferObjectFormat::setSamples$
    {31, 842, 230},	// QGLFramebufferObjectFormat::setTextureTarget?
    {31, 879, 231},	// QGLFramebufferObjectFormat::textureTarget
    {31, 908, 236},	// QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat
    {32, 100, 260},	// QGLPixelBuffer::QGLPixelBuffer#
    {32, 101, 261},	// QGLPixelBuffer::QGLPixelBuffer##
    {32, 102, 237},	// QGLPixelBuffer::QGLPixelBuffer###
    {32, 103, 262},	// QGLPixelBuffer::QGLPixelBuffer$$
    {32, 104, 263},	// QGLPixelBuffer::QGLPixelBuffer$$#
    {32, 105, 238},	// QGLPixelBuffer::QGLPixelBuffer$$##
    {32, 240, -907},	// QGLPixelBuffer::bindTexture#
    {32, 241, -910},	// QGLPixelBuffer::bindTexture#?
    {32, 244, 248},	// QGLPixelBuffer::bindTexture$
    {32, 246, 243},	// QGLPixelBuffer::bindToDynamicTexture?
    {32, 279, 249},	// QGLPixelBuffer::deleteTexture?
    {32, 283, 259},	// QGLPixelBuffer::devType
    {32, 290, 241},	// QGLPixelBuffer::doneCurrent
    {32, 296, -913},	// QGLPixelBuffer::drawTexture#?
    {32, 297, -916},	// QGLPixelBuffer::drawTexture#??
    {32, 321, 256},	// QGLPixelBuffer::format
    {32, 322, 242},	// QGLPixelBuffer::generateDynamicTexture
    {32, 335, 253},	// QGLPixelBuffer::handle
    {32, 340, 257},	// QGLPixelBuffer::hasOpenGLPbuffers
    {32, 360, 239},	// QGLPixelBuffer::isValid
    {32, 368, 240},	// QGLPixelBuffer::makeCurrent
    {32, 373, 258},	// QGLPixelBuffer::metric$
    {32, 449, 255},	// QGLPixelBuffer::paintEngine
    {32, 709, 244},	// QGLPixelBuffer::releaseFromDynamicTexture
    {32, 864, 252},	// QGLPixelBuffer::size
    {32, 881, 254},	// QGLPixelBuffer::toImage
    {32, 897, 245},	// QGLPixelBuffer::updateDynamicTexture?
    {32, 909, 268},	// QGLPixelBuffer::~QGLPixelBuffer
    {33, 16, 295},	// QGLShader::Fragment
    {33, 17, 296},	// QGLShader::Geometry
    {33, 107, 290},	// QGLShader::QGLShader$
    {33, 108, -715},	// QGLShader::QGLShader$#
    {33, 109, 277},	// QGLShader::QGLShader$##
    {33, 214, 294},	// QGLShader::Vertex
    {33, 262, 280},	// QGLShader::compileSourceCode#
    {33, 263, -718},	// QGLShader::compileSourceCode$
    {33, 265, 282},	// QGLShader::compileSourceFile$
    {33, 344, 292},	// QGLShader::hasOpenGLShaders$
    {33, 345, 287},	// QGLShader::hasOpenGLShaders$#
    {33, 356, 284},	// QGLShader::isCompiled
    {33, 366, 285},	// QGLShader::log
    {33, 371, 269},	// QGLShader::metaObject
    {33, 695, 275},	// QGLShader::qt_metacall$$?
    {33, 697, 270},	// QGLShader::qt_metacast$
    {33, 860, 286},	// QGLShader::shaderId
    {33, 861, 278},	// QGLShader::shaderType
    {33, 866, 283},	// QGLShader::sourceCode
    {33, 867, 293},	// QGLShader::staticMetaObject
    {33, 883, 288},	// QGLShader::tr$
    {33, 884, 271},	// QGLShader::tr$$
    {33, 885, 273},	// QGLShader::tr$$$
    {33, 887, 289},	// QGLShader::trUtf8$
    {33, 888, 272},	// QGLShader::trUtf8$$
    {33, 889, 274},	// QGLShader::trUtf8$$$
    {33, 910, 297},	// QGLShader::~QGLShader
    {34, 110, 458},	// QGLShaderProgram::QGLShaderProgram
    {34, 111, -739},	// QGLShaderProgram::QGLShaderProgram#
    {34, 112, 306},	// QGLShaderProgram::QGLShaderProgram##
    {34, 219, 307},	// QGLShaderProgram::addShader#
    {34, 221, 311},	// QGLShaderProgram::addShaderFromSourceCode$#
    {34, 222, -742},	// QGLShaderProgram::addShaderFromSourceCode$$
    {34, 224, 313},	// QGLShaderProgram::addShaderFromSourceFile$$
    {34, 231, 332},	// QGLShaderProgram::attributeLocation#
    {34, 232, -745},	// QGLShaderProgram::attributeLocation$
    {34, 234, 318},	// QGLShaderProgram::bind
    {34, 236, 329},	// QGLShaderProgram::bindAttributeLocation#$
    {34, 237, -748},	// QGLShaderProgram::bindAttributeLocation$$
    {34, 288, -751},	// QGLShaderProgram::disableAttributeArray$
    {34, 300, -754},	// QGLShaderProgram::enableAttributeArray$
    {34, 325, 325},	// QGLShaderProgram::geometryInputType
    {34, 326, 327},	// QGLShaderProgram::geometryOutputType
    {34, 327, 323},	// QGLShaderProgram::geometryOutputVertexCount
    {34, 341, 472},	// QGLShaderProgram::hasOpenGLShaderPrograms
    {34, 342, 455},	// QGLShaderProgram::hasOpenGLShaderPrograms#
    {34, 358, 316},	// QGLShaderProgram::isLinked
    {34, 365, 315},	// QGLShaderProgram::link
    {34, 366, 317},	// QGLShaderProgram::log
    {34, 370, 321},	// QGLShaderProgram::maxGeometryOutputVertices
    {34, 371, 298},	// QGLShaderProgram::metaObject
    {34, 457, 320},	// QGLShaderProgram::programId
    {34, 695, 304},	// QGLShaderProgram::qt_metacall$$?
    {34, 697, 299},	// QGLShaderProgram::qt_metacast$
    {34, 708, 319},	// QGLShaderProgram::release
    {34, 710, 314},	// QGLShaderProgram::removeAllShaders
    {34, 712, 308},	// QGLShaderProgram::removeShader#
    {34, 746, -757},	// QGLShaderProgram::setAttributeArray$#
    {34, 747, -764},	// QGLShaderProgram::setAttributeArray$#$
    {34, 748, -771},	// QGLShaderProgram::setAttributeArray$?$
    {34, 749, -774},	// QGLShaderProgram::setAttributeArray$?$$
    {34, 750, -779},	// QGLShaderProgram::setAttributeArray$?$$$
    {34, 752, -782},	// QGLShaderProgram::setAttributeBuffer$?$$
    {34, 753, -785},	// QGLShaderProgram::setAttributeBuffer$?$$$
    {34, 755, -788},	// QGLShaderProgram::setAttributeValue$#
    {34, 756, -797},	// QGLShaderProgram::setAttributeValue$?
    {34, 757, -800},	// QGLShaderProgram::setAttributeValue$?$$
    {34, 758, -803},	// QGLShaderProgram::setAttributeValue$??
    {34, 759, -806},	// QGLShaderProgram::setAttributeValue$???
    {34, 760, -809},	// QGLShaderProgram::setAttributeValue$????
    {34, 796, 324},	// QGLShaderProgram::setGeometryInputType?
    {34, 798, 326},	// QGLShaderProgram::setGeometryOutputType?
    {34, 800, 322},	// QGLShaderProgram::setGeometryOutputVertexCount$
    {34, 844, -812},	// QGLShaderProgram::setUniformValue$#
    {34, 845, -833},	// QGLShaderProgram::setUniformValue$?
    {34, 846, -862},	// QGLShaderProgram::setUniformValue$??
    {34, 847, -865},	// QGLShaderProgram::setUniformValue$???
    {34, 848, -868},	// QGLShaderProgram::setUniformValue$????
    {34, 850, -871},	// QGLShaderProgram::setUniformValueArray$#$
    {34, 851, -880},	// QGLShaderProgram::setUniformValueArray$?$
    {34, 852, -901},	// QGLShaderProgram::setUniformValueArray$?$$
    {34, 862, 309},	// QGLShaderProgram::shaders
    {34, 867, 473},	// QGLShaderProgram::staticMetaObject
    {34, 883, 456},	// QGLShaderProgram::tr$
    {34, 884, 300},	// QGLShaderProgram::tr$$
    {34, 885, 302},	// QGLShaderProgram::tr$$$
    {34, 887, 457},	// QGLShaderProgram::trUtf8$
    {34, 888, 301},	// QGLShaderProgram::trUtf8$$
    {34, 889, 303},	// QGLShaderProgram::trUtf8$$$
    {34, 894, 369},	// QGLShaderProgram::uniformLocation#
    {34, 895, -904},	// QGLShaderProgram::uniformLocation$
    {34, 911, 474},	// QGLShaderProgram::~QGLShaderProgram
    {35, 113, 534},	// QGLWidget::QGLWidget
    {35, 114, -1},	// QGLWidget::QGLWidget#
    {35, 115, -5},	// QGLWidget::QGLWidget##
    {35, 116, -9},	// QGLWidget::QGLWidget###
    {35, 117, -12},	// QGLWidget::QGLWidget###$
    {35, 118, 482},	// QGLWidget::QGLWidget##$
    {35, 233, 526},	// QGLWidget::autoBufferSwap
    {35, 240, -15},	// QGLWidget::bindTexture#
    {35, 241, -18},	// QGLWidget::bindTexture#?
    {35, 242, -21},	// QGLWidget::bindTexture#??
    {35, 243, -24},	// QGLWidget::bindTexture#??$
    {35, 244, 512},	// QGLWidget::bindTexture$
    {35, 260, 503},	// QGLWidget::colormap
    {35, 267, 495},	// QGLWidget::context
    {35, 270, 501},	// QGLWidget::convertToGLFormat#
    {35, 279, 513},	// QGLWidget::deleteTexture?
    {35, 290, 490},	// QGLWidget::doneCurrent
    {35, 291, 491},	// QGLWidget::doubleBuffer
    {35, 296, -27},	// QGLWidget::drawTexture#?
    {35, 297, -30},	// QGLWidget::drawTexture#??
    {35, 308, 518},	// QGLWidget::event#
    {35, 319, 559},	// QGLWidget::fontDisplayListBase#
    {35, 320, 531},	// QGLWidget::fontDisplayListBase#$
    {35, 321, 493},	// QGLWidget::format
    {35, 330, 530},	// QGLWidget::glDraw
    {35, 331, 529},	// QGLWidget::glInit
    {35, 332, 548},	// QGLWidget::grabFrameBuffer
    {35, 333, 498},	// QGLWidget::grabFrameBuffer$
    {35, 349, 519},	// QGLWidget::initializeGL
    {35, 350, 522},	// QGLWidget::initializeOverlayGL
    {35, 359, 488},	// QGLWidget::isSharing
    {35, 360, 487},	// QGLWidget::isValid
    {35, 368, 489},	// QGLWidget::makeCurrent
    {35, 369, 499},	// QGLWidget::makeOverlayCurrent
    {35, 371, 475},	// QGLWidget::metaObject
    {35, 447, 500},	// QGLWidget::overlayContext
    {35, 449, 507},	// QGLWidget::paintEngine
    {35, 451, 527},	// QGLWidget::paintEvent#
    {35, 452, 521},	// QGLWidget::paintGL
    {35, 453, 524},	// QGLWidget::paintOverlayGL
    {35, 652, 486},	// QGLWidget::qglClearColor#
    {35, 654, 485},	// QGLWidget::qglColor#
    {35, 695, 481},	// QGLWidget::qt_metacall$$?
    {35, 697, 476},	// QGLWidget::qt_metacast$
    {35, 713, 545},	// QGLWidget::renderPixmap
    {35, 714, 546},	// QGLWidget::renderPixmap$
    {35, 715, 547},	// QGLWidget::renderPixmap$$
    {35, 716, 497},	// QGLWidget::renderPixmap$$$
    {35, 718, 549},	// QGLWidget::renderText$$$
    {35, 719, 550},	// QGLWidget::renderText$$$#
    {35, 720, 505},	// QGLWidget::renderText$$$#$
    {35, 721, 551},	// QGLWidget::renderText$$$$
    {35, 722, 552},	// QGLWidget::renderText$$$$#
    {35, 723, 506},	// QGLWidget::renderText$$$$#$
    {35, 727, 528},	// QGLWidget::resizeEvent#
    {35, 729, 520},	// QGLWidget::resizeGL$$
    {35, 731, 523},	// QGLWidget::resizeOverlayGL$$
    {35, 762, 525},	// QGLWidget::setAutoBufferSwap$
    {35, 766, 504},	// QGLWidget::setColormap#
    {35, 768, 543},	// QGLWidget::setContext#
    {35, 769, 544},	// QGLWidget::setContext##
    {35, 770, 496},	// QGLWidget::setContext##$
    {35, 794, 494},	// QGLWidget::setFormat#
    {35, 812, 502},	// QGLWidget::setMouseTracking$
    {35, 867, 560},	// QGLWidget::staticMetaObject
    {35, 872, 492},	// QGLWidget::swapBuffers
    {35, 883, 532},	// QGLWidget::tr$
    {35, 884, 477},	// QGLWidget::tr$$
    {35, 885, 479},	// QGLWidget::tr$$$
    {35, 887, 533},	// QGLWidget::trUtf8$
    {35, 888, 478},	// QGLWidget::trUtf8$$
    {35, 889, 480},	// QGLWidget::trUtf8$$$
    {35, 898, 516},	// QGLWidget::updateGL
    {35, 899, 517},	// QGLWidget::updateOverlayGL
    {35, 912, 561},	// QGLWidget::~QGLWidget
    {36, 23, 1459},	// QGlobalSpace::LicensedActiveQt
    {36, 24, 1462},	// QGlobalSpace::LicensedCore
    {36, 25, 1461},	// QGlobalSpace::LicensedDBus
    {36, 26, 1469},	// QGlobalSpace::LicensedDeclarative
    {36, 27, 1456},	// QGlobalSpace::LicensedGui
    {36, 28, 1467},	// QGlobalSpace::LicensedHelp
    {36, 29, 1464},	// QGlobalSpace::LicensedMultimedia
    {36, 30, 1463},	// QGlobalSpace::LicensedNetwork
    {36, 31, 1446},	// QGlobalSpace::LicensedOpenGL
    {36, 32, 1448},	// QGlobalSpace::LicensedOpenVG
    {36, 33, 1460},	// QGlobalSpace::LicensedQt3Support
    {36, 34, 1450},	// QGlobalSpace::LicensedQt3SupportLight
    {36, 35, 1449},	// QGlobalSpace::LicensedScript
    {36, 36, 1466},	// QGlobalSpace::LicensedScriptTools
    {36, 37, 1458},	// QGlobalSpace::LicensedSql
    {36, 38, 1447},	// QGlobalSpace::LicensedSvg
    {36, 39, 1465},	// QGlobalSpace::LicensedTest
    {36, 40, 1468},	// QGlobalSpace::LicensedXml
    {36, 41, 1457},	// QGlobalSpace::LicensedXmlPatterns
    {36, 119, 1453},	// QGlobalSpace::QtCriticalMsg
    {36, 120, 1451},	// QGlobalSpace::QtDebugMsg
    {36, 121, 1454},	// QGlobalSpace::QtFatalMsg
    {36, 122, 1455},	// QGlobalSpace::QtSystemMsg
    {36, 123, 1452},	// QGlobalSpace::QtWarningMsg
    {36, 125, 1424},	// QGlobalSpace::SP_CustomCameraCaptureButton
    {36, 126, 1425},	// QGlobalSpace::SP_CustomCameraCaptureButtonPressed
    {36, 127, 1426},	// QGlobalSpace::SP_CustomCameraPauseButton
    {36, 128, 1427},	// QGlobalSpace::SP_CustomCameraPauseButtonPressed
    {36, 129, 1428},	// QGlobalSpace::SP_CustomCameraPlayButton
    {36, 130, 1429},	// QGlobalSpace::SP_CustomCameraPlayButtonPressed
    {36, 131, 1430},	// QGlobalSpace::SP_CustomCameraRecButton
    {36, 132, 1431},	// QGlobalSpace::SP_CustomCameraRecButtonPressed
    {36, 133, 1432},	// QGlobalSpace::SP_CustomCameraStopButton
    {36, 134, 1433},	// QGlobalSpace::SP_CustomCameraStopButtonPressed
    {36, 135, 1434},	// QGlobalSpace::SP_CustomTabAll
    {36, 136, 1435},	// QGlobalSpace::SP_CustomTabArtist
    {36, 137, 1436},	// QGlobalSpace::SP_CustomTabFavourite
    {36, 138, 1437},	// QGlobalSpace::SP_CustomTabGenre
    {36, 139, 1438},	// QGlobalSpace::SP_CustomTabLanguage
    {36, 140, 1439},	// QGlobalSpace::SP_CustomTabMusicAlbum
    {36, 141, 1440},	// QGlobalSpace::SP_CustomTabPhotosAlbum
    {36, 142, 1441},	// QGlobalSpace::SP_CustomTabPhotosAll
    {36, 143, 1442},	// QGlobalSpace::SP_CustomTabPlaylist
    {36, 144, 1443},	// QGlobalSpace::SP_CustomTabServices
    {36, 145, 1444},	// QGlobalSpace::SP_CustomTabSongs
    {36, 146, 1445},	// QGlobalSpace::SP_CustomTabVideos
    {36, 147, 1361},	// QGlobalSpace::SP_CustomToolBarAdd
    {36, 148, 1362},	// QGlobalSpace::SP_CustomToolBarAddDetail
    {36, 149, 1363},	// QGlobalSpace::SP_CustomToolBarAgain
    {36, 150, 1364},	// QGlobalSpace::SP_CustomToolBarAgenda
    {36, 151, 1365},	// QGlobalSpace::SP_CustomToolBarAudioOff
    {36, 152, 1366},	// QGlobalSpace::SP_CustomToolBarAudioOn
    {36, 153, 1367},	// QGlobalSpace::SP_CustomToolBarBack
    {36, 154, 1368},	// QGlobalSpace::SP_CustomToolBarBluetoothOff
    {36, 155, 1369},	// QGlobalSpace::SP_CustomToolBarBluetoothOn
    {36, 156, 1370},	// QGlobalSpace::SP_CustomToolBarCancel
    {36, 157, 1371},	// QGlobalSpace::SP_CustomToolBarDelete
    {36, 158, 1372},	// QGlobalSpace::SP_CustomToolBarDone
    {36, 159, 1373},	// QGlobalSpace::SP_CustomToolBarEdit
    {36, 160, 1374},	// QGlobalSpace::SP_CustomToolBarEditDisabled
    {36, 161, 1375},	// QGlobalSpace::SP_CustomToolBarEmailSend
    {36, 162, 1376},	// QGlobalSpace::SP_CustomToolBarEmergencyCall
    {36, 163, 1377},	// QGlobalSpace::SP_CustomToolBarFavouriteAdd
    {36, 164, 1378},	// QGlobalSpace::SP_CustomToolBarFavouriteRemove
    {36, 165, 1379},	// QGlobalSpace::SP_CustomToolBarFavourites
    {36, 166, 1380},	// QGlobalSpace::SP_CustomToolBarGo
    {36, 167, 1381},	// QGlobalSpace::SP_CustomToolBarHome
    {36, 168, 1382},	// QGlobalSpace::SP_CustomToolBarImageTools
    {36, 169, 1383},	// QGlobalSpace::SP_CustomToolBarList
    {36, 170, 1384},	// QGlobalSpace::SP_CustomToolBarLock
    {36, 171, 1385},	// QGlobalSpace::SP_CustomToolBarLogs
    {36, 172, 1386},	// QGlobalSpace::SP_CustomToolBarMenu
    {36, 173, 1387},	// QGlobalSpace::SP_CustomToolBarNewContact
    {36, 174, 1388},	// QGlobalSpace::SP_CustomToolBarNewGroup
    {36, 175, 1389},	// QGlobalSpace::SP_CustomToolBarNextFrame
    {36, 176, 1390},	// QGlobalSpace::SP_CustomToolBarNowPlay
    {36, 177, 1391},	// QGlobalSpace::SP_CustomToolBarOptions
    {36, 178, 1392},	// QGlobalSpace::SP_CustomToolBarOther
    {36, 179, 1393},	// QGlobalSpace::SP_CustomToolBarOvi
    {36, 180, 1394},	// QGlobalSpace::SP_CustomToolBarPreviousFrame
    {36, 181, 1395},	// QGlobalSpace::SP_CustomToolBarRead
    {36, 182, 1397},	// QGlobalSpace::SP_CustomToolBarRedo
    {36, 183, 1396},	// QGlobalSpace::SP_CustomToolBarRedoDisabled
    {36, 184, 1398},	// QGlobalSpace::SP_CustomToolBarRefresh
    {36, 185, 1399},	// QGlobalSpace::SP_CustomToolBarRemoveDetail
    {36, 186, 1400},	// QGlobalSpace::SP_CustomToolBarRemoveDisabled
    {36, 187, 1401},	// QGlobalSpace::SP_CustomToolBarRepeat
    {36, 188, 1402},	// QGlobalSpace::SP_CustomToolBarRepeatOff
    {36, 189, 1403},	// QGlobalSpace::SP_CustomToolBarRepeatOne
    {36, 190, 1404},	// QGlobalSpace::SP_CustomToolBarSearch
    {36, 191, 1405},	// QGlobalSpace::SP_CustomToolBarSearchDisabled
    {36, 192, 1406},	// QGlobalSpace::SP_CustomToolBarSelectContent
    {36, 193, 1407},	// QGlobalSpace::SP_CustomToolBarSelfTimer
    {36, 194, 1408},	// QGlobalSpace::SP_CustomToolBarSend
    {36, 195, 1409},	// QGlobalSpace::SP_CustomToolBarSendDimmed
    {36, 196, 1410},	// QGlobalSpace::SP_CustomToolBarShare
    {36, 197, 1411},	// QGlobalSpace::SP_CustomToolBarShift
    {36, 198, 1412},	// QGlobalSpace::SP_CustomToolBarShuffle
    {36, 199, 1413},	// QGlobalSpace::SP_CustomToolBarShuffleOff
    {36, 200, 1414},	// QGlobalSpace::SP_CustomToolBarSignalOff
    {36, 201, 1415},	// QGlobalSpace::SP_CustomToolBarSignalOn
    {36, 202, 1416},	// QGlobalSpace::SP_CustomToolBarSync
    {36, 203, 1417},	// QGlobalSpace::SP_CustomToolBarTools
    {36, 204, 1418},	// QGlobalSpace::SP_CustomToolBarTrim
    {36, 205, 1419},	// QGlobalSpace::SP_CustomToolBarUnlock
    {36, 206, 1420},	// QGlobalSpace::SP_CustomToolBarUnmark
    {36, 207, 1421},	// QGlobalSpace::SP_CustomToolBarView
    {36, 208, 1422},	// QGlobalSpace::SP_CustomToolBarWlanOff
    {36, 209, 1423},	// QGlobalSpace::SP_CustomToolBarWlanOn
    {36, 385, -39},	// QGlobalSpace::operator!=##
    {36, 386, -61},	// QGlobalSpace::operator!=#$
    {36, 387, -67},	// QGlobalSpace::operator!=$#
    {36, 388, 985},	// QGlobalSpace::operator!=$$
    {36, 390, 562},	// QGlobalSpace::operator&##
    {36, 392, -74},	// QGlobalSpace::operator*##
    {36, 393, -104},	// QGlobalSpace::operator*#$
    {36, 394, -117},	// QGlobalSpace::operator*$#
    {36, 396, -129},	// QGlobalSpace::operator+##
    {36, 397, -140},	// QGlobalSpace::operator+#$
    {36, 398, -146},	// QGlobalSpace::operator+$#
    {36, 399, -151},	// QGlobalSpace::operator+$$
    {36, 401, -157},	// QGlobalSpace::operator-#
    {36, 402, -165},	// QGlobalSpace::operator-##
    {36, 403, 1358},	// QGlobalSpace::operator-#$
    {36, 405, -175},	// QGlobalSpace::operator/#$
    {36, 407, -186},	// QGlobalSpace::operator<##
    {36, 408, 698},	// QGlobalSpace::operator<#$
    {36, 409, -191},	// QGlobalSpace::operator<$#
    {36, 410, 984},	// QGlobalSpace::operator<$$
    {36, 412, -194},	// QGlobalSpace::operator<<##
    {36, 413, -288},	// QGlobalSpace::operator<<#$
    {36, 414, 686},	// QGlobalSpace::operator<<#?
    {36, 416, -299},	// QGlobalSpace::operator<=##
    {36, 417, 903},	// QGlobalSpace::operator<=#$
    {36, 418, -304},	// QGlobalSpace::operator<=$#
    {36, 419, 756},	// QGlobalSpace::operator<=$$
    {36, 424, -307},	// QGlobalSpace::operator==##
    {36, 425, -330},	// QGlobalSpace::operator==#$
    {36, 426, -337},	// QGlobalSpace::operator==$#
    {36, 427, 1276},	// QGlobalSpace::operator==$$
    {36, 429, -345},	// QGlobalSpace::operator>##
    {36, 430, 1186},	// QGlobalSpace::operator>#$
    {36, 431, -350},	// QGlobalSpace::operator>$#
    {36, 432, 1182},	// QGlobalSpace::operator>$$
    {36, 434, -353},	// QGlobalSpace::operator>=##
    {36, 435, 1083},	// QGlobalSpace::operator>=#$
    {36, 436, -358},	// QGlobalSpace::operator>=$#
    {36, 437, 1306},	// QGlobalSpace::operator>=$$
    {36, 439, -361},	// QGlobalSpace::operator>>##
    {36, 440, -413},	// QGlobalSpace::operator>>#$
    {36, 441, 1144},	// QGlobalSpace::operator>>#?
    {36, 443, 917},	// QGlobalSpace::operator^##
    {36, 445, 999},	// QGlobalSpace::operator|##
    {36, 446, -416},	// QGlobalSpace::operator|$$
    {36, 458, 1307},	// QGlobalSpace::qAccessibleActionCastHelper
    {36, 459, 1169},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {36, 460, 953},	// QGlobalSpace::qAccessibleImageCastHelper
    {36, 461, 1134},	// QGlobalSpace::qAccessibleTable2CastHelper
    {36, 462, 980},	// QGlobalSpace::qAccessibleTableCastHelper
    {36, 463, 767},	// QGlobalSpace::qAccessibleTextCastHelper
    {36, 464, 1072},	// QGlobalSpace::qAccessibleValueCastHelper
    {36, 466, 940},	// QGlobalSpace::qAcos$
    {36, 468, 895},	// QGlobalSpace::qAddPostRoutine$
    {36, 470, 638},	// QGlobalSpace::qAlpha$
    {36, 471, 863},	// QGlobalSpace::qAppName
    {36, 473, 1109},	// QGlobalSpace::qAsin$
    {36, 475, 659},	// QGlobalSpace::qAtan$
    {36, 477, 877},	// QGlobalSpace::qAtan2$$
    {36, 478, 1347},	// QGlobalSpace::qBadAlloc
    {36, 480, 1310},	// QGlobalSpace::qBlue$
    {36, 482, 612},	// QGlobalSpace::qCeil$
    {36, 484, 918},	// QGlobalSpace::qChecksum$$
    {36, 486, 882},	// QGlobalSpace::qCompress#
    {36, 487, 881},	// QGlobalSpace::qCompress#$
    {36, 488, 1212},	// QGlobalSpace::qCompress$$
    {36, 489, 1211},	// QGlobalSpace::qCompress$$$
    {36, 491, 685},	// QGlobalSpace::qCos$
    {36, 492, 563},	// QGlobalSpace::qCritical
    {36, 493, 1222},	// QGlobalSpace::qDebug
    {36, 495, 1225},	// QGlobalSpace::qDrawBorderPixmap####
    {36, 496, 912},	// QGlobalSpace::qDrawBorderPixmap######
    {36, 497, 913},	// QGlobalSpace::qDrawBorderPixmap#######
    {36, 498, 911},	// QGlobalSpace::qDrawBorderPixmap#######$
    {36, 500, 891},	// QGlobalSpace::qDrawPlainRect###
    {36, 501, 892},	// QGlobalSpace::qDrawPlainRect###$
    {36, 502, 890},	// QGlobalSpace::qDrawPlainRect###$#
    {36, 503, 870},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {36, 504, 871},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {36, 505, 869},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {36, 507, 1237},	// QGlobalSpace::qDrawShadeLine####
    {36, 508, 1238},	// QGlobalSpace::qDrawShadeLine####$
    {36, 509, 1239},	// QGlobalSpace::qDrawShadeLine####$$
    {36, 510, 1236},	// QGlobalSpace::qDrawShadeLine####$$$
    {36, 511, 1147},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {36, 512, 1148},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {36, 513, 1149},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {36, 514, 1146},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {36, 516, 645},	// QGlobalSpace::qDrawShadePanel###
    {36, 517, 646},	// QGlobalSpace::qDrawShadePanel###$
    {36, 518, 647},	// QGlobalSpace::qDrawShadePanel###$$
    {36, 519, 644},	// QGlobalSpace::qDrawShadePanel###$$#
    {36, 520, 800},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {36, 521, 801},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {36, 522, 802},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {36, 523, 799},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {36, 525, 844},	// QGlobalSpace::qDrawShadeRect###
    {36, 526, 845},	// QGlobalSpace::qDrawShadeRect###$
    {36, 527, 846},	// QGlobalSpace::qDrawShadeRect###$$
    {36, 528, 847},	// QGlobalSpace::qDrawShadeRect###$$$
    {36, 529, 843},	// QGlobalSpace::qDrawShadeRect###$$$#
    {36, 530, 681},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {36, 531, 682},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {36, 532, 683},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {36, 533, 684},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {36, 534, 680},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {36, 536, 815},	// QGlobalSpace::qDrawWinButton###
    {36, 537, 816},	// QGlobalSpace::qDrawWinButton###$
    {36, 538, 814},	// QGlobalSpace::qDrawWinButton###$#
    {36, 539, 674},	// QGlobalSpace::qDrawWinButton#$$$$#
    {36, 540, 675},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {36, 541, 673},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {36, 543, 1243},	// QGlobalSpace::qDrawWinPanel###
    {36, 544, 1244},	// QGlobalSpace::qDrawWinPanel###$
    {36, 545, 1242},	// QGlobalSpace::qDrawWinPanel###$#
    {36, 546, 1292},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {36, 547, 1293},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {36, 548, 1291},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {36, 550, 900},	// QGlobalSpace::qExp$
    {36, 552, 588},	// QGlobalSpace::qFabs$
    {36, 554, 1279},	// QGlobalSpace::qFastCos$
    {36, 556, 1330},	// QGlobalSpace::qFastSin$
    {36, 558, 1081},	// QGlobalSpace::qFlagLocation$
    {36, 560, 1051},	// QGlobalSpace::qFloor$
    {36, 562, 1191},	// QGlobalSpace::qFree$
    {36, 564, 831},	// QGlobalSpace::qFreeAligned$
    {36, 566, -663},	// QGlobalSpace::qFuzzyCompare##
    {36, 567, -671},	// QGlobalSpace::qFuzzyCompare$$
    {36, 569, -674},	// QGlobalSpace::qFuzzyIsNull$
    {36, 571, 614},	// QGlobalSpace::qGray$
    {36, 572, 709},	// QGlobalSpace::qGray$$$
    {36, 574, 642},	// QGlobalSpace::qGreen$
    {36, 576, -677},	// QGlobalSpace::qHash#
    {36, 577, -686},	// QGlobalSpace::qHash$
    {36, 578, -697},	// QGlobalSpace::qHash?
    {36, 579, 1090},	// QGlobalSpace::qInf
    {36, 581, 806},	// QGlobalSpace::qInstallMsgHandler$
    {36, 583, -700},	// QGlobalSpace::qIntCast$
    {36, 585, -703},	// QGlobalSpace::qIsFinite$
    {36, 587, 1009},	// QGlobalSpace::qIsGray$
    {36, 589, -706},	// QGlobalSpace::qIsInf$
    {36, 591, -709},	// QGlobalSpace::qIsNaN$
    {36, 593, -712},	// QGlobalSpace::qIsNull$
    {36, 595, 1142},	// QGlobalSpace::qLn$
    {36, 597, 1355},	// QGlobalSpace::qMalloc?
    {36, 599, 1207},	// QGlobalSpace::qMallocAligned??
    {36, 601, 1082},	// QGlobalSpace::qMemCopy$$?
    {36, 603, 876},	// QGlobalSpace::qMemSet$$?
    {36, 605, 1259},	// QGlobalSpace::qPow$$
    {36, 606, 593},	// QGlobalSpace::qQNaN
    {36, 608, 975},	// QGlobalSpace::qRealloc$?
    {36, 610, 852},	// QGlobalSpace::qReallocAligned$???
    {36, 612, 623},	// QGlobalSpace::qRed$
    {36, 614, 666},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {36, 616, 1074},	// QGlobalSpace::qRemovePostRoutine$
    {36, 618, 1049},	// QGlobalSpace::qRgb$$$
    {36, 620, 1349},	// QGlobalSpace::qRgba$$$$
    {36, 622, 994},	// QGlobalSpace::qRound$
    {36, 624, 1200},	// QGlobalSpace::qRound64$
    {36, 625, 1320},	// QGlobalSpace::qSNaN
    {36, 627, 1127},	// QGlobalSpace::qSetFieldWidth$
    {36, 629, 796},	// QGlobalSpace::qSetPadChar#
    {36, 631, 1106},	// QGlobalSpace::qSetRealNumberPrecision$
    {36, 632, 803},	// QGlobalSpace::qSharedBuild
    {36, 634, 1108},	// QGlobalSpace::qSin$
    {36, 636, 1029},	// QGlobalSpace::qSqrt$
    {36, 638, 841},	// QGlobalSpace::qStringComparisonHelper#$
    {36, 639, 1265},	// QGlobalSpace::qStringComparisonHelper$$
    {36, 641, 1231},	// QGlobalSpace::qTan$
    {36, 643, 1102},	// QGlobalSpace::qUncompress#
    {36, 644, 1326},	// QGlobalSpace::qUncompress$$
    {36, 645, 602},	// QGlobalSpace::qVersion
    {36, 646, 706},	// QGlobalSpace::qWarning
    {36, 648, 660},	// QGlobalSpace::qbswap_helper$$$
    {36, 650, 929},	// QGlobalSpace::qgetenv$
    {36, 656, 838},	// QGlobalSpace::qputenv$#
    {36, 657, 613},	// QGlobalSpace::qrand
    {36, 659, 689},	// QGlobalSpace::qsrand$
    {36, 661, 793},	// QGlobalSpace::qstrcmp##
    {36, 662, 797},	// QGlobalSpace::qstrcmp#$
    {36, 663, 1228},	// QGlobalSpace::qstrcmp$#
    {36, 664, 1032},	// QGlobalSpace::qstrcmp$$
    {36, 666, 585},	// QGlobalSpace::qstrcpy$$
    {36, 668, 1216},	// QGlobalSpace::qstrdup$
    {36, 670, 1111},	// QGlobalSpace::qstricmp$$
    {36, 672, 1150},	// QGlobalSpace::qstrlen$
    {36, 674, 842},	// QGlobalSpace::qstrncmp$$$
    {36, 676, 956},	// QGlobalSpace::qstrncpy$$$
    {36, 678, 775},	// QGlobalSpace::qstrnicmp$$$
    {36, 680, 1046},	// QGlobalSpace::qstrnlen$$
    {36, 682, 1342},	// QGlobalSpace::qtTrId$
    {36, 683, 1341},	// QGlobalSpace::qtTrId$$
    {36, 685, 566},	// QGlobalSpace::qt_assert$$$
    {36, 687, 983},	// QGlobalSpace::qt_assert_x$$$$
    {36, 689, 784},	// QGlobalSpace::qt_check_pointer$$
    {36, 690, 970},	// QGlobalSpace::qt_error_string
    {36, 691, 969},	// QGlobalSpace::qt_error_string$
    {36, 693, 1272},	// QGlobalSpace::qt_message_output$$
    {36, 698, 1123},	// QGlobalSpace::qt_noop
    {36, 700, 808},	// QGlobalSpace::qt_qFindChild_helper#$#
    {36, 702, 1179},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {36, 704, 663},	// QGlobalSpace::qvariant_cast_helper#$$
    {36, 706, 1119},	// QGlobalSpace::qvsnprintf$?$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtopengl_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtopengl_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtopengl_Smoke = new Smoke(
        "qtopengl",
        __smokeqtopengl::classes, 111,
        __smokeqtopengl::methods, 1519,
        __smokeqtopengl::methodMaps, 736,
        __smokeqtopengl::methodNames, 912,
        __smokeqtopengl::types, 536,
        __smokeqtopengl::inheritanceList,
        __smokeqtopengl::argumentList,
        __smokeqtopengl::ambiguousMethodList,
        __smokeqtopengl::cast );
    initialized = true;
}

void delete_qtopengl_Smoke() { delete qtopengl_Smoke; }

}
