#include <qtsql_includes.h>

#include <smoke.h>
#include <qtsql_smoke.h>

namespace __smokeqtsql {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractItemModel
      switch(to) {
        case 27: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QAbstractItemModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QAbstractItemModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractTableModel
      switch(to) {
        case 1: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 27: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QAbstractTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QAbstractTableModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QByteArray
      switch(to) {
        case 5: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 6:   //QChar
      switch(to) {
        case 6: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 7:   //QChildEvent
      switch(to) {
        case 14: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 7: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDataStream
      switch(to) {
        case 8: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 9:   //QDate
      switch(to) {
        case 9: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 10:   //QDateTime
      switch(to) {
        case 10: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 11:   //QDebug
      switch(to) {
        case 11: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 12:   //QDir
      switch(to) {
        case 12: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 13:   //QEasingCurve
      switch(to) {
        case 13: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 14:   //QEvent
      switch(to) {
        case 14: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFactoryInterface
      switch(to) {
        case 15: return (void*)(QFactoryInterface*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QFactoryInterface*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QHashDummyValue
      switch(to) {
        case 17: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 18:   //QIncompatibleFlag
      switch(to) {
        case 18: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 19:   //QLatin1String
      switch(to) {
        case 19: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 20:   //QLine
      switch(to) {
        case 20: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 21:   //QLineF
      switch(to) {
        case 21: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 22:   //QLocale
      switch(to) {
        case 22: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 23:   //QMargins
      switch(to) {
        case 23: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 24:   //QMetaObject
      switch(to) {
        case 24: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 25:   //QMimeData
      switch(to) {
        case 27: return (void*)(QObject*)(QMimeData*)xptr;
        case 25: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 26:   //QModelIndex
      switch(to) {
        case 26: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 27:   //QObject
      switch(to) {
        case 27: return (void*)(QObject*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QObject*)xptr;
        case 38: return (void*)(QSqlDriver*)(QObject*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QObject*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QObject*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QObject*)xptr;
        default: return xptr;
      }
    case 28:   //QPersistentModelIndex
      switch(to) {
        case 28: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 29:   //QPoint
      switch(to) {
        case 29: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 30:   //QPointF
      switch(to) {
        case 30: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 31:   //QRect
      switch(to) {
        case 31: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 32:   //QRectF
      switch(to) {
        case 32: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 33:   //QRegExp
      switch(to) {
        case 33: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 34:   //QSize
      switch(to) {
        case 34: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 35:   //QSizeF
      switch(to) {
        case 35: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 37:   //QSqlDatabase
      switch(to) {
        case 37: return (void*)(QSqlDatabase*)xptr;
        default: return xptr;
      }
    case 38:   //QSqlDriver
      switch(to) {
        case 27: return (void*)(QObject*)(QSqlDriver*)xptr;
        case 38: return (void*)(QSqlDriver*)xptr;
        default: return xptr;
      }
    case 39:   //QSqlDriverCreatorBase
      switch(to) {
        case 39: return (void*)(QSqlDriverCreatorBase*)xptr;
        default: return xptr;
      }
    case 40:   //QSqlDriverFactoryInterface
      switch(to) {
        case 15: return (void*)(QFactoryInterface*)(QSqlDriverFactoryInterface*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QSqlDriverFactoryInterface*)xptr;
        default: return xptr;
      }
    case 41:   //QSqlDriverPlugin
      switch(to) {
        case 27: return (void*)(QObject*)(QSqlDriverPlugin*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 15: return (void*)(QFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)xptr;
        default: return xptr;
      }
    case 42:   //QSqlError
      switch(to) {
        case 42: return (void*)(QSqlError*)xptr;
        default: return xptr;
      }
    case 43:   //QSqlField
      switch(to) {
        case 43: return (void*)(QSqlField*)xptr;
        default: return xptr;
      }
    case 44:   //QSqlIndex
      switch(to) {
        case 47: return (void*)(QSqlRecord*)(QSqlIndex*)xptr;
        case 44: return (void*)(QSqlIndex*)xptr;
        default: return xptr;
      }
    case 45:   //QSqlQuery
      switch(to) {
        case 45: return (void*)(QSqlQuery*)xptr;
        default: return xptr;
      }
    case 46:   //QSqlQueryModel
      switch(to) {
        case 2: return (void*)(QAbstractTableModel*)(QSqlQueryModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlQueryModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlQueryModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QSqlQueryModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QSqlQueryModel*)xptr;
        default: return xptr;
      }
    case 47:   //QSqlRecord
      switch(to) {
        case 47: return (void*)(QSqlRecord*)xptr;
        case 44: return (void*)(QSqlIndex*)(QSqlRecord*)xptr;
        default: return xptr;
      }
    case 48:   //QSqlRelation
      switch(to) {
        case 48: return (void*)(QSqlRelation*)xptr;
        default: return xptr;
      }
    case 49:   //QSqlRelationalTableModel
      switch(to) {
        case 51: return (void*)(QSqlTableModel*)(QSqlRelationalTableModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QSqlRelationalTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlRelationalTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlRelationalTableModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlRelationalTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)xptr;
        default: return xptr;
      }
    case 50:   //QSqlResult
      switch(to) {
        case 50: return (void*)(QSqlResult*)xptr;
        default: return xptr;
      }
    case 51:   //QSqlTableModel
      switch(to) {
        case 46: return (void*)(QSqlQueryModel*)(QSqlTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlTableModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlTableModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QSqlTableModel*)xptr;
        default: return xptr;
      }
    case 52:   //QString::Null
      switch(to) {
        case 52: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 53:   //QStringRef
      switch(to) {
        case 53: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 54:   //QTextStream
      switch(to) {
        case 54: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 55:   //QTextStreamManipulator
      switch(to) {
        case 55: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 56:   //QTime
      switch(to) {
        case 56: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 57:   //QTimerEvent
      switch(to) {
        case 14: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 57: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QUrl
      switch(to) {
        case 58: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 59:   //QUuid
      switch(to) {
        case 59: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 60:   //QVariant
      switch(to) {
        case 60: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 61:   //QVariantComparisonHelper
      switch(to) {
        case 61: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    27, 0,	// 1: QObject
    15, 0,	// 3: QFactoryInterface
    27, 40, 0,	// 5: QObject, QSqlDriverFactoryInterface
    47, 0,	// 8: QSqlRecord
    2, 0,	// 10: QAbstractTableModel
    51, 0,	// 12: QSqlTableModel
    46, 0,	// 14: QSqlQueryModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSql(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlDriver(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlRelationalTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSql(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverCreatorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverFactoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlField(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlIndex(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQueryModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRecord(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelation(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalTableModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlTableModel(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//1
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//5
    { "QChar", true, 0, 0, 0, 0, 0 },	//6
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//8
    { "QDate", true, 0, 0, 0, 0, 0 },	//9
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//10
    { "QDebug", true, 0, 0, 0, 0, 0 },	//11
    { "QDir", true, 0, 0, 0, 0, 0 },	//12
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//13
    { "QEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//17
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//18
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//19
    { "QLine", true, 0, 0, 0, 0, 0 },	//20
    { "QLineF", true, 0, 0, 0, 0, 0 },	//21
    { "QLocale", true, 0, 0, 0, 0, 0 },	//22
    { "QMargins", true, 0, 0, 0, 0, 0 },	//23
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//24
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//25
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//26
    { "QObject", true, 0, 0, 0, 0, 0 },	//27
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//28
    { "QPoint", true, 0, 0, 0, 0, 0 },	//29
    { "QPointF", true, 0, 0, 0, 0, 0 },	//30
    { "QRect", true, 0, 0, 0, 0, 0 },	//31
    { "QRectF", true, 0, 0, 0, 0, 0 },	//32
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//33
    { "QSize", true, 0, 0, 0, 0, 0 },	//34
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//35
    { "QSql", false, 0, xcall_QSql, xenum_QSql, Smoke::cf_namespace, 0 },	//36
    { "QSqlDatabase", false, 0, xcall_QSqlDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlDatabase) },	//37
    { "QSqlDriver", false, 1, xcall_QSqlDriver, xenum_QSqlDriver, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriver) },	//38
    { "QSqlDriverCreatorBase", false, 0, xcall_QSqlDriverCreatorBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverCreatorBase) },	//39
    { "QSqlDriverFactoryInterface", false, 3, xcall_QSqlDriverFactoryInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverFactoryInterface) },	//40
    { "QSqlDriverPlugin", false, 5, xcall_QSqlDriverPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriverPlugin) },	//41
    { "QSqlError", false, 0, xcall_QSqlError, xenum_QSqlError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlError) },	//42
    { "QSqlField", false, 0, xcall_QSqlField, xenum_QSqlField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlField) },	//43
    { "QSqlIndex", false, 8, xcall_QSqlIndex, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlIndex) },	//44
    { "QSqlQuery", false, 0, xcall_QSqlQuery, xenum_QSqlQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlQuery) },	//45
    { "QSqlQueryModel", false, 10, xcall_QSqlQueryModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlQueryModel) },	//46
    { "QSqlRecord", false, 0, xcall_QSqlRecord, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRecord) },	//47
    { "QSqlRelation", false, 0, xcall_QSqlRelation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRelation) },	//48
    { "QSqlRelationalTableModel", false, 12, xcall_QSqlRelationalTableModel, xenum_QSqlRelationalTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalTableModel) },	//49
    { "QSqlResult", false, 0, xcall_QSqlResult, xenum_QSqlResult, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlResult) },	//50
    { "QSqlTableModel", false, 14, xcall_QSqlTableModel, xenum_QSqlTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlTableModel) },	//51
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//52
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//53
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//54
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//55
    { "QTime", true, 0, 0, 0, 0, 0 },	//56
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QUrl", true, 0, 0, 0, 0, 0 },	//58
    { "QUuid", true, 0, 0, 0, 0, 0 },	//59
    { "QVariant", true, 0, 0, 0, 0, 0 },	//60
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//61
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 5, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 5, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 6, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 6, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDataStream&", 8, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 9, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 10, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 11, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filter", 12, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QDir::SortFlag", 12, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QEasingCurve&", 13, Smoke::t_class|Smoke::tf_ref },	//17
    { "QEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//21
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//22
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//23
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//24
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//25
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//26
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//27
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//28
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//29
    { "QFlags<QSql::ParamTypeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//30
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//31
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "QIncompatibleFlag", 18, Smoke::t_class|Smoke::tf_stack },	//52
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "QLine&", 20, Smoke::t_class|Smoke::tf_ref },	//54
    { "QLineF&", 21, Smoke::t_class|Smoke::tf_ref },	//55
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//56
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//57
    { "QLocale&", 22, Smoke::t_class|Smoke::tf_ref },	//58
    { "QLocale::NumberOption", 22, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//61
    { "QMetaObject::Call", 24, Smoke::t_enum|Smoke::tf_stack },	//62
    { "QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QModelIndex", 26, Smoke::t_class|Smoke::tf_stack },	//64
    { "QObject*", 27, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QObject*(*)()", 27, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QPoint&", 29, Smoke::t_class|Smoke::tf_ref },	//67
    { "QPointF&", 30, Smoke::t_class|Smoke::tf_ref },	//68
    { "QRect&", 31, Smoke::t_class|Smoke::tf_ref },	//69
    { "QRectF&", 32, Smoke::t_class|Smoke::tf_ref },	//70
    { "QRegExp&", 33, Smoke::t_class|Smoke::tf_ref },	//71
    { "QSize", 34, Smoke::t_class|Smoke::tf_stack },	//72
    { "QSize&", 34, Smoke::t_class|Smoke::tf_ref },	//73
    { "QSizeF&", 35, Smoke::t_class|Smoke::tf_ref },	//74
    { "QSql::Location", 36, Smoke::t_enum|Smoke::tf_stack },	//75
    { "QSql::NumericalPrecisionPolicy", 36, Smoke::t_enum|Smoke::tf_stack },	//76
    { "QSql::ParamTypeFlag", 36, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QSql::TableType", 36, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QSqlDatabase", 37, Smoke::t_class|Smoke::tf_stack },	//79
    { "QSqlDatabase&", 37, Smoke::t_class|Smoke::tf_ref },	//80
    { "QSqlDatabase*", 37, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QSqlDriver*", 38, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QSqlDriver::DriverFeature", 38, Smoke::t_enum|Smoke::tf_stack },	//83
    { "QSqlDriver::IdentifierType", 38, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QSqlDriver::StatementType", 38, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QSqlDriverCreatorBase*", 39, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QSqlDriverFactoryInterface*", 40, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QSqlDriverPlugin*", 41, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QSqlError", 42, Smoke::t_class|Smoke::tf_stack },	//89
    { "QSqlError&", 42, Smoke::t_class|Smoke::tf_ref },	//90
    { "QSqlError*", 42, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QSqlError::ErrorType", 42, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QSqlField", 43, Smoke::t_class|Smoke::tf_stack },	//93
    { "QSqlField&", 43, Smoke::t_class|Smoke::tf_ref },	//94
    { "QSqlField*", 43, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QSqlField::RequiredStatus", 43, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QSqlIndex", 44, Smoke::t_class|Smoke::tf_stack },	//97
    { "QSqlIndex&", 44, Smoke::t_class|Smoke::tf_ref },	//98
    { "QSqlIndex*", 44, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QSqlQuery", 45, Smoke::t_class|Smoke::tf_stack },	//100
    { "QSqlQuery&", 45, Smoke::t_class|Smoke::tf_ref },	//101
    { "QSqlQuery*", 45, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QSqlQuery::BatchExecutionMode", 45, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QSqlQueryModel*", 46, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QSqlRecord", 47, Smoke::t_class|Smoke::tf_stack },	//105
    { "QSqlRecord&", 47, Smoke::t_class|Smoke::tf_ref },	//106
    { "QSqlRecord*", 47, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QSqlRelation", 48, Smoke::t_class|Smoke::tf_stack },	//108
    { "QSqlRelation*", 48, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QSqlRelationalTableModel*", 49, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QSqlRelationalTableModel::JoinMode", 49, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QSqlResult*", 50, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QSqlResult::BindingSyntax", 50, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QSqlResult::VirtualHookOperation", 50, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QSqlTableModel*", 51, Smoke::t_class|Smoke::tf_ptr },	//115
    { "QSqlTableModel::EditStrategy", 51, Smoke::t_enum|Smoke::tf_stack },	//116
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//118
    { "QString::Null", 52, Smoke::t_class|Smoke::tf_stack },	//119
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//121
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//122
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//123
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QTextStream&", 54, Smoke::t_class|Smoke::tf_ref },	//125
    { "QTextStream&(*)(QTextStream&)", 54, Smoke::t_class|Smoke::tf_ref },	//126
    { "QTextStream::NumberFlag", 54, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QTextStreamManipulator", 55, Smoke::t_class|Smoke::tf_stack },	//128
    { "QTime&", 56, Smoke::t_class|Smoke::tf_ref },	//129
    { "QTimerEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QUrl&", 58, Smoke::t_class|Smoke::tf_ref },	//131
    { "QUrl::FormattingOption", 58, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QUuid&", 59, Smoke::t_class|Smoke::tf_ref },	//133
    { "QVariant", 60, Smoke::t_class|Smoke::tf_stack },	//134
    { "QVariant&", 60, Smoke::t_class|Smoke::tf_ref },	//135
    { "QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QVariant::Type&", 60, Smoke::t_enum|Smoke::tf_ref },	//137
    { "QVector<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//138
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtValidLicenseForActiveQtModule", 16, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForCoreModule", 16, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForDBusModule", 16, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForDeclarativeModule", 16, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForGuiModule", 16, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForHelpModule", 16, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForMultimediaModule", 16, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForNetworkModule", 16, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForOpenGLModule", 16, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForOpenVGModule", 16, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForQt3SupportLightModule", 16, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForQt3SupportModule", 16, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForScriptModule", 16, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForScriptToolsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForSqlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForSvgModule", 16, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForTestModule", 16, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtValidLicenseForXmlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtValidLicenseForXmlPatternsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//232
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//233
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//234
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//235
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QByteArray", 5, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//237
    { "const QByteArray&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QChar&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QDate&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QDateTime&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QDir&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QEasingCurve&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QHashDummyValue&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QLatin1String&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QLine&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QLineF&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QLocale&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QMargins&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QMetaObject&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QMetaObject*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//253
    { "const QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//254
    { "const QModelIndex&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QObject*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//256
    { "const QPersistentModelIndex&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QPoint", 29, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//258
    { "const QPoint&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QPointF", 30, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//260
    { "const QPointF&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QRect&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QRectF&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QRegExp&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QRegExp*", 33, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//265
    { "const QSize", 34, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//266
    { "const QSize&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QSizeF", 35, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//268
    { "const QSizeF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QSqlDatabase&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QSqlDriver*", 38, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//271
    { "const QSqlDriverCreatorBase&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QSqlDriverFactoryInterface&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QSqlError&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QSqlField&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QSqlIndex&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QSqlQuery&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QSqlRecord&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QSqlRelation&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QSqlResult*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//280
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//281
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//284
    { "const QStringRef&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QTime&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QUrl&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QUuid&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QVariant&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//290
    { "const QVariantComparisonHelper&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//292
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//293
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//294
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//295
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//296
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//297
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//298
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//299
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//300
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//301
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//302
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//303
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//304
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//305
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//306
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//307
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//308
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//309
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//310
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//311
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//312
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//313
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//314
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    255, 289, 297, 0,	//1  const QModelIndex&, const QVariant&, int
    255, 0,	//5  const QModelIndex&
    255, 250, 0,	//7  const QModelIndex&, const QMap<int,QVariant>&
    248, 0,	//10  const QList<QModelIndex>&
    297, 297, 255, 0,	//12  int, int, const QModelIndex&
    297, 193, 0,	//16  int, Qt::SortOrder
    255, 297, 289, 297, 43, 0,	//19  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    254, 161, 297, 297, 255, 0,	//25  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    295, 0,	//31  double
    20, 20, 0,	//33  QFile::Permission, QFile::Permission
    10, 8, 0,	//36  QDataStream&, QChar&
    16, 24, 0,	//39  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    292, 245, 0,	//42  const char*, const QLatin1String&
    10, 58, 0,	//45  QDataStream&, QLocale&
    210, 297, 0,	//48  Qt::WindowType, int
    235, 292, 305, 0,	//51  char*, const char*, unsigned int
    305, 0,	//55  unsigned int
    234, 0,	//57  char
    269, 295, 0,	//59  const QSizeF&, double
    13, 246, 0,	//62  QDebug, const QLine&
    292, 0,	//65  const char*
    238, 292, 0,	//67  const QByteArray&, const char*
    292, 282, 0,	//70  const char*, const QString&
    10, 69, 0,	//73  QDataStream&, QRect&
    175, 175, 0,	//76  Qt::ItemFlag, Qt::ItemFlag
    289, 291, 0,	//79  const QVariant&, const QVariantComparisonHelper&
    13, 27, 0,	//82  QDebug, QFlags<QIODevice::OpenModeFlag>
    267, 267, 0,	//85  const QSize&, const QSize&
    7, 282, 0,	//88  QChar, const QString&
    13, 274, 0,	//91  QDebug, const QSqlError&
    292, 292, 305, 0,	//94  const char*, const char*, unsigned int
    245, 245, 0,	//98  const QLatin1String&, const QLatin1String&
    285, 285, 0,	//101  const QStringRef&, const QStringRef&
    235, 302, 292, 309, 0,	//104  char*, size_t, const char*, va_list
    261, 261, 0,	//109  const QPointF&, const QPointF&
    282, 285, 0,	//112  const QString&, const QStringRef&
    282, 7, 0,	//115  const QString&, QChar
    292, 305, 0,	//118  const char*, unsigned int
    10, 17, 0,	//121  QDataStream&, QEasingCurve&
    245, 285, 0,	//124  const QLatin1String&, const QStringRef&
    13, 240, 0,	//127  QDebug, const QDate&
    200, 200, 0,	//130  Qt::ToolBarArea, Qt::ToolBarArea
    13, 247, 0,	//133  QDebug, const QLineF&
    263, 263, 0,	//136  const QRectF&, const QRectF&
    303, 0,	//139  unsigned char
    256, 282, 265, 252, 57, 0,	//141  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    285, 245, 0,	//147  const QStringRef&, const QLatin1String&
    297, 0,	//150  int
    10, 11, 0,	//152  QDataStream&, QDate&
    296, 0,	//155  float
    197, 297, 0,	//157  Qt::TextInteractionFlag, int
    7, 7, 0,	//160  QChar, QChar
    7, 0,	//163  QChar
    13, 275, 0,	//165  QDebug, const QSqlField&
    10, 131, 0,	//168  QDataStream&, QUrl&
    13, 255, 0,	//171  QDebug, const QModelIndex&
    53, 28, 0,	//174  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    292, 297, 0,	//177  const char*, int
    295, 295, 0,	//180  double, double
    10, 290, 0,	//183  QDataStream&, const QVariant::Type
    300, 0,	//186  short
    10, 289, 0,	//188  QDataStream&, const QVariant&
    197, 46, 0,	//191  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    175, 41, 0,	//194  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    298, 0,	//197  long
    172, 40, 0,	//199  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    292, 292, 0,	//202  const char*, const char*
    10, 269, 0,	//205  QDataStream&, const QSizeF&
    119, 119, 0,	//208  QString::Null, QString::Null
    292, 238, 0,	//211  const char*, const QByteArray&
    236, 0,	//214  const QBitArray&
    16, 16, 0,	//216  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    235, 292, 0,	//219  char*, const char*
    236, 236, 0,	//222  const QBitArray&, const QBitArray&
    259, 259, 0,	//225  const QPoint&, const QPoint&
    178, 42, 0,	//228  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    261, 295, 0,	//231  const QPointF&, double
    13, 269, 0,	//234  QDebug, const QSizeF&
    244, 244, 0,	//237  const QHashDummyValue&, const QHashDummyValue&
    1, 1, 0,	//240  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    10, 133, 0,	//243  QDataStream&, QUuid&
    262, 262, 0,	//246  const QRect&, const QRect&
    238, 238, 0,	//249  const QByteArray&, const QByteArray&
    293, 297, 0,	//252  const unsigned char*, int
    238, 297, 0,	//255  const QByteArray&, int
    238, 0,	//258  const QByteArray&
    10, 282, 0,	//260  QDataStream&, const QString&
    125, 126, 0,	//263  QTextStream&, QTextStream&(*)(QTextStream&)
    161, 297, 0,	//266  Qt::DropAction, int
    312, 302, 302, 302, 0,	//269  void*, size_t, size_t, size_t
    181, 297, 0,	//274  Qt::MatchFlag, int
    10, 259, 0,	//277  QDataStream&, const QPoint&
    13, 262, 0,	//280  QDebug, const QRect&
    124, 32, 0,	//283  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    308, 0,	//286  unsigned short
    197, 197, 0,	//288  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    120, 31, 0,	//291  QString::SectionFlag, QFlags<QString::SectionFlag>
    13, 242, 0,	//294  QDebug, const QDir&
    183, 183, 0,	//297  Qt::MouseButton, Qt::MouseButton
    312, 302, 0,	//300  void*, size_t
    161, 161, 0,	//303  Qt::DropAction, Qt::DropAction
    1, 297, 0,	//306  QAbstractFileEngine::FileFlag, int
    282, 119, 0,	//309  const QString&, QString::Null
    166, 38, 0,	//312  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    19, 297, 0,	//315  QEventLoop::ProcessEventsFlag, int
    59, 59, 0,	//318  QLocale::NumberOption, QLocale::NumberOption
    51, 51, 0,	//321  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    10, 55, 0,	//324  QDataStream&, QLineF&
    10, 247, 0,	//327  QDataStream&, const QLineF&
    269, 269, 0,	//330  const QSizeF&, const QSizeF&
    295, 267, 0,	//333  double, const QSize&
    159, 36, 0,	//336  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    299, 0,	//339  long long
    181, 43, 0,	//341  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    259, 296, 0,	//344  const QPoint&, float
    261, 0,	//347  const QPointF&
    139, 297, 0,	//349  Qt::AlignmentFlag, int
    170, 297, 0,	//352  Qt::ImageConversionFlag, int
    13, 267, 0,	//355  QDebug, const QSize&
    124, 297, 0,	//358  QTextCodec::ConversionFlag, int
    13, 259, 0,	//361  QDebug, const QPoint&
    13, 287, 0,	//364  QDebug, const QUrl&
    259, 0,	//367  const QPoint&
    10, 261, 0,	//369  QDataStream&, const QPointF&
    124, 124, 0,	//372  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    4, 4, 0,	//375  QBool, QBool
    282, 234, 0,	//378  const QString&, char
    292, 285, 0,	//381  const char*, const QStringRef&
    307, 0,	//384  unsigned long long
    127, 297, 0,	//386  QTextStream::NumberFlag, int
    13, 261, 0,	//389  QDebug, const QPointF&
    119, 282, 0,	//392  QString::Null, const QString&
    310, 0,	//395  void(*)()
    59, 29, 0,	//397  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    166, 166, 0,	//400  Qt::GestureFlag, Qt::GestureFlag
    10, 70, 0,	//403  QDataStream&, QRectF&
    296, 296, 0,	//406  float, float
    10, 239, 0,	//409  QDataStream&, const QChar&
    10, 68, 0,	//412  QDataStream&, QPointF&
    267, 295, 0,	//415  const QSize&, double
    311, 0,	//418  void(*)(QtMsgType,const char*)
    125, 128, 0,	//420  QTextStream&, QTextStreamManipulator
    139, 139, 0,	//423  Qt::AlignmentFlag, Qt::AlignmentFlag
    10, 54, 0,	//426  QDataStream&, QLine&
    14, 14, 0,	//429  QDir::Filter, QDir::Filter
    259, 295, 0,	//432  const QPoint&, double
    10, 238, 0,	//435  QDataStream&, const QByteArray&
    10, 243, 0,	//438  QDataStream&, const QEasingCurve&
    170, 170, 0,	//441  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    209, 297, 0,	//444  Qt::WindowState, int
    10, 118, 0,	//447  QDataStream&, QString&
    256, 282, 252, 0,	//450  const QObject*, const QString&, const QMetaObject&
    10, 263, 0,	//454  QDataStream&, const QRectF&
    10, 3, 0,	//457  QDataStream&, QBitArray&
    10, 73, 0,	//460  QDataStream&, QSize&
    178, 178, 0,	//463  Qt::KeyboardModifier, Qt::KeyboardModifier
    233, 4, 0,	//466  bool, QBool
    127, 127, 0,	//469  QTextStream::NumberFlag, QTextStream::NumberFlag
    10, 12, 0,	//472  QDataStream&, QDateTime&
    289, 136, 312, 0,	//475  const QVariant&, QVariant::Type, void*
    285, 282, 0,	//479  const QStringRef&, const QString&
    293, 304, 297, 0,	//482  const unsigned char*, unsigned char*, int
    178, 297, 0,	//486  Qt::KeyboardModifier, int
    10, 241, 0,	//489  QDataStream&, const QDateTime&
    213, 292, 0,	//492  QtMsgType, const char*
    19, 25, 0,	//495  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    251, 251, 0,	//498  const QMargins&, const QMargins&
    238, 282, 0,	//501  const QByteArray&, const QString&
    132, 132, 0,	//504  QUrl::FormattingOption, QUrl::FormattingOption
    13, 290, 0,	//507  QDebug, const QVariant::Type
    159, 297, 0,	//510  Qt::DockWidgetArea, int
    10, 129, 0,	//513  QDataStream&, QTime&
    210, 210, 0,	//516  Qt::WindowType, Qt::WindowType
    312, 297, 302, 0,	//519  void*, int, size_t
    13, 241, 0,	//523  QDebug, const QDateTime&
    301, 0,	//526  signed char
    210, 50, 0,	//528  Qt::WindowType, QFlags<Qt::WindowType>
    209, 209, 0,	//531  Qt::WindowState, Qt::WindowState
    13, 289, 0,	//534  QDebug, const QVariant&
    10, 122, 0,	//537  QDataStream&, QStringList&
    20, 297, 0,	//540  QFile::Permission, int
    66, 0,	//543  QObject*(*)()
    295, 261, 0,	//545  double, const QPointF&
    297, 259, 0,	//548  int, const QPoint&
    10, 287, 0,	//551  QDataStream&, const QUrl&
    10, 286, 0,	//554  QDataStream&, const QTime&
    10, 67, 0,	//557  QDataStream&, QPoint&
    285, 0,	//560  const QStringRef&
    10, 71, 0,	//562  QDataStream&, QRegExp&
    172, 297, 0,	//565  Qt::InputMethodHint, int
    10, 249, 0,	//568  QDataStream&, const QLocale&
    13, 278, 0,	//571  QDebug, const QSqlRecord&
    302, 302, 0,	//574  size_t, size_t
    10, 236, 0,	//577  QDataStream&, const QBitArray&
    282, 238, 0,	//580  const QString&, const QByteArray&
    292, 292, 292, 297, 0,	//583  const char*, const char*, const char*, int
    132, 34, 0,	//588  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    19, 19, 0,	//591  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    238, 234, 0,	//594  const QByteArray&, char
    53, 53, 0,	//597  QLibrary::LoadHint, QLibrary::LoadHint
    139, 35, 0,	//600  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    10, 288, 0,	//603  QDataStream&, const QUuid&
    51, 27, 0,	//606  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    10, 246, 0,	//609  QDataStream&, const QLine&
    166, 297, 0,	//612  Qt::GestureFlag, int
    285, 292, 0,	//615  const QStringRef&, const char*
    15, 23, 0,	//618  QDir::SortFlag, QFlags<QDir::SortFlag>
    10, 240, 0,	//621  QDataStream&, const QDate&
    234, 238, 0,	//624  char, const QByteArray&
    282, 292, 0,	//627  const QString&, const char*
    53, 297, 0,	//630  QLibrary::LoadHint, int
    77, 77, 0,	//633  QSql::ParamTypeFlag, QSql::ParamTypeFlag
    77, 297, 0,	//636  QSql::ParamTypeFlag, int
    293, 297, 297, 0,	//639  const unsigned char*, int, int
    185, 185, 0,	//643  Qt::Orientation, Qt::Orientation
    282, 0,	//646  const QString&
    282, 282, 0,	//648  const QString&, const QString&
    4, 233, 0,	//651  QBool, bool
    10, 283, 0,	//654  QDataStream&, const QStringList&
    10, 264, 0,	//657  QDataStream&, const QRegExp&
    15, 297, 0,	//660  QDir::SortFlag, int
    312, 294, 302, 0,	//663  void*, const void*, size_t
    312, 0,	//667  void*
    200, 47, 0,	//669  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    13, 257, 0,	//672  QDebug, const QPersistentModelIndex&
    10, 135, 0,	//675  QDataStream&, QVariant&
    287, 0,	//678  const QUrl&
    203, 48, 0,	//680  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    296, 259, 0,	//683  float, const QPoint&
    295, 259, 0,	//686  double, const QPoint&
    13, 256, 0,	//689  QDebug, const QObject*
    20, 26, 0,	//692  QFile::Permission, QFlags<QFile::Permission>
    292, 292, 297, 0,	//695  const char*, const char*, int
    13, 263, 0,	//699  QDebug, const QRectF&
    127, 33, 0,	//702  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    15, 15, 0,	//705  QDir::SortFlag, QDir::SortFlag
    203, 297, 0,	//708  Qt::TouchPointState, int
    14, 297, 0,	//711  QDir::Filter, int
    306, 0,	//714  unsigned long
    1, 21, 0,	//716  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    183, 44, 0,	//719  Qt::MouseButton, QFlags<Qt::MouseButton>
    161, 37, 0,	//722  Qt::DropAction, QFlags<Qt::DropAction>
    302, 0,	//725  size_t
    185, 297, 0,	//727  Qt::Orientation, int
    10, 137, 0,	//730  QDataStream&, QVariant::Type&
    200, 297, 0,	//733  Qt::ToolBarArea, int
    10, 6, 0,	//736  QDataStream&, QByteArray&
    10, 262, 0,	//739  QDataStream&, const QRect&
    13, 243, 0,	//742  QDebug, const QEasingCurve&
    77, 30, 0,	//745  QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>
    257, 0,	//748  const QPersistentModelIndex&
    59, 297, 0,	//750  QLocale::NumberOption, int
    13, 286, 0,	//753  QDebug, const QTime&
    203, 203, 0,	//756  Qt::TouchPointState, Qt::TouchPointState
    170, 39, 0,	//759  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    209, 49, 0,	//762  Qt::WindowState, QFlags<Qt::WindowState>
    159, 159, 0,	//765  Qt::DockWidgetArea, Qt::DockWidgetArea
    16, 297, 0,	//768  QDirIterator::IteratorFlag, int
    295, 269, 0,	//771  double, const QSizeF&
    13, 251, 0,	//774  QDebug, const QMargins&
    132, 297, 0,	//777  QUrl::FormattingOption, int
    259, 297, 0,	//780  const QPoint&, int
    181, 181, 0,	//783  Qt::MatchFlag, Qt::MatchFlag
    172, 172, 0,	//786  Qt::InputMethodHint, Qt::InputMethodHint
    185, 45, 0,	//789  Qt::Orientation, QFlags<Qt::Orientation>
    13, 22, 0,	//792  QDebug, QFlags<QDir::Filter>
    175, 297, 0,	//795  Qt::ItemFlag, int
    183, 297, 0,	//798  Qt::MouseButton, int
    10, 74, 0,	//801  QDataStream&, QSizeF&
    51, 297, 0,	//804  QIODevice::OpenModeFlag, int
    120, 297, 0,	//807  QString::SectionFlag, int
    234, 282, 0,	//810  char, const QString&
    10, 267, 0,	//813  QDataStream&, const QSize&
    14, 22, 0,	//816  QDir::Filter, QFlags<QDir::Filter>
    13, 270, 0,	//819  QDebug, const QSqlDatabase&
    120, 120, 0,	//822  QString::SectionFlag, QString::SectionFlag
    18, 0,	//825  QEvent*
    65, 18, 0,	//827  QObject*, QEvent*
    130, 0,	//830  QTimerEvent*
    9, 0,	//832  QChildEvent*
    270, 0,	//834  const QSqlDatabase&
    78, 0,	//836  QSql::TableType
    76, 0,	//838  QSql::NumericalPrecisionPolicy
    82, 282, 0,	//840  QSqlDriver*, const QString&
    270, 282, 0,	//843  const QSqlDatabase&, const QString&
    282, 233, 0,	//846  const QString&, bool
    282, 86, 0,	//849  const QString&, QSqlDriverCreatorBase*
    82, 0,	//852  QSqlDriver*
    62, 297, 313, 0,	//854  QMetaObject::Call, int, void**
    65, 0,	//858  QObject*
    275, 233, 0,	//860  const QSqlField&, bool
    282, 84, 0,	//863  const QString&, QSqlDriver::IdentifierType
    85, 282, 278, 233, 0,	//866  QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool
    83, 0,	//871  QSqlDriver::DriverFeature
    282, 282, 282, 282, 297, 282, 0,	//873  const QString&, const QString&, const QString&, const QString&, int, const QString&
    233, 0,	//880  bool
    274, 0,	//882  const QSqlError&
    275, 0,	//884  const QSqlField&
    282, 282, 282, 0,	//886  const QString&, const QString&, const QString&
    282, 282, 282, 282, 0,	//890  const QString&, const QString&, const QString&, const QString&
    282, 282, 282, 282, 297, 0,	//895  const QString&, const QString&, const QString&, const QString&, int
    272, 0,	//901  const QSqlDriverCreatorBase&
    273, 0,	//903  const QSqlDriverFactoryInterface&
    282, 282, 92, 297, 0,	//905  const QString&, const QString&, QSqlError::ErrorType, int
    92, 0,	//910  QSqlError::ErrorType
    282, 282, 92, 0,	//912  const QString&, const QString&, QSqlError::ErrorType
    282, 136, 0,	//916  const QString&, QVariant::Type
    289, 0,	//919  const QVariant&
    136, 0,	//921  QVariant::Type
    96, 0,	//923  QSqlField::RequiredStatus
    276, 0,	//925  const QSqlIndex&
    297, 233, 0,	//927  int, bool
    112, 0,	//930  QSqlResult*
    282, 79, 0,	//932  const QString&, QSqlDatabase
    79, 0,	//935  QSqlDatabase
    277, 0,	//937  const QSqlQuery&
    103, 0,	//939  QSqlQuery::BatchExecutionMode
    282, 289, 30, 0,	//941  const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>
    297, 289, 30, 0,	//945  int, const QVariant&, QFlags<QSql::ParamTypeFlag>
    289, 30, 0,	//949  const QVariant&, QFlags<QSql::ParamTypeFlag>
    282, 289, 0,	//952  const QString&, const QVariant&
    297, 289, 0,	//955  int, const QVariant&
    255, 297, 0,	//958  const QModelIndex&, int
    297, 185, 297, 0,	//961  int, Qt::Orientation, int
    297, 185, 289, 297, 0,	//965  int, Qt::Orientation, const QVariant&, int
    282, 270, 0,	//970  const QString&, const QSqlDatabase&
    297, 185, 0,	//973  int, Qt::Orientation
    297, 185, 289, 0,	//976  int, Qt::Orientation, const QVariant&
    297, 297, 0,	//980  int, int
    278, 0,	//983  const QSqlRecord&
    297, 275, 0,	//985  int, const QSqlField&
    279, 0,	//988  const QSqlRelation&
    65, 79, 0,	//990  QObject*, QSqlDatabase
    297, 279, 0,	//993  int, const QSqlRelation&
    111, 0,	//996  QSqlRelationalTableModel::JoinMode
    297, 278, 0,	//998  int, const QSqlRecord&
    255, 289, 0,	//1001  const QModelIndex&, const QVariant&
    271, 0,	//1004  const QSqlDriver*
    297, 312, 0,	//1006  int, void*
    116, 0,	//1009  QSqlTableModel::EditStrategy
    297, 106, 0,	//1011  int, QSqlRecord&
    106, 0,	//1014  QSqlRecord&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AfterLastRow",	//1
    "AllTables",	//2
    "BLOB",	//3
    "BatchOperation",	//4
    "BatchOperations",	//5
    "BeforeFirstRow",	//6
    "Binary",	//7
    "ConnectionError",	//8
    "DeleteStatement",	//9
    "DetachFromResultSet",	//10
    "EventNotifications",	//11
    "FieldName",	//12
    "FinishQuery",	//13
    "HighPrecision",	//14
    "In",	//15
    "InOut",	//16
    "InnerJoin",	//17
    "InsertStatement",	//18
    "LastInsertId",	//19
    "LeftJoin",	//20
    "LicensedActiveQt",	//21
    "LicensedCore",	//22
    "LicensedDBus",	//23
    "LicensedDeclarative",	//24
    "LicensedGui",	//25
    "LicensedHelp",	//26
    "LicensedMultimedia",	//27
    "LicensedNetwork",	//28
    "LicensedOpenGL",	//29
    "LicensedOpenVG",	//30
    "LicensedQt3Support",	//31
    "LicensedQt3SupportLight",	//32
    "LicensedScript",	//33
    "LicensedScriptTools",	//34
    "LicensedSql",	//35
    "LicensedSvg",	//36
    "LicensedTest",	//37
    "LicensedXml",	//38
    "LicensedXmlPatterns",	//39
    "LowPrecisionDouble",	//40
    "LowPrecisionInt32",	//41
    "LowPrecisionInt64",	//42
    "LowPrecisionNumbers",	//43
    "MultipleResultSets",	//44
    "NamedBinding",	//45
    "NamedPlaceholders",	//46
    "NextResult",	//47
    "NoError",	//48
    "OnFieldChange",	//49
    "OnManualSubmit",	//50
    "OnRowChange",	//51
    "Optional",	//52
    "Out",	//53
    "PositionalBinding",	//54
    "PositionalPlaceholders",	//55
    "PreparedQueries",	//56
    "QSqlDatabase",	//57
    "QSqlDatabase#",	//58
    "QSqlDatabase$",	//59
    "QSqlDriver",	//60
    "QSqlDriver#",	//61
    "QSqlDriverCreatorBase",	//62
    "QSqlDriverCreatorBase#",	//63
    "QSqlDriverFactoryInterface",	//64
    "QSqlDriverFactoryInterface#",	//65
    "QSqlDriverPlugin",	//66
    "QSqlDriverPlugin#",	//67
    "QSqlError",	//68
    "QSqlError#",	//69
    "QSqlError$",	//70
    "QSqlError$$",	//71
    "QSqlError$$$",	//72
    "QSqlError$$$$",	//73
    "QSqlField",	//74
    "QSqlField#",	//75
    "QSqlField$",	//76
    "QSqlField$$",	//77
    "QSqlIndex",	//78
    "QSqlIndex#",	//79
    "QSqlIndex$",	//80
    "QSqlIndex$$",	//81
    "QSqlQuery",	//82
    "QSqlQuery#",	//83
    "QSqlQuery$",	//84
    "QSqlQuery$#",	//85
    "QSqlQueryModel",	//86
    "QSqlQueryModel#",	//87
    "QSqlRecord",	//88
    "QSqlRecord#",	//89
    "QSqlRelation",	//90
    "QSqlRelation#",	//91
    "QSqlRelation$$$",	//92
    "QSqlRelationalTableModel",	//93
    "QSqlRelationalTableModel#",	//94
    "QSqlRelationalTableModel##",	//95
    "QSqlResult",	//96
    "QSqlResult#",	//97
    "QSqlTableModel",	//98
    "QSqlTableModel#",	//99
    "QSqlTableModel##",	//100
    "Q_COMPLEX_TYPE",	//101
    "Q_DUMMY_TYPE",	//102
    "Q_MOVABLE_TYPE",	//103
    "Q_PRIMITIVE_TYPE",	//104
    "Q_STATIC_TYPE",	//105
    "QtCriticalMsg",	//106
    "QtDebugMsg",	//107
    "QtFatalMsg",	//108
    "QtSystemMsg",	//109
    "QtWarningMsg",	//110
    "QuerySize",	//111
    "Required",	//112
    "SelectStatement",	//113
    "SetNumericalPrecision",	//114
    "SimpleLocking",	//115
    "StatementError",	//116
    "SystemTables",	//117
    "TableName",	//118
    "Tables",	//119
    "TransactionError",	//120
    "Transactions",	//121
    "Unicode",	//122
    "Unknown",	//123
    "UnknownError",	//124
    "UpdateStatement",	//125
    "ValuesAsColumns",	//126
    "ValuesAsRows",	//127
    "Views",	//128
    "WhereStatement",	//129
    "addBindValue",	//130
    "addBindValue#",	//131
    "addBindValue#$",	//132
    "addDatabase",	//133
    "addDatabase#",	//134
    "addDatabase#$",	//135
    "addDatabase$",	//136
    "addDatabase$$",	//137
    "append",	//138
    "append#",	//139
    "append#$",	//140
    "at",	//141
    "beforeDelete",	//142
    "beforeDelete$",	//143
    "beforeInsert",	//144
    "beforeInsert#",	//145
    "beforeUpdate",	//146
    "beforeUpdate$#",	//147
    "beginTransaction",	//148
    "bindValue",	//149
    "bindValue$#",	//150
    "bindValue$#$",	//151
    "bindValueType",	//152
    "bindValueType$",	//153
    "bindingSyntax",	//154
    "boundValue",	//155
    "boundValue$",	//156
    "boundValueCount",	//157
    "boundValueName",	//158
    "boundValueName$",	//159
    "boundValues",	//160
    "buddy",	//161
    "canFetchMore",	//162
    "canFetchMore#",	//163
    "childEvent",	//164
    "clear",	//165
    "clearValues",	//166
    "cloneDatabase",	//167
    "cloneDatabase#$",	//168
    "close",	//169
    "columnCount",	//170
    "columnCount#",	//171
    "commit",	//172
    "commitTransaction",	//173
    "connectNotify",	//174
    "connectOptions",	//175
    "connectionName",	//176
    "connectionNames",	//177
    "contains",	//178
    "contains$",	//179
    "count",	//180
    "create",	//181
    "create$",	//182
    "createObject",	//183
    "createResult",	//184
    "cursorName",	//185
    "customEvent",	//186
    "data",	//187
    "data#",	//188
    "data#$",	//189
    "data$",	//190
    "database",	//191
    "database$",	//192
    "database$$",	//193
    "databaseName",	//194
    "databaseText",	//195
    "defaultConnection",	//196
    "defaultValue",	//197
    "deleteRowFromTable",	//198
    "deleteRowFromTable$",	//199
    "detachFromResultSet",	//200
    "disconnectNotify",	//201
    "displayColumn",	//202
    "driver",	//203
    "driverName",	//204
    "driverText",	//205
    "drivers",	//206
    "dropMimeData",	//207
    "editStrategy",	//208
    "escapeIdentifier",	//209
    "escapeIdentifier$$",	//210
    "event",	//211
    "eventFilter",	//212
    "exec",	//213
    "exec$",	//214
    "execBatch",	//215
    "execBatch$",	//216
    "executedQuery",	//217
    "fetch",	//218
    "fetch$",	//219
    "fetchFirst",	//220
    "fetchLast",	//221
    "fetchMore",	//222
    "fetchMore#",	//223
    "fetchNext",	//224
    "fetchPrevious",	//225
    "field",	//226
    "field$",	//227
    "fieldIndex",	//228
    "fieldIndex$",	//229
    "fieldName",	//230
    "fieldName$",	//231
    "filter",	//232
    "finish",	//233
    "first",	//234
    "flags",	//235
    "flags#",	//236
    "formatValue",	//237
    "formatValue#",	//238
    "formatValue#$",	//239
    "handle",	//240
    "hasFeature",	//241
    "hasFeature$",	//242
    "hasOutValues",	//243
    "headerData",	//244
    "headerData$$",	//245
    "headerData$$$",	//246
    "hostName",	//247
    "index",	//248
    "indexColumn",	//249
    "indexInQuery",	//250
    "indexInQuery#",	//251
    "indexOf",	//252
    "indexOf$",	//253
    "insert",	//254
    "insert$#",	//255
    "insertColumns",	//256
    "insertColumns$$",	//257
    "insertColumns$$#",	//258
    "insertRecord",	//259
    "insertRecord$#",	//260
    "insertRowIntoTable",	//261
    "insertRowIntoTable#",	//262
    "insertRows",	//263
    "insertRows$$",	//264
    "insertRows$$#",	//265
    "isActive",	//266
    "isAutoValue",	//267
    "isDescending",	//268
    "isDescending$",	//269
    "isDirty",	//270
    "isDirty#",	//271
    "isDriverAvailable",	//272
    "isDriverAvailable$",	//273
    "isEmpty",	//274
    "isForwardOnly",	//275
    "isGenerated",	//276
    "isGenerated$",	//277
    "isIdentifierEscaped",	//278
    "isIdentifierEscaped$$",	//279
    "isIdentifierEscapedImplementation",	//280
    "isIdentifierEscapedImplementation$$",	//281
    "isNull",	//282
    "isNull$",	//283
    "isOpen",	//284
    "isOpenError",	//285
    "isReadOnly",	//286
    "isSelect",	//287
    "isValid",	//288
    "itemData",	//289
    "keys",	//290
    "last",	//291
    "lastError",	//292
    "lastInsertId",	//293
    "lastQuery",	//294
    "length",	//295
    "match",	//296
    "metaObject",	//297
    "mimeData",	//298
    "mimeTypes",	//299
    "name",	//300
    "next",	//301
    "nextResult",	//302
    "notification",	//303
    "notification$",	//304
    "numRowsAffected",	//305
    "number",	//306
    "numericalPrecisionPolicy",	//307
    "open",	//308
    "open$",	//309
    "open$$",	//310
    "open$$$",	//311
    "open$$$$",	//312
    "open$$$$$",	//313
    "open$$$$$$",	//314
    "operator!=",	//315
    "operator!=#",	//316
    "operator!=##",	//317
    "operator!=#$",	//318
    "operator!=$#",	//319
    "operator!=$$",	//320
    "operator&",	//321
    "operator&##",	//322
    "operator*",	//323
    "operator*#$",	//324
    "operator*$#",	//325
    "operator+",	//326
    "operator+##",	//327
    "operator+#$",	//328
    "operator+$#",	//329
    "operator+$$",	//330
    "operator-",	//331
    "operator-#",	//332
    "operator-##",	//333
    "operator/",	//334
    "operator/#$",	//335
    "operator<",	//336
    "operator<##",	//337
    "operator<#$",	//338
    "operator<$#",	//339
    "operator<$$",	//340
    "operator<<",	//341
    "operator<<##",	//342
    "operator<<#$",	//343
    "operator<<#?",	//344
    "operator<=",	//345
    "operator<=##",	//346
    "operator<=#$",	//347
    "operator<=$#",	//348
    "operator<=$$",	//349
    "operator=",	//350
    "operator=#",	//351
    "operator==",	//352
    "operator==#",	//353
    "operator==##",	//354
    "operator==#$",	//355
    "operator==$#",	//356
    "operator==$$",	//357
    "operator>",	//358
    "operator>##",	//359
    "operator>#$",	//360
    "operator>$#",	//361
    "operator>$$",	//362
    "operator>=",	//363
    "operator>=##",	//364
    "operator>=#$",	//365
    "operator>=$#",	//366
    "operator>=$$",	//367
    "operator>>",	//368
    "operator>>##",	//369
    "operator>>#$",	//370
    "operator>>#?",	//371
    "operator^",	//372
    "operator^##",	//373
    "operator|",	//374
    "operator|##",	//375
    "operator|$$",	//376
    "orderByClause",	//377
    "password",	//378
    "port",	//379
    "precision",	//380
    "prepare",	//381
    "prepare$",	//382
    "previous",	//383
    "primaryIndex",	//384
    "primaryIndex$",	//385
    "primaryKey",	//386
    "primeInsert",	//387
    "primeInsert$#",	//388
    "qAcos",	//389
    "qAcos$",	//390
    "qAddPostRoutine",	//391
    "qAddPostRoutine$",	//392
    "qAppName",	//393
    "qAsin",	//394
    "qAsin$",	//395
    "qAtan",	//396
    "qAtan$",	//397
    "qAtan2",	//398
    "qAtan2$$",	//399
    "qBadAlloc",	//400
    "qCeil",	//401
    "qCeil$",	//402
    "qChecksum",	//403
    "qChecksum$$",	//404
    "qCompress",	//405
    "qCompress#",	//406
    "qCompress#$",	//407
    "qCompress$$",	//408
    "qCompress$$$",	//409
    "qCos",	//410
    "qCos$",	//411
    "qCritical",	//412
    "qDebug",	//413
    "qExp",	//414
    "qExp$",	//415
    "qFabs",	//416
    "qFabs$",	//417
    "qFastCos",	//418
    "qFastCos$",	//419
    "qFastSin",	//420
    "qFastSin$",	//421
    "qFlagLocation",	//422
    "qFlagLocation$",	//423
    "qFloor",	//424
    "qFloor$",	//425
    "qFree",	//426
    "qFree$",	//427
    "qFreeAligned",	//428
    "qFreeAligned$",	//429
    "qFuzzyCompare",	//430
    "qFuzzyCompare$$",	//431
    "qFuzzyIsNull",	//432
    "qFuzzyIsNull$",	//433
    "qHash",	//434
    "qHash#",	//435
    "qHash$",	//436
    "qHash?",	//437
    "qInf",	//438
    "qInstallMsgHandler",	//439
    "qInstallMsgHandler$",	//440
    "qIntCast",	//441
    "qIntCast$",	//442
    "qIsFinite",	//443
    "qIsFinite$",	//444
    "qIsInf",	//445
    "qIsInf$",	//446
    "qIsNaN",	//447
    "qIsNaN$",	//448
    "qIsNull",	//449
    "qIsNull$",	//450
    "qLn",	//451
    "qLn$",	//452
    "qMalloc",	//453
    "qMalloc?",	//454
    "qMallocAligned",	//455
    "qMallocAligned??",	//456
    "qMemCopy",	//457
    "qMemCopy$$?",	//458
    "qMemSet",	//459
    "qMemSet$$?",	//460
    "qPow",	//461
    "qPow$$",	//462
    "qQNaN",	//463
    "qRealloc",	//464
    "qRealloc$?",	//465
    "qReallocAligned",	//466
    "qReallocAligned$???",	//467
    "qRegisterStaticPluginInstanceFunction",	//468
    "qRegisterStaticPluginInstanceFunction#",	//469
    "qRemovePostRoutine",	//470
    "qRemovePostRoutine$",	//471
    "qRound",	//472
    "qRound$",	//473
    "qRound64",	//474
    "qRound64$",	//475
    "qSNaN",	//476
    "qSetFieldWidth",	//477
    "qSetFieldWidth$",	//478
    "qSetPadChar",	//479
    "qSetPadChar#",	//480
    "qSetRealNumberPrecision",	//481
    "qSetRealNumberPrecision$",	//482
    "qSharedBuild",	//483
    "qSin",	//484
    "qSin$",	//485
    "qSqrt",	//486
    "qSqrt$",	//487
    "qStringComparisonHelper",	//488
    "qStringComparisonHelper#$",	//489
    "qStringComparisonHelper$$",	//490
    "qTan",	//491
    "qTan$",	//492
    "qUncompress",	//493
    "qUncompress#",	//494
    "qUncompress$$",	//495
    "qVersion",	//496
    "qWarning",	//497
    "qbswap_helper",	//498
    "qbswap_helper$$$",	//499
    "qgetenv",	//500
    "qgetenv$",	//501
    "qputenv",	//502
    "qputenv$#",	//503
    "qrand",	//504
    "qsrand",	//505
    "qsrand$",	//506
    "qstrcmp",	//507
    "qstrcmp##",	//508
    "qstrcmp#$",	//509
    "qstrcmp$#",	//510
    "qstrcmp$$",	//511
    "qstrcpy",	//512
    "qstrcpy$$",	//513
    "qstrdup",	//514
    "qstrdup$",	//515
    "qstricmp",	//516
    "qstricmp$$",	//517
    "qstrlen",	//518
    "qstrlen$",	//519
    "qstrncmp",	//520
    "qstrncmp$$$",	//521
    "qstrncpy",	//522
    "qstrncpy$$$",	//523
    "qstrnicmp",	//524
    "qstrnicmp$$$",	//525
    "qstrnlen",	//526
    "qstrnlen$$",	//527
    "qtTrId",	//528
    "qtTrId$",	//529
    "qtTrId$$",	//530
    "qt_assert",	//531
    "qt_assert$$$",	//532
    "qt_assert_x",	//533
    "qt_assert_x$$$$",	//534
    "qt_check_pointer",	//535
    "qt_check_pointer$$",	//536
    "qt_error_string",	//537
    "qt_error_string$",	//538
    "qt_message_output",	//539
    "qt_message_output$$",	//540
    "qt_metacall",	//541
    "qt_metacall$$?",	//542
    "qt_metacast",	//543
    "qt_metacast$",	//544
    "qt_noop",	//545
    "qt_qFindChild_helper",	//546
    "qt_qFindChild_helper#$#",	//547
    "qt_qFindChildren_helper",	//548
    "qt_qFindChildren_helper#$##?",	//549
    "query",	//550
    "queryChange",	//551
    "qvariant_cast_helper",	//552
    "qvariant_cast_helper#$$",	//553
    "qvsnprintf",	//554
    "qvsnprintf$?$?",	//555
    "record",	//556
    "record$",	//557
    "registerSqlDriver",	//558
    "registerSqlDriver$#",	//559
    "relation",	//560
    "relation$",	//561
    "relationModel",	//562
    "relationModel$",	//563
    "remove",	//564
    "remove$",	//565
    "removeColumns",	//566
    "removeColumns$$",	//567
    "removeColumns$$#",	//568
    "removeDatabase",	//569
    "removeDatabase$",	//570
    "removeRows",	//571
    "removeRows$$",	//572
    "removeRows$$#",	//573
    "replace",	//574
    "replace$#",	//575
    "requiredStatus",	//576
    "reset",	//577
    "reset$",	//578
    "result",	//579
    "revert",	//580
    "revertAll",	//581
    "revertRow",	//582
    "revertRow$",	//583
    "rollback",	//584
    "rollbackTransaction",	//585
    "rowCount",	//586
    "rowCount#",	//587
    "savePrepare",	//588
    "savePrepare$",	//589
    "seek",	//590
    "seek$",	//591
    "seek$$",	//592
    "select",	//593
    "selectStatement",	//594
    "setActive",	//595
    "setActive$",	//596
    "setAt",	//597
    "setAt$",	//598
    "setAutoValue",	//599
    "setAutoValue$",	//600
    "setConnectOptions",	//601
    "setConnectOptions$",	//602
    "setCursorName",	//603
    "setCursorName$",	//604
    "setData",	//605
    "setData##",	//606
    "setData##$",	//607
    "setDatabaseName",	//608
    "setDatabaseName$",	//609
    "setDatabaseText",	//610
    "setDatabaseText$",	//611
    "setDefaultConnection",	//612
    "setDefaultConnection$",	//613
    "setDefaultValue",	//614
    "setDefaultValue#",	//615
    "setDescending",	//616
    "setDescending$$",	//617
    "setDriverText",	//618
    "setDriverText$",	//619
    "setEditStrategy",	//620
    "setEditStrategy$",	//621
    "setFilter",	//622
    "setFilter$",	//623
    "setForwardOnly",	//624
    "setForwardOnly$",	//625
    "setGenerated",	//626
    "setGenerated$",	//627
    "setGenerated$$",	//628
    "setHeaderData",	//629
    "setHeaderData$$#",	//630
    "setHeaderData$$#$",	//631
    "setHostName",	//632
    "setHostName$",	//633
    "setItemData",	//634
    "setJoinMode",	//635
    "setJoinMode$",	//636
    "setLastError",	//637
    "setLastError#",	//638
    "setLength",	//639
    "setLength$",	//640
    "setName",	//641
    "setName$",	//642
    "setNull",	//643
    "setNull$",	//644
    "setNumber",	//645
    "setNumber$",	//646
    "setNumericalPrecisionPolicy",	//647
    "setNumericalPrecisionPolicy$",	//648
    "setOpen",	//649
    "setOpen$",	//650
    "setOpenError",	//651
    "setOpenError$",	//652
    "setPassword",	//653
    "setPassword$",	//654
    "setPort",	//655
    "setPort$",	//656
    "setPrecision",	//657
    "setPrecision$",	//658
    "setPrimaryKey",	//659
    "setPrimaryKey#",	//660
    "setQuery",	//661
    "setQuery#",	//662
    "setQuery$",	//663
    "setQuery$#",	//664
    "setReadOnly",	//665
    "setReadOnly$",	//666
    "setRecord",	//667
    "setRecord$#",	//668
    "setRelation",	//669
    "setRelation$#",	//670
    "setRequired",	//671
    "setRequired$",	//672
    "setRequiredStatus",	//673
    "setRequiredStatus$",	//674
    "setSelect",	//675
    "setSelect$",	//676
    "setSort",	//677
    "setSort$$",	//678
    "setSqlType",	//679
    "setSqlType$",	//680
    "setTable",	//681
    "setTable$",	//682
    "setType",	//683
    "setType$",	//684
    "setUserName",	//685
    "setUserName$",	//686
    "setValue",	//687
    "setValue#",	//688
    "setValue$#",	//689
    "size",	//690
    "sort",	//691
    "sort$$",	//692
    "span",	//693
    "sqlStatement",	//694
    "sqlStatement$$#$",	//695
    "staticMetaObject",	//696
    "stripDelimiters",	//697
    "stripDelimiters$$",	//698
    "stripDelimitersImplementation",	//699
    "stripDelimitersImplementation$$",	//700
    "submit",	//701
    "submitAll",	//702
    "subscribeToNotification",	//703
    "subscribeToNotification$",	//704
    "subscribeToNotificationImplementation",	//705
    "subscribeToNotificationImplementation$",	//706
    "subscribedToNotifications",	//707
    "subscribedToNotificationsImplementation",	//708
    "supportedDropActions",	//709
    "tableName",	//710
    "tables",	//711
    "tables$",	//712
    "text",	//713
    "timerEvent",	//714
    "tr",	//715
    "tr$",	//716
    "tr$$",	//717
    "tr$$$",	//718
    "trUtf8",	//719
    "trUtf8$",	//720
    "trUtf8$$",	//721
    "trUtf8$$$",	//722
    "transaction",	//723
    "type",	//724
    "typeID",	//725
    "unsubscribeFromNotification",	//726
    "unsubscribeFromNotification$",	//727
    "unsubscribeFromNotificationImplementation",	//728
    "unsubscribeFromNotificationImplementation$",	//729
    "updateRowInTable",	//730
    "updateRowInTable$#",	//731
    "userName",	//732
    "value",	//733
    "value$",	//734
    "virtual_hook",	//735
    "virtual_hook$$",	//736
    "~QSqlDatabase",	//737
    "~QSqlDriver",	//738
    "~QSqlDriverCreatorBase",	//739
    "~QSqlDriverFactoryInterface",	//740
    "~QSqlDriverPlugin",	//741
    "~QSqlError",	//742
    "~QSqlField",	//743
    "~QSqlIndex",	//744
    "~QSqlQuery",	//745
    "~QSqlQueryModel",	//746
    "~QSqlRecord",	//747
    "~QSqlRelation",	//748
    "~QSqlRelationalTableModel",	//749
    "~QSqlResult",	//750
    "~QSqlTableModel",	//751
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 605, 1, 3, Smoke::mf_virtual, 233, 0},	//1 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {1, 289, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 61, 0},	//2 QAbstractItemModel::itemData(const QModelIndex&) const
    {1, 634, 7, 2, Smoke::mf_virtual, 233, 0},	//3 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {1, 299, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 121, 0},	//4 QAbstractItemModel::mimeTypes() const
    {1, 298, 10, 1, Smoke::mf_const|Smoke::mf_virtual, 63, 0},	//5 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {1, 709, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 0},	//6 QAbstractItemModel::supportedDropActions() const
    {1, 263, 12, 3, Smoke::mf_virtual, 233, 0},	//7 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {1, 571, 12, 3, Smoke::mf_virtual, 233, 0},	//8 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {1, 235, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 0},	//9 QAbstractItemModel::flags(const QModelIndex&) const
    {1, 691, 16, 2, Smoke::mf_virtual, 0, 0},	//10 QAbstractItemModel::sort(int, Qt::SortOrder)
    {1, 161, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 64, 0},	//11 QAbstractItemModel::buddy(const QModelIndex&) const
    {1, 296, 19, 5, Smoke::mf_const|Smoke::mf_virtual, 56, 0},	//12 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {1, 693, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 0},	//13 QAbstractItemModel::span(const QModelIndex&) const
    {1, 701, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 233, 0},	//14 QAbstractItemModel::submit()
    {1, 580, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//15 QAbstractItemModel::revert()
    {2, 248, 12, 3, Smoke::mf_const|Smoke::mf_virtual, 64, 0},	//16 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {2, 207, 25, 5, Smoke::mf_virtual, 233, 0},	//17 QAbstractTableModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {15, 290, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 0},	//18 QFactoryInterface::keys() const [pure virtual]
    {16, 472, 31, 1, Smoke::mf_static, 297, 1},	//19 QGlobalSpace::qRound(double)
    {16, 374, 33, 2, Smoke::mf_static, 26, 2},	//20 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {16, 389, 31, 1, Smoke::mf_static, 295, 3},	//21 QGlobalSpace::qAcos(double)
    {16, 368, 36, 2, Smoke::mf_static, 10, 4},	//22 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {16, 374, 39, 2, Smoke::mf_static, 24, 5},	//23 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {16, 363, 42, 2, Smoke::mf_static, 233, 6},	//24 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {16, 368, 45, 2, Smoke::mf_static, 10, 7},	//25 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {16, 393, 0, 0, Smoke::mf_static, 117, 8},	//26 QGlobalSpace::qAppName()
    {16, 374, 48, 2, Smoke::mf_static, 52, 9},	//27 QGlobalSpace::operator|(Qt::WindowType, int)
    {16, 522, 51, 3, Smoke::mf_static, 235, 10},	//28 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {16, 434, 55, 1, Smoke::mf_static, 305, 11},	//29 QGlobalSpace::qHash(unsigned int)
    {16, 434, 57, 1, Smoke::mf_static, 305, 12},	//30 QGlobalSpace::qHash(char)
    {16, 323, 59, 2, Smoke::mf_static, 268, 13},	//31 QGlobalSpace::operator*(const QSizeF&, double)
    {16, 341, 62, 2, Smoke::mf_static, 13, 14},	//32 QGlobalSpace::operator<<(QDebug, const QLine&)
    {16, 500, 65, 1, Smoke::mf_static, 5, 15},	//33 QGlobalSpace::qgetenv(const char*)
    {16, 336, 67, 2, Smoke::mf_static, 233, 16},	//34 QGlobalSpace::operator<(const QByteArray&, const char*)
    {16, 358, 70, 2, Smoke::mf_static, 233, 17},	//35 QGlobalSpace::operator>(const char*, const QString&)
    {16, 368, 73, 2, Smoke::mf_static, 10, 18},	//36 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {16, 374, 76, 2, Smoke::mf_static, 41, 19},	//37 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {16, 352, 79, 2, Smoke::mf_static, 233, 20},	//38 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {16, 341, 82, 2, Smoke::mf_static, 13, 21},	//39 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {16, 352, 85, 2, Smoke::mf_static, 233, 22},	//40 QGlobalSpace::operator==(const QSize&, const QSize&)
    {16, 420, 31, 1, Smoke::mf_static, 295, 23},	//41 QGlobalSpace::qFastSin(double)
    {16, 326, 88, 2, Smoke::mf_static, 281, 24},	//42 QGlobalSpace::operator+(QChar, const QString&)
    {16, 341, 91, 2, Smoke::mf_static, 13, 25},	//43 QGlobalSpace::operator<<(QDebug, const QSqlError&)
    {16, 520, 94, 3, Smoke::mf_static, 297, 26},	//44 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {16, 345, 98, 2, Smoke::mf_static, 233, 27},	//45 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {16, 345, 101, 2, Smoke::mf_static, 233, 28},	//46 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {16, 554, 104, 4, Smoke::mf_static, 297, 29},	//47 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {16, 315, 109, 2, Smoke::mf_static, 233, 30},	//48 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {16, 315, 112, 2, Smoke::mf_static, 233, 31},	//49 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {16, 326, 115, 2, Smoke::mf_static, 281, 32},	//50 QGlobalSpace::operator+(const QString&, QChar)
    {16, 326, 85, 2, Smoke::mf_static, 266, 33},	//51 QGlobalSpace::operator+(const QSize&, const QSize&)
    {16, 526, 118, 2, Smoke::mf_static, 305, 34},	//52 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {16, 352, 101, 2, Smoke::mf_static, 233, 35},	//53 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {16, 368, 121, 2, Smoke::mf_static, 10, 36},	//54 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {16, 315, 124, 2, Smoke::mf_static, 233, 37},	//55 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {16, 341, 127, 2, Smoke::mf_static, 13, 38},	//56 QGlobalSpace::operator<<(QDebug, const QDate&)
    {16, 374, 130, 2, Smoke::mf_static, 47, 39},	//57 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {16, 341, 133, 2, Smoke::mf_static, 13, 40},	//58 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {16, 315, 136, 2, Smoke::mf_static, 233, 41},	//59 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {16, 434, 139, 1, Smoke::mf_static, 305, 42},	//60 QGlobalSpace::qHash(unsigned char)
    {16, 548, 141, 5, Smoke::mf_static, 0, 43},	//61 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {16, 352, 147, 2, Smoke::mf_static, 233, 44},	//62 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {16, 537, 150, 1, Smoke::mf_static, 117, 45},	//63 QGlobalSpace::qt_error_string(int)
    {16, 537, 0, 0, Smoke::mf_static, 117, 46},	//64 QGlobalSpace::qt_error_string()
    {16, 368, 152, 2, Smoke::mf_static, 10, 47},	//65 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {16, 449, 155, 1, Smoke::mf_static, 233, 48},	//66 QGlobalSpace::qIsNull(float)
    {16, 374, 157, 2, Smoke::mf_static, 52, 49},	//67 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {16, 463, 0, 0, Smoke::mf_static, 295, 50},	//68 QGlobalSpace::qQNaN()
    {16, 315, 160, 2, Smoke::mf_static, 233, 51},	//69 QGlobalSpace::operator!=(QChar, QChar)
    {16, 479, 163, 1, Smoke::mf_static, 128, 52},	//70 QGlobalSpace::qSetPadChar(QChar)
    {16, 341, 165, 2, Smoke::mf_static, 13, 53},	//71 QGlobalSpace::operator<<(QDebug, const QSqlField&)
    {16, 368, 168, 2, Smoke::mf_static, 10, 54},	//72 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {16, 341, 171, 2, Smoke::mf_static, 13, 55},	//73 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {16, 374, 174, 2, Smoke::mf_static, 28, 56},	//74 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {16, 331, 109, 2, Smoke::mf_static, 260, 57},	//75 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {16, 528, 177, 2, Smoke::mf_static, 117, 58},	//76 QGlobalSpace::qtTrId(const char*, int)
    {16, 528, 65, 1, Smoke::mf_static, 117, 59},	//77 QGlobalSpace::qtTrId(const char*)
    {16, 398, 180, 2, Smoke::mf_static, 295, 60},	//78 QGlobalSpace::qAtan2(double, double)
    {16, 341, 183, 2, Smoke::mf_static, 10, 61},	//79 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {16, 434, 186, 1, Smoke::mf_static, 305, 62},	//80 QGlobalSpace::qHash(short)
    {16, 341, 188, 2, Smoke::mf_static, 10, 63},	//81 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {16, 352, 42, 2, Smoke::mf_static, 233, 64},	//82 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {16, 374, 191, 2, Smoke::mf_static, 46, 65},	//83 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {16, 443, 31, 1, Smoke::mf_static, 233, 66},	//84 QGlobalSpace::qIsFinite(double)
    {16, 374, 194, 2, Smoke::mf_static, 41, 67},	//85 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {16, 507, 67, 2, Smoke::mf_static, 297, 68},	//86 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {16, 514, 65, 1, Smoke::mf_static, 235, 69},	//87 QGlobalSpace::qstrdup(const char*)
    {16, 434, 197, 1, Smoke::mf_static, 305, 70},	//88 QGlobalSpace::qHash(long)
    {16, 374, 199, 2, Smoke::mf_static, 40, 71},	//89 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {16, 507, 202, 2, Smoke::mf_static, 297, 72},	//90 QGlobalSpace::qstrcmp(const char*, const char*)
    {16, 341, 205, 2, Smoke::mf_static, 10, 73},	//91 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {16, 358, 98, 2, Smoke::mf_static, 233, 74},	//92 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {16, 315, 208, 2, Smoke::mf_static, 233, 75},	//93 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {16, 326, 211, 2, Smoke::mf_static, 237, 76},	//94 QGlobalSpace::operator+(const char*, const QByteArray&)
    {16, 315, 42, 2, Smoke::mf_static, 233, 77},	//95 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {16, 434, 214, 1, Smoke::mf_static, 305, 78},	//96 QGlobalSpace::qHash(const QBitArray&)
    {16, 374, 216, 2, Smoke::mf_static, 24, 79},	//97 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {16, 512, 219, 2, Smoke::mf_static, 235, 80},	//98 QGlobalSpace::qstrcpy(char*, const char*)
    {16, 374, 222, 2, Smoke::mf_static, 2, 81},	//99 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {16, 315, 225, 2, Smoke::mf_static, 233, 82},	//100 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {16, 336, 211, 2, Smoke::mf_static, 233, 83},	//101 QGlobalSpace::operator<(const char*, const QByteArray&)
    {16, 396, 31, 1, Smoke::mf_static, 295, 84},	//102 QGlobalSpace::qAtan(double)
    {16, 507, 211, 2, Smoke::mf_static, 297, 85},	//103 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {16, 363, 160, 2, Smoke::mf_static, 233, 86},	//104 QGlobalSpace::operator>=(QChar, QChar)
    {16, 374, 228, 2, Smoke::mf_static, 42, 87},	//105 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {16, 345, 160, 2, Smoke::mf_static, 233, 88},	//106 QGlobalSpace::operator<=(QChar, QChar)
    {16, 323, 231, 2, Smoke::mf_static, 260, 89},	//107 QGlobalSpace::operator*(const QPointF&, double)
    {16, 341, 234, 2, Smoke::mf_static, 13, 90},	//108 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {16, 352, 237, 2, Smoke::mf_static, 233, 91},	//109 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {16, 374, 240, 2, Smoke::mf_static, 21, 92},	//110 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {16, 535, 177, 2, Smoke::mf_static, 0, 93},	//111 QGlobalSpace::qt_check_pointer(const char*, int)
    {16, 352, 208, 2, Smoke::mf_static, 233, 94},	//112 QGlobalSpace::operator==(QString::Null, QString::Null)
    {16, 315, 98, 2, Smoke::mf_static, 233, 95},	//113 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {16, 368, 243, 2, Smoke::mf_static, 10, 96},	//114 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {16, 315, 246, 2, Smoke::mf_static, 233, 97},	//115 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {16, 345, 249, 2, Smoke::mf_static, 233, 98},	//116 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {16, 493, 252, 2, Smoke::mf_static, 5, 99},	//117 QGlobalSpace::qUncompress(const unsigned char*, int)
    {16, 405, 255, 2, Smoke::mf_static, 5, 100},	//118 QGlobalSpace::qCompress(const QByteArray&, int)
    {16, 405, 258, 1, Smoke::mf_static, 5, 101},	//119 QGlobalSpace::qCompress(const QByteArray&)
    {16, 341, 260, 2, Smoke::mf_static, 10, 102},	//120 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {16, 368, 263, 2, Smoke::mf_static, 125, 103},	//121 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {16, 374, 266, 2, Smoke::mf_static, 52, 104},	//122 QGlobalSpace::operator|(Qt::DropAction, int)
    {16, 466, 269, 4, Smoke::mf_static, 312, 105},	//123 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {16, 374, 274, 2, Smoke::mf_static, 52, 106},	//124 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {16, 358, 42, 2, Smoke::mf_static, 233, 107},	//125 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {16, 486, 31, 1, Smoke::mf_static, 295, 108},	//126 QGlobalSpace::qSqrt(double)
    {16, 341, 263, 2, Smoke::mf_static, 125, 109},	//127 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {16, 341, 277, 2, Smoke::mf_static, 10, 110},	//128 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {16, 341, 280, 2, Smoke::mf_static, 13, 111},	//129 QGlobalSpace::operator<<(QDebug, const QRect&)
    {16, 358, 101, 2, Smoke::mf_static, 233, 112},	//130 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {16, 363, 249, 2, Smoke::mf_static, 233, 113},	//131 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {16, 441, 155, 1, Smoke::mf_static, 297, 114},	//132 QGlobalSpace::qIntCast(float)
    {16, 374, 283, 2, Smoke::mf_static, 32, 115},	//133 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {16, 352, 109, 2, Smoke::mf_static, 233, 116},	//134 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {16, 358, 211, 2, Smoke::mf_static, 233, 117},	//135 QGlobalSpace::operator>(const char*, const QByteArray&)
    {16, 416, 31, 1, Smoke::mf_static, 295, 118},	//136 QGlobalSpace::qFabs(double)
    {16, 434, 286, 1, Smoke::mf_static, 305, 119},	//137 QGlobalSpace::qHash(unsigned short)
    {16, 352, 211, 2, Smoke::mf_static, 233, 120},	//138 QGlobalSpace::operator==(const char*, const QByteArray&)
    {16, 374, 288, 2, Smoke::mf_static, 46, 121},	//139 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {16, 374, 291, 2, Smoke::mf_static, 31, 122},	//140 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {16, 341, 294, 2, Smoke::mf_static, 13, 123},	//141 QGlobalSpace::operator<<(QDebug, const QDir&)
    {16, 374, 297, 2, Smoke::mf_static, 44, 124},	//142 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {16, 315, 101, 2, Smoke::mf_static, 233, 125},	//143 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {16, 464, 300, 2, Smoke::mf_static, 312, 126},	//144 QGlobalSpace::qRealloc(void*, size_t)
    {16, 374, 303, 2, Smoke::mf_static, 37, 127},	//145 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {16, 374, 306, 2, Smoke::mf_static, 52, 128},	//146 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {16, 352, 309, 2, Smoke::mf_static, 233, 129},	//147 QGlobalSpace::operator==(const QString&, QString::Null)
    {16, 374, 312, 2, Smoke::mf_static, 38, 130},	//148 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {16, 497, 0, 0, Smoke::mf_static, 13, 131},	//149 QGlobalSpace::qWarning()
    {16, 374, 315, 2, Smoke::mf_static, 52, 132},	//150 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {16, 430, 180, 2, Smoke::mf_static, 233, 133},	//151 QGlobalSpace::qFuzzyCompare(double, double)
    {16, 345, 42, 2, Smoke::mf_static, 233, 134},	//152 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {16, 374, 318, 2, Smoke::mf_static, 29, 135},	//153 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {16, 374, 321, 2, Smoke::mf_static, 27, 136},	//154 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {16, 368, 324, 2, Smoke::mf_static, 10, 137},	//155 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {16, 341, 327, 2, Smoke::mf_static, 10, 138},	//156 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {16, 315, 330, 2, Smoke::mf_static, 233, 139},	//157 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {16, 323, 333, 2, Smoke::mf_static, 266, 140},	//158 QGlobalSpace::operator*(double, const QSize&)
    {16, 374, 336, 2, Smoke::mf_static, 36, 141},	//159 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {16, 413, 0, 0, Smoke::mf_static, 13, 142},	//160 QGlobalSpace::qDebug()
    {16, 434, 339, 1, Smoke::mf_static, 305, 143},	//161 QGlobalSpace::qHash(long long)
    {16, 374, 341, 2, Smoke::mf_static, 43, 144},	//162 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {16, 345, 70, 2, Smoke::mf_static, 233, 145},	//163 QGlobalSpace::operator<=(const char*, const QString&)
    {16, 323, 344, 2, Smoke::mf_static, 258, 146},	//164 QGlobalSpace::operator*(const QPoint&, float)
    {16, 331, 347, 1, Smoke::mf_static, 260, 147},	//165 QGlobalSpace::operator-(const QPointF&)
    {16, 374, 349, 2, Smoke::mf_static, 52, 148},	//166 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {16, 445, 155, 1, Smoke::mf_static, 233, 149},	//167 QGlobalSpace::qIsInf(float)
    {16, 374, 352, 2, Smoke::mf_static, 52, 150},	//168 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {16, 326, 70, 2, Smoke::mf_static, 281, 151},	//169 QGlobalSpace::operator+(const char*, const QString&)
    {16, 345, 211, 2, Smoke::mf_static, 233, 152},	//170 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {16, 341, 355, 2, Smoke::mf_static, 13, 153},	//171 QGlobalSpace::operator<<(QDebug, const QSize&)
    {16, 315, 249, 2, Smoke::mf_static, 233, 154},	//172 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {16, 358, 160, 2, Smoke::mf_static, 233, 155},	//173 QGlobalSpace::operator>(QChar, QChar)
    {16, 334, 59, 2, Smoke::mf_static, 268, 156},	//174 QGlobalSpace::operator/(const QSizeF&, double)
    {16, 374, 358, 2, Smoke::mf_static, 52, 157},	//175 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {16, 341, 361, 2, Smoke::mf_static, 13, 158},	//176 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {16, 507, 249, 2, Smoke::mf_static, 297, 159},	//177 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {16, 321, 222, 2, Smoke::mf_static, 2, 160},	//178 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {16, 341, 364, 2, Smoke::mf_static, 13, 161},	//179 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {16, 331, 367, 1, Smoke::mf_static, 258, 162},	//180 QGlobalSpace::operator-(const QPoint&)
    {16, 363, 67, 2, Smoke::mf_static, 233, 163},	//181 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {16, 341, 369, 2, Smoke::mf_static, 10, 164},	//182 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {16, 374, 372, 2, Smoke::mf_static, 32, 165},	//183 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {16, 363, 98, 2, Smoke::mf_static, 233, 166},	//184 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {16, 336, 101, 2, Smoke::mf_static, 233, 167},	//185 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {16, 315, 375, 2, Smoke::mf_static, 233, 168},	//186 QGlobalSpace::operator!=(QBool, QBool)
    {16, 326, 378, 2, Smoke::mf_static, 281, 169},	//187 QGlobalSpace::operator+(const QString&, char)
    {16, 315, 381, 2, Smoke::mf_static, 233, 170},	//188 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {16, 434, 384, 1, Smoke::mf_static, 305, 171},	//189 QGlobalSpace::qHash(unsigned long long)
    {16, 352, 98, 2, Smoke::mf_static, 233, 172},	//190 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {16, 422, 65, 1, Smoke::mf_static, 292, 173},	//191 QGlobalSpace::qFlagLocation(const char*)
    {16, 334, 231, 2, Smoke::mf_static, 260, 174},	//192 QGlobalSpace::operator/(const QPointF&, double)
    {16, 441, 31, 1, Smoke::mf_static, 297, 175},	//193 QGlobalSpace::qIntCast(double)
    {16, 374, 386, 2, Smoke::mf_static, 52, 176},	//194 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {16, 493, 258, 1, Smoke::mf_static, 5, 177},	//195 QGlobalSpace::qUncompress(const QByteArray&)
    {16, 315, 79, 2, Smoke::mf_static, 233, 178},	//196 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {16, 341, 389, 2, Smoke::mf_static, 13, 179},	//197 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {16, 352, 392, 2, Smoke::mf_static, 233, 180},	//198 QGlobalSpace::operator==(QString::Null, const QString&)
    {16, 345, 67, 2, Smoke::mf_static, 233, 181},	//199 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {16, 418, 31, 1, Smoke::mf_static, 295, 182},	//200 QGlobalSpace::qFastCos(double)
    {16, 470, 395, 1, Smoke::mf_static, 0, 183},	//201 QGlobalSpace::qRemovePostRoutine(void(*)())
    {16, 374, 397, 2, Smoke::mf_static, 29, 184},	//202 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {16, 374, 400, 2, Smoke::mf_static, 38, 185},	//203 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {16, 368, 403, 2, Smoke::mf_static, 10, 186},	//204 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {16, 430, 406, 2, Smoke::mf_static, 233, 187},	//205 QGlobalSpace::qFuzzyCompare(float, float)
    {16, 341, 409, 2, Smoke::mf_static, 10, 188},	//206 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {16, 403, 118, 2, Smoke::mf_static, 308, 189},	//207 QGlobalSpace::qChecksum(const char*, unsigned int)
    {16, 368, 412, 2, Smoke::mf_static, 10, 190},	//208 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {16, 323, 415, 2, Smoke::mf_static, 266, 191},	//209 QGlobalSpace::operator*(const QSize&, double)
    {16, 439, 418, 1, Smoke::mf_static, 311, 192},	//210 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {16, 341, 420, 2, Smoke::mf_static, 125, 193},	//211 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {16, 331, 225, 2, Smoke::mf_static, 258, 194},	//212 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {16, 374, 423, 2, Smoke::mf_static, 35, 195},	//213 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {16, 368, 426, 2, Smoke::mf_static, 10, 196},	//214 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {16, 374, 429, 2, Smoke::mf_static, 22, 197},	//215 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {16, 412, 0, 0, Smoke::mf_static, 13, 198},	//216 QGlobalSpace::qCritical()
    {16, 461, 180, 2, Smoke::mf_static, 295, 199},	//217 QGlobalSpace::qPow(double, double)
    {16, 334, 432, 2, Smoke::mf_static, 258, 200},	//218 QGlobalSpace::operator/(const QPoint&, double)
    {16, 341, 435, 2, Smoke::mf_static, 10, 201},	//219 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {16, 341, 438, 2, Smoke::mf_static, 10, 202},	//220 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {16, 315, 392, 2, Smoke::mf_static, 233, 203},	//221 QGlobalSpace::operator!=(QString::Null, const QString&)
    {16, 434, 150, 1, Smoke::mf_static, 305, 204},	//222 QGlobalSpace::qHash(int)
    {16, 374, 441, 2, Smoke::mf_static, 39, 205},	//223 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {16, 545, 0, 0, Smoke::mf_static, 0, 206},	//224 QGlobalSpace::qt_noop()
    {16, 352, 112, 2, Smoke::mf_static, 233, 207},	//225 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {16, 374, 444, 2, Smoke::mf_static, 52, 208},	//226 QGlobalSpace::operator|(Qt::WindowState, int)
    {16, 315, 147, 2, Smoke::mf_static, 233, 209},	//227 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {16, 368, 447, 2, Smoke::mf_static, 10, 210},	//228 QGlobalSpace::operator>>(QDataStream&, QString&)
    {16, 546, 450, 3, Smoke::mf_static, 65, 211},	//229 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {16, 341, 454, 2, Smoke::mf_static, 10, 212},	//230 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {16, 352, 375, 2, Smoke::mf_static, 233, 213},	//231 QGlobalSpace::operator==(QBool, QBool)
    {16, 414, 31, 1, Smoke::mf_static, 295, 214},	//232 QGlobalSpace::qExp(double)
    {16, 368, 457, 2, Smoke::mf_static, 10, 215},	//233 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {16, 368, 460, 2, Smoke::mf_static, 10, 216},	//234 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {16, 374, 463, 2, Smoke::mf_static, 42, 217},	//235 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {16, 352, 466, 2, Smoke::mf_static, 233, 218},	//236 QGlobalSpace::operator==(bool, QBool)
    {16, 374, 469, 2, Smoke::mf_static, 33, 219},	//237 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {16, 432, 31, 1, Smoke::mf_static, 233, 220},	//238 QGlobalSpace::qFuzzyIsNull(double)
    {16, 368, 472, 2, Smoke::mf_static, 10, 221},	//239 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {16, 552, 475, 3, Smoke::mf_static, 233, 222},	//240 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {16, 336, 70, 2, Smoke::mf_static, 233, 223},	//241 QGlobalSpace::operator<(const char*, const QString&)
    {16, 352, 479, 2, Smoke::mf_static, 233, 224},	//242 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {16, 498, 482, 3, Smoke::mf_static, 0, 225},	//243 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {16, 434, 163, 1, Smoke::mf_static, 305, 226},	//244 QGlobalSpace::qHash(QChar)
    {16, 374, 486, 2, Smoke::mf_static, 52, 227},	//245 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {16, 341, 489, 2, Smoke::mf_static, 10, 228},	//246 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {16, 315, 479, 2, Smoke::mf_static, 233, 229},	//247 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {16, 336, 42, 2, Smoke::mf_static, 233, 230},	//248 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {16, 315, 466, 2, Smoke::mf_static, 233, 231},	//249 QGlobalSpace::operator!=(bool, QBool)
    {16, 539, 492, 2, Smoke::mf_static, 0, 232},	//250 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {16, 374, 495, 2, Smoke::mf_static, 25, 233},	//251 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {16, 505, 55, 1, Smoke::mf_static, 0, 234},	//252 QGlobalSpace::qsrand(unsigned int)
    {16, 352, 498, 2, Smoke::mf_static, 233, 235},	//253 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {16, 326, 501, 2, Smoke::mf_static, 281, 236},	//254 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {16, 374, 504, 2, Smoke::mf_static, 34, 237},	//255 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {16, 341, 507, 2, Smoke::mf_static, 13, 238},	//256 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {16, 374, 510, 2, Smoke::mf_static, 52, 239},	//257 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {16, 368, 513, 2, Smoke::mf_static, 10, 240},	//258 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {16, 315, 309, 2, Smoke::mf_static, 233, 241},	//259 QGlobalSpace::operator!=(const QString&, QString::Null)
    {16, 516, 202, 2, Smoke::mf_static, 297, 242},	//260 QGlobalSpace::qstricmp(const char*, const char*)
    {16, 374, 516, 2, Smoke::mf_static, 50, 243},	//261 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {16, 459, 519, 3, Smoke::mf_static, 312, 244},	//262 QGlobalSpace::qMemSet(void*, int, size_t)
    {16, 341, 523, 2, Smoke::mf_static, 13, 245},	//263 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {16, 315, 85, 2, Smoke::mf_static, 233, 246},	//264 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {16, 401, 31, 1, Smoke::mf_static, 297, 247},	//265 QGlobalSpace::qCeil(double)
    {16, 434, 526, 1, Smoke::mf_static, 305, 248},	//266 QGlobalSpace::qHash(signed char)
    {16, 374, 528, 2, Smoke::mf_static, 50, 249},	//267 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {16, 352, 136, 2, Smoke::mf_static, 233, 250},	//268 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {16, 374, 531, 2, Smoke::mf_static, 49, 251},	//269 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {16, 352, 381, 2, Smoke::mf_static, 233, 252},	//270 QGlobalSpace::operator==(const char*, const QStringRef&)
    {16, 341, 534, 2, Smoke::mf_static, 13, 253},	//271 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {16, 368, 537, 2, Smoke::mf_static, 10, 254},	//272 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {16, 374, 540, 2, Smoke::mf_static, 52, 255},	//273 QGlobalSpace::operator|(QFile::Permission, int)
    {16, 326, 225, 2, Smoke::mf_static, 258, 256},	//274 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {16, 326, 67, 2, Smoke::mf_static, 237, 257},	//275 QGlobalSpace::operator+(const QByteArray&, const char*)
    {16, 391, 395, 1, Smoke::mf_static, 0, 258},	//276 QGlobalSpace::qAddPostRoutine(void(*)())
    {16, 468, 543, 1, Smoke::mf_static, 0, 259},	//277 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {16, 323, 545, 2, Smoke::mf_static, 260, 260},	//278 QGlobalSpace::operator*(double, const QPointF&)
    {16, 323, 548, 2, Smoke::mf_static, 258, 261},	//279 QGlobalSpace::operator*(int, const QPoint&)
    {16, 483, 0, 0, Smoke::mf_static, 233, 262},	//280 QGlobalSpace::qSharedBuild()
    {16, 341, 551, 2, Smoke::mf_static, 10, 263},	//281 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {16, 341, 554, 2, Smoke::mf_static, 10, 264},	//282 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {16, 368, 557, 2, Smoke::mf_static, 10, 265},	//283 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {16, 438, 0, 0, Smoke::mf_static, 295, 266},	//284 QGlobalSpace::qInf()
    {16, 524, 94, 3, Smoke::mf_static, 297, 267},	//285 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {16, 434, 560, 1, Smoke::mf_static, 305, 268},	//286 QGlobalSpace::qHash(const QStringRef&)
    {16, 368, 562, 2, Smoke::mf_static, 10, 269},	//287 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {16, 374, 565, 2, Smoke::mf_static, 52, 270},	//288 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {16, 341, 568, 2, Smoke::mf_static, 10, 271},	//289 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {16, 358, 249, 2, Smoke::mf_static, 233, 272},	//290 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {16, 341, 571, 2, Smoke::mf_static, 13, 273},	//291 QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    {16, 352, 160, 2, Smoke::mf_static, 233, 274},	//292 QGlobalSpace::operator==(QChar, QChar)
    {16, 410, 31, 1, Smoke::mf_static, 295, 275},	//293 QGlobalSpace::qCos(double)
    {16, 455, 574, 2, Smoke::mf_static, 312, 276},	//294 QGlobalSpace::qMallocAligned(size_t, size_t)
    {16, 341, 577, 2, Smoke::mf_static, 10, 277},	//295 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {16, 326, 580, 2, Smoke::mf_static, 281, 278},	//296 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {16, 533, 583, 4, Smoke::mf_static, 0, 279},	//297 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {16, 374, 588, 2, Smoke::mf_static, 34, 280},	//298 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {16, 374, 591, 2, Smoke::mf_static, 25, 281},	//299 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {16, 326, 594, 2, Smoke::mf_static, 237, 282},	//300 QGlobalSpace::operator+(const QByteArray&, char)
    {16, 374, 597, 2, Smoke::mf_static, 28, 283},	//301 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {16, 496, 0, 0, Smoke::mf_static, 292, 284},	//302 QGlobalSpace::qVersion()
    {16, 374, 600, 2, Smoke::mf_static, 35, 285},	//303 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {16, 341, 603, 2, Smoke::mf_static, 10, 286},	//304 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {16, 326, 109, 2, Smoke::mf_static, 260, 287},	//305 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {16, 352, 70, 2, Smoke::mf_static, 233, 288},	//306 QGlobalSpace::operator==(const char*, const QString&)
    {16, 374, 606, 2, Smoke::mf_static, 27, 289},	//307 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {16, 341, 609, 2, Smoke::mf_static, 10, 290},	//308 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {16, 374, 612, 2, Smoke::mf_static, 52, 291},	//309 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {16, 352, 330, 2, Smoke::mf_static, 233, 292},	//310 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {16, 488, 615, 2, Smoke::mf_static, 233, 293},	//311 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {16, 374, 618, 2, Smoke::mf_static, 23, 294},	//312 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {16, 341, 621, 2, Smoke::mf_static, 10, 295},	//313 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {16, 326, 624, 2, Smoke::mf_static, 237, 296},	//314 QGlobalSpace::operator+(char, const QByteArray&)
    {16, 326, 627, 2, Smoke::mf_static, 281, 297},	//315 QGlobalSpace::operator+(const QString&, const char*)
    {16, 374, 630, 2, Smoke::mf_static, 52, 298},	//316 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {16, 374, 633, 2, Smoke::mf_static, 30, 299},	//317 QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    {16, 374, 636, 2, Smoke::mf_static, 52, 300},	//318 QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    {16, 336, 249, 2, Smoke::mf_static, 233, 301},	//319 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {16, 405, 639, 3, Smoke::mf_static, 5, 302},	//320 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {16, 405, 252, 2, Smoke::mf_static, 5, 303},	//321 QGlobalSpace::qCompress(const unsigned char*, int)
    {16, 424, 31, 1, Smoke::mf_static, 297, 304},	//322 QGlobalSpace::qFloor(double)
    {16, 374, 643, 2, Smoke::mf_static, 45, 305},	//323 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {16, 434, 646, 1, Smoke::mf_static, 305, 306},	//324 QGlobalSpace::qHash(const QString&)
    {16, 326, 648, 2, Smoke::mf_static, 281, 307},	//325 QGlobalSpace::operator+(const QString&, const QString&)
    {16, 315, 651, 2, Smoke::mf_static, 233, 308},	//326 QGlobalSpace::operator!=(QBool, bool)
    {16, 352, 249, 2, Smoke::mf_static, 233, 309},	//327 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {16, 341, 654, 2, Smoke::mf_static, 10, 310},	//328 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {16, 447, 155, 1, Smoke::mf_static, 233, 311},	//329 QGlobalSpace::qIsNaN(float)
    {16, 341, 657, 2, Smoke::mf_static, 10, 312},	//330 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {16, 374, 660, 2, Smoke::mf_static, 52, 313},	//331 QGlobalSpace::operator|(QDir::SortFlag, int)
    {16, 457, 663, 3, Smoke::mf_static, 312, 314},	//332 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {16, 426, 667, 1, Smoke::mf_static, 0, 315},	//333 QGlobalSpace::qFree(void*)
    {16, 352, 615, 2, Smoke::mf_static, 233, 316},	//334 QGlobalSpace::operator==(const QStringRef&, const char*)
    {16, 363, 70, 2, Smoke::mf_static, 233, 317},	//335 QGlobalSpace::operator>=(const char*, const QString&)
    {16, 447, 31, 1, Smoke::mf_static, 233, 318},	//336 QGlobalSpace::qIsNaN(double)
    {16, 374, 669, 2, Smoke::mf_static, 47, 319},	//337 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {16, 323, 432, 2, Smoke::mf_static, 258, 320},	//338 QGlobalSpace::operator*(const QPoint&, double)
    {16, 341, 672, 2, Smoke::mf_static, 13, 321},	//339 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {16, 481, 150, 1, Smoke::mf_static, 128, 322},	//340 QGlobalSpace::qSetRealNumberPrecision(int)
    {16, 504, 0, 0, Smoke::mf_static, 297, 323},	//341 QGlobalSpace::qrand()
    {16, 368, 675, 2, Smoke::mf_static, 10, 324},	//342 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {16, 434, 678, 1, Smoke::mf_static, 305, 325},	//343 QGlobalSpace::qHash(const QUrl&)
    {16, 374, 680, 2, Smoke::mf_static, 48, 326},	//344 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {16, 326, 249, 2, Smoke::mf_static, 237, 327},	//345 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {16, 323, 683, 2, Smoke::mf_static, 258, 328},	//346 QGlobalSpace::operator*(float, const QPoint&)
    {16, 323, 686, 2, Smoke::mf_static, 258, 329},	//347 QGlobalSpace::operator*(double, const QPoint&)
    {16, 315, 615, 2, Smoke::mf_static, 233, 330},	//348 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {16, 484, 31, 1, Smoke::mf_static, 295, 331},	//349 QGlobalSpace::qSin(double)
    {16, 341, 689, 2, Smoke::mf_static, 13, 332},	//350 QGlobalSpace::operator<<(QDebug, const QObject*)
    {16, 352, 225, 2, Smoke::mf_static, 233, 333},	//351 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {16, 374, 692, 2, Smoke::mf_static, 26, 334},	//352 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {16, 531, 695, 3, Smoke::mf_static, 0, 335},	//353 QGlobalSpace::qt_assert(const char*, const char*, int)
    {16, 341, 699, 2, Smoke::mf_static, 13, 336},	//354 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {16, 518, 65, 1, Smoke::mf_static, 305, 337},	//355 QGlobalSpace::qstrlen(const char*)
    {16, 374, 702, 2, Smoke::mf_static, 33, 338},	//356 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {16, 374, 705, 2, Smoke::mf_static, 23, 339},	//357 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {16, 445, 31, 1, Smoke::mf_static, 233, 340},	//358 QGlobalSpace::qIsInf(double)
    {16, 331, 85, 2, Smoke::mf_static, 266, 341},	//359 QGlobalSpace::operator-(const QSize&, const QSize&)
    {16, 334, 415, 2, Smoke::mf_static, 266, 342},	//360 QGlobalSpace::operator/(const QSize&, double)
    {16, 363, 211, 2, Smoke::mf_static, 233, 343},	//361 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {16, 374, 708, 2, Smoke::mf_static, 52, 344},	//362 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {16, 374, 711, 2, Smoke::mf_static, 52, 345},	//363 QGlobalSpace::operator|(QDir::Filter, int)
    {16, 315, 211, 2, Smoke::mf_static, 233, 346},	//364 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {16, 491, 31, 1, Smoke::mf_static, 295, 347},	//365 QGlobalSpace::qTan(double)
    {16, 474, 31, 1, Smoke::mf_static, 299, 348},	//366 QGlobalSpace::qRound64(double)
    {16, 434, 714, 1, Smoke::mf_static, 305, 349},	//367 QGlobalSpace::qHash(unsigned long)
    {16, 374, 716, 2, Smoke::mf_static, 21, 350},	//368 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {16, 476, 0, 0, Smoke::mf_static, 295, 351},	//369 QGlobalSpace::qSNaN()
    {16, 336, 160, 2, Smoke::mf_static, 233, 352},	//370 QGlobalSpace::operator<(QChar, QChar)
    {16, 374, 719, 2, Smoke::mf_static, 44, 353},	//371 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {16, 374, 722, 2, Smoke::mf_static, 37, 354},	//372 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {16, 331, 330, 2, Smoke::mf_static, 268, 355},	//373 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {16, 453, 725, 1, Smoke::mf_static, 312, 356},	//374 QGlobalSpace::qMalloc(size_t)
    {16, 449, 31, 1, Smoke::mf_static, 233, 357},	//375 QGlobalSpace::qIsNull(double)
    {16, 502, 211, 2, Smoke::mf_static, 233, 358},	//376 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {16, 374, 727, 2, Smoke::mf_static, 52, 359},	//377 QGlobalSpace::operator|(Qt::Orientation, int)
    {16, 368, 730, 2, Smoke::mf_static, 10, 360},	//378 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {16, 374, 733, 2, Smoke::mf_static, 52, 361},	//379 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {16, 368, 736, 2, Smoke::mf_static, 10, 362},	//380 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {16, 432, 155, 1, Smoke::mf_static, 233, 363},	//381 QGlobalSpace::qFuzzyIsNull(float)
    {16, 341, 739, 2, Smoke::mf_static, 10, 364},	//382 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {16, 341, 742, 2, Smoke::mf_static, 13, 365},	//383 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {16, 374, 745, 2, Smoke::mf_static, 30, 366},	//384 QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    {16, 434, 748, 1, Smoke::mf_static, 305, 367},	//385 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {16, 374, 750, 2, Smoke::mf_static, 52, 368},	//386 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {16, 341, 753, 2, Smoke::mf_static, 13, 369},	//387 QGlobalSpace::operator<<(QDebug, const QTime&)
    {16, 374, 756, 2, Smoke::mf_static, 48, 370},	//388 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {16, 358, 67, 2, Smoke::mf_static, 233, 371},	//389 QGlobalSpace::operator>(const QByteArray&, const char*)
    {16, 315, 498, 2, Smoke::mf_static, 233, 372},	//390 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {16, 374, 759, 2, Smoke::mf_static, 39, 373},	//391 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {16, 315, 70, 2, Smoke::mf_static, 233, 374},	//392 QGlobalSpace::operator!=(const char*, const QString&)
    {16, 477, 150, 1, Smoke::mf_static, 128, 375},	//393 QGlobalSpace::qSetFieldWidth(int)
    {16, 488, 627, 2, Smoke::mf_static, 233, 376},	//394 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {16, 374, 762, 2, Smoke::mf_static, 49, 377},	//395 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {16, 374, 765, 2, Smoke::mf_static, 36, 378},	//396 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {16, 374, 768, 2, Smoke::mf_static, 52, 379},	//397 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {16, 336, 98, 2, Smoke::mf_static, 233, 380},	//398 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {16, 323, 771, 2, Smoke::mf_static, 268, 381},	//399 QGlobalSpace::operator*(double, const QSizeF&)
    {16, 363, 101, 2, Smoke::mf_static, 233, 382},	//400 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {16, 341, 774, 2, Smoke::mf_static, 13, 383},	//401 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {16, 434, 258, 1, Smoke::mf_static, 305, 384},	//402 QGlobalSpace::qHash(const QByteArray&)
    {16, 352, 124, 2, Smoke::mf_static, 233, 385},	//403 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {16, 434, 5, 1, Smoke::mf_static, 305, 386},	//404 QGlobalSpace::qHash(const QModelIndex&)
    {16, 374, 777, 2, Smoke::mf_static, 52, 387},	//405 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {16, 323, 780, 2, Smoke::mf_static, 258, 388},	//406 QGlobalSpace::operator*(const QPoint&, int)
    {16, 352, 246, 2, Smoke::mf_static, 233, 389},	//407 QGlobalSpace::operator==(const QRect&, const QRect&)
    {16, 374, 783, 2, Smoke::mf_static, 43, 390},	//408 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {16, 374, 786, 2, Smoke::mf_static, 40, 391},	//409 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {16, 428, 667, 1, Smoke::mf_static, 0, 392},	//410 QGlobalSpace::qFreeAligned(void*)
    {16, 374, 789, 2, Smoke::mf_static, 45, 393},	//411 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {16, 341, 792, 2, Smoke::mf_static, 13, 394},	//412 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {16, 352, 67, 2, Smoke::mf_static, 233, 395},	//413 QGlobalSpace::operator==(const QByteArray&, const char*)
    {16, 374, 795, 2, Smoke::mf_static, 52, 396},	//414 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {16, 374, 798, 2, Smoke::mf_static, 52, 397},	//415 QGlobalSpace::operator|(Qt::MouseButton, int)
    {16, 451, 31, 1, Smoke::mf_static, 295, 398},	//416 QGlobalSpace::qLn(double)
    {16, 352, 651, 2, Smoke::mf_static, 233, 399},	//417 QGlobalSpace::operator==(QBool, bool)
    {16, 315, 67, 2, Smoke::mf_static, 233, 400},	//418 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {16, 372, 222, 2, Smoke::mf_static, 2, 401},	//419 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {16, 394, 31, 1, Smoke::mf_static, 295, 402},	//420 QGlobalSpace::qAsin(double)
    {16, 368, 801, 2, Smoke::mf_static, 10, 403},	//421 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {16, 400, 0, 0, Smoke::mf_static, 0, 404},	//422 QGlobalSpace::qBadAlloc()
    {16, 374, 804, 2, Smoke::mf_static, 52, 405},	//423 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {16, 374, 807, 2, Smoke::mf_static, 52, 406},	//424 QGlobalSpace::operator|(QString::SectionFlag, int)
    {16, 326, 810, 2, Smoke::mf_static, 281, 407},	//425 QGlobalSpace::operator+(char, const QString&)
    {16, 341, 813, 2, Smoke::mf_static, 10, 408},	//426 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {16, 443, 155, 1, Smoke::mf_static, 233, 409},	//427 QGlobalSpace::qIsFinite(float)
    {16, 374, 816, 2, Smoke::mf_static, 22, 410},	//428 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {16, 326, 330, 2, Smoke::mf_static, 268, 411},	//429 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {16, 341, 819, 2, Smoke::mf_static, 13, 412},	//430 QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    {16, 374, 822, 2, Smoke::mf_static, 31, 413},	//431 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {16, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 414},	//432 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 415},	//433 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 416},	//434 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 417},	//435 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 418},	//436 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 419},	//437 QGlobalSpace::LicensedGui (enum)
    {16, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 420},	//438 QGlobalSpace::LicensedXml (enum)
    {16, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 421},	//439 QGlobalSpace::LicensedQt3SupportLight (enum)
    {16, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 422},	//440 QGlobalSpace::LicensedScript (enum)
    {16, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 423},	//441 QGlobalSpace::LicensedOpenVG (enum)
    {16, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 424},	//442 QGlobalSpace::LicensedDBus (enum)
    {16, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 425},	//443 QGlobalSpace::LicensedTest (enum)
    {16, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 426},	//444 QGlobalSpace::LicensedActiveQt (enum)
    {16, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 427},	//445 QGlobalSpace::LicensedScriptTools (enum)
    {16, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 428},	//446 QGlobalSpace::LicensedSvg (enum)
    {16, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 429},	//447 QGlobalSpace::LicensedDeclarative (enum)
    {16, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 430},	//448 QGlobalSpace::LicensedSql (enum)
    {16, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 431},	//449 QGlobalSpace::LicensedOpenGL (enum)
    {16, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 432},	//450 QGlobalSpace::LicensedCore (enum)
    {16, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 433},	//451 QGlobalSpace::QtDebugMsg (enum)
    {16, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 434},	//452 QGlobalSpace::QtWarningMsg (enum)
    {16, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 435},	//453 QGlobalSpace::QtCriticalMsg (enum)
    {16, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 436},	//454 QGlobalSpace::QtFatalMsg (enum)
    {16, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 437},	//455 QGlobalSpace::QtSystemMsg (enum)
    {16, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 438},	//456 QGlobalSpace::LicensedHelp (enum)
    {16, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 439},	//457 QGlobalSpace::LicensedMultimedia (enum)
    {16, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 440},	//458 QGlobalSpace::LicensedQt3Support (enum)
    {16, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 441},	//459 QGlobalSpace::LicensedXmlPatterns (enum)
    {16, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 442},	//460 QGlobalSpace::LicensedNetwork (enum)
    {27, 211, 825, 1, Smoke::mf_virtual, 233, 0},	//461 QObject::event(QEvent*)
    {27, 212, 827, 2, Smoke::mf_virtual, 233, 0},	//462 QObject::eventFilter(QObject*, QEvent*)
    {27, 714, 830, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//463 QObject::timerEvent(QTimerEvent*)
    {27, 164, 832, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//464 QObject::childEvent(QChildEvent*)
    {27, 186, 825, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//465 QObject::customEvent(QEvent*)
    {27, 174, 65, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//466 QObject::connectNotify(const char*)
    {27, 201, 65, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//467 QObject::disconnectNotify(const char*)
    {36, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 1},	//468 QSql::In (enum)
    {36, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 2},	//469 QSql::Out (enum)
    {36, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 3},	//470 QSql::InOut (enum)
    {36, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 4},	//471 QSql::Binary (enum)
    {36, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 5},	//472 QSql::LowPrecisionInt32 (enum)
    {36, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 6},	//473 QSql::LowPrecisionInt64 (enum)
    {36, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 7},	//474 QSql::LowPrecisionDouble (enum)
    {36, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 8},	//475 QSql::HighPrecision (enum)
    {36, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 9},	//476 QSql::Tables (enum)
    {36, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 10},	//477 QSql::SystemTables (enum)
    {36, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 11},	//478 QSql::Views (enum)
    {36, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 12},	//479 QSql::AllTables (enum)
    {36, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 13},	//480 QSql::BeforeFirstRow (enum)
    {36, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 14},	//481 QSql::AfterLastRow (enum)
    {37, 57, 0, 0, Smoke::mf_ctor, 81, 1},	//482 QSqlDatabase::QSqlDatabase()
    {37, 57, 834, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 2},	//483 QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    {37, 350, 834, 1, 0, 80, 3},	//484 QSqlDatabase::operator=(const QSqlDatabase&)
    {37, 308, 0, 0, 0, 233, 4},	//485 QSqlDatabase::open()
    {37, 308, 648, 2, 0, 233, 5},	//486 QSqlDatabase::open(const QString&, const QString&)
    {37, 169, 0, 0, 0, 0, 6},	//487 QSqlDatabase::close()
    {37, 284, 0, 0, Smoke::mf_const, 233, 7},	//488 QSqlDatabase::isOpen() const
    {37, 285, 0, 0, Smoke::mf_const, 233, 8},	//489 QSqlDatabase::isOpenError() const
    {37, 711, 836, 1, Smoke::mf_const, 121, 9},	//490 QSqlDatabase::tables(QSql::TableType) const
    {37, 384, 646, 1, Smoke::mf_const, 97, 10},	//491 QSqlDatabase::primaryIndex(const QString&) const
    {37, 556, 646, 1, Smoke::mf_const, 105, 11},	//492 QSqlDatabase::record(const QString&) const
    {37, 213, 646, 1, Smoke::mf_const, 100, 12},	//493 QSqlDatabase::exec(const QString&) const
    {37, 292, 0, 0, Smoke::mf_const, 89, 13},	//494 QSqlDatabase::lastError() const
    {37, 288, 0, 0, Smoke::mf_const, 233, 14},	//495 QSqlDatabase::isValid() const
    {37, 723, 0, 0, 0, 233, 15},	//496 QSqlDatabase::transaction()
    {37, 172, 0, 0, 0, 233, 16},	//497 QSqlDatabase::commit()
    {37, 584, 0, 0, 0, 233, 17},	//498 QSqlDatabase::rollback()
    {37, 608, 646, 1, 0, 0, 18},	//499 QSqlDatabase::setDatabaseName(const QString&)
    {37, 685, 646, 1, 0, 0, 19},	//500 QSqlDatabase::setUserName(const QString&)
    {37, 653, 646, 1, 0, 0, 20},	//501 QSqlDatabase::setPassword(const QString&)
    {37, 632, 646, 1, 0, 0, 21},	//502 QSqlDatabase::setHostName(const QString&)
    {37, 655, 150, 1, 0, 0, 22},	//503 QSqlDatabase::setPort(int)
    {37, 601, 646, 1, 0, 0, 23},	//504 QSqlDatabase::setConnectOptions(const QString&)
    {37, 194, 0, 0, Smoke::mf_const, 117, 24},	//505 QSqlDatabase::databaseName() const
    {37, 732, 0, 0, Smoke::mf_const, 117, 25},	//506 QSqlDatabase::userName() const
    {37, 378, 0, 0, Smoke::mf_const, 117, 26},	//507 QSqlDatabase::password() const
    {37, 247, 0, 0, Smoke::mf_const, 117, 27},	//508 QSqlDatabase::hostName() const
    {37, 204, 0, 0, Smoke::mf_const, 117, 28},	//509 QSqlDatabase::driverName() const
    {37, 379, 0, 0, Smoke::mf_const, 297, 29},	//510 QSqlDatabase::port() const
    {37, 175, 0, 0, Smoke::mf_const, 117, 30},	//511 QSqlDatabase::connectOptions() const
    {37, 176, 0, 0, Smoke::mf_const, 117, 31},	//512 QSqlDatabase::connectionName() const
    {37, 647, 838, 1, 0, 0, 32},	//513 QSqlDatabase::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {37, 307, 0, 0, Smoke::mf_const, 76, 33},	//514 QSqlDatabase::numericalPrecisionPolicy() const
    {37, 203, 0, 0, Smoke::mf_const, 82, 34},	//515 QSqlDatabase::driver() const
    {37, 133, 648, 2, Smoke::mf_static, 79, 35},	//516 QSqlDatabase::addDatabase(const QString&, const QString&)
    {37, 133, 840, 2, Smoke::mf_static, 79, 36},	//517 QSqlDatabase::addDatabase(QSqlDriver*, const QString&)
    {37, 167, 843, 2, Smoke::mf_static, 79, 37},	//518 QSqlDatabase::cloneDatabase(const QSqlDatabase&, const QString&)
    {37, 191, 846, 2, Smoke::mf_static, 79, 38},	//519 QSqlDatabase::database(const QString&, bool)
    {37, 569, 646, 1, Smoke::mf_static, 0, 39},	//520 QSqlDatabase::removeDatabase(const QString&)
    {37, 178, 646, 1, Smoke::mf_static, 233, 40},	//521 QSqlDatabase::contains(const QString&)
    {37, 206, 0, 0, Smoke::mf_static, 121, 41},	//522 QSqlDatabase::drivers()
    {37, 177, 0, 0, Smoke::mf_static, 121, 42},	//523 QSqlDatabase::connectionNames()
    {37, 558, 849, 2, Smoke::mf_static, 0, 43},	//524 QSqlDatabase::registerSqlDriver(const QString&, QSqlDriverCreatorBase*)
    {37, 272, 646, 1, Smoke::mf_static, 233, 44},	//525 QSqlDatabase::isDriverAvailable(const QString&)
    {37, 57, 646, 1, Smoke::mf_ctor|Smoke::mf_protected, 81, 45},	//526 QSqlDatabase::QSqlDatabase(const QString&)
    {37, 57, 852, 1, Smoke::mf_ctor|Smoke::mf_protected, 81, 46},	//527 QSqlDatabase::QSqlDatabase(QSqlDriver*)
    {37, 711, 0, 0, Smoke::mf_const, 121, 47},	//528 QSqlDatabase::tables() const
    {37, 213, 0, 0, Smoke::mf_const, 100, 48},	//529 QSqlDatabase::exec() const
    {37, 601, 0, 0, 0, 0, 49},	//530 QSqlDatabase::setConnectOptions()
    {37, 133, 646, 1, Smoke::mf_static, 79, 50},	//531 QSqlDatabase::addDatabase(const QString&)
    {37, 133, 852, 1, Smoke::mf_static, 79, 51},	//532 QSqlDatabase::addDatabase(QSqlDriver*)
    {37, 191, 0, 0, Smoke::mf_static, 79, 52},	//533 QSqlDatabase::database()
    {37, 191, 646, 1, Smoke::mf_static, 79, 53},	//534 QSqlDatabase::database(const QString&)
    {37, 178, 0, 0, Smoke::mf_static, 233, 54},	//535 QSqlDatabase::contains()
    {37, 196, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 292, 55},	//536 QSqlDatabase::defaultConnection() const
    {37, 612, 65, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 56},	//537 QSqlDatabase::setDefaultConnection(const char*)
    {37, 737, 0, 0, Smoke::mf_dtor, 0, 57 },	//538 QSqlDatabase::~QSqlDatabase()
    {38, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 253, 1},	//539 QSqlDriver::metaObject() const
    {38, 543, 65, 1, Smoke::mf_virtual, 312, 2},	//540 QSqlDriver::qt_metacast(const char*)
    {38, 715, 202, 2, Smoke::mf_static, 117, 3},	//541 QSqlDriver::tr(const char*, const char*)
    {38, 719, 202, 2, Smoke::mf_static, 117, 4},	//542 QSqlDriver::trUtf8(const char*, const char*)
    {38, 715, 695, 3, Smoke::mf_static, 117, 5},	//543 QSqlDriver::tr(const char*, const char*, int)
    {38, 719, 695, 3, Smoke::mf_static, 117, 6},	//544 QSqlDriver::trUtf8(const char*, const char*, int)
    {38, 541, 854, 3, Smoke::mf_virtual, 297, 7},	//545 QSqlDriver::qt_metacall(QMetaObject::Call, int, void**)
    {38, 60, 858, 1, Smoke::mf_ctor, 82, 8},	//546 QSqlDriver::QSqlDriver(QObject*)
    {38, 284, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 9},	//547 QSqlDriver::isOpen() const
    {38, 285, 0, 0, Smoke::mf_const, 233, 10},	//548 QSqlDriver::isOpenError() const
    {38, 148, 0, 0, Smoke::mf_virtual, 233, 11},	//549 QSqlDriver::beginTransaction()
    {38, 173, 0, 0, Smoke::mf_virtual, 233, 12},	//550 QSqlDriver::commitTransaction()
    {38, 585, 0, 0, Smoke::mf_virtual, 233, 13},	//551 QSqlDriver::rollbackTransaction()
    {38, 711, 836, 1, Smoke::mf_const|Smoke::mf_virtual, 121, 14},	//552 QSqlDriver::tables(QSql::TableType) const
    {38, 384, 646, 1, Smoke::mf_const|Smoke::mf_virtual, 97, 15},	//553 QSqlDriver::primaryIndex(const QString&) const
    {38, 556, 646, 1, Smoke::mf_const|Smoke::mf_virtual, 105, 16},	//554 QSqlDriver::record(const QString&) const
    {38, 237, 860, 2, Smoke::mf_const|Smoke::mf_virtual, 117, 17},	//555 QSqlDriver::formatValue(const QSqlField&, bool) const
    {38, 209, 863, 2, Smoke::mf_const|Smoke::mf_virtual, 117, 18},	//556 QSqlDriver::escapeIdentifier(const QString&, QSqlDriver::IdentifierType) const
    {38, 694, 866, 4, Smoke::mf_const|Smoke::mf_virtual, 117, 19},	//557 QSqlDriver::sqlStatement(QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool) const
    {38, 292, 0, 0, Smoke::mf_const, 89, 20},	//558 QSqlDriver::lastError() const
    {38, 240, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 134, 21},	//559 QSqlDriver::handle() const
    {38, 241, 871, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 233, 22},	//560 QSqlDriver::hasFeature(QSqlDriver::DriverFeature) const [pure virtual]
    {38, 169, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//561 QSqlDriver::close() [pure virtual]
    {38, 184, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 112, 24},	//562 QSqlDriver::createResult() const [pure virtual]
    {38, 308, 873, 6, Smoke::mf_virtual|Smoke::mf_purevirtual, 233, 25},	//563 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int, const QString&) [pure virtual]
    {38, 703, 646, 1, 0, 233, 26},	//564 QSqlDriver::subscribeToNotification(const QString&)
    {38, 726, 646, 1, 0, 233, 27},	//565 QSqlDriver::unsubscribeFromNotification(const QString&)
    {38, 707, 0, 0, Smoke::mf_const, 121, 28},	//566 QSqlDriver::subscribedToNotifications() const
    {38, 278, 863, 2, Smoke::mf_const, 233, 29},	//567 QSqlDriver::isIdentifierEscaped(const QString&, QSqlDriver::IdentifierType) const
    {38, 697, 863, 2, Smoke::mf_const, 117, 30},	//568 QSqlDriver::stripDelimiters(const QString&, QSqlDriver::IdentifierType) const
    {38, 647, 838, 1, 0, 0, 31},	//569 QSqlDriver::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {38, 307, 0, 0, Smoke::mf_const, 76, 32},	//570 QSqlDriver::numericalPrecisionPolicy() const
    {38, 303, 646, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//571 QSqlDriver::notification(const QString&)
    {38, 649, 880, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//572 QSqlDriver::setOpen(bool)
    {38, 651, 880, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//573 QSqlDriver::setOpenError(bool)
    {38, 637, 882, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//574 QSqlDriver::setLastError(const QSqlError&)
    {38, 705, 646, 1, Smoke::mf_protected|Smoke::mf_slot, 233, 37},	//575 QSqlDriver::subscribeToNotificationImplementation(const QString&)
    {38, 728, 646, 1, Smoke::mf_protected|Smoke::mf_slot, 233, 38},	//576 QSqlDriver::unsubscribeFromNotificationImplementation(const QString&)
    {38, 708, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 121, 39},	//577 QSqlDriver::subscribedToNotificationsImplementation() const
    {38, 280, 863, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 233, 40},	//578 QSqlDriver::isIdentifierEscapedImplementation(const QString&, QSqlDriver::IdentifierType) const
    {38, 699, 863, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 117, 41},	//579 QSqlDriver::stripDelimitersImplementation(const QString&, QSqlDriver::IdentifierType) const
    {38, 715, 65, 1, Smoke::mf_static, 117, 42},	//580 QSqlDriver::tr(const char*)
    {38, 719, 65, 1, Smoke::mf_static, 117, 43},	//581 QSqlDriver::trUtf8(const char*)
    {38, 60, 0, 0, Smoke::mf_ctor, 82, 44},	//582 QSqlDriver::QSqlDriver()
    {38, 237, 884, 1, Smoke::mf_const, 117, 45},	//583 QSqlDriver::formatValue(const QSqlField&) const
    {38, 308, 646, 1, 0, 233, 46},	//584 QSqlDriver::open(const QString&)
    {38, 308, 648, 2, 0, 233, 47},	//585 QSqlDriver::open(const QString&, const QString&)
    {38, 308, 886, 3, 0, 233, 48},	//586 QSqlDriver::open(const QString&, const QString&, const QString&)
    {38, 308, 890, 4, 0, 233, 49},	//587 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&)
    {38, 308, 895, 5, 0, 233, 50},	//588 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int)
    {38, 696, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 252, 51},	//589 QSqlDriver::staticMetaObject() const
    {38, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 52},	//590 QSqlDriver::Transactions (enum)
    {38, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 53},	//591 QSqlDriver::QuerySize (enum)
    {38, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 54},	//592 QSqlDriver::BLOB (enum)
    {38, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 55},	//593 QSqlDriver::Unicode (enum)
    {38, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 56},	//594 QSqlDriver::PreparedQueries (enum)
    {38, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 57},	//595 QSqlDriver::NamedPlaceholders (enum)
    {38, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 58},	//596 QSqlDriver::PositionalPlaceholders (enum)
    {38, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 59},	//597 QSqlDriver::LastInsertId (enum)
    {38, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 60},	//598 QSqlDriver::BatchOperations (enum)
    {38, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 61},	//599 QSqlDriver::SimpleLocking (enum)
    {38, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 62},	//600 QSqlDriver::LowPrecisionNumbers (enum)
    {38, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 63},	//601 QSqlDriver::EventNotifications (enum)
    {38, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 64},	//602 QSqlDriver::FinishQuery (enum)
    {38, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 65},	//603 QSqlDriver::MultipleResultSets (enum)
    {38, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 66},	//604 QSqlDriver::WhereStatement (enum)
    {38, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 67},	//605 QSqlDriver::SelectStatement (enum)
    {38, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 68},	//606 QSqlDriver::UpdateStatement (enum)
    {38, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 69},	//607 QSqlDriver::InsertStatement (enum)
    {38, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 70},	//608 QSqlDriver::DeleteStatement (enum)
    {38, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 71},	//609 QSqlDriver::FieldName (enum)
    {38, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 72},	//610 QSqlDriver::TableName (enum)
    {38, 738, 0, 0, Smoke::mf_dtor, 0, 73 },	//611 QSqlDriver::~QSqlDriver()
    {39, 183, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 82, 1},	//612 QSqlDriverCreatorBase::createObject() const [pure virtual]
    {39, 62, 0, 0, Smoke::mf_ctor, 86, 2},	//613 QSqlDriverCreatorBase::QSqlDriverCreatorBase()
    {39, 62, 901, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 3},	//614 QSqlDriverCreatorBase::QSqlDriverCreatorBase(const QSqlDriverCreatorBase&)
    {39, 739, 0, 0, Smoke::mf_dtor, 0, 4 },	//615 QSqlDriverCreatorBase::~QSqlDriverCreatorBase()
    {40, 181, 646, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 82, 1},	//616 QSqlDriverFactoryInterface::create(const QString&) [pure virtual]
    {40, 64, 0, 0, Smoke::mf_ctor, 87, 2},	//617 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface()
    {40, 64, 903, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 3},	//618 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface(const QSqlDriverFactoryInterface&)
    {40, 740, 0, 0, Smoke::mf_dtor, 0, 4 },	//619 QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface()
    {41, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 253, 1},	//620 QSqlDriverPlugin::metaObject() const
    {41, 543, 65, 1, Smoke::mf_virtual, 312, 2},	//621 QSqlDriverPlugin::qt_metacast(const char*)
    {41, 715, 202, 2, Smoke::mf_static, 117, 3},	//622 QSqlDriverPlugin::tr(const char*, const char*)
    {41, 719, 202, 2, Smoke::mf_static, 117, 4},	//623 QSqlDriverPlugin::trUtf8(const char*, const char*)
    {41, 715, 695, 3, Smoke::mf_static, 117, 5},	//624 QSqlDriverPlugin::tr(const char*, const char*, int)
    {41, 719, 695, 3, Smoke::mf_static, 117, 6},	//625 QSqlDriverPlugin::trUtf8(const char*, const char*, int)
    {41, 541, 854, 3, Smoke::mf_virtual, 297, 7},	//626 QSqlDriverPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {41, 66, 858, 1, Smoke::mf_ctor, 88, 8},	//627 QSqlDriverPlugin::QSqlDriverPlugin(QObject*)
    {41, 290, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 121, 9},	//628 QSqlDriverPlugin::keys() const [pure virtual]
    {41, 181, 646, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 82, 10},	//629 QSqlDriverPlugin::create(const QString&) [pure virtual]
    {41, 715, 65, 1, Smoke::mf_static, 117, 11},	//630 QSqlDriverPlugin::tr(const char*)
    {41, 719, 65, 1, Smoke::mf_static, 117, 12},	//631 QSqlDriverPlugin::trUtf8(const char*)
    {41, 66, 0, 0, Smoke::mf_ctor, 88, 13},	//632 QSqlDriverPlugin::QSqlDriverPlugin()
    {41, 696, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 252, 14},	//633 QSqlDriverPlugin::staticMetaObject() const
    {41, 741, 0, 0, Smoke::mf_dtor, 0, 15 },	//634 QSqlDriverPlugin::~QSqlDriverPlugin()
    {42, 68, 905, 4, Smoke::mf_ctor, 91, 1},	//635 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType, int)
    {42, 68, 882, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 91, 2},	//636 QSqlError::QSqlError(const QSqlError&)
    {42, 350, 882, 1, 0, 90, 3},	//637 QSqlError::operator=(const QSqlError&)
    {42, 205, 0, 0, Smoke::mf_const, 117, 4},	//638 QSqlError::driverText() const
    {42, 618, 646, 1, 0, 0, 5},	//639 QSqlError::setDriverText(const QString&)
    {42, 195, 0, 0, Smoke::mf_const, 117, 6},	//640 QSqlError::databaseText() const
    {42, 610, 646, 1, 0, 0, 7},	//641 QSqlError::setDatabaseText(const QString&)
    {42, 724, 0, 0, Smoke::mf_const, 92, 8},	//642 QSqlError::type() const
    {42, 683, 910, 1, 0, 0, 9},	//643 QSqlError::setType(QSqlError::ErrorType)
    {42, 306, 0, 0, Smoke::mf_const, 297, 10},	//644 QSqlError::number() const
    {42, 645, 150, 1, 0, 0, 11},	//645 QSqlError::setNumber(int)
    {42, 713, 0, 0, Smoke::mf_const, 117, 12},	//646 QSqlError::text() const
    {42, 288, 0, 0, Smoke::mf_const, 233, 13},	//647 QSqlError::isValid() const
    {42, 68, 0, 0, Smoke::mf_ctor, 91, 14},	//648 QSqlError::QSqlError()
    {42, 68, 646, 1, Smoke::mf_ctor, 91, 15},	//649 QSqlError::QSqlError(const QString&)
    {42, 68, 648, 2, Smoke::mf_ctor, 91, 16},	//650 QSqlError::QSqlError(const QString&, const QString&)
    {42, 68, 912, 3, Smoke::mf_ctor, 91, 17},	//651 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType)
    {42, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 18},	//652 QSqlError::NoError (enum)
    {42, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 19},	//653 QSqlError::ConnectionError (enum)
    {42, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 20},	//654 QSqlError::StatementError (enum)
    {42, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 21},	//655 QSqlError::TransactionError (enum)
    {42, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 22},	//656 QSqlError::UnknownError (enum)
    {42, 742, 0, 0, Smoke::mf_dtor, 0, 23 },	//657 QSqlError::~QSqlError()
    {43, 74, 916, 2, Smoke::mf_ctor, 95, 1},	//658 QSqlField::QSqlField(const QString&, QVariant::Type)
    {43, 74, 884, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 2},	//659 QSqlField::QSqlField(const QSqlField&)
    {43, 350, 884, 1, 0, 94, 3},	//660 QSqlField::operator=(const QSqlField&)
    {43, 352, 884, 1, Smoke::mf_const, 233, 4},	//661 QSqlField::operator==(const QSqlField&) const
    {43, 315, 884, 1, Smoke::mf_const, 233, 5},	//662 QSqlField::operator!=(const QSqlField&) const
    {43, 687, 919, 1, 0, 0, 6},	//663 QSqlField::setValue(const QVariant&)
    {43, 733, 0, 0, Smoke::mf_const, 134, 7},	//664 QSqlField::value() const
    {43, 641, 646, 1, 0, 0, 8},	//665 QSqlField::setName(const QString&)
    {43, 300, 0, 0, Smoke::mf_const, 117, 9},	//666 QSqlField::name() const
    {43, 282, 0, 0, Smoke::mf_const, 233, 10},	//667 QSqlField::isNull() const
    {43, 665, 880, 1, 0, 0, 11},	//668 QSqlField::setReadOnly(bool)
    {43, 286, 0, 0, Smoke::mf_const, 233, 12},	//669 QSqlField::isReadOnly() const
    {43, 165, 0, 0, 0, 0, 13},	//670 QSqlField::clear()
    {43, 724, 0, 0, Smoke::mf_const, 136, 14},	//671 QSqlField::type() const
    {43, 267, 0, 0, Smoke::mf_const, 233, 15},	//672 QSqlField::isAutoValue() const
    {43, 683, 921, 1, 0, 0, 16},	//673 QSqlField::setType(QVariant::Type)
    {43, 673, 923, 1, 0, 0, 17},	//674 QSqlField::setRequiredStatus(QSqlField::RequiredStatus)
    {43, 671, 880, 1, 0, 0, 18},	//675 QSqlField::setRequired(bool)
    {43, 639, 150, 1, 0, 0, 19},	//676 QSqlField::setLength(int)
    {43, 657, 150, 1, 0, 0, 20},	//677 QSqlField::setPrecision(int)
    {43, 614, 919, 1, 0, 0, 21},	//678 QSqlField::setDefaultValue(const QVariant&)
    {43, 679, 150, 1, 0, 0, 22},	//679 QSqlField::setSqlType(int)
    {43, 626, 880, 1, 0, 0, 23},	//680 QSqlField::setGenerated(bool)
    {43, 599, 880, 1, 0, 0, 24},	//681 QSqlField::setAutoValue(bool)
    {43, 576, 0, 0, Smoke::mf_const, 96, 25},	//682 QSqlField::requiredStatus() const
    {43, 295, 0, 0, Smoke::mf_const, 297, 26},	//683 QSqlField::length() const
    {43, 380, 0, 0, Smoke::mf_const, 297, 27},	//684 QSqlField::precision() const
    {43, 197, 0, 0, Smoke::mf_const, 134, 28},	//685 QSqlField::defaultValue() const
    {43, 725, 0, 0, Smoke::mf_const, 297, 29},	//686 QSqlField::typeID() const
    {43, 276, 0, 0, Smoke::mf_const, 233, 30},	//687 QSqlField::isGenerated() const
    {43, 288, 0, 0, Smoke::mf_const, 233, 31},	//688 QSqlField::isValid() const
    {43, 74, 0, 0, Smoke::mf_ctor, 95, 32},	//689 QSqlField::QSqlField()
    {43, 74, 646, 1, Smoke::mf_ctor, 95, 33},	//690 QSqlField::QSqlField(const QString&)
    {43, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 34},	//691 QSqlField::Unknown (enum)
    {43, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 35},	//692 QSqlField::Optional (enum)
    {43, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 36},	//693 QSqlField::Required (enum)
    {43, 743, 0, 0, Smoke::mf_dtor, 0, 37 },	//694 QSqlField::~QSqlField()
    {44, 78, 648, 2, Smoke::mf_ctor, 99, 1},	//695 QSqlIndex::QSqlIndex(const QString&, const QString&)
    {44, 78, 925, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 2},	//696 QSqlIndex::QSqlIndex(const QSqlIndex&)
    {44, 350, 925, 1, 0, 98, 3},	//697 QSqlIndex::operator=(const QSqlIndex&)
    {44, 603, 646, 1, 0, 0, 4},	//698 QSqlIndex::setCursorName(const QString&)
    {44, 185, 0, 0, Smoke::mf_const, 117, 5},	//699 QSqlIndex::cursorName() const
    {44, 641, 646, 1, 0, 0, 6},	//700 QSqlIndex::setName(const QString&)
    {44, 300, 0, 0, Smoke::mf_const, 117, 7},	//701 QSqlIndex::name() const
    {44, 138, 884, 1, 0, 0, 8},	//702 QSqlIndex::append(const QSqlField&)
    {44, 138, 860, 2, 0, 0, 9},	//703 QSqlIndex::append(const QSqlField&, bool)
    {44, 268, 150, 1, Smoke::mf_const, 233, 10},	//704 QSqlIndex::isDescending(int) const
    {44, 616, 927, 2, 0, 0, 11},	//705 QSqlIndex::setDescending(int, bool)
    {44, 78, 0, 0, Smoke::mf_ctor, 99, 12},	//706 QSqlIndex::QSqlIndex()
    {44, 78, 646, 1, Smoke::mf_ctor, 99, 13},	//707 QSqlIndex::QSqlIndex(const QString&)
    {44, 744, 0, 0, Smoke::mf_dtor, 0, 14 },	//708 QSqlIndex::~QSqlIndex()
    {45, 82, 930, 1, Smoke::mf_ctor, 102, 1},	//709 QSqlQuery::QSqlQuery(QSqlResult*)
    {45, 82, 932, 2, Smoke::mf_ctor, 102, 2},	//710 QSqlQuery::QSqlQuery(const QString&, QSqlDatabase)
    {45, 82, 935, 1, Smoke::mf_ctor, 102, 3},	//711 QSqlQuery::QSqlQuery(QSqlDatabase)
    {45, 82, 937, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 4},	//712 QSqlQuery::QSqlQuery(const QSqlQuery&)
    {45, 350, 937, 1, 0, 101, 5},	//713 QSqlQuery::operator=(const QSqlQuery&)
    {45, 288, 0, 0, Smoke::mf_const, 233, 6},	//714 QSqlQuery::isValid() const
    {45, 266, 0, 0, Smoke::mf_const, 233, 7},	//715 QSqlQuery::isActive() const
    {45, 282, 150, 1, Smoke::mf_const, 233, 8},	//716 QSqlQuery::isNull(int) const
    {45, 141, 0, 0, Smoke::mf_const, 297, 9},	//717 QSqlQuery::at() const
    {45, 294, 0, 0, Smoke::mf_const, 117, 10},	//718 QSqlQuery::lastQuery() const
    {45, 305, 0, 0, Smoke::mf_const, 297, 11},	//719 QSqlQuery::numRowsAffected() const
    {45, 292, 0, 0, Smoke::mf_const, 89, 12},	//720 QSqlQuery::lastError() const
    {45, 287, 0, 0, Smoke::mf_const, 233, 13},	//721 QSqlQuery::isSelect() const
    {45, 690, 0, 0, Smoke::mf_const, 297, 14},	//722 QSqlQuery::size() const
    {45, 203, 0, 0, Smoke::mf_const, 271, 15},	//723 QSqlQuery::driver() const
    {45, 579, 0, 0, Smoke::mf_const, 280, 16},	//724 QSqlQuery::result() const
    {45, 275, 0, 0, Smoke::mf_const, 233, 17},	//725 QSqlQuery::isForwardOnly() const
    {45, 556, 0, 0, Smoke::mf_const, 105, 18},	//726 QSqlQuery::record() const
    {45, 624, 880, 1, 0, 0, 19},	//727 QSqlQuery::setForwardOnly(bool)
    {45, 213, 646, 1, 0, 233, 20},	//728 QSqlQuery::exec(const QString&)
    {45, 733, 150, 1, Smoke::mf_const, 134, 21},	//729 QSqlQuery::value(int) const
    {45, 647, 838, 1, 0, 0, 22},	//730 QSqlQuery::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {45, 307, 0, 0, Smoke::mf_const, 76, 23},	//731 QSqlQuery::numericalPrecisionPolicy() const
    {45, 590, 927, 2, 0, 233, 24},	//732 QSqlQuery::seek(int, bool)
    {45, 301, 0, 0, 0, 233, 25},	//733 QSqlQuery::next()
    {45, 383, 0, 0, 0, 233, 26},	//734 QSqlQuery::previous()
    {45, 234, 0, 0, 0, 233, 27},	//735 QSqlQuery::first()
    {45, 291, 0, 0, 0, 233, 28},	//736 QSqlQuery::last()
    {45, 165, 0, 0, 0, 0, 29},	//737 QSqlQuery::clear()
    {45, 213, 0, 0, 0, 233, 30},	//738 QSqlQuery::exec()
    {45, 215, 939, 1, 0, 233, 31},	//739 QSqlQuery::execBatch(QSqlQuery::BatchExecutionMode)
    {45, 381, 646, 1, 0, 233, 32},	//740 QSqlQuery::prepare(const QString&)
    {45, 149, 941, 3, 0, 0, 33},	//741 QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {45, 149, 945, 3, 0, 0, 34},	//742 QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {45, 130, 949, 2, 0, 0, 35},	//743 QSqlQuery::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {45, 155, 646, 1, Smoke::mf_const, 134, 36},	//744 QSqlQuery::boundValue(const QString&) const
    {45, 155, 150, 1, Smoke::mf_const, 134, 37},	//745 QSqlQuery::boundValue(int) const
    {45, 160, 0, 0, Smoke::mf_const, 60, 38},	//746 QSqlQuery::boundValues() const
    {45, 217, 0, 0, Smoke::mf_const, 117, 39},	//747 QSqlQuery::executedQuery() const
    {45, 293, 0, 0, Smoke::mf_const, 134, 40},	//748 QSqlQuery::lastInsertId() const
    {45, 233, 0, 0, 0, 0, 41},	//749 QSqlQuery::finish()
    {45, 302, 0, 0, 0, 233, 42},	//750 QSqlQuery::nextResult()
    {45, 82, 0, 0, Smoke::mf_ctor, 102, 43},	//751 QSqlQuery::QSqlQuery()
    {45, 82, 646, 1, Smoke::mf_ctor, 102, 44},	//752 QSqlQuery::QSqlQuery(const QString&)
    {45, 590, 150, 1, 0, 233, 45},	//753 QSqlQuery::seek(int)
    {45, 215, 0, 0, 0, 233, 46},	//754 QSqlQuery::execBatch()
    {45, 149, 952, 2, 0, 0, 47},	//755 QSqlQuery::bindValue(const QString&, const QVariant&)
    {45, 149, 955, 2, 0, 0, 48},	//756 QSqlQuery::bindValue(int, const QVariant&)
    {45, 130, 919, 1, 0, 0, 49},	//757 QSqlQuery::addBindValue(const QVariant&)
    {45, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 50},	//758 QSqlQuery::ValuesAsRows (enum)
    {45, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 51},	//759 QSqlQuery::ValuesAsColumns (enum)
    {45, 745, 0, 0, Smoke::mf_dtor, 0, 52 },	//760 QSqlQuery::~QSqlQuery()
    {46, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 253, 1},	//761 QSqlQueryModel::metaObject() const
    {46, 543, 65, 1, Smoke::mf_virtual, 312, 2},	//762 QSqlQueryModel::qt_metacast(const char*)
    {46, 715, 202, 2, Smoke::mf_static, 117, 3},	//763 QSqlQueryModel::tr(const char*, const char*)
    {46, 719, 202, 2, Smoke::mf_static, 117, 4},	//764 QSqlQueryModel::trUtf8(const char*, const char*)
    {46, 715, 695, 3, Smoke::mf_static, 117, 5},	//765 QSqlQueryModel::tr(const char*, const char*, int)
    {46, 719, 695, 3, Smoke::mf_static, 117, 6},	//766 QSqlQueryModel::trUtf8(const char*, const char*, int)
    {46, 541, 854, 3, Smoke::mf_virtual, 297, 7},	//767 QSqlQueryModel::qt_metacall(QMetaObject::Call, int, void**)
    {46, 86, 858, 1, Smoke::mf_ctor, 104, 8},	//768 QSqlQueryModel::QSqlQueryModel(QObject*)
    {46, 586, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 297, 9},	//769 QSqlQueryModel::rowCount(const QModelIndex&) const
    {46, 170, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 297, 10},	//770 QSqlQueryModel::columnCount(const QModelIndex&) const
    {46, 556, 150, 1, Smoke::mf_const, 105, 11},	//771 QSqlQueryModel::record(int) const
    {46, 556, 0, 0, Smoke::mf_const, 105, 12},	//772 QSqlQueryModel::record() const
    {46, 187, 958, 2, Smoke::mf_const|Smoke::mf_virtual, 134, 13},	//773 QSqlQueryModel::data(const QModelIndex&, int) const
    {46, 244, 961, 3, Smoke::mf_const|Smoke::mf_virtual, 134, 14},	//774 QSqlQueryModel::headerData(int, Qt::Orientation, int) const
    {46, 629, 965, 4, Smoke::mf_virtual, 233, 15},	//775 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {46, 256, 12, 3, Smoke::mf_virtual, 233, 16},	//776 QSqlQueryModel::insertColumns(int, int, const QModelIndex&)
    {46, 566, 12, 3, Smoke::mf_virtual, 233, 17},	//777 QSqlQueryModel::removeColumns(int, int, const QModelIndex&)
    {46, 661, 937, 1, 0, 0, 18},	//778 QSqlQueryModel::setQuery(const QSqlQuery&)
    {46, 661, 970, 2, 0, 0, 19},	//779 QSqlQueryModel::setQuery(const QString&, const QSqlDatabase&)
    {46, 550, 0, 0, Smoke::mf_const, 100, 20},	//780 QSqlQueryModel::query() const
    {46, 165, 0, 0, Smoke::mf_virtual, 0, 21},	//781 QSqlQueryModel::clear()
    {46, 292, 0, 0, Smoke::mf_const, 89, 22},	//782 QSqlQueryModel::lastError() const
    {46, 222, 5, 1, Smoke::mf_virtual, 0, 23},	//783 QSqlQueryModel::fetchMore(const QModelIndex&)
    {46, 162, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 233, 24},	//784 QSqlQueryModel::canFetchMore(const QModelIndex&) const
    {46, 551, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//785 QSqlQueryModel::queryChange()
    {46, 250, 5, 1, Smoke::mf_const|Smoke::mf_protected, 64, 26},	//786 QSqlQueryModel::indexInQuery(const QModelIndex&) const
    {46, 637, 882, 1, Smoke::mf_protected, 0, 27},	//787 QSqlQueryModel::setLastError(const QSqlError&)
    {46, 715, 65, 1, Smoke::mf_static, 117, 28},	//788 QSqlQueryModel::tr(const char*)
    {46, 719, 65, 1, Smoke::mf_static, 117, 29},	//789 QSqlQueryModel::trUtf8(const char*)
    {46, 86, 0, 0, Smoke::mf_ctor, 104, 30},	//790 QSqlQueryModel::QSqlQueryModel()
    {46, 586, 0, 0, Smoke::mf_const, 297, 31},	//791 QSqlQueryModel::rowCount() const
    {46, 170, 0, 0, Smoke::mf_const, 297, 32},	//792 QSqlQueryModel::columnCount() const
    {46, 187, 5, 1, Smoke::mf_const, 134, 33},	//793 QSqlQueryModel::data(const QModelIndex&) const
    {46, 244, 973, 2, Smoke::mf_const, 134, 34},	//794 QSqlQueryModel::headerData(int, Qt::Orientation) const
    {46, 629, 976, 3, 0, 233, 35},	//795 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {46, 256, 980, 2, 0, 233, 36},	//796 QSqlQueryModel::insertColumns(int, int)
    {46, 566, 980, 2, 0, 233, 37},	//797 QSqlQueryModel::removeColumns(int, int)
    {46, 661, 646, 1, 0, 0, 38},	//798 QSqlQueryModel::setQuery(const QString&)
    {46, 222, 0, 0, 0, 0, 39},	//799 QSqlQueryModel::fetchMore()
    {46, 162, 0, 0, Smoke::mf_const, 233, 40},	//800 QSqlQueryModel::canFetchMore() const
    {46, 696, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 252, 41},	//801 QSqlQueryModel::staticMetaObject() const
    {46, 746, 0, 0, Smoke::mf_dtor, 0, 42 },	//802 QSqlQueryModel::~QSqlQueryModel()
    {47, 88, 0, 0, Smoke::mf_ctor, 107, 1},	//803 QSqlRecord::QSqlRecord()
    {47, 88, 983, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 2},	//804 QSqlRecord::QSqlRecord(const QSqlRecord&)
    {47, 350, 983, 1, 0, 106, 3},	//805 QSqlRecord::operator=(const QSqlRecord&)
    {47, 352, 983, 1, Smoke::mf_const, 233, 4},	//806 QSqlRecord::operator==(const QSqlRecord&) const
    {47, 315, 983, 1, Smoke::mf_const, 233, 5},	//807 QSqlRecord::operator!=(const QSqlRecord&) const
    {47, 733, 150, 1, Smoke::mf_const, 134, 6},	//808 QSqlRecord::value(int) const
    {47, 733, 646, 1, Smoke::mf_const, 134, 7},	//809 QSqlRecord::value(const QString&) const
    {47, 687, 955, 2, 0, 0, 8},	//810 QSqlRecord::setValue(int, const QVariant&)
    {47, 687, 952, 2, 0, 0, 9},	//811 QSqlRecord::setValue(const QString&, const QVariant&)
    {47, 643, 150, 1, 0, 0, 10},	//812 QSqlRecord::setNull(int)
    {47, 643, 646, 1, 0, 0, 11},	//813 QSqlRecord::setNull(const QString&)
    {47, 282, 150, 1, Smoke::mf_const, 233, 12},	//814 QSqlRecord::isNull(int) const
    {47, 282, 646, 1, Smoke::mf_const, 233, 13},	//815 QSqlRecord::isNull(const QString&) const
    {47, 252, 646, 1, Smoke::mf_const, 297, 14},	//816 QSqlRecord::indexOf(const QString&) const
    {47, 230, 150, 1, Smoke::mf_const, 117, 15},	//817 QSqlRecord::fieldName(int) const
    {47, 226, 150, 1, Smoke::mf_const, 93, 16},	//818 QSqlRecord::field(int) const
    {47, 226, 646, 1, Smoke::mf_const, 93, 17},	//819 QSqlRecord::field(const QString&) const
    {47, 276, 150, 1, Smoke::mf_const, 233, 18},	//820 QSqlRecord::isGenerated(int) const
    {47, 276, 646, 1, Smoke::mf_const, 233, 19},	//821 QSqlRecord::isGenerated(const QString&) const
    {47, 626, 846, 2, 0, 0, 20},	//822 QSqlRecord::setGenerated(const QString&, bool)
    {47, 626, 927, 2, 0, 0, 21},	//823 QSqlRecord::setGenerated(int, bool)
    {47, 138, 884, 1, 0, 0, 22},	//824 QSqlRecord::append(const QSqlField&)
    {47, 574, 985, 2, 0, 0, 23},	//825 QSqlRecord::replace(int, const QSqlField&)
    {47, 254, 985, 2, 0, 0, 24},	//826 QSqlRecord::insert(int, const QSqlField&)
    {47, 564, 150, 1, 0, 0, 25},	//827 QSqlRecord::remove(int)
    {47, 274, 0, 0, Smoke::mf_const, 233, 26},	//828 QSqlRecord::isEmpty() const
    {47, 178, 646, 1, Smoke::mf_const, 233, 27},	//829 QSqlRecord::contains(const QString&) const
    {47, 165, 0, 0, 0, 0, 28},	//830 QSqlRecord::clear()
    {47, 166, 0, 0, 0, 0, 29},	//831 QSqlRecord::clearValues()
    {47, 180, 0, 0, Smoke::mf_const, 297, 30},	//832 QSqlRecord::count() const
    {47, 747, 0, 0, Smoke::mf_dtor, 0, 31 },	//833 QSqlRecord::~QSqlRecord()
    {48, 90, 0, 0, Smoke::mf_ctor, 109, 1},	//834 QSqlRelation::QSqlRelation()
    {48, 90, 886, 3, Smoke::mf_ctor, 109, 2},	//835 QSqlRelation::QSqlRelation(const QString&, const QString&, const QString&)
    {48, 710, 0, 0, Smoke::mf_const, 117, 3},	//836 QSqlRelation::tableName() const
    {48, 249, 0, 0, Smoke::mf_const, 117, 4},	//837 QSqlRelation::indexColumn() const
    {48, 202, 0, 0, Smoke::mf_const, 117, 5},	//838 QSqlRelation::displayColumn() const
    {48, 288, 0, 0, Smoke::mf_const, 233, 6},	//839 QSqlRelation::isValid() const
    {48, 90, 988, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 109, 7},	//840 QSqlRelation::QSqlRelation(const QSqlRelation&)
    {48, 748, 0, 0, Smoke::mf_dtor, 0, 8 },	//841 QSqlRelation::~QSqlRelation()
    {49, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 253, 1},	//842 QSqlRelationalTableModel::metaObject() const
    {49, 543, 65, 1, Smoke::mf_virtual, 312, 2},	//843 QSqlRelationalTableModel::qt_metacast(const char*)
    {49, 715, 202, 2, Smoke::mf_static, 117, 3},	//844 QSqlRelationalTableModel::tr(const char*, const char*)
    {49, 719, 202, 2, Smoke::mf_static, 117, 4},	//845 QSqlRelationalTableModel::trUtf8(const char*, const char*)
    {49, 715, 695, 3, Smoke::mf_static, 117, 5},	//846 QSqlRelationalTableModel::tr(const char*, const char*, int)
    {49, 719, 695, 3, Smoke::mf_static, 117, 6},	//847 QSqlRelationalTableModel::trUtf8(const char*, const char*, int)
    {49, 541, 854, 3, Smoke::mf_virtual, 297, 7},	//848 QSqlRelationalTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {49, 93, 990, 2, Smoke::mf_ctor, 110, 8},	//849 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*, QSqlDatabase)
    {49, 187, 958, 2, Smoke::mf_const|Smoke::mf_virtual, 134, 9},	//850 QSqlRelationalTableModel::data(const QModelIndex&, int) const
    {49, 605, 1, 3, Smoke::mf_virtual, 233, 10},	//851 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&, int)
    {49, 566, 12, 3, Smoke::mf_virtual, 233, 11},	//852 QSqlRelationalTableModel::removeColumns(int, int, const QModelIndex&)
    {49, 165, 0, 0, Smoke::mf_virtual, 0, 12},	//853 QSqlRelationalTableModel::clear()
    {49, 593, 0, 0, Smoke::mf_virtual, 233, 13},	//854 QSqlRelationalTableModel::select()
    {49, 681, 646, 1, Smoke::mf_virtual, 0, 14},	//855 QSqlRelationalTableModel::setTable(const QString&)
    {49, 669, 993, 2, Smoke::mf_virtual, 0, 15},	//856 QSqlRelationalTableModel::setRelation(int, const QSqlRelation&)
    {49, 560, 150, 1, Smoke::mf_const, 108, 16},	//857 QSqlRelationalTableModel::relation(int) const
    {49, 562, 150, 1, Smoke::mf_const|Smoke::mf_virtual, 115, 17},	//858 QSqlRelationalTableModel::relationModel(int) const
    {49, 635, 996, 1, 0, 0, 18},	//859 QSqlRelationalTableModel::setJoinMode(QSqlRelationalTableModel::JoinMode)
    {49, 582, 150, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//860 QSqlRelationalTableModel::revertRow(int)
    {49, 594, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 117, 20},	//861 QSqlRelationalTableModel::selectStatement() const
    {49, 730, 998, 2, Smoke::mf_protected|Smoke::mf_virtual, 233, 21},	//862 QSqlRelationalTableModel::updateRowInTable(int, const QSqlRecord&)
    {49, 261, 983, 1, Smoke::mf_protected|Smoke::mf_virtual, 233, 22},	//863 QSqlRelationalTableModel::insertRowIntoTable(const QSqlRecord&)
    {49, 377, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 117, 23},	//864 QSqlRelationalTableModel::orderByClause() const
    {49, 715, 65, 1, Smoke::mf_static, 117, 24},	//865 QSqlRelationalTableModel::tr(const char*)
    {49, 719, 65, 1, Smoke::mf_static, 117, 25},	//866 QSqlRelationalTableModel::trUtf8(const char*)
    {49, 93, 0, 0, Smoke::mf_ctor, 110, 26},	//867 QSqlRelationalTableModel::QSqlRelationalTableModel()
    {49, 93, 858, 1, Smoke::mf_ctor, 110, 27},	//868 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*)
    {49, 187, 5, 1, Smoke::mf_const, 134, 28},	//869 QSqlRelationalTableModel::data(const QModelIndex&) const
    {49, 605, 1001, 2, 0, 233, 29},	//870 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&)
    {49, 566, 980, 2, 0, 233, 30},	//871 QSqlRelationalTableModel::removeColumns(int, int)
    {49, 696, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 252, 31},	//872 QSqlRelationalTableModel::staticMetaObject() const
    {49, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 32},	//873 QSqlRelationalTableModel::InnerJoin (enum)
    {49, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 33},	//874 QSqlRelationalTableModel::LeftJoin (enum)
    {49, 749, 0, 0, Smoke::mf_dtor, 0, 34 },	//875 QSqlRelationalTableModel::~QSqlRelationalTableModel()
    {50, 240, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 134, 1},	//876 QSqlResult::handle() const
    {50, 96, 1004, 1, Smoke::mf_ctor|Smoke::mf_protected, 112, 2},	//877 QSqlResult::QSqlResult(const QSqlDriver*)
    {50, 141, 0, 0, Smoke::mf_const|Smoke::mf_protected, 297, 3},	//878 QSqlResult::at() const
    {50, 294, 0, 0, Smoke::mf_const|Smoke::mf_protected, 117, 4},	//879 QSqlResult::lastQuery() const
    {50, 292, 0, 0, Smoke::mf_const|Smoke::mf_protected, 89, 5},	//880 QSqlResult::lastError() const
    {50, 288, 0, 0, Smoke::mf_const|Smoke::mf_protected, 233, 6},	//881 QSqlResult::isValid() const
    {50, 266, 0, 0, Smoke::mf_const|Smoke::mf_protected, 233, 7},	//882 QSqlResult::isActive() const
    {50, 287, 0, 0, Smoke::mf_const|Smoke::mf_protected, 233, 8},	//883 QSqlResult::isSelect() const
    {50, 275, 0, 0, Smoke::mf_const|Smoke::mf_protected, 233, 9},	//884 QSqlResult::isForwardOnly() const
    {50, 203, 0, 0, Smoke::mf_const|Smoke::mf_protected, 271, 10},	//885 QSqlResult::driver() const
    {50, 597, 150, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//886 QSqlResult::setAt(int)
    {50, 595, 880, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//887 QSqlResult::setActive(bool)
    {50, 637, 882, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//888 QSqlResult::setLastError(const QSqlError&)
    {50, 661, 646, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//889 QSqlResult::setQuery(const QString&)
    {50, 675, 880, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//890 QSqlResult::setSelect(bool)
    {50, 624, 880, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//891 QSqlResult::setForwardOnly(bool)
    {50, 213, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 233, 17},	//892 QSqlResult::exec()
    {50, 381, 646, 1, Smoke::mf_protected|Smoke::mf_virtual, 233, 18},	//893 QSqlResult::prepare(const QString&)
    {50, 588, 646, 1, Smoke::mf_protected|Smoke::mf_virtual, 233, 19},	//894 QSqlResult::savePrepare(const QString&)
    {50, 149, 945, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//895 QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {50, 149, 941, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//896 QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {50, 130, 949, 2, Smoke::mf_protected, 0, 22},	//897 QSqlResult::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {50, 155, 646, 1, Smoke::mf_const|Smoke::mf_protected, 134, 23},	//898 QSqlResult::boundValue(const QString&) const
    {50, 155, 150, 1, Smoke::mf_const|Smoke::mf_protected, 134, 24},	//899 QSqlResult::boundValue(int) const
    {50, 152, 646, 1, Smoke::mf_const|Smoke::mf_protected, 30, 25},	//900 QSqlResult::bindValueType(const QString&) const
    {50, 152, 150, 1, Smoke::mf_const|Smoke::mf_protected, 30, 26},	//901 QSqlResult::bindValueType(int) const
    {50, 157, 0, 0, Smoke::mf_const|Smoke::mf_protected, 297, 27},	//902 QSqlResult::boundValueCount() const
    {50, 160, 0, 0, Smoke::mf_const|Smoke::mf_protected, 138, 28},	//903 QSqlResult::boundValues() const
    {50, 217, 0, 0, Smoke::mf_const|Smoke::mf_protected, 117, 29},	//904 QSqlResult::executedQuery() const
    {50, 158, 150, 1, Smoke::mf_const|Smoke::mf_protected, 117, 30},	//905 QSqlResult::boundValueName(int) const
    {50, 165, 0, 0, Smoke::mf_protected, 0, 31},	//906 QSqlResult::clear()
    {50, 243, 0, 0, Smoke::mf_const|Smoke::mf_protected, 233, 32},	//907 QSqlResult::hasOutValues() const
    {50, 154, 0, 0, Smoke::mf_const|Smoke::mf_protected, 113, 33},	//908 QSqlResult::bindingSyntax() const
    {50, 187, 150, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 134, 34},	//909 QSqlResult::data(int) [pure virtual]
    {50, 282, 150, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 233, 35},	//910 QSqlResult::isNull(int) [pure virtual]
    {50, 577, 646, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 233, 36},	//911 QSqlResult::reset(const QString&) [pure virtual]
    {50, 218, 150, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 233, 37},	//912 QSqlResult::fetch(int) [pure virtual]
    {50, 224, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 233, 38},	//913 QSqlResult::fetchNext()
    {50, 225, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 233, 39},	//914 QSqlResult::fetchPrevious()
    {50, 220, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 233, 40},	//915 QSqlResult::fetchFirst() [pure virtual]
    {50, 221, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 233, 41},	//916 QSqlResult::fetchLast() [pure virtual]
    {50, 690, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 297, 42},	//917 QSqlResult::size() [pure virtual]
    {50, 305, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 297, 43},	//918 QSqlResult::numRowsAffected() [pure virtual]
    {50, 556, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 105, 44},	//919 QSqlResult::record() const
    {50, 293, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 134, 45},	//920 QSqlResult::lastInsertId() const
    {50, 735, 1006, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//921 QSqlResult::virtual_hook(int, void*)
    {50, 215, 880, 1, Smoke::mf_protected, 233, 47},	//922 QSqlResult::execBatch(bool)
    {50, 200, 0, 0, Smoke::mf_protected, 0, 48},	//923 QSqlResult::detachFromResultSet()
    {50, 647, 838, 1, Smoke::mf_protected, 0, 49},	//924 QSqlResult::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {50, 307, 0, 0, Smoke::mf_const|Smoke::mf_protected, 76, 50},	//925 QSqlResult::numericalPrecisionPolicy() const
    {50, 302, 0, 0, Smoke::mf_protected, 233, 51},	//926 QSqlResult::nextResult()
    {50, 215, 0, 0, Smoke::mf_protected, 233, 52},	//927 QSqlResult::execBatch()
    {50, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 53},	//928 QSqlResult::PositionalBinding (enum)
    {50, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 54},	//929 QSqlResult::NamedBinding (enum)
    {50, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 55},	//930 QSqlResult::BatchOperation (enum)
    {50, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 56},	//931 QSqlResult::DetachFromResultSet (enum)
    {50, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 57},	//932 QSqlResult::SetNumericalPrecision (enum)
    {50, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 58},	//933 QSqlResult::NextResult (enum)
    {50, 750, 0, 0, Smoke::mf_dtor, 0, 59 },	//934 QSqlResult::~QSqlResult()
    {51, 297, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 253, 1},	//935 QSqlTableModel::metaObject() const
    {51, 543, 65, 1, Smoke::mf_virtual, 312, 2},	//936 QSqlTableModel::qt_metacast(const char*)
    {51, 715, 202, 2, Smoke::mf_static, 117, 3},	//937 QSqlTableModel::tr(const char*, const char*)
    {51, 719, 202, 2, Smoke::mf_static, 117, 4},	//938 QSqlTableModel::trUtf8(const char*, const char*)
    {51, 715, 695, 3, Smoke::mf_static, 117, 5},	//939 QSqlTableModel::tr(const char*, const char*, int)
    {51, 719, 695, 3, Smoke::mf_static, 117, 6},	//940 QSqlTableModel::trUtf8(const char*, const char*, int)
    {51, 541, 854, 3, Smoke::mf_virtual, 297, 7},	//941 QSqlTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {51, 98, 990, 2, Smoke::mf_ctor, 115, 8},	//942 QSqlTableModel::QSqlTableModel(QObject*, QSqlDatabase)
    {51, 593, 0, 0, Smoke::mf_virtual, 233, 9},	//943 QSqlTableModel::select()
    {51, 681, 646, 1, Smoke::mf_virtual, 0, 10},	//944 QSqlTableModel::setTable(const QString&)
    {51, 710, 0, 0, Smoke::mf_const, 117, 11},	//945 QSqlTableModel::tableName() const
    {51, 235, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 12},	//946 QSqlTableModel::flags(const QModelIndex&) const
    {51, 187, 958, 2, Smoke::mf_const|Smoke::mf_virtual, 134, 13},	//947 QSqlTableModel::data(const QModelIndex&, int) const
    {51, 605, 1, 3, Smoke::mf_virtual, 233, 14},	//948 QSqlTableModel::setData(const QModelIndex&, const QVariant&, int)
    {51, 244, 961, 3, Smoke::mf_const|Smoke::mf_virtual, 134, 15},	//949 QSqlTableModel::headerData(int, Qt::Orientation, int) const
    {51, 270, 5, 1, Smoke::mf_const, 233, 16},	//950 QSqlTableModel::isDirty(const QModelIndex&) const
    {51, 165, 0, 0, Smoke::mf_virtual, 0, 17},	//951 QSqlTableModel::clear()
    {51, 620, 1009, 1, Smoke::mf_virtual, 0, 18},	//952 QSqlTableModel::setEditStrategy(QSqlTableModel::EditStrategy)
    {51, 208, 0, 0, Smoke::mf_const, 116, 19},	//953 QSqlTableModel::editStrategy() const
    {51, 386, 0, 0, Smoke::mf_const, 97, 20},	//954 QSqlTableModel::primaryKey() const
    {51, 191, 0, 0, Smoke::mf_const, 79, 21},	//955 QSqlTableModel::database() const
    {51, 228, 646, 1, Smoke::mf_const, 297, 22},	//956 QSqlTableModel::fieldIndex(const QString&) const
    {51, 691, 16, 2, Smoke::mf_virtual, 0, 23},	//957 QSqlTableModel::sort(int, Qt::SortOrder)
    {51, 677, 16, 2, Smoke::mf_virtual, 0, 24},	//958 QSqlTableModel::setSort(int, Qt::SortOrder)
    {51, 232, 0, 0, Smoke::mf_const, 117, 25},	//959 QSqlTableModel::filter() const
    {51, 622, 646, 1, Smoke::mf_virtual, 0, 26},	//960 QSqlTableModel::setFilter(const QString&)
    {51, 586, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 297, 27},	//961 QSqlTableModel::rowCount(const QModelIndex&) const
    {51, 566, 12, 3, Smoke::mf_virtual, 233, 28},	//962 QSqlTableModel::removeColumns(int, int, const QModelIndex&)
    {51, 571, 12, 3, Smoke::mf_virtual, 233, 29},	//963 QSqlTableModel::removeRows(int, int, const QModelIndex&)
    {51, 263, 12, 3, Smoke::mf_virtual, 233, 30},	//964 QSqlTableModel::insertRows(int, int, const QModelIndex&)
    {51, 259, 998, 2, 0, 233, 31},	//965 QSqlTableModel::insertRecord(int, const QSqlRecord&)
    {51, 667, 998, 2, 0, 233, 32},	//966 QSqlTableModel::setRecord(int, const QSqlRecord&)
    {51, 582, 150, 1, Smoke::mf_virtual, 0, 33},	//967 QSqlTableModel::revertRow(int)
    {51, 701, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 233, 34},	//968 QSqlTableModel::submit()
    {51, 580, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//969 QSqlTableModel::revert()
    {51, 702, 0, 0, Smoke::mf_slot, 233, 36},	//970 QSqlTableModel::submitAll()
    {51, 581, 0, 0, Smoke::mf_slot, 0, 37},	//971 QSqlTableModel::revertAll()
    {51, 387, 1011, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//972 QSqlTableModel::primeInsert(int, QSqlRecord&)
    {51, 144, 1014, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//973 QSqlTableModel::beforeInsert(QSqlRecord&)
    {51, 146, 1011, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//974 QSqlTableModel::beforeUpdate(int, QSqlRecord&)
    {51, 142, 150, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//975 QSqlTableModel::beforeDelete(int)
    {51, 730, 998, 2, Smoke::mf_protected|Smoke::mf_virtual, 233, 42},	//976 QSqlTableModel::updateRowInTable(int, const QSqlRecord&)
    {51, 261, 983, 1, Smoke::mf_protected|Smoke::mf_virtual, 233, 43},	//977 QSqlTableModel::insertRowIntoTable(const QSqlRecord&)
    {51, 198, 150, 1, Smoke::mf_protected|Smoke::mf_virtual, 233, 44},	//978 QSqlTableModel::deleteRowFromTable(int)
    {51, 377, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 117, 45},	//979 QSqlTableModel::orderByClause() const
    {51, 594, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 117, 46},	//980 QSqlTableModel::selectStatement() const
    {51, 659, 925, 1, Smoke::mf_protected, 0, 47},	//981 QSqlTableModel::setPrimaryKey(const QSqlIndex&)
    {51, 661, 937, 1, Smoke::mf_protected, 0, 48},	//982 QSqlTableModel::setQuery(const QSqlQuery&)
    {51, 250, 5, 1, Smoke::mf_const|Smoke::mf_protected, 64, 49},	//983 QSqlTableModel::indexInQuery(const QModelIndex&) const
    {51, 715, 65, 1, Smoke::mf_static, 117, 50},	//984 QSqlTableModel::tr(const char*)
    {51, 719, 65, 1, Smoke::mf_static, 117, 51},	//985 QSqlTableModel::trUtf8(const char*)
    {51, 98, 0, 0, Smoke::mf_ctor, 115, 52},	//986 QSqlTableModel::QSqlTableModel()
    {51, 98, 858, 1, Smoke::mf_ctor, 115, 53},	//987 QSqlTableModel::QSqlTableModel(QObject*)
    {51, 187, 5, 1, Smoke::mf_const, 134, 54},	//988 QSqlTableModel::data(const QModelIndex&) const
    {51, 605, 1001, 2, 0, 233, 55},	//989 QSqlTableModel::setData(const QModelIndex&, const QVariant&)
    {51, 244, 973, 2, Smoke::mf_const, 134, 56},	//990 QSqlTableModel::headerData(int, Qt::Orientation) const
    {51, 586, 0, 0, Smoke::mf_const, 297, 57},	//991 QSqlTableModel::rowCount() const
    {51, 566, 980, 2, 0, 233, 58},	//992 QSqlTableModel::removeColumns(int, int)
    {51, 571, 980, 2, 0, 233, 59},	//993 QSqlTableModel::removeRows(int, int)
    {51, 263, 980, 2, 0, 233, 60},	//994 QSqlTableModel::insertRows(int, int)
    {51, 696, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 252, 61},	//995 QSqlTableModel::staticMetaObject() const
    {51, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 62},	//996 QSqlTableModel::OnFieldChange (enum)
    {51, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 63},	//997 QSqlTableModel::OnRowChange (enum)
    {51, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 64},	//998 QSqlTableModel::OnManualSubmit (enum)
    {51, 751, 0, 0, Smoke::mf_dtor, 0, 65 },	//999 QSqlTableModel::~QSqlTableModel()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    709,  // QSqlQuery::QSqlQuery(QSqlResult*)
    711,  // QSqlQuery::QSqlQuery(QSqlDatabase)
    712,  // QSqlQuery::QSqlQuery(const QSqlQuery&)
    0,
    755,  // QSqlQuery::bindValue(const QString&, const QVariant&)
    756,  // QSqlQuery::bindValue(int, const QVariant&)
    0,
    741,  // QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    742,  // QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    744,  // QSqlQuery::boundValue(const QString&) const
    745,  // QSqlQuery::boundValue(int) const
    0,
    895,  // QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    896,  // QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    900,  // QSqlResult::bindValueType(const QString&) const
    901,  // QSqlResult::bindValueType(int) const
    0,
    898,  // QSqlResult::boundValue(const QString&) const
    899,  // QSqlResult::boundValue(int) const
    0,
    818,  // QSqlRecord::field(int) const
    819,  // QSqlRecord::field(const QString&) const
    0,
    820,  // QSqlRecord::isGenerated(int) const
    821,  // QSqlRecord::isGenerated(const QString&) const
    0,
    814,  // QSqlRecord::isNull(int) const
    815,  // QSqlRecord::isNull(const QString&) const
    0,
    822,  // QSqlRecord::setGenerated(const QString&, bool)
    823,  // QSqlRecord::setGenerated(int, bool)
    0,
    812,  // QSqlRecord::setNull(int)
    813,  // QSqlRecord::setNull(const QString&)
    0,
    810,  // QSqlRecord::setValue(int, const QVariant&)
    811,  // QSqlRecord::setValue(const QString&, const QVariant&)
    0,
    808,  // QSqlRecord::value(int) const
    809,  // QSqlRecord::value(const QString&) const
    0,
    48,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    55,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    59,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    69,  // QGlobalSpace::operator!=(QChar, QChar)
    93,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    100,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    113,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    115,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    143,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    157,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    172,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    186,  // QGlobalSpace::operator!=(QBool, QBool)
    196,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    227,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    264,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    390,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    221,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    247,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    326,  // QGlobalSpace::operator!=(QBool, bool)
    348,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    418,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    49,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    95,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    188,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    249,  // QGlobalSpace::operator!=(bool, QBool)
    259,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    364,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    31,  // QGlobalSpace::operator*(const QSizeF&, double)
    107,  // QGlobalSpace::operator*(const QPointF&, double)
    164,  // QGlobalSpace::operator*(const QPoint&, float)
    209,  // QGlobalSpace::operator*(const QSize&, double)
    338,  // QGlobalSpace::operator*(const QPoint&, double)
    406,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    158,  // QGlobalSpace::operator*(double, const QSize&)
    278,  // QGlobalSpace::operator*(double, const QPointF&)
    279,  // QGlobalSpace::operator*(int, const QPoint&)
    346,  // QGlobalSpace::operator*(float, const QPoint&)
    347,  // QGlobalSpace::operator*(double, const QPoint&)
    399,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    51,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    274,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    305,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    345,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    429,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    42,  // QGlobalSpace::operator+(QChar, const QString&)
    254,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    275,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    300,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    50,  // QGlobalSpace::operator+(const QString&, QChar)
    94,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    296,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    314,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    169,  // QGlobalSpace::operator+(const char*, const QString&)
    187,  // QGlobalSpace::operator+(const QString&, char)
    315,  // QGlobalSpace::operator+(const QString&, const char*)
    325,  // QGlobalSpace::operator+(const QString&, const QString&)
    425,  // QGlobalSpace::operator+(char, const QString&)
    0,
    165,  // QGlobalSpace::operator-(const QPointF&)
    180,  // QGlobalSpace::operator-(const QPoint&)
    0,
    75,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    212,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    359,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    373,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    174,  // QGlobalSpace::operator/(const QSizeF&, double)
    192,  // QGlobalSpace::operator/(const QPointF&, double)
    218,  // QGlobalSpace::operator/(const QPoint&, double)
    360,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    185,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    319,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    370,  // QGlobalSpace::operator<(QChar, QChar)
    398,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    101,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    248,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    32,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    43,  // QGlobalSpace::operator<<(QDebug, const QSqlError&)
    56,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    58,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    71,  // QGlobalSpace::operator<<(QDebug, const QSqlField&)
    73,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    81,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    91,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    108,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    127,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    128,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    129,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    141,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    156,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    171,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    176,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    179,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    182,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    197,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    206,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    211,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    219,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    220,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    230,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    246,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    263,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    271,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    281,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    282,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    289,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    291,  // QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    295,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    304,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    308,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    313,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    330,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    339,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    350,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    354,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    382,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    383,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    387,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    401,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    426,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    430,  // QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    0,
    39,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    79,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    120,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    256,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    412,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    0,
    45,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    46,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    106,  // QGlobalSpace::operator<=(QChar, QChar)
    116,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    152,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    170,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    38,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    40,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    53,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    62,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    109,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    112,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    134,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    190,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    231,  // QGlobalSpace::operator==(QBool, QBool)
    253,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    268,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    292,  // QGlobalSpace::operator==(QChar, QChar)
    310,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    327,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    351,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    403,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    407,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    198,  // QGlobalSpace::operator==(QString::Null, const QString&)
    242,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    334,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    413,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    417,  // QGlobalSpace::operator==(QBool, bool)
    0,
    82,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    138,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    147,  // QGlobalSpace::operator==(const QString&, QString::Null)
    225,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    236,  // QGlobalSpace::operator==(bool, QBool)
    270,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    92,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    130,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    173,  // QGlobalSpace::operator>(QChar, QChar)
    290,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    125,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    135,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    104,  // QGlobalSpace::operator>=(QChar, QChar)
    131,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    184,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    400,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    24,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    361,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    22,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    25,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    36,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    54,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    65,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    72,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    114,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    121,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    155,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    204,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    208,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    214,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    233,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    234,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    239,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    258,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    283,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    287,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    342,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    380,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    421,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    228,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    378,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    20,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    23,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    27,  // QGlobalSpace::operator|(Qt::WindowType, int)
    37,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    57,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    67,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    74,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    83,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    85,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    89,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    97,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    105,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    110,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    122,  // QGlobalSpace::operator|(Qt::DropAction, int)
    124,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    133,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    139,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    140,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    142,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    145,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    146,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    148,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    150,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    153,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    154,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    159,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    162,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    166,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    168,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    175,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    183,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    194,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    202,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    203,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    213,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    215,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    223,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    226,  // QGlobalSpace::operator|(Qt::WindowState, int)
    235,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    237,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    245,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    251,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    255,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    257,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    261,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    267,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    269,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    273,  // QGlobalSpace::operator|(QFile::Permission, int)
    288,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    298,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    299,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    301,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    303,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    307,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    309,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    312,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    316,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    317,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    318,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    323,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    331,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    337,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    344,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    352,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    356,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    357,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    362,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    363,  // QGlobalSpace::operator|(QDir::Filter, int)
    368,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    371,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    372,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    377,  // QGlobalSpace::operator|(Qt::Orientation, int)
    379,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    384,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    386,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    388,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    391,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    395,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    396,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    397,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    405,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    408,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    409,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    411,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    414,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    415,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    423,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    424,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    428,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    431,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
    151,  // QGlobalSpace::qFuzzyCompare(double, double)
    205,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    238,  // QGlobalSpace::qFuzzyIsNull(double)
    381,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    96,  // QGlobalSpace::qHash(const QBitArray&)
    244,  // QGlobalSpace::qHash(QChar)
    286,  // QGlobalSpace::qHash(const QStringRef&)
    343,  // QGlobalSpace::qHash(const QUrl&)
    385,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    402,  // QGlobalSpace::qHash(const QByteArray&)
    404,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    29,  // QGlobalSpace::qHash(unsigned int)
    30,  // QGlobalSpace::qHash(char)
    60,  // QGlobalSpace::qHash(unsigned char)
    80,  // QGlobalSpace::qHash(short)
    88,  // QGlobalSpace::qHash(long)
    137,  // QGlobalSpace::qHash(unsigned short)
    222,  // QGlobalSpace::qHash(int)
    266,  // QGlobalSpace::qHash(signed char)
    324,  // QGlobalSpace::qHash(const QString&)
    367,  // QGlobalSpace::qHash(unsigned long)
    0,
    161,  // QGlobalSpace::qHash(long long)
    189,  // QGlobalSpace::qHash(unsigned long long)
    0,
    132,  // QGlobalSpace::qIntCast(float)
    193,  // QGlobalSpace::qIntCast(double)
    0,
    84,  // QGlobalSpace::qIsFinite(double)
    427,  // QGlobalSpace::qIsFinite(float)
    0,
    167,  // QGlobalSpace::qIsInf(float)
    358,  // QGlobalSpace::qIsInf(double)
    0,
    329,  // QGlobalSpace::qIsNaN(float)
    336,  // QGlobalSpace::qIsNaN(double)
    0,
    66,  // QGlobalSpace::qIsNull(float)
    375,  // QGlobalSpace::qIsNull(double)
    0,
    483,  // QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    527,  // QSqlDatabase::QSqlDatabase(QSqlDriver*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 21, 444},	// QGlobalSpace::LicensedActiveQt
    {16, 22, 450},	// QGlobalSpace::LicensedCore
    {16, 23, 442},	// QGlobalSpace::LicensedDBus
    {16, 24, 447},	// QGlobalSpace::LicensedDeclarative
    {16, 25, 437},	// QGlobalSpace::LicensedGui
    {16, 26, 456},	// QGlobalSpace::LicensedHelp
    {16, 27, 457},	// QGlobalSpace::LicensedMultimedia
    {16, 28, 460},	// QGlobalSpace::LicensedNetwork
    {16, 29, 449},	// QGlobalSpace::LicensedOpenGL
    {16, 30, 441},	// QGlobalSpace::LicensedOpenVG
    {16, 31, 458},	// QGlobalSpace::LicensedQt3Support
    {16, 32, 439},	// QGlobalSpace::LicensedQt3SupportLight
    {16, 33, 440},	// QGlobalSpace::LicensedScript
    {16, 34, 445},	// QGlobalSpace::LicensedScriptTools
    {16, 35, 448},	// QGlobalSpace::LicensedSql
    {16, 36, 446},	// QGlobalSpace::LicensedSvg
    {16, 37, 443},	// QGlobalSpace::LicensedTest
    {16, 38, 438},	// QGlobalSpace::LicensedXml
    {16, 39, 459},	// QGlobalSpace::LicensedXmlPatterns
    {16, 101, 432},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 102, 436},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 103, 435},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 104, 433},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 105, 434},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 106, 453},	// QGlobalSpace::QtCriticalMsg
    {16, 107, 451},	// QGlobalSpace::QtDebugMsg
    {16, 108, 454},	// QGlobalSpace::QtFatalMsg
    {16, 109, 455},	// QGlobalSpace::QtSystemMsg
    {16, 110, 452},	// QGlobalSpace::QtWarningMsg
    {16, 317, -44},	// QGlobalSpace::operator!=##
    {16, 318, -61},	// QGlobalSpace::operator!=#$
    {16, 319, -67},	// QGlobalSpace::operator!=$#
    {16, 320, 392},	// QGlobalSpace::operator!=$$
    {16, 322, 178},	// QGlobalSpace::operator&##
    {16, 324, -74},	// QGlobalSpace::operator*#$
    {16, 325, -81},	// QGlobalSpace::operator*$#
    {16, 327, -88},	// QGlobalSpace::operator+##
    {16, 328, -94},	// QGlobalSpace::operator+#$
    {16, 329, -99},	// QGlobalSpace::operator+$#
    {16, 330, -104},	// QGlobalSpace::operator+$$
    {16, 332, -110},	// QGlobalSpace::operator-#
    {16, 333, -113},	// QGlobalSpace::operator-##
    {16, 335, -118},	// QGlobalSpace::operator/#$
    {16, 337, -123},	// QGlobalSpace::operator<##
    {16, 338, 34},	// QGlobalSpace::operator<#$
    {16, 339, -128},	// QGlobalSpace::operator<$#
    {16, 340, 241},	// QGlobalSpace::operator<$$
    {16, 342, -131},	// QGlobalSpace::operator<<##
    {16, 343, -177},	// QGlobalSpace::operator<<#$
    {16, 344, 328},	// QGlobalSpace::operator<<#?
    {16, 346, -183},	// QGlobalSpace::operator<=##
    {16, 347, 199},	// QGlobalSpace::operator<=#$
    {16, 348, -188},	// QGlobalSpace::operator<=$#
    {16, 349, 163},	// QGlobalSpace::operator<=$$
    {16, 354, -191},	// QGlobalSpace::operator==##
    {16, 355, -209},	// QGlobalSpace::operator==#$
    {16, 356, -215},	// QGlobalSpace::operator==$#
    {16, 357, 306},	// QGlobalSpace::operator==$$
    {16, 359, -222},	// QGlobalSpace::operator>##
    {16, 360, 389},	// QGlobalSpace::operator>#$
    {16, 361, -227},	// QGlobalSpace::operator>$#
    {16, 362, 35},	// QGlobalSpace::operator>$$
    {16, 364, -230},	// QGlobalSpace::operator>=##
    {16, 365, 181},	// QGlobalSpace::operator>=#$
    {16, 366, -235},	// QGlobalSpace::operator>=$#
    {16, 367, 335},	// QGlobalSpace::operator>=$$
    {16, 369, -238},	// QGlobalSpace::operator>>##
    {16, 370, -260},	// QGlobalSpace::operator>>#$
    {16, 371, 272},	// QGlobalSpace::operator>>#?
    {16, 373, 419},	// QGlobalSpace::operator^##
    {16, 375, 99},	// QGlobalSpace::operator|##
    {16, 376, -263},	// QGlobalSpace::operator|$$
    {16, 390, 21},	// QGlobalSpace::qAcos$
    {16, 392, 276},	// QGlobalSpace::qAddPostRoutine$
    {16, 393, 26},	// QGlobalSpace::qAppName
    {16, 395, 420},	// QGlobalSpace::qAsin$
    {16, 397, 102},	// QGlobalSpace::qAtan$
    {16, 399, 78},	// QGlobalSpace::qAtan2$$
    {16, 400, 422},	// QGlobalSpace::qBadAlloc
    {16, 402, 265},	// QGlobalSpace::qCeil$
    {16, 404, 207},	// QGlobalSpace::qChecksum$$
    {16, 406, 119},	// QGlobalSpace::qCompress#
    {16, 407, 118},	// QGlobalSpace::qCompress#$
    {16, 408, 321},	// QGlobalSpace::qCompress$$
    {16, 409, 320},	// QGlobalSpace::qCompress$$$
    {16, 411, 293},	// QGlobalSpace::qCos$
    {16, 412, 216},	// QGlobalSpace::qCritical
    {16, 413, 160},	// QGlobalSpace::qDebug
    {16, 415, 232},	// QGlobalSpace::qExp$
    {16, 417, 136},	// QGlobalSpace::qFabs$
    {16, 419, 200},	// QGlobalSpace::qFastCos$
    {16, 421, 41},	// QGlobalSpace::qFastSin$
    {16, 423, 191},	// QGlobalSpace::qFlagLocation$
    {16, 425, 322},	// QGlobalSpace::qFloor$
    {16, 427, 333},	// QGlobalSpace::qFree$
    {16, 429, 410},	// QGlobalSpace::qFreeAligned$
    {16, 431, -354},	// QGlobalSpace::qFuzzyCompare$$
    {16, 433, -357},	// QGlobalSpace::qFuzzyIsNull$
    {16, 435, -360},	// QGlobalSpace::qHash#
    {16, 436, -368},	// QGlobalSpace::qHash$
    {16, 437, -379},	// QGlobalSpace::qHash?
    {16, 438, 284},	// QGlobalSpace::qInf
    {16, 440, 210},	// QGlobalSpace::qInstallMsgHandler$
    {16, 442, -382},	// QGlobalSpace::qIntCast$
    {16, 444, -385},	// QGlobalSpace::qIsFinite$
    {16, 446, -388},	// QGlobalSpace::qIsInf$
    {16, 448, -391},	// QGlobalSpace::qIsNaN$
    {16, 450, -394},	// QGlobalSpace::qIsNull$
    {16, 452, 416},	// QGlobalSpace::qLn$
    {16, 454, 374},	// QGlobalSpace::qMalloc?
    {16, 456, 294},	// QGlobalSpace::qMallocAligned??
    {16, 458, 332},	// QGlobalSpace::qMemCopy$$?
    {16, 460, 262},	// QGlobalSpace::qMemSet$$?
    {16, 462, 217},	// QGlobalSpace::qPow$$
    {16, 463, 68},	// QGlobalSpace::qQNaN
    {16, 465, 144},	// QGlobalSpace::qRealloc$?
    {16, 467, 123},	// QGlobalSpace::qReallocAligned$???
    {16, 469, 277},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {16, 471, 201},	// QGlobalSpace::qRemovePostRoutine$
    {16, 473, 19},	// QGlobalSpace::qRound$
    {16, 475, 366},	// QGlobalSpace::qRound64$
    {16, 476, 369},	// QGlobalSpace::qSNaN
    {16, 478, 393},	// QGlobalSpace::qSetFieldWidth$
    {16, 480, 70},	// QGlobalSpace::qSetPadChar#
    {16, 482, 340},	// QGlobalSpace::qSetRealNumberPrecision$
    {16, 483, 280},	// QGlobalSpace::qSharedBuild
    {16, 485, 349},	// QGlobalSpace::qSin$
    {16, 487, 126},	// QGlobalSpace::qSqrt$
    {16, 489, 311},	// QGlobalSpace::qStringComparisonHelper#$
    {16, 490, 394},	// QGlobalSpace::qStringComparisonHelper$$
    {16, 492, 365},	// QGlobalSpace::qTan$
    {16, 494, 195},	// QGlobalSpace::qUncompress#
    {16, 495, 117},	// QGlobalSpace::qUncompress$$
    {16, 496, 302},	// QGlobalSpace::qVersion
    {16, 497, 149},	// QGlobalSpace::qWarning
    {16, 499, 243},	// QGlobalSpace::qbswap_helper$$$
    {16, 501, 33},	// QGlobalSpace::qgetenv$
    {16, 503, 376},	// QGlobalSpace::qputenv$#
    {16, 504, 341},	// QGlobalSpace::qrand
    {16, 506, 252},	// QGlobalSpace::qsrand$
    {16, 508, 177},	// QGlobalSpace::qstrcmp##
    {16, 509, 86},	// QGlobalSpace::qstrcmp#$
    {16, 510, 103},	// QGlobalSpace::qstrcmp$#
    {16, 511, 90},	// QGlobalSpace::qstrcmp$$
    {16, 513, 98},	// QGlobalSpace::qstrcpy$$
    {16, 515, 87},	// QGlobalSpace::qstrdup$
    {16, 517, 260},	// QGlobalSpace::qstricmp$$
    {16, 519, 355},	// QGlobalSpace::qstrlen$
    {16, 521, 44},	// QGlobalSpace::qstrncmp$$$
    {16, 523, 28},	// QGlobalSpace::qstrncpy$$$
    {16, 525, 285},	// QGlobalSpace::qstrnicmp$$$
    {16, 527, 52},	// QGlobalSpace::qstrnlen$$
    {16, 529, 77},	// QGlobalSpace::qtTrId$
    {16, 530, 76},	// QGlobalSpace::qtTrId$$
    {16, 532, 353},	// QGlobalSpace::qt_assert$$$
    {16, 534, 297},	// QGlobalSpace::qt_assert_x$$$$
    {16, 536, 111},	// QGlobalSpace::qt_check_pointer$$
    {16, 537, 64},	// QGlobalSpace::qt_error_string
    {16, 538, 63},	// QGlobalSpace::qt_error_string$
    {16, 540, 250},	// QGlobalSpace::qt_message_output$$
    {16, 545, 224},	// QGlobalSpace::qt_noop
    {16, 547, 229},	// QGlobalSpace::qt_qFindChild_helper#$#
    {16, 549, 61},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {16, 553, 240},	// QGlobalSpace::qvariant_cast_helper#$$
    {16, 555, 47},	// QGlobalSpace::qvsnprintf$?$?
    {36, 1, 481},	// QSql::AfterLastRow
    {36, 2, 479},	// QSql::AllTables
    {36, 6, 480},	// QSql::BeforeFirstRow
    {36, 7, 471},	// QSql::Binary
    {36, 14, 475},	// QSql::HighPrecision
    {36, 15, 468},	// QSql::In
    {36, 16, 470},	// QSql::InOut
    {36, 40, 474},	// QSql::LowPrecisionDouble
    {36, 41, 472},	// QSql::LowPrecisionInt32
    {36, 42, 473},	// QSql::LowPrecisionInt64
    {36, 53, 469},	// QSql::Out
    {36, 117, 477},	// QSql::SystemTables
    {36, 119, 476},	// QSql::Tables
    {36, 128, 478},	// QSql::Views
    {37, 57, 482},	// QSqlDatabase::QSqlDatabase
    {37, 58, -397},	// QSqlDatabase::QSqlDatabase#
    {37, 59, 526},	// QSqlDatabase::QSqlDatabase$
    {37, 134, 532},	// QSqlDatabase::addDatabase#
    {37, 135, 517},	// QSqlDatabase::addDatabase#$
    {37, 136, 531},	// QSqlDatabase::addDatabase$
    {37, 137, 516},	// QSqlDatabase::addDatabase$$
    {37, 168, 518},	// QSqlDatabase::cloneDatabase#$
    {37, 169, 487},	// QSqlDatabase::close
    {37, 172, 497},	// QSqlDatabase::commit
    {37, 175, 511},	// QSqlDatabase::connectOptions
    {37, 176, 512},	// QSqlDatabase::connectionName
    {37, 177, 523},	// QSqlDatabase::connectionNames
    {37, 178, 535},	// QSqlDatabase::contains
    {37, 179, 521},	// QSqlDatabase::contains$
    {37, 191, 533},	// QSqlDatabase::database
    {37, 192, 534},	// QSqlDatabase::database$
    {37, 193, 519},	// QSqlDatabase::database$$
    {37, 194, 505},	// QSqlDatabase::databaseName
    {37, 196, 536},	// QSqlDatabase::defaultConnection
    {37, 203, 515},	// QSqlDatabase::driver
    {37, 204, 509},	// QSqlDatabase::driverName
    {37, 206, 522},	// QSqlDatabase::drivers
    {37, 213, 529},	// QSqlDatabase::exec
    {37, 214, 493},	// QSqlDatabase::exec$
    {37, 247, 508},	// QSqlDatabase::hostName
    {37, 273, 525},	// QSqlDatabase::isDriverAvailable$
    {37, 284, 488},	// QSqlDatabase::isOpen
    {37, 285, 489},	// QSqlDatabase::isOpenError
    {37, 288, 495},	// QSqlDatabase::isValid
    {37, 292, 494},	// QSqlDatabase::lastError
    {37, 307, 514},	// QSqlDatabase::numericalPrecisionPolicy
    {37, 308, 485},	// QSqlDatabase::open
    {37, 310, 486},	// QSqlDatabase::open$$
    {37, 351, 484},	// QSqlDatabase::operator=#
    {37, 378, 507},	// QSqlDatabase::password
    {37, 379, 510},	// QSqlDatabase::port
    {37, 385, 491},	// QSqlDatabase::primaryIndex$
    {37, 557, 492},	// QSqlDatabase::record$
    {37, 559, 524},	// QSqlDatabase::registerSqlDriver$#
    {37, 570, 520},	// QSqlDatabase::removeDatabase$
    {37, 584, 498},	// QSqlDatabase::rollback
    {37, 601, 530},	// QSqlDatabase::setConnectOptions
    {37, 602, 504},	// QSqlDatabase::setConnectOptions$
    {37, 609, 499},	// QSqlDatabase::setDatabaseName$
    {37, 613, 537},	// QSqlDatabase::setDefaultConnection$
    {37, 633, 502},	// QSqlDatabase::setHostName$
    {37, 648, 513},	// QSqlDatabase::setNumericalPrecisionPolicy$
    {37, 654, 501},	// QSqlDatabase::setPassword$
    {37, 656, 503},	// QSqlDatabase::setPort$
    {37, 686, 500},	// QSqlDatabase::setUserName$
    {37, 711, 528},	// QSqlDatabase::tables
    {37, 712, 490},	// QSqlDatabase::tables$
    {37, 723, 496},	// QSqlDatabase::transaction
    {37, 732, 506},	// QSqlDatabase::userName
    {37, 737, 538},	// QSqlDatabase::~QSqlDatabase
    {38, 3, 592},	// QSqlDriver::BLOB
    {38, 5, 598},	// QSqlDriver::BatchOperations
    {38, 9, 608},	// QSqlDriver::DeleteStatement
    {38, 11, 601},	// QSqlDriver::EventNotifications
    {38, 12, 609},	// QSqlDriver::FieldName
    {38, 13, 602},	// QSqlDriver::FinishQuery
    {38, 18, 607},	// QSqlDriver::InsertStatement
    {38, 19, 597},	// QSqlDriver::LastInsertId
    {38, 43, 600},	// QSqlDriver::LowPrecisionNumbers
    {38, 44, 603},	// QSqlDriver::MultipleResultSets
    {38, 46, 595},	// QSqlDriver::NamedPlaceholders
    {38, 55, 596},	// QSqlDriver::PositionalPlaceholders
    {38, 56, 594},	// QSqlDriver::PreparedQueries
    {38, 60, 582},	// QSqlDriver::QSqlDriver
    {38, 61, 546},	// QSqlDriver::QSqlDriver#
    {38, 111, 591},	// QSqlDriver::QuerySize
    {38, 113, 605},	// QSqlDriver::SelectStatement
    {38, 115, 599},	// QSqlDriver::SimpleLocking
    {38, 118, 610},	// QSqlDriver::TableName
    {38, 121, 590},	// QSqlDriver::Transactions
    {38, 122, 593},	// QSqlDriver::Unicode
    {38, 125, 606},	// QSqlDriver::UpdateStatement
    {38, 129, 604},	// QSqlDriver::WhereStatement
    {38, 148, 549},	// QSqlDriver::beginTransaction
    {38, 169, 561},	// QSqlDriver::close
    {38, 173, 550},	// QSqlDriver::commitTransaction
    {38, 184, 562},	// QSqlDriver::createResult
    {38, 210, 556},	// QSqlDriver::escapeIdentifier$$
    {38, 238, 583},	// QSqlDriver::formatValue#
    {38, 239, 555},	// QSqlDriver::formatValue#$
    {38, 240, 559},	// QSqlDriver::handle
    {38, 242, 560},	// QSqlDriver::hasFeature$
    {38, 279, 567},	// QSqlDriver::isIdentifierEscaped$$
    {38, 281, 578},	// QSqlDriver::isIdentifierEscapedImplementation$$
    {38, 284, 547},	// QSqlDriver::isOpen
    {38, 285, 548},	// QSqlDriver::isOpenError
    {38, 292, 558},	// QSqlDriver::lastError
    {38, 297, 539},	// QSqlDriver::metaObject
    {38, 304, 571},	// QSqlDriver::notification$
    {38, 307, 570},	// QSqlDriver::numericalPrecisionPolicy
    {38, 309, 584},	// QSqlDriver::open$
    {38, 310, 585},	// QSqlDriver::open$$
    {38, 311, 586},	// QSqlDriver::open$$$
    {38, 312, 587},	// QSqlDriver::open$$$$
    {38, 313, 588},	// QSqlDriver::open$$$$$
    {38, 314, 563},	// QSqlDriver::open$$$$$$
    {38, 385, 553},	// QSqlDriver::primaryIndex$
    {38, 542, 545},	// QSqlDriver::qt_metacall$$?
    {38, 544, 540},	// QSqlDriver::qt_metacast$
    {38, 557, 554},	// QSqlDriver::record$
    {38, 585, 551},	// QSqlDriver::rollbackTransaction
    {38, 638, 574},	// QSqlDriver::setLastError#
    {38, 648, 569},	// QSqlDriver::setNumericalPrecisionPolicy$
    {38, 650, 572},	// QSqlDriver::setOpen$
    {38, 652, 573},	// QSqlDriver::setOpenError$
    {38, 695, 557},	// QSqlDriver::sqlStatement$$#$
    {38, 696, 589},	// QSqlDriver::staticMetaObject
    {38, 698, 568},	// QSqlDriver::stripDelimiters$$
    {38, 700, 579},	// QSqlDriver::stripDelimitersImplementation$$
    {38, 704, 564},	// QSqlDriver::subscribeToNotification$
    {38, 706, 575},	// QSqlDriver::subscribeToNotificationImplementation$
    {38, 707, 566},	// QSqlDriver::subscribedToNotifications
    {38, 708, 577},	// QSqlDriver::subscribedToNotificationsImplementation
    {38, 712, 552},	// QSqlDriver::tables$
    {38, 716, 580},	// QSqlDriver::tr$
    {38, 717, 541},	// QSqlDriver::tr$$
    {38, 718, 543},	// QSqlDriver::tr$$$
    {38, 720, 581},	// QSqlDriver::trUtf8$
    {38, 721, 542},	// QSqlDriver::trUtf8$$
    {38, 722, 544},	// QSqlDriver::trUtf8$$$
    {38, 727, 565},	// QSqlDriver::unsubscribeFromNotification$
    {38, 729, 576},	// QSqlDriver::unsubscribeFromNotificationImplementation$
    {38, 738, 611},	// QSqlDriver::~QSqlDriver
    {39, 62, 613},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase
    {39, 63, 614},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase#
    {39, 183, 612},	// QSqlDriverCreatorBase::createObject
    {39, 739, 615},	// QSqlDriverCreatorBase::~QSqlDriverCreatorBase
    {40, 64, 617},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface
    {40, 65, 618},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface#
    {40, 182, 616},	// QSqlDriverFactoryInterface::create$
    {40, 740, 619},	// QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface
    {41, 66, 632},	// QSqlDriverPlugin::QSqlDriverPlugin
    {41, 67, 627},	// QSqlDriverPlugin::QSqlDriverPlugin#
    {41, 182, 629},	// QSqlDriverPlugin::create$
    {41, 290, 628},	// QSqlDriverPlugin::keys
    {41, 297, 620},	// QSqlDriverPlugin::metaObject
    {41, 542, 626},	// QSqlDriverPlugin::qt_metacall$$?
    {41, 544, 621},	// QSqlDriverPlugin::qt_metacast$
    {41, 696, 633},	// QSqlDriverPlugin::staticMetaObject
    {41, 716, 630},	// QSqlDriverPlugin::tr$
    {41, 717, 622},	// QSqlDriverPlugin::tr$$
    {41, 718, 624},	// QSqlDriverPlugin::tr$$$
    {41, 720, 631},	// QSqlDriverPlugin::trUtf8$
    {41, 721, 623},	// QSqlDriverPlugin::trUtf8$$
    {41, 722, 625},	// QSqlDriverPlugin::trUtf8$$$
    {41, 741, 634},	// QSqlDriverPlugin::~QSqlDriverPlugin
    {42, 8, 653},	// QSqlError::ConnectionError
    {42, 48, 652},	// QSqlError::NoError
    {42, 68, 648},	// QSqlError::QSqlError
    {42, 69, 636},	// QSqlError::QSqlError#
    {42, 70, 649},	// QSqlError::QSqlError$
    {42, 71, 650},	// QSqlError::QSqlError$$
    {42, 72, 651},	// QSqlError::QSqlError$$$
    {42, 73, 635},	// QSqlError::QSqlError$$$$
    {42, 116, 654},	// QSqlError::StatementError
    {42, 120, 655},	// QSqlError::TransactionError
    {42, 124, 656},	// QSqlError::UnknownError
    {42, 195, 640},	// QSqlError::databaseText
    {42, 205, 638},	// QSqlError::driverText
    {42, 288, 647},	// QSqlError::isValid
    {42, 306, 644},	// QSqlError::number
    {42, 351, 637},	// QSqlError::operator=#
    {42, 611, 641},	// QSqlError::setDatabaseText$
    {42, 619, 639},	// QSqlError::setDriverText$
    {42, 646, 645},	// QSqlError::setNumber$
    {42, 684, 643},	// QSqlError::setType$
    {42, 713, 646},	// QSqlError::text
    {42, 724, 642},	// QSqlError::type
    {42, 742, 657},	// QSqlError::~QSqlError
    {43, 52, 692},	// QSqlField::Optional
    {43, 74, 689},	// QSqlField::QSqlField
    {43, 75, 659},	// QSqlField::QSqlField#
    {43, 76, 690},	// QSqlField::QSqlField$
    {43, 77, 658},	// QSqlField::QSqlField$$
    {43, 112, 693},	// QSqlField::Required
    {43, 123, 691},	// QSqlField::Unknown
    {43, 165, 670},	// QSqlField::clear
    {43, 197, 685},	// QSqlField::defaultValue
    {43, 267, 672},	// QSqlField::isAutoValue
    {43, 276, 687},	// QSqlField::isGenerated
    {43, 282, 667},	// QSqlField::isNull
    {43, 286, 669},	// QSqlField::isReadOnly
    {43, 288, 688},	// QSqlField::isValid
    {43, 295, 683},	// QSqlField::length
    {43, 300, 666},	// QSqlField::name
    {43, 316, 662},	// QSqlField::operator!=#
    {43, 351, 660},	// QSqlField::operator=#
    {43, 353, 661},	// QSqlField::operator==#
    {43, 380, 684},	// QSqlField::precision
    {43, 576, 682},	// QSqlField::requiredStatus
    {43, 600, 681},	// QSqlField::setAutoValue$
    {43, 615, 678},	// QSqlField::setDefaultValue#
    {43, 627, 680},	// QSqlField::setGenerated$
    {43, 640, 676},	// QSqlField::setLength$
    {43, 642, 665},	// QSqlField::setName$
    {43, 658, 677},	// QSqlField::setPrecision$
    {43, 666, 668},	// QSqlField::setReadOnly$
    {43, 672, 675},	// QSqlField::setRequired$
    {43, 674, 674},	// QSqlField::setRequiredStatus$
    {43, 680, 679},	// QSqlField::setSqlType$
    {43, 684, 673},	// QSqlField::setType$
    {43, 688, 663},	// QSqlField::setValue#
    {43, 724, 671},	// QSqlField::type
    {43, 725, 686},	// QSqlField::typeID
    {43, 733, 664},	// QSqlField::value
    {43, 743, 694},	// QSqlField::~QSqlField
    {44, 78, 706},	// QSqlIndex::QSqlIndex
    {44, 79, 696},	// QSqlIndex::QSqlIndex#
    {44, 80, 707},	// QSqlIndex::QSqlIndex$
    {44, 81, 695},	// QSqlIndex::QSqlIndex$$
    {44, 139, 702},	// QSqlIndex::append#
    {44, 140, 703},	// QSqlIndex::append#$
    {44, 185, 699},	// QSqlIndex::cursorName
    {44, 269, 704},	// QSqlIndex::isDescending$
    {44, 300, 701},	// QSqlIndex::name
    {44, 351, 697},	// QSqlIndex::operator=#
    {44, 604, 698},	// QSqlIndex::setCursorName$
    {44, 617, 705},	// QSqlIndex::setDescending$$
    {44, 642, 700},	// QSqlIndex::setName$
    {44, 744, 708},	// QSqlIndex::~QSqlIndex
    {45, 82, 751},	// QSqlQuery::QSqlQuery
    {45, 83, -1},	// QSqlQuery::QSqlQuery#
    {45, 84, 752},	// QSqlQuery::QSqlQuery$
    {45, 85, 710},	// QSqlQuery::QSqlQuery$#
    {45, 126, 759},	// QSqlQuery::ValuesAsColumns
    {45, 127, 758},	// QSqlQuery::ValuesAsRows
    {45, 131, 757},	// QSqlQuery::addBindValue#
    {45, 132, 743},	// QSqlQuery::addBindValue#$
    {45, 141, 717},	// QSqlQuery::at
    {45, 150, -5},	// QSqlQuery::bindValue$#
    {45, 151, -8},	// QSqlQuery::bindValue$#$
    {45, 156, -11},	// QSqlQuery::boundValue$
    {45, 160, 746},	// QSqlQuery::boundValues
    {45, 165, 737},	// QSqlQuery::clear
    {45, 203, 723},	// QSqlQuery::driver
    {45, 213, 738},	// QSqlQuery::exec
    {45, 214, 728},	// QSqlQuery::exec$
    {45, 215, 754},	// QSqlQuery::execBatch
    {45, 216, 739},	// QSqlQuery::execBatch$
    {45, 217, 747},	// QSqlQuery::executedQuery
    {45, 233, 749},	// QSqlQuery::finish
    {45, 234, 735},	// QSqlQuery::first
    {45, 266, 715},	// QSqlQuery::isActive
    {45, 275, 725},	// QSqlQuery::isForwardOnly
    {45, 283, 716},	// QSqlQuery::isNull$
    {45, 287, 721},	// QSqlQuery::isSelect
    {45, 288, 714},	// QSqlQuery::isValid
    {45, 291, 736},	// QSqlQuery::last
    {45, 292, 720},	// QSqlQuery::lastError
    {45, 293, 748},	// QSqlQuery::lastInsertId
    {45, 294, 718},	// QSqlQuery::lastQuery
    {45, 301, 733},	// QSqlQuery::next
    {45, 302, 750},	// QSqlQuery::nextResult
    {45, 305, 719},	// QSqlQuery::numRowsAffected
    {45, 307, 731},	// QSqlQuery::numericalPrecisionPolicy
    {45, 351, 713},	// QSqlQuery::operator=#
    {45, 382, 740},	// QSqlQuery::prepare$
    {45, 383, 734},	// QSqlQuery::previous
    {45, 556, 726},	// QSqlQuery::record
    {45, 579, 724},	// QSqlQuery::result
    {45, 591, 753},	// QSqlQuery::seek$
    {45, 592, 732},	// QSqlQuery::seek$$
    {45, 625, 727},	// QSqlQuery::setForwardOnly$
    {45, 648, 730},	// QSqlQuery::setNumericalPrecisionPolicy$
    {45, 690, 722},	// QSqlQuery::size
    {45, 734, 729},	// QSqlQuery::value$
    {45, 745, 760},	// QSqlQuery::~QSqlQuery
    {46, 86, 790},	// QSqlQueryModel::QSqlQueryModel
    {46, 87, 768},	// QSqlQueryModel::QSqlQueryModel#
    {46, 162, 800},	// QSqlQueryModel::canFetchMore
    {46, 163, 784},	// QSqlQueryModel::canFetchMore#
    {46, 165, 781},	// QSqlQueryModel::clear
    {46, 170, 792},	// QSqlQueryModel::columnCount
    {46, 171, 770},	// QSqlQueryModel::columnCount#
    {46, 188, 793},	// QSqlQueryModel::data#
    {46, 189, 773},	// QSqlQueryModel::data#$
    {46, 222, 799},	// QSqlQueryModel::fetchMore
    {46, 223, 783},	// QSqlQueryModel::fetchMore#
    {46, 245, 794},	// QSqlQueryModel::headerData$$
    {46, 246, 774},	// QSqlQueryModel::headerData$$$
    {46, 251, 786},	// QSqlQueryModel::indexInQuery#
    {46, 257, 796},	// QSqlQueryModel::insertColumns$$
    {46, 258, 776},	// QSqlQueryModel::insertColumns$$#
    {46, 292, 782},	// QSqlQueryModel::lastError
    {46, 297, 761},	// QSqlQueryModel::metaObject
    {46, 542, 767},	// QSqlQueryModel::qt_metacall$$?
    {46, 544, 762},	// QSqlQueryModel::qt_metacast$
    {46, 550, 780},	// QSqlQueryModel::query
    {46, 551, 785},	// QSqlQueryModel::queryChange
    {46, 556, 772},	// QSqlQueryModel::record
    {46, 557, 771},	// QSqlQueryModel::record$
    {46, 567, 797},	// QSqlQueryModel::removeColumns$$
    {46, 568, 777},	// QSqlQueryModel::removeColumns$$#
    {46, 586, 791},	// QSqlQueryModel::rowCount
    {46, 587, 769},	// QSqlQueryModel::rowCount#
    {46, 630, 795},	// QSqlQueryModel::setHeaderData$$#
    {46, 631, 775},	// QSqlQueryModel::setHeaderData$$#$
    {46, 638, 787},	// QSqlQueryModel::setLastError#
    {46, 662, 778},	// QSqlQueryModel::setQuery#
    {46, 663, 798},	// QSqlQueryModel::setQuery$
    {46, 664, 779},	// QSqlQueryModel::setQuery$#
    {46, 696, 801},	// QSqlQueryModel::staticMetaObject
    {46, 716, 788},	// QSqlQueryModel::tr$
    {46, 717, 763},	// QSqlQueryModel::tr$$
    {46, 718, 765},	// QSqlQueryModel::tr$$$
    {46, 720, 789},	// QSqlQueryModel::trUtf8$
    {46, 721, 764},	// QSqlQueryModel::trUtf8$$
    {46, 722, 766},	// QSqlQueryModel::trUtf8$$$
    {46, 746, 802},	// QSqlQueryModel::~QSqlQueryModel
    {47, 88, 803},	// QSqlRecord::QSqlRecord
    {47, 89, 804},	// QSqlRecord::QSqlRecord#
    {47, 139, 824},	// QSqlRecord::append#
    {47, 165, 830},	// QSqlRecord::clear
    {47, 166, 831},	// QSqlRecord::clearValues
    {47, 179, 829},	// QSqlRecord::contains$
    {47, 180, 832},	// QSqlRecord::count
    {47, 227, -23},	// QSqlRecord::field$
    {47, 231, 817},	// QSqlRecord::fieldName$
    {47, 253, 816},	// QSqlRecord::indexOf$
    {47, 255, 826},	// QSqlRecord::insert$#
    {47, 274, 828},	// QSqlRecord::isEmpty
    {47, 277, -26},	// QSqlRecord::isGenerated$
    {47, 283, -29},	// QSqlRecord::isNull$
    {47, 316, 807},	// QSqlRecord::operator!=#
    {47, 351, 805},	// QSqlRecord::operator=#
    {47, 353, 806},	// QSqlRecord::operator==#
    {47, 565, 827},	// QSqlRecord::remove$
    {47, 575, 825},	// QSqlRecord::replace$#
    {47, 628, -32},	// QSqlRecord::setGenerated$$
    {47, 644, -35},	// QSqlRecord::setNull$
    {47, 689, -38},	// QSqlRecord::setValue$#
    {47, 734, -41},	// QSqlRecord::value$
    {47, 747, 833},	// QSqlRecord::~QSqlRecord
    {48, 90, 834},	// QSqlRelation::QSqlRelation
    {48, 91, 840},	// QSqlRelation::QSqlRelation#
    {48, 92, 835},	// QSqlRelation::QSqlRelation$$$
    {48, 202, 838},	// QSqlRelation::displayColumn
    {48, 249, 837},	// QSqlRelation::indexColumn
    {48, 288, 839},	// QSqlRelation::isValid
    {48, 710, 836},	// QSqlRelation::tableName
    {48, 748, 841},	// QSqlRelation::~QSqlRelation
    {49, 17, 873},	// QSqlRelationalTableModel::InnerJoin
    {49, 20, 874},	// QSqlRelationalTableModel::LeftJoin
    {49, 93, 867},	// QSqlRelationalTableModel::QSqlRelationalTableModel
    {49, 94, 868},	// QSqlRelationalTableModel::QSqlRelationalTableModel#
    {49, 95, 849},	// QSqlRelationalTableModel::QSqlRelationalTableModel##
    {49, 165, 853},	// QSqlRelationalTableModel::clear
    {49, 188, 869},	// QSqlRelationalTableModel::data#
    {49, 189, 850},	// QSqlRelationalTableModel::data#$
    {49, 262, 863},	// QSqlRelationalTableModel::insertRowIntoTable#
    {49, 297, 842},	// QSqlRelationalTableModel::metaObject
    {49, 377, 864},	// QSqlRelationalTableModel::orderByClause
    {49, 542, 848},	// QSqlRelationalTableModel::qt_metacall$$?
    {49, 544, 843},	// QSqlRelationalTableModel::qt_metacast$
    {49, 561, 857},	// QSqlRelationalTableModel::relation$
    {49, 563, 858},	// QSqlRelationalTableModel::relationModel$
    {49, 567, 871},	// QSqlRelationalTableModel::removeColumns$$
    {49, 568, 852},	// QSqlRelationalTableModel::removeColumns$$#
    {49, 583, 860},	// QSqlRelationalTableModel::revertRow$
    {49, 593, 854},	// QSqlRelationalTableModel::select
    {49, 594, 861},	// QSqlRelationalTableModel::selectStatement
    {49, 606, 870},	// QSqlRelationalTableModel::setData##
    {49, 607, 851},	// QSqlRelationalTableModel::setData##$
    {49, 636, 859},	// QSqlRelationalTableModel::setJoinMode$
    {49, 670, 856},	// QSqlRelationalTableModel::setRelation$#
    {49, 682, 855},	// QSqlRelationalTableModel::setTable$
    {49, 696, 872},	// QSqlRelationalTableModel::staticMetaObject
    {49, 716, 865},	// QSqlRelationalTableModel::tr$
    {49, 717, 844},	// QSqlRelationalTableModel::tr$$
    {49, 718, 846},	// QSqlRelationalTableModel::tr$$$
    {49, 720, 866},	// QSqlRelationalTableModel::trUtf8$
    {49, 721, 845},	// QSqlRelationalTableModel::trUtf8$$
    {49, 722, 847},	// QSqlRelationalTableModel::trUtf8$$$
    {49, 731, 862},	// QSqlRelationalTableModel::updateRowInTable$#
    {49, 749, 875},	// QSqlRelationalTableModel::~QSqlRelationalTableModel
    {50, 4, 930},	// QSqlResult::BatchOperation
    {50, 10, 931},	// QSqlResult::DetachFromResultSet
    {50, 45, 929},	// QSqlResult::NamedBinding
    {50, 47, 933},	// QSqlResult::NextResult
    {50, 54, 928},	// QSqlResult::PositionalBinding
    {50, 97, 877},	// QSqlResult::QSqlResult#
    {50, 114, 932},	// QSqlResult::SetNumericalPrecision
    {50, 132, 897},	// QSqlResult::addBindValue#$
    {50, 141, 878},	// QSqlResult::at
    {50, 151, -14},	// QSqlResult::bindValue$#$
    {50, 153, -17},	// QSqlResult::bindValueType$
    {50, 154, 908},	// QSqlResult::bindingSyntax
    {50, 156, -20},	// QSqlResult::boundValue$
    {50, 157, 902},	// QSqlResult::boundValueCount
    {50, 159, 905},	// QSqlResult::boundValueName$
    {50, 160, 903},	// QSqlResult::boundValues
    {50, 165, 906},	// QSqlResult::clear
    {50, 190, 909},	// QSqlResult::data$
    {50, 200, 923},	// QSqlResult::detachFromResultSet
    {50, 203, 885},	// QSqlResult::driver
    {50, 213, 892},	// QSqlResult::exec
    {50, 215, 927},	// QSqlResult::execBatch
    {50, 216, 922},	// QSqlResult::execBatch$
    {50, 217, 904},	// QSqlResult::executedQuery
    {50, 219, 912},	// QSqlResult::fetch$
    {50, 220, 915},	// QSqlResult::fetchFirst
    {50, 221, 916},	// QSqlResult::fetchLast
    {50, 224, 913},	// QSqlResult::fetchNext
    {50, 225, 914},	// QSqlResult::fetchPrevious
    {50, 240, 876},	// QSqlResult::handle
    {50, 243, 907},	// QSqlResult::hasOutValues
    {50, 266, 882},	// QSqlResult::isActive
    {50, 275, 884},	// QSqlResult::isForwardOnly
    {50, 283, 910},	// QSqlResult::isNull$
    {50, 287, 883},	// QSqlResult::isSelect
    {50, 288, 881},	// QSqlResult::isValid
    {50, 292, 880},	// QSqlResult::lastError
    {50, 293, 920},	// QSqlResult::lastInsertId
    {50, 294, 879},	// QSqlResult::lastQuery
    {50, 302, 926},	// QSqlResult::nextResult
    {50, 305, 918},	// QSqlResult::numRowsAffected
    {50, 307, 925},	// QSqlResult::numericalPrecisionPolicy
    {50, 382, 893},	// QSqlResult::prepare$
    {50, 556, 919},	// QSqlResult::record
    {50, 578, 911},	// QSqlResult::reset$
    {50, 589, 894},	// QSqlResult::savePrepare$
    {50, 596, 887},	// QSqlResult::setActive$
    {50, 598, 886},	// QSqlResult::setAt$
    {50, 625, 891},	// QSqlResult::setForwardOnly$
    {50, 638, 888},	// QSqlResult::setLastError#
    {50, 648, 924},	// QSqlResult::setNumericalPrecisionPolicy$
    {50, 663, 889},	// QSqlResult::setQuery$
    {50, 676, 890},	// QSqlResult::setSelect$
    {50, 690, 917},	// QSqlResult::size
    {50, 736, 921},	// QSqlResult::virtual_hook$$
    {50, 750, 934},	// QSqlResult::~QSqlResult
    {51, 49, 996},	// QSqlTableModel::OnFieldChange
    {51, 50, 998},	// QSqlTableModel::OnManualSubmit
    {51, 51, 997},	// QSqlTableModel::OnRowChange
    {51, 98, 986},	// QSqlTableModel::QSqlTableModel
    {51, 99, 987},	// QSqlTableModel::QSqlTableModel#
    {51, 100, 942},	// QSqlTableModel::QSqlTableModel##
    {51, 143, 975},	// QSqlTableModel::beforeDelete$
    {51, 145, 973},	// QSqlTableModel::beforeInsert#
    {51, 147, 974},	// QSqlTableModel::beforeUpdate$#
    {51, 165, 951},	// QSqlTableModel::clear
    {51, 188, 988},	// QSqlTableModel::data#
    {51, 189, 947},	// QSqlTableModel::data#$
    {51, 191, 955},	// QSqlTableModel::database
    {51, 199, 978},	// QSqlTableModel::deleteRowFromTable$
    {51, 208, 953},	// QSqlTableModel::editStrategy
    {51, 229, 956},	// QSqlTableModel::fieldIndex$
    {51, 232, 959},	// QSqlTableModel::filter
    {51, 236, 946},	// QSqlTableModel::flags#
    {51, 245, 990},	// QSqlTableModel::headerData$$
    {51, 246, 949},	// QSqlTableModel::headerData$$$
    {51, 251, 983},	// QSqlTableModel::indexInQuery#
    {51, 260, 965},	// QSqlTableModel::insertRecord$#
    {51, 262, 977},	// QSqlTableModel::insertRowIntoTable#
    {51, 264, 994},	// QSqlTableModel::insertRows$$
    {51, 265, 964},	// QSqlTableModel::insertRows$$#
    {51, 271, 950},	// QSqlTableModel::isDirty#
    {51, 297, 935},	// QSqlTableModel::metaObject
    {51, 377, 979},	// QSqlTableModel::orderByClause
    {51, 386, 954},	// QSqlTableModel::primaryKey
    {51, 388, 972},	// QSqlTableModel::primeInsert$#
    {51, 542, 941},	// QSqlTableModel::qt_metacall$$?
    {51, 544, 936},	// QSqlTableModel::qt_metacast$
    {51, 567, 992},	// QSqlTableModel::removeColumns$$
    {51, 568, 962},	// QSqlTableModel::removeColumns$$#
    {51, 572, 993},	// QSqlTableModel::removeRows$$
    {51, 573, 963},	// QSqlTableModel::removeRows$$#
    {51, 580, 969},	// QSqlTableModel::revert
    {51, 581, 971},	// QSqlTableModel::revertAll
    {51, 583, 967},	// QSqlTableModel::revertRow$
    {51, 586, 991},	// QSqlTableModel::rowCount
    {51, 587, 961},	// QSqlTableModel::rowCount#
    {51, 593, 943},	// QSqlTableModel::select
    {51, 594, 980},	// QSqlTableModel::selectStatement
    {51, 606, 989},	// QSqlTableModel::setData##
    {51, 607, 948},	// QSqlTableModel::setData##$
    {51, 621, 952},	// QSqlTableModel::setEditStrategy$
    {51, 623, 960},	// QSqlTableModel::setFilter$
    {51, 660, 981},	// QSqlTableModel::setPrimaryKey#
    {51, 662, 982},	// QSqlTableModel::setQuery#
    {51, 668, 966},	// QSqlTableModel::setRecord$#
    {51, 678, 958},	// QSqlTableModel::setSort$$
    {51, 682, 944},	// QSqlTableModel::setTable$
    {51, 692, 957},	// QSqlTableModel::sort$$
    {51, 696, 995},	// QSqlTableModel::staticMetaObject
    {51, 701, 968},	// QSqlTableModel::submit
    {51, 702, 970},	// QSqlTableModel::submitAll
    {51, 710, 945},	// QSqlTableModel::tableName
    {51, 716, 984},	// QSqlTableModel::tr$
    {51, 717, 937},	// QSqlTableModel::tr$$
    {51, 718, 939},	// QSqlTableModel::tr$$$
    {51, 720, 985},	// QSqlTableModel::trUtf8$
    {51, 721, 938},	// QSqlTableModel::trUtf8$$
    {51, 722, 940},	// QSqlTableModel::trUtf8$$$
    {51, 731, 976},	// QSqlTableModel::updateRowInTable$#
    {51, 751, 999},	// QSqlTableModel::~QSqlTableModel
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtsql_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsql_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtsql_Smoke = new Smoke(
        "qtsql",
        __smokeqtsql::classes, 61,
        __smokeqtsql::methods, 1000,
        __smokeqtsql::methodMaps, 682,
        __smokeqtsql::methodNames, 751,
        __smokeqtsql::types, 314,
        __smokeqtsql::inheritanceList,
        __smokeqtsql::argumentList,
        __smokeqtsql::ambiguousMethodList,
        __smokeqtsql::cast );
    initialized = true;
}

void delete_qtsql_Smoke() { delete qtsql_Smoke; }

}
