#include <qtsvg_includes.h>

#include <smoke.h>
#include <qtsvg_smoke.h>

namespace __smokeqtsvg {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGraphicsItem
      switch(to) {
        case 27: return (void*)(QGraphicsItem*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 28:   //QGraphicsObject
      switch(to) {
        case 57: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 27: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 28: return (void*)(QGraphicsObject*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 29:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 29: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 30: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 31: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 32: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 33: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QGraphicsSvgItem
      switch(to) {
        case 28: return (void*)(QGraphicsObject*)(QGraphicsSvgItem*)xptr;
        case 57: return (void*)(QObject*)(QGraphicsSvgItem*)xptr;
        case 27: return (void*)(QGraphicsItem*)(QGraphicsSvgItem*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)xptr;
        default: return xptr;
      }
    case 35:   //QHashDummyValue
      switch(to) {
        case 35: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 36:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 36: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QIODevice
      switch(to) {
        case 57: return (void*)(QObject*)(QIODevice*)xptr;
        case 37: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 38:   //QIcon
      switch(to) {
        case 38: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 39:   //QImage
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 39: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 40:   //QIncompatibleFlag
      switch(to) {
        case 40: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 41:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 41: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QItemSelectionRange
      switch(to) {
        case 42: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 43:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 43: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QKeySequence
      switch(to) {
        case 44: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 45:   //QLatin1String
      switch(to) {
        case 45: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 46:   //QLine
      switch(to) {
        case 46: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 47:   //QLineF
      switch(to) {
        case 47: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 48:   //QListWidgetItem
      switch(to) {
        case 48: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 49:   //QLocale
      switch(to) {
        case 49: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 50:   //QMargins
      switch(to) {
        case 50: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 51:   //QMatrix
      switch(to) {
        case 51: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 52:   //QMatrix4x4
      switch(to) {
        case 52: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 53:   //QMetaObject
      switch(to) {
        case 53: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 54:   //QModelIndex
      switch(to) {
        case 54: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 55:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 55: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 56: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QObject
      switch(to) {
        case 57: return (void*)(QObject*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QObject*)xptr;
        case 90: return (void*)(QSvgRenderer*)(QObject*)xptr;
        case 91: return (void*)(QSvgWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 58:   //QPaintDevice
      switch(to) {
        case 58: return (void*)(QPaintDevice*)xptr;
        case 89: return (void*)(QSvgGenerator*)(QPaintDevice*)xptr;
        case 91: return (void*)(QSvgWidget*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 59:   //QPaintEngine
      switch(to) {
        case 59: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 60:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 60: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QPainter
      switch(to) {
        case 61: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 62:   //QPainterPath
      switch(to) {
        case 62: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 63:   //QPalette
      switch(to) {
        case 63: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 64:   //QPen
      switch(to) {
        case 64: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 65:   //QPersistentModelIndex
      switch(to) {
        case 65: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 66:   //QPicture
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 66: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 67:   //QPixmap
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 67: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 68:   //QPoint
      switch(to) {
        case 68: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 69:   //QPointF
      switch(to) {
        case 69: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 70:   //QPolygon
      switch(to) {
        case 70: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 71:   //QPolygonF
      switch(to) {
        case 71: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 72:   //QQuaternion
      switch(to) {
        case 72: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 73:   //QRect
      switch(to) {
        case 73: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 74:   //QRectF
      switch(to) {
        case 74: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 75:   //QRegExp
      switch(to) {
        case 75: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 76:   //QRegion
      switch(to) {
        case 76: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 77:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 77: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 78: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QSize
      switch(to) {
        case 79: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 80:   //QSizeF
      switch(to) {
        case 80: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 81:   //QSizePolicy
      switch(to) {
        case 81: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 82:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 57: return (void*)(QObject*)(QSplitter*)xptr;
        case 58: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 82: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 83:   //QStandardItem
      switch(to) {
        case 83: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 84:   //QString::Null
      switch(to) {
        case 84: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 85:   //QStringRef
      switch(to) {
        case 85: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 86:   //QStyle
      switch(to) {
        case 57: return (void*)(QObject*)(QStyle*)xptr;
        case 86: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 87:   //QStyleOption
      switch(to) {
        case 87: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 88:   //QStyleOptionGraphicsItem
      switch(to) {
        case 87: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 88: return (void*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 89:   //QSvgGenerator
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QSvgGenerator*)xptr;
        case 89: return (void*)(QSvgGenerator*)xptr;
        default: return xptr;
      }
    case 90:   //QSvgRenderer
      switch(to) {
        case 57: return (void*)(QObject*)(QSvgRenderer*)xptr;
        case 90: return (void*)(QSvgRenderer*)xptr;
        default: return xptr;
      }
    case 91:   //QSvgWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QSvgWidget*)xptr;
        case 57: return (void*)(QObject*)(QSvgWidget*)xptr;
        case 58: return (void*)(QPaintDevice*)(QSvgWidget*)xptr;
        case 91: return (void*)(QSvgWidget*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 57: return (void*)(QObject*)(QWidget*)xptr;
        case 58: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 91: return (void*)(QSvgWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 113:   //QXmlStreamReader
      switch(to) {
        case 113: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    28, 0,	// 1: QGraphicsObject
    58, 0,	// 3: QPaintDevice
    57, 0,	// 5: QObject
    112, 0,	// 7: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QGraphicsSvgItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgRenderer(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgWidget(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//26
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//27
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//28
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QGraphicsSvgItem", false, 1, xcall_QGraphicsSvgItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGraphicsSvgItem) },	//34
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//35
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//37
    { "QIcon", true, 0, 0, 0, 0, 0 },	//38
    { "QImage", true, 0, 0, 0, 0, 0 },	//39
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//40
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//42
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//44
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//45
    { "QLine", true, 0, 0, 0, 0, 0 },	//46
    { "QLineF", true, 0, 0, 0, 0, 0 },	//47
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//48
    { "QLocale", true, 0, 0, 0, 0, 0 },	//49
    { "QMargins", true, 0, 0, 0, 0, 0 },	//50
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//51
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//52
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//53
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//54
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QObject", true, 0, 0, 0, 0, 0 },	//57
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//58
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//59
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QPainter", true, 0, 0, 0, 0, 0 },	//61
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//62
    { "QPalette", true, 0, 0, 0, 0, 0 },	//63
    { "QPen", true, 0, 0, 0, 0, 0 },	//64
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//65
    { "QPicture", true, 0, 0, 0, 0, 0 },	//66
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//67
    { "QPoint", true, 0, 0, 0, 0, 0 },	//68
    { "QPointF", true, 0, 0, 0, 0, 0 },	//69
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//70
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//71
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//72
    { "QRect", true, 0, 0, 0, 0, 0 },	//73
    { "QRectF", true, 0, 0, 0, 0, 0 },	//74
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//75
    { "QRegion", true, 0, 0, 0, 0, 0 },	//76
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QSize", true, 0, 0, 0, 0, 0 },	//79
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//80
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//81
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//82
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//83
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//84
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//85
    { "QStyle", true, 0, 0, 0, 0, 0 },	//86
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//87
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//88
    { "QSvgGenerator", false, 3, xcall_QSvgGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgGenerator) },	//89
    { "QSvgRenderer", false, 5, xcall_QSvgRenderer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgRenderer) },	//90
    { "QSvgWidget", false, 7, xcall_QSvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgWidget) },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//113
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2::TableModelChangeType", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//13
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//14
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//15
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//16
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//17
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//18
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//19
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//20
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//23
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//29
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//31
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//42
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//126
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QGraphicsItem*", 27, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QGraphicsItem::Extension", 27, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QGraphicsItem::GraphicsItemChange", 27, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QGraphicsItem::GraphicsItemFlag", 27, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QGraphicsObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QGraphicsSceneContextMenuEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QGraphicsSceneDragDropEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QGraphicsSceneHoverEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGraphicsSceneMouseEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QGraphicsSceneWheelEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QGraphicsSvgItem*", 34, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "QHideEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QIODevice*", 37, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QIODevice::OpenModeFlag", 37, Smoke::t_enum|Smoke::tf_stack },	//148
    { "QIcon&", 38, Smoke::t_class|Smoke::tf_ref },	//149
    { "QImage&", 39, Smoke::t_class|Smoke::tf_ref },	//150
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QIncompatibleFlag", 40, Smoke::t_class|Smoke::tf_stack },	//152
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QInputMethodEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QKeyEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref },	//157
    { "QKeySequence::StandardKey", 44, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QLine", 46, Smoke::t_class|Smoke::tf_stack },	//160
    { "QLine&", 46, Smoke::t_class|Smoke::tf_ref },	//161
    { "QLineF", 47, Smoke::t_class|Smoke::tf_stack },	//162
    { "QLineF&", 47, Smoke::t_class|Smoke::tf_ref },	//163
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//164
    { "QListWidgetItem&", 48, Smoke::t_class|Smoke::tf_ref },	//165
    { "QLocale&", 49, Smoke::t_class|Smoke::tf_ref },	//166
    { "QLocale::NumberOption", 49, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QMatrix", 51, Smoke::t_class|Smoke::tf_stack },	//169
    { "QMatrix&", 51, Smoke::t_class|Smoke::tf_ref },	//170
    { "QMatrix4x4", 52, Smoke::t_class|Smoke::tf_stack },	//171
    { "QMatrix4x4&", 52, Smoke::t_class|Smoke::tf_ref },	//172
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QMetaObject::Call", 53, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QMouseEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//177
    { "QMoveEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QObject*", 57, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QObject*(*)()", 57, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QPaintDevice::PaintDeviceMetric", 58, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QPaintEngine*", 59, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QPaintEngine::DirtyFlag", 59, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QPaintEngine::PaintEngineFeature", 59, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QPaintEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QPainter*", 61, Smoke::t_class|Smoke::tf_ptr },	//186
    { "QPainter::RenderHint", 61, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QPainterPath", 62, Smoke::t_class|Smoke::tf_stack },	//188
    { "QPainterPath&", 62, Smoke::t_class|Smoke::tf_ref },	//189
    { "QPalette&", 63, Smoke::t_class|Smoke::tf_ref },	//190
    { "QPen&", 64, Smoke::t_class|Smoke::tf_ref },	//191
    { "QPicture&", 66, Smoke::t_class|Smoke::tf_ref },	//192
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QPixmap&", 67, Smoke::t_class|Smoke::tf_ref },	//194
    { "QPoint", 68, Smoke::t_class|Smoke::tf_stack },	//195
    { "QPoint&", 68, Smoke::t_class|Smoke::tf_ref },	//196
    { "QPointF", 69, Smoke::t_class|Smoke::tf_stack },	//197
    { "QPointF&", 69, Smoke::t_class|Smoke::tf_ref },	//198
    { "QPolygon", 70, Smoke::t_class|Smoke::tf_stack },	//199
    { "QPolygon&", 70, Smoke::t_class|Smoke::tf_ref },	//200
    { "QPolygonF", 71, Smoke::t_class|Smoke::tf_stack },	//201
    { "QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref },	//202
    { "QQuaternion&", 72, Smoke::t_class|Smoke::tf_ref },	//203
    { "QRect", 73, Smoke::t_class|Smoke::tf_stack },	//204
    { "QRect&", 73, Smoke::t_class|Smoke::tf_ref },	//205
    { "QRectF", 74, Smoke::t_class|Smoke::tf_stack },	//206
    { "QRectF&", 74, Smoke::t_class|Smoke::tf_ref },	//207
    { "QRegExp&", 75, Smoke::t_class|Smoke::tf_ref },	//208
    { "QRegion", 76, Smoke::t_class|Smoke::tf_stack },	//209
    { "QRegion&", 76, Smoke::t_class|Smoke::tf_ref },	//210
    { "QResizeEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QShowEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QSize", 79, Smoke::t_class|Smoke::tf_stack },	//213
    { "QSize&", 79, Smoke::t_class|Smoke::tf_ref },	//214
    { "QSizeF&", 80, Smoke::t_class|Smoke::tf_ref },	//215
    { "QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref },	//216
    { "QSizePolicy::ControlType", 81, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QSplitter&", 82, Smoke::t_class|Smoke::tf_ref },	//218
    { "QStandardItem&", 83, Smoke::t_class|Smoke::tf_ref },	//219
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//220
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//221
    { "QString::Null", 84, Smoke::t_class|Smoke::tf_stack },	//222
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//224
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//225
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//226
    { "QStyle&", 86, Smoke::t_class|Smoke::tf_ref },	//227
    { "QStyle::StateFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QStyle::SubControl", 86, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QSvgGenerator*", 89, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QSvgRenderer*", 90, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QSvgWidget*", 91, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//240
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//241
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//242
    { "QTextCodec::ConversionFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//246
    { "QTextFormat::PageBreakFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//249
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//251
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//252
    { "QTextStream::NumberFlag", 97, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//254
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//255
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//256
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//257
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//258
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//259
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//261
    { "QUrl::FormattingOption", 104, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//263
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//264
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//265
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//267
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//268
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//269
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//270
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//271
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//272
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//274
    { "QWidget::RenderFlag", 112, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "QXmlStreamReader*", 113, Smoke::t_class|Smoke::tf_ptr },	//277
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "QtMsgType", 26, Smoke::t_enum|Smoke::tf_stack },	//354
    { "QtValidLicenseForActiveQtModule", 26, Smoke::t_enum|Smoke::tf_stack },	//355
    { "QtValidLicenseForCoreModule", 26, Smoke::t_enum|Smoke::tf_stack },	//356
    { "QtValidLicenseForDBusModule", 26, Smoke::t_enum|Smoke::tf_stack },	//357
    { "QtValidLicenseForDeclarativeModule", 26, Smoke::t_enum|Smoke::tf_stack },	//358
    { "QtValidLicenseForGuiModule", 26, Smoke::t_enum|Smoke::tf_stack },	//359
    { "QtValidLicenseForHelpModule", 26, Smoke::t_enum|Smoke::tf_stack },	//360
    { "QtValidLicenseForMultimediaModule", 26, Smoke::t_enum|Smoke::tf_stack },	//361
    { "QtValidLicenseForNetworkModule", 26, Smoke::t_enum|Smoke::tf_stack },	//362
    { "QtValidLicenseForOpenGLModule", 26, Smoke::t_enum|Smoke::tf_stack },	//363
    { "QtValidLicenseForOpenVGModule", 26, Smoke::t_enum|Smoke::tf_stack },	//364
    { "QtValidLicenseForQt3SupportLightModule", 26, Smoke::t_enum|Smoke::tf_stack },	//365
    { "QtValidLicenseForQt3SupportModule", 26, Smoke::t_enum|Smoke::tf_stack },	//366
    { "QtValidLicenseForScriptModule", 26, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtValidLicenseForScriptToolsModule", 26, Smoke::t_enum|Smoke::tf_stack },	//368
    { "QtValidLicenseForSqlModule", 26, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtValidLicenseForSvgModule", 26, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QtValidLicenseForTestModule", 26, Smoke::t_enum|Smoke::tf_stack },	//371
    { "QtValidLicenseForXmlModule", 26, Smoke::t_enum|Smoke::tf_stack },	//372
    { "QtValidLicenseForXmlPatternsModule", 26, Smoke::t_enum|Smoke::tf_stack },	//373
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//374
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//375
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//376
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//377
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//380
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//381
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//390
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QGraphicsItem*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//392
    { "const QHashDummyValue&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QIcon&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QImage&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QItemSelectionRange&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QLatin1String&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QLine&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QLineF&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QListWidgetItem&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QLocale&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QMargins&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QMatrix&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QMatrix4x4&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QMetaObject&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QMetaObject*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//407
    { "const QModelIndex&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//409
    { "const QPainterPath&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QPalette&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QPen&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QPersistentModelIndex&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QPicture&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QPixmap&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QPoint", 68, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//416
    { "const QPoint&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QPointF", 69, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//418
    { "const QPointF&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QPolygon&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QQuaternion", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//422
    { "const QQuaternion&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QRect&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QRectF&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QRegExp&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QRegExp*", 75, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//427
    { "const QRegion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QSize", 79, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//429
    { "const QSize&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QSizeF", 80, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//431
    { "const QSizeF&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QSplitter&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QStandardItem&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//436
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//439
    { "const QStringRef&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QStyleOption&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QStyleOption::OptionType&", 87, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QStyleOptionGraphicsItem*", 88, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//443
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//454
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//456
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//458
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//460
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//462
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//463
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//464
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//465
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//466
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//467
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//468
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//469
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//470
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//471
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//472
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//473
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//474
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//475
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//476
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//477
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//478
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//479
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//480
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//481
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//482
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//483
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//484
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    378, 378, 0,	//1  const QBitArray&, const QBitArray&
    413, 0,	//4  const QPersistentModelIndex&
    298, 467, 0,	//6  Qt::DockWidgetArea, int
    462, 462, 467, 0,	//9  const char*, const char*, int
    129, 129, 0,	//13  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    417, 465, 0,	//16  const QPoint&, double
    465, 0,	//19  double
    31, 396, 0,	//21  QDebug, const QItemSelectionRange&
    465, 419, 0,	//24  double, const QPointF&
    323, 118, 0,	//27  Qt::MouseButton, QFlags<Qt::MouseButton>
    403, 403, 0,	//30  const QMargins&, const QMargins&
    31, 441, 0,	//33  QDebug, const QStyleOption&
    465, 432, 0,	//36  double, const QSizeF&
    34, 467, 0,	//39  QDir::SortFlag, int
    2, 2, 0,	//42  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    31, 413, 0,	//45  QDebug, const QPersistentModelIndex&
    27, 150, 0,	//48  QDataStream&, QImage&
    27, 433, 0,	//51  QDataStream&, const QSizePolicy&
    312, 467, 0,	//54  Qt::InputMethodHint, int
    234, 467, 0,	//57  QStyleOptionToolBar::ToolBarFeature, int
    31, 449, 0,	//60  QDebug, const QTransform&
    377, 462, 0,	//63  char*, const char*
    424, 424, 0,	//66  const QRect&, const QRect&
    430, 430, 0,	//69  const QSize&, const QSize&
    27, 449, 0,	//72  QDataStream&, const QTransform&
    243, 243, 0,	//75  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    31, 417, 0,	//78  QDebug, const QPoint&
    405, 405, 0,	//81  const QMatrix4x4&, const QMatrix4x4&
    473, 0,	//84  unsigned char
    33, 56, 0,	//86  QDir::Filter, QFlags<QDir::Filter>
    461, 461, 0,	//89  const QVector4D&, const QVector4D&
    419, 404, 0,	//92  const QPointF&, const QMatrix&
    184, 184, 0,	//95  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    399, 449, 0,	//98  const QLine&, const QTransform&
    457, 457, 0,	//101  const QVector2D&, const QVector2D&
    44, 61, 0,	//104  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    350, 123, 0,	//107  Qt::WindowState, QFlags<Qt::WindowState>
    432, 465, 0,	//110  const QSizeF&, double
    27, 399, 0,	//113  QDataStream&, const QLine&
    33, 467, 0,	//116  QDir::Filter, int
    449, 449, 0,	//119  const QTransform&, const QTransform&
    462, 398, 0,	//122  const char*, const QLatin1String&
    475, 0,	//125  unsigned int
    46, 63, 0,	//127  QFileDialog::Option, QFlags<QFileDialog::Option>
    432, 432, 0,	//130  const QSizeF&, const QSizeF&
    382, 382, 0,	//133  const QByteArray&, const QByteArray&
    398, 440, 0,	//136  const QLatin1String&, const QStringRef&
    423, 0,	//139  const QQuaternion&
    3, 3, 0,	//141  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    323, 323, 0,	//144  Qt::MouseButton, Qt::MouseButton
    31, 454, 0,	//147  QDebug, const QVariant::Type
    453, 455, 0,	//150  const QVariant&, const QVariantComparisonHelper&
    423, 465, 0,	//153  const QQuaternion&, double
    15, 15, 0,	//156  QBool, QBool
    233, 233, 0,	//159  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    232, 232, 0,	//162  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    127, 127, 0,	//165  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    278, 109, 0,	//168  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    440, 0,	//171  const QStringRef&
    247, 247, 0,	//173  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    222, 222, 0,	//176  QString::Null, QString::Null
    31, 391, 0,	//179  QDebug, const QFont&
    31, 420, 0,	//182  QDebug, const QPolygon&
    27, 425, 0,	//185  QDataStream&, const QRectF&
    27, 166, 0,	//188  QDataStream&, QLocale&
    229, 467, 0,	//191  QStyle::SubControl, int
    36, 36, 0,	//194  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    19, 437, 0,	//197  QChar, const QString&
    148, 73, 0,	//200  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    186, 424, 411, 375, 467, 380, 0,	//203  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    186, 424, 411, 0,	//210  QPainter*, const QRect&, const QPalette&
    186, 424, 411, 375, 0,	//214  QPainter*, const QRect&, const QPalette&, bool
    186, 424, 411, 375, 467, 0,	//219  QPainter*, const QRect&, const QPalette&, bool, int
    457, 0,	//225  const QVector2D&
    33, 33, 0,	//227  QDir::Filter, QDir::Filter
    27, 411, 0,	//230  QDataStream&, const QPalette&
    31, 448, 0,	//233  QDebug, const QTime&
    423, 423, 0,	//236  const QQuaternion&, const QQuaternion&
    244, 99, 0,	//239  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    27, 382, 0,	//242  QDataStream&, const QByteArray&
    31, 386, 0,	//245  QDebug, const QDate&
    378, 0,	//248  const QBitArray&
    245, 100, 0,	//250  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    463, 474, 467, 0,	//253  const unsigned char*, unsigned char*, int
    11, 52, 0,	//257  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    421, 449, 0,	//260  const QPolygonF&, const QTransform&
    453, 266, 482, 0,	//263  const QVariant&, QVariant::Type, void*
    437, 0,	//267  const QString&
    478, 0,	//269  unsigned short
    180, 0,	//271  QObject*(*)()
    468, 0,	//273  long
    340, 340, 0,	//275  Qt::ToolBarArea, Qt::ToolBarArea
    469, 0,	//278  long long
    31, 421, 0,	//280  QDebug, const QPolygonF&
    193, 86, 0,	//283  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    186, 467, 467, 467, 467, 411, 375, 380, 0,	//286  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    186, 467, 467, 467, 467, 411, 0,	//295  QPainter*, int, int, int, int, const QPalette&
    186, 467, 467, 467, 467, 411, 375, 0,	//302  QPainter*, int, int, int, int, const QPalette&, bool
    275, 467, 0,	//310  QWidget::RenderFlag, int
    31, 384, 0,	//313  QDebug, const QColor&
    260, 467, 0,	//316  QTreeWidgetItemIterator::IteratorFlag, int
    300, 467, 0,	//319  Qt::DropAction, int
    186, 467, 467, 467, 467, 411, 375, 467, 467, 380, 0,	//322  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    186, 467, 467, 467, 467, 411, 375, 467, 0,	//333  QPainter*, int, int, int, int, const QPalette&, bool, int
    186, 467, 467, 467, 467, 411, 375, 467, 467, 0,	//342  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    27, 438, 0,	//352  QDataStream&, const QStringList&
    1, 1, 0,	//355  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    27, 191, 0,	//358  QDataStream&, QPen&
    466, 0,	//361  float
    129, 66, 0,	//363  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    278, 278, 0,	//366  Qt::AlignmentFlag, Qt::AlignmentFlag
    27, 23, 0,	//369  QDataStream&, QColor&
    35, 467, 0,	//372  QDirIterator::IteratorFlag, int
    27, 426, 0,	//375  QDataStream&, const QRegExp&
    262, 467, 0,	//378  QUrl::FormattingOption, int
    35, 58, 0,	//381  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    382, 462, 0,	//384  const QByteArray&, const char*
    131, 131, 0,	//387  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    128, 467, 0,	//390  QFontDialog::FontDialogOption, int
    31, 432, 0,	//393  QDebug, const QSizeF&
    298, 110, 0,	//396  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    232, 467, 0,	//399  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    399, 404, 0,	//402  const QLine&, const QMatrix&
    183, 183, 0,	//405  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    467, 467, 467, 0,	//408  int, int, int
    400, 404, 0,	//412  const QLineF&, const QMatrix&
    325, 325, 0,	//415  Qt::Orientation, Qt::Orientation
    410, 404, 0,	//418  const QPainterPath&, const QMatrix&
    340, 467, 0,	//421  Qt::ToolBarArea, int
    459, 459, 0,	//424  const QVector3D&, const QVector3D&
    27, 198, 0,	//427  QDataStream&, QPointF&
    321, 467, 0,	//430  Qt::MatchFlag, int
    27, 397, 0,	//433  QDataStream&, const QKeySequence&
    437, 462, 0,	//436  const QString&, const char*
    27, 444, 0,	//439  QDataStream&, const QTableWidgetItem&
    31, 134, 0,	//442  QDebug, QGraphicsItem::GraphicsItemChange
    31, 389, 0,	//445  QDebug, const QEasingCurve&
    155, 467, 0,	//448  QItemSelectionModel::SelectionFlag, int
    27, 385, 0,	//451  QDataStream&, const QCursor&
    175, 82, 0,	//454  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    305, 305, 0,	//457  Qt::GestureFlag, Qt::GestureFlag
    27, 28, 0,	//460  QDataStream&, QDate&
    27, 414, 0,	//463  QDataStream&, const QPicture&
    148, 148, 0,	//466  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    175, 175, 0,	//469  QMessageBox::StandardButton, QMessageBox::StandardButton
    44, 467, 0,	//472  QEventLoop::ProcessEventsFlag, int
    376, 382, 0,	//475  char, const QByteArray&
    27, 272, 0,	//478  QDataStream&, QVector4D&
    462, 437, 0,	//481  const char*, const QString&
    174, 81, 0,	//484  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    31, 89, 0,	//487  QDebug, QFlags<QStyle::StateFlag>
    462, 382, 0,	//490  const char*, const QByteArray&
    128, 128, 0,	//493  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    27, 263, 0,	//496  QDataStream&, QUuid&
    465, 465, 0,	//499  double, double
    27, 18, 0,	//502  QDataStream&, QByteArray&
    27, 265, 0,	//505  QDataStream&, QVariant&
    27, 450, 0,	//508  QDataStream&, const QTreeWidgetItem&
    27, 208, 0,	//511  QDataStream&, QRegExp&
    187, 187, 0,	//514  QPainter::RenderHint, QPainter::RenderHint
    419, 419, 0,	//517  const QPointF&, const QPointF&
    449, 465, 0,	//520  const QTransform&, double
    251, 434, 0,	//523  QTextStream&, const QSplitter&
    4, 50, 0,	//526  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    457, 465, 0,	//529  const QVector2D&, double
    260, 260, 0,	//532  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    230, 230, 0,	//535  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    440, 440, 0,	//538  const QStringRef&, const QStringRef&
    461, 465, 0,	//541  const QVector4D&, double
    230, 467, 0,	//544  QStyleOptionButton::ButtonFeature, int
    45, 467, 0,	//547  QFile::Permission, int
    31, 400, 0,	//550  QDebug, const QLineF&
    19, 19, 0,	//553  QChar, QChar
    405, 465, 0,	//556  const QMatrix4x4&, double
    410, 449, 0,	//559  const QPainterPath&, const QTransform&
    27, 379, 0,	//562  QDataStream&, const QBrush&
    173, 80, 0,	//565  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    462, 462, 475, 0,	//568  const char*, const char*, unsigned int
    382, 0,	//572  const QByteArray&
    4, 4, 0,	//574  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    153, 467, 0,	//577  QInputDialog::InputDialogOption, int
    228, 467, 0,	//580  QStyle::StateFlag, int
    31, 56, 0,	//583  QDebug, QFlags<QDir::Filter>
    462, 467, 0,	//586  const char*, int
    27, 210, 0,	//589  QDataStream&, QRegion&
    187, 467, 0,	//592  QPainter::RenderHint, int
    233, 467, 0,	//595  QStyleOptionTab::CornerWidget, int
    276, 276, 0,	//598  QWizard::WizardOption, QWizard::WizardOption
    253, 104, 0,	//601  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    27, 14, 0,	//604  QDataStream&, QBitArray&
    276, 108, 0,	//607  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    419, 465, 0,	//610  const QPointF&, double
    184, 84, 0,	//613  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    135, 135, 0,	//616  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    19, 0,	//619  QChar
    186, 467, 467, 467, 467, 411, 375, 467, 380, 0,	//621  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    1, 47, 0,	//631  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    481, 0,	//634  void(*)(QtMsgType,const char*)
    27, 386, 0,	//636  QDataStream&, const QDate&
    409, 437, 406, 0,	//639  const QObject*, const QString&, const QMetaObject&
    321, 117, 0,	//643  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    459, 405, 0,	//646  const QVector3D&, const QMatrix4x4&
    305, 467, 0,	//649  Qt::GestureFlag, int
    186, 424, 411, 375, 380, 0,	//652  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    243, 467, 0,	//658  QTextCodec::ConversionFlag, int
    217, 217, 0,	//661  QSizePolicy::ControlType, QSizePolicy::ControlType
    127, 467, 0,	//664  QFontComboBox::FontFilter, int
    244, 467, 0,	//667  QTextDocument::FindFlag, int
    27, 26, 0,	//670  QDataStream&, QCursor&
    318, 116, 0,	//673  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    459, 465, 0,	//676  const QVector3D&, double
    321, 321, 0,	//679  Qt::MatchFlag, Qt::MatchFlag
    27, 258, 0,	//682  QDataStream&, QTransform&
    420, 404, 0,	//685  const QPolygon&, const QMatrix&
    482, 0,	//688  void*
    233, 94, 0,	//690  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    437, 222, 0,	//693  const QString&, QString::Null
    31, 412, 0,	//696  QDebug, const QPen&
    235, 235, 0,	//699  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    159, 467, 0,	//702  QLibrary::LoadHint, int
    27, 215, 0,	//705  QDataStream&, QSizeF&
    440, 462, 0,	//708  const QStringRef&, const char*
    186, 424, 411, 375, 467, 467, 380, 0,	//711  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    186, 424, 411, 375, 467, 467, 0,	//719  QPainter*, const QRect&, const QPalette&, bool, int, int
    183, 467, 0,	//726  QPaintEngine::DirtyFlag, int
    245, 245, 0,	//729  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    135, 467, 0,	//732  QGraphicsItem::GraphicsItemFlag, int
    419, 0,	//735  const QPointF&
    482, 472, 472, 472, 0,	//737  void*, size_t, size_t, size_t
    315, 315, 0,	//742  Qt::ItemFlag, Qt::ItemFlag
    27, 415, 0,	//745  QDataStream&, const QPixmap&
    477, 0,	//748  unsigned long long
    382, 437, 0,	//750  const QByteArray&, const QString&
    351, 124, 0,	//753  Qt::WindowType, QFlags<Qt::WindowType>
    31, 430, 0,	//756  QDebug, const QSize&
    419, 449, 0,	//759  const QPointF&, const QTransform&
    315, 115, 0,	//762  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    31, 459, 0,	//765  QDebug, const QVector3D&
    343, 122, 0,	//768  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    437, 376, 0,	//771  const QString&, char
    36, 59, 0,	//774  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    131, 467, 0,	//777  QGraphicsEffect::ChangeFlag, int
    186, 467, 467, 467, 467, 384, 467, 380, 0,	//780  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    186, 467, 467, 467, 467, 384, 0,	//789  QPainter*, int, int, int, int, const QColor&
    186, 467, 467, 467, 467, 384, 467, 0,	//796  QPainter*, int, int, int, int, const QColor&, int
    27, 451, 0,	//804  QDataStream&, const QUrl&
    482, 467, 472, 0,	//807  void*, int, size_t
    217, 87, 0,	//811  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    27, 453, 0,	//814  QDataStream&, const QVariant&
    27, 161, 0,	//817  QDataStream&, QLine&
    382, 467, 0,	//820  const QByteArray&, int
    4, 467, 0,	//823  QAbstractSpinBox::StepEnabledFlag, int
    31, 457, 0,	//826  QDebug, const QVector2D&
    318, 318, 0,	//829  Qt::KeyboardModifier, Qt::KeyboardModifier
    405, 461, 0,	//832  const QMatrix4x4&, const QVector4D&
    11, 467, 0,	//835  QAccessible::StateFlag, int
    186, 424, 384, 467, 380, 0,	//838  QPainter*, const QRect&, const QColor&, int, const QBrush*
    186, 424, 384, 0,	//844  QPainter*, const QRect&, const QColor&
    186, 424, 384, 467, 0,	//848  QPainter*, const QRect&, const QColor&, int
    193, 193, 0,	//853  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    30, 467, 0,	//856  QDateTimeEdit::Section, int
    480, 0,	//859  void(*)()
    278, 467, 0,	//861  Qt::AlignmentFlag, int
    417, 404, 0,	//864  const QPoint&, const QMatrix&
    318, 467, 0,	//867  Qt::KeyboardModifier, int
    315, 467, 0,	//870  Qt::ItemFlag, int
    310, 113, 0,	//873  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    27, 412, 0,	//876  QDataStream&, const QPen&
    417, 417, 0,	//879  const QPoint&, const QPoint&
    223, 467, 0,	//882  QString::SectionFlag, int
    351, 467, 0,	//885  Qt::WindowType, int
    275, 275, 0,	//888  QWidget::RenderFlag, QWidget::RenderFlag
    440, 437, 0,	//891  const QStringRef&, const QString&
    186, 424, 403, 415, 424, 403, 447, 60, 0,	//894  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    186, 424, 403, 415, 424, 403, 0,	//903  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    186, 424, 403, 415, 424, 403, 447, 0,	//910  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    398, 398, 0,	//918  const QLatin1String&, const QLatin1String&
    393, 393, 0,	//921  const QHashDummyValue&, const QHashDummyValue&
    462, 475, 0,	//924  const char*, unsigned int
    262, 262, 0,	//927  QUrl::FormattingOption, QUrl::FormattingOption
    24, 467, 0,	//930  QColorDialog::ColorDialogOption, int
    27, 149, 0,	//933  QDataStream&, QIcon&
    27, 420, 0,	//936  QDataStream&, const QPolygon&
    343, 467, 0,	//939  Qt::TouchPointState, int
    31, 403, 0,	//942  QDebug, const QMargins&
    275, 107, 0,	//945  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    247, 467, 0,	//948  QTextFormat::PageBreakFlag, int
    462, 0,	//951  const char*
    151, 467, 0,	//953  QImageIOPlugin::Capability, int
    31, 69, 0,	//956  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    144, 467, 0,	//959  QGraphicsView::CacheModeFlag, int
    2, 467, 0,	//962  QAbstractItemView::EditTrigger, int
    31, 461, 0,	//965  QDebug, const QVector4D&
    251, 252, 0,	//968  QTextStream&, QTextStream&(*)(QTextStream&)
    276, 467, 0,	//971  QWizard::WizardOption, int
    46, 467, 0,	//974  QFileDialog::Option, int
    228, 89, 0,	//977  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    405, 417, 0,	//980  const QMatrix4x4&, const QPoint&
    235, 96, 0,	//983  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    27, 42, 0,	//986  QDataStream&, QEasingCurve&
    137, 70, 0,	//989  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    173, 173, 0,	//992  QMdiArea::AreaOption, QMdiArea::AreaOption
    27, 219, 0,	//995  QDataStream&, QStandardItem&
    27, 400, 0,	//998  QDataStream&, const QLineF&
    45, 62, 0,	//1001  QFile::Permission, QFlags<QFile::Permission>
    184, 467, 0,	//1004  QPaintEngine::PaintEngineFeature, int
    31, 410, 0,	//1007  QDebug, const QPainterPath&
    377, 462, 475, 0,	//1010  char*, const char*, unsigned int
    24, 53, 0,	//1014  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    27, 16, 0,	//1017  QDataStream&, QBrush&
    27, 419, 0,	//1020  QDataStream&, const QPointF&
    27, 172, 0,	//1023  QDataStream&, QMatrix4x4&
    461, 0,	//1026  const QVector4D&
    31, 405, 0,	//1028  QDebug, const QMatrix4x4&
    451, 0,	//1031  const QUrl&
    145, 467, 0,	//1033  QGraphicsView::OptimizationFlag, int
    27, 246, 0,	//1036  QDataStream&, QTextFormat&
    467, 0,	//1039  int
    417, 466, 0,	//1041  const QPoint&, float
    167, 467, 0,	//1044  QLocale::NumberOption, int
    27, 165, 0,	//1047  QDataStream&, QListWidgetItem&
    482, 472, 0,	//1050  void*, size_t
    131, 68, 0,	//1053  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    130, 67, 0,	//1056  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    437, 437, 0,	//1059  const QString&, const QString&
    235, 467, 0,	//1062  QStyleOptionToolButton::ToolButtonFeature, int
    175, 467, 0,	//1065  QMessageBox::StandardButton, int
    462, 462, 462, 467, 0,	//1068  const char*, const char*, const char*, int
    437, 440, 0,	//1073  const QString&, const QStringRef&
    31, 135, 0,	//1076  QDebug, QGraphicsItem::GraphicsItemFlag
    10, 51, 0,	//1079  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    158, 156, 0,	//1082  QKeySequence::StandardKey, QKeyEvent*
    217, 467, 0,	//1085  QSizePolicy::ControlType, int
    27, 216, 0,	//1088  QDataStream&, QSizePolicy&
    462, 440, 0,	//1091  const char*, const QStringRef&
    27, 170, 0,	//1094  QDataStream&, QMatrix&
    323, 467, 0,	//1097  Qt::MouseButton, int
    232, 93, 0,	//1100  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    27, 214, 0,	//1103  QDataStream&, QSize&
    35, 35, 0,	//1106  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    312, 312, 0,	//1109  Qt::InputMethodHint, Qt::InputMethodHint
    253, 253, 0,	//1112  QTextStream::NumberFlag, QTextStream::NumberFlag
    405, 419, 0,	//1115  const QMatrix4x4&, const QPointF&
    405, 0,	//1118  const QMatrix4x4&
    3, 49, 0,	//1120  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    465, 457, 0,	//1123  double, const QVector2D&
    153, 153, 0,	//1126  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    3, 467, 0,	//1129  QAbstractPrintDialog::PrintDialogOption, int
    27, 267, 0,	//1132  QDataStream&, QVariant::Type&
    337, 120, 0,	//1135  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    27, 459, 0,	//1138  QDataStream&, const QVector3D&
    400, 449, 0,	//1141  const QLineF&, const QTransform&
    440, 398, 0,	//1144  const QStringRef&, const QLatin1String&
    471, 0,	//1147  signed char
    27, 421, 0,	//1149  QDataStream&, const QPolygonF&
    27, 432, 0,	//1152  QDataStream&, const QSizeF&
    340, 121, 0,	//1155  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    465, 459, 0,	//1158  double, const QVector3D&
    27, 391, 0,	//1161  QDataStream&, const QFont&
    250, 103, 0,	//1164  QTextOption::Flag, QFlags<QTextOption::Flag>
    462, 462, 0,	//1167  const char*, const char*
    27, 240, 0,	//1170  QDataStream&, QTableWidgetItem&
    229, 90, 0,	//1173  QStyle::SubControl, QFlags<QStyle::SubControl>
    27, 457, 0,	//1176  QDataStream&, const QVector2D&
    27, 404, 0,	//1179  QDataStream&, const QMatrix&
    376, 437, 0,	//1182  char, const QString&
    187, 85, 0,	//1185  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    159, 159, 0,	//1188  QLibrary::LoadHint, QLibrary::LoadHint
    465, 405, 0,	//1191  double, const QMatrix4x4&
    145, 72, 0,	//1194  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    350, 350, 0,	//1197  Qt::WindowState, Qt::WindowState
    248, 248, 0,	//1200  QTextItem::RenderFlag, QTextItem::RenderFlag
    31, 451, 0,	//1203  QDebug, const QUrl&
    144, 144, 0,	//1206  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    262, 106, 0,	//1209  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    27, 202, 0,	//1212  QDataStream&, QPolygonF&
    260, 105, 0,	//1215  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    27, 190, 0,	//1218  QDataStream&, QPalette&
    27, 410, 0,	//1221  QDataStream&, const QPainterPath&
    11, 11, 0,	//1224  QAccessible::StateFlag, QAccessible::StateFlag
    425, 425, 0,	//1227  const QRectF&, const QRectF&
    465, 430, 0,	//1230  double, const QSize&
    156, 158, 0,	//1233  QKeyEvent*, QKeySequence::StandardKey
    45, 45, 0,	//1236  QFile::Permission, QFile::Permission
    408, 0,	//1239  const QModelIndex&
    144, 71, 0,	//1241  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    229, 229, 0,	//1244  QStyle::SubControl, QStyle::SubControl
    31, 399, 0,	//1247  QDebug, const QLine&
    2, 48, 0,	//1250  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    193, 467, 0,	//1253  QPinchGesture::ChangeFlag, int
    27, 203, 0,	//1256  QDataStream&, QQuaternion&
    461, 405, 0,	//1259  const QVector4D&, const QMatrix4x4&
    27, 378, 0,	//1262  QDataStream&, const QBitArray&
    404, 404, 0,	//1265  const QMatrix&, const QMatrix&
    236, 236, 0,	//1268  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    482, 464, 472, 0,	//1271  void*, const void*, size_t
    465, 417, 0,	//1275  double, const QPoint&
    168, 79, 0,	//1278  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    31, 136, 0,	//1281  QDebug, QGraphicsObject*
    31, 408, 0,	//1284  QDebug, const QModelIndex&
    470, 0,	//1287  short
    31, 387, 0,	//1289  QDebug, const QDateTime&
    174, 174, 0,	//1292  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    27, 417, 0,	//1295  QDataStream&, const QPoint&
    27, 395, 0,	//1298  QDataStream&, const QImage&
    465, 423, 0,	//1301  double, const QQuaternion&
    382, 376, 0,	//1304  const QByteArray&, char
    244, 244, 0,	//1307  QTextDocument::FindFlag, QTextDocument::FindFlag
    31, 397, 0,	//1310  QDebug, const QKeySequence&
    183, 83, 0,	//1313  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    32, 32, 0,	//1316  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    10, 10, 0,	//1319  QAccessible::RelationFlag, QAccessible::RelationFlag
    31, 409, 0,	//1322  QDebug, const QObject*
    137, 137, 0,	//1325  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    31, 390, 0,	//1328  QDebug, const QEvent*
    466, 466, 0,	//1331  float, float
    27, 126, 0,	//1334  QDataStream&, QFont&
    34, 57, 0,	//1337  QDir::SortFlag, QFlags<QDir::SortFlag>
    377, 472, 462, 479, 0,	//1340  char*, size_t, const char*, va_list
    153, 75, 0,	//1345  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    223, 88, 0,	//1348  QString::SectionFlag, QFlags<QString::SectionFlag>
    27, 430, 0,	//1351  QDataStream&, const QSize&
    155, 76, 0,	//1354  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    27, 207, 0,	//1357  QDataStream&, QRectF&
    243, 98, 0,	//1360  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    31, 73, 0,	//1363  QDebug, QFlags<QIODevice::OpenModeFlag>
    27, 383, 0,	//1366  QDataStream&, const QChar&
    375, 15, 0,	//1369  bool, QBool
    476, 0,	//1372  unsigned long
    31, 425, 0,	//1374  QDebug, const QRectF&
    129, 467, 0,	//1377  QGestureRecognizer::ResultFlag, int
    420, 449, 0,	//1380  const QPolygon&, const QTransform&
    15, 375, 0,	//1383  QBool, bool
    350, 467, 0,	//1386  Qt::WindowState, int
    236, 97, 0,	//1389  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    27, 249, 0,	//1392  QDataStream&, QTextLength&
    27, 225, 0,	//1395  QDataStream&, QStringList&
    27, 424, 0,	//1398  QDataStream&, const QRect&
    27, 428, 0,	//1401  QDataStream&, const QRegion&
    298, 298, 0,	//1404  Qt::DockWidgetArea, Qt::DockWidgetArea
    31, 404, 0,	//1407  QDebug, const QMatrix&
    130, 467, 0,	//1410  QGraphicsBlurEffect::BlurHint, int
    167, 78, 0,	//1413  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    250, 250, 0,	//1416  QTextOption::Flag, QTextOption::Flag
    27, 384, 0,	//1419  QDataStream&, const QColor&
    351, 351, 0,	//1422  Qt::WindowType, Qt::WindowType
    30, 30, 0,	//1425  QDateTimeEdit::Section, QDateTimeEdit::Section
    430, 465, 0,	//1428  const QSize&, double
    405, 459, 0,	//1431  const QMatrix4x4&, const QVector3D&
    222, 437, 0,	//1434  QString::Null, const QString&
    31, 379, 0,	//1437  QDebug, const QBrush&
    34, 34, 0,	//1440  QDir::SortFlag, QDir::SortFlag
    312, 114, 0,	//1443  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    27, 196, 0,	//1446  QDataStream&, QPoint&
    31, 419, 0,	//1449  QDebug, const QPointF&
    409, 437, 427, 406, 164, 0,	//1452  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    27, 29, 0,	//1458  QDataStream&, QDateTime&
    231, 231, 0,	//1461  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    27, 448, 0,	//1464  QDataStream&, const QTime&
    27, 259, 0,	//1467  QDataStream&, QTreeWidgetItem&
    27, 157, 0,	//1470  QDataStream&, QKeySequence&
    245, 467, 0,	//1473  QTextEdit::AutoFormattingFlag, int
    27, 452, 0,	//1476  QDataStream&, const QUuid&
    251, 254, 0,	//1479  QTextStream&, QTextStreamManipulator
    151, 74, 0,	//1482  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    27, 446, 0,	//1485  QDataStream&, const QTextLength&
    428, 449, 0,	//1488  const QRegion&, const QTransform&
    419, 405, 0,	//1491  const QPointF&, const QMatrix4x4&
    31, 132, 0,	//1494  QDebug, QGraphicsItem*
    36, 467, 0,	//1497  QDockWidget::DockWidgetFeature, int
    27, 401, 0,	//1500  QDataStream&, const QListWidgetItem&
    223, 223, 0,	//1503  QString::SectionFlag, QString::SectionFlag
    472, 472, 0,	//1506  size_t, size_t
    137, 467, 0,	//1509  QGraphicsScene::SceneLayer, int
    253, 467, 0,	//1512  QTextStream::NumberFlag, int
    463, 467, 467, 0,	//1515  const unsigned char*, int, int
    463, 467, 0,	//1519  const unsigned char*, int
    148, 467, 0,	//1522  QIODevice::OpenModeFlag, int
    467, 417, 0,	//1525  int, const QPoint&
    31, 442, 0,	//1528  QDebug, const QStyleOption::OptionType&
    305, 112, 0,	//1531  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    27, 435, 0,	//1534  QDataStream&, const QStandardItem&
    421, 404, 0,	//1537  const QPolygonF&, const QMatrix&
    10, 467, 0,	//1540  QAccessible::RelationFlag, int
    417, 0,	//1543  const QPoint&
    27, 200, 0,	//1545  QDataStream&, QPolygon&
    186, 424, 403, 415, 0,	//1548  QPainter*, const QRect&, const QMargins&, const QPixmap&
    127, 64, 0,	//1553  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    46, 46, 0,	//1556  QFileDialog::Option, QFileDialog::Option
    173, 467, 0,	//1559  QMdiArea::AreaOption, int
    27, 221, 0,	//1562  QDataStream&, QString&
    30, 54, 0,	//1565  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    32, 55, 0,	//1568  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    186, 417, 417, 411, 375, 467, 467, 0,	//1571  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    186, 417, 417, 411, 0,	//1579  QPainter*, const QPoint&, const QPoint&, const QPalette&
    186, 417, 417, 411, 375, 0,	//1584  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    186, 417, 417, 411, 375, 467, 0,	//1590  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    155, 155, 0,	//1597  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    27, 437, 0,	//1600  QDataStream&, const QString&
    27, 389, 0,	//1603  QDataStream&, const QEasingCurve&
    251, 218, 0,	//1606  QTextStream&, QSplitter&
    27, 405, 0,	//1609  QDataStream&, const QMatrix4x4&
    27, 20, 0,	//1612  QDataStream&, QChar&
    27, 461, 0,	//1615  QDataStream&, const QVector4D&
    228, 228, 0,	//1618  QStyle::StateFlag, QStyle::StateFlag
    396, 0,	//1621  const QItemSelectionRange&
    337, 337, 0,	//1623  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    27, 194, 0,	//1626  QDataStream&, QPixmap&
    437, 382, 0,	//1629  const QString&, const QByteArray&
    44, 44, 0,	//1632  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    417, 405, 0,	//1635  const QPoint&, const QMatrix4x4&
    27, 205, 0,	//1638  QDataStream&, QRect&
    1, 467, 0,	//1641  QAbstractFileEngine::FileFlag, int
    128, 65, 0,	//1644  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    145, 145, 0,	//1647  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    354, 462, 0,	//1650  QtMsgType, const char*
    310, 467, 0,	//1653  Qt::ImageConversionFlag, int
    459, 0,	//1656  const QVector3D&
    230, 91, 0,	//1658  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    24, 24, 0,	//1661  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    31, 424, 0,	//1664  QDebug, const QRect&
    27, 394, 0,	//1667  QDataStream&, const QIcon&
    27, 454, 0,	//1670  QDataStream&, const QVariant::Type
    27, 270, 0,	//1673  QDataStream&, QVector3D&
    236, 467, 0,	//1676  QStyleOptionViewItemV2::ViewItemFeature, int
    465, 461, 0,	//1679  double, const QVector4D&
    27, 163, 0,	//1682  QDataStream&, QLineF&
    27, 189, 0,	//1685  QDataStream&, QPainterPath&
    135, 69, 0,	//1688  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    27, 192, 0,	//1691  QDataStream&, QPicture&
    343, 343, 0,	//1694  Qt::TouchPointState, Qt::TouchPointState
    248, 102, 0,	//1697  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    337, 467, 0,	//1700  Qt::TextInteractionFlag, int
    417, 449, 0,	//1703  const QPoint&, const QTransform&
    231, 467, 0,	//1706  QStyleOptionFrameV2::FrameFeature, int
    32, 467, 0,	//1709  QDialogButtonBox::StandardButton, int
    234, 234, 0,	//1712  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    248, 467, 0,	//1715  QTextItem::RenderFlag, int
    27, 268, 0,	//1718  QDataStream&, QVector2D&
    376, 0,	//1721  char
    27, 387, 0,	//1723  QDataStream&, const QDateTime&
    168, 467, 0,	//1726  QMainWindow::DockOption, int
    27, 255, 0,	//1729  QDataStream&, QTime&
    247, 101, 0,	//1732  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    417, 467, 0,	//1735  const QPoint&, int
    310, 310, 0,	//1738  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    31, 423, 0,	//1741  QDebug, const QQuaternion&
    231, 92, 0,	//1744  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    27, 445, 0,	//1747  QDataStream&, const QTextFormat&
    300, 111, 0,	//1750  Qt::DropAction, QFlags<Qt::DropAction>
    174, 467, 0,	//1753  QMdiSubWindow::SubWindowOption, int
    300, 300, 0,	//1756  Qt::DropAction, Qt::DropAction
    130, 130, 0,	//1759  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    325, 467, 0,	//1762  Qt::Orientation, int
    151, 151, 0,	//1765  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    27, 423, 0,	//1768  QDataStream&, const QQuaternion&
    31, 388, 0,	//1771  QDebug, const QDir&
    428, 404, 0,	//1774  const QRegion&, const QMatrix&
    31, 428, 0,	//1777  QDebug, const QRegion&
    466, 417, 0,	//1780  float, const QPoint&
    27, 261, 0,	//1783  QDataStream&, QUrl&
    159, 77, 0,	//1786  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    250, 467, 0,	//1789  QTextOption::Flag, int
    437, 19, 0,	//1792  const QString&, QChar
    467, 467, 467, 467, 0,	//1795  int, int, int, int
    325, 119, 0,	//1800  Qt::Orientation, QFlags<Qt::Orientation>
    234, 95, 0,	//1803  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    168, 168, 0,	//1806  QMainWindow::DockOption, QMainWindow::DockOption
    472, 0,	//1809  size_t
    31, 453, 0,	//1811  QDebug, const QVariant&
    167, 167, 0,	//1814  QLocale::NumberOption, QLocale::NumberOption
    27, 402, 0,	//1817  QDataStream&, const QLocale&
    392, 316, 0,	//1820  const QGraphicsItem*, Qt::ItemSelectionMode
    410, 316, 0,	//1823  const QPainterPath&, Qt::ItemSelectionMode
    392, 0,	//1826  const QGraphicsItem*
    132, 43, 0,	//1828  QGraphicsItem*, QEvent*
    43, 0,	//1831  QEvent*
    138, 0,	//1833  QGraphicsSceneContextMenuEvent*
    139, 0,	//1835  QGraphicsSceneDragDropEvent*
    125, 0,	//1837  QFocusEvent*
    140, 0,	//1839  QGraphicsSceneHoverEvent*
    156, 0,	//1841  QKeyEvent*
    141, 0,	//1843  QGraphicsSceneMouseEvent*
    142, 0,	//1845  QGraphicsSceneWheelEvent*
    154, 0,	//1847  QInputMethodEvent*
    313, 0,	//1849  Qt::InputMethodQuery
    134, 453, 0,	//1851  QGraphicsItem::GraphicsItemChange, const QVariant&
    133, 0,	//1854  QGraphicsItem::Extension
    133, 453, 0,	//1856  QGraphicsItem::Extension, const QVariant&
    453, 0,	//1859  const QVariant&
    176, 467, 483, 0,	//1861  QMetaObject::Call, int, void**
    132, 0,	//1865  QGraphicsItem*
    437, 132, 0,	//1867  const QString&, QGraphicsItem*
    238, 0,	//1870  QSvgRenderer*
    375, 0,	//1872  bool
    430, 0,	//1874  const QSize&
    186, 443, 274, 0,	//1876  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    186, 443, 0,	//1880  QPainter*, const QStyleOptionGraphicsItem*
    179, 43, 0,	//1883  QObject*, QEvent*
    256, 0,	//1886  QTimerEvent*
    21, 0,	//1888  QChildEvent*
    424, 0,	//1890  const QRect&
    425, 0,	//1892  const QRectF&
    147, 0,	//1894  QIODevice*
    181, 0,	//1896  QPaintDevice::PaintDeviceMetric
    179, 0,	//1898  QObject*
    437, 179, 0,	//1900  const QString&, QObject*
    382, 179, 0,	//1903  const QByteArray&, QObject*
    277, 179, 0,	//1906  QXmlStreamReader*, QObject*
    277, 0,	//1909  QXmlStreamReader*
    186, 0,	//1911  QPainter*
    186, 425, 0,	//1913  QPainter*, const QRectF&
    186, 437, 425, 0,	//1916  QPainter*, const QString&, const QRectF&
    186, 437, 0,	//1920  QPainter*, const QString&
    274, 0,	//1923  QWidget*
    437, 274, 0,	//1925  const QString&, QWidget*
    185, 0,	//1928  QPaintEvent*
    177, 0,	//1930  QMouseEvent*
    273, 0,	//1932  QWheelEvent*
    178, 0,	//1934  QMoveEvent*
    211, 0,	//1936  QResizeEvent*
    22, 0,	//1938  QCloseEvent*
    25, 0,	//1940  QContextMenuEvent*
    241, 0,	//1942  QTabletEvent*
    12, 0,	//1944  QActionEvent*
    37, 0,	//1946  QDragEnterEvent*
    39, 0,	//1948  QDragMoveEvent*
    38, 0,	//1950  QDragLeaveEvent*
    41, 0,	//1952  QDropEvent*
    212, 0,	//1954  QShowEvent*
    146, 0,	//1956  QHideEvent*
    374, 0,	//1958  _XEvent*
    227, 0,	//1960  QStyle&
    411, 0,	//1962  const QPalette&
    391, 0,	//1964  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DeviceCoordinateCache",	//1
    "DrawChildren",	//2
    "DrawWindowBackground",	//3
    "IgnoreMask",	//4
    "ItemAcceptsInputMethod",	//5
    "ItemChildAddedChange",	//6
    "ItemChildRemovedChange",	//7
    "ItemClipsChildrenToShape",	//8
    "ItemClipsToShape",	//9
    "ItemCoordinateCache",	//10
    "ItemCursorChange",	//11
    "ItemCursorHasChanged",	//12
    "ItemDoesntPropagateOpacityToChildren",	//13
    "ItemEnabledChange",	//14
    "ItemEnabledHasChanged",	//15
    "ItemFlagsChange",	//16
    "ItemFlagsHaveChanged",	//17
    "ItemHasNoContents",	//18
    "ItemIgnoresParentOpacity",	//19
    "ItemIgnoresTransformations",	//20
    "ItemIsFocusScope",	//21
    "ItemIsFocusable",	//22
    "ItemIsMovable",	//23
    "ItemIsPanel",	//24
    "ItemIsSelectable",	//25
    "ItemMatrixChange",	//26
    "ItemNegativeZStacksBehindParent",	//27
    "ItemOpacityChange",	//28
    "ItemOpacityHasChanged",	//29
    "ItemParentChange",	//30
    "ItemParentHasChanged",	//31
    "ItemPositionChange",	//32
    "ItemPositionHasChanged",	//33
    "ItemRotationChange",	//34
    "ItemRotationHasChanged",	//35
    "ItemScaleChange",	//36
    "ItemScaleHasChanged",	//37
    "ItemSceneChange",	//38
    "ItemSceneHasChanged",	//39
    "ItemScenePositionHasChanged",	//40
    "ItemSelectedChange",	//41
    "ItemSelectedHasChanged",	//42
    "ItemSendsGeometryChanges",	//43
    "ItemSendsScenePositionChanges",	//44
    "ItemStacksBehindParent",	//45
    "ItemStopsClickFocusPropagation",	//46
    "ItemStopsFocusHandling",	//47
    "ItemToolTipChange",	//48
    "ItemToolTipHasChanged",	//49
    "ItemTransformChange",	//50
    "ItemTransformHasChanged",	//51
    "ItemTransformOriginPointChange",	//52
    "ItemTransformOriginPointHasChanged",	//53
    "ItemUsesExtendedStyleOption",	//54
    "ItemVisibleChange",	//55
    "ItemVisibleHasChanged",	//56
    "ItemZValueChange",	//57
    "ItemZValueHasChanged",	//58
    "LicensedActiveQt",	//59
    "LicensedCore",	//60
    "LicensedDBus",	//61
    "LicensedDeclarative",	//62
    "LicensedGui",	//63
    "LicensedHelp",	//64
    "LicensedMultimedia",	//65
    "LicensedNetwork",	//66
    "LicensedOpenGL",	//67
    "LicensedOpenVG",	//68
    "LicensedQt3Support",	//69
    "LicensedQt3SupportLight",	//70
    "LicensedScript",	//71
    "LicensedScriptTools",	//72
    "LicensedSql",	//73
    "LicensedSvg",	//74
    "LicensedTest",	//75
    "LicensedXml",	//76
    "LicensedXmlPatterns",	//77
    "NoCache",	//78
    "NonModal",	//79
    "PanelModal",	//80
    "PdmDepth",	//81
    "PdmDpiX",	//82
    "PdmDpiY",	//83
    "PdmHeight",	//84
    "PdmHeightMM",	//85
    "PdmNumColors",	//86
    "PdmPhysicalDpiX",	//87
    "PdmPhysicalDpiY",	//88
    "PdmWidth",	//89
    "PdmWidthMM",	//90
    "QGraphicsSvgItem",	//91
    "QGraphicsSvgItem#",	//92
    "QGraphicsSvgItem$",	//93
    "QGraphicsSvgItem$#",	//94
    "QSvgGenerator",	//95
    "QSvgRenderer",	//96
    "QSvgRenderer#",	//97
    "QSvgRenderer##",	//98
    "QSvgRenderer$",	//99
    "QSvgRenderer$#",	//100
    "QSvgWidget",	//101
    "QSvgWidget#",	//102
    "QSvgWidget$",	//103
    "QSvgWidget$#",	//104
    "QtCriticalMsg",	//105
    "QtDebugMsg",	//106
    "QtFatalMsg",	//107
    "QtSystemMsg",	//108
    "QtWarningMsg",	//109
    "SP_CustomCameraCaptureButton",	//110
    "SP_CustomCameraCaptureButtonPressed",	//111
    "SP_CustomCameraPauseButton",	//112
    "SP_CustomCameraPauseButtonPressed",	//113
    "SP_CustomCameraPlayButton",	//114
    "SP_CustomCameraPlayButtonPressed",	//115
    "SP_CustomCameraRecButton",	//116
    "SP_CustomCameraRecButtonPressed",	//117
    "SP_CustomCameraStopButton",	//118
    "SP_CustomCameraStopButtonPressed",	//119
    "SP_CustomTabAll",	//120
    "SP_CustomTabArtist",	//121
    "SP_CustomTabFavourite",	//122
    "SP_CustomTabGenre",	//123
    "SP_CustomTabLanguage",	//124
    "SP_CustomTabMusicAlbum",	//125
    "SP_CustomTabPhotosAlbum",	//126
    "SP_CustomTabPhotosAll",	//127
    "SP_CustomTabPlaylist",	//128
    "SP_CustomTabServices",	//129
    "SP_CustomTabSongs",	//130
    "SP_CustomTabVideos",	//131
    "SP_CustomToolBarAdd",	//132
    "SP_CustomToolBarAddDetail",	//133
    "SP_CustomToolBarAgain",	//134
    "SP_CustomToolBarAgenda",	//135
    "SP_CustomToolBarAudioOff",	//136
    "SP_CustomToolBarAudioOn",	//137
    "SP_CustomToolBarBack",	//138
    "SP_CustomToolBarBluetoothOff",	//139
    "SP_CustomToolBarBluetoothOn",	//140
    "SP_CustomToolBarCancel",	//141
    "SP_CustomToolBarDelete",	//142
    "SP_CustomToolBarDone",	//143
    "SP_CustomToolBarEdit",	//144
    "SP_CustomToolBarEditDisabled",	//145
    "SP_CustomToolBarEmailSend",	//146
    "SP_CustomToolBarEmergencyCall",	//147
    "SP_CustomToolBarFavouriteAdd",	//148
    "SP_CustomToolBarFavouriteRemove",	//149
    "SP_CustomToolBarFavourites",	//150
    "SP_CustomToolBarGo",	//151
    "SP_CustomToolBarHome",	//152
    "SP_CustomToolBarImageTools",	//153
    "SP_CustomToolBarList",	//154
    "SP_CustomToolBarLock",	//155
    "SP_CustomToolBarLogs",	//156
    "SP_CustomToolBarMenu",	//157
    "SP_CustomToolBarNewContact",	//158
    "SP_CustomToolBarNewGroup",	//159
    "SP_CustomToolBarNextFrame",	//160
    "SP_CustomToolBarNowPlay",	//161
    "SP_CustomToolBarOptions",	//162
    "SP_CustomToolBarOther",	//163
    "SP_CustomToolBarOvi",	//164
    "SP_CustomToolBarPreviousFrame",	//165
    "SP_CustomToolBarRead",	//166
    "SP_CustomToolBarRedo",	//167
    "SP_CustomToolBarRedoDisabled",	//168
    "SP_CustomToolBarRefresh",	//169
    "SP_CustomToolBarRemoveDetail",	//170
    "SP_CustomToolBarRemoveDisabled",	//171
    "SP_CustomToolBarRepeat",	//172
    "SP_CustomToolBarRepeatOff",	//173
    "SP_CustomToolBarRepeatOne",	//174
    "SP_CustomToolBarSearch",	//175
    "SP_CustomToolBarSearchDisabled",	//176
    "SP_CustomToolBarSelectContent",	//177
    "SP_CustomToolBarSelfTimer",	//178
    "SP_CustomToolBarSend",	//179
    "SP_CustomToolBarSendDimmed",	//180
    "SP_CustomToolBarShare",	//181
    "SP_CustomToolBarShift",	//182
    "SP_CustomToolBarShuffle",	//183
    "SP_CustomToolBarShuffleOff",	//184
    "SP_CustomToolBarSignalOff",	//185
    "SP_CustomToolBarSignalOn",	//186
    "SP_CustomToolBarSync",	//187
    "SP_CustomToolBarTools",	//188
    "SP_CustomToolBarTrim",	//189
    "SP_CustomToolBarUnlock",	//190
    "SP_CustomToolBarUnmark",	//191
    "SP_CustomToolBarView",	//192
    "SP_CustomToolBarWlanOff",	//193
    "SP_CustomToolBarWlanOn",	//194
    "SceneModal",	//195
    "Type",	//196
    "UserExtension",	//197
    "UserType",	//198
    "actionEvent",	//199
    "advance",	//200
    "animated",	//201
    "animationDuration",	//202
    "boundingRect",	//203
    "boundsOnElement",	//204
    "boundsOnElement$",	//205
    "changeEvent",	//206
    "childEvent",	//207
    "closeEvent",	//208
    "collidesWithItem",	//209
    "collidesWithPath",	//210
    "connectNotify",	//211
    "contains",	//212
    "contextMenuEvent",	//213
    "currentFrame",	//214
    "customEvent",	//215
    "defaultSize",	//216
    "description",	//217
    "devType",	//218
    "disconnectNotify",	//219
    "dragEnterEvent",	//220
    "dragLeaveEvent",	//221
    "dragMoveEvent",	//222
    "dropEvent",	//223
    "elementExists",	//224
    "elementExists$",	//225
    "elementId",	//226
    "enabledChange",	//227
    "enterEvent",	//228
    "event",	//229
    "eventFilter",	//230
    "extension",	//231
    "fileName",	//232
    "focusInEvent",	//233
    "focusNextPrevChild",	//234
    "focusOutEvent",	//235
    "fontChange",	//236
    "framesPerSecond",	//237
    "heightForWidth",	//238
    "hideEvent",	//239
    "hoverEnterEvent",	//240
    "hoverLeaveEvent",	//241
    "hoverMoveEvent",	//242
    "inputMethodEvent",	//243
    "inputMethodQuery",	//244
    "isCachingEnabled",	//245
    "isObscuredBy",	//246
    "isValid",	//247
    "itemChange",	//248
    "keyPressEvent",	//249
    "keyReleaseEvent",	//250
    "languageChange",	//251
    "leaveEvent",	//252
    "load",	//253
    "load#",	//254
    "load$",	//255
    "matrixForElement",	//256
    "matrixForElement$",	//257
    "maximumCacheSize",	//258
    "metaObject",	//259
    "metric",	//260
    "metric$",	//261
    "minimumSizeHint",	//262
    "mouseDoubleClickEvent",	//263
    "mouseMoveEvent",	//264
    "mousePressEvent",	//265
    "mouseReleaseEvent",	//266
    "moveEvent",	//267
    "opaqueArea",	//268
    "operator!=",	//269
    "operator!=##",	//270
    "operator!=#$",	//271
    "operator!=$#",	//272
    "operator!=$$",	//273
    "operator&",	//274
    "operator&##",	//275
    "operator*",	//276
    "operator*##",	//277
    "operator*#$",	//278
    "operator*$#",	//279
    "operator+",	//280
    "operator+##",	//281
    "operator+#$",	//282
    "operator+$#",	//283
    "operator+$$",	//284
    "operator-",	//285
    "operator-#",	//286
    "operator-##",	//287
    "operator-#$",	//288
    "operator/",	//289
    "operator/#$",	//290
    "operator<",	//291
    "operator<##",	//292
    "operator<#$",	//293
    "operator<$#",	//294
    "operator<$$",	//295
    "operator<<",	//296
    "operator<<##",	//297
    "operator<<#$",	//298
    "operator<<#?",	//299
    "operator<=",	//300
    "operator<=##",	//301
    "operator<=#$",	//302
    "operator<=$#",	//303
    "operator<=$$",	//304
    "operator==",	//305
    "operator==##",	//306
    "operator==#$",	//307
    "operator==$#",	//308
    "operator==$$",	//309
    "operator>",	//310
    "operator>##",	//311
    "operator>#$",	//312
    "operator>$#",	//313
    "operator>$$",	//314
    "operator>=",	//315
    "operator>=##",	//316
    "operator>=#$",	//317
    "operator>=$#",	//318
    "operator>=$$",	//319
    "operator>>",	//320
    "operator>>##",	//321
    "operator>>#$",	//322
    "operator>>#?",	//323
    "operator^",	//324
    "operator^##",	//325
    "operator|",	//326
    "operator|##",	//327
    "operator|$$",	//328
    "outputDevice",	//329
    "paint",	//330
    "paint##",	//331
    "paint###",	//332
    "paintEngine",	//333
    "paintEvent",	//334
    "paintEvent#",	//335
    "paletteChange",	//336
    "qAccessibleActionCastHelper",	//337
    "qAccessibleEditableTextCastHelper",	//338
    "qAccessibleImageCastHelper",	//339
    "qAccessibleTable2CastHelper",	//340
    "qAccessibleTableCastHelper",	//341
    "qAccessibleTextCastHelper",	//342
    "qAccessibleValueCastHelper",	//343
    "qAcos",	//344
    "qAcos$",	//345
    "qAddPostRoutine",	//346
    "qAddPostRoutine$",	//347
    "qAlpha",	//348
    "qAlpha$",	//349
    "qAppName",	//350
    "qAsin",	//351
    "qAsin$",	//352
    "qAtan",	//353
    "qAtan$",	//354
    "qAtan2",	//355
    "qAtan2$$",	//356
    "qBadAlloc",	//357
    "qBlue",	//358
    "qBlue$",	//359
    "qCeil",	//360
    "qCeil$",	//361
    "qChecksum",	//362
    "qChecksum$$",	//363
    "qCompress",	//364
    "qCompress#",	//365
    "qCompress#$",	//366
    "qCompress$$",	//367
    "qCompress$$$",	//368
    "qCos",	//369
    "qCos$",	//370
    "qCritical",	//371
    "qDebug",	//372
    "qDrawBorderPixmap",	//373
    "qDrawBorderPixmap####",	//374
    "qDrawBorderPixmap######",	//375
    "qDrawBorderPixmap#######",	//376
    "qDrawBorderPixmap#######$",	//377
    "qDrawPlainRect",	//378
    "qDrawPlainRect###",	//379
    "qDrawPlainRect###$",	//380
    "qDrawPlainRect###$#",	//381
    "qDrawPlainRect#$$$$#",	//382
    "qDrawPlainRect#$$$$#$",	//383
    "qDrawPlainRect#$$$$#$#",	//384
    "qDrawShadeLine",	//385
    "qDrawShadeLine####",	//386
    "qDrawShadeLine####$",	//387
    "qDrawShadeLine####$$",	//388
    "qDrawShadeLine####$$$",	//389
    "qDrawShadeLine#$$$$#",	//390
    "qDrawShadeLine#$$$$#$",	//391
    "qDrawShadeLine#$$$$#$$",	//392
    "qDrawShadeLine#$$$$#$$$",	//393
    "qDrawShadePanel",	//394
    "qDrawShadePanel###",	//395
    "qDrawShadePanel###$",	//396
    "qDrawShadePanel###$$",	//397
    "qDrawShadePanel###$$#",	//398
    "qDrawShadePanel#$$$$#",	//399
    "qDrawShadePanel#$$$$#$",	//400
    "qDrawShadePanel#$$$$#$$",	//401
    "qDrawShadePanel#$$$$#$$#",	//402
    "qDrawShadeRect",	//403
    "qDrawShadeRect###",	//404
    "qDrawShadeRect###$",	//405
    "qDrawShadeRect###$$",	//406
    "qDrawShadeRect###$$$",	//407
    "qDrawShadeRect###$$$#",	//408
    "qDrawShadeRect#$$$$#",	//409
    "qDrawShadeRect#$$$$#$",	//410
    "qDrawShadeRect#$$$$#$$",	//411
    "qDrawShadeRect#$$$$#$$$",	//412
    "qDrawShadeRect#$$$$#$$$#",	//413
    "qDrawWinButton",	//414
    "qDrawWinButton###",	//415
    "qDrawWinButton###$",	//416
    "qDrawWinButton###$#",	//417
    "qDrawWinButton#$$$$#",	//418
    "qDrawWinButton#$$$$#$",	//419
    "qDrawWinButton#$$$$#$#",	//420
    "qDrawWinPanel",	//421
    "qDrawWinPanel###",	//422
    "qDrawWinPanel###$",	//423
    "qDrawWinPanel###$#",	//424
    "qDrawWinPanel#$$$$#",	//425
    "qDrawWinPanel#$$$$#$",	//426
    "qDrawWinPanel#$$$$#$#",	//427
    "qExp",	//428
    "qExp$",	//429
    "qFabs",	//430
    "qFabs$",	//431
    "qFastCos",	//432
    "qFastCos$",	//433
    "qFastSin",	//434
    "qFastSin$",	//435
    "qFlagLocation",	//436
    "qFlagLocation$",	//437
    "qFloor",	//438
    "qFloor$",	//439
    "qFree",	//440
    "qFree$",	//441
    "qFreeAligned",	//442
    "qFreeAligned$",	//443
    "qFuzzyCompare",	//444
    "qFuzzyCompare##",	//445
    "qFuzzyCompare$$",	//446
    "qFuzzyIsNull",	//447
    "qFuzzyIsNull$",	//448
    "qGray",	//449
    "qGray$",	//450
    "qGray$$$",	//451
    "qGreen",	//452
    "qGreen$",	//453
    "qHash",	//454
    "qHash#",	//455
    "qHash$",	//456
    "qHash?",	//457
    "qInf",	//458
    "qInstallMsgHandler",	//459
    "qInstallMsgHandler$",	//460
    "qIntCast",	//461
    "qIntCast$",	//462
    "qIsFinite",	//463
    "qIsFinite$",	//464
    "qIsGray",	//465
    "qIsGray$",	//466
    "qIsInf",	//467
    "qIsInf$",	//468
    "qIsNaN",	//469
    "qIsNaN$",	//470
    "qIsNull",	//471
    "qIsNull$",	//472
    "qLn",	//473
    "qLn$",	//474
    "qMalloc",	//475
    "qMalloc?",	//476
    "qMallocAligned",	//477
    "qMallocAligned??",	//478
    "qMemCopy",	//479
    "qMemCopy$$?",	//480
    "qMemSet",	//481
    "qMemSet$$?",	//482
    "qPow",	//483
    "qPow$$",	//484
    "qQNaN",	//485
    "qRealloc",	//486
    "qRealloc$?",	//487
    "qReallocAligned",	//488
    "qReallocAligned$???",	//489
    "qRed",	//490
    "qRed$",	//491
    "qRegisterStaticPluginInstanceFunction",	//492
    "qRegisterStaticPluginInstanceFunction#",	//493
    "qRemovePostRoutine",	//494
    "qRemovePostRoutine$",	//495
    "qRgb",	//496
    "qRgb$$$",	//497
    "qRgba",	//498
    "qRgba$$$$",	//499
    "qRound",	//500
    "qRound$",	//501
    "qRound64",	//502
    "qRound64$",	//503
    "qSNaN",	//504
    "qSetFieldWidth",	//505
    "qSetFieldWidth$",	//506
    "qSetPadChar",	//507
    "qSetPadChar#",	//508
    "qSetRealNumberPrecision",	//509
    "qSetRealNumberPrecision$",	//510
    "qSharedBuild",	//511
    "qSin",	//512
    "qSin$",	//513
    "qSqrt",	//514
    "qSqrt$",	//515
    "qStringComparisonHelper",	//516
    "qStringComparisonHelper#$",	//517
    "qStringComparisonHelper$$",	//518
    "qTan",	//519
    "qTan$",	//520
    "qUncompress",	//521
    "qUncompress#",	//522
    "qUncompress$$",	//523
    "qVersion",	//524
    "qWarning",	//525
    "qbswap_helper",	//526
    "qbswap_helper$$$",	//527
    "qgetenv",	//528
    "qgetenv$",	//529
    "qputenv",	//530
    "qputenv$#",	//531
    "qrand",	//532
    "qsrand",	//533
    "qsrand$",	//534
    "qstrcmp",	//535
    "qstrcmp##",	//536
    "qstrcmp#$",	//537
    "qstrcmp$#",	//538
    "qstrcmp$$",	//539
    "qstrcpy",	//540
    "qstrcpy$$",	//541
    "qstrdup",	//542
    "qstrdup$",	//543
    "qstricmp",	//544
    "qstricmp$$",	//545
    "qstrlen",	//546
    "qstrlen$",	//547
    "qstrncmp",	//548
    "qstrncmp$$$",	//549
    "qstrncpy",	//550
    "qstrncpy$$$",	//551
    "qstrnicmp",	//552
    "qstrnicmp$$$",	//553
    "qstrnlen",	//554
    "qstrnlen$$",	//555
    "qtTrId",	//556
    "qtTrId$",	//557
    "qtTrId$$",	//558
    "qt_assert",	//559
    "qt_assert$$$",	//560
    "qt_assert_x",	//561
    "qt_assert_x$$$$",	//562
    "qt_check_pointer",	//563
    "qt_check_pointer$$",	//564
    "qt_error_string",	//565
    "qt_error_string$",	//566
    "qt_message_output",	//567
    "qt_message_output$$",	//568
    "qt_metacall",	//569
    "qt_metacall$$?",	//570
    "qt_metacast",	//571
    "qt_metacast$",	//572
    "qt_noop",	//573
    "qt_qFindChild_helper",	//574
    "qt_qFindChild_helper#$#",	//575
    "qt_qFindChildren_helper",	//576
    "qt_qFindChildren_helper#$##?",	//577
    "qvariant_cast_helper",	//578
    "qvariant_cast_helper#$$",	//579
    "qvsnprintf",	//580
    "qvsnprintf$?$?",	//581
    "render",	//582
    "render#",	//583
    "render##",	//584
    "render#$",	//585
    "render#$#",	//586
    "renderer",	//587
    "repaintNeeded",	//588
    "resizeEvent",	//589
    "resolution",	//590
    "sceneEvent",	//591
    "sceneEventFilter",	//592
    "setCachingEnabled",	//593
    "setCachingEnabled$",	//594
    "setCurrentFrame",	//595
    "setCurrentFrame$",	//596
    "setDescription",	//597
    "setDescription$",	//598
    "setElementId",	//599
    "setElementId$",	//600
    "setExtension",	//601
    "setFileName",	//602
    "setFileName$",	//603
    "setFramesPerSecond",	//604
    "setFramesPerSecond$",	//605
    "setMaximumCacheSize",	//606
    "setMaximumCacheSize#",	//607
    "setOutputDevice",	//608
    "setOutputDevice#",	//609
    "setResolution",	//610
    "setResolution$",	//611
    "setSharedRenderer",	//612
    "setSharedRenderer#",	//613
    "setSize",	//614
    "setSize#",	//615
    "setTitle",	//616
    "setTitle$",	//617
    "setViewBox",	//618
    "setViewBox#",	//619
    "setVisible",	//620
    "shape",	//621
    "showEvent",	//622
    "size",	//623
    "sizeHint",	//624
    "staticMetaObject",	//625
    "styleChange",	//626
    "supportsExtension",	//627
    "tabletEvent",	//628
    "timerEvent",	//629
    "title",	//630
    "tr",	//631
    "tr$",	//632
    "tr$$",	//633
    "tr$$$",	//634
    "trUtf8",	//635
    "trUtf8$",	//636
    "trUtf8$$",	//637
    "trUtf8$$$",	//638
    "type",	//639
    "viewBox",	//640
    "viewBoxF",	//641
    "wheelEvent",	//642
    "windowActivationChange",	//643
    "x11Event",	//644
    "~QGraphicsSvgItem",	//645
    "~QSvgGenerator",	//646
    "~QSvgRenderer",	//647
    "~QSvgWidget",	//648
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 274, 1, 2, Smoke::mf_static, 13, 1},	//1 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {26, 371, 0, 0, Smoke::mf_static, 31, 2},	//2 QGlobalSpace::qCritical()
    {26, 454, 4, 1, Smoke::mf_static, 475, 3},	//3 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {26, 326, 6, 2, Smoke::mf_static, 152, 4},	//4 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {26, 559, 9, 3, Smoke::mf_static, 0, 5},	//5 QGlobalSpace::qt_assert(const char*, const char*, int)
    {26, 326, 13, 2, Smoke::mf_static, 66, 6},	//6 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {26, 276, 16, 2, Smoke::mf_static, 416, 7},	//7 QGlobalSpace::operator*(const QPoint&, double)
    {26, 467, 19, 1, Smoke::mf_static, 375, 8},	//8 QGlobalSpace::qIsInf(double)
    {26, 296, 21, 2, Smoke::mf_static, 31, 9},	//9 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {26, 276, 24, 2, Smoke::mf_static, 418, 10},	//10 QGlobalSpace::operator*(double, const QPointF&)
    {26, 326, 27, 2, Smoke::mf_static, 118, 11},	//11 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {26, 269, 30, 2, Smoke::mf_static, 375, 12},	//12 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {26, 296, 33, 2, Smoke::mf_static, 31, 13},	//13 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {26, 276, 36, 2, Smoke::mf_static, 431, 14},	//14 QGlobalSpace::operator*(double, const QSizeF&)
    {26, 326, 39, 2, Smoke::mf_static, 152, 15},	//15 QGlobalSpace::operator|(QDir::SortFlag, int)
    {26, 326, 42, 2, Smoke::mf_static, 48, 16},	//16 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {26, 296, 45, 2, Smoke::mf_static, 31, 17},	//17 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {26, 320, 48, 2, Smoke::mf_static, 27, 18},	//18 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {26, 296, 51, 2, Smoke::mf_static, 27, 19},	//19 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {26, 326, 54, 2, Smoke::mf_static, 152, 20},	//20 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {26, 326, 57, 2, Smoke::mf_static, 152, 21},	//21 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {26, 296, 60, 2, Smoke::mf_static, 31, 22},	//22 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {26, 540, 63, 2, Smoke::mf_static, 377, 23},	//23 QGlobalSpace::qstrcpy(char*, const char*)
    {26, 269, 66, 2, Smoke::mf_static, 375, 24},	//24 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {26, 280, 69, 2, Smoke::mf_static, 429, 25},	//25 QGlobalSpace::operator+(const QSize&, const QSize&)
    {26, 430, 19, 1, Smoke::mf_static, 465, 26},	//26 QGlobalSpace::qFabs(double)
    {26, 296, 72, 2, Smoke::mf_static, 27, 27},	//27 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {26, 326, 75, 2, Smoke::mf_static, 98, 28},	//28 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {26, 296, 78, 2, Smoke::mf_static, 31, 29},	//29 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {26, 485, 0, 0, Smoke::mf_static, 465, 30},	//30 QGlobalSpace::qQNaN()
    {26, 285, 81, 2, Smoke::mf_static, 171, 31},	//31 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {26, 454, 84, 1, Smoke::mf_static, 475, 32},	//32 QGlobalSpace::qHash(unsigned char)
    {26, 326, 86, 2, Smoke::mf_static, 56, 33},	//33 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {26, 285, 89, 2, Smoke::mf_static, 460, 34},	//34 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {26, 276, 92, 2, Smoke::mf_static, 197, 35},	//35 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {26, 326, 95, 2, Smoke::mf_static, 84, 36},	//36 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {26, 276, 98, 2, Smoke::mf_static, 160, 37},	//37 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {26, 524, 0, 0, Smoke::mf_static, 462, 38},	//38 QGlobalSpace::qVersion()
    {26, 444, 101, 2, Smoke::mf_static, 375, 39},	//39 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {26, 326, 104, 2, Smoke::mf_static, 61, 40},	//40 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {26, 305, 30, 2, Smoke::mf_static, 375, 41},	//41 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {26, 326, 107, 2, Smoke::mf_static, 123, 42},	//42 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {26, 276, 110, 2, Smoke::mf_static, 431, 43},	//43 QGlobalSpace::operator*(const QSizeF&, double)
    {26, 296, 113, 2, Smoke::mf_static, 27, 44},	//44 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {26, 326, 116, 2, Smoke::mf_static, 152, 45},	//45 QGlobalSpace::operator|(QDir::Filter, int)
    {26, 444, 119, 2, Smoke::mf_static, 375, 46},	//46 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {26, 310, 122, 2, Smoke::mf_static, 375, 47},	//47 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {26, 360, 19, 1, Smoke::mf_static, 467, 48},	//48 QGlobalSpace::qCeil(double)
    {26, 532, 0, 0, Smoke::mf_static, 467, 49},	//49 QGlobalSpace::qrand()
    {26, 449, 125, 1, Smoke::mf_static, 467, 50},	//50 QGlobalSpace::qGray(unsigned int)
    {26, 326, 127, 2, Smoke::mf_static, 63, 51},	//51 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {26, 285, 130, 2, Smoke::mf_static, 431, 52},	//52 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {26, 315, 133, 2, Smoke::mf_static, 375, 53},	//53 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {26, 305, 136, 2, Smoke::mf_static, 375, 54},	//54 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {26, 285, 139, 1, Smoke::mf_static, 422, 55},	//55 QGlobalSpace::operator-(const QQuaternion&)
    {26, 326, 141, 2, Smoke::mf_static, 49, 56},	//56 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {26, 326, 144, 2, Smoke::mf_static, 118, 57},	//57 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {26, 296, 147, 2, Smoke::mf_static, 31, 58},	//58 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {26, 490, 125, 1, Smoke::mf_static, 467, 59},	//59 QGlobalSpace::qRed(unsigned int)
    {26, 269, 150, 2, Smoke::mf_static, 375, 60},	//60 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {26, 276, 153, 2, Smoke::mf_static, 422, 61},	//61 QGlobalSpace::operator*(const QQuaternion&, double)
    {26, 305, 156, 2, Smoke::mf_static, 375, 62},	//62 QGlobalSpace::operator==(QBool, QBool)
    {26, 326, 159, 2, Smoke::mf_static, 94, 63},	//63 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {26, 326, 162, 2, Smoke::mf_static, 93, 64},	//64 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {26, 326, 165, 2, Smoke::mf_static, 64, 65},	//65 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {26, 326, 168, 2, Smoke::mf_static, 109, 66},	//66 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {26, 454, 171, 1, Smoke::mf_static, 475, 67},	//67 QGlobalSpace::qHash(const QStringRef&)
    {26, 326, 173, 2, Smoke::mf_static, 101, 68},	//68 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {26, 305, 176, 2, Smoke::mf_static, 375, 69},	//69 QGlobalSpace::operator==(QString::Null, QString::Null)
    {26, 296, 179, 2, Smoke::mf_static, 31, 70},	//70 QGlobalSpace::operator<<(QDebug, const QFont&)
    {26, 296, 182, 2, Smoke::mf_static, 31, 71},	//71 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {26, 296, 185, 2, Smoke::mf_static, 27, 72},	//72 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {26, 320, 188, 2, Smoke::mf_static, 27, 73},	//73 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {26, 348, 125, 1, Smoke::mf_static, 467, 74},	//74 QGlobalSpace::qAlpha(unsigned int)
    {26, 326, 191, 2, Smoke::mf_static, 152, 75},	//75 QGlobalSpace::operator|(QStyle::SubControl, int)
    {26, 326, 194, 2, Smoke::mf_static, 59, 76},	//76 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {26, 280, 197, 2, Smoke::mf_static, 436, 77},	//77 QGlobalSpace::operator+(QChar, const QString&)
    {26, 452, 125, 1, Smoke::mf_static, 467, 78},	//78 QGlobalSpace::qGreen(unsigned int)
    {26, 326, 200, 2, Smoke::mf_static, 73, 79},	//79 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {26, 394, 203, 6, Smoke::mf_static, 0, 80},	//80 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {26, 394, 210, 3, Smoke::mf_static, 0, 81},	//81 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {26, 394, 214, 4, Smoke::mf_static, 0, 82},	//82 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {26, 394, 219, 5, Smoke::mf_static, 0, 83},	//83 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {26, 285, 225, 1, Smoke::mf_static, 456, 84},	//84 QGlobalSpace::operator-(const QVector2D&)
    {26, 326, 227, 2, Smoke::mf_static, 56, 85},	//85 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {26, 296, 230, 2, Smoke::mf_static, 27, 86},	//86 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {26, 296, 233, 2, Smoke::mf_static, 31, 87},	//87 QGlobalSpace::operator<<(QDebug, const QTime&)
    {26, 276, 89, 2, Smoke::mf_static, 460, 88},	//88 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {26, 276, 236, 2, Smoke::mf_static, 422, 89},	//89 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {26, 326, 239, 2, Smoke::mf_static, 99, 90},	//90 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {26, 296, 242, 2, Smoke::mf_static, 27, 91},	//91 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {26, 296, 245, 2, Smoke::mf_static, 31, 92},	//92 QGlobalSpace::operator<<(QDebug, const QDate&)
    {26, 454, 248, 1, Smoke::mf_static, 475, 93},	//93 QGlobalSpace::qHash(const QBitArray&)
    {26, 326, 250, 2, Smoke::mf_static, 100, 94},	//94 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {26, 353, 19, 1, Smoke::mf_static, 465, 95},	//95 QGlobalSpace::qAtan(double)
    {26, 526, 253, 3, Smoke::mf_static, 0, 96},	//96 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {26, 326, 257, 2, Smoke::mf_static, 52, 97},	//97 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {26, 276, 260, 2, Smoke::mf_static, 201, 98},	//98 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {26, 578, 263, 3, Smoke::mf_static, 375, 99},	//99 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {26, 454, 267, 1, Smoke::mf_static, 475, 100},	//100 QGlobalSpace::qHash(const QString&)
    {26, 454, 269, 1, Smoke::mf_static, 475, 101},	//101 QGlobalSpace::qHash(unsigned short)
    {26, 492, 271, 1, Smoke::mf_static, 0, 102},	//102 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {26, 454, 273, 1, Smoke::mf_static, 475, 103},	//103 QGlobalSpace::qHash(long)
    {26, 326, 275, 2, Smoke::mf_static, 121, 104},	//104 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {26, 454, 278, 1, Smoke::mf_static, 475, 105},	//105 QGlobalSpace::qHash(long long)
    {26, 296, 280, 2, Smoke::mf_static, 31, 106},	//106 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {26, 280, 130, 2, Smoke::mf_static, 431, 107},	//107 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {26, 326, 283, 2, Smoke::mf_static, 86, 108},	//108 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {26, 414, 286, 8, Smoke::mf_static, 0, 109},	//109 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {26, 414, 295, 6, Smoke::mf_static, 0, 110},	//110 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {26, 414, 302, 7, Smoke::mf_static, 0, 111},	//111 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 326, 310, 2, Smoke::mf_static, 152, 112},	//112 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {26, 296, 313, 2, Smoke::mf_static, 31, 113},	//113 QGlobalSpace::operator<<(QDebug, const QColor&)
    {26, 326, 316, 2, Smoke::mf_static, 152, 114},	//114 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {26, 326, 319, 2, Smoke::mf_static, 152, 115},	//115 QGlobalSpace::operator|(Qt::DropAction, int)
    {26, 403, 322, 10, Smoke::mf_static, 0, 116},	//116 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {26, 403, 295, 6, Smoke::mf_static, 0, 117},	//117 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {26, 403, 302, 7, Smoke::mf_static, 0, 118},	//118 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 403, 333, 8, Smoke::mf_static, 0, 119},	//119 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 403, 342, 9, Smoke::mf_static, 0, 120},	//120 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {26, 369, 19, 1, Smoke::mf_static, 465, 121},	//121 QGlobalSpace::qCos(double)
    {26, 296, 352, 2, Smoke::mf_static, 27, 122},	//122 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {26, 326, 355, 2, Smoke::mf_static, 47, 123},	//123 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {26, 320, 358, 2, Smoke::mf_static, 27, 124},	//124 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {26, 533, 125, 1, Smoke::mf_static, 0, 125},	//125 QGlobalSpace::qsrand(unsigned int)
    {26, 467, 361, 1, Smoke::mf_static, 375, 126},	//126 QGlobalSpace::qIsInf(float)
    {26, 326, 363, 2, Smoke::mf_static, 66, 127},	//127 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {26, 326, 366, 2, Smoke::mf_static, 109, 128},	//128 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {26, 320, 369, 2, Smoke::mf_static, 27, 129},	//129 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {26, 326, 372, 2, Smoke::mf_static, 152, 130},	//130 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {26, 296, 375, 2, Smoke::mf_static, 27, 131},	//131 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {26, 326, 378, 2, Smoke::mf_static, 152, 132},	//132 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {26, 326, 381, 2, Smoke::mf_static, 58, 133},	//133 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {26, 291, 384, 2, Smoke::mf_static, 375, 134},	//134 QGlobalSpace::operator<(const QByteArray&, const char*)
    {26, 326, 387, 2, Smoke::mf_static, 68, 135},	//135 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {26, 326, 390, 2, Smoke::mf_static, 152, 136},	//136 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {26, 296, 393, 2, Smoke::mf_static, 31, 137},	//137 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {26, 326, 396, 2, Smoke::mf_static, 110, 138},	//138 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {26, 326, 399, 2, Smoke::mf_static, 152, 139},	//139 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {26, 276, 402, 2, Smoke::mf_static, 160, 140},	//140 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {26, 525, 0, 0, Smoke::mf_static, 31, 141},	//141 QGlobalSpace::qWarning()
    {26, 326, 405, 2, Smoke::mf_static, 83, 142},	//142 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {26, 280, 89, 2, Smoke::mf_static, 460, 143},	//143 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {26, 449, 408, 3, Smoke::mf_static, 467, 144},	//144 QGlobalSpace::qGray(int, int, int)
    {26, 276, 412, 2, Smoke::mf_static, 162, 145},	//145 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {26, 326, 415, 2, Smoke::mf_static, 119, 146},	//146 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {26, 276, 418, 2, Smoke::mf_static, 188, 147},	//147 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {26, 326, 421, 2, Smoke::mf_static, 152, 148},	//148 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {26, 305, 424, 2, Smoke::mf_static, 375, 149},	//149 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {26, 269, 101, 2, Smoke::mf_static, 375, 150},	//150 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {26, 320, 427, 2, Smoke::mf_static, 27, 151},	//151 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {26, 326, 430, 2, Smoke::mf_static, 152, 152},	//152 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {26, 296, 433, 2, Smoke::mf_static, 27, 153},	//153 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {26, 280, 436, 2, Smoke::mf_static, 436, 154},	//154 QGlobalSpace::operator+(const QString&, const char*)
    {26, 296, 439, 2, Smoke::mf_static, 27, 155},	//155 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {26, 296, 442, 2, Smoke::mf_static, 31, 156},	//156 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {26, 296, 445, 2, Smoke::mf_static, 31, 157},	//157 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {26, 326, 448, 2, Smoke::mf_static, 152, 158},	//158 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {26, 296, 451, 2, Smoke::mf_static, 27, 159},	//159 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {26, 326, 454, 2, Smoke::mf_static, 82, 160},	//160 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {26, 326, 457, 2, Smoke::mf_static, 112, 161},	//161 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {26, 320, 460, 2, Smoke::mf_static, 27, 162},	//162 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {26, 296, 463, 2, Smoke::mf_static, 27, 163},	//163 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {26, 326, 466, 2, Smoke::mf_static, 73, 164},	//164 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {26, 326, 469, 2, Smoke::mf_static, 82, 165},	//165 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {26, 326, 472, 2, Smoke::mf_static, 152, 166},	//166 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {26, 280, 475, 2, Smoke::mf_static, 381, 167},	//167 QGlobalSpace::operator+(char, const QByteArray&)
    {26, 289, 16, 2, Smoke::mf_static, 416, 168},	//168 QGlobalSpace::operator/(const QPoint&, double)
    {26, 320, 478, 2, Smoke::mf_static, 27, 169},	//169 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {26, 280, 481, 2, Smoke::mf_static, 436, 170},	//170 QGlobalSpace::operator+(const char*, const QString&)
    {26, 280, 101, 2, Smoke::mf_static, 456, 171},	//171 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {26, 326, 484, 2, Smoke::mf_static, 81, 172},	//172 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {26, 296, 487, 2, Smoke::mf_static, 31, 173},	//173 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {26, 305, 490, 2, Smoke::mf_static, 375, 174},	//174 QGlobalSpace::operator==(const char*, const QByteArray&)
    {26, 326, 493, 2, Smoke::mf_static, 65, 175},	//175 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {26, 320, 496, 2, Smoke::mf_static, 27, 176},	//176 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {26, 469, 361, 1, Smoke::mf_static, 375, 177},	//177 QGlobalSpace::qIsNaN(float)
    {26, 444, 499, 2, Smoke::mf_static, 375, 178},	//178 QGlobalSpace::qFuzzyCompare(double, double)
    {26, 471, 361, 1, Smoke::mf_static, 375, 179},	//179 QGlobalSpace::qIsNull(float)
    {26, 320, 502, 2, Smoke::mf_static, 27, 180},	//180 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {26, 320, 505, 2, Smoke::mf_static, 27, 181},	//181 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {26, 296, 508, 2, Smoke::mf_static, 27, 182},	//182 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {26, 320, 511, 2, Smoke::mf_static, 27, 183},	//183 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {26, 326, 514, 2, Smoke::mf_static, 85, 184},	//184 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {26, 305, 517, 2, Smoke::mf_static, 375, 185},	//185 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {26, 289, 520, 2, Smoke::mf_static, 257, 186},	//186 QGlobalSpace::operator/(const QTransform&, double)
    {26, 296, 523, 2, Smoke::mf_static, 251, 187},	//187 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {26, 326, 526, 2, Smoke::mf_static, 50, 188},	//188 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {26, 300, 481, 2, Smoke::mf_static, 375, 189},	//189 QGlobalSpace::operator<=(const char*, const QString&)
    {26, 276, 529, 2, Smoke::mf_static, 456, 190},	//190 QGlobalSpace::operator*(const QVector2D&, double)
    {26, 326, 532, 2, Smoke::mf_static, 105, 191},	//191 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {26, 326, 535, 2, Smoke::mf_static, 91, 192},	//192 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {26, 269, 538, 2, Smoke::mf_static, 375, 193},	//193 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {26, 276, 541, 2, Smoke::mf_static, 460, 194},	//194 QGlobalSpace::operator*(const QVector4D&, double)
    {26, 326, 544, 2, Smoke::mf_static, 152, 195},	//195 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {26, 326, 547, 2, Smoke::mf_static, 152, 196},	//196 QGlobalSpace::operator|(QFile::Permission, int)
    {26, 296, 550, 2, Smoke::mf_static, 31, 197},	//197 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {26, 291, 553, 2, Smoke::mf_static, 375, 198},	//198 QGlobalSpace::operator<(QChar, QChar)
    {26, 342, 0, 0, Smoke::mf_static, 9, 199},	//199 QGlobalSpace::qAccessibleTextCastHelper()
    {26, 305, 236, 2, Smoke::mf_static, 375, 200},	//200 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {26, 444, 81, 2, Smoke::mf_static, 375, 201},	//201 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {26, 289, 556, 2, Smoke::mf_static, 171, 202},	//202 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {26, 276, 559, 2, Smoke::mf_static, 188, 203},	//203 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {26, 296, 562, 2, Smoke::mf_static, 27, 204},	//204 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {26, 315, 122, 2, Smoke::mf_static, 375, 205},	//205 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {26, 326, 565, 2, Smoke::mf_static, 80, 206},	//206 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {26, 552, 568, 3, Smoke::mf_static, 467, 207},	//207 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {26, 454, 572, 1, Smoke::mf_static, 475, 208},	//208 QGlobalSpace::qHash(const QByteArray&)
    {26, 326, 574, 2, Smoke::mf_static, 50, 209},	//209 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {26, 326, 577, 2, Smoke::mf_static, 152, 210},	//210 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {26, 326, 580, 2, Smoke::mf_static, 152, 211},	//211 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {26, 280, 81, 2, Smoke::mf_static, 171, 212},	//212 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {26, 296, 583, 2, Smoke::mf_static, 31, 213},	//213 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {26, 276, 101, 2, Smoke::mf_static, 456, 214},	//214 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {26, 563, 586, 2, Smoke::mf_static, 0, 215},	//215 QGlobalSpace::qt_check_pointer(const char*, int)
    {26, 320, 589, 2, Smoke::mf_static, 27, 216},	//216 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {26, 326, 592, 2, Smoke::mf_static, 152, 217},	//217 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {26, 326, 595, 2, Smoke::mf_static, 152, 218},	//218 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {26, 326, 598, 2, Smoke::mf_static, 108, 219},	//219 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {26, 326, 601, 2, Smoke::mf_static, 104, 220},	//220 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {26, 320, 604, 2, Smoke::mf_static, 27, 221},	//221 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {26, 326, 607, 2, Smoke::mf_static, 108, 222},	//222 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {26, 276, 610, 2, Smoke::mf_static, 418, 223},	//223 QGlobalSpace::operator*(const QPointF&, double)
    {26, 535, 133, 2, Smoke::mf_static, 467, 224},	//224 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {26, 326, 613, 2, Smoke::mf_static, 84, 225},	//225 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {26, 326, 616, 2, Smoke::mf_static, 69, 226},	//226 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {26, 507, 619, 1, Smoke::mf_static, 254, 227},	//227 QGlobalSpace::qSetPadChar(QChar)
    {26, 535, 384, 2, Smoke::mf_static, 467, 228},	//228 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {26, 305, 69, 2, Smoke::mf_static, 375, 229},	//229 QGlobalSpace::operator==(const QSize&, const QSize&)
    {26, 394, 621, 9, Smoke::mf_static, 0, 230},	//230 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {26, 394, 295, 6, Smoke::mf_static, 0, 231},	//231 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {26, 394, 302, 7, Smoke::mf_static, 0, 232},	//232 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 394, 333, 8, Smoke::mf_static, 0, 233},	//233 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 511, 0, 0, Smoke::mf_static, 375, 234},	//234 QGlobalSpace::qSharedBuild()
    {26, 280, 236, 2, Smoke::mf_static, 422, 235},	//235 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {26, 326, 631, 2, Smoke::mf_static, 47, 236},	//236 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {26, 459, 634, 1, Smoke::mf_static, 481, 237},	//237 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {26, 296, 636, 2, Smoke::mf_static, 27, 238},	//238 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {26, 574, 639, 3, Smoke::mf_static, 179, 239},	//239 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {26, 305, 122, 2, Smoke::mf_static, 375, 240},	//240 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {26, 326, 643, 2, Smoke::mf_static, 117, 241},	//241 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {26, 276, 646, 2, Smoke::mf_static, 269, 242},	//242 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {26, 326, 649, 2, Smoke::mf_static, 152, 243},	//243 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {26, 269, 133, 2, Smoke::mf_static, 375, 244},	//244 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {26, 414, 652, 5, Smoke::mf_static, 0, 245},	//245 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {26, 414, 210, 3, Smoke::mf_static, 0, 246},	//246 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {26, 414, 214, 4, Smoke::mf_static, 0, 247},	//247 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {26, 326, 658, 2, Smoke::mf_static, 152, 248},	//248 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {26, 326, 661, 2, Smoke::mf_static, 87, 249},	//249 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {26, 326, 664, 2, Smoke::mf_static, 152, 250},	//250 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {26, 326, 667, 2, Smoke::mf_static, 152, 251},	//251 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {26, 320, 670, 2, Smoke::mf_static, 27, 252},	//252 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {26, 285, 101, 2, Smoke::mf_static, 456, 253},	//253 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {26, 326, 673, 2, Smoke::mf_static, 116, 254},	//254 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {26, 289, 110, 2, Smoke::mf_static, 431, 255},	//255 QGlobalSpace::operator/(const QSizeF&, double)
    {26, 276, 676, 2, Smoke::mf_static, 458, 256},	//256 QGlobalSpace::operator*(const QVector3D&, double)
    {26, 326, 679, 2, Smoke::mf_static, 117, 257},	//257 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {26, 320, 682, 2, Smoke::mf_static, 27, 258},	//258 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {26, 276, 685, 2, Smoke::mf_static, 199, 259},	//259 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {26, 310, 553, 2, Smoke::mf_static, 375, 260},	//260 QGlobalSpace::operator>(QChar, QChar)
    {26, 315, 490, 2, Smoke::mf_static, 375, 261},	//261 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {26, 442, 688, 1, Smoke::mf_static, 0, 262},	//262 QGlobalSpace::qFreeAligned(void*)
    {26, 326, 690, 2, Smoke::mf_static, 94, 263},	//263 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {26, 305, 693, 2, Smoke::mf_static, 375, 264},	//264 QGlobalSpace::operator==(const QString&, QString::Null)
    {26, 296, 696, 2, Smoke::mf_static, 31, 265},	//265 QGlobalSpace::operator<<(QDebug, const QPen&)
    {26, 461, 361, 1, Smoke::mf_static, 467, 266},	//266 QGlobalSpace::qIntCast(float)
    {26, 291, 133, 2, Smoke::mf_static, 375, 267},	//267 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {26, 326, 699, 2, Smoke::mf_static, 96, 268},	//268 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {26, 530, 490, 2, Smoke::mf_static, 375, 269},	//269 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {26, 326, 702, 2, Smoke::mf_static, 152, 270},	//270 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {26, 320, 705, 2, Smoke::mf_static, 27, 271},	//271 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {26, 516, 708, 2, Smoke::mf_static, 375, 272},	//272 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {26, 548, 568, 3, Smoke::mf_static, 467, 273},	//273 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {26, 403, 711, 7, Smoke::mf_static, 0, 274},	//274 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {26, 403, 210, 3, Smoke::mf_static, 0, 275},	//275 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {26, 403, 214, 4, Smoke::mf_static, 0, 276},	//276 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {26, 403, 219, 5, Smoke::mf_static, 0, 277},	//277 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {26, 403, 719, 6, Smoke::mf_static, 0, 278},	//278 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {26, 326, 726, 2, Smoke::mf_static, 152, 279},	//279 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {26, 326, 729, 2, Smoke::mf_static, 100, 280},	//280 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {26, 326, 732, 2, Smoke::mf_static, 152, 281},	//281 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {26, 285, 735, 1, Smoke::mf_static, 418, 282},	//282 QGlobalSpace::operator-(const QPointF&)
    {26, 488, 737, 4, Smoke::mf_static, 482, 283},	//283 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {26, 326, 742, 2, Smoke::mf_static, 115, 284},	//284 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {26, 296, 745, 2, Smoke::mf_static, 27, 285},	//285 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {26, 454, 748, 1, Smoke::mf_static, 475, 286},	//286 QGlobalSpace::qHash(unsigned long long)
    {26, 280, 750, 2, Smoke::mf_static, 436, 287},	//287 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {26, 326, 753, 2, Smoke::mf_static, 124, 288},	//288 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {26, 296, 756, 2, Smoke::mf_static, 31, 289},	//289 QGlobalSpace::operator<<(QDebug, const QSize&)
    {26, 276, 759, 2, Smoke::mf_static, 197, 290},	//290 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {26, 326, 762, 2, Smoke::mf_static, 115, 291},	//291 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {26, 296, 765, 2, Smoke::mf_static, 31, 292},	//292 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {26, 326, 768, 2, Smoke::mf_static, 122, 293},	//293 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {26, 350, 0, 0, Smoke::mf_static, 220, 294},	//294 QGlobalSpace::qAppName()
    {26, 280, 771, 2, Smoke::mf_static, 436, 295},	//295 QGlobalSpace::operator+(const QString&, char)
    {26, 315, 538, 2, Smoke::mf_static, 375, 296},	//296 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {26, 326, 774, 2, Smoke::mf_static, 59, 297},	//297 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {26, 454, 619, 1, Smoke::mf_static, 475, 298},	//298 QGlobalSpace::qHash(QChar)
    {26, 326, 777, 2, Smoke::mf_static, 152, 299},	//299 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {26, 378, 780, 8, Smoke::mf_static, 0, 300},	//300 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {26, 378, 789, 6, Smoke::mf_static, 0, 301},	//301 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {26, 378, 796, 7, Smoke::mf_static, 0, 302},	//302 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {26, 305, 150, 2, Smoke::mf_static, 375, 303},	//303 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {26, 447, 19, 1, Smoke::mf_static, 375, 304},	//304 QGlobalSpace::qFuzzyIsNull(double)
    {26, 276, 81, 2, Smoke::mf_static, 171, 305},	//305 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {26, 296, 804, 2, Smoke::mf_static, 27, 306},	//306 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {26, 481, 807, 3, Smoke::mf_static, 482, 307},	//307 QGlobalSpace::qMemSet(void*, int, size_t)
    {26, 355, 499, 2, Smoke::mf_static, 465, 308},	//308 QGlobalSpace::qAtan2(double, double)
    {26, 326, 811, 2, Smoke::mf_static, 87, 309},	//309 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {26, 296, 814, 2, Smoke::mf_static, 27, 310},	//310 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {26, 320, 817, 2, Smoke::mf_static, 27, 311},	//311 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {26, 364, 820, 2, Smoke::mf_static, 17, 312},	//312 QGlobalSpace::qCompress(const QByteArray&, int)
    {26, 364, 572, 1, Smoke::mf_static, 17, 313},	//313 QGlobalSpace::qCompress(const QByteArray&)
    {26, 326, 823, 2, Smoke::mf_static, 152, 314},	//314 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {26, 296, 826, 2, Smoke::mf_static, 31, 315},	//315 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {26, 326, 829, 2, Smoke::mf_static, 116, 316},	//316 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {26, 276, 832, 2, Smoke::mf_static, 271, 317},	//317 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {26, 326, 835, 2, Smoke::mf_static, 152, 318},	//318 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {26, 291, 490, 2, Smoke::mf_static, 375, 319},	//319 QGlobalSpace::operator<(const char*, const QByteArray&)
    {26, 378, 838, 5, Smoke::mf_static, 0, 320},	//320 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {26, 378, 844, 3, Smoke::mf_static, 0, 321},	//321 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {26, 378, 848, 4, Smoke::mf_static, 0, 322},	//322 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {26, 326, 853, 2, Smoke::mf_static, 86, 323},	//323 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {26, 326, 856, 2, Smoke::mf_static, 152, 324},	//324 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {26, 346, 859, 1, Smoke::mf_static, 0, 325},	//325 QGlobalSpace::qAddPostRoutine(void(*)())
    {26, 326, 861, 2, Smoke::mf_static, 152, 326},	//326 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {26, 276, 864, 2, Smoke::mf_static, 195, 327},	//327 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {26, 326, 867, 2, Smoke::mf_static, 152, 328},	//328 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {26, 326, 870, 2, Smoke::mf_static, 152, 329},	//329 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {26, 428, 19, 1, Smoke::mf_static, 465, 330},	//330 QGlobalSpace::qExp(double)
    {26, 269, 69, 2, Smoke::mf_static, 375, 331},	//331 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {26, 326, 873, 2, Smoke::mf_static, 113, 332},	//332 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {26, 300, 384, 2, Smoke::mf_static, 375, 333},	//333 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {26, 296, 876, 2, Smoke::mf_static, 27, 334},	//334 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {26, 269, 879, 2, Smoke::mf_static, 375, 335},	//335 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {26, 326, 882, 2, Smoke::mf_static, 152, 336},	//336 QGlobalSpace::operator|(QString::SectionFlag, int)
    {26, 326, 885, 2, Smoke::mf_static, 152, 337},	//337 QGlobalSpace::operator|(Qt::WindowType, int)
    {26, 326, 888, 2, Smoke::mf_static, 107, 338},	//338 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {26, 305, 891, 2, Smoke::mf_static, 375, 339},	//339 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {26, 471, 19, 1, Smoke::mf_static, 375, 340},	//340 QGlobalSpace::qIsNull(double)
    {26, 373, 894, 8, Smoke::mf_static, 0, 341},	//341 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {26, 373, 903, 6, Smoke::mf_static, 0, 342},	//342 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {26, 373, 910, 7, Smoke::mf_static, 0, 343},	//343 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {26, 315, 918, 2, Smoke::mf_static, 375, 344},	//344 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {26, 305, 921, 2, Smoke::mf_static, 375, 345},	//345 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {26, 461, 19, 1, Smoke::mf_static, 467, 346},	//346 QGlobalSpace::qIntCast(double)
    {26, 324, 1, 2, Smoke::mf_static, 13, 347},	//347 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {26, 362, 924, 2, Smoke::mf_static, 478, 348},	//348 QGlobalSpace::qChecksum(const char*, unsigned int)
    {26, 326, 927, 2, Smoke::mf_static, 106, 349},	//349 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {26, 326, 930, 2, Smoke::mf_static, 152, 350},	//350 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {26, 320, 933, 2, Smoke::mf_static, 27, 351},	//351 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {26, 296, 936, 2, Smoke::mf_static, 27, 352},	//352 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {26, 276, 520, 2, Smoke::mf_static, 257, 353},	//353 QGlobalSpace::operator*(const QTransform&, double)
    {26, 326, 939, 2, Smoke::mf_static, 152, 354},	//354 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {26, 291, 538, 2, Smoke::mf_static, 375, 355},	//355 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {26, 296, 942, 2, Smoke::mf_static, 31, 356},	//356 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {26, 326, 945, 2, Smoke::mf_static, 107, 357},	//357 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {26, 326, 948, 2, Smoke::mf_static, 152, 358},	//358 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {26, 528, 951, 1, Smoke::mf_static, 17, 359},	//359 QGlobalSpace::qgetenv(const char*)
    {26, 326, 953, 2, Smoke::mf_static, 152, 360},	//360 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {26, 296, 956, 2, Smoke::mf_static, 31, 361},	//361 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {26, 326, 959, 2, Smoke::mf_static, 152, 362},	//362 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {26, 326, 962, 2, Smoke::mf_static, 152, 363},	//363 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {26, 269, 708, 2, Smoke::mf_static, 375, 364},	//364 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {26, 296, 965, 2, Smoke::mf_static, 31, 365},	//365 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {26, 320, 968, 2, Smoke::mf_static, 251, 366},	//366 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {26, 326, 971, 2, Smoke::mf_static, 152, 367},	//367 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {26, 269, 490, 2, Smoke::mf_static, 375, 368},	//368 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {26, 326, 974, 2, Smoke::mf_static, 152, 369},	//369 QGlobalSpace::operator|(QFileDialog::Option, int)
    {26, 344, 19, 1, Smoke::mf_static, 465, 370},	//370 QGlobalSpace::qAcos(double)
    {26, 326, 977, 2, Smoke::mf_static, 89, 371},	//371 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {26, 310, 538, 2, Smoke::mf_static, 375, 372},	//372 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {26, 289, 541, 2, Smoke::mf_static, 460, 373},	//373 QGlobalSpace::operator/(const QVector4D&, double)
    {26, 276, 980, 2, Smoke::mf_static, 195, 374},	//374 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {26, 326, 983, 2, Smoke::mf_static, 96, 375},	//375 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {26, 320, 986, 2, Smoke::mf_static, 27, 376},	//376 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {26, 326, 989, 2, Smoke::mf_static, 70, 377},	//377 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {26, 289, 153, 2, Smoke::mf_static, 422, 378},	//378 QGlobalSpace::operator/(const QQuaternion&, double)
    {26, 326, 992, 2, Smoke::mf_static, 80, 379},	//379 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {26, 320, 995, 2, Smoke::mf_static, 27, 380},	//380 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {26, 296, 998, 2, Smoke::mf_static, 27, 381},	//381 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {26, 326, 1001, 2, Smoke::mf_static, 62, 382},	//382 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {26, 339, 0, 0, Smoke::mf_static, 9, 383},	//383 QGlobalSpace::qAccessibleImageCastHelper()
    {26, 326, 1004, 2, Smoke::mf_static, 152, 384},	//384 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {26, 296, 1007, 2, Smoke::mf_static, 31, 385},	//385 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {26, 550, 1010, 3, Smoke::mf_static, 377, 386},	//386 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {26, 326, 1014, 2, Smoke::mf_static, 53, 387},	//387 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {26, 320, 1017, 2, Smoke::mf_static, 27, 388},	//388 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {26, 296, 1020, 2, Smoke::mf_static, 27, 389},	//389 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {26, 320, 1023, 2, Smoke::mf_static, 27, 390},	//390 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {26, 285, 1026, 1, Smoke::mf_static, 460, 391},	//391 QGlobalSpace::operator-(const QVector4D&)
    {26, 296, 1028, 2, Smoke::mf_static, 31, 392},	//392 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {26, 454, 1031, 1, Smoke::mf_static, 475, 393},	//393 QGlobalSpace::qHash(const QUrl&)
    {26, 326, 1033, 2, Smoke::mf_static, 152, 394},	//394 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {26, 320, 1036, 2, Smoke::mf_static, 27, 395},	//395 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {26, 463, 361, 1, Smoke::mf_static, 375, 396},	//396 QGlobalSpace::qIsFinite(float)
    {26, 269, 424, 2, Smoke::mf_static, 375, 397},	//397 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {26, 305, 101, 2, Smoke::mf_static, 375, 398},	//398 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {26, 565, 1039, 1, Smoke::mf_static, 220, 399},	//399 QGlobalSpace::qt_error_string(int)
    {26, 565, 0, 0, Smoke::mf_static, 220, 400},	//400 QGlobalSpace::qt_error_string()
    {26, 289, 529, 2, Smoke::mf_static, 456, 401},	//401 QGlobalSpace::operator/(const QVector2D&, double)
    {26, 276, 1041, 2, Smoke::mf_static, 416, 402},	//402 QGlobalSpace::operator*(const QPoint&, float)
    {26, 326, 1044, 2, Smoke::mf_static, 152, 403},	//403 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {26, 320, 1047, 2, Smoke::mf_static, 27, 404},	//404 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {26, 486, 1050, 2, Smoke::mf_static, 482, 405},	//405 QGlobalSpace::qRealloc(void*, size_t)
    {26, 326, 1053, 2, Smoke::mf_static, 68, 406},	//406 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {26, 326, 1056, 2, Smoke::mf_static, 67, 407},	//407 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {26, 280, 1059, 2, Smoke::mf_static, 436, 408},	//408 QGlobalSpace::operator+(const QString&, const QString&)
    {26, 326, 1062, 2, Smoke::mf_static, 152, 409},	//409 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {26, 341, 0, 0, Smoke::mf_static, 9, 410},	//410 QGlobalSpace::qAccessibleTableCastHelper()
    {26, 326, 1065, 2, Smoke::mf_static, 152, 411},	//411 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {26, 276, 556, 2, Smoke::mf_static, 171, 412},	//412 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {26, 561, 1068, 4, Smoke::mf_static, 0, 413},	//413 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {26, 291, 481, 2, Smoke::mf_static, 375, 414},	//414 QGlobalSpace::operator<(const char*, const QString&)
    {26, 269, 481, 2, Smoke::mf_static, 375, 415},	//415 QGlobalSpace::operator!=(const char*, const QString&)
    {26, 269, 384, 2, Smoke::mf_static, 375, 416},	//416 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {26, 269, 1073, 2, Smoke::mf_static, 375, 417},	//417 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {26, 296, 1076, 2, Smoke::mf_static, 31, 418},	//418 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {26, 326, 1079, 2, Smoke::mf_static, 51, 419},	//419 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {26, 305, 1082, 2, Smoke::mf_static, 375, 420},	//420 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {26, 326, 1085, 2, Smoke::mf_static, 152, 421},	//421 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {26, 320, 1088, 2, Smoke::mf_static, 27, 422},	//422 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {26, 310, 133, 2, Smoke::mf_static, 375, 423},	//423 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {26, 500, 19, 1, Smoke::mf_static, 467, 424},	//424 QGlobalSpace::qRound(double)
    {26, 300, 122, 2, Smoke::mf_static, 375, 425},	//425 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {26, 305, 879, 2, Smoke::mf_static, 375, 426},	//426 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {26, 326, 1, 2, Smoke::mf_static, 13, 427},	//427 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {26, 305, 1091, 2, Smoke::mf_static, 375, 428},	//428 QGlobalSpace::operator==(const char*, const QStringRef&)
    {26, 280, 490, 2, Smoke::mf_static, 381, 429},	//429 QGlobalSpace::operator+(const char*, const QByteArray&)
    {26, 320, 1094, 2, Smoke::mf_static, 27, 430},	//430 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {26, 326, 1097, 2, Smoke::mf_static, 152, 431},	//431 QGlobalSpace::operator|(Qt::MouseButton, int)
    {26, 326, 1100, 2, Smoke::mf_static, 93, 432},	//432 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {26, 300, 538, 2, Smoke::mf_static, 375, 433},	//433 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {26, 320, 1103, 2, Smoke::mf_static, 27, 434},	//434 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {26, 326, 1106, 2, Smoke::mf_static, 58, 435},	//435 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {26, 326, 1109, 2, Smoke::mf_static, 114, 436},	//436 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {26, 465, 125, 1, Smoke::mf_static, 375, 437},	//437 QGlobalSpace::qIsGray(unsigned int)
    {26, 326, 1112, 2, Smoke::mf_static, 104, 438},	//438 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {26, 276, 1115, 2, Smoke::mf_static, 197, 439},	//439 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {26, 285, 1118, 1, Smoke::mf_static, 171, 440},	//440 QGlobalSpace::operator-(const QMatrix4x4&)
    {26, 326, 1120, 2, Smoke::mf_static, 49, 441},	//441 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {26, 276, 1123, 2, Smoke::mf_static, 456, 442},	//442 QGlobalSpace::operator*(double, const QVector2D&)
    {26, 326, 1126, 2, Smoke::mf_static, 75, 443},	//443 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {26, 326, 1129, 2, Smoke::mf_static, 152, 444},	//444 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {26, 320, 1132, 2, Smoke::mf_static, 27, 445},	//445 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {26, 305, 553, 2, Smoke::mf_static, 375, 446},	//446 QGlobalSpace::operator==(QChar, QChar)
    {26, 326, 1135, 2, Smoke::mf_static, 120, 447},	//447 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {26, 296, 1138, 2, Smoke::mf_static, 27, 448},	//448 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {26, 269, 891, 2, Smoke::mf_static, 375, 449},	//449 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {26, 276, 1141, 2, Smoke::mf_static, 162, 450},	//450 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {26, 269, 1144, 2, Smoke::mf_static, 375, 451},	//451 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {26, 454, 1147, 1, Smoke::mf_static, 475, 452},	//452 QGlobalSpace::qHash(signed char)
    {26, 296, 1149, 2, Smoke::mf_static, 27, 453},	//453 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {26, 296, 1152, 2, Smoke::mf_static, 27, 454},	//454 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {26, 326, 1155, 2, Smoke::mf_static, 121, 455},	//455 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {26, 276, 1158, 2, Smoke::mf_static, 458, 456},	//456 QGlobalSpace::operator*(double, const QVector3D&)
    {26, 514, 19, 1, Smoke::mf_static, 465, 457},	//457 QGlobalSpace::qSqrt(double)
    {26, 296, 1161, 2, Smoke::mf_static, 27, 458},	//458 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {26, 326, 1164, 2, Smoke::mf_static, 103, 459},	//459 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {26, 535, 1167, 2, Smoke::mf_static, 467, 460},	//460 QGlobalSpace::qstrcmp(const char*, const char*)
    {26, 320, 1170, 2, Smoke::mf_static, 27, 461},	//461 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {26, 326, 1173, 2, Smoke::mf_static, 90, 462},	//462 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {26, 305, 89, 2, Smoke::mf_static, 375, 463},	//463 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {26, 296, 1176, 2, Smoke::mf_static, 27, 464},	//464 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {26, 296, 1179, 2, Smoke::mf_static, 27, 465},	//465 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {26, 280, 1182, 2, Smoke::mf_static, 436, 466},	//466 QGlobalSpace::operator+(char, const QString&)
    {26, 289, 676, 2, Smoke::mf_static, 458, 467},	//467 QGlobalSpace::operator/(const QVector3D&, double)
    {26, 326, 1185, 2, Smoke::mf_static, 85, 468},	//468 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {26, 269, 136, 2, Smoke::mf_static, 375, 469},	//469 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {26, 269, 553, 2, Smoke::mf_static, 375, 470},	//470 QGlobalSpace::operator!=(QChar, QChar)
    {26, 326, 1188, 2, Smoke::mf_static, 77, 471},	//471 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {26, 276, 1191, 2, Smoke::mf_static, 171, 472},	//472 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {26, 554, 924, 2, Smoke::mf_static, 475, 473},	//473 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {26, 326, 1194, 2, Smoke::mf_static, 72, 474},	//474 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {26, 305, 918, 2, Smoke::mf_static, 375, 475},	//475 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {26, 496, 408, 3, Smoke::mf_static, 475, 476},	//476 QGlobalSpace::qRgb(int, int, int)
    {26, 444, 89, 2, Smoke::mf_static, 375, 477},	//477 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {26, 438, 19, 1, Smoke::mf_static, 467, 478},	//478 QGlobalSpace::qFloor(double)
    {26, 326, 1197, 2, Smoke::mf_static, 123, 479},	//479 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {26, 326, 1200, 2, Smoke::mf_static, 102, 480},	//480 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {26, 296, 1203, 2, Smoke::mf_static, 31, 481},	//481 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {26, 326, 1206, 2, Smoke::mf_static, 71, 482},	//482 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {26, 326, 1209, 2, Smoke::mf_static, 106, 483},	//483 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {26, 305, 130, 2, Smoke::mf_static, 375, 484},	//484 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {26, 320, 1212, 2, Smoke::mf_static, 27, 485},	//485 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {26, 326, 1215, 2, Smoke::mf_static, 105, 486},	//486 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {26, 320, 1218, 2, Smoke::mf_static, 27, 487},	//487 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {26, 296, 1221, 2, Smoke::mf_static, 27, 488},	//488 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {26, 326, 1224, 2, Smoke::mf_static, 52, 489},	//489 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {26, 305, 538, 2, Smoke::mf_static, 375, 490},	//490 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {26, 269, 1227, 2, Smoke::mf_static, 375, 491},	//491 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {26, 276, 1230, 2, Smoke::mf_static, 429, 492},	//492 QGlobalSpace::operator*(double, const QSize&)
    {26, 305, 1233, 2, Smoke::mf_static, 375, 493},	//493 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {26, 326, 1236, 2, Smoke::mf_static, 62, 494},	//494 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {26, 454, 1239, 1, Smoke::mf_static, 475, 495},	//495 QGlobalSpace::qHash(const QModelIndex&)
    {26, 326, 1241, 2, Smoke::mf_static, 71, 496},	//496 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {26, 326, 1244, 2, Smoke::mf_static, 90, 497},	//497 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {26, 296, 1247, 2, Smoke::mf_static, 31, 498},	//498 QGlobalSpace::operator<<(QDebug, const QLine&)
    {26, 343, 0, 0, Smoke::mf_static, 9, 499},	//499 QGlobalSpace::qAccessibleValueCastHelper()
    {26, 326, 1250, 2, Smoke::mf_static, 48, 500},	//500 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {26, 494, 859, 1, Smoke::mf_static, 0, 501},	//501 QGlobalSpace::qRemovePostRoutine(void(*)())
    {26, 326, 1253, 2, Smoke::mf_static, 152, 502},	//502 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {26, 320, 1256, 2, Smoke::mf_static, 27, 503},	//503 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {26, 276, 1259, 2, Smoke::mf_static, 271, 504},	//504 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {26, 296, 1262, 2, Smoke::mf_static, 27, 505},	//505 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {26, 444, 1265, 2, Smoke::mf_static, 375, 506},	//506 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {26, 326, 1268, 2, Smoke::mf_static, 97, 507},	//507 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {26, 436, 951, 1, Smoke::mf_static, 462, 508},	//508 QGlobalSpace::qFlagLocation(const char*)
    {26, 479, 1271, 3, Smoke::mf_static, 482, 509},	//509 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {26, 315, 384, 2, Smoke::mf_static, 375, 510},	//510 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {26, 276, 1275, 2, Smoke::mf_static, 416, 511},	//511 QGlobalSpace::operator*(double, const QPoint&)
    {26, 469, 19, 1, Smoke::mf_static, 375, 512},	//512 QGlobalSpace::qIsNaN(double)
    {26, 326, 1278, 2, Smoke::mf_static, 79, 513},	//513 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {26, 296, 1281, 2, Smoke::mf_static, 31, 514},	//514 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {26, 296, 1284, 2, Smoke::mf_static, 31, 515},	//515 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {26, 454, 1287, 1, Smoke::mf_static, 475, 516},	//516 QGlobalSpace::qHash(short)
    {26, 458, 0, 0, Smoke::mf_static, 465, 517},	//517 QGlobalSpace::qInf()
    {26, 296, 1289, 2, Smoke::mf_static, 31, 518},	//518 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {26, 326, 1292, 2, Smoke::mf_static, 81, 519},	//519 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {26, 296, 1295, 2, Smoke::mf_static, 27, 520},	//520 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {26, 296, 1298, 2, Smoke::mf_static, 27, 521},	//521 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {26, 276, 1301, 2, Smoke::mf_static, 422, 522},	//522 QGlobalSpace::operator*(double, const QQuaternion&)
    {26, 280, 1304, 2, Smoke::mf_static, 381, 523},	//523 QGlobalSpace::operator+(const QByteArray&, char)
    {26, 326, 1307, 2, Smoke::mf_static, 99, 524},	//524 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {26, 296, 1310, 2, Smoke::mf_static, 31, 525},	//525 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {26, 326, 1313, 2, Smoke::mf_static, 83, 526},	//526 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {26, 326, 1316, 2, Smoke::mf_static, 55, 527},	//527 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {26, 289, 610, 2, Smoke::mf_static, 418, 528},	//528 QGlobalSpace::operator/(const QPointF&, double)
    {26, 521, 572, 1, Smoke::mf_static, 17, 529},	//529 QGlobalSpace::qUncompress(const QByteArray&)
    {26, 315, 553, 2, Smoke::mf_static, 375, 530},	//530 QGlobalSpace::operator>=(QChar, QChar)
    {26, 326, 1319, 2, Smoke::mf_static, 51, 531},	//531 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {26, 300, 133, 2, Smoke::mf_static, 375, 532},	//532 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {26, 509, 1039, 1, Smoke::mf_static, 254, 533},	//533 QGlobalSpace::qSetRealNumberPrecision(int)
    {26, 296, 1322, 2, Smoke::mf_static, 31, 534},	//534 QGlobalSpace::operator<<(QDebug, const QObject*)
    {26, 512, 19, 1, Smoke::mf_static, 465, 535},	//535 QGlobalSpace::qSin(double)
    {26, 351, 19, 1, Smoke::mf_static, 465, 536},	//536 QGlobalSpace::qAsin(double)
    {26, 444, 424, 2, Smoke::mf_static, 375, 537},	//537 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {26, 544, 1167, 2, Smoke::mf_static, 467, 538},	//538 QGlobalSpace::qstricmp(const char*, const char*)
    {26, 326, 1325, 2, Smoke::mf_static, 70, 539},	//539 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {26, 296, 1328, 2, Smoke::mf_static, 31, 540},	//540 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {26, 444, 1331, 2, Smoke::mf_static, 375, 541},	//541 QGlobalSpace::qFuzzyCompare(float, float)
    {26, 320, 1334, 2, Smoke::mf_static, 27, 542},	//542 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {26, 326, 1337, 2, Smoke::mf_static, 57, 543},	//543 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {26, 300, 918, 2, Smoke::mf_static, 375, 544},	//544 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {26, 580, 1340, 4, Smoke::mf_static, 467, 545},	//545 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {26, 326, 1345, 2, Smoke::mf_static, 75, 546},	//546 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {26, 326, 1348, 2, Smoke::mf_static, 88, 547},	//547 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {26, 296, 1351, 2, Smoke::mf_static, 27, 548},	//548 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {26, 573, 0, 0, Smoke::mf_static, 0, 549},	//549 QGlobalSpace::qt_noop()
    {26, 326, 1354, 2, Smoke::mf_static, 76, 550},	//550 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {26, 310, 490, 2, Smoke::mf_static, 375, 551},	//551 QGlobalSpace::operator>(const char*, const QByteArray&)
    {26, 320, 1357, 2, Smoke::mf_static, 27, 552},	//552 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {26, 505, 1039, 1, Smoke::mf_static, 254, 553},	//553 QGlobalSpace::qSetFieldWidth(int)
    {26, 326, 1360, 2, Smoke::mf_static, 98, 554},	//554 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {26, 296, 1363, 2, Smoke::mf_static, 31, 555},	//555 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {26, 296, 1366, 2, Smoke::mf_static, 27, 556},	//556 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {26, 305, 1227, 2, Smoke::mf_static, 375, 557},	//557 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {26, 269, 1369, 2, Smoke::mf_static, 375, 558},	//558 QGlobalSpace::operator!=(bool, QBool)
    {26, 454, 1372, 1, Smoke::mf_static, 475, 559},	//559 QGlobalSpace::qHash(unsigned long)
    {26, 340, 0, 0, Smoke::mf_static, 9, 560},	//560 QGlobalSpace::qAccessibleTable2CastHelper()
    {26, 296, 1374, 2, Smoke::mf_static, 31, 561},	//561 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {26, 326, 1377, 2, Smoke::mf_static, 152, 562},	//562 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {26, 276, 1380, 2, Smoke::mf_static, 199, 563},	//563 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {26, 269, 1383, 2, Smoke::mf_static, 375, 564},	//564 QGlobalSpace::operator!=(QBool, bool)
    {26, 326, 1386, 2, Smoke::mf_static, 152, 565},	//565 QGlobalSpace::operator|(Qt::WindowState, int)
    {26, 326, 1389, 2, Smoke::mf_static, 97, 566},	//566 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {26, 285, 879, 2, Smoke::mf_static, 416, 567},	//567 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {26, 473, 19, 1, Smoke::mf_static, 465, 568},	//568 QGlobalSpace::qLn(double)
    {26, 320, 1392, 2, Smoke::mf_static, 27, 569},	//569 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {26, 320, 1395, 2, Smoke::mf_static, 27, 570},	//570 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {26, 444, 236, 2, Smoke::mf_static, 375, 571},	//571 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {26, 385, 342, 9, Smoke::mf_static, 0, 572},	//572 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {26, 385, 295, 6, Smoke::mf_static, 0, 573},	//573 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {26, 385, 302, 7, Smoke::mf_static, 0, 574},	//574 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 385, 333, 8, Smoke::mf_static, 0, 575},	//575 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 546, 951, 1, Smoke::mf_static, 475, 576},	//576 QGlobalSpace::qstrlen(const char*)
    {26, 280, 384, 2, Smoke::mf_static, 381, 577},	//577 QGlobalSpace::operator+(const QByteArray&, const char*)
    {26, 296, 1398, 2, Smoke::mf_static, 27, 578},	//578 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {26, 269, 130, 2, Smoke::mf_static, 375, 579},	//579 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {26, 300, 490, 2, Smoke::mf_static, 375, 580},	//580 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {26, 296, 1401, 2, Smoke::mf_static, 27, 581},	//581 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {26, 326, 1404, 2, Smoke::mf_static, 110, 582},	//582 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {26, 296, 1407, 2, Smoke::mf_static, 31, 583},	//583 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {26, 326, 1410, 2, Smoke::mf_static, 152, 584},	//584 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {26, 305, 1073, 2, Smoke::mf_static, 375, 585},	//585 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {26, 326, 1413, 2, Smoke::mf_static, 78, 586},	//586 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {26, 269, 918, 2, Smoke::mf_static, 375, 587},	//587 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {26, 326, 1416, 2, Smoke::mf_static, 103, 588},	//588 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {26, 296, 1419, 2, Smoke::mf_static, 27, 589},	//589 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {26, 326, 1422, 2, Smoke::mf_static, 124, 590},	//590 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {26, 326, 1425, 2, Smoke::mf_static, 54, 591},	//591 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {26, 338, 0, 0, Smoke::mf_static, 9, 592},	//592 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {26, 276, 1428, 2, Smoke::mf_static, 429, 593},	//593 QGlobalSpace::operator*(const QSize&, double)
    {26, 276, 1431, 2, Smoke::mf_static, 269, 594},	//594 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {26, 305, 1434, 2, Smoke::mf_static, 375, 595},	//595 QGlobalSpace::operator==(QString::Null, const QString&)
    {26, 296, 1437, 2, Smoke::mf_static, 31, 596},	//596 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {26, 326, 1440, 2, Smoke::mf_static, 57, 597},	//597 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {26, 326, 1443, 2, Smoke::mf_static, 114, 598},	//598 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {26, 320, 1446, 2, Smoke::mf_static, 27, 599},	//599 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {26, 296, 1449, 2, Smoke::mf_static, 31, 600},	//600 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {26, 305, 384, 2, Smoke::mf_static, 375, 601},	//601 QGlobalSpace::operator==(const QByteArray&, const char*)
    {26, 576, 1452, 5, Smoke::mf_static, 0, 602},	//602 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {26, 320, 1458, 2, Smoke::mf_static, 27, 603},	//603 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {26, 326, 1461, 2, Smoke::mf_static, 92, 604},	//604 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {26, 310, 481, 2, Smoke::mf_static, 375, 605},	//605 QGlobalSpace::operator>(const char*, const QString&)
    {26, 296, 1464, 2, Smoke::mf_static, 27, 606},	//606 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {26, 320, 1467, 2, Smoke::mf_static, 27, 607},	//607 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {26, 320, 1470, 2, Smoke::mf_static, 27, 608},	//608 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {26, 310, 384, 2, Smoke::mf_static, 375, 609},	//609 QGlobalSpace::operator>(const QByteArray&, const char*)
    {26, 291, 122, 2, Smoke::mf_static, 375, 610},	//610 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {26, 326, 1473, 2, Smoke::mf_static, 152, 611},	//611 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {26, 280, 879, 2, Smoke::mf_static, 416, 612},	//612 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {26, 296, 1476, 2, Smoke::mf_static, 27, 613},	//613 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {26, 440, 688, 1, Smoke::mf_static, 0, 614},	//614 QGlobalSpace::qFree(void*)
    {26, 280, 424, 2, Smoke::mf_static, 458, 615},	//615 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {26, 300, 553, 2, Smoke::mf_static, 375, 616},	//616 QGlobalSpace::operator<=(QChar, QChar)
    {26, 296, 1479, 2, Smoke::mf_static, 251, 617},	//617 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {26, 326, 1482, 2, Smoke::mf_static, 74, 618},	//618 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {26, 296, 1485, 2, Smoke::mf_static, 27, 619},	//619 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {26, 454, 125, 1, Smoke::mf_static, 475, 620},	//620 QGlobalSpace::qHash(unsigned int)
    {26, 276, 1488, 2, Smoke::mf_static, 209, 621},	//621 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {26, 269, 1434, 2, Smoke::mf_static, 375, 622},	//622 QGlobalSpace::operator!=(QString::Null, const QString&)
    {26, 502, 19, 1, Smoke::mf_static, 469, 623},	//623 QGlobalSpace::qRound64(double)
    {26, 276, 1491, 2, Smoke::mf_static, 197, 624},	//624 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {26, 310, 918, 2, Smoke::mf_static, 375, 625},	//625 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {26, 296, 1494, 2, Smoke::mf_static, 31, 626},	//626 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {26, 326, 1497, 2, Smoke::mf_static, 152, 627},	//627 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {26, 296, 1500, 2, Smoke::mf_static, 27, 628},	//628 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {26, 326, 1503, 2, Smoke::mf_static, 88, 629},	//629 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {26, 477, 1506, 2, Smoke::mf_static, 482, 630},	//630 QGlobalSpace::qMallocAligned(size_t, size_t)
    {26, 326, 1509, 2, Smoke::mf_static, 152, 631},	//631 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {26, 326, 1512, 2, Smoke::mf_static, 152, 632},	//632 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {26, 269, 693, 2, Smoke::mf_static, 375, 633},	//633 QGlobalSpace::operator!=(const QString&, QString::Null)
    {26, 364, 1515, 3, Smoke::mf_static, 17, 634},	//634 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {26, 364, 1519, 2, Smoke::mf_static, 17, 635},	//635 QGlobalSpace::qCompress(const unsigned char*, int)
    {26, 326, 1522, 2, Smoke::mf_static, 152, 636},	//636 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {26, 276, 1525, 2, Smoke::mf_static, 416, 637},	//637 QGlobalSpace::operator*(int, const QPoint&)
    {26, 296, 1528, 2, Smoke::mf_static, 31, 638},	//638 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {26, 542, 951, 1, Smoke::mf_static, 377, 639},	//639 QGlobalSpace::qstrdup(const char*)
    {26, 326, 1531, 2, Smoke::mf_static, 112, 640},	//640 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {26, 296, 1534, 2, Smoke::mf_static, 27, 641},	//641 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {26, 276, 1537, 2, Smoke::mf_static, 201, 642},	//642 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {26, 326, 1540, 2, Smoke::mf_static, 152, 643},	//643 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {26, 269, 236, 2, Smoke::mf_static, 375, 644},	//644 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {26, 372, 0, 0, Smoke::mf_static, 31, 645},	//645 QGlobalSpace::qDebug()
    {26, 285, 1543, 1, Smoke::mf_static, 416, 646},	//646 QGlobalSpace::operator-(const QPoint&)
    {26, 320, 1545, 2, Smoke::mf_static, 27, 647},	//647 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {26, 373, 1548, 4, Smoke::mf_static, 0, 648},	//648 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {26, 269, 89, 2, Smoke::mf_static, 375, 649},	//649 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {26, 326, 1553, 2, Smoke::mf_static, 64, 650},	//650 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {26, 535, 490, 2, Smoke::mf_static, 467, 651},	//651 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {26, 326, 1556, 2, Smoke::mf_static, 63, 652},	//652 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {26, 326, 1559, 2, Smoke::mf_static, 152, 653},	//653 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {26, 519, 19, 1, Smoke::mf_static, 465, 654},	//654 QGlobalSpace::qTan(double)
    {26, 320, 1562, 2, Smoke::mf_static, 27, 655},	//655 QGlobalSpace::operator>>(QDataStream&, QString&)
    {26, 326, 1565, 2, Smoke::mf_static, 54, 656},	//656 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {26, 305, 133, 2, Smoke::mf_static, 375, 657},	//657 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {26, 326, 1568, 2, Smoke::mf_static, 55, 658},	//658 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {26, 385, 1571, 7, Smoke::mf_static, 0, 659},	//659 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {26, 385, 1579, 4, Smoke::mf_static, 0, 660},	//660 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {26, 385, 1584, 5, Smoke::mf_static, 0, 661},	//661 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {26, 385, 1590, 6, Smoke::mf_static, 0, 662},	//662 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {26, 326, 1597, 2, Smoke::mf_static, 76, 663},	//663 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {26, 276, 424, 2, Smoke::mf_static, 458, 664},	//664 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {26, 421, 652, 5, Smoke::mf_static, 0, 665},	//665 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {26, 421, 210, 3, Smoke::mf_static, 0, 666},	//666 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {26, 421, 214, 4, Smoke::mf_static, 0, 667},	//667 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {26, 296, 1600, 2, Smoke::mf_static, 27, 668},	//668 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {26, 454, 1039, 1, Smoke::mf_static, 475, 669},	//669 QGlobalSpace::qHash(int)
    {26, 285, 517, 2, Smoke::mf_static, 418, 670},	//670 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {26, 291, 918, 2, Smoke::mf_static, 375, 671},	//671 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {26, 296, 1603, 2, Smoke::mf_static, 27, 672},	//672 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {26, 320, 1606, 2, Smoke::mf_static, 251, 673},	//673 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {26, 296, 1609, 2, Smoke::mf_static, 27, 674},	//674 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {26, 320, 1612, 2, Smoke::mf_static, 27, 675},	//675 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {26, 280, 520, 2, Smoke::mf_static, 257, 676},	//676 QGlobalSpace::operator+(const QTransform&, double)
    {26, 296, 1615, 2, Smoke::mf_static, 27, 677},	//677 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {26, 326, 1618, 2, Smoke::mf_static, 89, 678},	//678 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {26, 454, 1621, 1, Smoke::mf_static, 475, 679},	//679 QGlobalSpace::qHash(const QItemSelectionRange&)
    {26, 326, 1623, 2, Smoke::mf_static, 120, 680},	//680 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {26, 483, 499, 2, Smoke::mf_static, 465, 681},	//681 QGlobalSpace::qPow(double, double)
    {26, 305, 708, 2, Smoke::mf_static, 375, 682},	//682 QGlobalSpace::operator==(const QStringRef&, const char*)
    {26, 269, 1091, 2, Smoke::mf_static, 375, 683},	//683 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {26, 320, 1626, 2, Smoke::mf_static, 27, 684},	//684 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {26, 280, 133, 2, Smoke::mf_static, 381, 685},	//685 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {26, 280, 1629, 2, Smoke::mf_static, 436, 686},	//686 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {26, 516, 436, 2, Smoke::mf_static, 375, 687},	//687 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {26, 326, 1632, 2, Smoke::mf_static, 61, 688},	//688 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {26, 276, 1635, 2, Smoke::mf_static, 195, 689},	//689 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {26, 320, 1638, 2, Smoke::mf_static, 27, 690},	//690 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {26, 326, 1641, 2, Smoke::mf_static, 152, 691},	//691 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {26, 326, 1644, 2, Smoke::mf_static, 65, 692},	//692 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {26, 326, 1647, 2, Smoke::mf_static, 72, 693},	//693 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {26, 567, 1650, 2, Smoke::mf_static, 0, 694},	//694 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {26, 326, 1653, 2, Smoke::mf_static, 152, 695},	//695 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {26, 285, 1656, 1, Smoke::mf_static, 458, 696},	//696 QGlobalSpace::operator-(const QVector3D&)
    {26, 326, 1658, 2, Smoke::mf_static, 91, 697},	//697 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {26, 305, 481, 2, Smoke::mf_static, 375, 698},	//698 QGlobalSpace::operator==(const char*, const QString&)
    {26, 326, 1661, 2, Smoke::mf_static, 53, 699},	//699 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {26, 296, 1664, 2, Smoke::mf_static, 31, 700},	//700 QGlobalSpace::operator<<(QDebug, const QRect&)
    {26, 432, 19, 1, Smoke::mf_static, 465, 701},	//701 QGlobalSpace::qFastCos(double)
    {26, 296, 1667, 2, Smoke::mf_static, 27, 702},	//702 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {26, 296, 1670, 2, Smoke::mf_static, 27, 703},	//703 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {26, 320, 1673, 2, Smoke::mf_static, 27, 704},	//704 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {26, 326, 1676, 2, Smoke::mf_static, 152, 705},	//705 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {26, 276, 1679, 2, Smoke::mf_static, 460, 706},	//706 QGlobalSpace::operator*(double, const QVector4D&)
    {26, 289, 1428, 2, Smoke::mf_static, 429, 707},	//707 QGlobalSpace::operator/(const QSize&, double)
    {26, 320, 1682, 2, Smoke::mf_static, 27, 708},	//708 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {26, 320, 1685, 2, Smoke::mf_static, 27, 709},	//709 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {26, 326, 1688, 2, Smoke::mf_static, 69, 710},	//710 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {26, 320, 1691, 2, Smoke::mf_static, 27, 711},	//711 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {26, 305, 1369, 2, Smoke::mf_static, 375, 712},	//712 QGlobalSpace::operator==(bool, QBool)
    {26, 421, 286, 8, Smoke::mf_static, 0, 713},	//713 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {26, 421, 295, 6, Smoke::mf_static, 0, 714},	//714 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {26, 421, 302, 7, Smoke::mf_static, 0, 715},	//715 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 326, 1694, 2, Smoke::mf_static, 122, 716},	//716 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {26, 326, 1697, 2, Smoke::mf_static, 102, 717},	//717 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {26, 326, 1700, 2, Smoke::mf_static, 152, 718},	//718 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {26, 276, 1703, 2, Smoke::mf_static, 195, 719},	//719 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {26, 326, 1706, 2, Smoke::mf_static, 152, 720},	//720 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {26, 326, 1709, 2, Smoke::mf_static, 152, 721},	//721 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {26, 285, 236, 2, Smoke::mf_static, 422, 722},	//722 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {26, 326, 1712, 2, Smoke::mf_static, 95, 723},	//723 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {26, 285, 424, 2, Smoke::mf_static, 458, 724},	//724 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {26, 326, 1715, 2, Smoke::mf_static, 152, 725},	//725 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {26, 320, 1718, 2, Smoke::mf_static, 27, 726},	//726 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {26, 315, 481, 2, Smoke::mf_static, 375, 727},	//727 QGlobalSpace::operator>=(const char*, const QString&)
    {26, 337, 0, 0, Smoke::mf_static, 9, 728},	//728 QGlobalSpace::qAccessibleActionCastHelper()
    {26, 454, 1721, 1, Smoke::mf_static, 475, 729},	//729 QGlobalSpace::qHash(char)
    {26, 296, 1723, 2, Smoke::mf_static, 27, 730},	//730 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {26, 358, 125, 1, Smoke::mf_static, 467, 731},	//731 QGlobalSpace::qBlue(unsigned int)
    {26, 326, 1726, 2, Smoke::mf_static, 152, 732},	//732 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {26, 320, 1729, 2, Smoke::mf_static, 27, 733},	//733 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {26, 269, 517, 2, Smoke::mf_static, 375, 734},	//734 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {26, 326, 1732, 2, Smoke::mf_static, 101, 735},	//735 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {26, 463, 19, 1, Smoke::mf_static, 375, 736},	//736 QGlobalSpace::qIsFinite(double)
    {26, 276, 1735, 2, Smoke::mf_static, 416, 737},	//737 QGlobalSpace::operator*(const QPoint&, int)
    {26, 326, 1738, 2, Smoke::mf_static, 113, 738},	//738 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {26, 285, 69, 2, Smoke::mf_static, 429, 739},	//739 QGlobalSpace::operator-(const QSize&, const QSize&)
    {26, 296, 1741, 2, Smoke::mf_static, 31, 740},	//740 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {26, 504, 0, 0, Smoke::mf_static, 465, 741},	//741 QGlobalSpace::qSNaN()
    {26, 326, 1744, 2, Smoke::mf_static, 92, 742},	//742 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {26, 296, 1747, 2, Smoke::mf_static, 27, 743},	//743 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {26, 447, 361, 1, Smoke::mf_static, 375, 744},	//744 QGlobalSpace::qFuzzyIsNull(float)
    {26, 326, 1750, 2, Smoke::mf_static, 111, 745},	//745 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {26, 326, 1753, 2, Smoke::mf_static, 152, 746},	//746 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {26, 521, 1519, 2, Smoke::mf_static, 17, 747},	//747 QGlobalSpace::qUncompress(const unsigned char*, int)
    {26, 326, 1756, 2, Smoke::mf_static, 111, 748},	//748 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {26, 326, 1759, 2, Smoke::mf_static, 67, 749},	//749 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {26, 326, 1762, 2, Smoke::mf_static, 152, 750},	//750 QGlobalSpace::operator|(Qt::Orientation, int)
    {26, 434, 19, 1, Smoke::mf_static, 465, 751},	//751 QGlobalSpace::qFastSin(double)
    {26, 269, 122, 2, Smoke::mf_static, 375, 752},	//752 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {26, 326, 1765, 2, Smoke::mf_static, 74, 753},	//753 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {26, 296, 1768, 2, Smoke::mf_static, 27, 754},	//754 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {26, 296, 1771, 2, Smoke::mf_static, 31, 755},	//755 QGlobalSpace::operator<<(QDebug, const QDir&)
    {26, 280, 517, 2, Smoke::mf_static, 418, 756},	//756 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {26, 276, 1774, 2, Smoke::mf_static, 209, 757},	//757 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {26, 305, 1383, 2, Smoke::mf_static, 375, 758},	//758 QGlobalSpace::operator==(QBool, bool)
    {26, 305, 66, 2, Smoke::mf_static, 375, 759},	//759 QGlobalSpace::operator==(const QRect&, const QRect&)
    {26, 296, 1777, 2, Smoke::mf_static, 31, 760},	//760 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {26, 276, 1780, 2, Smoke::mf_static, 416, 761},	//761 QGlobalSpace::operator*(float, const QPoint&)
    {26, 556, 586, 2, Smoke::mf_static, 220, 762},	//762 QGlobalSpace::qtTrId(const char*, int)
    {26, 556, 951, 1, Smoke::mf_static, 220, 763},	//763 QGlobalSpace::qtTrId(const char*)
    {26, 320, 1783, 2, Smoke::mf_static, 27, 764},	//764 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {26, 326, 1786, 2, Smoke::mf_static, 77, 765},	//765 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {26, 326, 1789, 2, Smoke::mf_static, 152, 766},	//766 QGlobalSpace::operator|(QTextOption::Flag, int)
    {26, 280, 1792, 2, Smoke::mf_static, 436, 767},	//767 QGlobalSpace::operator+(const QString&, QChar)
    {26, 357, 0, 0, Smoke::mf_static, 0, 768},	//768 QGlobalSpace::qBadAlloc()
    {26, 269, 176, 2, Smoke::mf_static, 375, 769},	//769 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {26, 498, 1795, 4, Smoke::mf_static, 475, 770},	//770 QGlobalSpace::qRgba(int, int, int, int)
    {26, 326, 1800, 2, Smoke::mf_static, 119, 771},	//771 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {26, 326, 1803, 2, Smoke::mf_static, 95, 772},	//772 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {26, 326, 1806, 2, Smoke::mf_static, 79, 773},	//773 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {26, 269, 156, 2, Smoke::mf_static, 375, 774},	//774 QGlobalSpace::operator!=(QBool, QBool)
    {26, 296, 968, 2, Smoke::mf_static, 251, 775},	//775 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {26, 475, 1809, 1, Smoke::mf_static, 482, 776},	//776 QGlobalSpace::qMalloc(size_t)
    {26, 296, 1811, 2, Smoke::mf_static, 31, 777},	//777 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {26, 305, 1144, 2, Smoke::mf_static, 375, 778},	//778 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {26, 285, 520, 2, Smoke::mf_static, 257, 779},	//779 QGlobalSpace::operator-(const QTransform&, double)
    {26, 326, 1814, 2, Smoke::mf_static, 78, 780},	//780 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {26, 296, 1817, 2, Smoke::mf_static, 27, 781},	//781 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {26, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 782},	//782 QGlobalSpace::SP_CustomToolBarAdd (enum)
    {26, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 783},	//783 QGlobalSpace::SP_CustomToolBarAddDetail (enum)
    {26, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 784},	//784 QGlobalSpace::SP_CustomToolBarAgain (enum)
    {26, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 785},	//785 QGlobalSpace::SP_CustomToolBarAgenda (enum)
    {26, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 786},	//786 QGlobalSpace::SP_CustomToolBarAudioOff (enum)
    {26, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 787},	//787 QGlobalSpace::SP_CustomToolBarAudioOn (enum)
    {26, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 788},	//788 QGlobalSpace::SP_CustomToolBarBack (enum)
    {26, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 789},	//789 QGlobalSpace::SP_CustomToolBarBluetoothOff (enum)
    {26, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 790},	//790 QGlobalSpace::SP_CustomToolBarBluetoothOn (enum)
    {26, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 791},	//791 QGlobalSpace::SP_CustomToolBarCancel (enum)
    {26, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 792},	//792 QGlobalSpace::SP_CustomToolBarDelete (enum)
    {26, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 793},	//793 QGlobalSpace::SP_CustomToolBarDone (enum)
    {26, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 794},	//794 QGlobalSpace::SP_CustomToolBarEdit (enum)
    {26, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 795},	//795 QGlobalSpace::SP_CustomToolBarEditDisabled (enum)
    {26, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 796},	//796 QGlobalSpace::SP_CustomToolBarEmailSend (enum)
    {26, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 797},	//797 QGlobalSpace::SP_CustomToolBarEmergencyCall (enum)
    {26, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 798},	//798 QGlobalSpace::SP_CustomToolBarFavouriteAdd (enum)
    {26, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 799},	//799 QGlobalSpace::SP_CustomToolBarFavouriteRemove (enum)
    {26, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 800},	//800 QGlobalSpace::SP_CustomToolBarFavourites (enum)
    {26, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 801},	//801 QGlobalSpace::SP_CustomToolBarGo (enum)
    {26, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 802},	//802 QGlobalSpace::SP_CustomToolBarHome (enum)
    {26, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 803},	//803 QGlobalSpace::SP_CustomToolBarImageTools (enum)
    {26, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 804},	//804 QGlobalSpace::SP_CustomToolBarList (enum)
    {26, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 805},	//805 QGlobalSpace::SP_CustomToolBarLock (enum)
    {26, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 806},	//806 QGlobalSpace::SP_CustomToolBarLogs (enum)
    {26, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 807},	//807 QGlobalSpace::SP_CustomToolBarMenu (enum)
    {26, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 808},	//808 QGlobalSpace::SP_CustomToolBarNewContact (enum)
    {26, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 809},	//809 QGlobalSpace::SP_CustomToolBarNewGroup (enum)
    {26, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 810},	//810 QGlobalSpace::SP_CustomToolBarNextFrame (enum)
    {26, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 811},	//811 QGlobalSpace::SP_CustomToolBarNowPlay (enum)
    {26, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 812},	//812 QGlobalSpace::SP_CustomToolBarOptions (enum)
    {26, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 813},	//813 QGlobalSpace::SP_CustomToolBarOther (enum)
    {26, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 814},	//814 QGlobalSpace::SP_CustomToolBarOvi (enum)
    {26, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 815},	//815 QGlobalSpace::SP_CustomToolBarPreviousFrame (enum)
    {26, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 816},	//816 QGlobalSpace::SP_CustomToolBarRead (enum)
    {26, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 817},	//817 QGlobalSpace::SP_CustomToolBarRedoDisabled (enum)
    {26, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 818},	//818 QGlobalSpace::SP_CustomToolBarRedo (enum)
    {26, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 819},	//819 QGlobalSpace::SP_CustomToolBarRefresh (enum)
    {26, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 820},	//820 QGlobalSpace::SP_CustomToolBarRemoveDetail (enum)
    {26, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 821},	//821 QGlobalSpace::SP_CustomToolBarRemoveDisabled (enum)
    {26, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 822},	//822 QGlobalSpace::SP_CustomToolBarRepeat (enum)
    {26, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 823},	//823 QGlobalSpace::SP_CustomToolBarRepeatOff (enum)
    {26, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 824},	//824 QGlobalSpace::SP_CustomToolBarRepeatOne (enum)
    {26, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 825},	//825 QGlobalSpace::SP_CustomToolBarSearch (enum)
    {26, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 826},	//826 QGlobalSpace::SP_CustomToolBarSearchDisabled (enum)
    {26, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 827},	//827 QGlobalSpace::SP_CustomToolBarSelectContent (enum)
    {26, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 828},	//828 QGlobalSpace::SP_CustomToolBarSelfTimer (enum)
    {26, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 829},	//829 QGlobalSpace::SP_CustomToolBarSend (enum)
    {26, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 830},	//830 QGlobalSpace::SP_CustomToolBarSendDimmed (enum)
    {26, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 831},	//831 QGlobalSpace::SP_CustomToolBarShare (enum)
    {26, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 832},	//832 QGlobalSpace::SP_CustomToolBarShift (enum)
    {26, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 833},	//833 QGlobalSpace::SP_CustomToolBarShuffle (enum)
    {26, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 834},	//834 QGlobalSpace::SP_CustomToolBarShuffleOff (enum)
    {26, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 835},	//835 QGlobalSpace::SP_CustomToolBarSignalOff (enum)
    {26, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 836},	//836 QGlobalSpace::SP_CustomToolBarSignalOn (enum)
    {26, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 837},	//837 QGlobalSpace::SP_CustomToolBarSync (enum)
    {26, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 838},	//838 QGlobalSpace::SP_CustomToolBarTools (enum)
    {26, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 839},	//839 QGlobalSpace::SP_CustomToolBarTrim (enum)
    {26, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 840},	//840 QGlobalSpace::SP_CustomToolBarUnlock (enum)
    {26, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 841},	//841 QGlobalSpace::SP_CustomToolBarUnmark (enum)
    {26, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 842},	//842 QGlobalSpace::SP_CustomToolBarView (enum)
    {26, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 843},	//843 QGlobalSpace::SP_CustomToolBarWlanOff (enum)
    {26, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 844},	//844 QGlobalSpace::SP_CustomToolBarWlanOn (enum)
    {26, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 845},	//845 QGlobalSpace::SP_CustomCameraCaptureButton (enum)
    {26, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 846},	//846 QGlobalSpace::SP_CustomCameraCaptureButtonPressed (enum)
    {26, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 847},	//847 QGlobalSpace::SP_CustomCameraPauseButton (enum)
    {26, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 848},	//848 QGlobalSpace::SP_CustomCameraPauseButtonPressed (enum)
    {26, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 849},	//849 QGlobalSpace::SP_CustomCameraPlayButton (enum)
    {26, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 850},	//850 QGlobalSpace::SP_CustomCameraPlayButtonPressed (enum)
    {26, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 851},	//851 QGlobalSpace::SP_CustomCameraRecButton (enum)
    {26, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 852},	//852 QGlobalSpace::SP_CustomCameraRecButtonPressed (enum)
    {26, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 853},	//853 QGlobalSpace::SP_CustomCameraStopButton (enum)
    {26, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 854},	//854 QGlobalSpace::SP_CustomCameraStopButtonPressed (enum)
    {26, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 855},	//855 QGlobalSpace::SP_CustomTabAll (enum)
    {26, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 856},	//856 QGlobalSpace::SP_CustomTabArtist (enum)
    {26, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 857},	//857 QGlobalSpace::SP_CustomTabFavourite (enum)
    {26, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 858},	//858 QGlobalSpace::SP_CustomTabGenre (enum)
    {26, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 859},	//859 QGlobalSpace::SP_CustomTabLanguage (enum)
    {26, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 860},	//860 QGlobalSpace::SP_CustomTabMusicAlbum (enum)
    {26, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 861},	//861 QGlobalSpace::SP_CustomTabPhotosAlbum (enum)
    {26, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 862},	//862 QGlobalSpace::SP_CustomTabPhotosAll (enum)
    {26, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 863},	//863 QGlobalSpace::SP_CustomTabPlaylist (enum)
    {26, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 864},	//864 QGlobalSpace::SP_CustomTabServices (enum)
    {26, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 865},	//865 QGlobalSpace::SP_CustomTabSongs (enum)
    {26, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 866},	//866 QGlobalSpace::SP_CustomTabVideos (enum)
    {26, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 363, 867},	//867 QGlobalSpace::LicensedOpenGL (enum)
    {26, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 868},	//868 QGlobalSpace::LicensedSvg (enum)
    {26, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 364, 869},	//869 QGlobalSpace::LicensedOpenVG (enum)
    {26, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 367, 870},	//870 QGlobalSpace::LicensedScript (enum)
    {26, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 871},	//871 QGlobalSpace::LicensedQt3SupportLight (enum)
    {26, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 872},	//872 QGlobalSpace::QtDebugMsg (enum)
    {26, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 873},	//873 QGlobalSpace::QtWarningMsg (enum)
    {26, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 874},	//874 QGlobalSpace::QtCriticalMsg (enum)
    {26, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 875},	//875 QGlobalSpace::QtFatalMsg (enum)
    {26, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 876},	//876 QGlobalSpace::QtSystemMsg (enum)
    {26, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 359, 877},	//877 QGlobalSpace::LicensedGui (enum)
    {26, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 878},	//878 QGlobalSpace::LicensedXmlPatterns (enum)
    {26, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 369, 879},	//879 QGlobalSpace::LicensedSql (enum)
    {26, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 880},	//880 QGlobalSpace::LicensedActiveQt (enum)
    {26, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 366, 881},	//881 QGlobalSpace::LicensedQt3Support (enum)
    {26, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 357, 882},	//882 QGlobalSpace::LicensedDBus (enum)
    {26, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 883},	//883 QGlobalSpace::LicensedCore (enum)
    {26, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 362, 884},	//884 QGlobalSpace::LicensedNetwork (enum)
    {26, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 361, 885},	//885 QGlobalSpace::LicensedMultimedia (enum)
    {26, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 886},	//886 QGlobalSpace::LicensedTest (enum)
    {26, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 887},	//887 QGlobalSpace::LicensedScriptTools (enum)
    {26, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 360, 888},	//888 QGlobalSpace::LicensedHelp (enum)
    {26, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 889},	//889 QGlobalSpace::LicensedXml (enum)
    {26, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 358, 890},	//890 QGlobalSpace::LicensedDeclarative (enum)
    {27, 200, 1039, 1, Smoke::mf_virtual, 0, 0},	//891 QGraphicsItem::advance(int)
    {27, 621, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 0},	//892 QGraphicsItem::shape() const
    {27, 212, 735, 1, Smoke::mf_const|Smoke::mf_virtual, 375, 0},	//893 QGraphicsItem::contains(const QPointF&) const
    {27, 209, 1820, 2, Smoke::mf_const|Smoke::mf_virtual, 375, 0},	//894 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {27, 210, 1823, 2, Smoke::mf_const|Smoke::mf_virtual, 375, 0},	//895 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {27, 246, 1826, 1, Smoke::mf_const|Smoke::mf_virtual, 375, 0},	//896 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {27, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 0},	//897 QGraphicsItem::opaqueArea() const
    {27, 592, 1828, 2, Smoke::mf_protected|Smoke::mf_virtual, 375, 0},	//898 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {27, 591, 1831, 1, Smoke::mf_protected|Smoke::mf_virtual, 375, 0},	//899 QGraphicsItem::sceneEvent(QEvent*)
    {27, 213, 1833, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//900 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {27, 220, 1835, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//901 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {27, 221, 1835, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//902 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {27, 222, 1835, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//903 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {27, 223, 1835, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//904 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {27, 233, 1837, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//905 QGraphicsItem::focusInEvent(QFocusEvent*)
    {27, 235, 1837, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//906 QGraphicsItem::focusOutEvent(QFocusEvent*)
    {27, 240, 1839, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//907 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {27, 242, 1839, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//908 QGraphicsItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {27, 241, 1839, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//909 QGraphicsItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {27, 249, 1841, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//910 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {27, 250, 1841, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//911 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {27, 265, 1843, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//912 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {27, 264, 1843, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//913 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {27, 266, 1843, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//914 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {27, 263, 1843, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//915 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {27, 642, 1845, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//916 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {27, 243, 1847, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//917 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {27, 244, 1849, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//918 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {27, 248, 1851, 2, Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//919 QGraphicsItem::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {27, 627, 1854, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 375, 0},	//920 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {27, 601, 1856, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//921 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {27, 231, 1859, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//922 QGraphicsItem::extension(const QVariant&) const
    {27, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 33},	//923 QGraphicsItem::ItemIsMovable (enum)
    {27, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 34},	//924 QGraphicsItem::ItemIsSelectable (enum)
    {27, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 35},	//925 QGraphicsItem::ItemIsFocusable (enum)
    {27, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 36},	//926 QGraphicsItem::ItemClipsToShape (enum)
    {27, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 37},	//927 QGraphicsItem::ItemClipsChildrenToShape (enum)
    {27, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 38},	//928 QGraphicsItem::ItemIgnoresTransformations (enum)
    {27, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 39},	//929 QGraphicsItem::ItemIgnoresParentOpacity (enum)
    {27, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 40},	//930 QGraphicsItem::ItemDoesntPropagateOpacityToChildren (enum)
    {27, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 41},	//931 QGraphicsItem::ItemStacksBehindParent (enum)
    {27, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 42},	//932 QGraphicsItem::ItemUsesExtendedStyleOption (enum)
    {27, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 43},	//933 QGraphicsItem::ItemHasNoContents (enum)
    {27, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 44},	//934 QGraphicsItem::ItemSendsGeometryChanges (enum)
    {27, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 45},	//935 QGraphicsItem::ItemAcceptsInputMethod (enum)
    {27, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 46},	//936 QGraphicsItem::ItemNegativeZStacksBehindParent (enum)
    {27, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 47},	//937 QGraphicsItem::ItemIsPanel (enum)
    {27, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 48},	//938 QGraphicsItem::ItemIsFocusScope (enum)
    {27, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 49},	//939 QGraphicsItem::ItemSendsScenePositionChanges (enum)
    {27, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 50},	//940 QGraphicsItem::ItemStopsClickFocusPropagation (enum)
    {27, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 51},	//941 QGraphicsItem::ItemStopsFocusHandling (enum)
    {27, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 52},	//942 QGraphicsItem::ItemPositionChange (enum)
    {27, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 53},	//943 QGraphicsItem::ItemMatrixChange (enum)
    {27, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 54},	//944 QGraphicsItem::ItemVisibleChange (enum)
    {27, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 55},	//945 QGraphicsItem::ItemEnabledChange (enum)
    {27, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 56},	//946 QGraphicsItem::ItemSelectedChange (enum)
    {27, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 57},	//947 QGraphicsItem::ItemParentChange (enum)
    {27, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 58},	//948 QGraphicsItem::ItemChildAddedChange (enum)
    {27, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 59},	//949 QGraphicsItem::ItemChildRemovedChange (enum)
    {27, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 60},	//950 QGraphicsItem::ItemTransformChange (enum)
    {27, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 61},	//951 QGraphicsItem::ItemPositionHasChanged (enum)
    {27, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 62},	//952 QGraphicsItem::ItemTransformHasChanged (enum)
    {27, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 63},	//953 QGraphicsItem::ItemSceneChange (enum)
    {27, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 64},	//954 QGraphicsItem::ItemVisibleHasChanged (enum)
    {27, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 65},	//955 QGraphicsItem::ItemEnabledHasChanged (enum)
    {27, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 66},	//956 QGraphicsItem::ItemSelectedHasChanged (enum)
    {27, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 67},	//957 QGraphicsItem::ItemParentHasChanged (enum)
    {27, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 68},	//958 QGraphicsItem::ItemSceneHasChanged (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 69},	//959 QGraphicsItem::ItemCursorChange (enum)
    {27, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 70},	//960 QGraphicsItem::ItemCursorHasChanged (enum)
    {27, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 71},	//961 QGraphicsItem::ItemToolTipChange (enum)
    {27, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 72},	//962 QGraphicsItem::ItemToolTipHasChanged (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 73},	//963 QGraphicsItem::ItemFlagsChange (enum)
    {27, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 74},	//964 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {27, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 75},	//965 QGraphicsItem::ItemZValueChange (enum)
    {27, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 76},	//966 QGraphicsItem::ItemZValueHasChanged (enum)
    {27, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 77},	//967 QGraphicsItem::ItemOpacityChange (enum)
    {27, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 78},	//968 QGraphicsItem::ItemOpacityHasChanged (enum)
    {27, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 79},	//969 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {27, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 80},	//970 QGraphicsItem::ItemRotationChange (enum)
    {27, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 81},	//971 QGraphicsItem::ItemRotationHasChanged (enum)
    {27, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 82},	//972 QGraphicsItem::ItemScaleChange (enum)
    {27, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 83},	//973 QGraphicsItem::ItemScaleHasChanged (enum)
    {27, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 84},	//974 QGraphicsItem::ItemTransformOriginPointChange (enum)
    {27, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 85},	//975 QGraphicsItem::ItemTransformOriginPointHasChanged (enum)
    {27, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 86},	//976 QGraphicsItem::Type (enum)
    {27, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 87},	//977 QGraphicsItem::UserType (enum)
    {27, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 88},	//978 QGraphicsItem::UserExtension (enum)
    {34, 259, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 407, 1},	//979 QGraphicsSvgItem::metaObject() const
    {34, 571, 951, 1, Smoke::mf_virtual, 482, 2},	//980 QGraphicsSvgItem::qt_metacast(const char*)
    {34, 631, 1167, 2, Smoke::mf_static, 220, 3},	//981 QGraphicsSvgItem::tr(const char*, const char*)
    {34, 635, 1167, 2, Smoke::mf_static, 220, 4},	//982 QGraphicsSvgItem::trUtf8(const char*, const char*)
    {34, 631, 9, 3, Smoke::mf_static, 220, 5},	//983 QGraphicsSvgItem::tr(const char*, const char*, int)
    {34, 635, 9, 3, Smoke::mf_static, 220, 6},	//984 QGraphicsSvgItem::trUtf8(const char*, const char*, int)
    {34, 569, 1861, 3, Smoke::mf_virtual, 467, 7},	//985 QGraphicsSvgItem::qt_metacall(QMetaObject::Call, int, void**)
    {34, 91, 1865, 1, Smoke::mf_ctor, 143, 8},	//986 QGraphicsSvgItem::QGraphicsSvgItem(QGraphicsItem*)
    {34, 91, 1867, 2, Smoke::mf_ctor, 143, 9},	//987 QGraphicsSvgItem::QGraphicsSvgItem(const QString&, QGraphicsItem*)
    {34, 612, 1870, 1, 0, 0, 10},	//988 QGraphicsSvgItem::setSharedRenderer(QSvgRenderer*)
    {34, 587, 0, 0, Smoke::mf_const, 238, 11},	//989 QGraphicsSvgItem::renderer() const
    {34, 599, 267, 1, Smoke::mf_property, 0, 12},	//990 QGraphicsSvgItem::setElementId(const QString&)
    {34, 226, 0, 0, Smoke::mf_const|Smoke::mf_property, 220, 13},	//991 QGraphicsSvgItem::elementId() const
    {34, 593, 1872, 1, 0, 0, 14},	//992 QGraphicsSvgItem::setCachingEnabled(bool)
    {34, 245, 0, 0, Smoke::mf_const, 375, 15},	//993 QGraphicsSvgItem::isCachingEnabled() const
    {34, 606, 1874, 1, Smoke::mf_property, 0, 16},	//994 QGraphicsSvgItem::setMaximumCacheSize(const QSize&)
    {34, 258, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 17},	//995 QGraphicsSvgItem::maximumCacheSize() const
    {34, 203, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 18},	//996 QGraphicsSvgItem::boundingRect() const
    {34, 330, 1876, 3, Smoke::mf_virtual, 0, 19},	//997 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {34, 639, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 467, 20},	//998 QGraphicsSvgItem::type() const
    {34, 631, 951, 1, Smoke::mf_static, 220, 21},	//999 QGraphicsSvgItem::tr(const char*)
    {34, 635, 951, 1, Smoke::mf_static, 220, 22},	//1000 QGraphicsSvgItem::trUtf8(const char*)
    {34, 91, 0, 0, Smoke::mf_ctor, 143, 23},	//1001 QGraphicsSvgItem::QGraphicsSvgItem()
    {34, 91, 267, 1, Smoke::mf_ctor, 143, 24},	//1002 QGraphicsSvgItem::QGraphicsSvgItem(const QString&)
    {34, 330, 1880, 2, 0, 0, 25},	//1003 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {34, 625, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 406, 26},	//1004 QGraphicsSvgItem::staticMetaObject() const
    {34, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 468, 27},	//1005 QGraphicsSvgItem::Type (enum)
    {34, 645, 0, 0, Smoke::mf_dtor, 0, 28 },	//1006 QGraphicsSvgItem::~QGraphicsSvgItem()
    {57, 229, 1831, 1, Smoke::mf_virtual, 375, 0},	//1007 QObject::event(QEvent*)
    {57, 230, 1883, 2, Smoke::mf_virtual, 375, 0},	//1008 QObject::eventFilter(QObject*, QEvent*)
    {57, 629, 1886, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1009 QObject::timerEvent(QTimerEvent*)
    {57, 207, 1888, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1010 QObject::childEvent(QChildEvent*)
    {57, 215, 1831, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1011 QObject::customEvent(QEvent*)
    {57, 211, 951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1012 QObject::connectNotify(const char*)
    {57, 219, 951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1013 QObject::disconnectNotify(const char*)
    {58, 218, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 467, 0},	//1014 QPaintDevice::devType() const
    {58, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 2},	//1015 QPaintDevice::PdmWidth (enum)
    {58, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 3},	//1016 QPaintDevice::PdmHeight (enum)
    {58, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 4},	//1017 QPaintDevice::PdmWidthMM (enum)
    {58, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 5},	//1018 QPaintDevice::PdmHeightMM (enum)
    {58, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 6},	//1019 QPaintDevice::PdmNumColors (enum)
    {58, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 7},	//1020 QPaintDevice::PdmDepth (enum)
    {58, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 8},	//1021 QPaintDevice::PdmDpiX (enum)
    {58, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 9},	//1022 QPaintDevice::PdmDpiY (enum)
    {58, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 10},	//1023 QPaintDevice::PdmPhysicalDpiX (enum)
    {58, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 11},	//1024 QPaintDevice::PdmPhysicalDpiY (enum)
    {89, 95, 0, 0, Smoke::mf_ctor, 237, 1},	//1025 QSvgGenerator::QSvgGenerator()
    {89, 630, 0, 0, Smoke::mf_const|Smoke::mf_property, 220, 2},	//1026 QSvgGenerator::title() const
    {89, 616, 267, 1, Smoke::mf_property, 0, 3},	//1027 QSvgGenerator::setTitle(const QString&)
    {89, 217, 0, 0, Smoke::mf_const|Smoke::mf_property, 220, 4},	//1028 QSvgGenerator::description() const
    {89, 597, 267, 1, Smoke::mf_property, 0, 5},	//1029 QSvgGenerator::setDescription(const QString&)
    {89, 623, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 6},	//1030 QSvgGenerator::size() const
    {89, 614, 1874, 1, Smoke::mf_property, 0, 7},	//1031 QSvgGenerator::setSize(const QSize&)
    {89, 640, 0, 0, Smoke::mf_const, 204, 8},	//1032 QSvgGenerator::viewBox() const
    {89, 641, 0, 0, Smoke::mf_const|Smoke::mf_property, 206, 9},	//1033 QSvgGenerator::viewBoxF() const
    {89, 618, 1890, 1, 0, 0, 10},	//1034 QSvgGenerator::setViewBox(const QRect&)
    {89, 618, 1892, 1, Smoke::mf_property, 0, 11},	//1035 QSvgGenerator::setViewBox(const QRectF&)
    {89, 232, 0, 0, Smoke::mf_const|Smoke::mf_property, 220, 12},	//1036 QSvgGenerator::fileName() const
    {89, 602, 267, 1, Smoke::mf_property, 0, 13},	//1037 QSvgGenerator::setFileName(const QString&)
    {89, 329, 0, 0, Smoke::mf_const|Smoke::mf_property, 147, 14},	//1038 QSvgGenerator::outputDevice() const
    {89, 608, 1894, 1, Smoke::mf_property, 0, 15},	//1039 QSvgGenerator::setOutputDevice(QIODevice*)
    {89, 610, 1039, 1, Smoke::mf_property, 0, 16},	//1040 QSvgGenerator::setResolution(int)
    {89, 590, 0, 0, Smoke::mf_const|Smoke::mf_property, 467, 17},	//1041 QSvgGenerator::resolution() const
    {89, 333, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 182, 18},	//1042 QSvgGenerator::paintEngine() const
    {89, 260, 1896, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 467, 19},	//1043 QSvgGenerator::metric(QPaintDevice::PaintDeviceMetric) const
    {89, 646, 0, 0, Smoke::mf_dtor, 0, 20 },	//1044 QSvgGenerator::~QSvgGenerator()
    {90, 259, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 407, 1},	//1045 QSvgRenderer::metaObject() const
    {90, 571, 951, 1, Smoke::mf_virtual, 482, 2},	//1046 QSvgRenderer::qt_metacast(const char*)
    {90, 631, 1167, 2, Smoke::mf_static, 220, 3},	//1047 QSvgRenderer::tr(const char*, const char*)
    {90, 635, 1167, 2, Smoke::mf_static, 220, 4},	//1048 QSvgRenderer::trUtf8(const char*, const char*)
    {90, 631, 9, 3, Smoke::mf_static, 220, 5},	//1049 QSvgRenderer::tr(const char*, const char*, int)
    {90, 635, 9, 3, Smoke::mf_static, 220, 6},	//1050 QSvgRenderer::trUtf8(const char*, const char*, int)
    {90, 569, 1861, 3, Smoke::mf_virtual, 467, 7},	//1051 QSvgRenderer::qt_metacall(QMetaObject::Call, int, void**)
    {90, 96, 1898, 1, Smoke::mf_ctor, 238, 8},	//1052 QSvgRenderer::QSvgRenderer(QObject*)
    {90, 96, 1900, 2, Smoke::mf_ctor, 238, 9},	//1053 QSvgRenderer::QSvgRenderer(const QString&, QObject*)
    {90, 96, 1903, 2, Smoke::mf_ctor, 238, 10},	//1054 QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    {90, 96, 1906, 2, Smoke::mf_ctor, 238, 11},	//1055 QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    {90, 247, 0, 0, Smoke::mf_const, 375, 12},	//1056 QSvgRenderer::isValid() const
    {90, 216, 0, 0, Smoke::mf_const, 213, 13},	//1057 QSvgRenderer::defaultSize() const
    {90, 640, 0, 0, Smoke::mf_const, 204, 14},	//1058 QSvgRenderer::viewBox() const
    {90, 641, 0, 0, Smoke::mf_const|Smoke::mf_property, 206, 15},	//1059 QSvgRenderer::viewBoxF() const
    {90, 618, 1890, 1, 0, 0, 16},	//1060 QSvgRenderer::setViewBox(const QRect&)
    {90, 618, 1892, 1, Smoke::mf_property, 0, 17},	//1061 QSvgRenderer::setViewBox(const QRectF&)
    {90, 201, 0, 0, Smoke::mf_const, 375, 18},	//1062 QSvgRenderer::animated() const
    {90, 237, 0, 0, Smoke::mf_const|Smoke::mf_property, 467, 19},	//1063 QSvgRenderer::framesPerSecond() const
    {90, 604, 1039, 1, Smoke::mf_property, 0, 20},	//1064 QSvgRenderer::setFramesPerSecond(int)
    {90, 214, 0, 0, Smoke::mf_const|Smoke::mf_property, 467, 21},	//1065 QSvgRenderer::currentFrame() const
    {90, 595, 1039, 1, Smoke::mf_property, 0, 22},	//1066 QSvgRenderer::setCurrentFrame(int)
    {90, 202, 0, 0, Smoke::mf_const, 467, 23},	//1067 QSvgRenderer::animationDuration() const
    {90, 204, 267, 1, Smoke::mf_const, 206, 24},	//1068 QSvgRenderer::boundsOnElement(const QString&) const
    {90, 224, 267, 1, Smoke::mf_const, 375, 25},	//1069 QSvgRenderer::elementExists(const QString&) const
    {90, 256, 267, 1, Smoke::mf_const, 169, 26},	//1070 QSvgRenderer::matrixForElement(const QString&) const
    {90, 253, 267, 1, Smoke::mf_slot, 375, 27},	//1071 QSvgRenderer::load(const QString&)
    {90, 253, 572, 1, Smoke::mf_slot, 375, 28},	//1072 QSvgRenderer::load(const QByteArray&)
    {90, 253, 1909, 1, Smoke::mf_slot, 375, 29},	//1073 QSvgRenderer::load(QXmlStreamReader*)
    {90, 582, 1911, 1, Smoke::mf_slot, 0, 30},	//1074 QSvgRenderer::render(QPainter*)
    {90, 582, 1913, 2, Smoke::mf_slot, 0, 31},	//1075 QSvgRenderer::render(QPainter*, const QRectF&)
    {90, 582, 1916, 3, Smoke::mf_slot, 0, 32},	//1076 QSvgRenderer::render(QPainter*, const QString&, const QRectF&)
    {90, 588, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1077 QSvgRenderer::repaintNeeded()
    {90, 631, 951, 1, Smoke::mf_static, 220, 34},	//1078 QSvgRenderer::tr(const char*)
    {90, 635, 951, 1, Smoke::mf_static, 220, 35},	//1079 QSvgRenderer::trUtf8(const char*)
    {90, 96, 0, 0, Smoke::mf_ctor, 238, 36},	//1080 QSvgRenderer::QSvgRenderer()
    {90, 96, 267, 1, Smoke::mf_ctor, 238, 37},	//1081 QSvgRenderer::QSvgRenderer(const QString&)
    {90, 96, 572, 1, Smoke::mf_ctor, 238, 38},	//1082 QSvgRenderer::QSvgRenderer(const QByteArray&)
    {90, 96, 1909, 1, Smoke::mf_ctor, 238, 39},	//1083 QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    {90, 582, 1920, 2, Smoke::mf_slot, 0, 40},	//1084 QSvgRenderer::render(QPainter*, const QString&)
    {90, 625, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 406, 41},	//1085 QSvgRenderer::staticMetaObject() const
    {90, 647, 0, 0, Smoke::mf_dtor, 0, 42 },	//1086 QSvgRenderer::~QSvgRenderer()
    {91, 259, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 407, 1},	//1087 QSvgWidget::metaObject() const
    {91, 571, 951, 1, Smoke::mf_virtual, 482, 2},	//1088 QSvgWidget::qt_metacast(const char*)
    {91, 631, 1167, 2, Smoke::mf_static, 220, 3},	//1089 QSvgWidget::tr(const char*, const char*)
    {91, 635, 1167, 2, Smoke::mf_static, 220, 4},	//1090 QSvgWidget::trUtf8(const char*, const char*)
    {91, 631, 9, 3, Smoke::mf_static, 220, 5},	//1091 QSvgWidget::tr(const char*, const char*, int)
    {91, 635, 9, 3, Smoke::mf_static, 220, 6},	//1092 QSvgWidget::trUtf8(const char*, const char*, int)
    {91, 569, 1861, 3, Smoke::mf_virtual, 467, 7},	//1093 QSvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {91, 101, 1923, 1, Smoke::mf_ctor, 239, 8},	//1094 QSvgWidget::QSvgWidget(QWidget*)
    {91, 101, 1925, 2, Smoke::mf_ctor, 239, 9},	//1095 QSvgWidget::QSvgWidget(const QString&, QWidget*)
    {91, 587, 0, 0, Smoke::mf_const, 238, 10},	//1096 QSvgWidget::renderer() const
    {91, 624, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1097 QSvgWidget::sizeHint() const
    {91, 253, 267, 1, Smoke::mf_slot, 0, 12},	//1098 QSvgWidget::load(const QString&)
    {91, 253, 572, 1, Smoke::mf_slot, 0, 13},	//1099 QSvgWidget::load(const QByteArray&)
    {91, 334, 1928, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1100 QSvgWidget::paintEvent(QPaintEvent*)
    {91, 631, 951, 1, Smoke::mf_static, 220, 15},	//1101 QSvgWidget::tr(const char*)
    {91, 635, 951, 1, Smoke::mf_static, 220, 16},	//1102 QSvgWidget::trUtf8(const char*)
    {91, 101, 0, 0, Smoke::mf_ctor, 239, 17},	//1103 QSvgWidget::QSvgWidget()
    {91, 101, 267, 1, Smoke::mf_ctor, 239, 18},	//1104 QSvgWidget::QSvgWidget(const QString&)
    {91, 625, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 406, 19},	//1105 QSvgWidget::staticMetaObject() const
    {91, 648, 0, 0, Smoke::mf_dtor, 0, 20 },	//1106 QSvgWidget::~QSvgWidget()
    {112, 218, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 467, 0},	//1107 QWidget::devType() const
    {112, 620, 1872, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1108 QWidget::setVisible(bool)
    {112, 262, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 213, 0},	//1109 QWidget::minimumSizeHint() const
    {112, 238, 1039, 1, Smoke::mf_const|Smoke::mf_virtual, 467, 0},	//1110 QWidget::heightForWidth(int) const
    {112, 333, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 182, 0},	//1111 QWidget::paintEngine() const
    {112, 229, 1831, 1, Smoke::mf_protected|Smoke::mf_virtual, 375, 0},	//1112 QWidget::event(QEvent*)
    {112, 265, 1930, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1113 QWidget::mousePressEvent(QMouseEvent*)
    {112, 266, 1930, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1114 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 263, 1930, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1115 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 264, 1930, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1116 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 642, 1932, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1117 QWidget::wheelEvent(QWheelEvent*)
    {112, 249, 1841, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1118 QWidget::keyPressEvent(QKeyEvent*)
    {112, 250, 1841, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1119 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 233, 1837, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1120 QWidget::focusInEvent(QFocusEvent*)
    {112, 235, 1837, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1121 QWidget::focusOutEvent(QFocusEvent*)
    {112, 228, 1831, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1122 QWidget::enterEvent(QEvent*)
    {112, 252, 1831, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1123 QWidget::leaveEvent(QEvent*)
    {112, 267, 1934, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1124 QWidget::moveEvent(QMoveEvent*)
    {112, 589, 1936, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1125 QWidget::resizeEvent(QResizeEvent*)
    {112, 208, 1938, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1126 QWidget::closeEvent(QCloseEvent*)
    {112, 213, 1940, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1127 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 628, 1942, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1128 QWidget::tabletEvent(QTabletEvent*)
    {112, 199, 1944, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1129 QWidget::actionEvent(QActionEvent*)
    {112, 220, 1946, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1130 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 222, 1948, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1131 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 221, 1950, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1132 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 223, 1952, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1133 QWidget::dropEvent(QDropEvent*)
    {112, 622, 1954, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1134 QWidget::showEvent(QShowEvent*)
    {112, 239, 1956, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1135 QWidget::hideEvent(QHideEvent*)
    {112, 644, 1958, 1, Smoke::mf_protected|Smoke::mf_virtual, 375, 0},	//1136 QWidget::x11Event(_XEvent*)
    {112, 206, 1831, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1137 QWidget::changeEvent(QEvent*)
    {112, 260, 1896, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 467, 0},	//1138 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 243, 1847, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1139 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 244, 1849, 1, Smoke::mf_const|Smoke::mf_virtual, 264, 0},	//1140 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 234, 1872, 1, Smoke::mf_protected|Smoke::mf_virtual, 375, 0},	//1141 QWidget::focusNextPrevChild(bool)
    {112, 626, 1960, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1142 QWidget::styleChange(QStyle&)
    {112, 227, 1872, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1143 QWidget::enabledChange(bool)
    {112, 336, 1962, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1144 QWidget::paletteChange(const QPalette&)
    {112, 236, 1964, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1145 QWidget::fontChange(const QFont&)
    {112, 643, 1872, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1146 QWidget::windowActivationChange(bool)
    {112, 251, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1147 QWidget::languageChange()
    {112, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 42},	//1148 QWidget::DrawWindowBackground (enum)
    {112, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 43},	//1149 QWidget::DrawChildren (enum)
    {112, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 44},	//1150 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1034,  // QSvgGenerator::setViewBox(const QRect&)
    1035,  // QSvgGenerator::setViewBox(const QRectF&)
    0,
    12,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    24,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    60,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    150,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    193,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    244,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    331,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    335,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    397,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    451,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    469,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    470,  // QGlobalSpace::operator!=(QChar, QChar)
    491,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    579,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    587,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    644,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    649,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    734,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    769,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    774,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    364,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    416,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    449,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    564,  // QGlobalSpace::operator!=(QBool, bool)
    622,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    368,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    417,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    558,  // QGlobalSpace::operator!=(bool, QBool)
    633,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    683,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    752,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    35,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    37,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    88,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    89,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    98,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    140,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    145,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    147,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    203,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    214,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    242,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    259,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    290,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    305,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    317,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    327,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    374,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    439,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    450,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    504,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    563,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    594,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    621,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    624,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    642,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    664,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    689,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    719,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    757,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    7,  // QGlobalSpace::operator*(const QPoint&, double)
    43,  // QGlobalSpace::operator*(const QSizeF&, double)
    61,  // QGlobalSpace::operator*(const QQuaternion&, double)
    190,  // QGlobalSpace::operator*(const QVector2D&, double)
    194,  // QGlobalSpace::operator*(const QVector4D&, double)
    223,  // QGlobalSpace::operator*(const QPointF&, double)
    256,  // QGlobalSpace::operator*(const QVector3D&, double)
    353,  // QGlobalSpace::operator*(const QTransform&, double)
    402,  // QGlobalSpace::operator*(const QPoint&, float)
    412,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    593,  // QGlobalSpace::operator*(const QSize&, double)
    737,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    10,  // QGlobalSpace::operator*(double, const QPointF&)
    14,  // QGlobalSpace::operator*(double, const QSizeF&)
    442,  // QGlobalSpace::operator*(double, const QVector2D&)
    456,  // QGlobalSpace::operator*(double, const QVector3D&)
    472,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    492,  // QGlobalSpace::operator*(double, const QSize&)
    511,  // QGlobalSpace::operator*(double, const QPoint&)
    522,  // QGlobalSpace::operator*(double, const QQuaternion&)
    637,  // QGlobalSpace::operator*(int, const QPoint&)
    706,  // QGlobalSpace::operator*(double, const QVector4D&)
    761,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    25,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    107,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    143,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    171,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    212,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    235,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    612,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    615,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    685,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    756,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    77,  // QGlobalSpace::operator+(QChar, const QString&)
    287,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    523,  // QGlobalSpace::operator+(const QByteArray&, char)
    577,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    676,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    167,  // QGlobalSpace::operator+(char, const QByteArray&)
    429,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    686,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    767,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    154,  // QGlobalSpace::operator+(const QString&, const char*)
    170,  // QGlobalSpace::operator+(const char*, const QString&)
    295,  // QGlobalSpace::operator+(const QString&, char)
    408,  // QGlobalSpace::operator+(const QString&, const QString&)
    466,  // QGlobalSpace::operator+(char, const QString&)
    0,
    55,  // QGlobalSpace::operator-(const QQuaternion&)
    84,  // QGlobalSpace::operator-(const QVector2D&)
    282,  // QGlobalSpace::operator-(const QPointF&)
    391,  // QGlobalSpace::operator-(const QVector4D&)
    440,  // QGlobalSpace::operator-(const QMatrix4x4&)
    646,  // QGlobalSpace::operator-(const QPoint&)
    696,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    31,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    34,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    52,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    253,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    567,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    670,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    722,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    724,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    739,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    168,  // QGlobalSpace::operator/(const QPoint&, double)
    186,  // QGlobalSpace::operator/(const QTransform&, double)
    202,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    255,  // QGlobalSpace::operator/(const QSizeF&, double)
    373,  // QGlobalSpace::operator/(const QVector4D&, double)
    378,  // QGlobalSpace::operator/(const QQuaternion&, double)
    401,  // QGlobalSpace::operator/(const QVector2D&, double)
    467,  // QGlobalSpace::operator/(const QVector3D&, double)
    528,  // QGlobalSpace::operator/(const QPointF&, double)
    707,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    198,  // QGlobalSpace::operator<(QChar, QChar)
    267,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    355,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    671,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    319,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    610,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    9,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    13,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    17,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    19,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    22,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    27,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    29,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    44,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    70,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    71,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    72,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    86,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    87,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    91,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    92,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    106,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    113,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    131,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    137,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    153,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    155,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    157,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    159,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    163,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    182,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    187,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    197,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    204,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    238,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    265,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    285,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    289,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    292,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    306,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    310,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    315,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    334,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    352,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    356,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    365,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    381,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    385,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    389,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    392,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    448,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    453,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    454,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    458,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    464,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    465,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    481,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    488,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    498,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    505,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    514,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    515,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    518,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    520,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    521,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    525,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    534,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    540,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    548,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    556,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    561,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    578,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    581,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    583,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    589,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    596,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    600,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    606,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    613,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    617,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    619,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    626,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    628,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    641,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    672,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    674,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    677,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    700,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    702,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    730,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    740,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    743,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    754,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    755,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    760,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    775,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    777,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    781,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    58,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    156,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    173,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    213,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    361,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    418,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    555,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    638,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    668,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    703,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    433,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    532,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    544,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    616,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    425,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    580,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    41,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    54,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    62,  // QGlobalSpace::operator==(QBool, QBool)
    69,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    149,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    185,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    200,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    229,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    303,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    345,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    398,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    426,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    446,  // QGlobalSpace::operator==(QChar, QChar)
    463,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    475,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    484,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    490,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    557,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    657,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    759,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    778,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    339,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    493,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    595,  // QGlobalSpace::operator==(QString::Null, const QString&)
    601,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    682,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    758,  // QGlobalSpace::operator==(QBool, bool)
    0,
    174,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    240,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    264,  // QGlobalSpace::operator==(const QString&, QString::Null)
    420,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    428,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    585,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    712,  // QGlobalSpace::operator==(bool, QBool)
    0,
    260,  // QGlobalSpace::operator>(QChar, QChar)
    372,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    423,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    625,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    47,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    551,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    53,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    296,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    344,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    530,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    205,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    261,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    18,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    73,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    124,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    129,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    151,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    162,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    169,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    176,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    180,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    181,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    183,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    216,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    221,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    252,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    258,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    271,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    311,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    351,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    366,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    376,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    380,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    388,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    390,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    395,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    404,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    422,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    430,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    434,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    461,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    485,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    487,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    503,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    542,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    552,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    569,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    599,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    603,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    607,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    608,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    647,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    673,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    675,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    684,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    690,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    704,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    708,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    709,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    711,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    726,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    733,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    764,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    445,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    655,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    4,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    6,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    11,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    15,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    16,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    20,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    21,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    28,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    33,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    36,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    40,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    42,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    45,  // QGlobalSpace::operator|(QDir::Filter, int)
    51,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    56,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    57,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    63,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    64,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    65,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    66,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    68,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    75,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    76,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    79,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    85,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    90,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    94,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    97,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    104,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    108,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    112,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    114,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    115,  // QGlobalSpace::operator|(Qt::DropAction, int)
    123,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    127,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    128,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    130,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    132,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    133,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    135,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    136,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    138,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    139,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    142,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    146,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    148,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    152,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    158,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    160,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    161,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    164,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    165,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    166,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    172,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    175,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    184,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    188,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    191,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    192,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    195,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    196,  // QGlobalSpace::operator|(QFile::Permission, int)
    206,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    209,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    210,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    211,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    217,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    218,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    219,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    220,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    222,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    225,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    226,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    236,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    241,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    243,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    248,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    249,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    250,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    251,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    254,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    257,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    263,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    268,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    270,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    279,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    280,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    281,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    284,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    288,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    291,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    293,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    297,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    299,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    309,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    314,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    316,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    318,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    323,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    324,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    326,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    328,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    329,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    332,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    336,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    337,  // QGlobalSpace::operator|(Qt::WindowType, int)
    338,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    349,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    350,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    354,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    357,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    358,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    360,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    362,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    363,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    367,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    369,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    371,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    375,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    377,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    379,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    382,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    384,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    387,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    394,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    403,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    406,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    407,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    409,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    411,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    419,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    421,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    431,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    432,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    435,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    436,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    438,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    441,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    443,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    444,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    447,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    455,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    459,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    462,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    468,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    471,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    474,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    479,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    480,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    482,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    483,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    486,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    489,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    494,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    496,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    497,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    500,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    502,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    507,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    513,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    519,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    524,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    526,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    527,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    531,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    539,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    543,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    546,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    547,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    550,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    554,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    562,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    565,  // QGlobalSpace::operator|(Qt::WindowState, int)
    566,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    582,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    584,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    586,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    588,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    590,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    591,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    597,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    598,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    604,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    611,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    618,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    627,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    629,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    631,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    632,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    636,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    640,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    643,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    650,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    652,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    653,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    656,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    658,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    663,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    678,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    680,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    688,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    691,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    692,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    693,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    695,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    697,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    699,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    705,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    710,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    716,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    717,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    718,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    720,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    721,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    723,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    725,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    732,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    735,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    738,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    742,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    745,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    746,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    748,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    749,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    750,  // QGlobalSpace::operator|(Qt::Orientation, int)
    753,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    765,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    766,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    771,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    772,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    773,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    780,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    39,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    46,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    201,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    477,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    506,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    537,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    571,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    0,
    178,  // QGlobalSpace::qFuzzyCompare(double, double)
    541,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    304,  // QGlobalSpace::qFuzzyIsNull(double)
    744,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    3,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    67,  // QGlobalSpace::qHash(const QStringRef&)
    93,  // QGlobalSpace::qHash(const QBitArray&)
    208,  // QGlobalSpace::qHash(const QByteArray&)
    298,  // QGlobalSpace::qHash(QChar)
    393,  // QGlobalSpace::qHash(const QUrl&)
    495,  // QGlobalSpace::qHash(const QModelIndex&)
    679,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    0,
    32,  // QGlobalSpace::qHash(unsigned char)
    100,  // QGlobalSpace::qHash(const QString&)
    101,  // QGlobalSpace::qHash(unsigned short)
    103,  // QGlobalSpace::qHash(long)
    452,  // QGlobalSpace::qHash(signed char)
    516,  // QGlobalSpace::qHash(short)
    559,  // QGlobalSpace::qHash(unsigned long)
    620,  // QGlobalSpace::qHash(unsigned int)
    669,  // QGlobalSpace::qHash(int)
    729,  // QGlobalSpace::qHash(char)
    0,
    105,  // QGlobalSpace::qHash(long long)
    286,  // QGlobalSpace::qHash(unsigned long long)
    0,
    266,  // QGlobalSpace::qIntCast(float)
    346,  // QGlobalSpace::qIntCast(double)
    0,
    396,  // QGlobalSpace::qIsFinite(float)
    736,  // QGlobalSpace::qIsFinite(double)
    0,
    8,  // QGlobalSpace::qIsInf(double)
    126,  // QGlobalSpace::qIsInf(float)
    0,
    177,  // QGlobalSpace::qIsNaN(float)
    512,  // QGlobalSpace::qIsNaN(double)
    0,
    179,  // QGlobalSpace::qIsNull(float)
    340,  // QGlobalSpace::qIsNull(double)
    0,
    1052,  // QSvgRenderer::QSvgRenderer(QObject*)
    1082,  // QSvgRenderer::QSvgRenderer(const QByteArray&)
    1083,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    0,
    1054,  // QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    1055,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    0,
    1072,  // QSvgRenderer::load(const QByteArray&)
    1073,  // QSvgRenderer::load(QXmlStreamReader*)
    0,
    1060,  // QSvgRenderer::setViewBox(const QRect&)
    1061,  // QSvgRenderer::setViewBox(const QRectF&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 59, 880},	// QGlobalSpace::LicensedActiveQt
    {26, 60, 883},	// QGlobalSpace::LicensedCore
    {26, 61, 882},	// QGlobalSpace::LicensedDBus
    {26, 62, 890},	// QGlobalSpace::LicensedDeclarative
    {26, 63, 877},	// QGlobalSpace::LicensedGui
    {26, 64, 888},	// QGlobalSpace::LicensedHelp
    {26, 65, 885},	// QGlobalSpace::LicensedMultimedia
    {26, 66, 884},	// QGlobalSpace::LicensedNetwork
    {26, 67, 867},	// QGlobalSpace::LicensedOpenGL
    {26, 68, 869},	// QGlobalSpace::LicensedOpenVG
    {26, 69, 881},	// QGlobalSpace::LicensedQt3Support
    {26, 70, 871},	// QGlobalSpace::LicensedQt3SupportLight
    {26, 71, 870},	// QGlobalSpace::LicensedScript
    {26, 72, 887},	// QGlobalSpace::LicensedScriptTools
    {26, 73, 879},	// QGlobalSpace::LicensedSql
    {26, 74, 868},	// QGlobalSpace::LicensedSvg
    {26, 75, 886},	// QGlobalSpace::LicensedTest
    {26, 76, 889},	// QGlobalSpace::LicensedXml
    {26, 77, 878},	// QGlobalSpace::LicensedXmlPatterns
    {26, 105, 874},	// QGlobalSpace::QtCriticalMsg
    {26, 106, 872},	// QGlobalSpace::QtDebugMsg
    {26, 107, 875},	// QGlobalSpace::QtFatalMsg
    {26, 108, 876},	// QGlobalSpace::QtSystemMsg
    {26, 109, 873},	// QGlobalSpace::QtWarningMsg
    {26, 110, 845},	// QGlobalSpace::SP_CustomCameraCaptureButton
    {26, 111, 846},	// QGlobalSpace::SP_CustomCameraCaptureButtonPressed
    {26, 112, 847},	// QGlobalSpace::SP_CustomCameraPauseButton
    {26, 113, 848},	// QGlobalSpace::SP_CustomCameraPauseButtonPressed
    {26, 114, 849},	// QGlobalSpace::SP_CustomCameraPlayButton
    {26, 115, 850},	// QGlobalSpace::SP_CustomCameraPlayButtonPressed
    {26, 116, 851},	// QGlobalSpace::SP_CustomCameraRecButton
    {26, 117, 852},	// QGlobalSpace::SP_CustomCameraRecButtonPressed
    {26, 118, 853},	// QGlobalSpace::SP_CustomCameraStopButton
    {26, 119, 854},	// QGlobalSpace::SP_CustomCameraStopButtonPressed
    {26, 120, 855},	// QGlobalSpace::SP_CustomTabAll
    {26, 121, 856},	// QGlobalSpace::SP_CustomTabArtist
    {26, 122, 857},	// QGlobalSpace::SP_CustomTabFavourite
    {26, 123, 858},	// QGlobalSpace::SP_CustomTabGenre
    {26, 124, 859},	// QGlobalSpace::SP_CustomTabLanguage
    {26, 125, 860},	// QGlobalSpace::SP_CustomTabMusicAlbum
    {26, 126, 861},	// QGlobalSpace::SP_CustomTabPhotosAlbum
    {26, 127, 862},	// QGlobalSpace::SP_CustomTabPhotosAll
    {26, 128, 863},	// QGlobalSpace::SP_CustomTabPlaylist
    {26, 129, 864},	// QGlobalSpace::SP_CustomTabServices
    {26, 130, 865},	// QGlobalSpace::SP_CustomTabSongs
    {26, 131, 866},	// QGlobalSpace::SP_CustomTabVideos
    {26, 132, 782},	// QGlobalSpace::SP_CustomToolBarAdd
    {26, 133, 783},	// QGlobalSpace::SP_CustomToolBarAddDetail
    {26, 134, 784},	// QGlobalSpace::SP_CustomToolBarAgain
    {26, 135, 785},	// QGlobalSpace::SP_CustomToolBarAgenda
    {26, 136, 786},	// QGlobalSpace::SP_CustomToolBarAudioOff
    {26, 137, 787},	// QGlobalSpace::SP_CustomToolBarAudioOn
    {26, 138, 788},	// QGlobalSpace::SP_CustomToolBarBack
    {26, 139, 789},	// QGlobalSpace::SP_CustomToolBarBluetoothOff
    {26, 140, 790},	// QGlobalSpace::SP_CustomToolBarBluetoothOn
    {26, 141, 791},	// QGlobalSpace::SP_CustomToolBarCancel
    {26, 142, 792},	// QGlobalSpace::SP_CustomToolBarDelete
    {26, 143, 793},	// QGlobalSpace::SP_CustomToolBarDone
    {26, 144, 794},	// QGlobalSpace::SP_CustomToolBarEdit
    {26, 145, 795},	// QGlobalSpace::SP_CustomToolBarEditDisabled
    {26, 146, 796},	// QGlobalSpace::SP_CustomToolBarEmailSend
    {26, 147, 797},	// QGlobalSpace::SP_CustomToolBarEmergencyCall
    {26, 148, 798},	// QGlobalSpace::SP_CustomToolBarFavouriteAdd
    {26, 149, 799},	// QGlobalSpace::SP_CustomToolBarFavouriteRemove
    {26, 150, 800},	// QGlobalSpace::SP_CustomToolBarFavourites
    {26, 151, 801},	// QGlobalSpace::SP_CustomToolBarGo
    {26, 152, 802},	// QGlobalSpace::SP_CustomToolBarHome
    {26, 153, 803},	// QGlobalSpace::SP_CustomToolBarImageTools
    {26, 154, 804},	// QGlobalSpace::SP_CustomToolBarList
    {26, 155, 805},	// QGlobalSpace::SP_CustomToolBarLock
    {26, 156, 806},	// QGlobalSpace::SP_CustomToolBarLogs
    {26, 157, 807},	// QGlobalSpace::SP_CustomToolBarMenu
    {26, 158, 808},	// QGlobalSpace::SP_CustomToolBarNewContact
    {26, 159, 809},	// QGlobalSpace::SP_CustomToolBarNewGroup
    {26, 160, 810},	// QGlobalSpace::SP_CustomToolBarNextFrame
    {26, 161, 811},	// QGlobalSpace::SP_CustomToolBarNowPlay
    {26, 162, 812},	// QGlobalSpace::SP_CustomToolBarOptions
    {26, 163, 813},	// QGlobalSpace::SP_CustomToolBarOther
    {26, 164, 814},	// QGlobalSpace::SP_CustomToolBarOvi
    {26, 165, 815},	// QGlobalSpace::SP_CustomToolBarPreviousFrame
    {26, 166, 816},	// QGlobalSpace::SP_CustomToolBarRead
    {26, 167, 818},	// QGlobalSpace::SP_CustomToolBarRedo
    {26, 168, 817},	// QGlobalSpace::SP_CustomToolBarRedoDisabled
    {26, 169, 819},	// QGlobalSpace::SP_CustomToolBarRefresh
    {26, 170, 820},	// QGlobalSpace::SP_CustomToolBarRemoveDetail
    {26, 171, 821},	// QGlobalSpace::SP_CustomToolBarRemoveDisabled
    {26, 172, 822},	// QGlobalSpace::SP_CustomToolBarRepeat
    {26, 173, 823},	// QGlobalSpace::SP_CustomToolBarRepeatOff
    {26, 174, 824},	// QGlobalSpace::SP_CustomToolBarRepeatOne
    {26, 175, 825},	// QGlobalSpace::SP_CustomToolBarSearch
    {26, 176, 826},	// QGlobalSpace::SP_CustomToolBarSearchDisabled
    {26, 177, 827},	// QGlobalSpace::SP_CustomToolBarSelectContent
    {26, 178, 828},	// QGlobalSpace::SP_CustomToolBarSelfTimer
    {26, 179, 829},	// QGlobalSpace::SP_CustomToolBarSend
    {26, 180, 830},	// QGlobalSpace::SP_CustomToolBarSendDimmed
    {26, 181, 831},	// QGlobalSpace::SP_CustomToolBarShare
    {26, 182, 832},	// QGlobalSpace::SP_CustomToolBarShift
    {26, 183, 833},	// QGlobalSpace::SP_CustomToolBarShuffle
    {26, 184, 834},	// QGlobalSpace::SP_CustomToolBarShuffleOff
    {26, 185, 835},	// QGlobalSpace::SP_CustomToolBarSignalOff
    {26, 186, 836},	// QGlobalSpace::SP_CustomToolBarSignalOn
    {26, 187, 837},	// QGlobalSpace::SP_CustomToolBarSync
    {26, 188, 838},	// QGlobalSpace::SP_CustomToolBarTools
    {26, 189, 839},	// QGlobalSpace::SP_CustomToolBarTrim
    {26, 190, 840},	// QGlobalSpace::SP_CustomToolBarUnlock
    {26, 191, 841},	// QGlobalSpace::SP_CustomToolBarUnmark
    {26, 192, 842},	// QGlobalSpace::SP_CustomToolBarView
    {26, 193, 843},	// QGlobalSpace::SP_CustomToolBarWlanOff
    {26, 194, 844},	// QGlobalSpace::SP_CustomToolBarWlanOn
    {26, 270, -4},	// QGlobalSpace::operator!=##
    {26, 271, -25},	// QGlobalSpace::operator!=#$
    {26, 272, -31},	// QGlobalSpace::operator!=$#
    {26, 273, 415},	// QGlobalSpace::operator!=$$
    {26, 275, 1},	// QGlobalSpace::operator&##
    {26, 277, -38},	// QGlobalSpace::operator*##
    {26, 278, -68},	// QGlobalSpace::operator*#$
    {26, 279, -81},	// QGlobalSpace::operator*$#
    {26, 281, -93},	// QGlobalSpace::operator+##
    {26, 282, -104},	// QGlobalSpace::operator+#$
    {26, 283, -110},	// QGlobalSpace::operator+$#
    {26, 284, -115},	// QGlobalSpace::operator+$$
    {26, 286, -121},	// QGlobalSpace::operator-#
    {26, 287, -129},	// QGlobalSpace::operator-##
    {26, 288, 779},	// QGlobalSpace::operator-#$
    {26, 290, -139},	// QGlobalSpace::operator/#$
    {26, 292, -150},	// QGlobalSpace::operator<##
    {26, 293, 134},	// QGlobalSpace::operator<#$
    {26, 294, -155},	// QGlobalSpace::operator<$#
    {26, 295, 414},	// QGlobalSpace::operator<$$
    {26, 297, -158},	// QGlobalSpace::operator<<##
    {26, 298, -251},	// QGlobalSpace::operator<<#$
    {26, 299, 122},	// QGlobalSpace::operator<<#?
    {26, 301, -262},	// QGlobalSpace::operator<=##
    {26, 302, 333},	// QGlobalSpace::operator<=#$
    {26, 303, -267},	// QGlobalSpace::operator<=$#
    {26, 304, 189},	// QGlobalSpace::operator<=$$
    {26, 306, -270},	// QGlobalSpace::operator==##
    {26, 307, -292},	// QGlobalSpace::operator==#$
    {26, 308, -299},	// QGlobalSpace::operator==$#
    {26, 309, 698},	// QGlobalSpace::operator==$$
    {26, 311, -307},	// QGlobalSpace::operator>##
    {26, 312, 609},	// QGlobalSpace::operator>#$
    {26, 313, -312},	// QGlobalSpace::operator>$#
    {26, 314, 605},	// QGlobalSpace::operator>$$
    {26, 316, -315},	// QGlobalSpace::operator>=##
    {26, 317, 510},	// QGlobalSpace::operator>=#$
    {26, 318, -320},	// QGlobalSpace::operator>=$#
    {26, 319, 727},	// QGlobalSpace::operator>=$$
    {26, 321, -323},	// QGlobalSpace::operator>>##
    {26, 322, -375},	// QGlobalSpace::operator>>#$
    {26, 323, 570},	// QGlobalSpace::operator>>#?
    {26, 325, 347},	// QGlobalSpace::operator^##
    {26, 327, 427},	// QGlobalSpace::operator|##
    {26, 328, -378},	// QGlobalSpace::operator|$$
    {26, 337, 728},	// QGlobalSpace::qAccessibleActionCastHelper
    {26, 338, 592},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {26, 339, 383},	// QGlobalSpace::qAccessibleImageCastHelper
    {26, 340, 560},	// QGlobalSpace::qAccessibleTable2CastHelper
    {26, 341, 410},	// QGlobalSpace::qAccessibleTableCastHelper
    {26, 342, 199},	// QGlobalSpace::qAccessibleTextCastHelper
    {26, 343, 499},	// QGlobalSpace::qAccessibleValueCastHelper
    {26, 345, 370},	// QGlobalSpace::qAcos$
    {26, 347, 325},	// QGlobalSpace::qAddPostRoutine$
    {26, 349, 74},	// QGlobalSpace::qAlpha$
    {26, 350, 294},	// QGlobalSpace::qAppName
    {26, 352, 536},	// QGlobalSpace::qAsin$
    {26, 354, 95},	// QGlobalSpace::qAtan$
    {26, 356, 308},	// QGlobalSpace::qAtan2$$
    {26, 357, 768},	// QGlobalSpace::qBadAlloc
    {26, 359, 731},	// QGlobalSpace::qBlue$
    {26, 361, 48},	// QGlobalSpace::qCeil$
    {26, 363, 348},	// QGlobalSpace::qChecksum$$
    {26, 365, 313},	// QGlobalSpace::qCompress#
    {26, 366, 312},	// QGlobalSpace::qCompress#$
    {26, 367, 635},	// QGlobalSpace::qCompress$$
    {26, 368, 634},	// QGlobalSpace::qCompress$$$
    {26, 370, 121},	// QGlobalSpace::qCos$
    {26, 371, 2},	// QGlobalSpace::qCritical
    {26, 372, 645},	// QGlobalSpace::qDebug
    {26, 374, 648},	// QGlobalSpace::qDrawBorderPixmap####
    {26, 375, 342},	// QGlobalSpace::qDrawBorderPixmap######
    {26, 376, 343},	// QGlobalSpace::qDrawBorderPixmap#######
    {26, 377, 341},	// QGlobalSpace::qDrawBorderPixmap#######$
    {26, 379, 321},	// QGlobalSpace::qDrawPlainRect###
    {26, 380, 322},	// QGlobalSpace::qDrawPlainRect###$
    {26, 381, 320},	// QGlobalSpace::qDrawPlainRect###$#
    {26, 382, 301},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {26, 383, 302},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {26, 384, 300},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {26, 386, 660},	// QGlobalSpace::qDrawShadeLine####
    {26, 387, 661},	// QGlobalSpace::qDrawShadeLine####$
    {26, 388, 662},	// QGlobalSpace::qDrawShadeLine####$$
    {26, 389, 659},	// QGlobalSpace::qDrawShadeLine####$$$
    {26, 390, 573},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {26, 391, 574},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {26, 392, 575},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {26, 393, 572},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {26, 395, 81},	// QGlobalSpace::qDrawShadePanel###
    {26, 396, 82},	// QGlobalSpace::qDrawShadePanel###$
    {26, 397, 83},	// QGlobalSpace::qDrawShadePanel###$$
    {26, 398, 80},	// QGlobalSpace::qDrawShadePanel###$$#
    {26, 399, 231},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {26, 400, 232},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {26, 401, 233},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {26, 402, 230},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {26, 404, 275},	// QGlobalSpace::qDrawShadeRect###
    {26, 405, 276},	// QGlobalSpace::qDrawShadeRect###$
    {26, 406, 277},	// QGlobalSpace::qDrawShadeRect###$$
    {26, 407, 278},	// QGlobalSpace::qDrawShadeRect###$$$
    {26, 408, 274},	// QGlobalSpace::qDrawShadeRect###$$$#
    {26, 409, 117},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {26, 410, 118},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {26, 411, 119},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {26, 412, 120},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {26, 413, 116},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {26, 415, 246},	// QGlobalSpace::qDrawWinButton###
    {26, 416, 247},	// QGlobalSpace::qDrawWinButton###$
    {26, 417, 245},	// QGlobalSpace::qDrawWinButton###$#
    {26, 418, 110},	// QGlobalSpace::qDrawWinButton#$$$$#
    {26, 419, 111},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {26, 420, 109},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {26, 422, 666},	// QGlobalSpace::qDrawWinPanel###
    {26, 423, 667},	// QGlobalSpace::qDrawWinPanel###$
    {26, 424, 665},	// QGlobalSpace::qDrawWinPanel###$#
    {26, 425, 714},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {26, 426, 715},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {26, 427, 713},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {26, 429, 330},	// QGlobalSpace::qExp$
    {26, 431, 26},	// QGlobalSpace::qFabs$
    {26, 433, 701},	// QGlobalSpace::qFastCos$
    {26, 435, 751},	// QGlobalSpace::qFastSin$
    {26, 437, 508},	// QGlobalSpace::qFlagLocation$
    {26, 439, 478},	// QGlobalSpace::qFloor$
    {26, 441, 614},	// QGlobalSpace::qFree$
    {26, 443, 262},	// QGlobalSpace::qFreeAligned$
    {26, 445, -610},	// QGlobalSpace::qFuzzyCompare##
    {26, 446, -618},	// QGlobalSpace::qFuzzyCompare$$
    {26, 448, -621},	// QGlobalSpace::qFuzzyIsNull$
    {26, 450, 50},	// QGlobalSpace::qGray$
    {26, 451, 144},	// QGlobalSpace::qGray$$$
    {26, 453, 78},	// QGlobalSpace::qGreen$
    {26, 455, -624},	// QGlobalSpace::qHash#
    {26, 456, -633},	// QGlobalSpace::qHash$
    {26, 457, -644},	// QGlobalSpace::qHash?
    {26, 458, 517},	// QGlobalSpace::qInf
    {26, 460, 237},	// QGlobalSpace::qInstallMsgHandler$
    {26, 462, -647},	// QGlobalSpace::qIntCast$
    {26, 464, -650},	// QGlobalSpace::qIsFinite$
    {26, 466, 437},	// QGlobalSpace::qIsGray$
    {26, 468, -653},	// QGlobalSpace::qIsInf$
    {26, 470, -656},	// QGlobalSpace::qIsNaN$
    {26, 472, -659},	// QGlobalSpace::qIsNull$
    {26, 474, 568},	// QGlobalSpace::qLn$
    {26, 476, 776},	// QGlobalSpace::qMalloc?
    {26, 478, 630},	// QGlobalSpace::qMallocAligned??
    {26, 480, 509},	// QGlobalSpace::qMemCopy$$?
    {26, 482, 307},	// QGlobalSpace::qMemSet$$?
    {26, 484, 681},	// QGlobalSpace::qPow$$
    {26, 485, 30},	// QGlobalSpace::qQNaN
    {26, 487, 405},	// QGlobalSpace::qRealloc$?
    {26, 489, 283},	// QGlobalSpace::qReallocAligned$???
    {26, 491, 59},	// QGlobalSpace::qRed$
    {26, 493, 102},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {26, 495, 501},	// QGlobalSpace::qRemovePostRoutine$
    {26, 497, 476},	// QGlobalSpace::qRgb$$$
    {26, 499, 770},	// QGlobalSpace::qRgba$$$$
    {26, 501, 424},	// QGlobalSpace::qRound$
    {26, 503, 623},	// QGlobalSpace::qRound64$
    {26, 504, 741},	// QGlobalSpace::qSNaN
    {26, 506, 553},	// QGlobalSpace::qSetFieldWidth$
    {26, 508, 227},	// QGlobalSpace::qSetPadChar#
    {26, 510, 533},	// QGlobalSpace::qSetRealNumberPrecision$
    {26, 511, 234},	// QGlobalSpace::qSharedBuild
    {26, 513, 535},	// QGlobalSpace::qSin$
    {26, 515, 457},	// QGlobalSpace::qSqrt$
    {26, 517, 272},	// QGlobalSpace::qStringComparisonHelper#$
    {26, 518, 687},	// QGlobalSpace::qStringComparisonHelper$$
    {26, 520, 654},	// QGlobalSpace::qTan$
    {26, 522, 529},	// QGlobalSpace::qUncompress#
    {26, 523, 747},	// QGlobalSpace::qUncompress$$
    {26, 524, 38},	// QGlobalSpace::qVersion
    {26, 525, 141},	// QGlobalSpace::qWarning
    {26, 527, 96},	// QGlobalSpace::qbswap_helper$$$
    {26, 529, 359},	// QGlobalSpace::qgetenv$
    {26, 531, 269},	// QGlobalSpace::qputenv$#
    {26, 532, 49},	// QGlobalSpace::qrand
    {26, 534, 125},	// QGlobalSpace::qsrand$
    {26, 536, 224},	// QGlobalSpace::qstrcmp##
    {26, 537, 228},	// QGlobalSpace::qstrcmp#$
    {26, 538, 651},	// QGlobalSpace::qstrcmp$#
    {26, 539, 460},	// QGlobalSpace::qstrcmp$$
    {26, 541, 23},	// QGlobalSpace::qstrcpy$$
    {26, 543, 639},	// QGlobalSpace::qstrdup$
    {26, 545, 538},	// QGlobalSpace::qstricmp$$
    {26, 547, 576},	// QGlobalSpace::qstrlen$
    {26, 549, 273},	// QGlobalSpace::qstrncmp$$$
    {26, 551, 386},	// QGlobalSpace::qstrncpy$$$
    {26, 553, 207},	// QGlobalSpace::qstrnicmp$$$
    {26, 555, 473},	// QGlobalSpace::qstrnlen$$
    {26, 557, 763},	// QGlobalSpace::qtTrId$
    {26, 558, 762},	// QGlobalSpace::qtTrId$$
    {26, 560, 5},	// QGlobalSpace::qt_assert$$$
    {26, 562, 413},	// QGlobalSpace::qt_assert_x$$$$
    {26, 564, 215},	// QGlobalSpace::qt_check_pointer$$
    {26, 565, 400},	// QGlobalSpace::qt_error_string
    {26, 566, 399},	// QGlobalSpace::qt_error_string$
    {26, 568, 694},	// QGlobalSpace::qt_message_output$$
    {26, 573, 549},	// QGlobalSpace::qt_noop
    {26, 575, 239},	// QGlobalSpace::qt_qFindChild_helper#$#
    {26, 577, 602},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {26, 579, 99},	// QGlobalSpace::qvariant_cast_helper#$$
    {26, 581, 545},	// QGlobalSpace::qvsnprintf$?$?
    {34, 91, 1001},	// QGraphicsSvgItem::QGraphicsSvgItem
    {34, 92, 986},	// QGraphicsSvgItem::QGraphicsSvgItem#
    {34, 93, 1002},	// QGraphicsSvgItem::QGraphicsSvgItem$
    {34, 94, 987},	// QGraphicsSvgItem::QGraphicsSvgItem$#
    {34, 196, 1005},	// QGraphicsSvgItem::Type
    {34, 203, 996},	// QGraphicsSvgItem::boundingRect
    {34, 226, 991},	// QGraphicsSvgItem::elementId
    {34, 245, 993},	// QGraphicsSvgItem::isCachingEnabled
    {34, 258, 995},	// QGraphicsSvgItem::maximumCacheSize
    {34, 259, 979},	// QGraphicsSvgItem::metaObject
    {34, 331, 1003},	// QGraphicsSvgItem::paint##
    {34, 332, 997},	// QGraphicsSvgItem::paint###
    {34, 570, 985},	// QGraphicsSvgItem::qt_metacall$$?
    {34, 572, 980},	// QGraphicsSvgItem::qt_metacast$
    {34, 587, 989},	// QGraphicsSvgItem::renderer
    {34, 594, 992},	// QGraphicsSvgItem::setCachingEnabled$
    {34, 600, 990},	// QGraphicsSvgItem::setElementId$
    {34, 607, 994},	// QGraphicsSvgItem::setMaximumCacheSize#
    {34, 613, 988},	// QGraphicsSvgItem::setSharedRenderer#
    {34, 625, 1004},	// QGraphicsSvgItem::staticMetaObject
    {34, 632, 999},	// QGraphicsSvgItem::tr$
    {34, 633, 981},	// QGraphicsSvgItem::tr$$
    {34, 634, 983},	// QGraphicsSvgItem::tr$$$
    {34, 636, 1000},	// QGraphicsSvgItem::trUtf8$
    {34, 637, 982},	// QGraphicsSvgItem::trUtf8$$
    {34, 638, 984},	// QGraphicsSvgItem::trUtf8$$$
    {34, 639, 998},	// QGraphicsSvgItem::type
    {34, 645, 1006},	// QGraphicsSvgItem::~QGraphicsSvgItem
    {89, 95, 1025},	// QSvgGenerator::QSvgGenerator
    {89, 217, 1028},	// QSvgGenerator::description
    {89, 232, 1036},	// QSvgGenerator::fileName
    {89, 261, 1043},	// QSvgGenerator::metric$
    {89, 329, 1038},	// QSvgGenerator::outputDevice
    {89, 333, 1042},	// QSvgGenerator::paintEngine
    {89, 590, 1041},	// QSvgGenerator::resolution
    {89, 598, 1029},	// QSvgGenerator::setDescription$
    {89, 603, 1037},	// QSvgGenerator::setFileName$
    {89, 609, 1039},	// QSvgGenerator::setOutputDevice#
    {89, 611, 1040},	// QSvgGenerator::setResolution$
    {89, 615, 1031},	// QSvgGenerator::setSize#
    {89, 617, 1027},	// QSvgGenerator::setTitle$
    {89, 619, -1},	// QSvgGenerator::setViewBox#
    {89, 623, 1030},	// QSvgGenerator::size
    {89, 630, 1026},	// QSvgGenerator::title
    {89, 640, 1032},	// QSvgGenerator::viewBox
    {89, 641, 1033},	// QSvgGenerator::viewBoxF
    {89, 646, 1044},	// QSvgGenerator::~QSvgGenerator
    {90, 96, 1080},	// QSvgRenderer::QSvgRenderer
    {90, 97, -662},	// QSvgRenderer::QSvgRenderer#
    {90, 98, -666},	// QSvgRenderer::QSvgRenderer##
    {90, 99, 1081},	// QSvgRenderer::QSvgRenderer$
    {90, 100, 1053},	// QSvgRenderer::QSvgRenderer$#
    {90, 201, 1062},	// QSvgRenderer::animated
    {90, 202, 1067},	// QSvgRenderer::animationDuration
    {90, 205, 1068},	// QSvgRenderer::boundsOnElement$
    {90, 214, 1065},	// QSvgRenderer::currentFrame
    {90, 216, 1057},	// QSvgRenderer::defaultSize
    {90, 225, 1069},	// QSvgRenderer::elementExists$
    {90, 237, 1063},	// QSvgRenderer::framesPerSecond
    {90, 247, 1056},	// QSvgRenderer::isValid
    {90, 254, -669},	// QSvgRenderer::load#
    {90, 255, 1071},	// QSvgRenderer::load$
    {90, 257, 1070},	// QSvgRenderer::matrixForElement$
    {90, 259, 1045},	// QSvgRenderer::metaObject
    {90, 570, 1051},	// QSvgRenderer::qt_metacall$$?
    {90, 572, 1046},	// QSvgRenderer::qt_metacast$
    {90, 583, 1074},	// QSvgRenderer::render#
    {90, 584, 1075},	// QSvgRenderer::render##
    {90, 585, 1084},	// QSvgRenderer::render#$
    {90, 586, 1076},	// QSvgRenderer::render#$#
    {90, 588, 1077},	// QSvgRenderer::repaintNeeded
    {90, 596, 1066},	// QSvgRenderer::setCurrentFrame$
    {90, 605, 1064},	// QSvgRenderer::setFramesPerSecond$
    {90, 619, -672},	// QSvgRenderer::setViewBox#
    {90, 625, 1085},	// QSvgRenderer::staticMetaObject
    {90, 632, 1078},	// QSvgRenderer::tr$
    {90, 633, 1047},	// QSvgRenderer::tr$$
    {90, 634, 1049},	// QSvgRenderer::tr$$$
    {90, 636, 1079},	// QSvgRenderer::trUtf8$
    {90, 637, 1048},	// QSvgRenderer::trUtf8$$
    {90, 638, 1050},	// QSvgRenderer::trUtf8$$$
    {90, 640, 1058},	// QSvgRenderer::viewBox
    {90, 641, 1059},	// QSvgRenderer::viewBoxF
    {90, 647, 1086},	// QSvgRenderer::~QSvgRenderer
    {91, 101, 1103},	// QSvgWidget::QSvgWidget
    {91, 102, 1094},	// QSvgWidget::QSvgWidget#
    {91, 103, 1104},	// QSvgWidget::QSvgWidget$
    {91, 104, 1095},	// QSvgWidget::QSvgWidget$#
    {91, 254, 1099},	// QSvgWidget::load#
    {91, 255, 1098},	// QSvgWidget::load$
    {91, 259, 1087},	// QSvgWidget::metaObject
    {91, 335, 1100},	// QSvgWidget::paintEvent#
    {91, 570, 1093},	// QSvgWidget::qt_metacall$$?
    {91, 572, 1088},	// QSvgWidget::qt_metacast$
    {91, 587, 1096},	// QSvgWidget::renderer
    {91, 624, 1097},	// QSvgWidget::sizeHint
    {91, 625, 1105},	// QSvgWidget::staticMetaObject
    {91, 632, 1101},	// QSvgWidget::tr$
    {91, 633, 1089},	// QSvgWidget::tr$$
    {91, 634, 1091},	// QSvgWidget::tr$$$
    {91, 636, 1102},	// QSvgWidget::trUtf8$
    {91, 637, 1090},	// QSvgWidget::trUtf8$$
    {91, 638, 1092},	// QSvgWidget::trUtf8$$$
    {91, 648, 1106},	// QSvgWidget::~QSvgWidget
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsvg_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsvg_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsvg_Smoke = new Smoke(
        "qtsvg",
        __smokeqtsvg::classes, 113,
        __smokeqtsvg::methods, 1151,
        __smokeqtsvg::methodMaps, 417,
        __smokeqtsvg::methodNames, 648,
        __smokeqtsvg::types, 484,
        __smokeqtsvg::inheritanceList,
        __smokeqtsvg::argumentList,
        __smokeqtsvg::ambiguousMethodList,
        __smokeqtsvg::cast );
    initialized = true;
}

void delete_qtsvg_Smoke() { delete qtsvg_Smoke; }

}
