#include <qtwebkit_includes.h>

#include <smoke.h>
#include <qtwebkit_smoke.h>

namespace __smokeqtwebkit {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 12: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIcon
      switch(to) {
        case 18: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 19:   //QIncompatibleFlag
      switch(to) {
        case 19: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 20:   //QInputMethodEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 20: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QKeyEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 21: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QMenu
      switch(to) {
        case 22: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 23:   //QMetaObject
      switch(to) {
        case 23: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 24:   //QMouseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 24: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QMoveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 25: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QNetworkAccessManager
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 26: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 27:   //QNetworkReply
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 27: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 28:   //QNetworkRequest
      switch(to) {
        case 28: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 29:   //QObject
      switch(to) {
        case 29: return (void*)(QObject*)xptr;
        case 77: return (void*)(QWebView*)(QObject*)xptr;
        case 54: return (void*)(QWebFrame*)(QObject*)xptr;
        case 60: return (void*)(QWebPage*)(QObject*)xptr;
        case 69: return (void*)(QWebPluginFactory*)(QObject*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
        case 59: return (void*)(QWebInspector*)(QObject*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEngine
      switch(to) {
        case 30: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 31:   //QPaintEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 31: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QPainter
      switch(to) {
        case 32: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 33:   //QPalette
      switch(to) {
        case 33: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 34:   //QPixmap
      switch(to) {
        case 34: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 35:   //QPoint
      switch(to) {
        case 35: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 36:   //QPrinter
      switch(to) {
        case 36: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 37:   //QRect
      switch(to) {
        case 37: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 38:   //QRegExp
      switch(to) {
        case 38: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 39:   //QRegion
      switch(to) {
        case 39: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 40:   //QResizeEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 40: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QShowEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 41: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QSize
      switch(to) {
        case 42: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 43:   //QStyle
      switch(to) {
        case 43: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 44:   //QTabletEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 44: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QTimerEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 45: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QUndoStack
      switch(to) {
        case 46: return (void*)(QUndoStack*)xptr;
        default: return xptr;
      }
    case 47:   //QUrl
      switch(to) {
        case 47: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 48:   //QVariant
      switch(to) {
        case 48: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 49:   //QWebDatabase
      switch(to) {
        case 49: return (void*)(QWebDatabase*)xptr;
        default: return xptr;
      }
    case 50:   //QWebElement
      switch(to) {
        case 50: return (void*)(QWebElement*)xptr;
        default: return xptr;
      }
    case 51:   //QWebElementCollection
      switch(to) {
        case 51: return (void*)(QWebElementCollection*)xptr;
        default: return xptr;
      }
    case 52:   //QWebElementCollection::const_iterator
      switch(to) {
        case 52: return (void*)(QWebElementCollection::const_iterator*)xptr;
        default: return xptr;
      }
    case 53:   //QWebElementCollection::iterator
      switch(to) {
        case 53: return (void*)(QWebElementCollection::iterator*)xptr;
        default: return xptr;
      }
    case 54:   //QWebFrame
      switch(to) {
        case 29: return (void*)(QObject*)(QWebFrame*)xptr;
        case 54: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 55:   //QWebHistory
      switch(to) {
        case 55: return (void*)(QWebHistory*)xptr;
        default: return xptr;
      }
    case 56:   //QWebHistoryInterface
      switch(to) {
        case 29: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)xptr;
        default: return xptr;
      }
    case 57:   //QWebHistoryItem
      switch(to) {
        case 57: return (void*)(QWebHistoryItem*)xptr;
        default: return xptr;
      }
    case 58:   //QWebHitTestResult
      switch(to) {
        case 58: return (void*)(QWebHitTestResult*)xptr;
        default: return xptr;
      }
    case 59:   //QWebInspector
      switch(to) {
        case 79: return (void*)(QWidget*)(QWebInspector*)xptr;
        case 29: return (void*)(QObject*)(QWebInspector*)xptr;
        case 59: return (void*)(QWebInspector*)xptr;
        default: return xptr;
      }
    case 60:   //QWebPage
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPage*)xptr;
        case 60: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 61:   //QWebPage::ChooseMultipleFilesExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        default: return xptr;
      }
    case 62:   //QWebPage::ChooseMultipleFilesExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        default: return xptr;
      }
    case 63:   //QWebPage::ErrorPageExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ErrorPageExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)xptr;
        default: return xptr;
      }
    case 64:   //QWebPage::ErrorPageExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        default: return xptr;
      }
    case 65:   //QWebPage::ExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 66:   //QWebPage::ExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 67:   //QWebPage::ViewportAttributes
      switch(to) {
        case 67: return (void*)(QWebPage::ViewportAttributes*)xptr;
        default: return xptr;
      }
    case 68:   //QWebPagePrivate
      switch(to) {
        case 68: return (void*)(QWebPagePrivate*)xptr;
        default: return xptr;
      }
    case 69:   //QWebPluginFactory
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPluginFactory*)xptr;
        case 69: return (void*)(QWebPluginFactory*)xptr;
        default: return xptr;
      }
    case 70:   //QWebPluginFactory::ExtensionOption
      switch(to) {
        case 70: return (void*)(QWebPluginFactory::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 71:   //QWebPluginFactory::ExtensionReturn
      switch(to) {
        case 71: return (void*)(QWebPluginFactory::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 72:   //QWebPluginFactory::MimeType
      switch(to) {
        case 72: return (void*)(QWebPluginFactory::MimeType*)xptr;
        default: return xptr;
      }
    case 73:   //QWebPluginFactory::Plugin
      switch(to) {
        case 73: return (void*)(QWebPluginFactory::Plugin*)xptr;
        default: return xptr;
      }
    case 74:   //QWebSecurityOrigin
      switch(to) {
        case 74: return (void*)(QWebSecurityOrigin*)xptr;
        default: return xptr;
      }
    case 75:   //QWebSettings
      switch(to) {
        case 75: return (void*)(QWebSettings*)xptr;
        default: return xptr;
      }
    case 76:   //QWebSettingsPrivate
      switch(to) {
        case 76: return (void*)(QWebSettingsPrivate*)xptr;
        default: return xptr;
      }
    case 77:   //QWebView
      switch(to) {
        case 79: return (void*)(QWidget*)(QWebView*)xptr;
        case 29: return (void*)(QObject*)(QWebView*)xptr;
        case 77: return (void*)(QWebView*)xptr;
        default: return xptr;
      }
    case 78:   //QWheelEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 78: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QWidget
      switch(to) {
        case 29: return (void*)(QObject*)(QWidget*)xptr;
        case 79: return (void*)(QWidget*)xptr;
        case 77: return (void*)(QWebView*)(QWidget*)xptr;
        case 59: return (void*)(QWebInspector*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    29, 0,	// 1: QObject
    79, 0,	// 3: QWidget
    65, 0,	// 5: QWebPage::ExtensionOption
    66, 0,	// 7: QWebPage::ExtensionReturn
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebElement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__const_iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebInspector(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__MimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSecurityOrigin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIcon", true, 0, 0, 0, 0, 0 },	//18
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//19
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QMenu", true, 0, 0, 0, 0, 0 },	//22
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//23
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//26
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//27
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//28
    { "QObject", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//30
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QPainter", true, 0, 0, 0, 0, 0 },	//32
    { "QPalette", true, 0, 0, 0, 0, 0 },	//33
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//34
    { "QPoint", true, 0, 0, 0, 0, 0 },	//35
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//36
    { "QRect", true, 0, 0, 0, 0, 0 },	//37
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//38
    { "QRegion", true, 0, 0, 0, 0, 0 },	//39
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QSize", true, 0, 0, 0, 0, 0 },	//42
    { "QStyle", true, 0, 0, 0, 0, 0 },	//43
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QUndoStack", true, 0, 0, 0, 0, 0 },	//46
    { "QUrl", true, 0, 0, 0, 0, 0 },	//47
    { "QVariant", true, 0, 0, 0, 0, 0 },	//48
    { "QWebDatabase", false, 0, xcall_QWebDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebDatabase) },	//49
    { "QWebElement", false, 0, xcall_QWebElement, xenum_QWebElement, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElement) },	//50
    { "QWebElementCollection", false, 0, xcall_QWebElementCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection) },	//51
    { "QWebElementCollection::const_iterator", false, 0, xcall_QWebElementCollection__const_iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::const_iterator) },	//52
    { "QWebElementCollection::iterator", false, 0, xcall_QWebElementCollection__iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::iterator) },	//53
    { "QWebFrame", false, 1, xcall_QWebFrame, xenum_QWebFrame, Smoke::cf_virtual, sizeof(QWebFrame) },	//54
    { "QWebHistory", false, 0, xcall_QWebHistory, 0, 0, sizeof(QWebHistory) },	//55
    { "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebHistoryInterface) },	//56
    { "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHistoryItem) },	//57
    { "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHitTestResult) },	//58
    { "QWebInspector", false, 3, xcall_QWebInspector, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebInspector) },	//59
    { "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPage) },	//60
    { "QWebPage::ChooseMultipleFilesExtensionOption", false, 5, xcall_QWebPage__ChooseMultipleFilesExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionOption) },	//61
    { "QWebPage::ChooseMultipleFilesExtensionReturn", false, 7, xcall_QWebPage__ChooseMultipleFilesExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionReturn) },	//62
    { "QWebPage::ErrorPageExtensionOption", false, 5, xcall_QWebPage__ErrorPageExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionOption) },	//63
    { "QWebPage::ErrorPageExtensionReturn", false, 7, xcall_QWebPage__ErrorPageExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionReturn) },	//64
    { "QWebPage::ExtensionOption", false, 0, xcall_QWebPage__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionOption) },	//65
    { "QWebPage::ExtensionReturn", false, 0, xcall_QWebPage__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionReturn) },	//66
    { "QWebPage::ViewportAttributes", true, 0, 0, 0, 0, 0 },	//67
    { "QWebPagePrivate", true, 0, 0, 0, 0, 0 },	//68
    { "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPluginFactory) },	//69
    { "QWebPluginFactory::ExtensionOption", false, 0, xcall_QWebPluginFactory__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionOption) },	//70
    { "QWebPluginFactory::ExtensionReturn", false, 0, xcall_QWebPluginFactory__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionReturn) },	//71
    { "QWebPluginFactory::MimeType", false, 0, xcall_QWebPluginFactory__MimeType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::MimeType) },	//72
    { "QWebPluginFactory::Plugin", false, 0, xcall_QWebPluginFactory__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::Plugin) },	//73
    { "QWebSecurityOrigin", false, 0, xcall_QWebSecurityOrigin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebSecurityOrigin) },	//74
    { "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0, sizeof(QWebSettings) },	//75
    { "QWebSettingsPrivate", true, 0, 0, 0, 0, 0 },	//76
    { "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebView) },	//77
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QWidget", true, 0, 0, 0, 0, 0 },	//79
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//4
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDateTime", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<QWebPage::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//17
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QIcon", 18, Smoke::t_class|Smoke::tf_stack },	//20
    { "QIncompatibleFlag", 19, Smoke::t_class|Smoke::tf_stack },	//21
    { "QInputMethodEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QKeyEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QList<QWebDatabase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "QList<QWebElement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QList<QWebFrame*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//26
    { "QList<QWebHistoryItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//28
    { "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "QList<QWebSecurityOrigin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//30
    { "QMenu*", 22, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QMetaObject::Call", 23, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QMouseEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QMoveEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "QNetworkAccessManager*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QNetworkAccessManager::Operation", 26, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QNetworkReply*", 27, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QObject*", 29, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QPaintEngine*", 30, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QPaintEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QPainter*", 32, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QPainter::RenderHint", 32, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QPalette", 33, Smoke::t_class|Smoke::tf_stack },	//45
    { "QPixmap", 34, Smoke::t_class|Smoke::tf_stack },	//46
    { "QPoint", 35, Smoke::t_class|Smoke::tf_stack },	//47
    { "QPrinter*", 36, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QRect", 37, Smoke::t_class|Smoke::tf_stack },	//49
    { "QRegExp&", 38, Smoke::t_class|Smoke::tf_ref },	//50
    { "QResizeEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QScriptEngine::ValueOwnership", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "QShowEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QSize", 42, Smoke::t_class|Smoke::tf_stack },	//54
    { "QSsl::AlternateNameEntryType", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "QSsl::EncodingFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "QSsl::KeyAlgorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QSsl::KeyType", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QSsl::SslOption", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QSsl::SslProtocol", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//61
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//62
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//63
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//64
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//65
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//66
    { "QStyle&", 43, Smoke::t_class|Smoke::tf_ref },	//67
    { "QTabletEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QTimerEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QUndoStack*", 46, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QUrl", 47, Smoke::t_class|Smoke::tf_stack },	//71
    { "QUrl&", 47, Smoke::t_class|Smoke::tf_ref },	//72
    { "QVariant", 48, Smoke::t_class|Smoke::tf_stack },	//73
    { "QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref },	//74
    { "QWebDatabase*", 49, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QWebElement", 50, Smoke::t_class|Smoke::tf_stack },	//76
    { "QWebElement&", 50, Smoke::t_class|Smoke::tf_ref },	//77
    { "QWebElement*", 50, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QWebElement::StyleResolveStrategy", 50, Smoke::t_enum|Smoke::tf_stack },	//79
    { "QWebElementCollection", 51, Smoke::t_class|Smoke::tf_stack },	//80
    { "QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref },	//81
    { "QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QWebElementCollection::const_iterator", 52, Smoke::t_class|Smoke::tf_stack },	//83
    { "QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref },	//84
    { "QWebElementCollection::const_iterator*", 52, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QWebElementCollection::iterator", 53, Smoke::t_class|Smoke::tf_stack },	//86
    { "QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref },	//87
    { "QWebElementCollection::iterator*", 53, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QWebFrame*", 54, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QWebFrame::RenderLayer", 54, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QWebHistory*", 55, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QWebHistoryInterface*", 56, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QWebHistoryItem", 57, Smoke::t_class|Smoke::tf_stack },	//93
    { "QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref },	//94
    { "QWebHistoryItem*", 57, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QWebHitTestResult", 58, Smoke::t_class|Smoke::tf_stack },	//96
    { "QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref },	//97
    { "QWebHitTestResult*", 58, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QWebInspector*", 59, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QWebPage*", 60, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QWebPage::ChooseMultipleFilesExtensionOption*", 61, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QWebPage::ChooseMultipleFilesExtensionReturn*", 62, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QWebPage::ErrorDomain", 60, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QWebPage::ErrorPageExtensionOption*", 63, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QWebPage::ErrorPageExtensionReturn*", 64, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QWebPage::Extension", 60, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QWebPage::ExtensionReturn*", 66, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QWebPage::Feature", 60, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QWebPage::FindFlag", 60, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QWebPage::LinkDelegationPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QWebPage::NavigationType", 60, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QWebPage::PermissionPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QWebPage::ViewportAttributes", 67, Smoke::t_class|Smoke::tf_stack },	//114
    { "QWebPage::WebAction", 60, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QWebPage::WebWindowType", 60, Smoke::t_enum|Smoke::tf_stack },	//116
    { "QWebPagePrivate*", 68, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QWebPluginFactory*", 69, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QWebPluginFactory::Extension", 69, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QWebPluginFactory::ExtensionOption*", 70, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QWebPluginFactory::ExtensionReturn*", 71, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QWebPluginFactory::MimeType*", 72, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QWebPluginFactory::Plugin*", 73, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QWebSecurityOrigin", 74, Smoke::t_class|Smoke::tf_stack },	//124
    { "QWebSecurityOrigin&", 74, Smoke::t_class|Smoke::tf_ref },	//125
    { "QWebSecurityOrigin*", 74, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QWebSettings*", 75, Smoke::t_class|Smoke::tf_ptr },	//127
    { "QWebSettings::FontFamily", 75, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QWebSettings::FontSize", 75, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QWebSettings::WebAttribute", 75, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QWebSettings::WebGraphic", 75, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QWebSettingsPrivate*", 76, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QWebView*", 77, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QWheelEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QWidget*", 79, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//209
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QtValidLicenseForActiveQtModule", 16, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QtValidLicenseForCoreModule", 16, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QtValidLicenseForDBusModule", 16, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QtValidLicenseForDeclarativeModule", 16, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QtValidLicenseForGuiModule", 16, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtValidLicenseForHelpModule", 16, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QtValidLicenseForMultimediaModule", 16, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QtValidLicenseForNetworkModule", 16, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QtValidLicenseForOpenGLModule", 16, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QtValidLicenseForOpenVGModule", 16, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QtValidLicenseForQt3SupportLightModule", 16, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QtValidLicenseForQt3SupportModule", 16, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QtValidLicenseForScriptModule", 16, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QtValidLicenseForScriptToolsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QtValidLicenseForSqlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QtValidLicenseForSvgModule", 16, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QtValidLicenseForTestModule", 16, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QtValidLicenseForXmlModule", 16, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtValidLicenseForXmlPatternsModule", 16, Smoke::t_enum|Smoke::tf_stack },	//230
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//231
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//232
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QMetaObject&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QMetaObject*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//237
    { "const QNetworkRequest&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QPalette&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QPixmap&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QPoint&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QRect&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QRegExp&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QRegion&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QSize&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//248
    { "const QUrl&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QVariant&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QWebElement", 50, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//252
    { "const QWebElement&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//255
    { "const QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QWebPage::ChooseMultipleFilesExtensionOption&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QWebPage::ChooseMultipleFilesExtensionReturn&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QWebPage::ErrorPageExtensionOption&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QWebPage::ErrorPageExtensionReturn&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QWebPage::ExtensionOption&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//265
    { "const QWebPage::ExtensionReturn&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QWebPluginFactory::ExtensionOption&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QWebPluginFactory::ExtensionOption*", 70, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//268
    { "const QWebPluginFactory::ExtensionReturn&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QWebPluginFactory::MimeType&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QWebPluginFactory::Plugin&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QWebSecurityOrigin&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//273
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//274
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//275
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//276
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//277
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//278
    { "quint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//279
    { "std::bidirectional_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//280
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//281
    { "std::random_access_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//282
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//283
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//284
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//285
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//286
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    14, 0,	//1  QEvent*
    39, 14, 0,	//3  QObject*, QEvent*
    69, 0,	//6  QTimerEvent*
    5, 0,	//8  QChildEvent*
    273, 0,	//10  const char*
    251, 0,	//12  const QWebDatabase&
    253, 0,	//14  const QWebElement&
    246, 0,	//16  const QString&
    246, 246, 0,	//18  const QString&, const QString&
    246, 246, 246, 0,	//21  const QString&, const QString&, const QString&
    246, 79, 0,	//25  const QString&, QWebElement::StyleResolveStrategy
    43, 0,	//28  QPainter*
    43, 242, 0,	//30  QPainter*, const QRect&
    253, 246, 0,	//33  const QWebElement&, const QString&
    254, 0,	//36  const QWebElementCollection&
    276, 0,	//38  int
    255, 276, 0,	//40  const QWebElementCollection*, int
    256, 0,	//43  const QWebElementCollection::const_iterator&
    83, 0,	//45  QWebElementCollection::const_iterator
    257, 0,	//47  const QWebElementCollection::iterator&
    86, 0,	//49  QWebElementCollection::iterator
    273, 273, 0,	//51  const char*, const char*
    273, 273, 276, 0,	//54  const char*, const char*, int
    32, 276, 285, 0,	//58  QMetaObject::Call, int, void**
    249, 0,	//62  const QUrl&
    238, 37, 233, 0,	//64  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&
    246, 249, 0,	//68  const QString&, const QUrl&
    233, 246, 249, 0,	//71  const QByteArray&, const QString&, const QUrl&
    246, 39, 0,	//75  const QString&, QObject*
    246, 39, 52, 0,	//78  const QString&, QObject*, QScriptEngine::ValueOwnership
    182, 0,	//82  Qt::Orientation
    182, 186, 0,	//84  Qt::Orientation, Qt::ScrollBarPolicy
    182, 276, 0,	//87  Qt::Orientation, int
    276, 276, 0,	//90  int, int
    241, 0,	//93  const QPoint&
    43, 244, 0,	//95  QPainter*, const QRegion&
    43, 90, 244, 0,	//98  QPainter*, QWebFrame::RenderLayer, const QRegion&
    275, 0,	//102  double
    48, 0,	//104  QPrinter*
    245, 0,	//106  const QSize&
    232, 0,	//108  bool
    238, 0,	//110  const QNetworkRequest&
    238, 37, 0,	//112  const QNetworkRequest&, QNetworkAccessManager::Operation
    233, 0,	//115  const QByteArray&
    233, 246, 0,	//117  const QByteArray&, const QString&
    43, 90, 0,	//120  QPainter*, QWebFrame::RenderLayer
    258, 0,	//123  const QWebHistoryItem&
    39, 0,	//125  QObject*
    92, 0,	//127  QWebHistoryInterface*
    250, 0,	//129  const QVariant&
    259, 0,	//131  const QWebHitTestResult&
    135, 0,	//133  QWidget*
    100, 0,	//135  QWebPage*
    51, 0,	//137  QResizeEvent*
    53, 0,	//139  QShowEvent*
    19, 0,	//141  QHideEvent*
    6, 0,	//143  QCloseEvent*
    36, 0,	//145  QNetworkAccessManager*
    118, 0,	//147  QWebPluginFactory*
    115, 0,	//149  QWebPage::WebAction
    115, 232, 0,	//151  QWebPage::WebAction, bool
    242, 0,	//154  const QRect&
    170, 0,	//156  Qt::InputMethodQuery
    246, 16, 0,	//158  const QString&, QFlags<QWebPage::FindFlag>
    111, 0,	//161  QWebPage::LinkDelegationPolicy
    239, 0,	//163  const QPalette&
    7, 0,	//165  QContextMenuEvent*
    89, 109, 113, 0,	//167  QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy
    106, 265, 108, 0,	//171  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*
    106, 0,	//175  QWebPage::Extension
    89, 0,	//177  QWebFrame*
    276, 276, 242, 0,	//179  int, int, const QRect&
    38, 0,	//183  QNetworkReply*
    89, 61, 0,	//185  QWebFrame*, QString
    126, 279, 0,	//188  QWebSecurityOrigin*, quint64
    89, 95, 0,	//191  QWebFrame*, QWebHistoryItem*
    89, 109, 0,	//194  QWebFrame*, QWebPage::Feature
    116, 0,	//197  QWebPage::WebWindowType
    246, 249, 247, 247, 0,	//199  const QString&, const QUrl&, const QStringList&, const QStringList&
    89, 238, 112, 0,	//204  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType
    89, 246, 0,	//208  QWebFrame*, const QString&
    89, 246, 246, 63, 0,	//211  QWebFrame*, const QString&, const QString&, QString*
    246, 276, 246, 0,	//216  const QString&, int, const QString&
    106, 265, 0,	//220  QWebPage::Extension, const QWebPage::ExtensionOption*
    260, 0,	//223  const QWebPage::ChooseMultipleFilesExtensionOption&
    247, 0,	//225  const QStringList&
    261, 0,	//227  const QWebPage::ChooseMultipleFilesExtensionReturn&
    262, 0,	//229  const QWebPage::ErrorPageExtensionOption&
    103, 0,	//231  QWebPage::ErrorDomain
    263, 0,	//233  const QWebPage::ErrorPageExtensionReturn&
    264, 0,	//235  const QWebPage::ExtensionOption&
    266, 0,	//237  const QWebPage::ExtensionReturn&
    119, 268, 121, 0,	//239  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*
    119, 0,	//243  QWebPluginFactory::Extension
    119, 268, 0,	//245  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*
    267, 0,	//248  const QWebPluginFactory::ExtensionOption&
    269, 0,	//250  const QWebPluginFactory::ExtensionReturn&
    270, 0,	//252  const QWebPluginFactory::MimeType&
    271, 0,	//254  const QWebPluginFactory::Plugin&
    235, 0,	//256  const QList<QWebPluginFactory::MimeType>&
    278, 0,	//258  long long
    272, 0,	//260  const QWebSecurityOrigin&
    128, 246, 0,	//262  QWebSettings::FontFamily, const QString&
    128, 0,	//265  QWebSettings::FontFamily
    129, 276, 0,	//267  QWebSettings::FontSize, int
    129, 0,	//270  QWebSettings::FontSize
    130, 232, 0,	//272  QWebSettings::WebAttribute, bool
    130, 0,	//275  QWebSettings::WebAttribute
    131, 240, 0,	//277  QWebSettings::WebGraphic, const QPixmap&
    131, 0,	//280  QWebSettings::WebGraphic
    276, 276, 276, 0,	//282  int, int, int
    15, 0,	//286  QFlags<QPainter::RenderHint>
    44, 232, 0,	//288  QPainter::RenderHint, bool
    42, 0,	//291  QPaintEvent*
    33, 0,	//293  QMouseEvent*
    134, 0,	//295  QWheelEvent*
    23, 0,	//297  QKeyEvent*
    9, 0,	//299  QDragEnterEvent*
    10, 0,	//301  QDragLeaveEvent*
    11, 0,	//303  QDragMoveEvent*
    13, 0,	//305  QDropEvent*
    18, 0,	//307  QFocusEvent*
    22, 0,	//309  QInputMethodEvent*
    44, 0,	//311  QPainter::RenderHint
    34, 0,	//313  QMoveEvent*
    68, 0,	//315  QTabletEvent*
    2, 0,	//317  QActionEvent*
    231, 0,	//319  _XEvent*
    40, 0,	//321  QPaintDevice::PaintDeviceMetric
    67, 0,	//323  QStyle&
    234, 0,	//325  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceleratedCompositingEnabled",	//1
    "AlignCenter",	//2
    "AlignJustified",	//3
    "AlignLeft",	//4
    "AlignRight",	//5
    "AllLayers",	//6
    "AutoLoadImages",	//7
    "Back",	//8
    "CascadedStyle",	//9
    "ChooseMultipleFilesExtension",	//10
    "ChooseMultipleFilesExtensionOption",	//11
    "ChooseMultipleFilesExtensionOption#",	//12
    "ChooseMultipleFilesExtensionReturn",	//13
    "ChooseMultipleFilesExtensionReturn#",	//14
    "ComputedStyle",	//15
    "ContentsLayer",	//16
    "Copy",	//17
    "CopyImageToClipboard",	//18
    "CopyImageUrlToClipboard",	//19
    "CopyLinkToClipboard",	//20
    "CursiveFont",	//21
    "Cut",	//22
    "DefaultFixedFontSize",	//23
    "DefaultFontSize",	//24
    "DefaultFrameIconGraphic",	//25
    "DelegateAllLinks",	//26
    "DelegateExternalLinks",	//27
    "DeleteButtonGraphic",	//28
    "DeleteEndOfWord",	//29
    "DeleteStartOfWord",	//30
    "DeveloperExtrasEnabled",	//31
    "DnsPrefetchEnabled",	//32
    "DontDelegateLinks",	//33
    "DownloadImageToDisk",	//34
    "DownloadLinkToDisk",	//35
    "DrawChildren",	//36
    "DrawWindowBackground",	//37
    "ErrorPageExtension",	//38
    "ErrorPageExtensionOption",	//39
    "ErrorPageExtensionOption#",	//40
    "ErrorPageExtensionReturn",	//41
    "ErrorPageExtensionReturn#",	//42
    "ExtensionOption",	//43
    "ExtensionOption#",	//44
    "ExtensionReturn",	//45
    "ExtensionReturn#",	//46
    "FantasyFont",	//47
    "FindBackward",	//48
    "FindCaseSensitively",	//49
    "FindWrapsAroundDocument",	//50
    "FixedFont",	//51
    "Forward",	//52
    "FrameFlatteningEnabled",	//53
    "Geolocation",	//54
    "HighlightAllOccurrences",	//55
    "Http",	//56
    "HyperlinkAuditingEnabled",	//57
    "IgnoreMask",	//58
    "Indent",	//59
    "InlineStyle",	//60
    "InputSpeechButtonGraphic",	//61
    "InsertLineSeparator",	//62
    "InsertOrderedList",	//63
    "InsertParagraphSeparator",	//64
    "InsertUnorderedList",	//65
    "InspectElement",	//66
    "JavaEnabled",	//67
    "JavascriptCanAccessClipboard",	//68
    "JavascriptCanCloseWindows",	//69
    "JavascriptCanOpenWindows",	//70
    "JavascriptEnabled",	//71
    "LicensedActiveQt",	//72
    "LicensedCore",	//73
    "LicensedDBus",	//74
    "LicensedDeclarative",	//75
    "LicensedGui",	//76
    "LicensedHelp",	//77
    "LicensedMultimedia",	//78
    "LicensedNetwork",	//79
    "LicensedOpenGL",	//80
    "LicensedOpenVG",	//81
    "LicensedQt3Support",	//82
    "LicensedQt3SupportLight",	//83
    "LicensedScript",	//84
    "LicensedScriptTools",	//85
    "LicensedSql",	//86
    "LicensedSvg",	//87
    "LicensedTest",	//88
    "LicensedXml",	//89
    "LicensedXmlPatterns",	//90
    "LinksIncludedInFocusChain",	//91
    "LocalContentCanAccessFileUrls",	//92
    "LocalContentCanAccessRemoteUrls",	//93
    "LocalStorageDatabaseEnabled",	//94
    "LocalStorageEnabled",	//95
    "MimeType",	//96
    "MimeType#",	//97
    "MinimumFontSize",	//98
    "MinimumLogicalFontSize",	//99
    "MissingImageGraphic",	//100
    "MissingPluginGraphic",	//101
    "MoveToEndOfBlock",	//102
    "MoveToEndOfDocument",	//103
    "MoveToEndOfLine",	//104
    "MoveToNextChar",	//105
    "MoveToNextLine",	//106
    "MoveToNextWord",	//107
    "MoveToPreviousChar",	//108
    "MoveToPreviousLine",	//109
    "MoveToPreviousWord",	//110
    "MoveToStartOfBlock",	//111
    "MoveToStartOfDocument",	//112
    "MoveToStartOfLine",	//113
    "NavigationTypeBackOrForward",	//114
    "NavigationTypeFormResubmitted",	//115
    "NavigationTypeFormSubmitted",	//116
    "NavigationTypeLinkClicked",	//117
    "NavigationTypeOther",	//118
    "NavigationTypeReload",	//119
    "NoWebAction",	//120
    "Notifications",	//121
    "OfflineStorageDatabaseEnabled",	//122
    "OfflineWebApplicationCacheEnabled",	//123
    "OpenFrameInNewWindow",	//124
    "OpenImageInNewWindow",	//125
    "OpenLink",	//126
    "OpenLinkInNewWindow",	//127
    "Outdent",	//128
    "PanIconLayer",	//129
    "Paste",	//130
    "PasteAndMatchStyle",	//131
    "PermissionDeniedByUser",	//132
    "PermissionGrantedByUser",	//133
    "PermissionUnknown",	//134
    "Plugin",	//135
    "Plugin#",	//136
    "PluginsEnabled",	//137
    "PrintElementBackgrounds",	//138
    "PrivateBrowsingEnabled",	//139
    "QWebDatabase",	//140
    "QWebDatabase#",	//141
    "QWebElement",	//142
    "QWebElement#",	//143
    "QWebElementCollection",	//144
    "QWebElementCollection#",	//145
    "QWebElementCollection#$",	//146
    "QWebHistoryInterface",	//147
    "QWebHistoryInterface#",	//148
    "QWebHistoryItem",	//149
    "QWebHistoryItem#",	//150
    "QWebHitTestResult",	//151
    "QWebHitTestResult#",	//152
    "QWebInspector",	//153
    "QWebInspector#",	//154
    "QWebPage",	//155
    "QWebPage#",	//156
    "QWebPluginFactory",	//157
    "QWebPluginFactory#",	//158
    "QWebSecurityOrigin",	//159
    "QWebSecurityOrigin#",	//160
    "QWebView",	//161
    "QWebView#",	//162
    "Q_COMPLEX_TYPE",	//163
    "Q_DUMMY_TYPE",	//164
    "Q_MOVABLE_TYPE",	//165
    "Q_PRIMITIVE_TYPE",	//166
    "Q_STATIC_TYPE",	//167
    "QtCriticalMsg",	//168
    "QtDebugMsg",	//169
    "QtFatalMsg",	//170
    "QtNetwork",	//171
    "QtSystemMsg",	//172
    "QtWarningMsg",	//173
    "Redo",	//174
    "Reload",	//175
    "ReloadAndBypassCache",	//176
    "RemoveFormat",	//177
    "SansSerifFont",	//178
    "ScrollBarLayer",	//179
    "SearchCancelButtonGraphic",	//180
    "SearchCancelButtonPressedGraphic",	//181
    "SelectAll",	//182
    "SelectEndOfBlock",	//183
    "SelectEndOfDocument",	//184
    "SelectEndOfLine",	//185
    "SelectNextChar",	//186
    "SelectNextLine",	//187
    "SelectNextWord",	//188
    "SelectPreviousChar",	//189
    "SelectPreviousLine",	//190
    "SelectPreviousWord",	//191
    "SelectStartOfBlock",	//192
    "SelectStartOfDocument",	//193
    "SelectStartOfLine",	//194
    "SerifFont",	//195
    "SetTextDirectionDefault",	//196
    "SetTextDirectionLeftToRight",	//197
    "SetTextDirectionRightToLeft",	//198
    "SiteSpecificQuirksEnabled",	//199
    "SpatialNavigationEnabled",	//200
    "StandardFont",	//201
    "Stop",	//202
    "StopScheduledPageRefresh",	//203
    "TextAreaSizeGripCornerGraphic",	//204
    "TiledBackingStoreEnabled",	//205
    "ToggleBold",	//206
    "ToggleItalic",	//207
    "ToggleStrikethrough",	//208
    "ToggleSubscript",	//209
    "ToggleSuperscript",	//210
    "ToggleUnderline",	//211
    "Undo",	//212
    "WebActionCount",	//213
    "WebBrowserWindow",	//214
    "WebGLEnabled",	//215
    "WebKit",	//216
    "WebModalDialog",	//217
    "XSSAuditingEnabled",	//218
    "ZoomTextOnly",	//219
    "acceptNavigationRequest",	//220
    "acceptNavigationRequest##$",	//221
    "action",	//222
    "action$",	//223
    "actionEvent",	//224
    "addClass",	//225
    "addClass$",	//226
    "addHistoryEntry",	//227
    "addHistoryEntry$",	//228
    "addLocalScheme",	//229
    "addLocalScheme$",	//230
    "addToJavaScriptWindowObject",	//231
    "addToJavaScriptWindowObject$#",	//232
    "addToJavaScriptWindowObject$#$",	//233
    "allOrigins",	//234
    "alternateText",	//235
    "append",	//236
    "append#",	//237
    "appendInside",	//238
    "appendInside#",	//239
    "appendInside$",	//240
    "appendOutside",	//241
    "appendOutside#",	//242
    "appendOutside$",	//243
    "applicationCacheQuotaExceeded",	//244
    "applicationCacheQuotaExceeded#?",	//245
    "at",	//246
    "at$",	//247
    "attribute",	//248
    "attribute$",	//249
    "attribute$$",	//250
    "attributeNS",	//251
    "attributeNS$$",	//252
    "attributeNS$$$",	//253
    "attributeNames",	//254
    "attributeNames$",	//255
    "back",	//256
    "backItem",	//257
    "backItems",	//258
    "backItems$",	//259
    "baseUrl",	//260
    "begin",	//261
    "boundingRect",	//262
    "bytesReceived",	//263
    "canGoBack",	//264
    "canGoForward",	//265
    "changeEvent",	//266
    "changeEvent#",	//267
    "childEvent",	//268
    "childFrames",	//269
    "chooseFile",	//270
    "chooseFile#$",	//271
    "classes",	//272
    "clear",	//273
    "clearIconDatabase",	//274
    "clearMemoryCaches",	//275
    "clone",	//276
    "closeEvent",	//277
    "closeEvent#",	//278
    "connectNotify",	//279
    "constBegin",	//280
    "constEnd",	//281
    "const_iterator",	//282
    "const_iterator#",	//283
    "const_iterator#$",	//284
    "content",	//285
    "contentType",	//286
    "contentsChanged",	//287
    "contentsSize",	//288
    "contentsSizeChanged",	//289
    "contentsSizeChanged#",	//290
    "contextMenuEvent",	//291
    "contextMenuEvent#",	//292
    "count",	//293
    "create",	//294
    "create$#??",	//295
    "createPlugin",	//296
    "createPlugin$#??",	//297
    "createStandardContextMenu",	//298
    "createWindow",	//299
    "createWindow$",	//300
    "currentFrame",	//301
    "currentItem",	//302
    "currentItemIndex",	//303
    "customEvent",	//304
    "databaseQuota",	//305
    "databaseQuotaExceeded",	//306
    "databaseQuotaExceeded#$",	//307
    "databaseUsage",	//308
    "databases",	//309
    "defaultInterface",	//310
    "defaultTextEncoding",	//311
    "description",	//312
    "devType",	//313
    "disconnectNotify",	//314
    "displayName",	//315
    "document",	//316
    "documentElement",	//317
    "domain",	//318
    "downloadRequested",	//319
    "downloadRequested#",	//320
    "dragEnterEvent",	//321
    "dragEnterEvent#",	//322
    "dragLeaveEvent",	//323
    "dragLeaveEvent#",	//324
    "dragMoveEvent",	//325
    "dragMoveEvent#",	//326
    "dropEvent",	//327
    "dropEvent#",	//328
    "element",	//329
    "enablePersistentStorage",	//330
    "enablePersistentStorage$",	//331
    "enabledChange",	//332
    "encloseContentsWith",	//333
    "encloseContentsWith#",	//334
    "encloseContentsWith$",	//335
    "encloseWith",	//336
    "encloseWith#",	//337
    "encloseWith$",	//338
    "enclosingBlockElement",	//339
    "encoding",	//340
    "end",	//341
    "enterEvent",	//342
    "error",	//343
    "errorString",	//344
    "evaluateJavaScript",	//345
    "evaluateJavaScript$",	//346
    "event",	//347
    "event#",	//348
    "eventFilter",	//349
    "expectedSize",	//350
    "extension",	//351
    "extension$",	//352
    "extension$#",	//353
    "extension$##",	//354
    "featurePermissionRequestCanceled",	//355
    "featurePermissionRequestCanceled#$",	//356
    "featurePermissionRequested",	//357
    "featurePermissionRequested#$",	//358
    "fileExtensions",	//359
    "fileName",	//360
    "fileNames",	//361
    "findAll",	//362
    "findAll$",	//363
    "findAllElements",	//364
    "findAllElements$",	//365
    "findFirst",	//366
    "findFirst$",	//367
    "findFirstElement",	//368
    "findFirstElement$",	//369
    "findText",	//370
    "findText$",	//371
    "findText$$",	//372
    "first",	//373
    "firstChild",	//374
    "focusInEvent",	//375
    "focusInEvent#",	//376
    "focusNextPrevChild",	//377
    "focusNextPrevChild$",	//378
    "focusOutEvent",	//379
    "focusOutEvent#",	//380
    "fontChange",	//381
    "fontFamily",	//382
    "fontFamily$",	//383
    "fontSize",	//384
    "fontSize$",	//385
    "forward",	//386
    "forwardItem",	//387
    "forwardItems",	//388
    "forwardItems$",	//389
    "forwardUnsupportedContent",	//390
    "frame",	//391
    "frameAt",	//392
    "frameAt#",	//393
    "frameCreated",	//394
    "frameCreated#",	//395
    "frameName",	//396
    "geometry",	//397
    "geometryChangeRequested",	//398
    "geometryChangeRequested#",	//399
    "globalSettings",	//400
    "goToItem",	//401
    "goToItem#",	//402
    "handle",	//403
    "hasAttribute",	//404
    "hasAttribute$",	//405
    "hasAttributeNS",	//406
    "hasAttributeNS$$",	//407
    "hasAttributes",	//408
    "hasClass",	//409
    "hasClass$",	//410
    "hasFocus",	//411
    "hasSelection",	//412
    "heightForWidth",	//413
    "hideEvent",	//414
    "hideEvent#",	//415
    "history",	//416
    "historyContains",	//417
    "historyContains$",	//418
    "hitTestContent",	//419
    "hitTestContent#",	//420
    "host",	//421
    "icon",	//422
    "iconChanged",	//423
    "iconDatabasePath",	//424
    "iconForUrl",	//425
    "iconForUrl#",	//426
    "imageUrl",	//427
    "initialLayoutCompleted",	//428
    "inputMethodEvent",	//429
    "inputMethodEvent#",	//430
    "inputMethodQuery",	//431
    "inputMethodQuery$",	//432
    "isContentEditable",	//433
    "isContentSelected",	//434
    "isModified",	//435
    "isNull",	//436
    "isValid",	//437
    "itemAt",	//438
    "itemAt$",	//439
    "items",	//440
    "iterator",	//441
    "iterator#",	//442
    "iterator#$",	//443
    "javaScriptAlert",	//444
    "javaScriptAlert#$",	//445
    "javaScriptConfirm",	//446
    "javaScriptConfirm#$",	//447
    "javaScriptConsoleMessage",	//448
    "javaScriptConsoleMessage$$$",	//449
    "javaScriptPrompt",	//450
    "javaScriptPrompt#$$$",	//451
    "javaScriptWindowObjectCleared",	//452
    "keyPressEvent",	//453
    "keyPressEvent#",	//454
    "keyReleaseEvent",	//455
    "keyReleaseEvent#",	//456
    "languageChange",	//457
    "last",	//458
    "lastChild",	//459
    "lastVisited",	//460
    "leaveEvent",	//461
    "linkClicked",	//462
    "linkClicked#",	//463
    "linkDelegationPolicy",	//464
    "linkElement",	//465
    "linkHovered",	//466
    "linkHovered$$$",	//467
    "linkTargetFrame",	//468
    "linkText",	//469
    "linkTitle",	//470
    "linkUrl",	//471
    "load",	//472
    "load#",	//473
    "load#$",	//474
    "load#$#",	//475
    "loadFinished",	//476
    "loadFinished$",	//477
    "loadProgress",	//478
    "loadProgress$",	//479
    "loadStarted",	//480
    "localName",	//481
    "localSchemes",	//482
    "localStoragePath",	//483
    "mainFrame",	//484
    "maximumItemCount",	//485
    "maximumPagesInCache",	//486
    "menuBarVisibilityChangeRequested",	//487
    "menuBarVisibilityChangeRequested$",	//488
    "metaData",	//489
    "metaObject",	//490
    "metric",	//491
    "microFocusChanged",	//492
    "mimeTypes",	//493
    "minimumSizeHint",	//494
    "mouseDoubleClickEvent",	//495
    "mouseDoubleClickEvent#",	//496
    "mouseMoveEvent",	//497
    "mouseMoveEvent#",	//498
    "mousePressEvent",	//499
    "mousePressEvent#",	//500
    "mouseReleaseEvent",	//501
    "mouseReleaseEvent#",	//502
    "moveEvent",	//503
    "name",	//504
    "namespaceUri",	//505
    "networkAccessManager",	//506
    "nextSibling",	//507
    "offlineStorageDefaultQuota",	//508
    "offlineStoragePath",	//509
    "offlineWebApplicationCachePath",	//510
    "offlineWebApplicationCacheQuota",	//511
    "operator!=",	//512
    "operator!=#",	//513
    "operator*",	//514
    "operator+",	//515
    "operator+#",	//516
    "operator+$",	//517
    "operator++",	//518
    "operator++$",	//519
    "operator+=",	//520
    "operator+=#",	//521
    "operator+=$",	//522
    "operator-",	//523
    "operator-#",	//524
    "operator-$",	//525
    "operator--",	//526
    "operator--$",	//527
    "operator-=",	//528
    "operator-=$",	//529
    "operator<",	//530
    "operator<#",	//531
    "operator<=",	//532
    "operator<=#",	//533
    "operator=",	//534
    "operator=#",	//535
    "operator==",	//536
    "operator==#",	//537
    "operator>",	//538
    "operator>#",	//539
    "operator>=",	//540
    "operator>=#",	//541
    "operator[]",	//542
    "operator[]$",	//543
    "origin",	//544
    "originalUrl",	//545
    "page",	//546
    "pageAction",	//547
    "pageAction$",	//548
    "pageChanged",	//549
    "paintEngine",	//550
    "paintEvent",	//551
    "paintEvent#",	//552
    "palette",	//553
    "paletteChange",	//554
    "parent",	//555
    "parentFrame",	//556
    "pixmap",	//557
    "pluginFactory",	//558
    "plugins",	//559
    "port",	//560
    "pos",	//561
    "preferredContentsSize",	//562
    "prefix",	//563
    "prependInside",	//564
    "prependInside#",	//565
    "prependInside$",	//566
    "prependOutside",	//567
    "prependOutside#",	//568
    "prependOutside$",	//569
    "previousSibling",	//570
    "print",	//571
    "print#",	//572
    "printRequested",	//573
    "printRequested#",	//574
    "provisionalLoad",	//575
    "qt_metacall",	//576
    "qt_metacall$$?",	//577
    "qt_metacast",	//578
    "qt_metacast$",	//579
    "refreshPlugins",	//580
    "reload",	//581
    "removeAllChildren",	//582
    "removeAllDatabases",	//583
    "removeAttribute",	//584
    "removeAttribute$",	//585
    "removeAttributeNS",	//586
    "removeAttributeNS$$",	//587
    "removeClass",	//588
    "removeClass$",	//589
    "removeDatabase",	//590
    "removeDatabase#",	//591
    "removeFromDocument",	//592
    "removeLocalScheme",	//593
    "removeLocalScheme$",	//594
    "render",	//595
    "render#",	//596
    "render##",	//597
    "render#$",	//598
    "render#$#",	//599
    "renderHints",	//600
    "renderTreeDump",	//601
    "repaintRequested",	//602
    "repaintRequested#",	//603
    "replace",	//604
    "replace#",	//605
    "replace$",	//606
    "requestedUrl",	//607
    "resetAttribute",	//608
    "resetAttribute$",	//609
    "resetFontFamily",	//610
    "resetFontFamily$",	//611
    "resetFontSize",	//612
    "resetFontSize$",	//613
    "resizeEvent",	//614
    "resizeEvent#",	//615
    "restoreFrameStateRequested",	//616
    "restoreFrameStateRequested#",	//617
    "saveFrameStateRequested",	//618
    "saveFrameStateRequested##",	//619
    "scheme",	//620
    "scroll",	//621
    "scroll$$",	//622
    "scrollBarGeometry",	//623
    "scrollBarGeometry$",	//624
    "scrollBarMaximum",	//625
    "scrollBarMaximum$",	//626
    "scrollBarMinimum",	//627
    "scrollBarMinimum$",	//628
    "scrollBarPolicy",	//629
    "scrollBarPolicy$",	//630
    "scrollBarValue",	//631
    "scrollBarValue$",	//632
    "scrollPosition",	//633
    "scrollRequested",	//634
    "scrollRequested$$#",	//635
    "scrollToAnchor",	//636
    "scrollToAnchor$",	//637
    "securityOrigin",	//638
    "selectedHtml",	//639
    "selectedText",	//640
    "selectionChanged",	//641
    "setActualVisibleContentRect",	//642
    "setActualVisibleContentRect#",	//643
    "setApplicationCacheQuota",	//644
    "setApplicationCacheQuota?",	//645
    "setAttribute",	//646
    "setAttribute$$",	//647
    "setAttributeNS",	//648
    "setAttributeNS$$$",	//649
    "setBaseUrl",	//650
    "setBaseUrl#",	//651
    "setContent",	//652
    "setContent#",	//653
    "setContent#$",	//654
    "setContent#$#",	//655
    "setContentEditable",	//656
    "setContentEditable$",	//657
    "setContentType",	//658
    "setContentType$",	//659
    "setDatabaseQuota",	//660
    "setDatabaseQuota?",	//661
    "setDefaultInterface",	//662
    "setDefaultInterface#",	//663
    "setDefaultTextEncoding",	//664
    "setDefaultTextEncoding$",	//665
    "setDescription",	//666
    "setDescription$",	//667
    "setDomain",	//668
    "setDomain$",	//669
    "setEncoding",	//670
    "setEncoding$",	//671
    "setError",	//672
    "setError$",	//673
    "setErrorString",	//674
    "setErrorString$",	//675
    "setFeaturePermission",	//676
    "setFeaturePermission#$$",	//677
    "setFileExtensions",	//678
    "setFileExtensions?",	//679
    "setFileNames",	//680
    "setFileNames?",	//681
    "setFocus",	//682
    "setFontFamily",	//683
    "setFontFamily$$",	//684
    "setFontSize",	//685
    "setFontSize$$",	//686
    "setForwardUnsupportedContent",	//687
    "setForwardUnsupportedContent$",	//688
    "setFrame",	//689
    "setFrame#",	//690
    "setHtml",	//691
    "setHtml$",	//692
    "setHtml$#",	//693
    "setIconDatabasePath",	//694
    "setIconDatabasePath$",	//695
    "setInnerXml",	//696
    "setInnerXml$",	//697
    "setLinkDelegationPolicy",	//698
    "setLinkDelegationPolicy$",	//699
    "setLocalStoragePath",	//700
    "setLocalStoragePath$",	//701
    "setMaximumItemCount",	//702
    "setMaximumItemCount$",	//703
    "setMaximumPagesInCache",	//704
    "setMaximumPagesInCache$",	//705
    "setMimeTypes",	//706
    "setMimeTypes?",	//707
    "setName",	//708
    "setName$",	//709
    "setNetworkAccessManager",	//710
    "setNetworkAccessManager#",	//711
    "setObjectCacheCapacities",	//712
    "setObjectCacheCapacities$$$",	//713
    "setOfflineStorageDefaultQuota",	//714
    "setOfflineStorageDefaultQuota?",	//715
    "setOfflineStoragePath",	//716
    "setOfflineStoragePath$",	//717
    "setOfflineWebApplicationCachePath",	//718
    "setOfflineWebApplicationCachePath$",	//719
    "setOfflineWebApplicationCacheQuota",	//720
    "setOfflineWebApplicationCacheQuota?",	//721
    "setOuterXml",	//722
    "setOuterXml$",	//723
    "setPage",	//724
    "setPage#",	//725
    "setPalette",	//726
    "setPalette#",	//727
    "setParentFrame",	//728
    "setParentFrame#",	//729
    "setPlainText",	//730
    "setPlainText$",	//731
    "setPluginFactory",	//732
    "setPluginFactory#",	//733
    "setPreferredContentsSize",	//734
    "setPreferredContentsSize#",	//735
    "setRenderHint",	//736
    "setRenderHint$",	//737
    "setRenderHint$$",	//738
    "setRenderHints",	//739
    "setRenderHints$",	//740
    "setScrollBarPolicy",	//741
    "setScrollBarPolicy$$",	//742
    "setScrollBarValue",	//743
    "setScrollBarValue$$",	//744
    "setScrollPosition",	//745
    "setScrollPosition#",	//746
    "setStyleProperty",	//747
    "setStyleProperty$$",	//748
    "setSuggestedFileNames",	//749
    "setSuggestedFileNames?",	//750
    "setTextSizeMultiplier",	//751
    "setTextSizeMultiplier$",	//752
    "setUrl",	//753
    "setUrl#",	//754
    "setUserData",	//755
    "setUserData#",	//756
    "setUserStyleSheetUrl",	//757
    "setUserStyleSheetUrl#",	//758
    "setView",	//759
    "setView#",	//760
    "setViewportSize",	//761
    "setViewportSize#",	//762
    "setVisible",	//763
    "setWebGraphic",	//764
    "setWebGraphic$#",	//765
    "setZoomFactor",	//766
    "setZoomFactor$",	//767
    "settings",	//768
    "shouldInterruptJavaScript",	//769
    "showEvent",	//770
    "showEvent#",	//771
    "size",	//772
    "sizeHint",	//773
    "staticMetaObject",	//774
    "statusBarMessage",	//775
    "statusBarMessage$",	//776
    "statusBarVisibilityChangeRequested",	//777
    "statusBarVisibilityChangeRequested$",	//778
    "stop",	//779
    "styleChange",	//780
    "styleProperty",	//781
    "styleProperty$$",	//782
    "suggestedFileNames",	//783
    "supportedContentTypes",	//784
    "supportsContentType",	//785
    "supportsContentType$",	//786
    "supportsExtension",	//787
    "supportsExtension$",	//788
    "swallowContextMenuEvent",	//789
    "swallowContextMenuEvent#",	//790
    "tabletEvent",	//791
    "tagName",	//792
    "takeFromDocument",	//793
    "testAttribute",	//794
    "testAttribute$",	//795
    "textSizeMultiplier",	//796
    "timerEvent",	//797
    "title",	//798
    "titleChanged",	//799
    "titleChanged$",	//800
    "toHtml",	//801
    "toInnerXml",	//802
    "toList",	//803
    "toOuterXml",	//804
    "toPlainText",	//805
    "toggleClass",	//806
    "toggleClass$",	//807
    "toolBarVisibilityChangeRequested",	//808
    "toolBarVisibilityChangeRequested$",	//809
    "totalBytes",	//810
    "tr",	//811
    "tr$",	//812
    "tr$$",	//813
    "tr$$$",	//814
    "trUtf8",	//815
    "trUtf8$",	//816
    "trUtf8$$",	//817
    "trUtf8$$$",	//818
    "triggerAction",	//819
    "triggerAction$",	//820
    "triggerAction$$",	//821
    "triggerPageAction",	//822
    "triggerPageAction$",	//823
    "triggerPageAction$$",	//824
    "undoStack",	//825
    "unsupportedContent",	//826
    "unsupportedContent#",	//827
    "updatePositionDependentActions",	//828
    "updatePositionDependentActions#",	//829
    "url",	//830
    "urlChanged",	//831
    "urlChanged#",	//832
    "userAgentForUrl",	//833
    "userAgentForUrl#",	//834
    "userData",	//835
    "userStyleSheetUrl",	//836
    "view",	//837
    "viewportAttributesForSize",	//838
    "viewportAttributesForSize#",	//839
    "viewportChangeRequested",	//840
    "viewportSize",	//841
    "webFrame",	//842
    "webGraphic",	//843
    "webGraphic$",	//844
    "wheelEvent",	//845
    "wheelEvent#",	//846
    "windowActivationChange",	//847
    "windowCloseRequested",	//848
    "x11Event",	//849
    "zoomFactor",	//850
    "~ChooseMultipleFilesExtensionOption",	//851
    "~ChooseMultipleFilesExtensionReturn",	//852
    "~ErrorPageExtensionOption",	//853
    "~ErrorPageExtensionReturn",	//854
    "~ExtensionOption",	//855
    "~ExtensionReturn",	//856
    "~MimeType",	//857
    "~Plugin",	//858
    "~QWebDatabase",	//859
    "~QWebElement",	//860
    "~QWebElementCollection",	//861
    "~QWebHistoryInterface",	//862
    "~QWebHistoryItem",	//863
    "~QWebHitTestResult",	//864
    "~QWebInspector",	//865
    "~QWebPage",	//866
    "~QWebPluginFactory",	//867
    "~QWebSecurityOrigin",	//868
    "~QWebView",	//869
    "~const_iterator",	//870
    "~iterator",	//871
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {16, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 6},	//6 QGlobalSpace::LicensedXml (enum)
    {16, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 7},	//7 QGlobalSpace::QtDebugMsg (enum)
    {16, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 8},	//8 QGlobalSpace::QtWarningMsg (enum)
    {16, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 9},	//9 QGlobalSpace::QtCriticalMsg (enum)
    {16, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 10},	//10 QGlobalSpace::QtFatalMsg (enum)
    {16, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 11},	//11 QGlobalSpace::QtSystemMsg (enum)
    {16, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 12},	//12 QGlobalSpace::LicensedOpenGL (enum)
    {16, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 13},	//13 QGlobalSpace::LicensedQt3Support (enum)
    {16, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 14},	//14 QGlobalSpace::LicensedOpenVG (enum)
    {16, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 219, 15},	//15 QGlobalSpace::LicensedNetwork (enum)
    {16, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 16},	//16 QGlobalSpace::LicensedSql (enum)
    {16, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 17},	//17 QGlobalSpace::LicensedCore (enum)
    {16, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 18},	//18 QGlobalSpace::LicensedSvg (enum)
    {16, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 19},	//19 QGlobalSpace::LicensedXmlPatterns (enum)
    {16, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 20},	//20 QGlobalSpace::LicensedGui (enum)
    {16, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 21},	//21 QGlobalSpace::LicensedDeclarative (enum)
    {16, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 22},	//22 QGlobalSpace::LicensedActiveQt (enum)
    {16, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 23},	//23 QGlobalSpace::LicensedDBus (enum)
    {16, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 24},	//24 QGlobalSpace::LicensedTest (enum)
    {16, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 25},	//25 QGlobalSpace::LicensedScriptTools (enum)
    {16, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 26},	//26 QGlobalSpace::LicensedQt3SupportLight (enum)
    {16, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 27},	//27 QGlobalSpace::LicensedScript (enum)
    {16, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//28 QGlobalSpace::LicensedMultimedia (enum)
    {16, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 29},	//29 QGlobalSpace::LicensedHelp (enum)
    {29, 347, 1, 1, Smoke::mf_virtual, 232, 0},	//30 QObject::event(QEvent*)
    {29, 349, 3, 2, Smoke::mf_virtual, 232, 0},	//31 QObject::eventFilter(QObject*, QEvent*)
    {29, 797, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//32 QObject::timerEvent(QTimerEvent*)
    {29, 268, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//33 QObject::childEvent(QChildEvent*)
    {29, 304, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QObject::customEvent(QEvent*)
    {29, 279, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QObject::connectNotify(const char*)
    {29, 314, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::disconnectNotify(const char*)
    {49, 140, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 75, 1},	//37 QWebDatabase::QWebDatabase(const QWebDatabase&)
    {49, 534, 12, 1, 0, 74, 2},	//38 QWebDatabase::operator=(const QWebDatabase&)
    {49, 504, 0, 0, Smoke::mf_const, 61, 3},	//39 QWebDatabase::name() const
    {49, 315, 0, 0, Smoke::mf_const, 61, 4},	//40 QWebDatabase::displayName() const
    {49, 350, 0, 0, Smoke::mf_const, 278, 5},	//41 QWebDatabase::expectedSize() const
    {49, 772, 0, 0, Smoke::mf_const, 278, 6},	//42 QWebDatabase::size() const
    {49, 360, 0, 0, Smoke::mf_const, 61, 7},	//43 QWebDatabase::fileName() const
    {49, 544, 0, 0, Smoke::mf_const, 124, 8},	//44 QWebDatabase::origin() const
    {49, 590, 12, 1, Smoke::mf_static, 0, 9},	//45 QWebDatabase::removeDatabase(const QWebDatabase&)
    {49, 583, 0, 0, Smoke::mf_static, 0, 10},	//46 QWebDatabase::removeAllDatabases()
    {49, 859, 0, 0, Smoke::mf_dtor, 0, 11 },	//47 QWebDatabase::~QWebDatabase()
    {50, 142, 0, 0, Smoke::mf_ctor, 78, 1},	//48 QWebElement::QWebElement()
    {50, 142, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 78, 2},	//49 QWebElement::QWebElement(const QWebElement&)
    {50, 534, 14, 1, 0, 77, 3},	//50 QWebElement::operator=(const QWebElement&)
    {50, 536, 14, 1, Smoke::mf_const, 232, 4},	//51 QWebElement::operator==(const QWebElement&) const
    {50, 512, 14, 1, Smoke::mf_const, 232, 5},	//52 QWebElement::operator!=(const QWebElement&) const
    {50, 436, 0, 0, Smoke::mf_const, 232, 6},	//53 QWebElement::isNull() const
    {50, 362, 16, 1, Smoke::mf_const, 80, 7},	//54 QWebElement::findAll(const QString&) const
    {50, 366, 16, 1, Smoke::mf_const, 76, 8},	//55 QWebElement::findFirst(const QString&) const
    {50, 730, 16, 1, 0, 0, 9},	//56 QWebElement::setPlainText(const QString&)
    {50, 805, 0, 0, Smoke::mf_const, 61, 10},	//57 QWebElement::toPlainText() const
    {50, 722, 16, 1, 0, 0, 11},	//58 QWebElement::setOuterXml(const QString&)
    {50, 804, 0, 0, Smoke::mf_const, 61, 12},	//59 QWebElement::toOuterXml() const
    {50, 696, 16, 1, 0, 0, 13},	//60 QWebElement::setInnerXml(const QString&)
    {50, 802, 0, 0, Smoke::mf_const, 61, 14},	//61 QWebElement::toInnerXml() const
    {50, 646, 18, 2, 0, 0, 15},	//62 QWebElement::setAttribute(const QString&, const QString&)
    {50, 648, 21, 3, 0, 0, 16},	//63 QWebElement::setAttributeNS(const QString&, const QString&, const QString&)
    {50, 248, 18, 2, Smoke::mf_const, 61, 17},	//64 QWebElement::attribute(const QString&, const QString&) const
    {50, 251, 21, 3, Smoke::mf_const, 61, 18},	//65 QWebElement::attributeNS(const QString&, const QString&, const QString&) const
    {50, 404, 16, 1, Smoke::mf_const, 232, 19},	//66 QWebElement::hasAttribute(const QString&) const
    {50, 406, 18, 2, Smoke::mf_const, 232, 20},	//67 QWebElement::hasAttributeNS(const QString&, const QString&) const
    {50, 584, 16, 1, 0, 0, 21},	//68 QWebElement::removeAttribute(const QString&)
    {50, 586, 18, 2, 0, 0, 22},	//69 QWebElement::removeAttributeNS(const QString&, const QString&)
    {50, 408, 0, 0, Smoke::mf_const, 232, 23},	//70 QWebElement::hasAttributes() const
    {50, 254, 16, 1, Smoke::mf_const, 64, 24},	//71 QWebElement::attributeNames(const QString&) const
    {50, 272, 0, 0, Smoke::mf_const, 64, 25},	//72 QWebElement::classes() const
    {50, 409, 16, 1, Smoke::mf_const, 232, 26},	//73 QWebElement::hasClass(const QString&) const
    {50, 225, 16, 1, 0, 0, 27},	//74 QWebElement::addClass(const QString&)
    {50, 588, 16, 1, 0, 0, 28},	//75 QWebElement::removeClass(const QString&)
    {50, 806, 16, 1, 0, 0, 29},	//76 QWebElement::toggleClass(const QString&)
    {50, 411, 0, 0, Smoke::mf_const, 232, 30},	//77 QWebElement::hasFocus() const
    {50, 682, 0, 0, 0, 0, 31},	//78 QWebElement::setFocus()
    {50, 397, 0, 0, Smoke::mf_const, 49, 32},	//79 QWebElement::geometry() const
    {50, 792, 0, 0, Smoke::mf_const, 61, 33},	//80 QWebElement::tagName() const
    {50, 563, 0, 0, Smoke::mf_const, 61, 34},	//81 QWebElement::prefix() const
    {50, 481, 0, 0, Smoke::mf_const, 61, 35},	//82 QWebElement::localName() const
    {50, 505, 0, 0, Smoke::mf_const, 61, 36},	//83 QWebElement::namespaceUri() const
    {50, 555, 0, 0, Smoke::mf_const, 76, 37},	//84 QWebElement::parent() const
    {50, 374, 0, 0, Smoke::mf_const, 76, 38},	//85 QWebElement::firstChild() const
    {50, 459, 0, 0, Smoke::mf_const, 76, 39},	//86 QWebElement::lastChild() const
    {50, 507, 0, 0, Smoke::mf_const, 76, 40},	//87 QWebElement::nextSibling() const
    {50, 570, 0, 0, Smoke::mf_const, 76, 41},	//88 QWebElement::previousSibling() const
    {50, 316, 0, 0, Smoke::mf_const, 76, 42},	//89 QWebElement::document() const
    {50, 842, 0, 0, Smoke::mf_const, 89, 43},	//90 QWebElement::webFrame() const
    {50, 238, 16, 1, 0, 0, 44},	//91 QWebElement::appendInside(const QString&)
    {50, 238, 14, 1, 0, 0, 45},	//92 QWebElement::appendInside(const QWebElement&)
    {50, 564, 16, 1, 0, 0, 46},	//93 QWebElement::prependInside(const QString&)
    {50, 564, 14, 1, 0, 0, 47},	//94 QWebElement::prependInside(const QWebElement&)
    {50, 241, 16, 1, 0, 0, 48},	//95 QWebElement::appendOutside(const QString&)
    {50, 241, 14, 1, 0, 0, 49},	//96 QWebElement::appendOutside(const QWebElement&)
    {50, 567, 16, 1, 0, 0, 50},	//97 QWebElement::prependOutside(const QString&)
    {50, 567, 14, 1, 0, 0, 51},	//98 QWebElement::prependOutside(const QWebElement&)
    {50, 333, 14, 1, 0, 0, 52},	//99 QWebElement::encloseContentsWith(const QWebElement&)
    {50, 333, 16, 1, 0, 0, 53},	//100 QWebElement::encloseContentsWith(const QString&)
    {50, 336, 16, 1, 0, 0, 54},	//101 QWebElement::encloseWith(const QString&)
    {50, 336, 14, 1, 0, 0, 55},	//102 QWebElement::encloseWith(const QWebElement&)
    {50, 604, 16, 1, 0, 0, 56},	//103 QWebElement::replace(const QString&)
    {50, 604, 14, 1, 0, 0, 57},	//104 QWebElement::replace(const QWebElement&)
    {50, 276, 0, 0, Smoke::mf_const, 76, 58},	//105 QWebElement::clone() const
    {50, 793, 0, 0, 0, 77, 59},	//106 QWebElement::takeFromDocument()
    {50, 592, 0, 0, 0, 0, 60},	//107 QWebElement::removeFromDocument()
    {50, 582, 0, 0, 0, 0, 61},	//108 QWebElement::removeAllChildren()
    {50, 345, 16, 1, 0, 73, 62},	//109 QWebElement::evaluateJavaScript(const QString&)
    {50, 781, 25, 2, Smoke::mf_const, 61, 63},	//110 QWebElement::styleProperty(const QString&, QWebElement::StyleResolveStrategy) const
    {50, 747, 18, 2, 0, 0, 64},	//111 QWebElement::setStyleProperty(const QString&, const QString&)
    {50, 595, 28, 1, 0, 0, 65},	//112 QWebElement::render(QPainter*)
    {50, 595, 30, 2, 0, 0, 66},	//113 QWebElement::render(QPainter*, const QRect&)
    {50, 248, 16, 1, Smoke::mf_const, 61, 67},	//114 QWebElement::attribute(const QString&) const
    {50, 251, 18, 2, Smoke::mf_const, 61, 68},	//115 QWebElement::attributeNS(const QString&, const QString&) const
    {50, 254, 0, 0, Smoke::mf_const, 64, 69},	//116 QWebElement::attributeNames() const
    {50, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 70},	//117 QWebElement::InlineStyle (enum)
    {50, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 71},	//118 QWebElement::CascadedStyle (enum)
    {50, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 72},	//119 QWebElement::ComputedStyle (enum)
    {50, 860, 0, 0, Smoke::mf_dtor, 0, 73 },	//120 QWebElement::~QWebElement()
    {51, 144, 0, 0, Smoke::mf_ctor, 82, 1},	//121 QWebElementCollection::QWebElementCollection()
    {51, 144, 33, 2, Smoke::mf_ctor, 82, 2},	//122 QWebElementCollection::QWebElementCollection(const QWebElement&, const QString&)
    {51, 144, 36, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 82, 3},	//123 QWebElementCollection::QWebElementCollection(const QWebElementCollection&)
    {51, 534, 36, 1, 0, 81, 4},	//124 QWebElementCollection::operator=(const QWebElementCollection&)
    {51, 515, 36, 1, Smoke::mf_const, 80, 5},	//125 QWebElementCollection::operator+(const QWebElementCollection&) const
    {51, 520, 36, 1, 0, 81, 6},	//126 QWebElementCollection::operator+=(const QWebElementCollection&)
    {51, 236, 36, 1, 0, 0, 7},	//127 QWebElementCollection::append(const QWebElementCollection&)
    {51, 293, 0, 0, Smoke::mf_const, 276, 8},	//128 QWebElementCollection::count() const
    {51, 246, 38, 1, Smoke::mf_const, 76, 9},	//129 QWebElementCollection::at(int) const
    {51, 542, 38, 1, Smoke::mf_const, 76, 10},	//130 QWebElementCollection::operator[](int) const
    {51, 373, 0, 0, Smoke::mf_const, 76, 11},	//131 QWebElementCollection::first() const
    {51, 458, 0, 0, Smoke::mf_const, 76, 12},	//132 QWebElementCollection::last() const
    {51, 803, 0, 0, Smoke::mf_const, 25, 13},	//133 QWebElementCollection::toList() const
    {51, 261, 0, 0, Smoke::mf_const, 83, 14},	//134 QWebElementCollection::begin() const
    {51, 341, 0, 0, Smoke::mf_const, 83, 15},	//135 QWebElementCollection::end() const
    {51, 280, 0, 0, Smoke::mf_const, 83, 16},	//136 QWebElementCollection::constBegin() const
    {51, 281, 0, 0, Smoke::mf_const, 83, 17},	//137 QWebElementCollection::constEnd() const
    {51, 261, 0, 0, 0, 86, 18},	//138 QWebElementCollection::begin()
    {51, 341, 0, 0, 0, 86, 19},	//139 QWebElementCollection::end()
    {51, 861, 0, 0, Smoke::mf_dtor, 0, 20 },	//140 QWebElementCollection::~QWebElementCollection()
    {52, 282, 40, 2, Smoke::mf_ctor, 85, 1},	//141 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection*, int)
    {52, 282, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 85, 2},	//142 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection::const_iterator&)
    {52, 514, 0, 0, Smoke::mf_const, 252, 3},	//143 QWebElementCollection::const_iterator::operator*() const
    {52, 536, 43, 1, Smoke::mf_const, 232, 4},	//144 QWebElementCollection::const_iterator::operator==(const QWebElementCollection::const_iterator&) const
    {52, 512, 43, 1, Smoke::mf_const, 232, 5},	//145 QWebElementCollection::const_iterator::operator!=(const QWebElementCollection::const_iterator&) const
    {52, 530, 43, 1, Smoke::mf_const, 232, 6},	//146 QWebElementCollection::const_iterator::operator<(const QWebElementCollection::const_iterator&) const
    {52, 532, 43, 1, Smoke::mf_const, 232, 7},	//147 QWebElementCollection::const_iterator::operator<=(const QWebElementCollection::const_iterator&) const
    {52, 538, 43, 1, Smoke::mf_const, 232, 8},	//148 QWebElementCollection::const_iterator::operator>(const QWebElementCollection::const_iterator&) const
    {52, 540, 43, 1, Smoke::mf_const, 232, 9},	//149 QWebElementCollection::const_iterator::operator>=(const QWebElementCollection::const_iterator&) const
    {52, 518, 0, 0, 0, 84, 10},	//150 QWebElementCollection::const_iterator::operator++()
    {52, 518, 38, 1, 0, 83, 11},	//151 QWebElementCollection::const_iterator::operator++(int)
    {52, 526, 0, 0, 0, 84, 12},	//152 QWebElementCollection::const_iterator::operator--()
    {52, 526, 38, 1, 0, 83, 13},	//153 QWebElementCollection::const_iterator::operator--(int)
    {52, 520, 38, 1, 0, 84, 14},	//154 QWebElementCollection::const_iterator::operator+=(int)
    {52, 528, 38, 1, 0, 84, 15},	//155 QWebElementCollection::const_iterator::operator-=(int)
    {52, 515, 38, 1, Smoke::mf_const, 83, 16},	//156 QWebElementCollection::const_iterator::operator+(int) const
    {52, 523, 38, 1, Smoke::mf_const, 83, 17},	//157 QWebElementCollection::const_iterator::operator-(int) const
    {52, 523, 45, 1, Smoke::mf_const, 276, 18},	//158 QWebElementCollection::const_iterator::operator-(QWebElementCollection::const_iterator) const
    {52, 870, 0, 0, Smoke::mf_dtor, 0, 19 },	//159 QWebElementCollection::const_iterator::~const_iterator()
    {53, 441, 40, 2, Smoke::mf_ctor, 88, 1},	//160 QWebElementCollection::iterator::iterator(const QWebElementCollection*, int)
    {53, 441, 47, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 2},	//161 QWebElementCollection::iterator::iterator(const QWebElementCollection::iterator&)
    {53, 514, 0, 0, Smoke::mf_const, 76, 3},	//162 QWebElementCollection::iterator::operator*() const
    {53, 536, 47, 1, Smoke::mf_const, 232, 4},	//163 QWebElementCollection::iterator::operator==(const QWebElementCollection::iterator&) const
    {53, 512, 47, 1, Smoke::mf_const, 232, 5},	//164 QWebElementCollection::iterator::operator!=(const QWebElementCollection::iterator&) const
    {53, 530, 47, 1, Smoke::mf_const, 232, 6},	//165 QWebElementCollection::iterator::operator<(const QWebElementCollection::iterator&) const
    {53, 532, 47, 1, Smoke::mf_const, 232, 7},	//166 QWebElementCollection::iterator::operator<=(const QWebElementCollection::iterator&) const
    {53, 538, 47, 1, Smoke::mf_const, 232, 8},	//167 QWebElementCollection::iterator::operator>(const QWebElementCollection::iterator&) const
    {53, 540, 47, 1, Smoke::mf_const, 232, 9},	//168 QWebElementCollection::iterator::operator>=(const QWebElementCollection::iterator&) const
    {53, 518, 0, 0, 0, 87, 10},	//169 QWebElementCollection::iterator::operator++()
    {53, 518, 38, 1, 0, 86, 11},	//170 QWebElementCollection::iterator::operator++(int)
    {53, 526, 0, 0, 0, 87, 12},	//171 QWebElementCollection::iterator::operator--()
    {53, 526, 38, 1, 0, 86, 13},	//172 QWebElementCollection::iterator::operator--(int)
    {53, 520, 38, 1, 0, 87, 14},	//173 QWebElementCollection::iterator::operator+=(int)
    {53, 528, 38, 1, 0, 87, 15},	//174 QWebElementCollection::iterator::operator-=(int)
    {53, 515, 38, 1, Smoke::mf_const, 86, 16},	//175 QWebElementCollection::iterator::operator+(int) const
    {53, 523, 38, 1, Smoke::mf_const, 86, 17},	//176 QWebElementCollection::iterator::operator-(int) const
    {53, 523, 49, 1, Smoke::mf_const, 276, 18},	//177 QWebElementCollection::iterator::operator-(QWebElementCollection::iterator) const
    {53, 871, 0, 0, Smoke::mf_dtor, 0, 19 },	//178 QWebElementCollection::iterator::~iterator()
    {54, 490, 0, 0, Smoke::mf_const, 237, 1},	//179 QWebFrame::metaObject() const
    {54, 578, 10, 1, 0, 284, 2},	//180 QWebFrame::qt_metacast(const char*)
    {54, 811, 51, 2, Smoke::mf_static, 61, 3},	//181 QWebFrame::tr(const char*, const char*)
    {54, 815, 51, 2, Smoke::mf_static, 61, 4},	//182 QWebFrame::trUtf8(const char*, const char*)
    {54, 811, 54, 3, Smoke::mf_static, 61, 5},	//183 QWebFrame::tr(const char*, const char*, int)
    {54, 815, 54, 3, Smoke::mf_static, 61, 6},	//184 QWebFrame::trUtf8(const char*, const char*, int)
    {54, 576, 58, 3, 0, 276, 7},	//185 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
    {54, 546, 0, 0, Smoke::mf_const, 100, 8},	//186 QWebFrame::page() const
    {54, 472, 62, 1, 0, 0, 9},	//187 QWebFrame::load(const QUrl&)
    {54, 472, 64, 3, 0, 0, 10},	//188 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {54, 691, 68, 2, 0, 0, 11},	//189 QWebFrame::setHtml(const QString&, const QUrl&)
    {54, 652, 71, 3, 0, 0, 12},	//190 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
    {54, 231, 75, 2, 0, 0, 13},	//191 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
    {54, 231, 78, 3, 0, 0, 14},	//192 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*, QScriptEngine::ValueOwnership)
    {54, 801, 0, 0, Smoke::mf_const, 61, 15},	//193 QWebFrame::toHtml() const
    {54, 805, 0, 0, Smoke::mf_const, 61, 16},	//194 QWebFrame::toPlainText() const
    {54, 601, 0, 0, Smoke::mf_const, 61, 17},	//195 QWebFrame::renderTreeDump() const
    {54, 798, 0, 0, Smoke::mf_const|Smoke::mf_property, 61, 18},	//196 QWebFrame::title() const
    {54, 753, 62, 1, Smoke::mf_property, 0, 19},	//197 QWebFrame::setUrl(const QUrl&)
    {54, 830, 0, 0, Smoke::mf_const|Smoke::mf_property, 71, 20},	//198 QWebFrame::url() const
    {54, 607, 0, 0, Smoke::mf_const|Smoke::mf_property, 71, 21},	//199 QWebFrame::requestedUrl() const
    {54, 260, 0, 0, Smoke::mf_const|Smoke::mf_property, 71, 22},	//200 QWebFrame::baseUrl() const
    {54, 422, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 23},	//201 QWebFrame::icon() const
    {54, 489, 0, 0, Smoke::mf_const, 35, 24},	//202 QWebFrame::metaData() const
    {54, 396, 0, 0, Smoke::mf_const, 61, 25},	//203 QWebFrame::frameName() const
    {54, 556, 0, 0, Smoke::mf_const, 89, 26},	//204 QWebFrame::parentFrame() const
    {54, 269, 0, 0, Smoke::mf_const, 26, 27},	//205 QWebFrame::childFrames() const
    {54, 629, 82, 1, Smoke::mf_const, 186, 28},	//206 QWebFrame::scrollBarPolicy(Qt::Orientation) const
    {54, 741, 84, 2, 0, 0, 29},	//207 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
    {54, 743, 87, 2, 0, 0, 30},	//208 QWebFrame::setScrollBarValue(Qt::Orientation, int)
    {54, 631, 82, 1, Smoke::mf_const, 276, 31},	//209 QWebFrame::scrollBarValue(Qt::Orientation) const
    {54, 627, 82, 1, Smoke::mf_const, 276, 32},	//210 QWebFrame::scrollBarMinimum(Qt::Orientation) const
    {54, 625, 82, 1, Smoke::mf_const, 276, 33},	//211 QWebFrame::scrollBarMaximum(Qt::Orientation) const
    {54, 623, 82, 1, Smoke::mf_const, 49, 34},	//212 QWebFrame::scrollBarGeometry(Qt::Orientation) const
    {54, 621, 90, 2, 0, 0, 35},	//213 QWebFrame::scroll(int, int)
    {54, 633, 0, 0, Smoke::mf_const|Smoke::mf_property, 47, 36},	//214 QWebFrame::scrollPosition() const
    {54, 745, 93, 1, Smoke::mf_property, 0, 37},	//215 QWebFrame::setScrollPosition(const QPoint&)
    {54, 636, 16, 1, 0, 0, 38},	//216 QWebFrame::scrollToAnchor(const QString&)
    {54, 595, 28, 1, 0, 0, 39},	//217 QWebFrame::render(QPainter*)
    {54, 595, 95, 2, 0, 0, 40},	//218 QWebFrame::render(QPainter*, const QRegion&)
    {54, 595, 98, 3, 0, 0, 41},	//219 QWebFrame::render(QPainter*, QWebFrame::RenderLayer, const QRegion&)
    {54, 751, 102, 1, 0, 0, 42},	//220 QWebFrame::setTextSizeMultiplier(double)
    {54, 796, 0, 0, Smoke::mf_const, 275, 43},	//221 QWebFrame::textSizeMultiplier() const
    {54, 850, 0, 0, Smoke::mf_const, 275, 44},	//222 QWebFrame::zoomFactor() const
    {54, 766, 102, 1, 0, 0, 45},	//223 QWebFrame::setZoomFactor(double)
    {54, 411, 0, 0, Smoke::mf_const|Smoke::mf_property, 232, 46},	//224 QWebFrame::hasFocus() const
    {54, 682, 0, 0, 0, 0, 47},	//225 QWebFrame::setFocus()
    {54, 561, 0, 0, Smoke::mf_const, 47, 48},	//226 QWebFrame::pos() const
    {54, 397, 0, 0, Smoke::mf_const, 49, 49},	//227 QWebFrame::geometry() const
    {54, 288, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 50},	//228 QWebFrame::contentsSize() const
    {54, 317, 0, 0, Smoke::mf_const, 76, 51},	//229 QWebFrame::documentElement() const
    {54, 364, 16, 1, Smoke::mf_const, 80, 52},	//230 QWebFrame::findAllElements(const QString&) const
    {54, 368, 16, 1, Smoke::mf_const, 76, 53},	//231 QWebFrame::findFirstElement(const QString&) const
    {54, 419, 93, 1, Smoke::mf_const, 96, 54},	//232 QWebFrame::hitTestContent(const QPoint&) const
    {54, 347, 1, 1, 0, 232, 55},	//233 QWebFrame::event(QEvent*)
    {54, 638, 0, 0, Smoke::mf_const, 124, 56},	//234 QWebFrame::securityOrigin() const
    {54, 345, 16, 1, Smoke::mf_slot, 73, 57},	//235 QWebFrame::evaluateJavaScript(const QString&)
    {54, 571, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 58},	//236 QWebFrame::print(QPrinter*) const
    {54, 452, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//237 QWebFrame::javaScriptWindowObjectCleared()
    {54, 575, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//238 QWebFrame::provisionalLoad()
    {54, 799, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//239 QWebFrame::titleChanged(const QString&)
    {54, 831, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//240 QWebFrame::urlChanged(const QUrl&)
    {54, 428, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//241 QWebFrame::initialLayoutCompleted()
    {54, 423, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//242 QWebFrame::iconChanged()
    {54, 289, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//243 QWebFrame::contentsSizeChanged(const QSize&)
    {54, 480, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//244 QWebFrame::loadStarted()
    {54, 476, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//245 QWebFrame::loadFinished(bool)
    {54, 549, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//246 QWebFrame::pageChanged()
    {54, 811, 10, 1, Smoke::mf_static, 61, 69},	//247 QWebFrame::tr(const char*)
    {54, 815, 10, 1, Smoke::mf_static, 61, 70},	//248 QWebFrame::trUtf8(const char*)
    {54, 472, 110, 1, 0, 0, 71},	//249 QWebFrame::load(const QNetworkRequest&)
    {54, 472, 112, 2, 0, 0, 72},	//250 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {54, 691, 16, 1, 0, 0, 73},	//251 QWebFrame::setHtml(const QString&)
    {54, 652, 115, 1, 0, 0, 74},	//252 QWebFrame::setContent(const QByteArray&)
    {54, 652, 117, 2, 0, 0, 75},	//253 QWebFrame::setContent(const QByteArray&, const QString&)
    {54, 595, 120, 2, 0, 0, 76},	//254 QWebFrame::render(QPainter*, QWebFrame::RenderLayer)
    {54, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 236, 77},	//255 QWebFrame::staticMetaObject() const
    {54, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 78},	//256 QWebFrame::ContentsLayer (enum)
    {54, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 79},	//257 QWebFrame::ScrollBarLayer (enum)
    {54, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 80},	//258 QWebFrame::PanIconLayer (enum)
    {54, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 81},	//259 QWebFrame::AllLayers (enum)
    {55, 273, 0, 0, 0, 0, 1},	//260 QWebHistory::clear()
    {55, 440, 0, 0, Smoke::mf_const, 27, 2},	//261 QWebHistory::items() const
    {55, 258, 38, 1, Smoke::mf_const, 27, 3},	//262 QWebHistory::backItems(int) const
    {55, 388, 38, 1, Smoke::mf_const, 27, 4},	//263 QWebHistory::forwardItems(int) const
    {55, 264, 0, 0, Smoke::mf_const, 232, 5},	//264 QWebHistory::canGoBack() const
    {55, 265, 0, 0, Smoke::mf_const, 232, 6},	//265 QWebHistory::canGoForward() const
    {55, 256, 0, 0, 0, 0, 7},	//266 QWebHistory::back()
    {55, 386, 0, 0, 0, 0, 8},	//267 QWebHistory::forward()
    {55, 401, 123, 1, 0, 0, 9},	//268 QWebHistory::goToItem(const QWebHistoryItem&)
    {55, 257, 0, 0, Smoke::mf_const, 93, 10},	//269 QWebHistory::backItem() const
    {55, 302, 0, 0, Smoke::mf_const, 93, 11},	//270 QWebHistory::currentItem() const
    {55, 387, 0, 0, Smoke::mf_const, 93, 12},	//271 QWebHistory::forwardItem() const
    {55, 438, 38, 1, Smoke::mf_const, 93, 13},	//272 QWebHistory::itemAt(int) const
    {55, 303, 0, 0, Smoke::mf_const, 276, 14},	//273 QWebHistory::currentItemIndex() const
    {55, 293, 0, 0, Smoke::mf_const, 276, 15},	//274 QWebHistory::count() const
    {55, 485, 0, 0, Smoke::mf_const, 276, 16},	//275 QWebHistory::maximumItemCount() const
    {55, 702, 38, 1, 0, 0, 17},	//276 QWebHistory::setMaximumItemCount(int)
    {56, 490, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 237, 1},	//277 QWebHistoryInterface::metaObject() const
    {56, 578, 10, 1, Smoke::mf_virtual, 284, 2},	//278 QWebHistoryInterface::qt_metacast(const char*)
    {56, 811, 51, 2, Smoke::mf_static, 61, 3},	//279 QWebHistoryInterface::tr(const char*, const char*)
    {56, 815, 51, 2, Smoke::mf_static, 61, 4},	//280 QWebHistoryInterface::trUtf8(const char*, const char*)
    {56, 811, 54, 3, Smoke::mf_static, 61, 5},	//281 QWebHistoryInterface::tr(const char*, const char*, int)
    {56, 815, 54, 3, Smoke::mf_static, 61, 6},	//282 QWebHistoryInterface::trUtf8(const char*, const char*, int)
    {56, 576, 58, 3, Smoke::mf_virtual, 276, 7},	//283 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
    {56, 147, 125, 1, Smoke::mf_ctor, 92, 8},	//284 QWebHistoryInterface::QWebHistoryInterface(QObject*)
    {56, 662, 127, 1, Smoke::mf_static, 0, 9},	//285 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
    {56, 310, 0, 0, Smoke::mf_static, 92, 10},	//286 QWebHistoryInterface::defaultInterface()
    {56, 417, 16, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 232, 11},	//287 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
    {56, 227, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//288 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
    {56, 811, 10, 1, Smoke::mf_static, 61, 13},	//289 QWebHistoryInterface::tr(const char*)
    {56, 815, 10, 1, Smoke::mf_static, 61, 14},	//290 QWebHistoryInterface::trUtf8(const char*)
    {56, 147, 0, 0, Smoke::mf_ctor, 92, 15},	//291 QWebHistoryInterface::QWebHistoryInterface()
    {56, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 236, 16},	//292 QWebHistoryInterface::staticMetaObject() const
    {56, 862, 0, 0, Smoke::mf_dtor, 0, 17 },	//293 QWebHistoryInterface::~QWebHistoryInterface()
    {57, 149, 123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 1},	//294 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
    {57, 534, 123, 1, 0, 94, 2},	//295 QWebHistoryItem::operator=(const QWebHistoryItem&)
    {57, 545, 0, 0, Smoke::mf_const, 71, 3},	//296 QWebHistoryItem::originalUrl() const
    {57, 830, 0, 0, Smoke::mf_const, 71, 4},	//297 QWebHistoryItem::url() const
    {57, 798, 0, 0, Smoke::mf_const, 61, 5},	//298 QWebHistoryItem::title() const
    {57, 460, 0, 0, Smoke::mf_const, 8, 6},	//299 QWebHistoryItem::lastVisited() const
    {57, 422, 0, 0, Smoke::mf_const, 20, 7},	//300 QWebHistoryItem::icon() const
    {57, 835, 0, 0, Smoke::mf_const, 73, 8},	//301 QWebHistoryItem::userData() const
    {57, 755, 129, 1, 0, 0, 9},	//302 QWebHistoryItem::setUserData(const QVariant&)
    {57, 437, 0, 0, Smoke::mf_const, 232, 10},	//303 QWebHistoryItem::isValid() const
    {57, 863, 0, 0, Smoke::mf_dtor, 0, 11 },	//304 QWebHistoryItem::~QWebHistoryItem()
    {58, 151, 0, 0, Smoke::mf_ctor, 98, 1},	//305 QWebHitTestResult::QWebHitTestResult()
    {58, 151, 131, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 2},	//306 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
    {58, 534, 131, 1, 0, 97, 3},	//307 QWebHitTestResult::operator=(const QWebHitTestResult&)
    {58, 436, 0, 0, Smoke::mf_const, 232, 4},	//308 QWebHitTestResult::isNull() const
    {58, 561, 0, 0, Smoke::mf_const, 47, 5},	//309 QWebHitTestResult::pos() const
    {58, 262, 0, 0, Smoke::mf_const, 49, 6},	//310 QWebHitTestResult::boundingRect() const
    {58, 339, 0, 0, Smoke::mf_const, 76, 7},	//311 QWebHitTestResult::enclosingBlockElement() const
    {58, 798, 0, 0, Smoke::mf_const, 61, 8},	//312 QWebHitTestResult::title() const
    {58, 469, 0, 0, Smoke::mf_const, 61, 9},	//313 QWebHitTestResult::linkText() const
    {58, 471, 0, 0, Smoke::mf_const, 71, 10},	//314 QWebHitTestResult::linkUrl() const
    {58, 470, 0, 0, Smoke::mf_const, 71, 11},	//315 QWebHitTestResult::linkTitle() const
    {58, 468, 0, 0, Smoke::mf_const, 89, 12},	//316 QWebHitTestResult::linkTargetFrame() const
    {58, 465, 0, 0, Smoke::mf_const, 76, 13},	//317 QWebHitTestResult::linkElement() const
    {58, 235, 0, 0, Smoke::mf_const, 61, 14},	//318 QWebHitTestResult::alternateText() const
    {58, 427, 0, 0, Smoke::mf_const, 71, 15},	//319 QWebHitTestResult::imageUrl() const
    {58, 557, 0, 0, Smoke::mf_const, 46, 16},	//320 QWebHitTestResult::pixmap() const
    {58, 433, 0, 0, Smoke::mf_const, 232, 17},	//321 QWebHitTestResult::isContentEditable() const
    {58, 434, 0, 0, Smoke::mf_const, 232, 18},	//322 QWebHitTestResult::isContentSelected() const
    {58, 329, 0, 0, Smoke::mf_const, 76, 19},	//323 QWebHitTestResult::element() const
    {58, 391, 0, 0, Smoke::mf_const, 89, 20},	//324 QWebHitTestResult::frame() const
    {58, 864, 0, 0, Smoke::mf_dtor, 0, 21 },	//325 QWebHitTestResult::~QWebHitTestResult()
    {59, 490, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 237, 1},	//326 QWebInspector::metaObject() const
    {59, 578, 10, 1, Smoke::mf_virtual, 284, 2},	//327 QWebInspector::qt_metacast(const char*)
    {59, 811, 51, 2, Smoke::mf_static, 61, 3},	//328 QWebInspector::tr(const char*, const char*)
    {59, 815, 51, 2, Smoke::mf_static, 61, 4},	//329 QWebInspector::trUtf8(const char*, const char*)
    {59, 811, 54, 3, Smoke::mf_static, 61, 5},	//330 QWebInspector::tr(const char*, const char*, int)
    {59, 815, 54, 3, Smoke::mf_static, 61, 6},	//331 QWebInspector::trUtf8(const char*, const char*, int)
    {59, 576, 58, 3, Smoke::mf_virtual, 276, 7},	//332 QWebInspector::qt_metacall(QMetaObject::Call, int, void**)
    {59, 153, 133, 1, Smoke::mf_ctor, 99, 8},	//333 QWebInspector::QWebInspector(QWidget*)
    {59, 724, 135, 1, 0, 0, 9},	//334 QWebInspector::setPage(QWebPage*)
    {59, 546, 0, 0, Smoke::mf_const, 100, 10},	//335 QWebInspector::page() const
    {59, 773, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 54, 11},	//336 QWebInspector::sizeHint() const
    {59, 347, 1, 1, Smoke::mf_virtual, 232, 12},	//337 QWebInspector::event(QEvent*)
    {59, 614, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//338 QWebInspector::resizeEvent(QResizeEvent*)
    {59, 770, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//339 QWebInspector::showEvent(QShowEvent*)
    {59, 414, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//340 QWebInspector::hideEvent(QHideEvent*)
    {59, 277, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//341 QWebInspector::closeEvent(QCloseEvent*)
    {59, 811, 10, 1, Smoke::mf_static, 61, 17},	//342 QWebInspector::tr(const char*)
    {59, 815, 10, 1, Smoke::mf_static, 61, 18},	//343 QWebInspector::trUtf8(const char*)
    {59, 153, 0, 0, Smoke::mf_ctor, 99, 19},	//344 QWebInspector::QWebInspector()
    {59, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 236, 20},	//345 QWebInspector::staticMetaObject() const
    {59, 865, 0, 0, Smoke::mf_dtor, 0, 21 },	//346 QWebInspector::~QWebInspector()
    {60, 490, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 237, 1},	//347 QWebPage::metaObject() const
    {60, 578, 10, 1, Smoke::mf_virtual, 284, 2},	//348 QWebPage::qt_metacast(const char*)
    {60, 811, 51, 2, Smoke::mf_static, 61, 3},	//349 QWebPage::tr(const char*, const char*)
    {60, 815, 51, 2, Smoke::mf_static, 61, 4},	//350 QWebPage::trUtf8(const char*, const char*)
    {60, 811, 54, 3, Smoke::mf_static, 61, 5},	//351 QWebPage::tr(const char*, const char*, int)
    {60, 815, 54, 3, Smoke::mf_static, 61, 6},	//352 QWebPage::trUtf8(const char*, const char*, int)
    {60, 576, 58, 3, Smoke::mf_virtual, 276, 7},	//353 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
    {60, 155, 125, 1, Smoke::mf_ctor, 100, 8},	//354 QWebPage::QWebPage(QObject*)
    {60, 484, 0, 0, Smoke::mf_const, 89, 9},	//355 QWebPage::mainFrame() const
    {60, 301, 0, 0, Smoke::mf_const, 89, 10},	//356 QWebPage::currentFrame() const
    {60, 392, 93, 1, Smoke::mf_const, 89, 11},	//357 QWebPage::frameAt(const QPoint&) const
    {60, 416, 0, 0, Smoke::mf_const, 91, 12},	//358 QWebPage::history() const
    {60, 768, 0, 0, Smoke::mf_const, 127, 13},	//359 QWebPage::settings() const
    {60, 759, 133, 1, 0, 0, 14},	//360 QWebPage::setView(QWidget*)
    {60, 837, 0, 0, Smoke::mf_const, 135, 15},	//361 QWebPage::view() const
    {60, 435, 0, 0, Smoke::mf_const|Smoke::mf_property, 232, 16},	//362 QWebPage::isModified() const
    {60, 825, 0, 0, Smoke::mf_const, 70, 17},	//363 QWebPage::undoStack() const
    {60, 710, 145, 1, 0, 0, 18},	//364 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
    {60, 506, 0, 0, Smoke::mf_const, 36, 19},	//365 QWebPage::networkAccessManager() const
    {60, 732, 147, 1, 0, 0, 20},	//366 QWebPage::setPluginFactory(QWebPluginFactory*)
    {60, 558, 0, 0, Smoke::mf_const, 118, 21},	//367 QWebPage::pluginFactory() const
    {60, 810, 0, 0, Smoke::mf_const, 283, 22},	//368 QWebPage::totalBytes() const
    {60, 263, 0, 0, Smoke::mf_const, 283, 23},	//369 QWebPage::bytesReceived() const
    {60, 412, 0, 0, Smoke::mf_const|Smoke::mf_property, 232, 24},	//370 QWebPage::hasSelection() const
    {60, 640, 0, 0, Smoke::mf_const|Smoke::mf_property, 61, 25},	//371 QWebPage::selectedText() const
    {60, 639, 0, 0, Smoke::mf_const|Smoke::mf_property, 61, 26},	//372 QWebPage::selectedHtml() const
    {60, 222, 149, 1, Smoke::mf_const, 1, 27},	//373 QWebPage::action(QWebPage::WebAction) const
    {60, 819, 151, 2, Smoke::mf_virtual, 0, 28},	//374 QWebPage::triggerAction(QWebPage::WebAction, bool)
    {60, 841, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 29},	//375 QWebPage::viewportSize() const
    {60, 761, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 30},	//376 QWebPage::setViewportSize(const QSize&) const
    {60, 838, 106, 1, Smoke::mf_const, 114, 31},	//377 QWebPage::viewportAttributesForSize(const QSize&) const
    {60, 562, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 32},	//378 QWebPage::preferredContentsSize() const
    {60, 734, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 33},	//379 QWebPage::setPreferredContentsSize(const QSize&) const
    {60, 642, 154, 1, Smoke::mf_const, 0, 34},	//380 QWebPage::setActualVisibleContentRect(const QRect&) const
    {60, 347, 1, 1, Smoke::mf_virtual, 232, 35},	//381 QWebPage::event(QEvent*)
    {60, 377, 108, 1, 0, 232, 36},	//382 QWebPage::focusNextPrevChild(bool)
    {60, 431, 156, 1, Smoke::mf_const, 73, 37},	//383 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
    {60, 370, 158, 2, 0, 232, 38},	//384 QWebPage::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {60, 687, 108, 1, Smoke::mf_property, 0, 39},	//385 QWebPage::setForwardUnsupportedContent(bool)
    {60, 390, 0, 0, Smoke::mf_const|Smoke::mf_property, 232, 40},	//386 QWebPage::forwardUnsupportedContent() const
    {60, 698, 161, 1, Smoke::mf_property, 0, 41},	//387 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
    {60, 464, 0, 0, Smoke::mf_const|Smoke::mf_property, 111, 42},	//388 QWebPage::linkDelegationPolicy() const
    {60, 726, 163, 1, Smoke::mf_property, 0, 43},	//389 QWebPage::setPalette(const QPalette&)
    {60, 553, 0, 0, Smoke::mf_const|Smoke::mf_property, 45, 44},	//390 QWebPage::palette() const
    {60, 656, 108, 1, Smoke::mf_property, 0, 45},	//391 QWebPage::setContentEditable(bool)
    {60, 433, 0, 0, Smoke::mf_const|Smoke::mf_property, 232, 46},	//392 QWebPage::isContentEditable() const
    {60, 789, 165, 1, 0, 232, 47},	//393 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
    {60, 828, 93, 1, 0, 0, 48},	//394 QWebPage::updatePositionDependentActions(const QPoint&)
    {60, 298, 0, 0, 0, 31, 49},	//395 QWebPage::createStandardContextMenu()
    {60, 676, 167, 3, 0, 0, 50},	//396 QWebPage::setFeaturePermission(QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy)
    {60, 784, 0, 0, Smoke::mf_const, 64, 51},	//397 QWebPage::supportedContentTypes() const
    {60, 785, 16, 1, Smoke::mf_const, 232, 52},	//398 QWebPage::supportsContentType(const QString&) const
    {60, 351, 171, 3, Smoke::mf_virtual, 232, 53},	//399 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
    {60, 787, 175, 1, Smoke::mf_const|Smoke::mf_virtual, 232, 54},	//400 QWebPage::supportsExtension(QWebPage::Extension) const
    {60, 403, 0, 0, Smoke::mf_const, 117, 55},	//401 QWebPage::handle() const
    {60, 769, 0, 0, Smoke::mf_slot, 232, 56},	//402 QWebPage::shouldInterruptJavaScript()
    {60, 480, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//403 QWebPage::loadStarted()
    {60, 478, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//404 QWebPage::loadProgress(int)
    {60, 476, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//405 QWebPage::loadFinished(bool)
    {60, 466, 21, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//406 QWebPage::linkHovered(const QString&, const QString&, const QString&)
    {60, 775, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//407 QWebPage::statusBarMessage(const QString&)
    {60, 641, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//408 QWebPage::selectionChanged()
    {60, 394, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//409 QWebPage::frameCreated(QWebFrame*)
    {60, 398, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//410 QWebPage::geometryChangeRequested(const QRect&)
    {60, 602, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//411 QWebPage::repaintRequested(const QRect&)
    {60, 634, 179, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//412 QWebPage::scrollRequested(int, int, const QRect&)
    {60, 848, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//413 QWebPage::windowCloseRequested()
    {60, 573, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//414 QWebPage::printRequested(QWebFrame*)
    {60, 462, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//415 QWebPage::linkClicked(const QUrl&)
    {60, 808, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//416 QWebPage::toolBarVisibilityChangeRequested(bool)
    {60, 777, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//417 QWebPage::statusBarVisibilityChangeRequested(bool)
    {60, 487, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//418 QWebPage::menuBarVisibilityChangeRequested(bool)
    {60, 826, 183, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//419 QWebPage::unsupportedContent(QNetworkReply*)
    {60, 319, 110, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//420 QWebPage::downloadRequested(const QNetworkRequest&)
    {60, 492, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//421 QWebPage::microFocusChanged()
    {60, 287, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//422 QWebPage::contentsChanged()
    {60, 306, 185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//423 QWebPage::databaseQuotaExceeded(QWebFrame*, QString)
    {60, 244, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 78},	//424 QWebPage::applicationCacheQuotaExceeded(QWebSecurityOrigin*, quint64)
    {60, 618, 191, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//425 QWebPage::saveFrameStateRequested(QWebFrame*, QWebHistoryItem*)
    {60, 616, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 80},	//426 QWebPage::restoreFrameStateRequested(QWebFrame*)
    {60, 840, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//427 QWebPage::viewportChangeRequested()
    {60, 357, 194, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//428 QWebPage::featurePermissionRequested(QWebFrame*, QWebPage::Feature)
    {60, 355, 194, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//429 QWebPage::featurePermissionRequestCanceled(QWebFrame*, QWebPage::Feature)
    {60, 299, 197, 1, Smoke::mf_protected|Smoke::mf_virtual, 100, 84},	//430 QWebPage::createWindow(QWebPage::WebWindowType)
    {60, 296, 199, 4, Smoke::mf_protected|Smoke::mf_virtual, 39, 85},	//431 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
    {60, 220, 204, 3, Smoke::mf_protected|Smoke::mf_virtual, 232, 86},	//432 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
    {60, 270, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 61, 87},	//433 QWebPage::chooseFile(QWebFrame*, const QString&)
    {60, 444, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 88},	//434 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
    {60, 446, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 232, 89},	//435 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
    {60, 450, 211, 4, Smoke::mf_protected|Smoke::mf_virtual, 232, 90},	//436 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
    {60, 448, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 91},	//437 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
    {60, 833, 62, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 61, 92},	//438 QWebPage::userAgentForUrl(const QUrl&) const
    {60, 811, 10, 1, Smoke::mf_static, 61, 93},	//439 QWebPage::tr(const char*)
    {60, 815, 10, 1, Smoke::mf_static, 61, 94},	//440 QWebPage::trUtf8(const char*)
    {60, 155, 0, 0, Smoke::mf_ctor, 100, 95},	//441 QWebPage::QWebPage()
    {60, 819, 149, 1, 0, 0, 96},	//442 QWebPage::triggerAction(QWebPage::WebAction)
    {60, 370, 16, 1, 0, 232, 97},	//443 QWebPage::findText(const QString&)
    {60, 351, 175, 1, 0, 232, 98},	//444 QWebPage::extension(QWebPage::Extension)
    {60, 351, 220, 2, 0, 232, 99},	//445 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
    {60, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 236, 100},	//446 QWebPage::staticMetaObject() const
    {60, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 101},	//447 QWebPage::NavigationTypeLinkClicked (enum)
    {60, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 102},	//448 QWebPage::NavigationTypeFormSubmitted (enum)
    {60, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 103},	//449 QWebPage::NavigationTypeBackOrForward (enum)
    {60, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 104},	//450 QWebPage::NavigationTypeReload (enum)
    {60, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 105},	//451 QWebPage::NavigationTypeFormResubmitted (enum)
    {60, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 106},	//452 QWebPage::NavigationTypeOther (enum)
    {60, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 107},	//453 QWebPage::NoWebAction (enum)
    {60, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 108},	//454 QWebPage::OpenLink (enum)
    {60, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 109},	//455 QWebPage::OpenLinkInNewWindow (enum)
    {60, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 110},	//456 QWebPage::OpenFrameInNewWindow (enum)
    {60, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 111},	//457 QWebPage::DownloadLinkToDisk (enum)
    {60, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 112},	//458 QWebPage::CopyLinkToClipboard (enum)
    {60, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 113},	//459 QWebPage::OpenImageInNewWindow (enum)
    {60, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 114},	//460 QWebPage::DownloadImageToDisk (enum)
    {60, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 115},	//461 QWebPage::CopyImageToClipboard (enum)
    {60, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 116},	//462 QWebPage::Back (enum)
    {60, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 117},	//463 QWebPage::Forward (enum)
    {60, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 118},	//464 QWebPage::Stop (enum)
    {60, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 119},	//465 QWebPage::Reload (enum)
    {60, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 120},	//466 QWebPage::Cut (enum)
    {60, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 121},	//467 QWebPage::Copy (enum)
    {60, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 122},	//468 QWebPage::Paste (enum)
    {60, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 123},	//469 QWebPage::Undo (enum)
    {60, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 124},	//470 QWebPage::Redo (enum)
    {60, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 125},	//471 QWebPage::MoveToNextChar (enum)
    {60, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 126},	//472 QWebPage::MoveToPreviousChar (enum)
    {60, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 127},	//473 QWebPage::MoveToNextWord (enum)
    {60, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 128},	//474 QWebPage::MoveToPreviousWord (enum)
    {60, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 129},	//475 QWebPage::MoveToNextLine (enum)
    {60, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 130},	//476 QWebPage::MoveToPreviousLine (enum)
    {60, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 131},	//477 QWebPage::MoveToStartOfLine (enum)
    {60, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 132},	//478 QWebPage::MoveToEndOfLine (enum)
    {60, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 133},	//479 QWebPage::MoveToStartOfBlock (enum)
    {60, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 134},	//480 QWebPage::MoveToEndOfBlock (enum)
    {60, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 135},	//481 QWebPage::MoveToStartOfDocument (enum)
    {60, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 136},	//482 QWebPage::MoveToEndOfDocument (enum)
    {60, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 137},	//483 QWebPage::SelectNextChar (enum)
    {60, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 138},	//484 QWebPage::SelectPreviousChar (enum)
    {60, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 139},	//485 QWebPage::SelectNextWord (enum)
    {60, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 140},	//486 QWebPage::SelectPreviousWord (enum)
    {60, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 141},	//487 QWebPage::SelectNextLine (enum)
    {60, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 142},	//488 QWebPage::SelectPreviousLine (enum)
    {60, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 143},	//489 QWebPage::SelectStartOfLine (enum)
    {60, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 144},	//490 QWebPage::SelectEndOfLine (enum)
    {60, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 145},	//491 QWebPage::SelectStartOfBlock (enum)
    {60, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 146},	//492 QWebPage::SelectEndOfBlock (enum)
    {60, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 147},	//493 QWebPage::SelectStartOfDocument (enum)
    {60, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 148},	//494 QWebPage::SelectEndOfDocument (enum)
    {60, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 149},	//495 QWebPage::DeleteStartOfWord (enum)
    {60, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 150},	//496 QWebPage::DeleteEndOfWord (enum)
    {60, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 151},	//497 QWebPage::SetTextDirectionDefault (enum)
    {60, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 152},	//498 QWebPage::SetTextDirectionLeftToRight (enum)
    {60, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 153},	//499 QWebPage::SetTextDirectionRightToLeft (enum)
    {60, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 154},	//500 QWebPage::ToggleBold (enum)
    {60, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 155},	//501 QWebPage::ToggleItalic (enum)
    {60, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 156},	//502 QWebPage::ToggleUnderline (enum)
    {60, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 157},	//503 QWebPage::InspectElement (enum)
    {60, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 158},	//504 QWebPage::InsertParagraphSeparator (enum)
    {60, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 159},	//505 QWebPage::InsertLineSeparator (enum)
    {60, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 160},	//506 QWebPage::SelectAll (enum)
    {60, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 161},	//507 QWebPage::ReloadAndBypassCache (enum)
    {60, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 162},	//508 QWebPage::PasteAndMatchStyle (enum)
    {60, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 163},	//509 QWebPage::RemoveFormat (enum)
    {60, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 164},	//510 QWebPage::ToggleStrikethrough (enum)
    {60, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 165},	//511 QWebPage::ToggleSubscript (enum)
    {60, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 166},	//512 QWebPage::ToggleSuperscript (enum)
    {60, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 167},	//513 QWebPage::InsertUnorderedList (enum)
    {60, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 168},	//514 QWebPage::InsertOrderedList (enum)
    {60, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 169},	//515 QWebPage::Indent (enum)
    {60, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 170},	//516 QWebPage::Outdent (enum)
    {60, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 171},	//517 QWebPage::AlignCenter (enum)
    {60, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 172},	//518 QWebPage::AlignJustified (enum)
    {60, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 173},	//519 QWebPage::AlignLeft (enum)
    {60, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 174},	//520 QWebPage::AlignRight (enum)
    {60, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 175},	//521 QWebPage::StopScheduledPageRefresh (enum)
    {60, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 176},	//522 QWebPage::CopyImageUrlToClipboard (enum)
    {60, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 177},	//523 QWebPage::WebActionCount (enum)
    {60, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 178},	//524 QWebPage::FindBackward (enum)
    {60, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 179},	//525 QWebPage::FindCaseSensitively (enum)
    {60, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 180},	//526 QWebPage::FindWrapsAroundDocument (enum)
    {60, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 181},	//527 QWebPage::HighlightAllOccurrences (enum)
    {60, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 182},	//528 QWebPage::DontDelegateLinks (enum)
    {60, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 183},	//529 QWebPage::DelegateExternalLinks (enum)
    {60, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 184},	//530 QWebPage::DelegateAllLinks (enum)
    {60, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 185},	//531 QWebPage::WebBrowserWindow (enum)
    {60, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 186},	//532 QWebPage::WebModalDialog (enum)
    {60, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 187},	//533 QWebPage::PermissionUnknown (enum)
    {60, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 188},	//534 QWebPage::PermissionGrantedByUser (enum)
    {60, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 189},	//535 QWebPage::PermissionDeniedByUser (enum)
    {60, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 190},	//536 QWebPage::Notifications (enum)
    {60, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 191},	//537 QWebPage::Geolocation (enum)
    {60, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 192},	//538 QWebPage::ChooseMultipleFilesExtension (enum)
    {60, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 193},	//539 QWebPage::ErrorPageExtension (enum)
    {60, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 194},	//540 QWebPage::QtNetwork (enum)
    {60, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 195},	//541 QWebPage::Http (enum)
    {60, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 196},	//542 QWebPage::WebKit (enum)
    {60, 866, 0, 0, Smoke::mf_dtor, 0, 197 },	//543 QWebPage::~QWebPage()
    {61, 11, 0, 0, Smoke::mf_ctor, 101, 1},	//544 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption()
    {61, 11, 223, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 2},	//545 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption(const QWebPage::ChooseMultipleFilesExtensionOption&)
    {61, 556, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 89, 3},	//546 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame() const
    {61, 728, 177, 1, Smoke::mf_attribute, 0, 4},	//547 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame(QWebFrame*)
    {61, 783, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 5},	//548 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames() const
    {61, 749, 225, 1, Smoke::mf_attribute, 0, 6},	//549 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames(const QStringList&)
    {61, 851, 0, 0, Smoke::mf_dtor, 0, 7 },	//550 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption()
    {62, 13, 0, 0, Smoke::mf_ctor, 102, 1},	//551 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn()
    {62, 13, 227, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 2},	//552 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn(const QWebPage::ChooseMultipleFilesExtensionReturn&)
    {62, 361, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 3},	//553 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames() const
    {62, 680, 225, 1, Smoke::mf_attribute, 0, 4},	//554 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames(const QStringList&)
    {62, 852, 0, 0, Smoke::mf_dtor, 0, 5 },	//555 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn()
    {63, 39, 0, 0, Smoke::mf_ctor, 104, 1},	//556 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption()
    {63, 39, 229, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 104, 2},	//557 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption(const QWebPage::ErrorPageExtensionOption&)
    {63, 830, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 72, 3},	//558 QWebPage::ErrorPageExtensionOption::url() const
    {63, 753, 62, 1, Smoke::mf_attribute, 0, 4},	//559 QWebPage::ErrorPageExtensionOption::setUrl(const QUrl&)
    {63, 391, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 89, 5},	//560 QWebPage::ErrorPageExtensionOption::frame() const
    {63, 689, 177, 1, Smoke::mf_attribute, 0, 6},	//561 QWebPage::ErrorPageExtensionOption::setFrame(QWebFrame*)
    {63, 318, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 103, 7},	//562 QWebPage::ErrorPageExtensionOption::domain() const
    {63, 668, 231, 1, Smoke::mf_attribute, 0, 8},	//563 QWebPage::ErrorPageExtensionOption::setDomain(QWebPage::ErrorDomain)
    {63, 343, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 276, 9},	//564 QWebPage::ErrorPageExtensionOption::error() const
    {63, 672, 38, 1, Smoke::mf_attribute, 0, 10},	//565 QWebPage::ErrorPageExtensionOption::setError(int)
    {63, 344, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 11},	//566 QWebPage::ErrorPageExtensionOption::errorString() const
    {63, 674, 16, 1, Smoke::mf_attribute, 0, 12},	//567 QWebPage::ErrorPageExtensionOption::setErrorString(const QString&)
    {63, 853, 0, 0, Smoke::mf_dtor, 0, 13 },	//568 QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption()
    {64, 41, 0, 0, Smoke::mf_ctor, 105, 1},	//569 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn()
    {64, 41, 233, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 105, 2},	//570 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn(const QWebPage::ErrorPageExtensionReturn&)
    {64, 286, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 3},	//571 QWebPage::ErrorPageExtensionReturn::contentType() const
    {64, 658, 16, 1, Smoke::mf_attribute, 0, 4},	//572 QWebPage::ErrorPageExtensionReturn::setContentType(const QString&)
    {64, 340, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 5},	//573 QWebPage::ErrorPageExtensionReturn::encoding() const
    {64, 670, 16, 1, Smoke::mf_attribute, 0, 6},	//574 QWebPage::ErrorPageExtensionReturn::setEncoding(const QString&)
    {64, 260, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 72, 7},	//575 QWebPage::ErrorPageExtensionReturn::baseUrl() const
    {64, 650, 62, 1, Smoke::mf_attribute, 0, 8},	//576 QWebPage::ErrorPageExtensionReturn::setBaseUrl(const QUrl&)
    {64, 285, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 4, 9},	//577 QWebPage::ErrorPageExtensionReturn::content() const
    {64, 652, 115, 1, Smoke::mf_attribute, 0, 10},	//578 QWebPage::ErrorPageExtensionReturn::setContent(const QByteArray&)
    {64, 854, 0, 0, Smoke::mf_dtor, 0, 11 },	//579 QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn()
    {65, 43, 0, 0, Smoke::mf_ctor, 107, 1},	//580 QWebPage::ExtensionOption::ExtensionOption()
    {65, 43, 235, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 2},	//581 QWebPage::ExtensionOption::ExtensionOption(const QWebPage::ExtensionOption&)
    {65, 855, 0, 0, Smoke::mf_dtor, 0, 3 },	//582 QWebPage::ExtensionOption::~ExtensionOption()
    {66, 45, 0, 0, Smoke::mf_ctor, 108, 1},	//583 QWebPage::ExtensionReturn::ExtensionReturn()
    {66, 45, 237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 2},	//584 QWebPage::ExtensionReturn::ExtensionReturn(const QWebPage::ExtensionReturn&)
    {66, 856, 0, 0, Smoke::mf_dtor, 0, 3 },	//585 QWebPage::ExtensionReturn::~ExtensionReturn()
    {69, 490, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 237, 1},	//586 QWebPluginFactory::metaObject() const
    {69, 578, 10, 1, Smoke::mf_virtual, 284, 2},	//587 QWebPluginFactory::qt_metacast(const char*)
    {69, 811, 51, 2, Smoke::mf_static, 61, 3},	//588 QWebPluginFactory::tr(const char*, const char*)
    {69, 815, 51, 2, Smoke::mf_static, 61, 4},	//589 QWebPluginFactory::trUtf8(const char*, const char*)
    {69, 811, 54, 3, Smoke::mf_static, 61, 5},	//590 QWebPluginFactory::tr(const char*, const char*, int)
    {69, 815, 54, 3, Smoke::mf_static, 61, 6},	//591 QWebPluginFactory::trUtf8(const char*, const char*, int)
    {69, 576, 58, 3, Smoke::mf_virtual, 276, 7},	//592 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {69, 157, 125, 1, Smoke::mf_ctor, 118, 8},	//593 QWebPluginFactory::QWebPluginFactory(QObject*)
    {69, 559, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 29, 9},	//594 QWebPluginFactory::plugins() const [pure virtual]
    {69, 580, 0, 0, Smoke::mf_virtual, 0, 10},	//595 QWebPluginFactory::refreshPlugins()
    {69, 294, 199, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 39, 11},	//596 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
    {69, 351, 239, 3, Smoke::mf_virtual, 232, 12},	//597 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
    {69, 787, 243, 1, Smoke::mf_const|Smoke::mf_virtual, 232, 13},	//598 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
    {69, 811, 10, 1, Smoke::mf_static, 61, 14},	//599 QWebPluginFactory::tr(const char*)
    {69, 815, 10, 1, Smoke::mf_static, 61, 15},	//600 QWebPluginFactory::trUtf8(const char*)
    {69, 157, 0, 0, Smoke::mf_ctor, 118, 16},	//601 QWebPluginFactory::QWebPluginFactory()
    {69, 351, 243, 1, 0, 232, 17},	//602 QWebPluginFactory::extension(QWebPluginFactory::Extension)
    {69, 351, 245, 2, 0, 232, 18},	//603 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
    {69, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 236, 19},	//604 QWebPluginFactory::staticMetaObject() const
    {69, 867, 0, 0, Smoke::mf_dtor, 0, 20 },	//605 QWebPluginFactory::~QWebPluginFactory()
    {70, 43, 0, 0, Smoke::mf_ctor, 120, 1},	//606 QWebPluginFactory::ExtensionOption::ExtensionOption()
    {70, 43, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 120, 2},	//607 QWebPluginFactory::ExtensionOption::ExtensionOption(const QWebPluginFactory::ExtensionOption&)
    {70, 855, 0, 0, Smoke::mf_dtor, 0, 3 },	//608 QWebPluginFactory::ExtensionOption::~ExtensionOption()
    {71, 45, 0, 0, Smoke::mf_ctor, 121, 1},	//609 QWebPluginFactory::ExtensionReturn::ExtensionReturn()
    {71, 45, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 121, 2},	//610 QWebPluginFactory::ExtensionReturn::ExtensionReturn(const QWebPluginFactory::ExtensionReturn&)
    {71, 856, 0, 0, Smoke::mf_dtor, 0, 3 },	//611 QWebPluginFactory::ExtensionReturn::~ExtensionReturn()
    {72, 536, 252, 1, Smoke::mf_const, 232, 1},	//612 QWebPluginFactory::MimeType::operator==(const QWebPluginFactory::MimeType&) const
    {72, 512, 252, 1, Smoke::mf_const, 232, 2},	//613 QWebPluginFactory::MimeType::operator!=(const QWebPluginFactory::MimeType&) const
    {72, 96, 0, 0, Smoke::mf_ctor, 122, 3},	//614 QWebPluginFactory::MimeType::MimeType()
    {72, 96, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 122, 4},	//615 QWebPluginFactory::MimeType::MimeType(const QWebPluginFactory::MimeType&)
    {72, 504, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 5},	//616 QWebPluginFactory::MimeType::name() const
    {72, 708, 16, 1, Smoke::mf_attribute, 0, 6},	//617 QWebPluginFactory::MimeType::setName(const QString&)
    {72, 312, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 7},	//618 QWebPluginFactory::MimeType::description() const
    {72, 666, 16, 1, Smoke::mf_attribute, 0, 8},	//619 QWebPluginFactory::MimeType::setDescription(const QString&)
    {72, 359, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 65, 9},	//620 QWebPluginFactory::MimeType::fileExtensions() const
    {72, 678, 225, 1, Smoke::mf_attribute, 0, 10},	//621 QWebPluginFactory::MimeType::setFileExtensions(const QStringList&)
    {72, 857, 0, 0, Smoke::mf_dtor, 0, 11 },	//622 QWebPluginFactory::MimeType::~MimeType()
    {73, 135, 0, 0, Smoke::mf_ctor, 123, 1},	//623 QWebPluginFactory::Plugin::Plugin()
    {73, 135, 254, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 2},	//624 QWebPluginFactory::Plugin::Plugin(const QWebPluginFactory::Plugin&)
    {73, 504, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 3},	//625 QWebPluginFactory::Plugin::name() const
    {73, 708, 16, 1, Smoke::mf_attribute, 0, 4},	//626 QWebPluginFactory::Plugin::setName(const QString&)
    {73, 312, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 62, 5},	//627 QWebPluginFactory::Plugin::description() const
    {73, 666, 16, 1, Smoke::mf_attribute, 0, 6},	//628 QWebPluginFactory::Plugin::setDescription(const QString&)
    {73, 493, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 28, 7},	//629 QWebPluginFactory::Plugin::mimeTypes() const
    {73, 706, 256, 1, Smoke::mf_attribute, 0, 8},	//630 QWebPluginFactory::Plugin::setMimeTypes(const QList<QWebPluginFactory::MimeType>&)
    {73, 858, 0, 0, Smoke::mf_dtor, 0, 9 },	//631 QWebPluginFactory::Plugin::~Plugin()
    {74, 234, 0, 0, Smoke::mf_static, 30, 1},	//632 QWebSecurityOrigin::allOrigins()
    {74, 229, 16, 1, Smoke::mf_static, 0, 2},	//633 QWebSecurityOrigin::addLocalScheme(const QString&)
    {74, 593, 16, 1, Smoke::mf_static, 0, 3},	//634 QWebSecurityOrigin::removeLocalScheme(const QString&)
    {74, 482, 0, 0, Smoke::mf_static, 64, 4},	//635 QWebSecurityOrigin::localSchemes()
    {74, 620, 0, 0, Smoke::mf_const, 61, 5},	//636 QWebSecurityOrigin::scheme() const
    {74, 421, 0, 0, Smoke::mf_const, 61, 6},	//637 QWebSecurityOrigin::host() const
    {74, 560, 0, 0, Smoke::mf_const, 276, 7},	//638 QWebSecurityOrigin::port() const
    {74, 308, 0, 0, Smoke::mf_const, 278, 8},	//639 QWebSecurityOrigin::databaseUsage() const
    {74, 305, 0, 0, Smoke::mf_const, 278, 9},	//640 QWebSecurityOrigin::databaseQuota() const
    {74, 660, 258, 1, 0, 0, 10},	//641 QWebSecurityOrigin::setDatabaseQuota(long long)
    {74, 644, 258, 1, 0, 0, 11},	//642 QWebSecurityOrigin::setApplicationCacheQuota(long long)
    {74, 309, 0, 0, Smoke::mf_const, 24, 12},	//643 QWebSecurityOrigin::databases() const
    {74, 159, 260, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 126, 13},	//644 QWebSecurityOrigin::QWebSecurityOrigin(const QWebSecurityOrigin&)
    {74, 534, 260, 1, 0, 125, 14},	//645 QWebSecurityOrigin::operator=(const QWebSecurityOrigin&)
    {74, 868, 0, 0, Smoke::mf_dtor, 0, 15 },	//646 QWebSecurityOrigin::~QWebSecurityOrigin()
    {75, 400, 0, 0, Smoke::mf_static, 127, 1},	//647 QWebSettings::globalSettings()
    {75, 683, 262, 2, 0, 0, 2},	//648 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
    {75, 382, 265, 1, Smoke::mf_const, 61, 3},	//649 QWebSettings::fontFamily(QWebSettings::FontFamily) const
    {75, 610, 265, 1, 0, 0, 4},	//650 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
    {75, 685, 267, 2, 0, 0, 5},	//651 QWebSettings::setFontSize(QWebSettings::FontSize, int)
    {75, 384, 270, 1, Smoke::mf_const, 276, 6},	//652 QWebSettings::fontSize(QWebSettings::FontSize) const
    {75, 612, 270, 1, 0, 0, 7},	//653 QWebSettings::resetFontSize(QWebSettings::FontSize)
    {75, 646, 272, 2, 0, 0, 8},	//654 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
    {75, 794, 275, 1, Smoke::mf_const, 232, 9},	//655 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
    {75, 608, 275, 1, 0, 0, 10},	//656 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
    {75, 757, 62, 1, 0, 0, 11},	//657 QWebSettings::setUserStyleSheetUrl(const QUrl&)
    {75, 836, 0, 0, Smoke::mf_const, 71, 12},	//658 QWebSettings::userStyleSheetUrl() const
    {75, 664, 16, 1, 0, 0, 13},	//659 QWebSettings::setDefaultTextEncoding(const QString&)
    {75, 311, 0, 0, Smoke::mf_const, 61, 14},	//660 QWebSettings::defaultTextEncoding() const
    {75, 694, 16, 1, Smoke::mf_static, 0, 15},	//661 QWebSettings::setIconDatabasePath(const QString&)
    {75, 424, 0, 0, Smoke::mf_static, 61, 16},	//662 QWebSettings::iconDatabasePath()
    {75, 274, 0, 0, Smoke::mf_static, 0, 17},	//663 QWebSettings::clearIconDatabase()
    {75, 425, 62, 1, Smoke::mf_static, 20, 18},	//664 QWebSettings::iconForUrl(const QUrl&)
    {75, 764, 277, 2, Smoke::mf_static, 0, 19},	//665 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
    {75, 843, 280, 1, Smoke::mf_static, 46, 20},	//666 QWebSettings::webGraphic(QWebSettings::WebGraphic)
    {75, 704, 38, 1, Smoke::mf_static, 0, 21},	//667 QWebSettings::setMaximumPagesInCache(int)
    {75, 486, 0, 0, Smoke::mf_static, 276, 22},	//668 QWebSettings::maximumPagesInCache()
    {75, 712, 282, 3, Smoke::mf_static, 0, 23},	//669 QWebSettings::setObjectCacheCapacities(int, int, int)
    {75, 716, 16, 1, Smoke::mf_static, 0, 24},	//670 QWebSettings::setOfflineStoragePath(const QString&)
    {75, 509, 0, 0, Smoke::mf_static, 61, 25},	//671 QWebSettings::offlineStoragePath()
    {75, 714, 258, 1, Smoke::mf_static, 0, 26},	//672 QWebSettings::setOfflineStorageDefaultQuota(long long)
    {75, 508, 0, 0, Smoke::mf_static, 278, 27},	//673 QWebSettings::offlineStorageDefaultQuota()
    {75, 718, 16, 1, Smoke::mf_static, 0, 28},	//674 QWebSettings::setOfflineWebApplicationCachePath(const QString&)
    {75, 510, 0, 0, Smoke::mf_static, 61, 29},	//675 QWebSettings::offlineWebApplicationCachePath()
    {75, 720, 258, 1, Smoke::mf_static, 0, 30},	//676 QWebSettings::setOfflineWebApplicationCacheQuota(long long)
    {75, 511, 0, 0, Smoke::mf_static, 278, 31},	//677 QWebSettings::offlineWebApplicationCacheQuota()
    {75, 700, 16, 1, 0, 0, 32},	//678 QWebSettings::setLocalStoragePath(const QString&)
    {75, 483, 0, 0, Smoke::mf_const, 61, 33},	//679 QWebSettings::localStoragePath() const
    {75, 275, 0, 0, Smoke::mf_static, 0, 34},	//680 QWebSettings::clearMemoryCaches()
    {75, 330, 16, 1, Smoke::mf_static, 0, 35},	//681 QWebSettings::enablePersistentStorage(const QString&)
    {75, 403, 0, 0, Smoke::mf_const, 132, 36},	//682 QWebSettings::handle() const
    {75, 330, 0, 0, Smoke::mf_static, 0, 37},	//683 QWebSettings::enablePersistentStorage()
    {75, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 38},	//684 QWebSettings::StandardFont (enum)
    {75, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 39},	//685 QWebSettings::FixedFont (enum)
    {75, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 40},	//686 QWebSettings::SerifFont (enum)
    {75, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 41},	//687 QWebSettings::SansSerifFont (enum)
    {75, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 42},	//688 QWebSettings::CursiveFont (enum)
    {75, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 43},	//689 QWebSettings::FantasyFont (enum)
    {75, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 44},	//690 QWebSettings::AutoLoadImages (enum)
    {75, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 45},	//691 QWebSettings::JavascriptEnabled (enum)
    {75, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 46},	//692 QWebSettings::JavaEnabled (enum)
    {75, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 47},	//693 QWebSettings::PluginsEnabled (enum)
    {75, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 48},	//694 QWebSettings::PrivateBrowsingEnabled (enum)
    {75, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 49},	//695 QWebSettings::JavascriptCanOpenWindows (enum)
    {75, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 50},	//696 QWebSettings::JavascriptCanAccessClipboard (enum)
    {75, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 51},	//697 QWebSettings::DeveloperExtrasEnabled (enum)
    {75, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 52},	//698 QWebSettings::LinksIncludedInFocusChain (enum)
    {75, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 53},	//699 QWebSettings::ZoomTextOnly (enum)
    {75, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 54},	//700 QWebSettings::PrintElementBackgrounds (enum)
    {75, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 55},	//701 QWebSettings::OfflineStorageDatabaseEnabled (enum)
    {75, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 56},	//702 QWebSettings::OfflineWebApplicationCacheEnabled (enum)
    {75, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 57},	//703 QWebSettings::LocalStorageEnabled (enum)
    {75, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 58},	//704 QWebSettings::LocalStorageDatabaseEnabled (enum)
    {75, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 59},	//705 QWebSettings::LocalContentCanAccessRemoteUrls (enum)
    {75, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 60},	//706 QWebSettings::DnsPrefetchEnabled (enum)
    {75, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 61},	//707 QWebSettings::XSSAuditingEnabled (enum)
    {75, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 62},	//708 QWebSettings::AcceleratedCompositingEnabled (enum)
    {75, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 63},	//709 QWebSettings::SpatialNavigationEnabled (enum)
    {75, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 64},	//710 QWebSettings::LocalContentCanAccessFileUrls (enum)
    {75, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 65},	//711 QWebSettings::TiledBackingStoreEnabled (enum)
    {75, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 66},	//712 QWebSettings::FrameFlatteningEnabled (enum)
    {75, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 67},	//713 QWebSettings::SiteSpecificQuirksEnabled (enum)
    {75, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 68},	//714 QWebSettings::JavascriptCanCloseWindows (enum)
    {75, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 69},	//715 QWebSettings::WebGLEnabled (enum)
    {75, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 70},	//716 QWebSettings::HyperlinkAuditingEnabled (enum)
    {75, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 71},	//717 QWebSettings::MissingImageGraphic (enum)
    {75, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 72},	//718 QWebSettings::MissingPluginGraphic (enum)
    {75, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 73},	//719 QWebSettings::DefaultFrameIconGraphic (enum)
    {75, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 74},	//720 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
    {75, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 75},	//721 QWebSettings::DeleteButtonGraphic (enum)
    {75, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 76},	//722 QWebSettings::InputSpeechButtonGraphic (enum)
    {75, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 77},	//723 QWebSettings::SearchCancelButtonGraphic (enum)
    {75, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 78},	//724 QWebSettings::SearchCancelButtonPressedGraphic (enum)
    {75, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 79},	//725 QWebSettings::MinimumFontSize (enum)
    {75, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 80},	//726 QWebSettings::MinimumLogicalFontSize (enum)
    {75, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 81},	//727 QWebSettings::DefaultFontSize (enum)
    {75, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 82},	//728 QWebSettings::DefaultFixedFontSize (enum)
    {77, 490, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 237, 1},	//729 QWebView::metaObject() const
    {77, 578, 10, 1, Smoke::mf_virtual, 284, 2},	//730 QWebView::qt_metacast(const char*)
    {77, 811, 51, 2, Smoke::mf_static, 61, 3},	//731 QWebView::tr(const char*, const char*)
    {77, 815, 51, 2, Smoke::mf_static, 61, 4},	//732 QWebView::trUtf8(const char*, const char*)
    {77, 811, 54, 3, Smoke::mf_static, 61, 5},	//733 QWebView::tr(const char*, const char*, int)
    {77, 815, 54, 3, Smoke::mf_static, 61, 6},	//734 QWebView::trUtf8(const char*, const char*, int)
    {77, 576, 58, 3, Smoke::mf_virtual, 276, 7},	//735 QWebView::qt_metacall(QMetaObject::Call, int, void**)
    {77, 161, 133, 1, Smoke::mf_ctor, 133, 8},	//736 QWebView::QWebView(QWidget*)
    {77, 546, 0, 0, Smoke::mf_const, 100, 9},	//737 QWebView::page() const
    {77, 724, 135, 1, 0, 0, 10},	//738 QWebView::setPage(QWebPage*)
    {77, 472, 62, 1, 0, 0, 11},	//739 QWebView::load(const QUrl&)
    {77, 472, 64, 3, 0, 0, 12},	//740 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {77, 691, 68, 2, 0, 0, 13},	//741 QWebView::setHtml(const QString&, const QUrl&)
    {77, 652, 71, 3, 0, 0, 14},	//742 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
    {77, 416, 0, 0, Smoke::mf_const, 91, 15},	//743 QWebView::history() const
    {77, 768, 0, 0, Smoke::mf_const, 127, 16},	//744 QWebView::settings() const
    {77, 798, 0, 0, Smoke::mf_const|Smoke::mf_property, 61, 17},	//745 QWebView::title() const
    {77, 753, 62, 1, Smoke::mf_property, 0, 18},	//746 QWebView::setUrl(const QUrl&)
    {77, 830, 0, 0, Smoke::mf_const|Smoke::mf_property, 71, 19},	//747 QWebView::url() const
    {77, 422, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 20},	//748 QWebView::icon() const
    {77, 412, 0, 0, Smoke::mf_const|Smoke::mf_property, 232, 21},	//749 QWebView::hasSelection() const
    {77, 640, 0, 0, Smoke::mf_const|Smoke::mf_property, 61, 22},	//750 QWebView::selectedText() const
    {77, 639, 0, 0, Smoke::mf_const|Smoke::mf_property, 61, 23},	//751 QWebView::selectedHtml() const
    {77, 547, 149, 1, Smoke::mf_const, 1, 24},	//752 QWebView::pageAction(QWebPage::WebAction) const
    {77, 822, 151, 2, 0, 0, 25},	//753 QWebView::triggerPageAction(QWebPage::WebAction, bool)
    {77, 435, 0, 0, Smoke::mf_const|Smoke::mf_property, 232, 26},	//754 QWebView::isModified() const
    {77, 431, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 27},	//755 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
    {77, 773, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 54, 28},	//756 QWebView::sizeHint() const
    {77, 850, 0, 0, Smoke::mf_const, 275, 29},	//757 QWebView::zoomFactor() const
    {77, 766, 102, 1, 0, 0, 30},	//758 QWebView::setZoomFactor(double)
    {77, 751, 102, 1, 0, 0, 31},	//759 QWebView::setTextSizeMultiplier(double)
    {77, 796, 0, 0, Smoke::mf_const, 275, 32},	//760 QWebView::textSizeMultiplier() const
    {77, 600, 0, 0, Smoke::mf_const, 15, 33},	//761 QWebView::renderHints() const
    {77, 739, 286, 1, 0, 0, 34},	//762 QWebView::setRenderHints(QFlags<QPainter::RenderHint>)
    {77, 736, 288, 2, 0, 0, 35},	//763 QWebView::setRenderHint(QPainter::RenderHint, bool)
    {77, 370, 158, 2, 0, 232, 36},	//764 QWebView::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {77, 347, 1, 1, Smoke::mf_virtual, 232, 37},	//765 QWebView::event(QEvent*)
    {77, 779, 0, 0, Smoke::mf_slot, 0, 38},	//766 QWebView::stop()
    {77, 256, 0, 0, Smoke::mf_slot, 0, 39},	//767 QWebView::back()
    {77, 386, 0, 0, Smoke::mf_slot, 0, 40},	//768 QWebView::forward()
    {77, 581, 0, 0, Smoke::mf_slot, 0, 41},	//769 QWebView::reload()
    {77, 571, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 42},	//770 QWebView::print(QPrinter*) const
    {77, 480, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//771 QWebView::loadStarted()
    {77, 478, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//772 QWebView::loadProgress(int)
    {77, 476, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//773 QWebView::loadFinished(bool)
    {77, 799, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//774 QWebView::titleChanged(const QString&)
    {77, 775, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//775 QWebView::statusBarMessage(const QString&)
    {77, 462, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//776 QWebView::linkClicked(const QUrl&)
    {77, 641, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//777 QWebView::selectionChanged()
    {77, 423, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//778 QWebView::iconChanged()
    {77, 831, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//779 QWebView::urlChanged(const QUrl&)
    {77, 614, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//780 QWebView::resizeEvent(QResizeEvent*)
    {77, 551, 291, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//781 QWebView::paintEvent(QPaintEvent*)
    {77, 299, 197, 1, Smoke::mf_protected|Smoke::mf_virtual, 133, 54},	//782 QWebView::createWindow(QWebPage::WebWindowType)
    {77, 266, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//783 QWebView::changeEvent(QEvent*)
    {77, 497, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//784 QWebView::mouseMoveEvent(QMouseEvent*)
    {77, 499, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//785 QWebView::mousePressEvent(QMouseEvent*)
    {77, 495, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//786 QWebView::mouseDoubleClickEvent(QMouseEvent*)
    {77, 501, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//787 QWebView::mouseReleaseEvent(QMouseEvent*)
    {77, 291, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//788 QWebView::contextMenuEvent(QContextMenuEvent*)
    {77, 845, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//789 QWebView::wheelEvent(QWheelEvent*)
    {77, 453, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//790 QWebView::keyPressEvent(QKeyEvent*)
    {77, 455, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//791 QWebView::keyReleaseEvent(QKeyEvent*)
    {77, 321, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//792 QWebView::dragEnterEvent(QDragEnterEvent*)
    {77, 323, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//793 QWebView::dragLeaveEvent(QDragLeaveEvent*)
    {77, 325, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//794 QWebView::dragMoveEvent(QDragMoveEvent*)
    {77, 327, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//795 QWebView::dropEvent(QDropEvent*)
    {77, 375, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//796 QWebView::focusInEvent(QFocusEvent*)
    {77, 379, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//797 QWebView::focusOutEvent(QFocusEvent*)
    {77, 429, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//798 QWebView::inputMethodEvent(QInputMethodEvent*)
    {77, 377, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 232, 71},	//799 QWebView::focusNextPrevChild(bool)
    {77, 811, 10, 1, Smoke::mf_static, 61, 72},	//800 QWebView::tr(const char*)
    {77, 815, 10, 1, Smoke::mf_static, 61, 73},	//801 QWebView::trUtf8(const char*)
    {77, 161, 0, 0, Smoke::mf_ctor, 133, 74},	//802 QWebView::QWebView()
    {77, 472, 110, 1, 0, 0, 75},	//803 QWebView::load(const QNetworkRequest&)
    {77, 472, 112, 2, 0, 0, 76},	//804 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {77, 691, 16, 1, 0, 0, 77},	//805 QWebView::setHtml(const QString&)
    {77, 652, 115, 1, 0, 0, 78},	//806 QWebView::setContent(const QByteArray&)
    {77, 652, 117, 2, 0, 0, 79},	//807 QWebView::setContent(const QByteArray&, const QString&)
    {77, 822, 149, 1, 0, 0, 80},	//808 QWebView::triggerPageAction(QWebPage::WebAction)
    {77, 736, 311, 1, 0, 0, 81},	//809 QWebView::setRenderHint(QPainter::RenderHint)
    {77, 370, 16, 1, 0, 232, 82},	//810 QWebView::findText(const QString&)
    {77, 774, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 236, 83},	//811 QWebView::staticMetaObject() const
    {77, 869, 0, 0, Smoke::mf_dtor, 0, 84 },	//812 QWebView::~QWebView()
    {79, 313, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//813 QWidget::devType() const
    {79, 763, 108, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//814 QWidget::setVisible(bool)
    {79, 494, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 54, 0},	//815 QWidget::minimumSizeHint() const
    {79, 413, 38, 1, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//816 QWidget::heightForWidth(int) const
    {79, 550, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 0},	//817 QWidget::paintEngine() const
    {79, 499, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//818 QWidget::mousePressEvent(QMouseEvent*)
    {79, 501, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//819 QWidget::mouseReleaseEvent(QMouseEvent*)
    {79, 495, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//820 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {79, 497, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//821 QWidget::mouseMoveEvent(QMouseEvent*)
    {79, 845, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//822 QWidget::wheelEvent(QWheelEvent*)
    {79, 453, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//823 QWidget::keyPressEvent(QKeyEvent*)
    {79, 455, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//824 QWidget::keyReleaseEvent(QKeyEvent*)
    {79, 375, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//825 QWidget::focusInEvent(QFocusEvent*)
    {79, 379, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//826 QWidget::focusOutEvent(QFocusEvent*)
    {79, 342, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//827 QWidget::enterEvent(QEvent*)
    {79, 461, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//828 QWidget::leaveEvent(QEvent*)
    {79, 551, 291, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//829 QWidget::paintEvent(QPaintEvent*)
    {79, 503, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//830 QWidget::moveEvent(QMoveEvent*)
    {79, 277, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//831 QWidget::closeEvent(QCloseEvent*)
    {79, 291, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//832 QWidget::contextMenuEvent(QContextMenuEvent*)
    {79, 791, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//833 QWidget::tabletEvent(QTabletEvent*)
    {79, 224, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//834 QWidget::actionEvent(QActionEvent*)
    {79, 321, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//835 QWidget::dragEnterEvent(QDragEnterEvent*)
    {79, 325, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//836 QWidget::dragMoveEvent(QDragMoveEvent*)
    {79, 323, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//837 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {79, 327, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//838 QWidget::dropEvent(QDropEvent*)
    {79, 770, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//839 QWidget::showEvent(QShowEvent*)
    {79, 414, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//840 QWidget::hideEvent(QHideEvent*)
    {79, 849, 319, 1, Smoke::mf_protected|Smoke::mf_virtual, 232, 0},	//841 QWidget::x11Event(_XEvent*)
    {79, 266, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//842 QWidget::changeEvent(QEvent*)
    {79, 491, 321, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 276, 0},	//843 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {79, 429, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//844 QWidget::inputMethodEvent(QInputMethodEvent*)
    {79, 431, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//845 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {79, 377, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 232, 0},	//846 QWidget::focusNextPrevChild(bool)
    {79, 780, 323, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//847 QWidget::styleChange(QStyle&)
    {79, 332, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//848 QWidget::enabledChange(bool)
    {79, 554, 163, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//849 QWidget::paletteChange(const QPalette&)
    {79, 381, 325, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//850 QWidget::fontChange(const QFont&)
    {79, 847, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//851 QWidget::windowActivationChange(bool)
    {79, 457, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//852 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    739,  // QWebView::load(const QUrl&)
    803,  // QWebView::load(const QNetworkRequest&)
    0,
    134,  // QWebElementCollection::begin() const
    138,  // QWebElementCollection::begin()
    0,
    135,  // QWebElementCollection::end() const
    139,  // QWebElementCollection::end()
    0,
    187,  // QWebFrame::load(const QUrl&)
    249,  // QWebFrame::load(const QNetworkRequest&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 72, 22},	// QGlobalSpace::LicensedActiveQt
    {16, 73, 17},	// QGlobalSpace::LicensedCore
    {16, 74, 23},	// QGlobalSpace::LicensedDBus
    {16, 75, 21},	// QGlobalSpace::LicensedDeclarative
    {16, 76, 20},	// QGlobalSpace::LicensedGui
    {16, 77, 29},	// QGlobalSpace::LicensedHelp
    {16, 78, 28},	// QGlobalSpace::LicensedMultimedia
    {16, 79, 15},	// QGlobalSpace::LicensedNetwork
    {16, 80, 12},	// QGlobalSpace::LicensedOpenGL
    {16, 81, 14},	// QGlobalSpace::LicensedOpenVG
    {16, 82, 13},	// QGlobalSpace::LicensedQt3Support
    {16, 83, 26},	// QGlobalSpace::LicensedQt3SupportLight
    {16, 84, 27},	// QGlobalSpace::LicensedScript
    {16, 85, 25},	// QGlobalSpace::LicensedScriptTools
    {16, 86, 16},	// QGlobalSpace::LicensedSql
    {16, 87, 18},	// QGlobalSpace::LicensedSvg
    {16, 88, 24},	// QGlobalSpace::LicensedTest
    {16, 89, 6},	// QGlobalSpace::LicensedXml
    {16, 90, 19},	// QGlobalSpace::LicensedXmlPatterns
    {16, 163, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 164, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 165, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 166, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 167, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 168, 9},	// QGlobalSpace::QtCriticalMsg
    {16, 169, 7},	// QGlobalSpace::QtDebugMsg
    {16, 170, 10},	// QGlobalSpace::QtFatalMsg
    {16, 172, 11},	// QGlobalSpace::QtSystemMsg
    {16, 173, 8},	// QGlobalSpace::QtWarningMsg
    {49, 141, 37},	// QWebDatabase::QWebDatabase#
    {49, 315, 40},	// QWebDatabase::displayName
    {49, 350, 41},	// QWebDatabase::expectedSize
    {49, 360, 43},	// QWebDatabase::fileName
    {49, 504, 39},	// QWebDatabase::name
    {49, 535, 38},	// QWebDatabase::operator=#
    {49, 544, 44},	// QWebDatabase::origin
    {49, 583, 46},	// QWebDatabase::removeAllDatabases
    {49, 591, 45},	// QWebDatabase::removeDatabase#
    {49, 772, 42},	// QWebDatabase::size
    {49, 859, 47},	// QWebDatabase::~QWebDatabase
    {50, 9, 118},	// QWebElement::CascadedStyle
    {50, 15, 119},	// QWebElement::ComputedStyle
    {50, 60, 117},	// QWebElement::InlineStyle
    {50, 142, 48},	// QWebElement::QWebElement
    {50, 143, 49},	// QWebElement::QWebElement#
    {50, 226, 74},	// QWebElement::addClass$
    {50, 239, 92},	// QWebElement::appendInside#
    {50, 240, 91},	// QWebElement::appendInside$
    {50, 242, 96},	// QWebElement::appendOutside#
    {50, 243, 95},	// QWebElement::appendOutside$
    {50, 249, 114},	// QWebElement::attribute$
    {50, 250, 64},	// QWebElement::attribute$$
    {50, 252, 115},	// QWebElement::attributeNS$$
    {50, 253, 65},	// QWebElement::attributeNS$$$
    {50, 254, 116},	// QWebElement::attributeNames
    {50, 255, 71},	// QWebElement::attributeNames$
    {50, 272, 72},	// QWebElement::classes
    {50, 276, 105},	// QWebElement::clone
    {50, 316, 89},	// QWebElement::document
    {50, 334, 99},	// QWebElement::encloseContentsWith#
    {50, 335, 100},	// QWebElement::encloseContentsWith$
    {50, 337, 102},	// QWebElement::encloseWith#
    {50, 338, 101},	// QWebElement::encloseWith$
    {50, 346, 109},	// QWebElement::evaluateJavaScript$
    {50, 363, 54},	// QWebElement::findAll$
    {50, 367, 55},	// QWebElement::findFirst$
    {50, 374, 85},	// QWebElement::firstChild
    {50, 397, 79},	// QWebElement::geometry
    {50, 405, 66},	// QWebElement::hasAttribute$
    {50, 407, 67},	// QWebElement::hasAttributeNS$$
    {50, 408, 70},	// QWebElement::hasAttributes
    {50, 410, 73},	// QWebElement::hasClass$
    {50, 411, 77},	// QWebElement::hasFocus
    {50, 436, 53},	// QWebElement::isNull
    {50, 459, 86},	// QWebElement::lastChild
    {50, 481, 82},	// QWebElement::localName
    {50, 505, 83},	// QWebElement::namespaceUri
    {50, 507, 87},	// QWebElement::nextSibling
    {50, 513, 52},	// QWebElement::operator!=#
    {50, 535, 50},	// QWebElement::operator=#
    {50, 537, 51},	// QWebElement::operator==#
    {50, 555, 84},	// QWebElement::parent
    {50, 563, 81},	// QWebElement::prefix
    {50, 565, 94},	// QWebElement::prependInside#
    {50, 566, 93},	// QWebElement::prependInside$
    {50, 568, 98},	// QWebElement::prependOutside#
    {50, 569, 97},	// QWebElement::prependOutside$
    {50, 570, 88},	// QWebElement::previousSibling
    {50, 582, 108},	// QWebElement::removeAllChildren
    {50, 585, 68},	// QWebElement::removeAttribute$
    {50, 587, 69},	// QWebElement::removeAttributeNS$$
    {50, 589, 75},	// QWebElement::removeClass$
    {50, 592, 107},	// QWebElement::removeFromDocument
    {50, 596, 112},	// QWebElement::render#
    {50, 597, 113},	// QWebElement::render##
    {50, 605, 104},	// QWebElement::replace#
    {50, 606, 103},	// QWebElement::replace$
    {50, 647, 62},	// QWebElement::setAttribute$$
    {50, 649, 63},	// QWebElement::setAttributeNS$$$
    {50, 682, 78},	// QWebElement::setFocus
    {50, 697, 60},	// QWebElement::setInnerXml$
    {50, 723, 58},	// QWebElement::setOuterXml$
    {50, 731, 56},	// QWebElement::setPlainText$
    {50, 748, 111},	// QWebElement::setStyleProperty$$
    {50, 782, 110},	// QWebElement::styleProperty$$
    {50, 792, 80},	// QWebElement::tagName
    {50, 793, 106},	// QWebElement::takeFromDocument
    {50, 802, 61},	// QWebElement::toInnerXml
    {50, 804, 59},	// QWebElement::toOuterXml
    {50, 805, 57},	// QWebElement::toPlainText
    {50, 807, 76},	// QWebElement::toggleClass$
    {50, 842, 90},	// QWebElement::webFrame
    {50, 860, 120},	// QWebElement::~QWebElement
    {51, 144, 121},	// QWebElementCollection::QWebElementCollection
    {51, 145, 123},	// QWebElementCollection::QWebElementCollection#
    {51, 146, 122},	// QWebElementCollection::QWebElementCollection#$
    {51, 237, 127},	// QWebElementCollection::append#
    {51, 247, 129},	// QWebElementCollection::at$
    {51, 261, -4},	// QWebElementCollection::begin
    {51, 280, 136},	// QWebElementCollection::constBegin
    {51, 281, 137},	// QWebElementCollection::constEnd
    {51, 293, 128},	// QWebElementCollection::count
    {51, 341, -7},	// QWebElementCollection::end
    {51, 373, 131},	// QWebElementCollection::first
    {51, 458, 132},	// QWebElementCollection::last
    {51, 516, 125},	// QWebElementCollection::operator+#
    {51, 521, 126},	// QWebElementCollection::operator+=#
    {51, 535, 124},	// QWebElementCollection::operator=#
    {51, 543, 130},	// QWebElementCollection::operator[]$
    {51, 803, 133},	// QWebElementCollection::toList
    {51, 861, 140},	// QWebElementCollection::~QWebElementCollection
    {52, 283, 142},	// QWebElementCollection::const_iterator::const_iterator#
    {52, 284, 141},	// QWebElementCollection::const_iterator::const_iterator#$
    {52, 513, 145},	// QWebElementCollection::const_iterator::operator!=#
    {52, 514, 143},	// QWebElementCollection::const_iterator::operator*
    {52, 517, 156},	// QWebElementCollection::const_iterator::operator+$
    {52, 518, 150},	// QWebElementCollection::const_iterator::operator++
    {52, 519, 151},	// QWebElementCollection::const_iterator::operator++$
    {52, 522, 154},	// QWebElementCollection::const_iterator::operator+=$
    {52, 524, 158},	// QWebElementCollection::const_iterator::operator-#
    {52, 525, 157},	// QWebElementCollection::const_iterator::operator-$
    {52, 526, 152},	// QWebElementCollection::const_iterator::operator--
    {52, 527, 153},	// QWebElementCollection::const_iterator::operator--$
    {52, 529, 155},	// QWebElementCollection::const_iterator::operator-=$
    {52, 531, 146},	// QWebElementCollection::const_iterator::operator<#
    {52, 533, 147},	// QWebElementCollection::const_iterator::operator<=#
    {52, 537, 144},	// QWebElementCollection::const_iterator::operator==#
    {52, 539, 148},	// QWebElementCollection::const_iterator::operator>#
    {52, 541, 149},	// QWebElementCollection::const_iterator::operator>=#
    {52, 870, 159},	// QWebElementCollection::const_iterator::~const_iterator
    {53, 442, 161},	// QWebElementCollection::iterator::iterator#
    {53, 443, 160},	// QWebElementCollection::iterator::iterator#$
    {53, 513, 164},	// QWebElementCollection::iterator::operator!=#
    {53, 514, 162},	// QWebElementCollection::iterator::operator*
    {53, 517, 175},	// QWebElementCollection::iterator::operator+$
    {53, 518, 169},	// QWebElementCollection::iterator::operator++
    {53, 519, 170},	// QWebElementCollection::iterator::operator++$
    {53, 522, 173},	// QWebElementCollection::iterator::operator+=$
    {53, 524, 177},	// QWebElementCollection::iterator::operator-#
    {53, 525, 176},	// QWebElementCollection::iterator::operator-$
    {53, 526, 171},	// QWebElementCollection::iterator::operator--
    {53, 527, 172},	// QWebElementCollection::iterator::operator--$
    {53, 529, 174},	// QWebElementCollection::iterator::operator-=$
    {53, 531, 165},	// QWebElementCollection::iterator::operator<#
    {53, 533, 166},	// QWebElementCollection::iterator::operator<=#
    {53, 537, 163},	// QWebElementCollection::iterator::operator==#
    {53, 539, 167},	// QWebElementCollection::iterator::operator>#
    {53, 541, 168},	// QWebElementCollection::iterator::operator>=#
    {53, 871, 178},	// QWebElementCollection::iterator::~iterator
    {54, 6, 259},	// QWebFrame::AllLayers
    {54, 16, 256},	// QWebFrame::ContentsLayer
    {54, 129, 258},	// QWebFrame::PanIconLayer
    {54, 179, 257},	// QWebFrame::ScrollBarLayer
    {54, 232, 191},	// QWebFrame::addToJavaScriptWindowObject$#
    {54, 233, 192},	// QWebFrame::addToJavaScriptWindowObject$#$
    {54, 260, 200},	// QWebFrame::baseUrl
    {54, 269, 205},	// QWebFrame::childFrames
    {54, 288, 228},	// QWebFrame::contentsSize
    {54, 290, 243},	// QWebFrame::contentsSizeChanged#
    {54, 317, 229},	// QWebFrame::documentElement
    {54, 346, 235},	// QWebFrame::evaluateJavaScript$
    {54, 348, 233},	// QWebFrame::event#
    {54, 365, 230},	// QWebFrame::findAllElements$
    {54, 369, 231},	// QWebFrame::findFirstElement$
    {54, 396, 203},	// QWebFrame::frameName
    {54, 397, 227},	// QWebFrame::geometry
    {54, 411, 224},	// QWebFrame::hasFocus
    {54, 420, 232},	// QWebFrame::hitTestContent#
    {54, 422, 201},	// QWebFrame::icon
    {54, 423, 242},	// QWebFrame::iconChanged
    {54, 428, 241},	// QWebFrame::initialLayoutCompleted
    {54, 452, 237},	// QWebFrame::javaScriptWindowObjectCleared
    {54, 473, -10},	// QWebFrame::load#
    {54, 474, 250},	// QWebFrame::load#$
    {54, 475, 188},	// QWebFrame::load#$#
    {54, 477, 245},	// QWebFrame::loadFinished$
    {54, 480, 244},	// QWebFrame::loadStarted
    {54, 489, 202},	// QWebFrame::metaData
    {54, 490, 179},	// QWebFrame::metaObject
    {54, 546, 186},	// QWebFrame::page
    {54, 549, 246},	// QWebFrame::pageChanged
    {54, 556, 204},	// QWebFrame::parentFrame
    {54, 561, 226},	// QWebFrame::pos
    {54, 572, 236},	// QWebFrame::print#
    {54, 575, 238},	// QWebFrame::provisionalLoad
    {54, 577, 185},	// QWebFrame::qt_metacall$$?
    {54, 579, 180},	// QWebFrame::qt_metacast$
    {54, 596, 217},	// QWebFrame::render#
    {54, 597, 218},	// QWebFrame::render##
    {54, 598, 254},	// QWebFrame::render#$
    {54, 599, 219},	// QWebFrame::render#$#
    {54, 601, 195},	// QWebFrame::renderTreeDump
    {54, 607, 199},	// QWebFrame::requestedUrl
    {54, 622, 213},	// QWebFrame::scroll$$
    {54, 624, 212},	// QWebFrame::scrollBarGeometry$
    {54, 626, 211},	// QWebFrame::scrollBarMaximum$
    {54, 628, 210},	// QWebFrame::scrollBarMinimum$
    {54, 630, 206},	// QWebFrame::scrollBarPolicy$
    {54, 632, 209},	// QWebFrame::scrollBarValue$
    {54, 633, 214},	// QWebFrame::scrollPosition
    {54, 637, 216},	// QWebFrame::scrollToAnchor$
    {54, 638, 234},	// QWebFrame::securityOrigin
    {54, 653, 252},	// QWebFrame::setContent#
    {54, 654, 253},	// QWebFrame::setContent#$
    {54, 655, 190},	// QWebFrame::setContent#$#
    {54, 682, 225},	// QWebFrame::setFocus
    {54, 692, 251},	// QWebFrame::setHtml$
    {54, 693, 189},	// QWebFrame::setHtml$#
    {54, 742, 207},	// QWebFrame::setScrollBarPolicy$$
    {54, 744, 208},	// QWebFrame::setScrollBarValue$$
    {54, 746, 215},	// QWebFrame::setScrollPosition#
    {54, 752, 220},	// QWebFrame::setTextSizeMultiplier$
    {54, 754, 197},	// QWebFrame::setUrl#
    {54, 767, 223},	// QWebFrame::setZoomFactor$
    {54, 774, 255},	// QWebFrame::staticMetaObject
    {54, 796, 221},	// QWebFrame::textSizeMultiplier
    {54, 798, 196},	// QWebFrame::title
    {54, 800, 239},	// QWebFrame::titleChanged$
    {54, 801, 193},	// QWebFrame::toHtml
    {54, 805, 194},	// QWebFrame::toPlainText
    {54, 812, 247},	// QWebFrame::tr$
    {54, 813, 181},	// QWebFrame::tr$$
    {54, 814, 183},	// QWebFrame::tr$$$
    {54, 816, 248},	// QWebFrame::trUtf8$
    {54, 817, 182},	// QWebFrame::trUtf8$$
    {54, 818, 184},	// QWebFrame::trUtf8$$$
    {54, 830, 198},	// QWebFrame::url
    {54, 832, 240},	// QWebFrame::urlChanged#
    {54, 850, 222},	// QWebFrame::zoomFactor
    {55, 256, 266},	// QWebHistory::back
    {55, 257, 269},	// QWebHistory::backItem
    {55, 259, 262},	// QWebHistory::backItems$
    {55, 264, 264},	// QWebHistory::canGoBack
    {55, 265, 265},	// QWebHistory::canGoForward
    {55, 273, 260},	// QWebHistory::clear
    {55, 293, 274},	// QWebHistory::count
    {55, 302, 270},	// QWebHistory::currentItem
    {55, 303, 273},	// QWebHistory::currentItemIndex
    {55, 386, 267},	// QWebHistory::forward
    {55, 387, 271},	// QWebHistory::forwardItem
    {55, 389, 263},	// QWebHistory::forwardItems$
    {55, 402, 268},	// QWebHistory::goToItem#
    {55, 439, 272},	// QWebHistory::itemAt$
    {55, 440, 261},	// QWebHistory::items
    {55, 485, 275},	// QWebHistory::maximumItemCount
    {55, 703, 276},	// QWebHistory::setMaximumItemCount$
    {56, 147, 291},	// QWebHistoryInterface::QWebHistoryInterface
    {56, 148, 284},	// QWebHistoryInterface::QWebHistoryInterface#
    {56, 228, 288},	// QWebHistoryInterface::addHistoryEntry$
    {56, 310, 286},	// QWebHistoryInterface::defaultInterface
    {56, 418, 287},	// QWebHistoryInterface::historyContains$
    {56, 490, 277},	// QWebHistoryInterface::metaObject
    {56, 577, 283},	// QWebHistoryInterface::qt_metacall$$?
    {56, 579, 278},	// QWebHistoryInterface::qt_metacast$
    {56, 663, 285},	// QWebHistoryInterface::setDefaultInterface#
    {56, 774, 292},	// QWebHistoryInterface::staticMetaObject
    {56, 812, 289},	// QWebHistoryInterface::tr$
    {56, 813, 279},	// QWebHistoryInterface::tr$$
    {56, 814, 281},	// QWebHistoryInterface::tr$$$
    {56, 816, 290},	// QWebHistoryInterface::trUtf8$
    {56, 817, 280},	// QWebHistoryInterface::trUtf8$$
    {56, 818, 282},	// QWebHistoryInterface::trUtf8$$$
    {56, 862, 293},	// QWebHistoryInterface::~QWebHistoryInterface
    {57, 150, 294},	// QWebHistoryItem::QWebHistoryItem#
    {57, 422, 300},	// QWebHistoryItem::icon
    {57, 437, 303},	// QWebHistoryItem::isValid
    {57, 460, 299},	// QWebHistoryItem::lastVisited
    {57, 535, 295},	// QWebHistoryItem::operator=#
    {57, 545, 296},	// QWebHistoryItem::originalUrl
    {57, 756, 302},	// QWebHistoryItem::setUserData#
    {57, 798, 298},	// QWebHistoryItem::title
    {57, 830, 297},	// QWebHistoryItem::url
    {57, 835, 301},	// QWebHistoryItem::userData
    {57, 863, 304},	// QWebHistoryItem::~QWebHistoryItem
    {58, 151, 305},	// QWebHitTestResult::QWebHitTestResult
    {58, 152, 306},	// QWebHitTestResult::QWebHitTestResult#
    {58, 235, 318},	// QWebHitTestResult::alternateText
    {58, 262, 310},	// QWebHitTestResult::boundingRect
    {58, 329, 323},	// QWebHitTestResult::element
    {58, 339, 311},	// QWebHitTestResult::enclosingBlockElement
    {58, 391, 324},	// QWebHitTestResult::frame
    {58, 427, 319},	// QWebHitTestResult::imageUrl
    {58, 433, 321},	// QWebHitTestResult::isContentEditable
    {58, 434, 322},	// QWebHitTestResult::isContentSelected
    {58, 436, 308},	// QWebHitTestResult::isNull
    {58, 465, 317},	// QWebHitTestResult::linkElement
    {58, 468, 316},	// QWebHitTestResult::linkTargetFrame
    {58, 469, 313},	// QWebHitTestResult::linkText
    {58, 470, 315},	// QWebHitTestResult::linkTitle
    {58, 471, 314},	// QWebHitTestResult::linkUrl
    {58, 535, 307},	// QWebHitTestResult::operator=#
    {58, 557, 320},	// QWebHitTestResult::pixmap
    {58, 561, 309},	// QWebHitTestResult::pos
    {58, 798, 312},	// QWebHitTestResult::title
    {58, 864, 325},	// QWebHitTestResult::~QWebHitTestResult
    {59, 153, 344},	// QWebInspector::QWebInspector
    {59, 154, 333},	// QWebInspector::QWebInspector#
    {59, 278, 341},	// QWebInspector::closeEvent#
    {59, 348, 337},	// QWebInspector::event#
    {59, 415, 340},	// QWebInspector::hideEvent#
    {59, 490, 326},	// QWebInspector::metaObject
    {59, 546, 335},	// QWebInspector::page
    {59, 577, 332},	// QWebInspector::qt_metacall$$?
    {59, 579, 327},	// QWebInspector::qt_metacast$
    {59, 615, 338},	// QWebInspector::resizeEvent#
    {59, 725, 334},	// QWebInspector::setPage#
    {59, 771, 339},	// QWebInspector::showEvent#
    {59, 773, 336},	// QWebInspector::sizeHint
    {59, 774, 345},	// QWebInspector::staticMetaObject
    {59, 812, 342},	// QWebInspector::tr$
    {59, 813, 328},	// QWebInspector::tr$$
    {59, 814, 330},	// QWebInspector::tr$$$
    {59, 816, 343},	// QWebInspector::trUtf8$
    {59, 817, 329},	// QWebInspector::trUtf8$$
    {59, 818, 331},	// QWebInspector::trUtf8$$$
    {59, 865, 346},	// QWebInspector::~QWebInspector
    {60, 2, 517},	// QWebPage::AlignCenter
    {60, 3, 518},	// QWebPage::AlignJustified
    {60, 4, 519},	// QWebPage::AlignLeft
    {60, 5, 520},	// QWebPage::AlignRight
    {60, 8, 462},	// QWebPage::Back
    {60, 10, 538},	// QWebPage::ChooseMultipleFilesExtension
    {60, 17, 467},	// QWebPage::Copy
    {60, 18, 461},	// QWebPage::CopyImageToClipboard
    {60, 19, 522},	// QWebPage::CopyImageUrlToClipboard
    {60, 20, 458},	// QWebPage::CopyLinkToClipboard
    {60, 22, 466},	// QWebPage::Cut
    {60, 26, 530},	// QWebPage::DelegateAllLinks
    {60, 27, 529},	// QWebPage::DelegateExternalLinks
    {60, 29, 496},	// QWebPage::DeleteEndOfWord
    {60, 30, 495},	// QWebPage::DeleteStartOfWord
    {60, 33, 528},	// QWebPage::DontDelegateLinks
    {60, 34, 460},	// QWebPage::DownloadImageToDisk
    {60, 35, 457},	// QWebPage::DownloadLinkToDisk
    {60, 38, 539},	// QWebPage::ErrorPageExtension
    {60, 48, 524},	// QWebPage::FindBackward
    {60, 49, 525},	// QWebPage::FindCaseSensitively
    {60, 50, 526},	// QWebPage::FindWrapsAroundDocument
    {60, 52, 463},	// QWebPage::Forward
    {60, 54, 537},	// QWebPage::Geolocation
    {60, 55, 527},	// QWebPage::HighlightAllOccurrences
    {60, 56, 541},	// QWebPage::Http
    {60, 59, 515},	// QWebPage::Indent
    {60, 62, 505},	// QWebPage::InsertLineSeparator
    {60, 63, 514},	// QWebPage::InsertOrderedList
    {60, 64, 504},	// QWebPage::InsertParagraphSeparator
    {60, 65, 513},	// QWebPage::InsertUnorderedList
    {60, 66, 503},	// QWebPage::InspectElement
    {60, 102, 480},	// QWebPage::MoveToEndOfBlock
    {60, 103, 482},	// QWebPage::MoveToEndOfDocument
    {60, 104, 478},	// QWebPage::MoveToEndOfLine
    {60, 105, 471},	// QWebPage::MoveToNextChar
    {60, 106, 475},	// QWebPage::MoveToNextLine
    {60, 107, 473},	// QWebPage::MoveToNextWord
    {60, 108, 472},	// QWebPage::MoveToPreviousChar
    {60, 109, 476},	// QWebPage::MoveToPreviousLine
    {60, 110, 474},	// QWebPage::MoveToPreviousWord
    {60, 111, 479},	// QWebPage::MoveToStartOfBlock
    {60, 112, 481},	// QWebPage::MoveToStartOfDocument
    {60, 113, 477},	// QWebPage::MoveToStartOfLine
    {60, 114, 449},	// QWebPage::NavigationTypeBackOrForward
    {60, 115, 451},	// QWebPage::NavigationTypeFormResubmitted
    {60, 116, 448},	// QWebPage::NavigationTypeFormSubmitted
    {60, 117, 447},	// QWebPage::NavigationTypeLinkClicked
    {60, 118, 452},	// QWebPage::NavigationTypeOther
    {60, 119, 450},	// QWebPage::NavigationTypeReload
    {60, 120, 453},	// QWebPage::NoWebAction
    {60, 121, 536},	// QWebPage::Notifications
    {60, 124, 456},	// QWebPage::OpenFrameInNewWindow
    {60, 125, 459},	// QWebPage::OpenImageInNewWindow
    {60, 126, 454},	// QWebPage::OpenLink
    {60, 127, 455},	// QWebPage::OpenLinkInNewWindow
    {60, 128, 516},	// QWebPage::Outdent
    {60, 130, 468},	// QWebPage::Paste
    {60, 131, 508},	// QWebPage::PasteAndMatchStyle
    {60, 132, 535},	// QWebPage::PermissionDeniedByUser
    {60, 133, 534},	// QWebPage::PermissionGrantedByUser
    {60, 134, 533},	// QWebPage::PermissionUnknown
    {60, 155, 441},	// QWebPage::QWebPage
    {60, 156, 354},	// QWebPage::QWebPage#
    {60, 171, 540},	// QWebPage::QtNetwork
    {60, 174, 470},	// QWebPage::Redo
    {60, 175, 465},	// QWebPage::Reload
    {60, 176, 507},	// QWebPage::ReloadAndBypassCache
    {60, 177, 509},	// QWebPage::RemoveFormat
    {60, 182, 506},	// QWebPage::SelectAll
    {60, 183, 492},	// QWebPage::SelectEndOfBlock
    {60, 184, 494},	// QWebPage::SelectEndOfDocument
    {60, 185, 490},	// QWebPage::SelectEndOfLine
    {60, 186, 483},	// QWebPage::SelectNextChar
    {60, 187, 487},	// QWebPage::SelectNextLine
    {60, 188, 485},	// QWebPage::SelectNextWord
    {60, 189, 484},	// QWebPage::SelectPreviousChar
    {60, 190, 488},	// QWebPage::SelectPreviousLine
    {60, 191, 486},	// QWebPage::SelectPreviousWord
    {60, 192, 491},	// QWebPage::SelectStartOfBlock
    {60, 193, 493},	// QWebPage::SelectStartOfDocument
    {60, 194, 489},	// QWebPage::SelectStartOfLine
    {60, 196, 497},	// QWebPage::SetTextDirectionDefault
    {60, 197, 498},	// QWebPage::SetTextDirectionLeftToRight
    {60, 198, 499},	// QWebPage::SetTextDirectionRightToLeft
    {60, 202, 464},	// QWebPage::Stop
    {60, 203, 521},	// QWebPage::StopScheduledPageRefresh
    {60, 206, 500},	// QWebPage::ToggleBold
    {60, 207, 501},	// QWebPage::ToggleItalic
    {60, 208, 510},	// QWebPage::ToggleStrikethrough
    {60, 209, 511},	// QWebPage::ToggleSubscript
    {60, 210, 512},	// QWebPage::ToggleSuperscript
    {60, 211, 502},	// QWebPage::ToggleUnderline
    {60, 212, 469},	// QWebPage::Undo
    {60, 213, 523},	// QWebPage::WebActionCount
    {60, 214, 531},	// QWebPage::WebBrowserWindow
    {60, 216, 542},	// QWebPage::WebKit
    {60, 217, 532},	// QWebPage::WebModalDialog
    {60, 221, 432},	// QWebPage::acceptNavigationRequest##$
    {60, 223, 373},	// QWebPage::action$
    {60, 245, 424},	// QWebPage::applicationCacheQuotaExceeded#?
    {60, 263, 369},	// QWebPage::bytesReceived
    {60, 271, 433},	// QWebPage::chooseFile#$
    {60, 287, 422},	// QWebPage::contentsChanged
    {60, 297, 431},	// QWebPage::createPlugin$#??
    {60, 298, 395},	// QWebPage::createStandardContextMenu
    {60, 300, 430},	// QWebPage::createWindow$
    {60, 301, 356},	// QWebPage::currentFrame
    {60, 307, 423},	// QWebPage::databaseQuotaExceeded#$
    {60, 320, 420},	// QWebPage::downloadRequested#
    {60, 348, 381},	// QWebPage::event#
    {60, 352, 444},	// QWebPage::extension$
    {60, 353, 445},	// QWebPage::extension$#
    {60, 354, 399},	// QWebPage::extension$##
    {60, 356, 429},	// QWebPage::featurePermissionRequestCanceled#$
    {60, 358, 428},	// QWebPage::featurePermissionRequested#$
    {60, 371, 443},	// QWebPage::findText$
    {60, 372, 384},	// QWebPage::findText$$
    {60, 378, 382},	// QWebPage::focusNextPrevChild$
    {60, 390, 386},	// QWebPage::forwardUnsupportedContent
    {60, 393, 357},	// QWebPage::frameAt#
    {60, 395, 409},	// QWebPage::frameCreated#
    {60, 399, 410},	// QWebPage::geometryChangeRequested#
    {60, 403, 401},	// QWebPage::handle
    {60, 412, 370},	// QWebPage::hasSelection
    {60, 416, 358},	// QWebPage::history
    {60, 432, 383},	// QWebPage::inputMethodQuery$
    {60, 433, 392},	// QWebPage::isContentEditable
    {60, 435, 362},	// QWebPage::isModified
    {60, 445, 434},	// QWebPage::javaScriptAlert#$
    {60, 447, 435},	// QWebPage::javaScriptConfirm#$
    {60, 449, 437},	// QWebPage::javaScriptConsoleMessage$$$
    {60, 451, 436},	// QWebPage::javaScriptPrompt#$$$
    {60, 463, 415},	// QWebPage::linkClicked#
    {60, 464, 388},	// QWebPage::linkDelegationPolicy
    {60, 467, 406},	// QWebPage::linkHovered$$$
    {60, 477, 405},	// QWebPage::loadFinished$
    {60, 479, 404},	// QWebPage::loadProgress$
    {60, 480, 403},	// QWebPage::loadStarted
    {60, 484, 355},	// QWebPage::mainFrame
    {60, 488, 418},	// QWebPage::menuBarVisibilityChangeRequested$
    {60, 490, 347},	// QWebPage::metaObject
    {60, 492, 421},	// QWebPage::microFocusChanged
    {60, 506, 365},	// QWebPage::networkAccessManager
    {60, 553, 390},	// QWebPage::palette
    {60, 558, 367},	// QWebPage::pluginFactory
    {60, 562, 378},	// QWebPage::preferredContentsSize
    {60, 574, 414},	// QWebPage::printRequested#
    {60, 577, 353},	// QWebPage::qt_metacall$$?
    {60, 579, 348},	// QWebPage::qt_metacast$
    {60, 603, 411},	// QWebPage::repaintRequested#
    {60, 617, 426},	// QWebPage::restoreFrameStateRequested#
    {60, 619, 425},	// QWebPage::saveFrameStateRequested##
    {60, 635, 412},	// QWebPage::scrollRequested$$#
    {60, 639, 372},	// QWebPage::selectedHtml
    {60, 640, 371},	// QWebPage::selectedText
    {60, 641, 408},	// QWebPage::selectionChanged
    {60, 643, 380},	// QWebPage::setActualVisibleContentRect#
    {60, 657, 391},	// QWebPage::setContentEditable$
    {60, 677, 396},	// QWebPage::setFeaturePermission#$$
    {60, 688, 385},	// QWebPage::setForwardUnsupportedContent$
    {60, 699, 387},	// QWebPage::setLinkDelegationPolicy$
    {60, 711, 364},	// QWebPage::setNetworkAccessManager#
    {60, 727, 389},	// QWebPage::setPalette#
    {60, 733, 366},	// QWebPage::setPluginFactory#
    {60, 735, 379},	// QWebPage::setPreferredContentsSize#
    {60, 760, 360},	// QWebPage::setView#
    {60, 762, 376},	// QWebPage::setViewportSize#
    {60, 768, 359},	// QWebPage::settings
    {60, 769, 402},	// QWebPage::shouldInterruptJavaScript
    {60, 774, 446},	// QWebPage::staticMetaObject
    {60, 776, 407},	// QWebPage::statusBarMessage$
    {60, 778, 417},	// QWebPage::statusBarVisibilityChangeRequested$
    {60, 784, 397},	// QWebPage::supportedContentTypes
    {60, 786, 398},	// QWebPage::supportsContentType$
    {60, 788, 400},	// QWebPage::supportsExtension$
    {60, 790, 393},	// QWebPage::swallowContextMenuEvent#
    {60, 809, 416},	// QWebPage::toolBarVisibilityChangeRequested$
    {60, 810, 368},	// QWebPage::totalBytes
    {60, 812, 439},	// QWebPage::tr$
    {60, 813, 349},	// QWebPage::tr$$
    {60, 814, 351},	// QWebPage::tr$$$
    {60, 816, 440},	// QWebPage::trUtf8$
    {60, 817, 350},	// QWebPage::trUtf8$$
    {60, 818, 352},	// QWebPage::trUtf8$$$
    {60, 820, 442},	// QWebPage::triggerAction$
    {60, 821, 374},	// QWebPage::triggerAction$$
    {60, 825, 363},	// QWebPage::undoStack
    {60, 827, 419},	// QWebPage::unsupportedContent#
    {60, 829, 394},	// QWebPage::updatePositionDependentActions#
    {60, 834, 438},	// QWebPage::userAgentForUrl#
    {60, 837, 361},	// QWebPage::view
    {60, 839, 377},	// QWebPage::viewportAttributesForSize#
    {60, 840, 427},	// QWebPage::viewportChangeRequested
    {60, 841, 375},	// QWebPage::viewportSize
    {60, 848, 413},	// QWebPage::windowCloseRequested
    {60, 866, 543},	// QWebPage::~QWebPage
    {61, 11, 544},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption
    {61, 12, 545},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption#
    {61, 556, 546},	// QWebPage::ChooseMultipleFilesExtensionOption::parentFrame
    {61, 729, 547},	// QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame#
    {61, 750, 549},	// QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames?
    {61, 783, 548},	// QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames
    {61, 851, 550},	// QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption
    {62, 13, 551},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn
    {62, 14, 552},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn#
    {62, 361, 553},	// QWebPage::ChooseMultipleFilesExtensionReturn::fileNames
    {62, 681, 554},	// QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames?
    {62, 852, 555},	// QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn
    {63, 39, 556},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption
    {63, 40, 557},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption#
    {63, 318, 562},	// QWebPage::ErrorPageExtensionOption::domain
    {63, 343, 564},	// QWebPage::ErrorPageExtensionOption::error
    {63, 344, 566},	// QWebPage::ErrorPageExtensionOption::errorString
    {63, 391, 560},	// QWebPage::ErrorPageExtensionOption::frame
    {63, 669, 563},	// QWebPage::ErrorPageExtensionOption::setDomain$
    {63, 673, 565},	// QWebPage::ErrorPageExtensionOption::setError$
    {63, 675, 567},	// QWebPage::ErrorPageExtensionOption::setErrorString$
    {63, 690, 561},	// QWebPage::ErrorPageExtensionOption::setFrame#
    {63, 754, 559},	// QWebPage::ErrorPageExtensionOption::setUrl#
    {63, 830, 558},	// QWebPage::ErrorPageExtensionOption::url
    {63, 853, 568},	// QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption
    {64, 41, 569},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn
    {64, 42, 570},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn#
    {64, 260, 575},	// QWebPage::ErrorPageExtensionReturn::baseUrl
    {64, 285, 577},	// QWebPage::ErrorPageExtensionReturn::content
    {64, 286, 571},	// QWebPage::ErrorPageExtensionReturn::contentType
    {64, 340, 573},	// QWebPage::ErrorPageExtensionReturn::encoding
    {64, 651, 576},	// QWebPage::ErrorPageExtensionReturn::setBaseUrl#
    {64, 653, 578},	// QWebPage::ErrorPageExtensionReturn::setContent#
    {64, 659, 572},	// QWebPage::ErrorPageExtensionReturn::setContentType$
    {64, 671, 574},	// QWebPage::ErrorPageExtensionReturn::setEncoding$
    {64, 854, 579},	// QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn
    {65, 43, 580},	// QWebPage::ExtensionOption::ExtensionOption
    {65, 44, 581},	// QWebPage::ExtensionOption::ExtensionOption#
    {65, 855, 582},	// QWebPage::ExtensionOption::~ExtensionOption
    {66, 45, 583},	// QWebPage::ExtensionReturn::ExtensionReturn
    {66, 46, 584},	// QWebPage::ExtensionReturn::ExtensionReturn#
    {66, 856, 585},	// QWebPage::ExtensionReturn::~ExtensionReturn
    {69, 157, 601},	// QWebPluginFactory::QWebPluginFactory
    {69, 158, 593},	// QWebPluginFactory::QWebPluginFactory#
    {69, 295, 596},	// QWebPluginFactory::create$#??
    {69, 352, 602},	// QWebPluginFactory::extension$
    {69, 353, 603},	// QWebPluginFactory::extension$#
    {69, 354, 597},	// QWebPluginFactory::extension$##
    {69, 490, 586},	// QWebPluginFactory::metaObject
    {69, 559, 594},	// QWebPluginFactory::plugins
    {69, 577, 592},	// QWebPluginFactory::qt_metacall$$?
    {69, 579, 587},	// QWebPluginFactory::qt_metacast$
    {69, 580, 595},	// QWebPluginFactory::refreshPlugins
    {69, 774, 604},	// QWebPluginFactory::staticMetaObject
    {69, 788, 598},	// QWebPluginFactory::supportsExtension$
    {69, 812, 599},	// QWebPluginFactory::tr$
    {69, 813, 588},	// QWebPluginFactory::tr$$
    {69, 814, 590},	// QWebPluginFactory::tr$$$
    {69, 816, 600},	// QWebPluginFactory::trUtf8$
    {69, 817, 589},	// QWebPluginFactory::trUtf8$$
    {69, 818, 591},	// QWebPluginFactory::trUtf8$$$
    {69, 867, 605},	// QWebPluginFactory::~QWebPluginFactory
    {70, 43, 606},	// QWebPluginFactory::ExtensionOption::ExtensionOption
    {70, 44, 607},	// QWebPluginFactory::ExtensionOption::ExtensionOption#
    {70, 855, 608},	// QWebPluginFactory::ExtensionOption::~ExtensionOption
    {71, 45, 609},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn
    {71, 46, 610},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn#
    {71, 856, 611},	// QWebPluginFactory::ExtensionReturn::~ExtensionReturn
    {72, 96, 614},	// QWebPluginFactory::MimeType::MimeType
    {72, 97, 615},	// QWebPluginFactory::MimeType::MimeType#
    {72, 312, 618},	// QWebPluginFactory::MimeType::description
    {72, 359, 620},	// QWebPluginFactory::MimeType::fileExtensions
    {72, 504, 616},	// QWebPluginFactory::MimeType::name
    {72, 513, 613},	// QWebPluginFactory::MimeType::operator!=#
    {72, 537, 612},	// QWebPluginFactory::MimeType::operator==#
    {72, 667, 619},	// QWebPluginFactory::MimeType::setDescription$
    {72, 679, 621},	// QWebPluginFactory::MimeType::setFileExtensions?
    {72, 709, 617},	// QWebPluginFactory::MimeType::setName$
    {72, 857, 622},	// QWebPluginFactory::MimeType::~MimeType
    {73, 135, 623},	// QWebPluginFactory::Plugin::Plugin
    {73, 136, 624},	// QWebPluginFactory::Plugin::Plugin#
    {73, 312, 627},	// QWebPluginFactory::Plugin::description
    {73, 493, 629},	// QWebPluginFactory::Plugin::mimeTypes
    {73, 504, 625},	// QWebPluginFactory::Plugin::name
    {73, 667, 628},	// QWebPluginFactory::Plugin::setDescription$
    {73, 707, 630},	// QWebPluginFactory::Plugin::setMimeTypes?
    {73, 709, 626},	// QWebPluginFactory::Plugin::setName$
    {73, 858, 631},	// QWebPluginFactory::Plugin::~Plugin
    {74, 160, 644},	// QWebSecurityOrigin::QWebSecurityOrigin#
    {74, 230, 633},	// QWebSecurityOrigin::addLocalScheme$
    {74, 234, 632},	// QWebSecurityOrigin::allOrigins
    {74, 305, 640},	// QWebSecurityOrigin::databaseQuota
    {74, 308, 639},	// QWebSecurityOrigin::databaseUsage
    {74, 309, 643},	// QWebSecurityOrigin::databases
    {74, 421, 637},	// QWebSecurityOrigin::host
    {74, 482, 635},	// QWebSecurityOrigin::localSchemes
    {74, 535, 645},	// QWebSecurityOrigin::operator=#
    {74, 560, 638},	// QWebSecurityOrigin::port
    {74, 594, 634},	// QWebSecurityOrigin::removeLocalScheme$
    {74, 620, 636},	// QWebSecurityOrigin::scheme
    {74, 645, 642},	// QWebSecurityOrigin::setApplicationCacheQuota?
    {74, 661, 641},	// QWebSecurityOrigin::setDatabaseQuota?
    {74, 868, 646},	// QWebSecurityOrigin::~QWebSecurityOrigin
    {75, 1, 708},	// QWebSettings::AcceleratedCompositingEnabled
    {75, 7, 690},	// QWebSettings::AutoLoadImages
    {75, 21, 688},	// QWebSettings::CursiveFont
    {75, 23, 728},	// QWebSettings::DefaultFixedFontSize
    {75, 24, 727},	// QWebSettings::DefaultFontSize
    {75, 25, 719},	// QWebSettings::DefaultFrameIconGraphic
    {75, 28, 721},	// QWebSettings::DeleteButtonGraphic
    {75, 31, 697},	// QWebSettings::DeveloperExtrasEnabled
    {75, 32, 706},	// QWebSettings::DnsPrefetchEnabled
    {75, 47, 689},	// QWebSettings::FantasyFont
    {75, 51, 685},	// QWebSettings::FixedFont
    {75, 53, 712},	// QWebSettings::FrameFlatteningEnabled
    {75, 57, 716},	// QWebSettings::HyperlinkAuditingEnabled
    {75, 61, 722},	// QWebSettings::InputSpeechButtonGraphic
    {75, 67, 692},	// QWebSettings::JavaEnabled
    {75, 68, 696},	// QWebSettings::JavascriptCanAccessClipboard
    {75, 69, 714},	// QWebSettings::JavascriptCanCloseWindows
    {75, 70, 695},	// QWebSettings::JavascriptCanOpenWindows
    {75, 71, 691},	// QWebSettings::JavascriptEnabled
    {75, 91, 698},	// QWebSettings::LinksIncludedInFocusChain
    {75, 92, 710},	// QWebSettings::LocalContentCanAccessFileUrls
    {75, 93, 705},	// QWebSettings::LocalContentCanAccessRemoteUrls
    {75, 94, 704},	// QWebSettings::LocalStorageDatabaseEnabled
    {75, 95, 703},	// QWebSettings::LocalStorageEnabled
    {75, 98, 725},	// QWebSettings::MinimumFontSize
    {75, 99, 726},	// QWebSettings::MinimumLogicalFontSize
    {75, 100, 717},	// QWebSettings::MissingImageGraphic
    {75, 101, 718},	// QWebSettings::MissingPluginGraphic
    {75, 122, 701},	// QWebSettings::OfflineStorageDatabaseEnabled
    {75, 123, 702},	// QWebSettings::OfflineWebApplicationCacheEnabled
    {75, 137, 693},	// QWebSettings::PluginsEnabled
    {75, 138, 700},	// QWebSettings::PrintElementBackgrounds
    {75, 139, 694},	// QWebSettings::PrivateBrowsingEnabled
    {75, 178, 687},	// QWebSettings::SansSerifFont
    {75, 180, 723},	// QWebSettings::SearchCancelButtonGraphic
    {75, 181, 724},	// QWebSettings::SearchCancelButtonPressedGraphic
    {75, 195, 686},	// QWebSettings::SerifFont
    {75, 199, 713},	// QWebSettings::SiteSpecificQuirksEnabled
    {75, 200, 709},	// QWebSettings::SpatialNavigationEnabled
    {75, 201, 684},	// QWebSettings::StandardFont
    {75, 204, 720},	// QWebSettings::TextAreaSizeGripCornerGraphic
    {75, 205, 711},	// QWebSettings::TiledBackingStoreEnabled
    {75, 215, 715},	// QWebSettings::WebGLEnabled
    {75, 218, 707},	// QWebSettings::XSSAuditingEnabled
    {75, 219, 699},	// QWebSettings::ZoomTextOnly
    {75, 274, 663},	// QWebSettings::clearIconDatabase
    {75, 275, 680},	// QWebSettings::clearMemoryCaches
    {75, 311, 660},	// QWebSettings::defaultTextEncoding
    {75, 330, 683},	// QWebSettings::enablePersistentStorage
    {75, 331, 681},	// QWebSettings::enablePersistentStorage$
    {75, 383, 649},	// QWebSettings::fontFamily$
    {75, 385, 652},	// QWebSettings::fontSize$
    {75, 400, 647},	// QWebSettings::globalSettings
    {75, 403, 682},	// QWebSettings::handle
    {75, 424, 662},	// QWebSettings::iconDatabasePath
    {75, 426, 664},	// QWebSettings::iconForUrl#
    {75, 483, 679},	// QWebSettings::localStoragePath
    {75, 486, 668},	// QWebSettings::maximumPagesInCache
    {75, 508, 673},	// QWebSettings::offlineStorageDefaultQuota
    {75, 509, 671},	// QWebSettings::offlineStoragePath
    {75, 510, 675},	// QWebSettings::offlineWebApplicationCachePath
    {75, 511, 677},	// QWebSettings::offlineWebApplicationCacheQuota
    {75, 609, 656},	// QWebSettings::resetAttribute$
    {75, 611, 650},	// QWebSettings::resetFontFamily$
    {75, 613, 653},	// QWebSettings::resetFontSize$
    {75, 647, 654},	// QWebSettings::setAttribute$$
    {75, 665, 659},	// QWebSettings::setDefaultTextEncoding$
    {75, 684, 648},	// QWebSettings::setFontFamily$$
    {75, 686, 651},	// QWebSettings::setFontSize$$
    {75, 695, 661},	// QWebSettings::setIconDatabasePath$
    {75, 701, 678},	// QWebSettings::setLocalStoragePath$
    {75, 705, 667},	// QWebSettings::setMaximumPagesInCache$
    {75, 713, 669},	// QWebSettings::setObjectCacheCapacities$$$
    {75, 715, 672},	// QWebSettings::setOfflineStorageDefaultQuota?
    {75, 717, 670},	// QWebSettings::setOfflineStoragePath$
    {75, 719, 674},	// QWebSettings::setOfflineWebApplicationCachePath$
    {75, 721, 676},	// QWebSettings::setOfflineWebApplicationCacheQuota?
    {75, 758, 657},	// QWebSettings::setUserStyleSheetUrl#
    {75, 765, 665},	// QWebSettings::setWebGraphic$#
    {75, 795, 655},	// QWebSettings::testAttribute$
    {75, 836, 658},	// QWebSettings::userStyleSheetUrl
    {75, 844, 666},	// QWebSettings::webGraphic$
    {77, 161, 802},	// QWebView::QWebView
    {77, 162, 736},	// QWebView::QWebView#
    {77, 256, 767},	// QWebView::back
    {77, 267, 783},	// QWebView::changeEvent#
    {77, 292, 788},	// QWebView::contextMenuEvent#
    {77, 300, 782},	// QWebView::createWindow$
    {77, 322, 792},	// QWebView::dragEnterEvent#
    {77, 324, 793},	// QWebView::dragLeaveEvent#
    {77, 326, 794},	// QWebView::dragMoveEvent#
    {77, 328, 795},	// QWebView::dropEvent#
    {77, 348, 765},	// QWebView::event#
    {77, 371, 810},	// QWebView::findText$
    {77, 372, 764},	// QWebView::findText$$
    {77, 376, 796},	// QWebView::focusInEvent#
    {77, 378, 799},	// QWebView::focusNextPrevChild$
    {77, 380, 797},	// QWebView::focusOutEvent#
    {77, 386, 768},	// QWebView::forward
    {77, 412, 749},	// QWebView::hasSelection
    {77, 416, 743},	// QWebView::history
    {77, 422, 748},	// QWebView::icon
    {77, 423, 778},	// QWebView::iconChanged
    {77, 430, 798},	// QWebView::inputMethodEvent#
    {77, 432, 755},	// QWebView::inputMethodQuery$
    {77, 435, 754},	// QWebView::isModified
    {77, 454, 790},	// QWebView::keyPressEvent#
    {77, 456, 791},	// QWebView::keyReleaseEvent#
    {77, 463, 776},	// QWebView::linkClicked#
    {77, 473, -1},	// QWebView::load#
    {77, 474, 804},	// QWebView::load#$
    {77, 475, 740},	// QWebView::load#$#
    {77, 477, 773},	// QWebView::loadFinished$
    {77, 479, 772},	// QWebView::loadProgress$
    {77, 480, 771},	// QWebView::loadStarted
    {77, 490, 729},	// QWebView::metaObject
    {77, 496, 786},	// QWebView::mouseDoubleClickEvent#
    {77, 498, 784},	// QWebView::mouseMoveEvent#
    {77, 500, 785},	// QWebView::mousePressEvent#
    {77, 502, 787},	// QWebView::mouseReleaseEvent#
    {77, 546, 737},	// QWebView::page
    {77, 548, 752},	// QWebView::pageAction$
    {77, 552, 781},	// QWebView::paintEvent#
    {77, 572, 770},	// QWebView::print#
    {77, 577, 735},	// QWebView::qt_metacall$$?
    {77, 579, 730},	// QWebView::qt_metacast$
    {77, 581, 769},	// QWebView::reload
    {77, 600, 761},	// QWebView::renderHints
    {77, 615, 780},	// QWebView::resizeEvent#
    {77, 639, 751},	// QWebView::selectedHtml
    {77, 640, 750},	// QWebView::selectedText
    {77, 641, 777},	// QWebView::selectionChanged
    {77, 653, 806},	// QWebView::setContent#
    {77, 654, 807},	// QWebView::setContent#$
    {77, 655, 742},	// QWebView::setContent#$#
    {77, 692, 805},	// QWebView::setHtml$
    {77, 693, 741},	// QWebView::setHtml$#
    {77, 725, 738},	// QWebView::setPage#
    {77, 737, 809},	// QWebView::setRenderHint$
    {77, 738, 763},	// QWebView::setRenderHint$$
    {77, 740, 762},	// QWebView::setRenderHints$
    {77, 752, 759},	// QWebView::setTextSizeMultiplier$
    {77, 754, 746},	// QWebView::setUrl#
    {77, 767, 758},	// QWebView::setZoomFactor$
    {77, 768, 744},	// QWebView::settings
    {77, 773, 756},	// QWebView::sizeHint
    {77, 774, 811},	// QWebView::staticMetaObject
    {77, 776, 775},	// QWebView::statusBarMessage$
    {77, 779, 766},	// QWebView::stop
    {77, 796, 760},	// QWebView::textSizeMultiplier
    {77, 798, 745},	// QWebView::title
    {77, 800, 774},	// QWebView::titleChanged$
    {77, 812, 800},	// QWebView::tr$
    {77, 813, 731},	// QWebView::tr$$
    {77, 814, 733},	// QWebView::tr$$$
    {77, 816, 801},	// QWebView::trUtf8$
    {77, 817, 732},	// QWebView::trUtf8$$
    {77, 818, 734},	// QWebView::trUtf8$$$
    {77, 823, 808},	// QWebView::triggerPageAction$
    {77, 824, 753},	// QWebView::triggerPageAction$$
    {77, 830, 747},	// QWebView::url
    {77, 832, 779},	// QWebView::urlChanged#
    {77, 846, 789},	// QWebView::wheelEvent#
    {77, 850, 757},	// QWebView::zoomFactor
    {77, 869, 812},	// QWebView::~QWebView
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        __smokeqtwebkit::classes, 79,
        __smokeqtwebkit::methods, 853,
        __smokeqtwebkit::methodMaps, 802,
        __smokeqtwebkit::methodNames, 871,
        __smokeqtwebkit::types, 286,
        __smokeqtwebkit::inheritanceList,
        __smokeqtwebkit::argumentList,
        __smokeqtwebkit::ambiguousMethodList,
        __smokeqtwebkit::cast );
    initialized = true;
}

void delete_qtwebkit_Smoke() { delete qtwebkit_Smoke; }

}
