#include <qtxml_includes.h>

#include <smoke.h>
#include <qtxml_smoke.h>

namespace __smokeqtxml {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBitArray
      switch(to) {
        case 1: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 2:   //QBool
      switch(to) {
        case 2: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 3:   //QByteArray
      switch(to) {
        case 3: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 4:   //QChar
      switch(to) {
        case 4: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 5:   //QDataStream
      switch(to) {
        case 5: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 6:   //QDate
      switch(to) {
        case 6: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 7:   //QDateTime
      switch(to) {
        case 7: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 8:   //QDebug
      switch(to) {
        case 8: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 9:   //QDir
      switch(to) {
        case 9: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 10:   //QDomAttr
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomAttr*)xptr;
        case 10: return (void*)(QDomAttr*)xptr;
        default: return xptr;
      }
    case 11:   //QDomCDATASection
      switch(to) {
        case 27: return (void*)(QDomText*)(QDomCDATASection*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomCDATASection*)xptr;
        case 22: return (void*)(QDomNode*)(QDomCDATASection*)xptr;
        case 11: return (void*)(QDomCDATASection*)xptr;
        default: return xptr;
      }
    case 12:   //QDomCharacterData
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomCharacterData*)xptr;
        case 12: return (void*)(QDomCharacterData*)xptr;
        case 27: return (void*)(QDomText*)(QDomCharacterData*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomCharacterData*)xptr;
        case 13: return (void*)(QDomComment*)(QDomCharacterData*)xptr;
        default: return xptr;
      }
    case 13:   //QDomComment
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomComment*)xptr;
        case 22: return (void*)(QDomNode*)(QDomComment*)xptr;
        case 13: return (void*)(QDomComment*)xptr;
        default: return xptr;
      }
    case 14:   //QDomDocument
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 14: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 15:   //QDomDocumentFragment
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentFragment*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)xptr;
        default: return xptr;
      }
    case 16:   //QDomDocumentType
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentType*)xptr;
        case 16: return (void*)(QDomDocumentType*)xptr;
        default: return xptr;
      }
    case 17:   //QDomElement
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 17: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 18:   //QDomEntity
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntity*)xptr;
        case 18: return (void*)(QDomEntity*)xptr;
        default: return xptr;
      }
    case 19:   //QDomEntityReference
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntityReference*)xptr;
        case 19: return (void*)(QDomEntityReference*)xptr;
        default: return xptr;
      }
    case 20:   //QDomImplementation
      switch(to) {
        case 20: return (void*)(QDomImplementation*)xptr;
        default: return xptr;
      }
    case 21:   //QDomNamedNodeMap
      switch(to) {
        case 21: return (void*)(QDomNamedNodeMap*)xptr;
        default: return xptr;
      }
    case 22:   //QDomNode
      switch(to) {
        case 22: return (void*)(QDomNode*)xptr;
        case 27: return (void*)(QDomText*)(QDomNode*)xptr;
        case 25: return (void*)(QDomNotation*)(QDomNode*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)(QDomNode*)xptr;
        case 17: return (void*)(QDomElement*)(QDomNode*)xptr;
        case 10: return (void*)(QDomAttr*)(QDomNode*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomNode*)xptr;
        case 18: return (void*)(QDomEntity*)(QDomNode*)xptr;
        case 16: return (void*)(QDomDocumentType*)(QDomNode*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomNode*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)(QDomNode*)xptr;
        case 13: return (void*)(QDomComment*)(QDomNode*)xptr;
        case 19: return (void*)(QDomEntityReference*)(QDomNode*)xptr;
        case 14: return (void*)(QDomDocument*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 23:   //QDomNodeList
      switch(to) {
        case 23: return (void*)(QDomNodeList*)xptr;
        default: return xptr;
      }
    case 24:   //QDomNodePrivate
      switch(to) {
        case 24: return (void*)(QDomNodePrivate*)xptr;
        default: return xptr;
      }
    case 25:   //QDomNotation
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomNotation*)xptr;
        case 25: return (void*)(QDomNotation*)xptr;
        default: return xptr;
      }
    case 26:   //QDomProcessingInstruction
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomProcessingInstruction*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)xptr;
        default: return xptr;
      }
    case 27:   //QDomText
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomText*)xptr;
        case 22: return (void*)(QDomNode*)(QDomText*)xptr;
        case 27: return (void*)(QDomText*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomText*)xptr;
        default: return xptr;
      }
    case 28:   //QEasingCurve
      switch(to) {
        case 28: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QHashDummyValue
      switch(to) {
        case 30: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 31:   //QIODevice
      switch(to) {
        case 40: return (void*)(QObject*)(QIODevice*)xptr;
        case 31: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 32:   //QIncompatibleFlag
      switch(to) {
        case 32: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 33:   //QLatin1String
      switch(to) {
        case 33: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 34:   //QLine
      switch(to) {
        case 34: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 35:   //QLineF
      switch(to) {
        case 35: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 36:   //QLocale
      switch(to) {
        case 36: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 37:   //QMargins
      switch(to) {
        case 37: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 38:   //QMetaObject
      switch(to) {
        case 38: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 39:   //QModelIndex
      switch(to) {
        case 39: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 40:   //QObject
      switch(to) {
        case 40: return (void*)(QObject*)xptr;
        default: return xptr;
      }
    case 41:   //QPersistentModelIndex
      switch(to) {
        case 41: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 42:   //QPoint
      switch(to) {
        case 42: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 43:   //QPointF
      switch(to) {
        case 43: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 44:   //QRect
      switch(to) {
        case 44: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 45:   //QRectF
      switch(to) {
        case 45: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 46:   //QRegExp
      switch(to) {
        case 46: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 47:   //QSize
      switch(to) {
        case 47: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 48:   //QSizeF
      switch(to) {
        case 48: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 49:   //QString::Null
      switch(to) {
        case 49: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 50:   //QStringRef
      switch(to) {
        case 50: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 51:   //QTextCodec
      switch(to) {
        case 51: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QUrl
      switch(to) {
        case 55: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 56:   //QUuid
      switch(to) {
        case 56: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 57:   //QVariant
      switch(to) {
        case 57: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 58:   //QVariantComparisonHelper
      switch(to) {
        case 58: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 59:   //QXmlAttributes
      switch(to) {
        case 59: return (void*)(QXmlAttributes*)xptr;
        default: return xptr;
      }
    case 60:   //QXmlContentHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlContentHandler*)xptr;
        default: return xptr;
      }
    case 61:   //QXmlDTDHandler
      switch(to) {
        case 61: return (void*)(QXmlDTDHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDTDHandler*)xptr;
        default: return xptr;
      }
    case 62:   //QXmlDeclHandler
      switch(to) {
        case 62: return (void*)(QXmlDeclHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDeclHandler*)xptr;
        default: return xptr;
      }
    case 63:   //QXmlDefaultHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)(QXmlDefaultHandler*)xptr;
        case 65: return (void*)(QXmlErrorHandler*)(QXmlDefaultHandler*)xptr;
        case 61: return (void*)(QXmlDTDHandler*)(QXmlDefaultHandler*)xptr;
        case 64: return (void*)(QXmlEntityResolver*)(QXmlDefaultHandler*)xptr;
        case 67: return (void*)(QXmlLexicalHandler*)(QXmlDefaultHandler*)xptr;
        case 62: return (void*)(QXmlDeclHandler*)(QXmlDefaultHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)xptr;
        default: return xptr;
      }
    case 64:   //QXmlEntityResolver
      switch(to) {
        case 64: return (void*)(QXmlEntityResolver*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlEntityResolver*)xptr;
        default: return xptr;
      }
    case 65:   //QXmlErrorHandler
      switch(to) {
        case 65: return (void*)(QXmlErrorHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlErrorHandler*)xptr;
        default: return xptr;
      }
    case 66:   //QXmlInputSource
      switch(to) {
        case 66: return (void*)(QXmlInputSource*)xptr;
        default: return xptr;
      }
    case 67:   //QXmlLexicalHandler
      switch(to) {
        case 67: return (void*)(QXmlLexicalHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlLexicalHandler*)xptr;
        default: return xptr;
      }
    case 68:   //QXmlLocator
      switch(to) {
        case 68: return (void*)(QXmlLocator*)xptr;
        default: return xptr;
      }
    case 69:   //QXmlNamespaceSupport
      switch(to) {
        case 69: return (void*)(QXmlNamespaceSupport*)xptr;
        default: return xptr;
      }
    case 70:   //QXmlParseException
      switch(to) {
        case 70: return (void*)(QXmlParseException*)xptr;
        default: return xptr;
      }
    case 71:   //QXmlReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)(QXmlReader*)xptr;
        default: return xptr;
      }
    case 72:   //QXmlSimpleReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)(QXmlSimpleReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)xptr;
        default: return xptr;
      }
    case 73:   //QXmlStreamAttribute
      switch(to) {
        case 73: return (void*)(QXmlStreamAttribute*)xptr;
        default: return xptr;
      }
    case 74:   //QXmlStreamAttributes
      switch(to) {
        case 74: return (void*)(QXmlStreamAttributes*)xptr;
        default: return xptr;
      }
    case 75:   //QXmlStreamReader
      switch(to) {
        case 75: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    case 76:   //QXmlStreamWriter
      switch(to) {
        case 76: return (void*)(QXmlStreamWriter*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    22, 0,	// 1: QDomNode
    27, 0,	// 3: QDomText
    12, 0,	// 5: QDomCharacterData
    60, 65, 61, 64, 67, 62, 0,	// 7: QXmlContentHandler, QXmlErrorHandler, QXmlDTDHandler, QXmlEntityResolver, QXmlLexicalHandler, QXmlDeclHandler
    71, 0,	// 14: QXmlReader
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomImplementation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomNode(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDomAttr(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCDATASection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCharacterData(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomComment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentFragment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntityReference(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomImplementation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNamedNodeMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNode(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNodeList(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNotation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomProcessingInstruction(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomText(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlContentHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDTDHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDeclHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDefaultHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlEntityResolver(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlErrorHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlInputSource(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLexicalHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLocator(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlNamespaceSupport(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlParseException(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlSimpleReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlStreamWriter(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//1
    { "QBool", true, 0, 0, 0, 0, 0 },	//2
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//3
    { "QChar", true, 0, 0, 0, 0, 0 },	//4
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//5
    { "QDate", true, 0, 0, 0, 0, 0 },	//6
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//7
    { "QDebug", true, 0, 0, 0, 0, 0 },	//8
    { "QDir", true, 0, 0, 0, 0, 0 },	//9
    { "QDomAttr", false, 1, xcall_QDomAttr, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomAttr) },	//10
    { "QDomCDATASection", false, 3, xcall_QDomCDATASection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCDATASection) },	//11
    { "QDomCharacterData", false, 1, xcall_QDomCharacterData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCharacterData) },	//12
    { "QDomComment", false, 5, xcall_QDomComment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomComment) },	//13
    { "QDomDocument", false, 1, xcall_QDomDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocument) },	//14
    { "QDomDocumentFragment", false, 1, xcall_QDomDocumentFragment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentFragment) },	//15
    { "QDomDocumentType", false, 1, xcall_QDomDocumentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentType) },	//16
    { "QDomElement", false, 1, xcall_QDomElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomElement) },	//17
    { "QDomEntity", false, 1, xcall_QDomEntity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntity) },	//18
    { "QDomEntityReference", false, 1, xcall_QDomEntityReference, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntityReference) },	//19
    { "QDomImplementation", false, 0, xcall_QDomImplementation, xenum_QDomImplementation, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomImplementation) },	//20
    { "QDomNamedNodeMap", false, 0, xcall_QDomNamedNodeMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNamedNodeMap) },	//21
    { "QDomNode", false, 0, xcall_QDomNode, xenum_QDomNode, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNode) },	//22
    { "QDomNodeList", false, 0, xcall_QDomNodeList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNodeList) },	//23
    { "QDomNodePrivate", true, 0, 0, 0, 0, 0 },	//24
    { "QDomNotation", false, 1, xcall_QDomNotation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNotation) },	//25
    { "QDomProcessingInstruction", false, 1, xcall_QDomProcessingInstruction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomProcessingInstruction) },	//26
    { "QDomText", false, 5, xcall_QDomText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomText) },	//27
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//28
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//29
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//30
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//31
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//32
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//33
    { "QLine", true, 0, 0, 0, 0, 0 },	//34
    { "QLineF", true, 0, 0, 0, 0, 0 },	//35
    { "QLocale", true, 0, 0, 0, 0, 0 },	//36
    { "QMargins", true, 0, 0, 0, 0, 0 },	//37
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//38
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//39
    { "QObject", true, 0, 0, 0, 0, 0 },	//40
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//41
    { "QPoint", true, 0, 0, 0, 0, 0 },	//42
    { "QPointF", true, 0, 0, 0, 0, 0 },	//43
    { "QRect", true, 0, 0, 0, 0, 0 },	//44
    { "QRectF", true, 0, 0, 0, 0, 0 },	//45
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//46
    { "QSize", true, 0, 0, 0, 0, 0 },	//47
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//48
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//49
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//50
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QUrl", true, 0, 0, 0, 0, 0 },	//55
    { "QUuid", true, 0, 0, 0, 0, 0 },	//56
    { "QVariant", true, 0, 0, 0, 0, 0 },	//57
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//58
    { "QXmlAttributes", false, 0, xcall_QXmlAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlAttributes) },	//59
    { "QXmlContentHandler", false, 0, xcall_QXmlContentHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlContentHandler) },	//60
    { "QXmlDTDHandler", false, 0, xcall_QXmlDTDHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDTDHandler) },	//61
    { "QXmlDeclHandler", false, 0, xcall_QXmlDeclHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDeclHandler) },	//62
    { "QXmlDefaultHandler", false, 7, xcall_QXmlDefaultHandler, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlDefaultHandler) },	//63
    { "QXmlEntityResolver", false, 0, xcall_QXmlEntityResolver, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlEntityResolver) },	//64
    { "QXmlErrorHandler", false, 0, xcall_QXmlErrorHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlErrorHandler) },	//65
    { "QXmlInputSource", false, 0, xcall_QXmlInputSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlInputSource) },	//66
    { "QXmlLexicalHandler", false, 0, xcall_QXmlLexicalHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLexicalHandler) },	//67
    { "QXmlLocator", false, 0, xcall_QXmlLocator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLocator) },	//68
    { "QXmlNamespaceSupport", false, 0, xcall_QXmlNamespaceSupport, 0, Smoke::cf_constructor, sizeof(QXmlNamespaceSupport) },	//69
    { "QXmlParseException", false, 0, xcall_QXmlParseException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlParseException) },	//70
    { "QXmlReader", false, 0, xcall_QXmlReader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlReader) },	//71
    { "QXmlSimpleReader", false, 14, xcall_QXmlSimpleReader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlSimpleReader) },	//72
    { "QXmlStreamAttribute", true, 0, 0, 0, 0, 0 },	//73
    { "QXmlStreamAttributes", true, 0, 0, 0, 0, 0 },	//74
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//75
    { "QXmlStreamWriter", false, 0, xcall_QXmlStreamWriter, 0, Smoke::cf_constructor, sizeof(QXmlStreamWriter) },	//76
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 1, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 2, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 3, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 3, Smoke::t_class|Smoke::tf_ref },	//6
    { "QByteArray*", 3, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QChar", 4, Smoke::t_class|Smoke::tf_stack },	//8
    { "QChar&", 4, Smoke::t_class|Smoke::tf_ref },	//9
    { "QDataStream&", 5, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 6, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 7, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filter", 9, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QDir::SortFlag", 9, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QDomAttr", 10, Smoke::t_class|Smoke::tf_stack },	//17
    { "QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref },	//18
    { "QDomAttr*", 10, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QDomCDATASection", 11, Smoke::t_class|Smoke::tf_stack },	//20
    { "QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDomCDATASection*", 11, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QDomCharacterData", 12, Smoke::t_class|Smoke::tf_stack },	//23
    { "QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref },	//24
    { "QDomCharacterData*", 12, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QDomComment", 13, Smoke::t_class|Smoke::tf_stack },	//26
    { "QDomComment&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDomComment*", 13, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDomDocument", 14, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDomDocument*", 14, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDomDocumentFragment", 15, Smoke::t_class|Smoke::tf_stack },	//32
    { "QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDomDocumentFragment*", 15, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDomDocumentType", 16, Smoke::t_class|Smoke::tf_stack },	//35
    { "QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref },	//36
    { "QDomDocumentType*", 16, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDomElement", 17, Smoke::t_class|Smoke::tf_stack },	//38
    { "QDomElement&", 17, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDomElement*", 17, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDomEntity", 18, Smoke::t_class|Smoke::tf_stack },	//41
    { "QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref },	//42
    { "QDomEntity*", 18, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDomEntityReference", 19, Smoke::t_class|Smoke::tf_stack },	//44
    { "QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref },	//45
    { "QDomEntityReference*", 19, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QDomImplementation", 20, Smoke::t_class|Smoke::tf_stack },	//47
    { "QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref },	//48
    { "QDomImplementation*", 20, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDomImplementation::InvalidDataPolicy", 20, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QDomNamedNodeMap", 21, Smoke::t_class|Smoke::tf_stack },	//51
    { "QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref },	//52
    { "QDomNamedNodeMap*", 21, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QDomNode", 22, Smoke::t_class|Smoke::tf_stack },	//54
    { "QDomNode&", 22, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDomNode*", 22, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDomNode::EncodingPolicy", 22, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QDomNode::NodeType", 22, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QDomNodeList", 23, Smoke::t_class|Smoke::tf_stack },	//59
    { "QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref },	//60
    { "QDomNodeList*", 23, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QDomNodePrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QDomNotation", 25, Smoke::t_class|Smoke::tf_stack },	//63
    { "QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref },	//64
    { "QDomNotation*", 25, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QDomProcessingInstruction", 26, Smoke::t_class|Smoke::tf_stack },	//66
    { "QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref },	//67
    { "QDomProcessingInstruction*", 26, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QDomText", 27, Smoke::t_class|Smoke::tf_stack },	//69
    { "QDomText&", 27, Smoke::t_class|Smoke::tf_ref },	//70
    { "QDomText*", 27, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref },	//72
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QIODevice*", 31, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QIODevice::OpenModeFlag", 31, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QIncompatibleFlag", 32, Smoke::t_class|Smoke::tf_stack },	//106
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QLine&", 34, Smoke::t_class|Smoke::tf_ref },	//108
    { "QLineF&", 35, Smoke::t_class|Smoke::tf_ref },	//109
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "QLocale&", 36, Smoke::t_class|Smoke::tf_ref },	//111
    { "QLocale::NumberOption", 36, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QObject*", 40, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QObject*(*)()", 40, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QPoint&", 42, Smoke::t_class|Smoke::tf_ref },	//115
    { "QPointF&", 43, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRect&", 44, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRectF&", 45, Smoke::t_class|Smoke::tf_ref },	//118
    { "QRegExp&", 46, Smoke::t_class|Smoke::tf_ref },	//119
    { "QSize&", 47, Smoke::t_class|Smoke::tf_ref },	//120
    { "QSizeF&", 48, Smoke::t_class|Smoke::tf_ref },	//121
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//122
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//123
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//124
    { "QString::Null", 49, Smoke::t_class|Smoke::tf_stack },	//125
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//128
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//129
    { "QTextCodec*", 51, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QTextCodec::ConversionFlag", 51, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//132
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//133
    { "QTextStream::NumberFlag", 52, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//135
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//136
    { "QUrl&", 55, Smoke::t_class|Smoke::tf_ref },	//137
    { "QUrl::FormattingOption", 55, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QUuid&", 56, Smoke::t_class|Smoke::tf_ref },	//139
    { "QVariant&", 57, Smoke::t_class|Smoke::tf_ref },	//140
    { "QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QVariant::Type&", 57, Smoke::t_enum|Smoke::tf_ref },	//142
    { "QXmlAttributes*", 59, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QXmlContentHandler*", 60, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QXmlDTDHandler*", 61, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QXmlDeclHandler*", 62, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QXmlDefaultHandler*", 63, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QXmlEntityResolver*", 64, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QXmlErrorHandler*", 65, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QXmlInputSource*&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//151
    { "QXmlLexicalHandler*", 67, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QXmlLocator*", 68, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QXmlNamespaceSupport*", 69, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QXmlParseException*", 70, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QXmlReader*", 71, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QXmlSimpleReader*", 72, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QXmlStreamWriter*", 76, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtMsgType", 29, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QtValidLicenseForActiveQtModule", 29, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QtValidLicenseForCoreModule", 29, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QtValidLicenseForDBusModule", 29, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QtValidLicenseForDeclarativeModule", 29, Smoke::t_enum|Smoke::tf_stack },	//237
    { "QtValidLicenseForGuiModule", 29, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QtValidLicenseForHelpModule", 29, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QtValidLicenseForMultimediaModule", 29, Smoke::t_enum|Smoke::tf_stack },	//240
    { "QtValidLicenseForNetworkModule", 29, Smoke::t_enum|Smoke::tf_stack },	//241
    { "QtValidLicenseForOpenGLModule", 29, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QtValidLicenseForOpenVGModule", 29, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QtValidLicenseForQt3SupportLightModule", 29, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QtValidLicenseForQt3SupportModule", 29, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QtValidLicenseForScriptModule", 29, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QtValidLicenseForScriptToolsModule", 29, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QtValidLicenseForSqlModule", 29, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QtValidLicenseForSvgModule", 29, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QtValidLicenseForTestModule", 29, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QtValidLicenseForXmlModule", 29, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QtValidLicenseForXmlPatternsModule", 29, Smoke::t_enum|Smoke::tf_stack },	//252
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//253
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//254
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//255
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//256
    { "const QBitArray&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QByteArray", 3, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//258
    { "const QByteArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QChar&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QDate&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QDateTime&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QDir&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QDomComment&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QDomElement&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QDomNode&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QDomText&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const QHashDummyValue&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QLatin1String&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QLine&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QLineF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QLocale&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QMargins&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QMetaObject&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QModelIndex&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QObject*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//290
    { "const QPersistentModelIndex&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QPoint", 42, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//292
    { "const QPoint&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QPointF", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//294
    { "const QPointF&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QRect&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QRectF&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QRegExp&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QRegExp*", 46, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//299
    { "const QSize", 47, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//300
    { "const QSize&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QSizeF", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//302
    { "const QSizeF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//304
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//307
    { "const QStringRef&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QUrl&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QUuid&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QVariant&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//313
    { "const QVariantComparisonHelper&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QXmlAttributes&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const QXmlContentHandler&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const QXmlDTDHandler&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QXmlDeclHandler&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const QXmlEntityResolver&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QXmlErrorHandler&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QXmlInputSource&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//322
    { "const QXmlLexicalHandler&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QXmlLocator&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QXmlParseException&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QXmlReader&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QXmlStreamAttribute&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QXmlStreamAttributes&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QXmlStreamReader&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//330
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//331
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//332
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//333
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//334
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//335
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//336
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//337
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//338
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//339
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//340
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//341
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//342
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//343
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//344
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//345
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//346
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//347
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//348
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//349
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//350
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//351
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//352
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//353
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    264, 0,	//1  const QDomAttr&
    305, 0,	//3  const QString&
    265, 0,	//5  const QDomCDATASection&
    266, 0,	//7  const QDomCharacterData&
    346, 346, 0,	//9  unsigned long, unsigned long
    346, 305, 0,	//12  unsigned long, const QString&
    346, 346, 305, 0,	//15  unsigned long, unsigned long, const QString&
    267, 0,	//19  const QDomComment&
    270, 0,	//21  const QDomDocumentType&
    268, 0,	//23  const QDomDocument&
    305, 305, 0,	//25  const QString&, const QString&
    276, 253, 0,	//28  const QDomNode&, bool
    259, 253, 124, 337, 337, 0,	//31  const QByteArray&, bool, QString*, int*, int*
    305, 253, 124, 337, 337, 0,	//37  const QString&, bool, QString*, int*, int*
    104, 253, 124, 337, 337, 0,	//43  QIODevice*, bool, QString*, int*, int*
    150, 253, 124, 337, 337, 0,	//49  QXmlInputSource*, bool, QString*, int*, int*
    259, 124, 337, 337, 0,	//55  const QByteArray&, QString*, int*, int*
    305, 124, 337, 337, 0,	//60  const QString&, QString*, int*, int*
    104, 124, 337, 337, 0,	//65  QIODevice*, QString*, int*, int*
    150, 156, 124, 337, 337, 0,	//70  QXmlInputSource*, QXmlReader*, QString*, int*, int*
    336, 0,	//76  int
    259, 253, 0,	//78  const QByteArray&, bool
    259, 253, 124, 0,	//81  const QByteArray&, bool, QString*
    259, 253, 124, 337, 0,	//85  const QByteArray&, bool, QString*, int*
    305, 253, 0,	//90  const QString&, bool
    305, 253, 124, 0,	//93  const QString&, bool, QString*
    305, 253, 124, 337, 0,	//97  const QString&, bool, QString*, int*
    104, 253, 0,	//102  QIODevice*, bool
    104, 253, 124, 0,	//105  QIODevice*, bool, QString*
    104, 253, 124, 337, 0,	//109  QIODevice*, bool, QString*, int*
    150, 253, 0,	//114  QXmlInputSource*, bool
    150, 253, 124, 0,	//117  QXmlInputSource*, bool, QString*
    150, 253, 124, 337, 0,	//121  QXmlInputSource*, bool, QString*, int*
    259, 0,	//126  const QByteArray&
    259, 124, 0,	//128  const QByteArray&, QString*
    259, 124, 337, 0,	//131  const QByteArray&, QString*, int*
    305, 124, 0,	//135  const QString&, QString*
    305, 124, 337, 0,	//138  const QString&, QString*, int*
    104, 0,	//142  QIODevice*
    104, 124, 0,	//144  QIODevice*, QString*
    104, 124, 337, 0,	//147  QIODevice*, QString*, int*
    150, 156, 0,	//151  QXmlInputSource*, QXmlReader*
    150, 156, 124, 0,	//154  QXmlInputSource*, QXmlReader*, QString*
    150, 156, 124, 337, 0,	//158  QXmlInputSource*, QXmlReader*, QString*, int*
    269, 0,	//163  const QDomDocumentFragment&
    271, 0,	//165  const QDomElement&
    305, 339, 0,	//167  const QString&, long long
    305, 347, 0,	//170  const QString&, unsigned long long
    305, 336, 0,	//173  const QString&, int
    305, 345, 0,	//176  const QString&, unsigned int
    305, 335, 0,	//179  const QString&, float
    305, 334, 0,	//182  const QString&, double
    304, 305, 305, 0,	//185  const QString, const QString&, const QString&
    304, 305, 336, 0,	//189  const QString, const QString&, int
    304, 305, 345, 0,	//193  const QString, const QString&, unsigned int
    304, 305, 339, 0,	//197  const QString, const QString&, long long
    304, 305, 347, 0,	//201  const QString, const QString&, unsigned long long
    304, 305, 334, 0,	//205  const QString, const QString&, double
    304, 305, 0,	//209  const QString, const QString&
    272, 0,	//212  const QDomEntity&
    273, 0,	//214  const QDomEntityReference&
    274, 0,	//216  const QDomImplementation&
    305, 305, 305, 0,	//218  const QString&, const QString&, const QString&
    305, 305, 270, 0,	//222  const QString&, const QString&, const QDomDocumentType&
    50, 0,	//226  QDomImplementation::InvalidDataPolicy
    275, 0,	//228  const QDomNamedNodeMap&
    276, 0,	//230  const QDomNode&
    276, 276, 0,	//232  const QDomNode&, const QDomNode&
    253, 0,	//235  bool
    132, 336, 0,	//237  QTextStream&, int
    132, 336, 57, 0,	//240  QTextStream&, int, QDomNode::EncodingPolicy
    62, 0,	//244  QDomNodePrivate*
    277, 0,	//246  const QDomNodeList&
    278, 0,	//248  const QDomNotation&
    279, 0,	//250  const QDomProcessingInstruction&
    280, 0,	//252  const QDomText&
    334, 0,	//254  double
    74, 74, 0,	//256  QFile::Permission, QFile::Permission
    10, 9, 0,	//259  QDataStream&, QChar&
    16, 78, 0,	//262  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    330, 283, 0,	//265  const char*, const QLatin1String&
    10, 111, 0,	//268  QDataStream&, QLocale&
    230, 336, 0,	//271  Qt::WindowType, int
    256, 330, 345, 0,	//274  char*, const char*, unsigned int
    345, 0,	//278  unsigned int
    255, 0,	//280  char
    303, 334, 0,	//282  const QSizeF&, double
    13, 284, 0,	//285  QDebug, const QLine&
    330, 0,	//288  const char*
    259, 330, 0,	//290  const QByteArray&, const char*
    330, 305, 0,	//293  const char*, const QString&
    10, 117, 0,	//296  QDataStream&, QRect&
    195, 195, 0,	//299  Qt::ItemFlag, Qt::ItemFlag
    312, 314, 0,	//302  const QVariant&, const QVariantComparisonHelper&
    13, 81, 0,	//305  QDebug, QFlags<QIODevice::OpenModeFlag>
    301, 301, 0,	//308  const QSize&, const QSize&
    8, 305, 0,	//311  QChar, const QString&
    330, 330, 345, 0,	//314  const char*, const char*, unsigned int
    283, 283, 0,	//318  const QLatin1String&, const QLatin1String&
    308, 308, 0,	//321  const QStringRef&, const QStringRef&
    256, 342, 330, 349, 0,	//324  char*, size_t, const char*, va_list
    295, 295, 0,	//329  const QPointF&, const QPointF&
    305, 308, 0,	//332  const QString&, const QStringRef&
    305, 8, 0,	//335  const QString&, QChar
    330, 345, 0,	//338  const char*, unsigned int
    10, 72, 0,	//341  QDataStream&, QEasingCurve&
    283, 308, 0,	//344  const QLatin1String&, const QStringRef&
    13, 261, 0,	//347  QDebug, const QDate&
    220, 220, 0,	//350  Qt::ToolBarArea, Qt::ToolBarArea
    13, 285, 0,	//353  QDebug, const QLineF&
    297, 297, 0,	//356  const QRectF&, const QRectF&
    343, 0,	//359  unsigned char
    290, 305, 299, 288, 110, 0,	//361  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    308, 283, 0,	//367  const QStringRef&, const QLatin1String&
    10, 11, 0,	//370  QDataStream&, QDate&
    335, 0,	//373  float
    217, 336, 0,	//375  Qt::TextInteractionFlag, int
    8, 8, 0,	//378  QChar, QChar
    8, 0,	//381  QChar
    10, 137, 0,	//383  QDataStream&, QUrl&
    13, 289, 0,	//386  QDebug, const QModelIndex&
    107, 82, 0,	//389  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    330, 336, 0,	//392  const char*, int
    334, 334, 0,	//395  double, double
    10, 313, 0,	//398  QDataStream&, const QVariant::Type
    340, 0,	//401  short
    10, 312, 0,	//403  QDataStream&, const QVariant&
    217, 99, 0,	//406  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    195, 94, 0,	//409  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    338, 0,	//412  long
    192, 93, 0,	//414  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    330, 330, 0,	//417  const char*, const char*
    10, 303, 0,	//420  QDataStream&, const QSizeF&
    125, 125, 0,	//423  QString::Null, QString::Null
    330, 259, 0,	//426  const char*, const QByteArray&
    257, 0,	//429  const QBitArray&
    16, 16, 0,	//431  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    256, 330, 0,	//434  char*, const char*
    257, 257, 0,	//437  const QBitArray&, const QBitArray&
    293, 293, 0,	//440  const QPoint&, const QPoint&
    198, 95, 0,	//443  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    295, 334, 0,	//446  const QPointF&, double
    13, 303, 0,	//449  QDebug, const QSizeF&
    282, 282, 0,	//452  const QHashDummyValue&, const QHashDummyValue&
    1, 1, 0,	//455  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    10, 139, 0,	//458  QDataStream&, QUuid&
    296, 296, 0,	//461  const QRect&, const QRect&
    259, 259, 0,	//464  const QByteArray&, const QByteArray&
    331, 336, 0,	//467  const unsigned char*, int
    259, 336, 0,	//470  const QByteArray&, int
    10, 305, 0,	//473  QDataStream&, const QString&
    132, 133, 0,	//476  QTextStream&, QTextStream&(*)(QTextStream&)
    181, 336, 0,	//479  Qt::DropAction, int
    352, 342, 342, 342, 0,	//482  void*, size_t, size_t, size_t
    201, 336, 0,	//487  Qt::MatchFlag, int
    10, 293, 0,	//490  QDataStream&, const QPoint&
    13, 296, 0,	//493  QDebug, const QRect&
    131, 85, 0,	//496  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    348, 0,	//499  unsigned short
    217, 217, 0,	//501  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    126, 84, 0,	//504  QString::SectionFlag, QFlags<QString::SectionFlag>
    13, 263, 0,	//507  QDebug, const QDir&
    203, 203, 0,	//510  Qt::MouseButton, Qt::MouseButton
    352, 342, 0,	//513  void*, size_t
    181, 181, 0,	//516  Qt::DropAction, Qt::DropAction
    1, 336, 0,	//519  QAbstractFileEngine::FileFlag, int
    305, 125, 0,	//522  const QString&, QString::Null
    186, 91, 0,	//525  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    73, 336, 0,	//528  QEventLoop::ProcessEventsFlag, int
    112, 112, 0,	//531  QLocale::NumberOption, QLocale::NumberOption
    105, 105, 0,	//534  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    10, 109, 0,	//537  QDataStream&, QLineF&
    10, 285, 0,	//540  QDataStream&, const QLineF&
    303, 303, 0,	//543  const QSizeF&, const QSizeF&
    334, 301, 0,	//546  double, const QSize&
    179, 89, 0,	//549  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    339, 0,	//552  long long
    201, 96, 0,	//554  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    293, 335, 0,	//557  const QPoint&, float
    295, 0,	//560  const QPointF&
    159, 336, 0,	//562  Qt::AlignmentFlag, int
    190, 336, 0,	//565  Qt::ImageConversionFlag, int
    13, 301, 0,	//568  QDebug, const QSize&
    131, 336, 0,	//571  QTextCodec::ConversionFlag, int
    13, 293, 0,	//574  QDebug, const QPoint&
    13, 310, 0,	//577  QDebug, const QUrl&
    293, 0,	//580  const QPoint&
    10, 295, 0,	//582  QDataStream&, const QPointF&
    131, 131, 0,	//585  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    4, 4, 0,	//588  QBool, QBool
    305, 255, 0,	//591  const QString&, char
    330, 308, 0,	//594  const char*, const QStringRef&
    347, 0,	//597  unsigned long long
    134, 336, 0,	//599  QTextStream::NumberFlag, int
    13, 295, 0,	//602  QDebug, const QPointF&
    125, 305, 0,	//605  QString::Null, const QString&
    350, 0,	//608  void(*)()
    112, 83, 0,	//610  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    186, 186, 0,	//613  Qt::GestureFlag, Qt::GestureFlag
    10, 118, 0,	//616  QDataStream&, QRectF&
    335, 335, 0,	//619  float, float
    10, 260, 0,	//622  QDataStream&, const QChar&
    10, 116, 0,	//625  QDataStream&, QPointF&
    301, 334, 0,	//628  const QSize&, double
    351, 0,	//631  void(*)(QtMsgType,const char*)
    132, 135, 0,	//633  QTextStream&, QTextStreamManipulator
    159, 159, 0,	//636  Qt::AlignmentFlag, Qt::AlignmentFlag
    10, 108, 0,	//639  QDataStream&, QLine&
    14, 14, 0,	//642  QDir::Filter, QDir::Filter
    293, 334, 0,	//645  const QPoint&, double
    10, 259, 0,	//648  QDataStream&, const QByteArray&
    10, 281, 0,	//651  QDataStream&, const QEasingCurve&
    190, 190, 0,	//654  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    229, 336, 0,	//657  Qt::WindowState, int
    10, 123, 0,	//660  QDataStream&, QString&
    290, 305, 288, 0,	//663  const QObject*, const QString&, const QMetaObject&
    10, 297, 0,	//667  QDataStream&, const QRectF&
    10, 3, 0,	//670  QDataStream&, QBitArray&
    10, 120, 0,	//673  QDataStream&, QSize&
    198, 198, 0,	//676  Qt::KeyboardModifier, Qt::KeyboardModifier
    253, 4, 0,	//679  bool, QBool
    134, 134, 0,	//682  QTextStream::NumberFlag, QTextStream::NumberFlag
    10, 12, 0,	//685  QDataStream&, QDateTime&
    312, 141, 352, 0,	//688  const QVariant&, QVariant::Type, void*
    308, 305, 0,	//692  const QStringRef&, const QString&
    331, 344, 336, 0,	//695  const unsigned char*, unsigned char*, int
    198, 336, 0,	//699  Qt::KeyboardModifier, int
    10, 262, 0,	//702  QDataStream&, const QDateTime&
    233, 330, 0,	//705  QtMsgType, const char*
    73, 79, 0,	//708  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    287, 287, 0,	//711  const QMargins&, const QMargins&
    259, 305, 0,	//714  const QByteArray&, const QString&
    138, 138, 0,	//717  QUrl::FormattingOption, QUrl::FormattingOption
    13, 313, 0,	//720  QDebug, const QVariant::Type
    179, 336, 0,	//723  Qt::DockWidgetArea, int
    10, 136, 0,	//726  QDataStream&, QTime&
    230, 230, 0,	//729  Qt::WindowType, Qt::WindowType
    352, 336, 342, 0,	//732  void*, int, size_t
    13, 262, 0,	//736  QDebug, const QDateTime&
    341, 0,	//739  signed char
    230, 103, 0,	//741  Qt::WindowType, QFlags<Qt::WindowType>
    229, 229, 0,	//744  Qt::WindowState, Qt::WindowState
    13, 312, 0,	//747  QDebug, const QVariant&
    10, 128, 0,	//750  QDataStream&, QStringList&
    74, 336, 0,	//753  QFile::Permission, int
    114, 0,	//756  QObject*(*)()
    334, 295, 0,	//758  double, const QPointF&
    336, 293, 0,	//761  int, const QPoint&
    10, 310, 0,	//764  QDataStream&, const QUrl&
    10, 309, 0,	//767  QDataStream&, const QTime&
    10, 115, 0,	//770  QDataStream&, QPoint&
    308, 0,	//773  const QStringRef&
    10, 119, 0,	//775  QDataStream&, QRegExp&
    192, 336, 0,	//778  Qt::InputMethodHint, int
    10, 286, 0,	//781  QDataStream&, const QLocale&
    132, 276, 0,	//784  QTextStream&, const QDomNode&
    342, 342, 0,	//787  size_t, size_t
    10, 257, 0,	//790  QDataStream&, const QBitArray&
    305, 259, 0,	//793  const QString&, const QByteArray&
    330, 330, 330, 336, 0,	//796  const char*, const char*, const char*, int
    138, 87, 0,	//801  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    73, 73, 0,	//804  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    259, 255, 0,	//807  const QByteArray&, char
    107, 107, 0,	//810  QLibrary::LoadHint, QLibrary::LoadHint
    159, 88, 0,	//813  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    10, 311, 0,	//816  QDataStream&, const QUuid&
    105, 81, 0,	//819  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    10, 284, 0,	//822  QDataStream&, const QLine&
    186, 336, 0,	//825  Qt::GestureFlag, int
    308, 330, 0,	//828  const QStringRef&, const char*
    15, 77, 0,	//831  QDir::SortFlag, QFlags<QDir::SortFlag>
    10, 261, 0,	//834  QDataStream&, const QDate&
    255, 259, 0,	//837  char, const QByteArray&
    305, 330, 0,	//840  const QString&, const char*
    107, 336, 0,	//843  QLibrary::LoadHint, int
    331, 336, 336, 0,	//846  const unsigned char*, int, int
    205, 205, 0,	//850  Qt::Orientation, Qt::Orientation
    4, 253, 0,	//853  QBool, bool
    10, 306, 0,	//856  QDataStream&, const QStringList&
    10, 298, 0,	//859  QDataStream&, const QRegExp&
    15, 336, 0,	//862  QDir::SortFlag, int
    352, 333, 342, 0,	//865  void*, const void*, size_t
    352, 0,	//869  void*
    220, 100, 0,	//871  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    13, 291, 0,	//874  QDebug, const QPersistentModelIndex&
    10, 140, 0,	//877  QDataStream&, QVariant&
    310, 0,	//880  const QUrl&
    223, 101, 0,	//882  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    335, 293, 0,	//885  float, const QPoint&
    334, 293, 0,	//888  double, const QPoint&
    13, 290, 0,	//891  QDebug, const QObject*
    74, 80, 0,	//894  QFile::Permission, QFlags<QFile::Permission>
    330, 330, 336, 0,	//897  const char*, const char*, int
    13, 297, 0,	//901  QDebug, const QRectF&
    134, 86, 0,	//904  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    15, 15, 0,	//907  QDir::SortFlag, QDir::SortFlag
    223, 336, 0,	//910  Qt::TouchPointState, int
    14, 336, 0,	//913  QDir::Filter, int
    346, 0,	//916  unsigned long
    1, 75, 0,	//918  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    203, 97, 0,	//921  Qt::MouseButton, QFlags<Qt::MouseButton>
    181, 90, 0,	//924  Qt::DropAction, QFlags<Qt::DropAction>
    342, 0,	//927  size_t
    205, 336, 0,	//929  Qt::Orientation, int
    10, 142, 0,	//932  QDataStream&, QVariant::Type&
    220, 336, 0,	//935  Qt::ToolBarArea, int
    10, 6, 0,	//938  QDataStream&, QByteArray&
    10, 296, 0,	//941  QDataStream&, const QRect&
    13, 281, 0,	//944  QDebug, const QEasingCurve&
    291, 0,	//947  const QPersistentModelIndex&
    112, 336, 0,	//949  QLocale::NumberOption, int
    13, 309, 0,	//952  QDebug, const QTime&
    223, 223, 0,	//955  Qt::TouchPointState, Qt::TouchPointState
    190, 92, 0,	//958  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    229, 102, 0,	//961  Qt::WindowState, QFlags<Qt::WindowState>
    179, 179, 0,	//964  Qt::DockWidgetArea, Qt::DockWidgetArea
    16, 336, 0,	//967  QDirIterator::IteratorFlag, int
    334, 303, 0,	//970  double, const QSizeF&
    13, 287, 0,	//973  QDebug, const QMargins&
    289, 0,	//976  const QModelIndex&
    138, 336, 0,	//978  QUrl::FormattingOption, int
    293, 336, 0,	//981  const QPoint&, int
    201, 201, 0,	//984  Qt::MatchFlag, Qt::MatchFlag
    192, 192, 0,	//987  Qt::InputMethodHint, Qt::InputMethodHint
    205, 98, 0,	//990  Qt::Orientation, QFlags<Qt::Orientation>
    13, 76, 0,	//993  QDebug, QFlags<QDir::Filter>
    195, 336, 0,	//996  Qt::ItemFlag, int
    203, 336, 0,	//999  Qt::MouseButton, int
    10, 121, 0,	//1002  QDataStream&, QSizeF&
    105, 336, 0,	//1005  QIODevice::OpenModeFlag, int
    126, 336, 0,	//1008  QString::SectionFlag, int
    255, 305, 0,	//1011  char, const QString&
    10, 301, 0,	//1014  QDataStream&, const QSize&
    14, 76, 0,	//1017  QDir::Filter, QFlags<QDir::Filter>
    126, 126, 0,	//1020  QString::SectionFlag, QString::SectionFlag
    283, 0,	//1023  const QLatin1String&
    305, 305, 305, 305, 0,	//1025  const QString&, const QString&, const QString&, const QString&
    315, 0,	//1030  const QXmlAttributes&
    153, 0,	//1032  QXmlLocator*
    305, 305, 305, 315, 0,	//1034  const QString&, const QString&, const QString&, const QXmlAttributes&
    316, 0,	//1039  const QXmlContentHandler&
    317, 0,	//1041  const QXmlDTDHandler&
    305, 305, 305, 305, 305, 0,	//1043  const QString&, const QString&, const QString&, const QString&, const QString&
    318, 0,	//1049  const QXmlDeclHandler&
    325, 0,	//1051  const QXmlParseException&
    305, 305, 151, 0,	//1053  const QString&, const QString&, QXmlInputSource*&
    319, 0,	//1057  const QXmlEntityResolver&
    320, 0,	//1059  const QXmlErrorHandler&
    321, 0,	//1061  const QXmlInputSource&
    323, 0,	//1063  const QXmlLexicalHandler&
    324, 0,	//1065  const QXmlLocator&
    305, 123, 123, 0,	//1067  const QString&, QString&, QString&
    305, 253, 123, 123, 0,	//1071  const QString&, bool, QString&, QString&
    305, 336, 336, 305, 305, 0,	//1076  const QString&, int, int, const QString&, const QString&
    305, 336, 336, 0,	//1082  const QString&, int, int
    305, 336, 336, 305, 0,	//1086  const QString&, int, int, const QString&
    305, 254, 0,	//1091  const QString&, bool*
    305, 352, 0,	//1094  const QString&, void*
    148, 0,	//1097  QXmlEntityResolver*
    145, 0,	//1099  QXmlDTDHandler*
    144, 0,	//1101  QXmlContentHandler*
    149, 0,	//1103  QXmlErrorHandler*
    152, 0,	//1105  QXmlLexicalHandler*
    146, 0,	//1107  QXmlDeclHandler*
    322, 0,	//1109  const QXmlInputSource*
    326, 0,	//1111  const QXmlReader&
    322, 253, 0,	//1113  const QXmlInputSource*, bool
    7, 0,	//1116  QByteArray*
    124, 0,	//1118  QString*
    130, 0,	//1120  QTextCodec*
    327, 0,	//1122  const QXmlStreamAttribute&
    328, 0,	//1124  const QXmlStreamAttributes&
    329, 0,	//1126  const QXmlStreamReader&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceptInvalidChars",	//1
    "AttributeNode",	//2
    "BaseNode",	//3
    "CDATASectionNode",	//4
    "CharacterDataNode",	//5
    "CommentNode",	//6
    "DTDHandler",	//7
    "DocumentFragmentNode",	//8
    "DocumentNode",	//9
    "DocumentTypeNode",	//10
    "DropInvalidChars",	//11
    "ElementNode",	//12
    "EncodingFromDocument",	//13
    "EncodingFromTextStream",	//14
    "EndOfData",	//15
    "EndOfDocument",	//16
    "EntityNode",	//17
    "EntityReferenceNode",	//18
    "LicensedActiveQt",	//19
    "LicensedCore",	//20
    "LicensedDBus",	//21
    "LicensedDeclarative",	//22
    "LicensedGui",	//23
    "LicensedHelp",	//24
    "LicensedMultimedia",	//25
    "LicensedNetwork",	//26
    "LicensedOpenGL",	//27
    "LicensedOpenVG",	//28
    "LicensedQt3Support",	//29
    "LicensedQt3SupportLight",	//30
    "LicensedScript",	//31
    "LicensedScriptTools",	//32
    "LicensedSql",	//33
    "LicensedSvg",	//34
    "LicensedTest",	//35
    "LicensedXml",	//36
    "LicensedXmlPatterns",	//37
    "NotationNode",	//38
    "ProcessingInstructionNode",	//39
    "QDomAttr",	//40
    "QDomAttr#",	//41
    "QDomCDATASection",	//42
    "QDomCDATASection#",	//43
    "QDomCharacterData",	//44
    "QDomCharacterData#",	//45
    "QDomComment",	//46
    "QDomComment#",	//47
    "QDomDocument",	//48
    "QDomDocument#",	//49
    "QDomDocument$",	//50
    "QDomDocumentFragment",	//51
    "QDomDocumentFragment#",	//52
    "QDomDocumentType",	//53
    "QDomDocumentType#",	//54
    "QDomElement",	//55
    "QDomElement#",	//56
    "QDomEntity",	//57
    "QDomEntity#",	//58
    "QDomEntityReference",	//59
    "QDomEntityReference#",	//60
    "QDomImplementation",	//61
    "QDomImplementation#",	//62
    "QDomNamedNodeMap",	//63
    "QDomNamedNodeMap#",	//64
    "QDomNode",	//65
    "QDomNode#",	//66
    "QDomNodeList",	//67
    "QDomNodeList#",	//68
    "QDomNotation",	//69
    "QDomNotation#",	//70
    "QDomProcessingInstruction",	//71
    "QDomProcessingInstruction#",	//72
    "QDomText",	//73
    "QDomText#",	//74
    "QXmlAttributes",	//75
    "QXmlAttributes#",	//76
    "QXmlContentHandler",	//77
    "QXmlContentHandler#",	//78
    "QXmlDTDHandler",	//79
    "QXmlDTDHandler#",	//80
    "QXmlDeclHandler",	//81
    "QXmlDeclHandler#",	//82
    "QXmlDefaultHandler",	//83
    "QXmlEntityResolver",	//84
    "QXmlEntityResolver#",	//85
    "QXmlErrorHandler",	//86
    "QXmlErrorHandler#",	//87
    "QXmlInputSource",	//88
    "QXmlInputSource#",	//89
    "QXmlLexicalHandler",	//90
    "QXmlLexicalHandler#",	//91
    "QXmlLocator",	//92
    "QXmlLocator#",	//93
    "QXmlNamespaceSupport",	//94
    "QXmlParseException",	//95
    "QXmlParseException#",	//96
    "QXmlParseException$",	//97
    "QXmlParseException$$",	//98
    "QXmlParseException$$$",	//99
    "QXmlParseException$$$$",	//100
    "QXmlParseException$$$$$",	//101
    "QXmlReader",	//102
    "QXmlReader#",	//103
    "QXmlSimpleReader",	//104
    "QXmlStreamWriter",	//105
    "QXmlStreamWriter#",	//106
    "QXmlStreamWriter$",	//107
    "Q_COMPLEX_TYPE",	//108
    "Q_DUMMY_TYPE",	//109
    "Q_MOVABLE_TYPE",	//110
    "Q_PRIMITIVE_TYPE",	//111
    "Q_STATIC_TYPE",	//112
    "QtCriticalMsg",	//113
    "QtDebugMsg",	//114
    "QtFatalMsg",	//115
    "QtSystemMsg",	//116
    "QtWarningMsg",	//117
    "ReturnNullNode",	//118
    "TextNode",	//119
    "append",	//120
    "append$$$$",	//121
    "appendChild",	//122
    "appendChild#",	//123
    "appendData",	//124
    "appendData$",	//125
    "at",	//126
    "at$",	//127
    "attribute",	//128
    "attribute$",	//129
    "attribute$$",	//130
    "attributeDecl",	//131
    "attributeDecl$$$$$",	//132
    "attributeNS",	//133
    "attributeNS$$",	//134
    "attributeNS$$$",	//135
    "attributeNode",	//136
    "attributeNode$",	//137
    "attributeNodeNS",	//138
    "attributeNodeNS$$",	//139
    "attributes",	//140
    "autoFormatting",	//141
    "autoFormattingIndent",	//142
    "characters",	//143
    "characters$",	//144
    "childNodes",	//145
    "clear",	//146
    "cloneNode",	//147
    "cloneNode$",	//148
    "codec",	//149
    "columnNumber",	//150
    "comment",	//151
    "comment$",	//152
    "contains",	//153
    "contains$",	//154
    "contentHandler",	//155
    "count",	//156
    "createAttribute",	//157
    "createAttribute$",	//158
    "createAttributeNS",	//159
    "createAttributeNS$$",	//160
    "createCDATASection",	//161
    "createCDATASection$",	//162
    "createComment",	//163
    "createComment$",	//164
    "createDocument",	//165
    "createDocument$$#",	//166
    "createDocumentFragment",	//167
    "createDocumentType",	//168
    "createDocumentType$$$",	//169
    "createElement",	//170
    "createElement$",	//171
    "createElementNS",	//172
    "createElementNS$$",	//173
    "createEntityReference",	//174
    "createEntityReference$",	//175
    "createProcessingInstruction",	//176
    "createProcessingInstruction$$",	//177
    "createTextNode",	//178
    "createTextNode$",	//179
    "data",	//180
    "declHandler",	//181
    "deleteData",	//182
    "deleteData$$",	//183
    "device",	//184
    "doctype",	//185
    "documentElement",	//186
    "elementById",	//187
    "elementById$",	//188
    "elementsByTagName",	//189
    "elementsByTagName$",	//190
    "elementsByTagNameNS",	//191
    "elementsByTagNameNS$$",	//192
    "endCDATA",	//193
    "endDTD",	//194
    "endDocument",	//195
    "endElement",	//196
    "endElement$$$",	//197
    "endEntity",	//198
    "endEntity$",	//199
    "endPrefixMapping",	//200
    "endPrefixMapping$",	//201
    "entities",	//202
    "entityResolver",	//203
    "error",	//204
    "error#",	//205
    "errorHandler",	//206
    "errorString",	//207
    "externalEntityDecl",	//208
    "externalEntityDecl$$$",	//209
    "fatalError",	//210
    "fatalError#",	//211
    "feature",	//212
    "feature$",	//213
    "feature$$",	//214
    "fetchData",	//215
    "firstChild",	//216
    "firstChildElement",	//217
    "firstChildElement$",	//218
    "fromRawData",	//219
    "fromRawData#",	//220
    "fromRawData#$",	//221
    "hasAttribute",	//222
    "hasAttribute$",	//223
    "hasAttributeNS",	//224
    "hasAttributeNS$$",	//225
    "hasAttributes",	//226
    "hasChildNodes",	//227
    "hasError",	//228
    "hasFeature",	//229
    "hasFeature$",	//230
    "hasFeature$$",	//231
    "hasProperty",	//232
    "hasProperty$",	//233
    "ignorableWhitespace",	//234
    "ignorableWhitespace$",	//235
    "impl",	//236
    "implementation",	//237
    "importNode",	//238
    "importNode#$",	//239
    "index",	//240
    "index#",	//241
    "index$",	//242
    "index$$",	//243
    "insertAfter",	//244
    "insertAfter##",	//245
    "insertBefore",	//246
    "insertBefore##",	//247
    "insertData",	//248
    "insertData$$",	//249
    "internalEntityDecl",	//250
    "internalEntityDecl$$",	//251
    "internalSubset",	//252
    "invalidDataPolicy",	//253
    "isAttr",	//254
    "isCDATASection",	//255
    "isCharacterData",	//256
    "isComment",	//257
    "isDocument",	//258
    "isDocumentFragment",	//259
    "isDocumentType",	//260
    "isElement",	//261
    "isEmpty",	//262
    "isEntity",	//263
    "isEntityReference",	//264
    "isNotation",	//265
    "isNull",	//266
    "isProcessingInstruction",	//267
    "isSupported",	//268
    "isSupported$$",	//269
    "isText",	//270
    "item",	//271
    "item$",	//272
    "lastChild",	//273
    "lastChildElement",	//274
    "lastChildElement$",	//275
    "length",	//276
    "lexicalHandler",	//277
    "lineNumber",	//278
    "localName",	//279
    "localName$",	//280
    "message",	//281
    "name",	//282
    "namedItem",	//283
    "namedItem$",	//284
    "namedItemNS",	//285
    "namedItemNS$$",	//286
    "namespaceURI",	//287
    "next",	//288
    "nextSibling",	//289
    "nextSiblingElement",	//290
    "nextSiblingElement$",	//291
    "nodeName",	//292
    "nodeType",	//293
    "nodeValue",	//294
    "normalize",	//295
    "notationDecl",	//296
    "notationDecl$$$",	//297
    "notationName",	//298
    "notations",	//299
    "operator!=",	//300
    "operator!=#",	//301
    "operator!=##",	//302
    "operator!=#$",	//303
    "operator!=$#",	//304
    "operator!=$$",	//305
    "operator&",	//306
    "operator&##",	//307
    "operator*",	//308
    "operator*#$",	//309
    "operator*$#",	//310
    "operator+",	//311
    "operator+##",	//312
    "operator+#$",	//313
    "operator+$#",	//314
    "operator+$$",	//315
    "operator-",	//316
    "operator-#",	//317
    "operator-##",	//318
    "operator/",	//319
    "operator/#$",	//320
    "operator<",	//321
    "operator<##",	//322
    "operator<#$",	//323
    "operator<$#",	//324
    "operator<$$",	//325
    "operator<<",	//326
    "operator<<##",	//327
    "operator<<#$",	//328
    "operator<<#?",	//329
    "operator<=",	//330
    "operator<=##",	//331
    "operator<=#$",	//332
    "operator<=$#",	//333
    "operator<=$$",	//334
    "operator=",	//335
    "operator=#",	//336
    "operator==",	//337
    "operator==#",	//338
    "operator==##",	//339
    "operator==#$",	//340
    "operator==$#",	//341
    "operator==$$",	//342
    "operator>",	//343
    "operator>##",	//344
    "operator>#$",	//345
    "operator>$#",	//346
    "operator>$$",	//347
    "operator>=",	//348
    "operator>=##",	//349
    "operator>=#$",	//350
    "operator>=$#",	//351
    "operator>=$$",	//352
    "operator>>",	//353
    "operator>>##",	//354
    "operator>>#$",	//355
    "operator>>#?",	//356
    "operator^",	//357
    "operator^##",	//358
    "operator|",	//359
    "operator|##",	//360
    "operator|$$",	//361
    "ownerDocument",	//362
    "ownerElement",	//363
    "parentNode",	//364
    "parse",	//365
    "parse#",	//366
    "parse#$",	//367
    "parseContinue",	//368
    "popContext",	//369
    "prefix",	//370
    "prefix$",	//371
    "prefixes",	//372
    "prefixes$",	//373
    "previousSibling",	//374
    "previousSiblingElement",	//375
    "previousSiblingElement$",	//376
    "processName",	//377
    "processName$$$$",	//378
    "processingInstruction",	//379
    "processingInstruction$$",	//380
    "property",	//381
    "property$",	//382
    "property$$",	//383
    "publicId",	//384
    "pushContext",	//385
    "qAcos",	//386
    "qAcos$",	//387
    "qAddPostRoutine",	//388
    "qAddPostRoutine$",	//389
    "qAppName",	//390
    "qAsin",	//391
    "qAsin$",	//392
    "qAtan",	//393
    "qAtan$",	//394
    "qAtan2",	//395
    "qAtan2$$",	//396
    "qBadAlloc",	//397
    "qCeil",	//398
    "qCeil$",	//399
    "qChecksum",	//400
    "qChecksum$$",	//401
    "qCompress",	//402
    "qCompress#",	//403
    "qCompress#$",	//404
    "qCompress$$",	//405
    "qCompress$$$",	//406
    "qCos",	//407
    "qCos$",	//408
    "qCritical",	//409
    "qDebug",	//410
    "qExp",	//411
    "qExp$",	//412
    "qFabs",	//413
    "qFabs$",	//414
    "qFastCos",	//415
    "qFastCos$",	//416
    "qFastSin",	//417
    "qFastSin$",	//418
    "qFlagLocation",	//419
    "qFlagLocation$",	//420
    "qFloor",	//421
    "qFloor$",	//422
    "qFree",	//423
    "qFree$",	//424
    "qFreeAligned",	//425
    "qFreeAligned$",	//426
    "qFuzzyCompare",	//427
    "qFuzzyCompare$$",	//428
    "qFuzzyIsNull",	//429
    "qFuzzyIsNull$",	//430
    "qHash",	//431
    "qHash#",	//432
    "qHash$",	//433
    "qHash?",	//434
    "qInf",	//435
    "qInstallMsgHandler",	//436
    "qInstallMsgHandler$",	//437
    "qIntCast",	//438
    "qIntCast$",	//439
    "qIsFinite",	//440
    "qIsFinite$",	//441
    "qIsInf",	//442
    "qIsInf$",	//443
    "qIsNaN",	//444
    "qIsNaN$",	//445
    "qIsNull",	//446
    "qIsNull$",	//447
    "qLn",	//448
    "qLn$",	//449
    "qMalloc",	//450
    "qMalloc?",	//451
    "qMallocAligned",	//452
    "qMallocAligned??",	//453
    "qMemCopy",	//454
    "qMemCopy$$?",	//455
    "qMemSet",	//456
    "qMemSet$$?",	//457
    "qName",	//458
    "qName$",	//459
    "qPow",	//460
    "qPow$$",	//461
    "qQNaN",	//462
    "qRealloc",	//463
    "qRealloc$?",	//464
    "qReallocAligned",	//465
    "qReallocAligned$???",	//466
    "qRegisterStaticPluginInstanceFunction",	//467
    "qRegisterStaticPluginInstanceFunction#",	//468
    "qRemovePostRoutine",	//469
    "qRemovePostRoutine$",	//470
    "qRound",	//471
    "qRound$",	//472
    "qRound64",	//473
    "qRound64$",	//474
    "qSNaN",	//475
    "qSetFieldWidth",	//476
    "qSetFieldWidth$",	//477
    "qSetPadChar",	//478
    "qSetPadChar#",	//479
    "qSetRealNumberPrecision",	//480
    "qSetRealNumberPrecision$",	//481
    "qSharedBuild",	//482
    "qSin",	//483
    "qSin$",	//484
    "qSqrt",	//485
    "qSqrt$",	//486
    "qStringComparisonHelper",	//487
    "qStringComparisonHelper#$",	//488
    "qStringComparisonHelper$$",	//489
    "qTan",	//490
    "qTan$",	//491
    "qUncompress",	//492
    "qUncompress#",	//493
    "qUncompress$$",	//494
    "qVersion",	//495
    "qWarning",	//496
    "qbswap_helper",	//497
    "qbswap_helper$$$",	//498
    "qgetenv",	//499
    "qgetenv$",	//500
    "qputenv",	//501
    "qputenv$#",	//502
    "qrand",	//503
    "qsrand",	//504
    "qsrand$",	//505
    "qstrcmp",	//506
    "qstrcmp##",	//507
    "qstrcmp#$",	//508
    "qstrcmp$#",	//509
    "qstrcmp$$",	//510
    "qstrcpy",	//511
    "qstrcpy$$",	//512
    "qstrdup",	//513
    "qstrdup$",	//514
    "qstricmp",	//515
    "qstricmp$$",	//516
    "qstrlen",	//517
    "qstrlen$",	//518
    "qstrncmp",	//519
    "qstrncmp$$$",	//520
    "qstrncpy",	//521
    "qstrncpy$$$",	//522
    "qstrnicmp",	//523
    "qstrnicmp$$$",	//524
    "qstrnlen",	//525
    "qstrnlen$$",	//526
    "qtTrId",	//527
    "qtTrId$",	//528
    "qtTrId$$",	//529
    "qt_assert",	//530
    "qt_assert$$$",	//531
    "qt_assert_x",	//532
    "qt_assert_x$$$$",	//533
    "qt_check_pointer",	//534
    "qt_check_pointer$$",	//535
    "qt_error_string",	//536
    "qt_error_string$",	//537
    "qt_message_output",	//538
    "qt_message_output$$",	//539
    "qt_noop",	//540
    "qt_qFindChild_helper",	//541
    "qt_qFindChild_helper#$#",	//542
    "qt_qFindChildren_helper",	//543
    "qt_qFindChildren_helper#$##?",	//544
    "qvariant_cast_helper",	//545
    "qvariant_cast_helper#$$",	//546
    "qvsnprintf",	//547
    "qvsnprintf$?$?",	//548
    "removeAttribute",	//549
    "removeAttribute$",	//550
    "removeAttributeNS",	//551
    "removeAttributeNS$$",	//552
    "removeAttributeNode",	//553
    "removeAttributeNode#",	//554
    "removeChild",	//555
    "removeChild#",	//556
    "removeNamedItem",	//557
    "removeNamedItem$",	//558
    "removeNamedItemNS",	//559
    "removeNamedItemNS$$",	//560
    "replaceChild",	//561
    "replaceChild##",	//562
    "replaceData",	//563
    "replaceData$$$",	//564
    "reset",	//565
    "resolveEntity",	//566
    "resolveEntity$$#",	//567
    "save",	//568
    "save#$",	//569
    "save#$$",	//570
    "setAttribute",	//571
    "setAttribute$$",	//572
    "setAttribute$?",	//573
    "setAttributeNS",	//574
    "setAttributeNS$$$",	//575
    "setAttributeNS$$?",	//576
    "setAttributeNode",	//577
    "setAttributeNode#",	//578
    "setAttributeNodeNS",	//579
    "setAttributeNodeNS#",	//580
    "setAutoFormatting",	//581
    "setAutoFormatting$",	//582
    "setAutoFormattingIndent",	//583
    "setAutoFormattingIndent$",	//584
    "setCodec",	//585
    "setCodec#",	//586
    "setCodec$",	//587
    "setContent",	//588
    "setContent#",	//589
    "setContent##",	//590
    "setContent##$",	//591
    "setContent##$$",	//592
    "setContent##$$$",	//593
    "setContent#$",	//594
    "setContent#$$",	//595
    "setContent#$$$",	//596
    "setContent#$$$$",	//597
    "setContent$",	//598
    "setContent$$",	//599
    "setContent$$$",	//600
    "setContent$$$$",	//601
    "setContent$$$$$",	//602
    "setContentHandler",	//603
    "setContentHandler#",	//604
    "setDTDHandler",	//605
    "setDTDHandler#",	//606
    "setData",	//607
    "setData#",	//608
    "setData$",	//609
    "setDeclHandler",	//610
    "setDeclHandler#",	//611
    "setDevice",	//612
    "setDevice#",	//613
    "setDocumentLocator",	//614
    "setDocumentLocator#",	//615
    "setEntityResolver",	//616
    "setEntityResolver#",	//617
    "setErrorHandler",	//618
    "setErrorHandler#",	//619
    "setFeature",	//620
    "setFeature$$",	//621
    "setImpl",	//622
    "setImpl#",	//623
    "setInvalidDataPolicy",	//624
    "setInvalidDataPolicy$",	//625
    "setLexicalHandler",	//626
    "setLexicalHandler#",	//627
    "setNamedItem",	//628
    "setNamedItem#",	//629
    "setNamedItemNS",	//630
    "setNamedItemNS#",	//631
    "setNodeValue",	//632
    "setNodeValue$",	//633
    "setPrefix",	//634
    "setPrefix$",	//635
    "setPrefix$$",	//636
    "setProperty",	//637
    "setProperty$$",	//638
    "setTagName",	//639
    "setTagName$",	//640
    "setValue",	//641
    "setValue$",	//642
    "size",	//643
    "skippedEntity",	//644
    "skippedEntity$",	//645
    "specified",	//646
    "splitName",	//647
    "splitName$$$",	//648
    "splitText",	//649
    "splitText$",	//650
    "startCDATA",	//651
    "startDTD",	//652
    "startDTD$$$",	//653
    "startDocument",	//654
    "startElement",	//655
    "startElement$$$#",	//656
    "startEntity",	//657
    "startEntity$",	//658
    "startPrefixMapping",	//659
    "startPrefixMapping$$",	//660
    "substringData",	//661
    "substringData$$",	//662
    "systemId",	//663
    "tagName",	//664
    "target",	//665
    "text",	//666
    "toAttr",	//667
    "toByteArray",	//668
    "toByteArray$",	//669
    "toCDATASection",	//670
    "toCharacterData",	//671
    "toComment",	//672
    "toDocument",	//673
    "toDocumentFragment",	//674
    "toDocumentType",	//675
    "toElement",	//676
    "toEntity",	//677
    "toEntityReference",	//678
    "toNotation",	//679
    "toProcessingInstruction",	//680
    "toString",	//681
    "toString$",	//682
    "toText",	//683
    "type",	//684
    "type$",	//685
    "type$$",	//686
    "unparsedEntityDecl",	//687
    "unparsedEntityDecl$$$$",	//688
    "uri",	//689
    "uri$",	//690
    "value",	//691
    "value#",	//692
    "value$",	//693
    "value$$",	//694
    "warning",	//695
    "warning#",	//696
    "writeAttribute",	//697
    "writeAttribute#",	//698
    "writeAttribute$$",	//699
    "writeAttribute$$$",	//700
    "writeAttributes",	//701
    "writeAttributes#",	//702
    "writeCDATA",	//703
    "writeCDATA$",	//704
    "writeCharacters",	//705
    "writeCharacters$",	//706
    "writeComment",	//707
    "writeComment$",	//708
    "writeCurrentToken",	//709
    "writeCurrentToken#",	//710
    "writeDTD",	//711
    "writeDTD$",	//712
    "writeDefaultNamespace",	//713
    "writeDefaultNamespace$",	//714
    "writeEmptyElement",	//715
    "writeEmptyElement$",	//716
    "writeEmptyElement$$",	//717
    "writeEndDocument",	//718
    "writeEndElement",	//719
    "writeEntityReference",	//720
    "writeEntityReference$",	//721
    "writeNamespace",	//722
    "writeNamespace$",	//723
    "writeNamespace$$",	//724
    "writeProcessingInstruction",	//725
    "writeProcessingInstruction$",	//726
    "writeProcessingInstruction$$",	//727
    "writeStartDocument",	//728
    "writeStartDocument$",	//729
    "writeStartDocument$$",	//730
    "writeStartElement",	//731
    "writeStartElement$",	//732
    "writeStartElement$$",	//733
    "writeTextElement",	//734
    "writeTextElement$$",	//735
    "writeTextElement$$$",	//736
    "~QDomAttr",	//737
    "~QDomCDATASection",	//738
    "~QDomCharacterData",	//739
    "~QDomComment",	//740
    "~QDomDocument",	//741
    "~QDomDocumentFragment",	//742
    "~QDomDocumentType",	//743
    "~QDomElement",	//744
    "~QDomEntity",	//745
    "~QDomEntityReference",	//746
    "~QDomImplementation",	//747
    "~QDomNamedNodeMap",	//748
    "~QDomNode",	//749
    "~QDomNodeList",	//750
    "~QDomNotation",	//751
    "~QDomProcessingInstruction",	//752
    "~QDomText",	//753
    "~QXmlAttributes",	//754
    "~QXmlContentHandler",	//755
    "~QXmlDTDHandler",	//756
    "~QXmlDeclHandler",	//757
    "~QXmlDefaultHandler",	//758
    "~QXmlEntityResolver",	//759
    "~QXmlErrorHandler",	//760
    "~QXmlInputSource",	//761
    "~QXmlLexicalHandler",	//762
    "~QXmlLocator",	//763
    "~QXmlNamespaceSupport",	//764
    "~QXmlParseException",	//765
    "~QXmlReader",	//766
    "~QXmlSimpleReader",	//767
    "~QXmlStreamWriter",	//768
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {10, 40, 0, 0, Smoke::mf_ctor, 19, 1},	//1 QDomAttr::QDomAttr()
    {10, 40, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 2},	//2 QDomAttr::QDomAttr(const QDomAttr&)
    {10, 335, 1, 1, 0, 18, 3},	//3 QDomAttr::operator=(const QDomAttr&)
    {10, 282, 0, 0, Smoke::mf_const, 122, 4},	//4 QDomAttr::name() const
    {10, 646, 0, 0, Smoke::mf_const, 253, 5},	//5 QDomAttr::specified() const
    {10, 363, 0, 0, Smoke::mf_const, 38, 6},	//6 QDomAttr::ownerElement() const
    {10, 691, 0, 0, Smoke::mf_const, 122, 7},	//7 QDomAttr::value() const
    {10, 641, 3, 1, 0, 0, 8},	//8 QDomAttr::setValue(const QString&)
    {10, 293, 0, 0, Smoke::mf_const, 58, 9},	//9 QDomAttr::nodeType() const
    {10, 737, 0, 0, Smoke::mf_dtor, 0, 10 },	//10 QDomAttr::~QDomAttr()
    {11, 42, 0, 0, Smoke::mf_ctor, 22, 1},	//11 QDomCDATASection::QDomCDATASection()
    {11, 42, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//12 QDomCDATASection::QDomCDATASection(const QDomCDATASection&)
    {11, 335, 5, 1, 0, 21, 3},	//13 QDomCDATASection::operator=(const QDomCDATASection&)
    {11, 293, 0, 0, Smoke::mf_const, 58, 4},	//14 QDomCDATASection::nodeType() const
    {11, 738, 0, 0, Smoke::mf_dtor, 0, 5 },	//15 QDomCDATASection::~QDomCDATASection()
    {12, 44, 0, 0, Smoke::mf_ctor, 25, 1},	//16 QDomCharacterData::QDomCharacterData()
    {12, 44, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//17 QDomCharacterData::QDomCharacterData(const QDomCharacterData&)
    {12, 335, 7, 1, 0, 24, 3},	//18 QDomCharacterData::operator=(const QDomCharacterData&)
    {12, 661, 9, 2, 0, 122, 4},	//19 QDomCharacterData::substringData(unsigned long, unsigned long)
    {12, 124, 3, 1, 0, 0, 5},	//20 QDomCharacterData::appendData(const QString&)
    {12, 248, 12, 2, 0, 0, 6},	//21 QDomCharacterData::insertData(unsigned long, const QString&)
    {12, 182, 9, 2, 0, 0, 7},	//22 QDomCharacterData::deleteData(unsigned long, unsigned long)
    {12, 563, 15, 3, 0, 0, 8},	//23 QDomCharacterData::replaceData(unsigned long, unsigned long, const QString&)
    {12, 276, 0, 0, Smoke::mf_const, 345, 9},	//24 QDomCharacterData::length() const
    {12, 180, 0, 0, Smoke::mf_const, 122, 10},	//25 QDomCharacterData::data() const
    {12, 607, 3, 1, 0, 0, 11},	//26 QDomCharacterData::setData(const QString&)
    {12, 293, 0, 0, Smoke::mf_const, 58, 12},	//27 QDomCharacterData::nodeType() const
    {12, 739, 0, 0, Smoke::mf_dtor, 0, 13 },	//28 QDomCharacterData::~QDomCharacterData()
    {13, 46, 0, 0, Smoke::mf_ctor, 28, 1},	//29 QDomComment::QDomComment()
    {13, 46, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//30 QDomComment::QDomComment(const QDomComment&)
    {13, 335, 19, 1, 0, 27, 3},	//31 QDomComment::operator=(const QDomComment&)
    {13, 293, 0, 0, Smoke::mf_const, 58, 4},	//32 QDomComment::nodeType() const
    {13, 740, 0, 0, Smoke::mf_dtor, 0, 5 },	//33 QDomComment::~QDomComment()
    {14, 48, 0, 0, Smoke::mf_ctor, 31, 1},	//34 QDomDocument::QDomDocument()
    {14, 48, 3, 1, Smoke::mf_ctor, 31, 2},	//35 QDomDocument::QDomDocument(const QString&)
    {14, 48, 21, 1, Smoke::mf_ctor, 31, 3},	//36 QDomDocument::QDomDocument(const QDomDocumentType&)
    {14, 48, 23, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//37 QDomDocument::QDomDocument(const QDomDocument&)
    {14, 335, 23, 1, 0, 30, 5},	//38 QDomDocument::operator=(const QDomDocument&)
    {14, 170, 3, 1, 0, 38, 6},	//39 QDomDocument::createElement(const QString&)
    {14, 167, 0, 0, 0, 32, 7},	//40 QDomDocument::createDocumentFragment()
    {14, 178, 3, 1, 0, 69, 8},	//41 QDomDocument::createTextNode(const QString&)
    {14, 163, 3, 1, 0, 26, 9},	//42 QDomDocument::createComment(const QString&)
    {14, 161, 3, 1, 0, 20, 10},	//43 QDomDocument::createCDATASection(const QString&)
    {14, 176, 25, 2, 0, 66, 11},	//44 QDomDocument::createProcessingInstruction(const QString&, const QString&)
    {14, 157, 3, 1, 0, 17, 12},	//45 QDomDocument::createAttribute(const QString&)
    {14, 174, 3, 1, 0, 44, 13},	//46 QDomDocument::createEntityReference(const QString&)
    {14, 189, 3, 1, Smoke::mf_const, 59, 14},	//47 QDomDocument::elementsByTagName(const QString&) const
    {14, 238, 28, 2, 0, 54, 15},	//48 QDomDocument::importNode(const QDomNode&, bool)
    {14, 172, 25, 2, 0, 38, 16},	//49 QDomDocument::createElementNS(const QString&, const QString&)
    {14, 159, 25, 2, 0, 17, 17},	//50 QDomDocument::createAttributeNS(const QString&, const QString&)
    {14, 191, 25, 2, 0, 59, 18},	//51 QDomDocument::elementsByTagNameNS(const QString&, const QString&)
    {14, 187, 3, 1, 0, 38, 19},	//52 QDomDocument::elementById(const QString&)
    {14, 185, 0, 0, Smoke::mf_const, 35, 20},	//53 QDomDocument::doctype() const
    {14, 237, 0, 0, Smoke::mf_const, 47, 21},	//54 QDomDocument::implementation() const
    {14, 186, 0, 0, Smoke::mf_const, 38, 22},	//55 QDomDocument::documentElement() const
    {14, 293, 0, 0, Smoke::mf_const, 58, 23},	//56 QDomDocument::nodeType() const
    {14, 588, 31, 5, 0, 253, 24},	//57 QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    {14, 588, 37, 5, 0, 253, 25},	//58 QDomDocument::setContent(const QString&, bool, QString*, int*, int*)
    {14, 588, 43, 5, 0, 253, 26},	//59 QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    {14, 588, 49, 5, 0, 253, 27},	//60 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    {14, 588, 55, 4, 0, 253, 28},	//61 QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    {14, 588, 60, 4, 0, 253, 29},	//62 QDomDocument::setContent(const QString&, QString*, int*, int*)
    {14, 588, 65, 4, 0, 253, 30},	//63 QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    {14, 588, 70, 5, 0, 253, 31},	//64 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*, int*)
    {14, 681, 76, 1, Smoke::mf_const, 122, 32},	//65 QDomDocument::toString(int) const
    {14, 668, 76, 1, Smoke::mf_const, 5, 33},	//66 QDomDocument::toByteArray(int) const
    {14, 588, 78, 2, 0, 253, 34},	//67 QDomDocument::setContent(const QByteArray&, bool)
    {14, 588, 81, 3, 0, 253, 35},	//68 QDomDocument::setContent(const QByteArray&, bool, QString*)
    {14, 588, 85, 4, 0, 253, 36},	//69 QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    {14, 588, 90, 2, 0, 253, 37},	//70 QDomDocument::setContent(const QString&, bool)
    {14, 588, 93, 3, 0, 253, 38},	//71 QDomDocument::setContent(const QString&, bool, QString*)
    {14, 588, 97, 4, 0, 253, 39},	//72 QDomDocument::setContent(const QString&, bool, QString*, int*)
    {14, 588, 102, 2, 0, 253, 40},	//73 QDomDocument::setContent(QIODevice*, bool)
    {14, 588, 105, 3, 0, 253, 41},	//74 QDomDocument::setContent(QIODevice*, bool, QString*)
    {14, 588, 109, 4, 0, 253, 42},	//75 QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    {14, 588, 114, 2, 0, 253, 43},	//76 QDomDocument::setContent(QXmlInputSource*, bool)
    {14, 588, 117, 3, 0, 253, 44},	//77 QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    {14, 588, 121, 4, 0, 253, 45},	//78 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    {14, 588, 126, 1, 0, 253, 46},	//79 QDomDocument::setContent(const QByteArray&)
    {14, 588, 128, 2, 0, 253, 47},	//80 QDomDocument::setContent(const QByteArray&, QString*)
    {14, 588, 131, 3, 0, 253, 48},	//81 QDomDocument::setContent(const QByteArray&, QString*, int*)
    {14, 588, 3, 1, 0, 253, 49},	//82 QDomDocument::setContent(const QString&)
    {14, 588, 135, 2, 0, 253, 50},	//83 QDomDocument::setContent(const QString&, QString*)
    {14, 588, 138, 3, 0, 253, 51},	//84 QDomDocument::setContent(const QString&, QString*, int*)
    {14, 588, 142, 1, 0, 253, 52},	//85 QDomDocument::setContent(QIODevice*)
    {14, 588, 144, 2, 0, 253, 53},	//86 QDomDocument::setContent(QIODevice*, QString*)
    {14, 588, 147, 3, 0, 253, 54},	//87 QDomDocument::setContent(QIODevice*, QString*, int*)
    {14, 588, 151, 2, 0, 253, 55},	//88 QDomDocument::setContent(QXmlInputSource*, QXmlReader*)
    {14, 588, 154, 3, 0, 253, 56},	//89 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*)
    {14, 588, 158, 4, 0, 253, 57},	//90 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*)
    {14, 681, 0, 0, Smoke::mf_const, 122, 58},	//91 QDomDocument::toString() const
    {14, 668, 0, 0, Smoke::mf_const, 5, 59},	//92 QDomDocument::toByteArray() const
    {14, 741, 0, 0, Smoke::mf_dtor, 0, 60 },	//93 QDomDocument::~QDomDocument()
    {15, 51, 0, 0, Smoke::mf_ctor, 34, 1},	//94 QDomDocumentFragment::QDomDocumentFragment()
    {15, 51, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//95 QDomDocumentFragment::QDomDocumentFragment(const QDomDocumentFragment&)
    {15, 335, 163, 1, 0, 33, 3},	//96 QDomDocumentFragment::operator=(const QDomDocumentFragment&)
    {15, 293, 0, 0, Smoke::mf_const, 58, 4},	//97 QDomDocumentFragment::nodeType() const
    {15, 742, 0, 0, Smoke::mf_dtor, 0, 5 },	//98 QDomDocumentFragment::~QDomDocumentFragment()
    {16, 53, 0, 0, Smoke::mf_ctor, 37, 1},	//99 QDomDocumentType::QDomDocumentType()
    {16, 53, 21, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 2},	//100 QDomDocumentType::QDomDocumentType(const QDomDocumentType&)
    {16, 335, 21, 1, 0, 36, 3},	//101 QDomDocumentType::operator=(const QDomDocumentType&)
    {16, 282, 0, 0, Smoke::mf_const, 122, 4},	//102 QDomDocumentType::name() const
    {16, 202, 0, 0, Smoke::mf_const, 51, 5},	//103 QDomDocumentType::entities() const
    {16, 299, 0, 0, Smoke::mf_const, 51, 6},	//104 QDomDocumentType::notations() const
    {16, 384, 0, 0, Smoke::mf_const, 122, 7},	//105 QDomDocumentType::publicId() const
    {16, 663, 0, 0, Smoke::mf_const, 122, 8},	//106 QDomDocumentType::systemId() const
    {16, 252, 0, 0, Smoke::mf_const, 122, 9},	//107 QDomDocumentType::internalSubset() const
    {16, 293, 0, 0, Smoke::mf_const, 58, 10},	//108 QDomDocumentType::nodeType() const
    {16, 743, 0, 0, Smoke::mf_dtor, 0, 11 },	//109 QDomDocumentType::~QDomDocumentType()
    {17, 55, 0, 0, Smoke::mf_ctor, 40, 1},	//110 QDomElement::QDomElement()
    {17, 55, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 2},	//111 QDomElement::QDomElement(const QDomElement&)
    {17, 335, 165, 1, 0, 39, 3},	//112 QDomElement::operator=(const QDomElement&)
    {17, 128, 25, 2, Smoke::mf_const, 122, 4},	//113 QDomElement::attribute(const QString&, const QString&) const
    {17, 571, 25, 2, 0, 0, 5},	//114 QDomElement::setAttribute(const QString&, const QString&)
    {17, 571, 167, 2, 0, 0, 6},	//115 QDomElement::setAttribute(const QString&, long long)
    {17, 571, 170, 2, 0, 0, 7},	//116 QDomElement::setAttribute(const QString&, unsigned long long)
    {17, 571, 173, 2, 0, 0, 8},	//117 QDomElement::setAttribute(const QString&, int)
    {17, 571, 176, 2, 0, 0, 9},	//118 QDomElement::setAttribute(const QString&, unsigned int)
    {17, 571, 179, 2, 0, 0, 10},	//119 QDomElement::setAttribute(const QString&, float)
    {17, 571, 182, 2, 0, 0, 11},	//120 QDomElement::setAttribute(const QString&, double)
    {17, 549, 3, 1, 0, 0, 12},	//121 QDomElement::removeAttribute(const QString&)
    {17, 136, 3, 1, 0, 17, 13},	//122 QDomElement::attributeNode(const QString&)
    {17, 577, 1, 1, 0, 17, 14},	//123 QDomElement::setAttributeNode(const QDomAttr&)
    {17, 553, 1, 1, 0, 17, 15},	//124 QDomElement::removeAttributeNode(const QDomAttr&)
    {17, 189, 3, 1, Smoke::mf_const, 59, 16},	//125 QDomElement::elementsByTagName(const QString&) const
    {17, 222, 3, 1, Smoke::mf_const, 253, 17},	//126 QDomElement::hasAttribute(const QString&) const
    {17, 133, 185, 3, Smoke::mf_const, 122, 18},	//127 QDomElement::attributeNS(const QString, const QString&, const QString&) const
    {17, 574, 185, 3, 0, 0, 19},	//128 QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    {17, 574, 189, 3, 0, 0, 20},	//129 QDomElement::setAttributeNS(const QString, const QString&, int)
    {17, 574, 193, 3, 0, 0, 21},	//130 QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    {17, 574, 197, 3, 0, 0, 22},	//131 QDomElement::setAttributeNS(const QString, const QString&, long long)
    {17, 574, 201, 3, 0, 0, 23},	//132 QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    {17, 574, 205, 3, 0, 0, 24},	//133 QDomElement::setAttributeNS(const QString, const QString&, double)
    {17, 551, 25, 2, 0, 0, 25},	//134 QDomElement::removeAttributeNS(const QString&, const QString&)
    {17, 138, 25, 2, 0, 17, 26},	//135 QDomElement::attributeNodeNS(const QString&, const QString&)
    {17, 579, 1, 1, 0, 17, 27},	//136 QDomElement::setAttributeNodeNS(const QDomAttr&)
    {17, 191, 25, 2, Smoke::mf_const, 59, 28},	//137 QDomElement::elementsByTagNameNS(const QString&, const QString&) const
    {17, 224, 25, 2, Smoke::mf_const, 253, 29},	//138 QDomElement::hasAttributeNS(const QString&, const QString&) const
    {17, 664, 0, 0, Smoke::mf_const, 122, 30},	//139 QDomElement::tagName() const
    {17, 639, 3, 1, 0, 0, 31},	//140 QDomElement::setTagName(const QString&)
    {17, 140, 0, 0, Smoke::mf_const, 51, 32},	//141 QDomElement::attributes() const
    {17, 293, 0, 0, Smoke::mf_const, 58, 33},	//142 QDomElement::nodeType() const
    {17, 666, 0, 0, Smoke::mf_const, 122, 34},	//143 QDomElement::text() const
    {17, 128, 3, 1, Smoke::mf_const, 122, 35},	//144 QDomElement::attribute(const QString&) const
    {17, 133, 209, 2, Smoke::mf_const, 122, 36},	//145 QDomElement::attributeNS(const QString, const QString&) const
    {17, 744, 0, 0, Smoke::mf_dtor, 0, 37 },	//146 QDomElement::~QDomElement()
    {18, 57, 0, 0, Smoke::mf_ctor, 43, 1},	//147 QDomEntity::QDomEntity()
    {18, 57, 212, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 2},	//148 QDomEntity::QDomEntity(const QDomEntity&)
    {18, 335, 212, 1, 0, 42, 3},	//149 QDomEntity::operator=(const QDomEntity&)
    {18, 384, 0, 0, Smoke::mf_const, 122, 4},	//150 QDomEntity::publicId() const
    {18, 663, 0, 0, Smoke::mf_const, 122, 5},	//151 QDomEntity::systemId() const
    {18, 298, 0, 0, Smoke::mf_const, 122, 6},	//152 QDomEntity::notationName() const
    {18, 293, 0, 0, Smoke::mf_const, 58, 7},	//153 QDomEntity::nodeType() const
    {18, 745, 0, 0, Smoke::mf_dtor, 0, 8 },	//154 QDomEntity::~QDomEntity()
    {19, 59, 0, 0, Smoke::mf_ctor, 46, 1},	//155 QDomEntityReference::QDomEntityReference()
    {19, 59, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 2},	//156 QDomEntityReference::QDomEntityReference(const QDomEntityReference&)
    {19, 335, 214, 1, 0, 45, 3},	//157 QDomEntityReference::operator=(const QDomEntityReference&)
    {19, 293, 0, 0, Smoke::mf_const, 58, 4},	//158 QDomEntityReference::nodeType() const
    {19, 746, 0, 0, Smoke::mf_dtor, 0, 5 },	//159 QDomEntityReference::~QDomEntityReference()
    {20, 61, 0, 0, Smoke::mf_ctor, 49, 1},	//160 QDomImplementation::QDomImplementation()
    {20, 61, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 2},	//161 QDomImplementation::QDomImplementation(const QDomImplementation&)
    {20, 335, 216, 1, 0, 48, 3},	//162 QDomImplementation::operator=(const QDomImplementation&)
    {20, 337, 216, 1, Smoke::mf_const, 253, 4},	//163 QDomImplementation::operator==(const QDomImplementation&) const
    {20, 300, 216, 1, Smoke::mf_const, 253, 5},	//164 QDomImplementation::operator!=(const QDomImplementation&) const
    {20, 229, 25, 2, Smoke::mf_const, 253, 6},	//165 QDomImplementation::hasFeature(const QString&, const QString&) const
    {20, 168, 218, 3, 0, 35, 7},	//166 QDomImplementation::createDocumentType(const QString&, const QString&, const QString&)
    {20, 165, 222, 3, 0, 29, 8},	//167 QDomImplementation::createDocument(const QString&, const QString&, const QDomDocumentType&)
    {20, 253, 0, 0, Smoke::mf_static, 50, 9},	//168 QDomImplementation::invalidDataPolicy()
    {20, 624, 226, 1, Smoke::mf_static, 0, 10},	//169 QDomImplementation::setInvalidDataPolicy(QDomImplementation::InvalidDataPolicy)
    {20, 266, 0, 0, 0, 253, 11},	//170 QDomImplementation::isNull()
    {20, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 12},	//171 QDomImplementation::AcceptInvalidChars (enum)
    {20, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 13},	//172 QDomImplementation::DropInvalidChars (enum)
    {20, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 14},	//173 QDomImplementation::ReturnNullNode (enum)
    {20, 747, 0, 0, Smoke::mf_dtor, 0, 15 },	//174 QDomImplementation::~QDomImplementation()
    {21, 63, 0, 0, Smoke::mf_ctor, 53, 1},	//175 QDomNamedNodeMap::QDomNamedNodeMap()
    {21, 63, 228, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 2},	//176 QDomNamedNodeMap::QDomNamedNodeMap(const QDomNamedNodeMap&)
    {21, 335, 228, 1, 0, 52, 3},	//177 QDomNamedNodeMap::operator=(const QDomNamedNodeMap&)
    {21, 337, 228, 1, Smoke::mf_const, 253, 4},	//178 QDomNamedNodeMap::operator==(const QDomNamedNodeMap&) const
    {21, 300, 228, 1, Smoke::mf_const, 253, 5},	//179 QDomNamedNodeMap::operator!=(const QDomNamedNodeMap&) const
    {21, 283, 3, 1, Smoke::mf_const, 54, 6},	//180 QDomNamedNodeMap::namedItem(const QString&) const
    {21, 628, 230, 1, 0, 54, 7},	//181 QDomNamedNodeMap::setNamedItem(const QDomNode&)
    {21, 557, 3, 1, 0, 54, 8},	//182 QDomNamedNodeMap::removeNamedItem(const QString&)
    {21, 271, 76, 1, Smoke::mf_const, 54, 9},	//183 QDomNamedNodeMap::item(int) const
    {21, 285, 25, 2, Smoke::mf_const, 54, 10},	//184 QDomNamedNodeMap::namedItemNS(const QString&, const QString&) const
    {21, 630, 230, 1, 0, 54, 11},	//185 QDomNamedNodeMap::setNamedItemNS(const QDomNode&)
    {21, 559, 25, 2, 0, 54, 12},	//186 QDomNamedNodeMap::removeNamedItemNS(const QString&, const QString&)
    {21, 276, 0, 0, Smoke::mf_const, 345, 13},	//187 QDomNamedNodeMap::length() const
    {21, 156, 0, 0, Smoke::mf_const, 336, 14},	//188 QDomNamedNodeMap::count() const
    {21, 643, 0, 0, Smoke::mf_const, 336, 15},	//189 QDomNamedNodeMap::size() const
    {21, 262, 0, 0, Smoke::mf_const, 253, 16},	//190 QDomNamedNodeMap::isEmpty() const
    {21, 153, 3, 1, Smoke::mf_const, 253, 17},	//191 QDomNamedNodeMap::contains(const QString&) const
    {21, 748, 0, 0, Smoke::mf_dtor, 0, 18 },	//192 QDomNamedNodeMap::~QDomNamedNodeMap()
    {22, 65, 0, 0, Smoke::mf_ctor, 56, 1},	//193 QDomNode::QDomNode()
    {22, 65, 230, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//194 QDomNode::QDomNode(const QDomNode&)
    {22, 335, 230, 1, 0, 55, 3},	//195 QDomNode::operator=(const QDomNode&)
    {22, 337, 230, 1, Smoke::mf_const, 253, 4},	//196 QDomNode::operator==(const QDomNode&) const
    {22, 300, 230, 1, Smoke::mf_const, 253, 5},	//197 QDomNode::operator!=(const QDomNode&) const
    {22, 246, 232, 2, 0, 54, 6},	//198 QDomNode::insertBefore(const QDomNode&, const QDomNode&)
    {22, 244, 232, 2, 0, 54, 7},	//199 QDomNode::insertAfter(const QDomNode&, const QDomNode&)
    {22, 561, 232, 2, 0, 54, 8},	//200 QDomNode::replaceChild(const QDomNode&, const QDomNode&)
    {22, 555, 230, 1, 0, 54, 9},	//201 QDomNode::removeChild(const QDomNode&)
    {22, 122, 230, 1, 0, 54, 10},	//202 QDomNode::appendChild(const QDomNode&)
    {22, 227, 0, 0, Smoke::mf_const, 253, 11},	//203 QDomNode::hasChildNodes() const
    {22, 147, 235, 1, Smoke::mf_const, 54, 12},	//204 QDomNode::cloneNode(bool) const
    {22, 295, 0, 0, 0, 0, 13},	//205 QDomNode::normalize()
    {22, 268, 25, 2, Smoke::mf_const, 253, 14},	//206 QDomNode::isSupported(const QString&, const QString&) const
    {22, 292, 0, 0, Smoke::mf_const, 122, 15},	//207 QDomNode::nodeName() const
    {22, 293, 0, 0, Smoke::mf_const, 58, 16},	//208 QDomNode::nodeType() const
    {22, 364, 0, 0, Smoke::mf_const, 54, 17},	//209 QDomNode::parentNode() const
    {22, 145, 0, 0, Smoke::mf_const, 59, 18},	//210 QDomNode::childNodes() const
    {22, 216, 0, 0, Smoke::mf_const, 54, 19},	//211 QDomNode::firstChild() const
    {22, 273, 0, 0, Smoke::mf_const, 54, 20},	//212 QDomNode::lastChild() const
    {22, 374, 0, 0, Smoke::mf_const, 54, 21},	//213 QDomNode::previousSibling() const
    {22, 289, 0, 0, Smoke::mf_const, 54, 22},	//214 QDomNode::nextSibling() const
    {22, 140, 0, 0, Smoke::mf_const, 51, 23},	//215 QDomNode::attributes() const
    {22, 362, 0, 0, Smoke::mf_const, 29, 24},	//216 QDomNode::ownerDocument() const
    {22, 287, 0, 0, Smoke::mf_const, 122, 25},	//217 QDomNode::namespaceURI() const
    {22, 279, 0, 0, Smoke::mf_const, 122, 26},	//218 QDomNode::localName() const
    {22, 226, 0, 0, Smoke::mf_const, 253, 27},	//219 QDomNode::hasAttributes() const
    {22, 294, 0, 0, Smoke::mf_const, 122, 28},	//220 QDomNode::nodeValue() const
    {22, 632, 3, 1, 0, 0, 29},	//221 QDomNode::setNodeValue(const QString&)
    {22, 370, 0, 0, Smoke::mf_const, 122, 30},	//222 QDomNode::prefix() const
    {22, 634, 3, 1, 0, 0, 31},	//223 QDomNode::setPrefix(const QString&)
    {22, 254, 0, 0, Smoke::mf_const, 253, 32},	//224 QDomNode::isAttr() const
    {22, 255, 0, 0, Smoke::mf_const, 253, 33},	//225 QDomNode::isCDATASection() const
    {22, 259, 0, 0, Smoke::mf_const, 253, 34},	//226 QDomNode::isDocumentFragment() const
    {22, 258, 0, 0, Smoke::mf_const, 253, 35},	//227 QDomNode::isDocument() const
    {22, 260, 0, 0, Smoke::mf_const, 253, 36},	//228 QDomNode::isDocumentType() const
    {22, 261, 0, 0, Smoke::mf_const, 253, 37},	//229 QDomNode::isElement() const
    {22, 264, 0, 0, Smoke::mf_const, 253, 38},	//230 QDomNode::isEntityReference() const
    {22, 270, 0, 0, Smoke::mf_const, 253, 39},	//231 QDomNode::isText() const
    {22, 263, 0, 0, Smoke::mf_const, 253, 40},	//232 QDomNode::isEntity() const
    {22, 265, 0, 0, Smoke::mf_const, 253, 41},	//233 QDomNode::isNotation() const
    {22, 267, 0, 0, Smoke::mf_const, 253, 42},	//234 QDomNode::isProcessingInstruction() const
    {22, 256, 0, 0, Smoke::mf_const, 253, 43},	//235 QDomNode::isCharacterData() const
    {22, 257, 0, 0, Smoke::mf_const, 253, 44},	//236 QDomNode::isComment() const
    {22, 283, 3, 1, Smoke::mf_const, 54, 45},	//237 QDomNode::namedItem(const QString&) const
    {22, 266, 0, 0, Smoke::mf_const, 253, 46},	//238 QDomNode::isNull() const
    {22, 146, 0, 0, 0, 0, 47},	//239 QDomNode::clear()
    {22, 667, 0, 0, Smoke::mf_const, 17, 48},	//240 QDomNode::toAttr() const
    {22, 670, 0, 0, Smoke::mf_const, 20, 49},	//241 QDomNode::toCDATASection() const
    {22, 674, 0, 0, Smoke::mf_const, 32, 50},	//242 QDomNode::toDocumentFragment() const
    {22, 673, 0, 0, Smoke::mf_const, 29, 51},	//243 QDomNode::toDocument() const
    {22, 675, 0, 0, Smoke::mf_const, 35, 52},	//244 QDomNode::toDocumentType() const
    {22, 676, 0, 0, Smoke::mf_const, 38, 53},	//245 QDomNode::toElement() const
    {22, 678, 0, 0, Smoke::mf_const, 44, 54},	//246 QDomNode::toEntityReference() const
    {22, 683, 0, 0, Smoke::mf_const, 69, 55},	//247 QDomNode::toText() const
    {22, 677, 0, 0, Smoke::mf_const, 41, 56},	//248 QDomNode::toEntity() const
    {22, 679, 0, 0, Smoke::mf_const, 63, 57},	//249 QDomNode::toNotation() const
    {22, 680, 0, 0, Smoke::mf_const, 66, 58},	//250 QDomNode::toProcessingInstruction() const
    {22, 671, 0, 0, Smoke::mf_const, 23, 59},	//251 QDomNode::toCharacterData() const
    {22, 672, 0, 0, Smoke::mf_const, 26, 60},	//252 QDomNode::toComment() const
    {22, 568, 237, 2, Smoke::mf_const, 0, 61},	//253 QDomNode::save(QTextStream&, int) const
    {22, 568, 240, 3, Smoke::mf_const, 0, 62},	//254 QDomNode::save(QTextStream&, int, QDomNode::EncodingPolicy) const
    {22, 217, 3, 1, Smoke::mf_const, 38, 63},	//255 QDomNode::firstChildElement(const QString&) const
    {22, 274, 3, 1, Smoke::mf_const, 38, 64},	//256 QDomNode::lastChildElement(const QString&) const
    {22, 375, 3, 1, Smoke::mf_const, 38, 65},	//257 QDomNode::previousSiblingElement(const QString&) const
    {22, 290, 3, 1, Smoke::mf_const, 38, 66},	//258 QDomNode::nextSiblingElement(const QString&) const
    {22, 278, 0, 0, Smoke::mf_const, 336, 67},	//259 QDomNode::lineNumber() const
    {22, 150, 0, 0, Smoke::mf_const, 336, 68},	//260 QDomNode::columnNumber() const
    {22, 147, 0, 0, Smoke::mf_const, 54, 69},	//261 QDomNode::cloneNode() const
    {22, 217, 0, 0, Smoke::mf_const, 38, 70},	//262 QDomNode::firstChildElement() const
    {22, 274, 0, 0, Smoke::mf_const, 38, 71},	//263 QDomNode::lastChildElement() const
    {22, 375, 0, 0, Smoke::mf_const, 38, 72},	//264 QDomNode::previousSiblingElement() const
    {22, 290, 0, 0, Smoke::mf_const, 38, 73},	//265 QDomNode::nextSiblingElement() const
    {22, 236, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 62, 74},	//266 QDomNode::impl() const
    {22, 622, 244, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 75},	//267 QDomNode::setImpl(QDomNodePrivate*)
    {22, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 76},	//268 QDomNode::ElementNode (enum)
    {22, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 77},	//269 QDomNode::AttributeNode (enum)
    {22, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 78},	//270 QDomNode::TextNode (enum)
    {22, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 79},	//271 QDomNode::CDATASectionNode (enum)
    {22, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 80},	//272 QDomNode::EntityReferenceNode (enum)
    {22, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 81},	//273 QDomNode::EntityNode (enum)
    {22, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 82},	//274 QDomNode::ProcessingInstructionNode (enum)
    {22, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 83},	//275 QDomNode::CommentNode (enum)
    {22, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 84},	//276 QDomNode::DocumentNode (enum)
    {22, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 85},	//277 QDomNode::DocumentTypeNode (enum)
    {22, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 86},	//278 QDomNode::DocumentFragmentNode (enum)
    {22, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 87},	//279 QDomNode::NotationNode (enum)
    {22, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 88},	//280 QDomNode::BaseNode (enum)
    {22, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 89},	//281 QDomNode::CharacterDataNode (enum)
    {22, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 90},	//282 QDomNode::EncodingFromDocument (enum)
    {22, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 91},	//283 QDomNode::EncodingFromTextStream (enum)
    {22, 749, 0, 0, Smoke::mf_dtor, 0, 92 },	//284 QDomNode::~QDomNode()
    {23, 67, 0, 0, Smoke::mf_ctor, 61, 1},	//285 QDomNodeList::QDomNodeList()
    {23, 67, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 2},	//286 QDomNodeList::QDomNodeList(const QDomNodeList&)
    {23, 335, 246, 1, 0, 60, 3},	//287 QDomNodeList::operator=(const QDomNodeList&)
    {23, 337, 246, 1, Smoke::mf_const, 253, 4},	//288 QDomNodeList::operator==(const QDomNodeList&) const
    {23, 300, 246, 1, Smoke::mf_const, 253, 5},	//289 QDomNodeList::operator!=(const QDomNodeList&) const
    {23, 271, 76, 1, Smoke::mf_const, 54, 6},	//290 QDomNodeList::item(int) const
    {23, 126, 76, 1, Smoke::mf_const, 54, 7},	//291 QDomNodeList::at(int) const
    {23, 276, 0, 0, Smoke::mf_const, 345, 8},	//292 QDomNodeList::length() const
    {23, 156, 0, 0, Smoke::mf_const, 336, 9},	//293 QDomNodeList::count() const
    {23, 643, 0, 0, Smoke::mf_const, 336, 10},	//294 QDomNodeList::size() const
    {23, 262, 0, 0, Smoke::mf_const, 253, 11},	//295 QDomNodeList::isEmpty() const
    {23, 750, 0, 0, Smoke::mf_dtor, 0, 12 },	//296 QDomNodeList::~QDomNodeList()
    {25, 69, 0, 0, Smoke::mf_ctor, 65, 1},	//297 QDomNotation::QDomNotation()
    {25, 69, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//298 QDomNotation::QDomNotation(const QDomNotation&)
    {25, 335, 248, 1, 0, 64, 3},	//299 QDomNotation::operator=(const QDomNotation&)
    {25, 384, 0, 0, Smoke::mf_const, 122, 4},	//300 QDomNotation::publicId() const
    {25, 663, 0, 0, Smoke::mf_const, 122, 5},	//301 QDomNotation::systemId() const
    {25, 293, 0, 0, Smoke::mf_const, 58, 6},	//302 QDomNotation::nodeType() const
    {25, 751, 0, 0, Smoke::mf_dtor, 0, 7 },	//303 QDomNotation::~QDomNotation()
    {26, 71, 0, 0, Smoke::mf_ctor, 68, 1},	//304 QDomProcessingInstruction::QDomProcessingInstruction()
    {26, 71, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 2},	//305 QDomProcessingInstruction::QDomProcessingInstruction(const QDomProcessingInstruction&)
    {26, 335, 250, 1, 0, 67, 3},	//306 QDomProcessingInstruction::operator=(const QDomProcessingInstruction&)
    {26, 665, 0, 0, Smoke::mf_const, 122, 4},	//307 QDomProcessingInstruction::target() const
    {26, 180, 0, 0, Smoke::mf_const, 122, 5},	//308 QDomProcessingInstruction::data() const
    {26, 607, 3, 1, 0, 0, 6},	//309 QDomProcessingInstruction::setData(const QString&)
    {26, 293, 0, 0, Smoke::mf_const, 58, 7},	//310 QDomProcessingInstruction::nodeType() const
    {26, 752, 0, 0, Smoke::mf_dtor, 0, 8 },	//311 QDomProcessingInstruction::~QDomProcessingInstruction()
    {27, 73, 0, 0, Smoke::mf_ctor, 71, 1},	//312 QDomText::QDomText()
    {27, 73, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 2},	//313 QDomText::QDomText(const QDomText&)
    {27, 335, 252, 1, 0, 70, 3},	//314 QDomText::operator=(const QDomText&)
    {27, 649, 76, 1, 0, 69, 4},	//315 QDomText::splitText(int)
    {27, 293, 0, 0, Smoke::mf_const, 58, 5},	//316 QDomText::nodeType() const
    {27, 753, 0, 0, Smoke::mf_dtor, 0, 6 },	//317 QDomText::~QDomText()
    {29, 471, 254, 1, Smoke::mf_static, 336, 1},	//318 QGlobalSpace::qRound(double)
    {29, 359, 256, 2, Smoke::mf_static, 80, 2},	//319 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {29, 386, 254, 1, Smoke::mf_static, 334, 3},	//320 QGlobalSpace::qAcos(double)
    {29, 353, 259, 2, Smoke::mf_static, 10, 4},	//321 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {29, 359, 262, 2, Smoke::mf_static, 78, 5},	//322 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {29, 348, 265, 2, Smoke::mf_static, 253, 6},	//323 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {29, 353, 268, 2, Smoke::mf_static, 10, 7},	//324 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {29, 390, 0, 0, Smoke::mf_static, 122, 8},	//325 QGlobalSpace::qAppName()
    {29, 359, 271, 2, Smoke::mf_static, 106, 9},	//326 QGlobalSpace::operator|(Qt::WindowType, int)
    {29, 521, 274, 3, Smoke::mf_static, 256, 10},	//327 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {29, 431, 278, 1, Smoke::mf_static, 345, 11},	//328 QGlobalSpace::qHash(unsigned int)
    {29, 431, 280, 1, Smoke::mf_static, 345, 12},	//329 QGlobalSpace::qHash(char)
    {29, 308, 282, 2, Smoke::mf_static, 302, 13},	//330 QGlobalSpace::operator*(const QSizeF&, double)
    {29, 326, 285, 2, Smoke::mf_static, 13, 14},	//331 QGlobalSpace::operator<<(QDebug, const QLine&)
    {29, 499, 288, 1, Smoke::mf_static, 5, 15},	//332 QGlobalSpace::qgetenv(const char*)
    {29, 321, 290, 2, Smoke::mf_static, 253, 16},	//333 QGlobalSpace::operator<(const QByteArray&, const char*)
    {29, 343, 293, 2, Smoke::mf_static, 253, 17},	//334 QGlobalSpace::operator>(const char*, const QString&)
    {29, 353, 296, 2, Smoke::mf_static, 10, 18},	//335 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {29, 359, 299, 2, Smoke::mf_static, 94, 19},	//336 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {29, 337, 302, 2, Smoke::mf_static, 253, 20},	//337 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {29, 326, 305, 2, Smoke::mf_static, 13, 21},	//338 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {29, 337, 308, 2, Smoke::mf_static, 253, 22},	//339 QGlobalSpace::operator==(const QSize&, const QSize&)
    {29, 417, 254, 1, Smoke::mf_static, 334, 23},	//340 QGlobalSpace::qFastSin(double)
    {29, 311, 311, 2, Smoke::mf_static, 304, 24},	//341 QGlobalSpace::operator+(QChar, const QString&)
    {29, 519, 314, 3, Smoke::mf_static, 336, 25},	//342 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {29, 330, 318, 2, Smoke::mf_static, 253, 26},	//343 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {29, 330, 321, 2, Smoke::mf_static, 253, 27},	//344 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {29, 547, 324, 4, Smoke::mf_static, 336, 28},	//345 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {29, 300, 329, 2, Smoke::mf_static, 253, 29},	//346 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {29, 300, 332, 2, Smoke::mf_static, 253, 30},	//347 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {29, 311, 335, 2, Smoke::mf_static, 304, 31},	//348 QGlobalSpace::operator+(const QString&, QChar)
    {29, 311, 308, 2, Smoke::mf_static, 300, 32},	//349 QGlobalSpace::operator+(const QSize&, const QSize&)
    {29, 525, 338, 2, Smoke::mf_static, 345, 33},	//350 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {29, 337, 321, 2, Smoke::mf_static, 253, 34},	//351 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {29, 353, 341, 2, Smoke::mf_static, 10, 35},	//352 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {29, 300, 344, 2, Smoke::mf_static, 253, 36},	//353 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {29, 326, 347, 2, Smoke::mf_static, 13, 37},	//354 QGlobalSpace::operator<<(QDebug, const QDate&)
    {29, 359, 350, 2, Smoke::mf_static, 100, 38},	//355 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {29, 326, 353, 2, Smoke::mf_static, 13, 39},	//356 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {29, 300, 356, 2, Smoke::mf_static, 253, 40},	//357 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {29, 431, 359, 1, Smoke::mf_static, 345, 41},	//358 QGlobalSpace::qHash(unsigned char)
    {29, 543, 361, 5, Smoke::mf_static, 0, 42},	//359 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {29, 337, 367, 2, Smoke::mf_static, 253, 43},	//360 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {29, 536, 76, 1, Smoke::mf_static, 122, 44},	//361 QGlobalSpace::qt_error_string(int)
    {29, 536, 0, 0, Smoke::mf_static, 122, 45},	//362 QGlobalSpace::qt_error_string()
    {29, 353, 370, 2, Smoke::mf_static, 10, 46},	//363 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {29, 446, 373, 1, Smoke::mf_static, 253, 47},	//364 QGlobalSpace::qIsNull(float)
    {29, 359, 375, 2, Smoke::mf_static, 106, 48},	//365 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {29, 462, 0, 0, Smoke::mf_static, 334, 49},	//366 QGlobalSpace::qQNaN()
    {29, 300, 378, 2, Smoke::mf_static, 253, 50},	//367 QGlobalSpace::operator!=(QChar, QChar)
    {29, 478, 381, 1, Smoke::mf_static, 135, 51},	//368 QGlobalSpace::qSetPadChar(QChar)
    {29, 353, 383, 2, Smoke::mf_static, 10, 52},	//369 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {29, 326, 386, 2, Smoke::mf_static, 13, 53},	//370 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {29, 359, 389, 2, Smoke::mf_static, 82, 54},	//371 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {29, 316, 329, 2, Smoke::mf_static, 294, 55},	//372 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {29, 527, 392, 2, Smoke::mf_static, 122, 56},	//373 QGlobalSpace::qtTrId(const char*, int)
    {29, 527, 288, 1, Smoke::mf_static, 122, 57},	//374 QGlobalSpace::qtTrId(const char*)
    {29, 395, 395, 2, Smoke::mf_static, 334, 58},	//375 QGlobalSpace::qAtan2(double, double)
    {29, 326, 398, 2, Smoke::mf_static, 10, 59},	//376 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {29, 431, 401, 1, Smoke::mf_static, 345, 60},	//377 QGlobalSpace::qHash(short)
    {29, 326, 403, 2, Smoke::mf_static, 10, 61},	//378 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {29, 337, 265, 2, Smoke::mf_static, 253, 62},	//379 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {29, 359, 406, 2, Smoke::mf_static, 99, 63},	//380 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {29, 440, 254, 1, Smoke::mf_static, 253, 64},	//381 QGlobalSpace::qIsFinite(double)
    {29, 359, 409, 2, Smoke::mf_static, 94, 65},	//382 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {29, 506, 290, 2, Smoke::mf_static, 336, 66},	//383 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {29, 513, 288, 1, Smoke::mf_static, 256, 67},	//384 QGlobalSpace::qstrdup(const char*)
    {29, 431, 412, 1, Smoke::mf_static, 345, 68},	//385 QGlobalSpace::qHash(long)
    {29, 359, 414, 2, Smoke::mf_static, 93, 69},	//386 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {29, 506, 417, 2, Smoke::mf_static, 336, 70},	//387 QGlobalSpace::qstrcmp(const char*, const char*)
    {29, 326, 420, 2, Smoke::mf_static, 10, 71},	//388 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {29, 343, 318, 2, Smoke::mf_static, 253, 72},	//389 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {29, 300, 423, 2, Smoke::mf_static, 253, 73},	//390 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {29, 311, 426, 2, Smoke::mf_static, 258, 74},	//391 QGlobalSpace::operator+(const char*, const QByteArray&)
    {29, 300, 265, 2, Smoke::mf_static, 253, 75},	//392 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {29, 431, 429, 1, Smoke::mf_static, 345, 76},	//393 QGlobalSpace::qHash(const QBitArray&)
    {29, 359, 431, 2, Smoke::mf_static, 78, 77},	//394 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {29, 511, 434, 2, Smoke::mf_static, 256, 78},	//395 QGlobalSpace::qstrcpy(char*, const char*)
    {29, 359, 437, 2, Smoke::mf_static, 2, 79},	//396 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {29, 300, 440, 2, Smoke::mf_static, 253, 80},	//397 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {29, 321, 426, 2, Smoke::mf_static, 253, 81},	//398 QGlobalSpace::operator<(const char*, const QByteArray&)
    {29, 393, 254, 1, Smoke::mf_static, 334, 82},	//399 QGlobalSpace::qAtan(double)
    {29, 506, 426, 2, Smoke::mf_static, 336, 83},	//400 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {29, 348, 378, 2, Smoke::mf_static, 253, 84},	//401 QGlobalSpace::operator>=(QChar, QChar)
    {29, 359, 443, 2, Smoke::mf_static, 95, 85},	//402 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {29, 330, 378, 2, Smoke::mf_static, 253, 86},	//403 QGlobalSpace::operator<=(QChar, QChar)
    {29, 308, 446, 2, Smoke::mf_static, 294, 87},	//404 QGlobalSpace::operator*(const QPointF&, double)
    {29, 326, 449, 2, Smoke::mf_static, 13, 88},	//405 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {29, 337, 452, 2, Smoke::mf_static, 253, 89},	//406 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {29, 359, 455, 2, Smoke::mf_static, 75, 90},	//407 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {29, 534, 392, 2, Smoke::mf_static, 0, 91},	//408 QGlobalSpace::qt_check_pointer(const char*, int)
    {29, 337, 423, 2, Smoke::mf_static, 253, 92},	//409 QGlobalSpace::operator==(QString::Null, QString::Null)
    {29, 300, 318, 2, Smoke::mf_static, 253, 93},	//410 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {29, 353, 458, 2, Smoke::mf_static, 10, 94},	//411 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {29, 300, 461, 2, Smoke::mf_static, 253, 95},	//412 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {29, 330, 464, 2, Smoke::mf_static, 253, 96},	//413 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {29, 492, 467, 2, Smoke::mf_static, 5, 97},	//414 QGlobalSpace::qUncompress(const unsigned char*, int)
    {29, 402, 470, 2, Smoke::mf_static, 5, 98},	//415 QGlobalSpace::qCompress(const QByteArray&, int)
    {29, 402, 126, 1, Smoke::mf_static, 5, 99},	//416 QGlobalSpace::qCompress(const QByteArray&)
    {29, 326, 473, 2, Smoke::mf_static, 10, 100},	//417 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {29, 353, 476, 2, Smoke::mf_static, 132, 101},	//418 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 359, 479, 2, Smoke::mf_static, 106, 102},	//419 QGlobalSpace::operator|(Qt::DropAction, int)
    {29, 465, 482, 4, Smoke::mf_static, 352, 103},	//420 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {29, 359, 487, 2, Smoke::mf_static, 106, 104},	//421 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {29, 343, 265, 2, Smoke::mf_static, 253, 105},	//422 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {29, 485, 254, 1, Smoke::mf_static, 334, 106},	//423 QGlobalSpace::qSqrt(double)
    {29, 326, 476, 2, Smoke::mf_static, 132, 107},	//424 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 326, 490, 2, Smoke::mf_static, 10, 108},	//425 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {29, 326, 493, 2, Smoke::mf_static, 13, 109},	//426 QGlobalSpace::operator<<(QDebug, const QRect&)
    {29, 343, 321, 2, Smoke::mf_static, 253, 110},	//427 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {29, 348, 464, 2, Smoke::mf_static, 253, 111},	//428 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {29, 438, 373, 1, Smoke::mf_static, 336, 112},	//429 QGlobalSpace::qIntCast(float)
    {29, 359, 496, 2, Smoke::mf_static, 85, 113},	//430 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {29, 337, 329, 2, Smoke::mf_static, 253, 114},	//431 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {29, 343, 426, 2, Smoke::mf_static, 253, 115},	//432 QGlobalSpace::operator>(const char*, const QByteArray&)
    {29, 413, 254, 1, Smoke::mf_static, 334, 116},	//433 QGlobalSpace::qFabs(double)
    {29, 431, 499, 1, Smoke::mf_static, 345, 117},	//434 QGlobalSpace::qHash(unsigned short)
    {29, 337, 426, 2, Smoke::mf_static, 253, 118},	//435 QGlobalSpace::operator==(const char*, const QByteArray&)
    {29, 359, 501, 2, Smoke::mf_static, 99, 119},	//436 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {29, 359, 504, 2, Smoke::mf_static, 84, 120},	//437 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {29, 326, 507, 2, Smoke::mf_static, 13, 121},	//438 QGlobalSpace::operator<<(QDebug, const QDir&)
    {29, 359, 510, 2, Smoke::mf_static, 97, 122},	//439 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {29, 300, 321, 2, Smoke::mf_static, 253, 123},	//440 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {29, 463, 513, 2, Smoke::mf_static, 352, 124},	//441 QGlobalSpace::qRealloc(void*, size_t)
    {29, 359, 516, 2, Smoke::mf_static, 90, 125},	//442 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {29, 359, 519, 2, Smoke::mf_static, 106, 126},	//443 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {29, 337, 522, 2, Smoke::mf_static, 253, 127},	//444 QGlobalSpace::operator==(const QString&, QString::Null)
    {29, 359, 525, 2, Smoke::mf_static, 91, 128},	//445 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {29, 496, 0, 0, Smoke::mf_static, 13, 129},	//446 QGlobalSpace::qWarning()
    {29, 359, 528, 2, Smoke::mf_static, 106, 130},	//447 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {29, 427, 395, 2, Smoke::mf_static, 253, 131},	//448 QGlobalSpace::qFuzzyCompare(double, double)
    {29, 330, 265, 2, Smoke::mf_static, 253, 132},	//449 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {29, 359, 531, 2, Smoke::mf_static, 83, 133},	//450 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {29, 359, 534, 2, Smoke::mf_static, 81, 134},	//451 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {29, 353, 537, 2, Smoke::mf_static, 10, 135},	//452 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {29, 326, 540, 2, Smoke::mf_static, 10, 136},	//453 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {29, 300, 543, 2, Smoke::mf_static, 253, 137},	//454 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {29, 308, 546, 2, Smoke::mf_static, 300, 138},	//455 QGlobalSpace::operator*(double, const QSize&)
    {29, 359, 549, 2, Smoke::mf_static, 89, 139},	//456 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {29, 410, 0, 0, Smoke::mf_static, 13, 140},	//457 QGlobalSpace::qDebug()
    {29, 431, 552, 1, Smoke::mf_static, 345, 141},	//458 QGlobalSpace::qHash(long long)
    {29, 359, 554, 2, Smoke::mf_static, 96, 142},	//459 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {29, 330, 293, 2, Smoke::mf_static, 253, 143},	//460 QGlobalSpace::operator<=(const char*, const QString&)
    {29, 308, 557, 2, Smoke::mf_static, 292, 144},	//461 QGlobalSpace::operator*(const QPoint&, float)
    {29, 316, 560, 1, Smoke::mf_static, 294, 145},	//462 QGlobalSpace::operator-(const QPointF&)
    {29, 359, 562, 2, Smoke::mf_static, 106, 146},	//463 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {29, 442, 373, 1, Smoke::mf_static, 253, 147},	//464 QGlobalSpace::qIsInf(float)
    {29, 359, 565, 2, Smoke::mf_static, 106, 148},	//465 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {29, 311, 293, 2, Smoke::mf_static, 304, 149},	//466 QGlobalSpace::operator+(const char*, const QString&)
    {29, 330, 426, 2, Smoke::mf_static, 253, 150},	//467 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {29, 326, 568, 2, Smoke::mf_static, 13, 151},	//468 QGlobalSpace::operator<<(QDebug, const QSize&)
    {29, 300, 464, 2, Smoke::mf_static, 253, 152},	//469 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {29, 343, 378, 2, Smoke::mf_static, 253, 153},	//470 QGlobalSpace::operator>(QChar, QChar)
    {29, 319, 282, 2, Smoke::mf_static, 302, 154},	//471 QGlobalSpace::operator/(const QSizeF&, double)
    {29, 359, 571, 2, Smoke::mf_static, 106, 155},	//472 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {29, 326, 574, 2, Smoke::mf_static, 13, 156},	//473 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {29, 506, 464, 2, Smoke::mf_static, 336, 157},	//474 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {29, 306, 437, 2, Smoke::mf_static, 2, 158},	//475 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {29, 326, 577, 2, Smoke::mf_static, 13, 159},	//476 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {29, 316, 580, 1, Smoke::mf_static, 292, 160},	//477 QGlobalSpace::operator-(const QPoint&)
    {29, 348, 290, 2, Smoke::mf_static, 253, 161},	//478 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {29, 326, 582, 2, Smoke::mf_static, 10, 162},	//479 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {29, 359, 585, 2, Smoke::mf_static, 85, 163},	//480 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {29, 348, 318, 2, Smoke::mf_static, 253, 164},	//481 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {29, 321, 321, 2, Smoke::mf_static, 253, 165},	//482 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {29, 300, 588, 2, Smoke::mf_static, 253, 166},	//483 QGlobalSpace::operator!=(QBool, QBool)
    {29, 311, 591, 2, Smoke::mf_static, 304, 167},	//484 QGlobalSpace::operator+(const QString&, char)
    {29, 300, 594, 2, Smoke::mf_static, 253, 168},	//485 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {29, 431, 597, 1, Smoke::mf_static, 345, 169},	//486 QGlobalSpace::qHash(unsigned long long)
    {29, 337, 318, 2, Smoke::mf_static, 253, 170},	//487 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {29, 419, 288, 1, Smoke::mf_static, 330, 171},	//488 QGlobalSpace::qFlagLocation(const char*)
    {29, 319, 446, 2, Smoke::mf_static, 294, 172},	//489 QGlobalSpace::operator/(const QPointF&, double)
    {29, 438, 254, 1, Smoke::mf_static, 336, 173},	//490 QGlobalSpace::qIntCast(double)
    {29, 359, 599, 2, Smoke::mf_static, 106, 174},	//491 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {29, 492, 126, 1, Smoke::mf_static, 5, 175},	//492 QGlobalSpace::qUncompress(const QByteArray&)
    {29, 300, 302, 2, Smoke::mf_static, 253, 176},	//493 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {29, 326, 602, 2, Smoke::mf_static, 13, 177},	//494 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {29, 337, 605, 2, Smoke::mf_static, 253, 178},	//495 QGlobalSpace::operator==(QString::Null, const QString&)
    {29, 330, 290, 2, Smoke::mf_static, 253, 179},	//496 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {29, 415, 254, 1, Smoke::mf_static, 334, 180},	//497 QGlobalSpace::qFastCos(double)
    {29, 469, 608, 1, Smoke::mf_static, 0, 181},	//498 QGlobalSpace::qRemovePostRoutine(void(*)())
    {29, 359, 610, 2, Smoke::mf_static, 83, 182},	//499 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {29, 359, 613, 2, Smoke::mf_static, 91, 183},	//500 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {29, 353, 616, 2, Smoke::mf_static, 10, 184},	//501 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {29, 427, 619, 2, Smoke::mf_static, 253, 185},	//502 QGlobalSpace::qFuzzyCompare(float, float)
    {29, 326, 622, 2, Smoke::mf_static, 10, 186},	//503 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {29, 400, 338, 2, Smoke::mf_static, 348, 187},	//504 QGlobalSpace::qChecksum(const char*, unsigned int)
    {29, 353, 625, 2, Smoke::mf_static, 10, 188},	//505 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {29, 308, 628, 2, Smoke::mf_static, 300, 189},	//506 QGlobalSpace::operator*(const QSize&, double)
    {29, 436, 631, 1, Smoke::mf_static, 351, 190},	//507 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {29, 326, 633, 2, Smoke::mf_static, 132, 191},	//508 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {29, 316, 440, 2, Smoke::mf_static, 292, 192},	//509 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {29, 359, 636, 2, Smoke::mf_static, 88, 193},	//510 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {29, 353, 639, 2, Smoke::mf_static, 10, 194},	//511 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {29, 359, 642, 2, Smoke::mf_static, 76, 195},	//512 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {29, 409, 0, 0, Smoke::mf_static, 13, 196},	//513 QGlobalSpace::qCritical()
    {29, 460, 395, 2, Smoke::mf_static, 334, 197},	//514 QGlobalSpace::qPow(double, double)
    {29, 319, 645, 2, Smoke::mf_static, 292, 198},	//515 QGlobalSpace::operator/(const QPoint&, double)
    {29, 326, 648, 2, Smoke::mf_static, 10, 199},	//516 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {29, 326, 651, 2, Smoke::mf_static, 10, 200},	//517 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {29, 300, 605, 2, Smoke::mf_static, 253, 201},	//518 QGlobalSpace::operator!=(QString::Null, const QString&)
    {29, 431, 76, 1, Smoke::mf_static, 345, 202},	//519 QGlobalSpace::qHash(int)
    {29, 359, 654, 2, Smoke::mf_static, 92, 203},	//520 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {29, 540, 0, 0, Smoke::mf_static, 0, 204},	//521 QGlobalSpace::qt_noop()
    {29, 337, 332, 2, Smoke::mf_static, 253, 205},	//522 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {29, 359, 657, 2, Smoke::mf_static, 106, 206},	//523 QGlobalSpace::operator|(Qt::WindowState, int)
    {29, 300, 367, 2, Smoke::mf_static, 253, 207},	//524 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {29, 353, 660, 2, Smoke::mf_static, 10, 208},	//525 QGlobalSpace::operator>>(QDataStream&, QString&)
    {29, 541, 663, 3, Smoke::mf_static, 113, 209},	//526 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {29, 326, 667, 2, Smoke::mf_static, 10, 210},	//527 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {29, 337, 588, 2, Smoke::mf_static, 253, 211},	//528 QGlobalSpace::operator==(QBool, QBool)
    {29, 411, 254, 1, Smoke::mf_static, 334, 212},	//529 QGlobalSpace::qExp(double)
    {29, 353, 670, 2, Smoke::mf_static, 10, 213},	//530 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {29, 353, 673, 2, Smoke::mf_static, 10, 214},	//531 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {29, 359, 676, 2, Smoke::mf_static, 95, 215},	//532 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {29, 337, 679, 2, Smoke::mf_static, 253, 216},	//533 QGlobalSpace::operator==(bool, QBool)
    {29, 359, 682, 2, Smoke::mf_static, 86, 217},	//534 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {29, 429, 254, 1, Smoke::mf_static, 253, 218},	//535 QGlobalSpace::qFuzzyIsNull(double)
    {29, 353, 685, 2, Smoke::mf_static, 10, 219},	//536 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {29, 545, 688, 3, Smoke::mf_static, 253, 220},	//537 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {29, 321, 293, 2, Smoke::mf_static, 253, 221},	//538 QGlobalSpace::operator<(const char*, const QString&)
    {29, 337, 692, 2, Smoke::mf_static, 253, 222},	//539 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {29, 497, 695, 3, Smoke::mf_static, 0, 223},	//540 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {29, 431, 381, 1, Smoke::mf_static, 345, 224},	//541 QGlobalSpace::qHash(QChar)
    {29, 359, 699, 2, Smoke::mf_static, 106, 225},	//542 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {29, 326, 702, 2, Smoke::mf_static, 10, 226},	//543 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {29, 300, 692, 2, Smoke::mf_static, 253, 227},	//544 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {29, 321, 265, 2, Smoke::mf_static, 253, 228},	//545 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {29, 300, 679, 2, Smoke::mf_static, 253, 229},	//546 QGlobalSpace::operator!=(bool, QBool)
    {29, 538, 705, 2, Smoke::mf_static, 0, 230},	//547 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {29, 359, 708, 2, Smoke::mf_static, 79, 231},	//548 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {29, 504, 278, 1, Smoke::mf_static, 0, 232},	//549 QGlobalSpace::qsrand(unsigned int)
    {29, 337, 711, 2, Smoke::mf_static, 253, 233},	//550 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {29, 311, 714, 2, Smoke::mf_static, 304, 234},	//551 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {29, 359, 717, 2, Smoke::mf_static, 87, 235},	//552 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {29, 326, 720, 2, Smoke::mf_static, 13, 236},	//553 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {29, 359, 723, 2, Smoke::mf_static, 106, 237},	//554 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {29, 353, 726, 2, Smoke::mf_static, 10, 238},	//555 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {29, 300, 522, 2, Smoke::mf_static, 253, 239},	//556 QGlobalSpace::operator!=(const QString&, QString::Null)
    {29, 515, 417, 2, Smoke::mf_static, 336, 240},	//557 QGlobalSpace::qstricmp(const char*, const char*)
    {29, 359, 729, 2, Smoke::mf_static, 103, 241},	//558 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {29, 456, 732, 3, Smoke::mf_static, 352, 242},	//559 QGlobalSpace::qMemSet(void*, int, size_t)
    {29, 326, 736, 2, Smoke::mf_static, 13, 243},	//560 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {29, 300, 308, 2, Smoke::mf_static, 253, 244},	//561 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {29, 398, 254, 1, Smoke::mf_static, 336, 245},	//562 QGlobalSpace::qCeil(double)
    {29, 431, 739, 1, Smoke::mf_static, 345, 246},	//563 QGlobalSpace::qHash(signed char)
    {29, 359, 741, 2, Smoke::mf_static, 103, 247},	//564 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {29, 337, 356, 2, Smoke::mf_static, 253, 248},	//565 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {29, 359, 744, 2, Smoke::mf_static, 102, 249},	//566 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {29, 337, 594, 2, Smoke::mf_static, 253, 250},	//567 QGlobalSpace::operator==(const char*, const QStringRef&)
    {29, 326, 747, 2, Smoke::mf_static, 13, 251},	//568 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {29, 353, 750, 2, Smoke::mf_static, 10, 252},	//569 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {29, 359, 753, 2, Smoke::mf_static, 106, 253},	//570 QGlobalSpace::operator|(QFile::Permission, int)
    {29, 311, 440, 2, Smoke::mf_static, 292, 254},	//571 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {29, 311, 290, 2, Smoke::mf_static, 258, 255},	//572 QGlobalSpace::operator+(const QByteArray&, const char*)
    {29, 388, 608, 1, Smoke::mf_static, 0, 256},	//573 QGlobalSpace::qAddPostRoutine(void(*)())
    {29, 467, 756, 1, Smoke::mf_static, 0, 257},	//574 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {29, 308, 758, 2, Smoke::mf_static, 294, 258},	//575 QGlobalSpace::operator*(double, const QPointF&)
    {29, 308, 761, 2, Smoke::mf_static, 292, 259},	//576 QGlobalSpace::operator*(int, const QPoint&)
    {29, 482, 0, 0, Smoke::mf_static, 253, 260},	//577 QGlobalSpace::qSharedBuild()
    {29, 326, 764, 2, Smoke::mf_static, 10, 261},	//578 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {29, 326, 767, 2, Smoke::mf_static, 10, 262},	//579 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {29, 353, 770, 2, Smoke::mf_static, 10, 263},	//580 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {29, 435, 0, 0, Smoke::mf_static, 334, 264},	//581 QGlobalSpace::qInf()
    {29, 523, 314, 3, Smoke::mf_static, 336, 265},	//582 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {29, 431, 773, 1, Smoke::mf_static, 345, 266},	//583 QGlobalSpace::qHash(const QStringRef&)
    {29, 353, 775, 2, Smoke::mf_static, 10, 267},	//584 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {29, 359, 778, 2, Smoke::mf_static, 106, 268},	//585 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {29, 326, 781, 2, Smoke::mf_static, 10, 269},	//586 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {29, 343, 464, 2, Smoke::mf_static, 253, 270},	//587 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {29, 326, 784, 2, Smoke::mf_static, 132, 271},	//588 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {29, 337, 378, 2, Smoke::mf_static, 253, 272},	//589 QGlobalSpace::operator==(QChar, QChar)
    {29, 407, 254, 1, Smoke::mf_static, 334, 273},	//590 QGlobalSpace::qCos(double)
    {29, 452, 787, 2, Smoke::mf_static, 352, 274},	//591 QGlobalSpace::qMallocAligned(size_t, size_t)
    {29, 326, 790, 2, Smoke::mf_static, 10, 275},	//592 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {29, 311, 793, 2, Smoke::mf_static, 304, 276},	//593 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {29, 532, 796, 4, Smoke::mf_static, 0, 277},	//594 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {29, 359, 801, 2, Smoke::mf_static, 87, 278},	//595 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {29, 359, 804, 2, Smoke::mf_static, 79, 279},	//596 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {29, 311, 807, 2, Smoke::mf_static, 258, 280},	//597 QGlobalSpace::operator+(const QByteArray&, char)
    {29, 359, 810, 2, Smoke::mf_static, 82, 281},	//598 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {29, 495, 0, 0, Smoke::mf_static, 330, 282},	//599 QGlobalSpace::qVersion()
    {29, 359, 813, 2, Smoke::mf_static, 88, 283},	//600 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {29, 326, 816, 2, Smoke::mf_static, 10, 284},	//601 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {29, 311, 329, 2, Smoke::mf_static, 294, 285},	//602 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {29, 337, 293, 2, Smoke::mf_static, 253, 286},	//603 QGlobalSpace::operator==(const char*, const QString&)
    {29, 359, 819, 2, Smoke::mf_static, 81, 287},	//604 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {29, 326, 822, 2, Smoke::mf_static, 10, 288},	//605 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {29, 359, 825, 2, Smoke::mf_static, 106, 289},	//606 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {29, 337, 543, 2, Smoke::mf_static, 253, 290},	//607 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {29, 487, 828, 2, Smoke::mf_static, 253, 291},	//608 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {29, 359, 831, 2, Smoke::mf_static, 77, 292},	//609 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {29, 326, 834, 2, Smoke::mf_static, 10, 293},	//610 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {29, 311, 837, 2, Smoke::mf_static, 258, 294},	//611 QGlobalSpace::operator+(char, const QByteArray&)
    {29, 311, 840, 2, Smoke::mf_static, 304, 295},	//612 QGlobalSpace::operator+(const QString&, const char*)
    {29, 359, 843, 2, Smoke::mf_static, 106, 296},	//613 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {29, 321, 464, 2, Smoke::mf_static, 253, 297},	//614 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {29, 402, 846, 3, Smoke::mf_static, 5, 298},	//615 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {29, 402, 467, 2, Smoke::mf_static, 5, 299},	//616 QGlobalSpace::qCompress(const unsigned char*, int)
    {29, 421, 254, 1, Smoke::mf_static, 336, 300},	//617 QGlobalSpace::qFloor(double)
    {29, 359, 850, 2, Smoke::mf_static, 98, 301},	//618 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {29, 431, 3, 1, Smoke::mf_static, 345, 302},	//619 QGlobalSpace::qHash(const QString&)
    {29, 311, 25, 2, Smoke::mf_static, 304, 303},	//620 QGlobalSpace::operator+(const QString&, const QString&)
    {29, 300, 853, 2, Smoke::mf_static, 253, 304},	//621 QGlobalSpace::operator!=(QBool, bool)
    {29, 337, 464, 2, Smoke::mf_static, 253, 305},	//622 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {29, 326, 856, 2, Smoke::mf_static, 10, 306},	//623 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {29, 444, 373, 1, Smoke::mf_static, 253, 307},	//624 QGlobalSpace::qIsNaN(float)
    {29, 326, 859, 2, Smoke::mf_static, 10, 308},	//625 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {29, 359, 862, 2, Smoke::mf_static, 106, 309},	//626 QGlobalSpace::operator|(QDir::SortFlag, int)
    {29, 454, 865, 3, Smoke::mf_static, 352, 310},	//627 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {29, 423, 869, 1, Smoke::mf_static, 0, 311},	//628 QGlobalSpace::qFree(void*)
    {29, 337, 828, 2, Smoke::mf_static, 253, 312},	//629 QGlobalSpace::operator==(const QStringRef&, const char*)
    {29, 348, 293, 2, Smoke::mf_static, 253, 313},	//630 QGlobalSpace::operator>=(const char*, const QString&)
    {29, 444, 254, 1, Smoke::mf_static, 253, 314},	//631 QGlobalSpace::qIsNaN(double)
    {29, 359, 871, 2, Smoke::mf_static, 100, 315},	//632 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {29, 308, 645, 2, Smoke::mf_static, 292, 316},	//633 QGlobalSpace::operator*(const QPoint&, double)
    {29, 326, 874, 2, Smoke::mf_static, 13, 317},	//634 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {29, 480, 76, 1, Smoke::mf_static, 135, 318},	//635 QGlobalSpace::qSetRealNumberPrecision(int)
    {29, 503, 0, 0, Smoke::mf_static, 336, 319},	//636 QGlobalSpace::qrand()
    {29, 353, 877, 2, Smoke::mf_static, 10, 320},	//637 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {29, 431, 880, 1, Smoke::mf_static, 345, 321},	//638 QGlobalSpace::qHash(const QUrl&)
    {29, 359, 882, 2, Smoke::mf_static, 101, 322},	//639 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {29, 311, 464, 2, Smoke::mf_static, 258, 323},	//640 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {29, 308, 885, 2, Smoke::mf_static, 292, 324},	//641 QGlobalSpace::operator*(float, const QPoint&)
    {29, 308, 888, 2, Smoke::mf_static, 292, 325},	//642 QGlobalSpace::operator*(double, const QPoint&)
    {29, 300, 828, 2, Smoke::mf_static, 253, 326},	//643 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {29, 483, 254, 1, Smoke::mf_static, 334, 327},	//644 QGlobalSpace::qSin(double)
    {29, 326, 891, 2, Smoke::mf_static, 13, 328},	//645 QGlobalSpace::operator<<(QDebug, const QObject*)
    {29, 337, 440, 2, Smoke::mf_static, 253, 329},	//646 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {29, 359, 894, 2, Smoke::mf_static, 80, 330},	//647 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {29, 530, 897, 3, Smoke::mf_static, 0, 331},	//648 QGlobalSpace::qt_assert(const char*, const char*, int)
    {29, 326, 901, 2, Smoke::mf_static, 13, 332},	//649 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {29, 517, 288, 1, Smoke::mf_static, 345, 333},	//650 QGlobalSpace::qstrlen(const char*)
    {29, 359, 904, 2, Smoke::mf_static, 86, 334},	//651 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {29, 359, 907, 2, Smoke::mf_static, 77, 335},	//652 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {29, 442, 254, 1, Smoke::mf_static, 253, 336},	//653 QGlobalSpace::qIsInf(double)
    {29, 316, 308, 2, Smoke::mf_static, 300, 337},	//654 QGlobalSpace::operator-(const QSize&, const QSize&)
    {29, 319, 628, 2, Smoke::mf_static, 300, 338},	//655 QGlobalSpace::operator/(const QSize&, double)
    {29, 348, 426, 2, Smoke::mf_static, 253, 339},	//656 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {29, 359, 910, 2, Smoke::mf_static, 106, 340},	//657 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {29, 359, 913, 2, Smoke::mf_static, 106, 341},	//658 QGlobalSpace::operator|(QDir::Filter, int)
    {29, 300, 426, 2, Smoke::mf_static, 253, 342},	//659 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {29, 490, 254, 1, Smoke::mf_static, 334, 343},	//660 QGlobalSpace::qTan(double)
    {29, 473, 254, 1, Smoke::mf_static, 339, 344},	//661 QGlobalSpace::qRound64(double)
    {29, 431, 916, 1, Smoke::mf_static, 345, 345},	//662 QGlobalSpace::qHash(unsigned long)
    {29, 359, 918, 2, Smoke::mf_static, 75, 346},	//663 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {29, 475, 0, 0, Smoke::mf_static, 334, 347},	//664 QGlobalSpace::qSNaN()
    {29, 321, 378, 2, Smoke::mf_static, 253, 348},	//665 QGlobalSpace::operator<(QChar, QChar)
    {29, 359, 921, 2, Smoke::mf_static, 97, 349},	//666 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {29, 359, 924, 2, Smoke::mf_static, 90, 350},	//667 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {29, 316, 543, 2, Smoke::mf_static, 302, 351},	//668 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {29, 450, 927, 1, Smoke::mf_static, 352, 352},	//669 QGlobalSpace::qMalloc(size_t)
    {29, 446, 254, 1, Smoke::mf_static, 253, 353},	//670 QGlobalSpace::qIsNull(double)
    {29, 501, 426, 2, Smoke::mf_static, 253, 354},	//671 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {29, 359, 929, 2, Smoke::mf_static, 106, 355},	//672 QGlobalSpace::operator|(Qt::Orientation, int)
    {29, 353, 932, 2, Smoke::mf_static, 10, 356},	//673 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {29, 359, 935, 2, Smoke::mf_static, 106, 357},	//674 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {29, 353, 938, 2, Smoke::mf_static, 10, 358},	//675 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {29, 429, 373, 1, Smoke::mf_static, 253, 359},	//676 QGlobalSpace::qFuzzyIsNull(float)
    {29, 326, 941, 2, Smoke::mf_static, 10, 360},	//677 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {29, 326, 944, 2, Smoke::mf_static, 13, 361},	//678 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {29, 431, 947, 1, Smoke::mf_static, 345, 362},	//679 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {29, 359, 949, 2, Smoke::mf_static, 106, 363},	//680 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {29, 326, 952, 2, Smoke::mf_static, 13, 364},	//681 QGlobalSpace::operator<<(QDebug, const QTime&)
    {29, 359, 955, 2, Smoke::mf_static, 101, 365},	//682 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {29, 343, 290, 2, Smoke::mf_static, 253, 366},	//683 QGlobalSpace::operator>(const QByteArray&, const char*)
    {29, 300, 711, 2, Smoke::mf_static, 253, 367},	//684 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {29, 359, 958, 2, Smoke::mf_static, 92, 368},	//685 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {29, 300, 293, 2, Smoke::mf_static, 253, 369},	//686 QGlobalSpace::operator!=(const char*, const QString&)
    {29, 476, 76, 1, Smoke::mf_static, 135, 370},	//687 QGlobalSpace::qSetFieldWidth(int)
    {29, 487, 840, 2, Smoke::mf_static, 253, 371},	//688 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {29, 359, 961, 2, Smoke::mf_static, 102, 372},	//689 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {29, 359, 964, 2, Smoke::mf_static, 89, 373},	//690 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {29, 359, 967, 2, Smoke::mf_static, 106, 374},	//691 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {29, 321, 318, 2, Smoke::mf_static, 253, 375},	//692 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {29, 308, 970, 2, Smoke::mf_static, 302, 376},	//693 QGlobalSpace::operator*(double, const QSizeF&)
    {29, 348, 321, 2, Smoke::mf_static, 253, 377},	//694 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {29, 326, 973, 2, Smoke::mf_static, 13, 378},	//695 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {29, 431, 126, 1, Smoke::mf_static, 345, 379},	//696 QGlobalSpace::qHash(const QByteArray&)
    {29, 337, 344, 2, Smoke::mf_static, 253, 380},	//697 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {29, 431, 976, 1, Smoke::mf_static, 345, 381},	//698 QGlobalSpace::qHash(const QModelIndex&)
    {29, 359, 978, 2, Smoke::mf_static, 106, 382},	//699 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {29, 308, 981, 2, Smoke::mf_static, 292, 383},	//700 QGlobalSpace::operator*(const QPoint&, int)
    {29, 337, 461, 2, Smoke::mf_static, 253, 384},	//701 QGlobalSpace::operator==(const QRect&, const QRect&)
    {29, 359, 984, 2, Smoke::mf_static, 96, 385},	//702 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {29, 359, 987, 2, Smoke::mf_static, 93, 386},	//703 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {29, 425, 869, 1, Smoke::mf_static, 0, 387},	//704 QGlobalSpace::qFreeAligned(void*)
    {29, 359, 990, 2, Smoke::mf_static, 98, 388},	//705 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {29, 326, 993, 2, Smoke::mf_static, 13, 389},	//706 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {29, 337, 290, 2, Smoke::mf_static, 253, 390},	//707 QGlobalSpace::operator==(const QByteArray&, const char*)
    {29, 359, 996, 2, Smoke::mf_static, 106, 391},	//708 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {29, 359, 999, 2, Smoke::mf_static, 106, 392},	//709 QGlobalSpace::operator|(Qt::MouseButton, int)
    {29, 448, 254, 1, Smoke::mf_static, 334, 393},	//710 QGlobalSpace::qLn(double)
    {29, 337, 853, 2, Smoke::mf_static, 253, 394},	//711 QGlobalSpace::operator==(QBool, bool)
    {29, 300, 290, 2, Smoke::mf_static, 253, 395},	//712 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {29, 357, 437, 2, Smoke::mf_static, 2, 396},	//713 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {29, 391, 254, 1, Smoke::mf_static, 334, 397},	//714 QGlobalSpace::qAsin(double)
    {29, 353, 1002, 2, Smoke::mf_static, 10, 398},	//715 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {29, 397, 0, 0, Smoke::mf_static, 0, 399},	//716 QGlobalSpace::qBadAlloc()
    {29, 359, 1005, 2, Smoke::mf_static, 106, 400},	//717 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {29, 359, 1008, 2, Smoke::mf_static, 106, 401},	//718 QGlobalSpace::operator|(QString::SectionFlag, int)
    {29, 311, 1011, 2, Smoke::mf_static, 304, 402},	//719 QGlobalSpace::operator+(char, const QString&)
    {29, 326, 1014, 2, Smoke::mf_static, 10, 403},	//720 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {29, 440, 373, 1, Smoke::mf_static, 253, 404},	//721 QGlobalSpace::qIsFinite(float)
    {29, 359, 1017, 2, Smoke::mf_static, 76, 405},	//722 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {29, 311, 543, 2, Smoke::mf_static, 302, 406},	//723 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {29, 359, 1020, 2, Smoke::mf_static, 84, 407},	//724 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {29, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 338, 408},	//725 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {29, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 338, 409},	//726 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {29, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 338, 410},	//727 QGlobalSpace::Q_STATIC_TYPE (enum)
    {29, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 338, 411},	//728 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {29, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 338, 412},	//729 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {29, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 413},	//730 QGlobalSpace::LicensedGui (enum)
    {29, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 414},	//731 QGlobalSpace::LicensedXml (enum)
    {29, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 415},	//732 QGlobalSpace::LicensedQt3SupportLight (enum)
    {29, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 416},	//733 QGlobalSpace::LicensedScript (enum)
    {29, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 417},	//734 QGlobalSpace::LicensedOpenVG (enum)
    {29, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 418},	//735 QGlobalSpace::LicensedDBus (enum)
    {29, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 419},	//736 QGlobalSpace::LicensedTest (enum)
    {29, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 420},	//737 QGlobalSpace::LicensedActiveQt (enum)
    {29, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 421},	//738 QGlobalSpace::LicensedScriptTools (enum)
    {29, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 249, 422},	//739 QGlobalSpace::LicensedSvg (enum)
    {29, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 423},	//740 QGlobalSpace::LicensedDeclarative (enum)
    {29, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 424},	//741 QGlobalSpace::LicensedSql (enum)
    {29, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 425},	//742 QGlobalSpace::LicensedOpenGL (enum)
    {29, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 426},	//743 QGlobalSpace::LicensedCore (enum)
    {29, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 427},	//744 QGlobalSpace::QtDebugMsg (enum)
    {29, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 428},	//745 QGlobalSpace::QtWarningMsg (enum)
    {29, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 429},	//746 QGlobalSpace::QtCriticalMsg (enum)
    {29, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 430},	//747 QGlobalSpace::QtFatalMsg (enum)
    {29, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 431},	//748 QGlobalSpace::QtSystemMsg (enum)
    {29, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 432},	//749 QGlobalSpace::LicensedHelp (enum)
    {29, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 240, 433},	//750 QGlobalSpace::LicensedMultimedia (enum)
    {29, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 434},	//751 QGlobalSpace::LicensedQt3Support (enum)
    {29, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 252, 435},	//752 QGlobalSpace::LicensedXmlPatterns (enum)
    {29, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 436},	//753 QGlobalSpace::LicensedNetwork (enum)
    {59, 75, 0, 0, Smoke::mf_ctor, 143, 1},	//754 QXmlAttributes::QXmlAttributes()
    {59, 240, 3, 1, Smoke::mf_const, 336, 2},	//755 QXmlAttributes::index(const QString&) const
    {59, 240, 1023, 1, Smoke::mf_const, 336, 3},	//756 QXmlAttributes::index(const QLatin1String&) const
    {59, 240, 25, 2, Smoke::mf_const, 336, 4},	//757 QXmlAttributes::index(const QString&, const QString&) const
    {59, 276, 0, 0, Smoke::mf_const, 336, 5},	//758 QXmlAttributes::length() const
    {59, 156, 0, 0, Smoke::mf_const, 336, 6},	//759 QXmlAttributes::count() const
    {59, 279, 76, 1, Smoke::mf_const, 122, 7},	//760 QXmlAttributes::localName(int) const
    {59, 458, 76, 1, Smoke::mf_const, 122, 8},	//761 QXmlAttributes::qName(int) const
    {59, 689, 76, 1, Smoke::mf_const, 122, 9},	//762 QXmlAttributes::uri(int) const
    {59, 684, 76, 1, Smoke::mf_const, 122, 10},	//763 QXmlAttributes::type(int) const
    {59, 684, 3, 1, Smoke::mf_const, 122, 11},	//764 QXmlAttributes::type(const QString&) const
    {59, 684, 25, 2, Smoke::mf_const, 122, 12},	//765 QXmlAttributes::type(const QString&, const QString&) const
    {59, 691, 76, 1, Smoke::mf_const, 122, 13},	//766 QXmlAttributes::value(int) const
    {59, 691, 3, 1, Smoke::mf_const, 122, 14},	//767 QXmlAttributes::value(const QString&) const
    {59, 691, 1023, 1, Smoke::mf_const, 122, 15},	//768 QXmlAttributes::value(const QLatin1String&) const
    {59, 691, 25, 2, Smoke::mf_const, 122, 16},	//769 QXmlAttributes::value(const QString&, const QString&) const
    {59, 146, 0, 0, 0, 0, 17},	//770 QXmlAttributes::clear()
    {59, 120, 1025, 4, 0, 0, 18},	//771 QXmlAttributes::append(const QString&, const QString&, const QString&, const QString&)
    {59, 75, 1030, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 19},	//772 QXmlAttributes::QXmlAttributes(const QXmlAttributes&)
    {59, 754, 0, 0, Smoke::mf_dtor, 0, 20 },	//773 QXmlAttributes::~QXmlAttributes()
    {60, 614, 1032, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//774 QXmlContentHandler::setDocumentLocator(QXmlLocator*) [pure virtual]
    {60, 654, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 2},	//775 QXmlContentHandler::startDocument() [pure virtual]
    {60, 195, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 3},	//776 QXmlContentHandler::endDocument() [pure virtual]
    {60, 659, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 4},	//777 QXmlContentHandler::startPrefixMapping(const QString&, const QString&) [pure virtual]
    {60, 200, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 5},	//778 QXmlContentHandler::endPrefixMapping(const QString&) [pure virtual]
    {60, 655, 1034, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 6},	//779 QXmlContentHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&) [pure virtual]
    {60, 196, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 7},	//780 QXmlContentHandler::endElement(const QString&, const QString&, const QString&) [pure virtual]
    {60, 143, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 8},	//781 QXmlContentHandler::characters(const QString&) [pure virtual]
    {60, 234, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 9},	//782 QXmlContentHandler::ignorableWhitespace(const QString&) [pure virtual]
    {60, 379, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 10},	//783 QXmlContentHandler::processingInstruction(const QString&, const QString&) [pure virtual]
    {60, 644, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 11},	//784 QXmlContentHandler::skippedEntity(const QString&) [pure virtual]
    {60, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 12},	//785 QXmlContentHandler::errorString() const [pure virtual]
    {60, 77, 0, 0, Smoke::mf_ctor, 144, 13},	//786 QXmlContentHandler::QXmlContentHandler()
    {60, 77, 1039, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 14},	//787 QXmlContentHandler::QXmlContentHandler(const QXmlContentHandler&)
    {60, 755, 0, 0, Smoke::mf_dtor, 0, 15 },	//788 QXmlContentHandler::~QXmlContentHandler()
    {61, 296, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 1},	//789 QXmlDTDHandler::notationDecl(const QString&, const QString&, const QString&) [pure virtual]
    {61, 687, 1025, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 2},	//790 QXmlDTDHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {61, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 3},	//791 QXmlDTDHandler::errorString() const [pure virtual]
    {61, 79, 0, 0, Smoke::mf_ctor, 145, 4},	//792 QXmlDTDHandler::QXmlDTDHandler()
    {61, 79, 1041, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 5},	//793 QXmlDTDHandler::QXmlDTDHandler(const QXmlDTDHandler&)
    {61, 756, 0, 0, Smoke::mf_dtor, 0, 6 },	//794 QXmlDTDHandler::~QXmlDTDHandler()
    {62, 131, 1043, 5, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 1},	//795 QXmlDeclHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {62, 250, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 2},	//796 QXmlDeclHandler::internalEntityDecl(const QString&, const QString&) [pure virtual]
    {62, 208, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 3},	//797 QXmlDeclHandler::externalEntityDecl(const QString&, const QString&, const QString&) [pure virtual]
    {62, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//798 QXmlDeclHandler::errorString() const [pure virtual]
    {62, 81, 0, 0, Smoke::mf_ctor, 146, 5},	//799 QXmlDeclHandler::QXmlDeclHandler()
    {62, 81, 1049, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 6},	//800 QXmlDeclHandler::QXmlDeclHandler(const QXmlDeclHandler&)
    {62, 757, 0, 0, Smoke::mf_dtor, 0, 7 },	//801 QXmlDeclHandler::~QXmlDeclHandler()
    {63, 83, 0, 0, Smoke::mf_ctor, 147, 1},	//802 QXmlDefaultHandler::QXmlDefaultHandler()
    {63, 614, 1032, 1, Smoke::mf_virtual, 0, 2},	//803 QXmlDefaultHandler::setDocumentLocator(QXmlLocator*)
    {63, 654, 0, 0, Smoke::mf_virtual, 253, 3},	//804 QXmlDefaultHandler::startDocument()
    {63, 195, 0, 0, Smoke::mf_virtual, 253, 4},	//805 QXmlDefaultHandler::endDocument()
    {63, 659, 25, 2, Smoke::mf_virtual, 253, 5},	//806 QXmlDefaultHandler::startPrefixMapping(const QString&, const QString&)
    {63, 200, 3, 1, Smoke::mf_virtual, 253, 6},	//807 QXmlDefaultHandler::endPrefixMapping(const QString&)
    {63, 655, 1034, 4, Smoke::mf_virtual, 253, 7},	//808 QXmlDefaultHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&)
    {63, 196, 218, 3, Smoke::mf_virtual, 253, 8},	//809 QXmlDefaultHandler::endElement(const QString&, const QString&, const QString&)
    {63, 143, 3, 1, Smoke::mf_virtual, 253, 9},	//810 QXmlDefaultHandler::characters(const QString&)
    {63, 234, 3, 1, Smoke::mf_virtual, 253, 10},	//811 QXmlDefaultHandler::ignorableWhitespace(const QString&)
    {63, 379, 25, 2, Smoke::mf_virtual, 253, 11},	//812 QXmlDefaultHandler::processingInstruction(const QString&, const QString&)
    {63, 644, 3, 1, Smoke::mf_virtual, 253, 12},	//813 QXmlDefaultHandler::skippedEntity(const QString&)
    {63, 695, 1051, 1, Smoke::mf_virtual, 253, 13},	//814 QXmlDefaultHandler::warning(const QXmlParseException&)
    {63, 204, 1051, 1, Smoke::mf_virtual, 253, 14},	//815 QXmlDefaultHandler::error(const QXmlParseException&)
    {63, 210, 1051, 1, Smoke::mf_virtual, 253, 15},	//816 QXmlDefaultHandler::fatalError(const QXmlParseException&)
    {63, 296, 218, 3, Smoke::mf_virtual, 253, 16},	//817 QXmlDefaultHandler::notationDecl(const QString&, const QString&, const QString&)
    {63, 687, 1025, 4, Smoke::mf_virtual, 253, 17},	//818 QXmlDefaultHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&)
    {63, 566, 1053, 3, Smoke::mf_virtual, 253, 18},	//819 QXmlDefaultHandler::resolveEntity(const QString&, const QString&, QXmlInputSource*&)
    {63, 652, 218, 3, Smoke::mf_virtual, 253, 19},	//820 QXmlDefaultHandler::startDTD(const QString&, const QString&, const QString&)
    {63, 194, 0, 0, Smoke::mf_virtual, 253, 20},	//821 QXmlDefaultHandler::endDTD()
    {63, 657, 3, 1, Smoke::mf_virtual, 253, 21},	//822 QXmlDefaultHandler::startEntity(const QString&)
    {63, 198, 3, 1, Smoke::mf_virtual, 253, 22},	//823 QXmlDefaultHandler::endEntity(const QString&)
    {63, 651, 0, 0, Smoke::mf_virtual, 253, 23},	//824 QXmlDefaultHandler::startCDATA()
    {63, 193, 0, 0, Smoke::mf_virtual, 253, 24},	//825 QXmlDefaultHandler::endCDATA()
    {63, 151, 3, 1, Smoke::mf_virtual, 253, 25},	//826 QXmlDefaultHandler::comment(const QString&)
    {63, 131, 1043, 5, Smoke::mf_virtual, 253, 26},	//827 QXmlDefaultHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&)
    {63, 250, 25, 2, Smoke::mf_virtual, 253, 27},	//828 QXmlDefaultHandler::internalEntityDecl(const QString&, const QString&)
    {63, 208, 218, 3, Smoke::mf_virtual, 253, 28},	//829 QXmlDefaultHandler::externalEntityDecl(const QString&, const QString&, const QString&)
    {63, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 29},	//830 QXmlDefaultHandler::errorString() const
    {63, 758, 0, 0, Smoke::mf_dtor, 0, 30 },	//831 QXmlDefaultHandler::~QXmlDefaultHandler()
    {64, 566, 1053, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 1},	//832 QXmlEntityResolver::resolveEntity(const QString&, const QString&, QXmlInputSource*&) [pure virtual]
    {64, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 2},	//833 QXmlEntityResolver::errorString() const [pure virtual]
    {64, 84, 0, 0, Smoke::mf_ctor, 148, 3},	//834 QXmlEntityResolver::QXmlEntityResolver()
    {64, 84, 1057, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 4},	//835 QXmlEntityResolver::QXmlEntityResolver(const QXmlEntityResolver&)
    {64, 759, 0, 0, Smoke::mf_dtor, 0, 5 },	//836 QXmlEntityResolver::~QXmlEntityResolver()
    {65, 695, 1051, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 1},	//837 QXmlErrorHandler::warning(const QXmlParseException&) [pure virtual]
    {65, 204, 1051, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 2},	//838 QXmlErrorHandler::error(const QXmlParseException&) [pure virtual]
    {65, 210, 1051, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 3},	//839 QXmlErrorHandler::fatalError(const QXmlParseException&) [pure virtual]
    {65, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//840 QXmlErrorHandler::errorString() const [pure virtual]
    {65, 86, 0, 0, Smoke::mf_ctor, 149, 5},	//841 QXmlErrorHandler::QXmlErrorHandler()
    {65, 86, 1059, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 6},	//842 QXmlErrorHandler::QXmlErrorHandler(const QXmlErrorHandler&)
    {65, 760, 0, 0, Smoke::mf_dtor, 0, 7 },	//843 QXmlErrorHandler::~QXmlErrorHandler()
    {66, 88, 0, 0, Smoke::mf_ctor, 150, 1},	//844 QXmlInputSource::QXmlInputSource()
    {66, 88, 142, 1, Smoke::mf_ctor, 150, 2},	//845 QXmlInputSource::QXmlInputSource(QIODevice*)
    {66, 607, 3, 1, Smoke::mf_virtual, 0, 3},	//846 QXmlInputSource::setData(const QString&)
    {66, 607, 126, 1, Smoke::mf_virtual, 0, 4},	//847 QXmlInputSource::setData(const QByteArray&)
    {66, 215, 0, 0, Smoke::mf_virtual, 0, 5},	//848 QXmlInputSource::fetchData()
    {66, 180, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 6},	//849 QXmlInputSource::data() const
    {66, 288, 0, 0, Smoke::mf_virtual, 8, 7},	//850 QXmlInputSource::next()
    {66, 565, 0, 0, Smoke::mf_virtual, 0, 8},	//851 QXmlInputSource::reset()
    {66, 219, 78, 2, Smoke::mf_protected|Smoke::mf_virtual, 122, 9},	//852 QXmlInputSource::fromRawData(const QByteArray&, bool)
    {66, 88, 1061, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 10},	//853 QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    {66, 219, 126, 1, Smoke::mf_protected, 122, 11},	//854 QXmlInputSource::fromRawData(const QByteArray&)
    {66, 15, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 332, 12},	//855 QXmlInputSource::EndOfData() const
    {66, 16, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 332, 13},	//856 QXmlInputSource::EndOfDocument() const
    {66, 761, 0, 0, Smoke::mf_dtor, 0, 14 },	//857 QXmlInputSource::~QXmlInputSource()
    {67, 652, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 1},	//858 QXmlLexicalHandler::startDTD(const QString&, const QString&, const QString&) [pure virtual]
    {67, 194, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 2},	//859 QXmlLexicalHandler::endDTD() [pure virtual]
    {67, 657, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 3},	//860 QXmlLexicalHandler::startEntity(const QString&) [pure virtual]
    {67, 198, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 4},	//861 QXmlLexicalHandler::endEntity(const QString&) [pure virtual]
    {67, 651, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 5},	//862 QXmlLexicalHandler::startCDATA() [pure virtual]
    {67, 193, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 6},	//863 QXmlLexicalHandler::endCDATA() [pure virtual]
    {67, 151, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 7},	//864 QXmlLexicalHandler::comment(const QString&) [pure virtual]
    {67, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 8},	//865 QXmlLexicalHandler::errorString() const [pure virtual]
    {67, 90, 0, 0, Smoke::mf_ctor, 152, 9},	//866 QXmlLexicalHandler::QXmlLexicalHandler()
    {67, 90, 1063, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 10},	//867 QXmlLexicalHandler::QXmlLexicalHandler(const QXmlLexicalHandler&)
    {67, 762, 0, 0, Smoke::mf_dtor, 0, 11 },	//868 QXmlLexicalHandler::~QXmlLexicalHandler()
    {68, 92, 0, 0, Smoke::mf_ctor, 153, 1},	//869 QXmlLocator::QXmlLocator()
    {68, 150, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 336, 2},	//870 QXmlLocator::columnNumber() const [pure virtual]
    {68, 278, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 336, 3},	//871 QXmlLocator::lineNumber() const [pure virtual]
    {68, 92, 1065, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 4},	//872 QXmlLocator::QXmlLocator(const QXmlLocator&)
    {68, 763, 0, 0, Smoke::mf_dtor, 0, 5 },	//873 QXmlLocator::~QXmlLocator()
    {69, 94, 0, 0, Smoke::mf_ctor, 154, 1},	//874 QXmlNamespaceSupport::QXmlNamespaceSupport()
    {69, 634, 25, 2, 0, 0, 2},	//875 QXmlNamespaceSupport::setPrefix(const QString&, const QString&)
    {69, 370, 3, 1, Smoke::mf_const, 122, 3},	//876 QXmlNamespaceSupport::prefix(const QString&) const
    {69, 689, 3, 1, Smoke::mf_const, 122, 4},	//877 QXmlNamespaceSupport::uri(const QString&) const
    {69, 647, 1067, 3, Smoke::mf_const, 0, 5},	//878 QXmlNamespaceSupport::splitName(const QString&, QString&, QString&) const
    {69, 377, 1071, 4, Smoke::mf_const, 0, 6},	//879 QXmlNamespaceSupport::processName(const QString&, bool, QString&, QString&) const
    {69, 372, 0, 0, Smoke::mf_const, 127, 7},	//880 QXmlNamespaceSupport::prefixes() const
    {69, 372, 3, 1, Smoke::mf_const, 127, 8},	//881 QXmlNamespaceSupport::prefixes(const QString&) const
    {69, 385, 0, 0, 0, 0, 9},	//882 QXmlNamespaceSupport::pushContext()
    {69, 369, 0, 0, 0, 0, 10},	//883 QXmlNamespaceSupport::popContext()
    {69, 565, 0, 0, 0, 0, 11},	//884 QXmlNamespaceSupport::reset()
    {69, 764, 0, 0, Smoke::mf_dtor, 0, 12 },	//885 QXmlNamespaceSupport::~QXmlNamespaceSupport()
    {70, 95, 1076, 5, Smoke::mf_ctor, 155, 1},	//886 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&, const QString&)
    {70, 95, 1051, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 2},	//887 QXmlParseException::QXmlParseException(const QXmlParseException&)
    {70, 150, 0, 0, Smoke::mf_const, 336, 3},	//888 QXmlParseException::columnNumber() const
    {70, 278, 0, 0, Smoke::mf_const, 336, 4},	//889 QXmlParseException::lineNumber() const
    {70, 384, 0, 0, Smoke::mf_const, 122, 5},	//890 QXmlParseException::publicId() const
    {70, 663, 0, 0, Smoke::mf_const, 122, 6},	//891 QXmlParseException::systemId() const
    {70, 281, 0, 0, Smoke::mf_const, 122, 7},	//892 QXmlParseException::message() const
    {70, 95, 0, 0, Smoke::mf_ctor, 155, 8},	//893 QXmlParseException::QXmlParseException()
    {70, 95, 3, 1, Smoke::mf_ctor, 155, 9},	//894 QXmlParseException::QXmlParseException(const QString&)
    {70, 95, 173, 2, Smoke::mf_ctor, 155, 10},	//895 QXmlParseException::QXmlParseException(const QString&, int)
    {70, 95, 1082, 3, Smoke::mf_ctor, 155, 11},	//896 QXmlParseException::QXmlParseException(const QString&, int, int)
    {70, 95, 1086, 4, Smoke::mf_ctor, 155, 12},	//897 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&)
    {70, 765, 0, 0, Smoke::mf_dtor, 0, 13 },	//898 QXmlParseException::~QXmlParseException()
    {71, 212, 1091, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 1},	//899 QXmlReader::feature(const QString&, bool*) const [pure virtual]
    {71, 620, 90, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//900 QXmlReader::setFeature(const QString&, bool) [pure virtual]
    {71, 229, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 3},	//901 QXmlReader::hasFeature(const QString&) const [pure virtual]
    {71, 381, 1091, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 352, 4},	//902 QXmlReader::property(const QString&, bool*) const [pure virtual]
    {71, 637, 1094, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//903 QXmlReader::setProperty(const QString&, void*) [pure virtual]
    {71, 232, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 6},	//904 QXmlReader::hasProperty(const QString&) const [pure virtual]
    {71, 616, 1097, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//905 QXmlReader::setEntityResolver(QXmlEntityResolver*) [pure virtual]
    {71, 203, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 8},	//906 QXmlReader::entityResolver() const [pure virtual]
    {71, 605, 1099, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//907 QXmlReader::setDTDHandler(QXmlDTDHandler*) [pure virtual]
    {71, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 10},	//908 QXmlReader::DTDHandler() const [pure virtual]
    {71, 603, 1101, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//909 QXmlReader::setContentHandler(QXmlContentHandler*) [pure virtual]
    {71, 155, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 144, 12},	//910 QXmlReader::contentHandler() const [pure virtual]
    {71, 618, 1103, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//911 QXmlReader::setErrorHandler(QXmlErrorHandler*) [pure virtual]
    {71, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 149, 14},	//912 QXmlReader::errorHandler() const [pure virtual]
    {71, 626, 1105, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//913 QXmlReader::setLexicalHandler(QXmlLexicalHandler*) [pure virtual]
    {71, 277, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 152, 16},	//914 QXmlReader::lexicalHandler() const [pure virtual]
    {71, 610, 1107, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//915 QXmlReader::setDeclHandler(QXmlDeclHandler*) [pure virtual]
    {71, 181, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 18},	//916 QXmlReader::declHandler() const [pure virtual]
    {71, 365, 1061, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 19},	//917 QXmlReader::parse(const QXmlInputSource&) [pure virtual]
    {71, 365, 1109, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 253, 20},	//918 QXmlReader::parse(const QXmlInputSource*) [pure virtual]
    {71, 102, 0, 0, Smoke::mf_ctor, 156, 21},	//919 QXmlReader::QXmlReader()
    {71, 102, 1111, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 22},	//920 QXmlReader::QXmlReader(const QXmlReader&)
    {71, 212, 3, 1, Smoke::mf_const, 253, 23},	//921 QXmlReader::feature(const QString&) const
    {71, 381, 3, 1, Smoke::mf_const, 352, 24},	//922 QXmlReader::property(const QString&) const
    {71, 766, 0, 0, Smoke::mf_dtor, 0, 25 },	//923 QXmlReader::~QXmlReader()
    {72, 104, 0, 0, Smoke::mf_ctor, 157, 1},	//924 QXmlSimpleReader::QXmlSimpleReader()
    {72, 212, 1091, 2, Smoke::mf_const|Smoke::mf_virtual, 253, 2},	//925 QXmlSimpleReader::feature(const QString&, bool*) const
    {72, 620, 90, 2, Smoke::mf_virtual, 0, 3},	//926 QXmlSimpleReader::setFeature(const QString&, bool)
    {72, 229, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 4},	//927 QXmlSimpleReader::hasFeature(const QString&) const
    {72, 381, 1091, 2, Smoke::mf_const|Smoke::mf_virtual, 352, 5},	//928 QXmlSimpleReader::property(const QString&, bool*) const
    {72, 637, 1094, 2, Smoke::mf_virtual, 0, 6},	//929 QXmlSimpleReader::setProperty(const QString&, void*)
    {72, 232, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 7},	//930 QXmlSimpleReader::hasProperty(const QString&) const
    {72, 616, 1097, 1, Smoke::mf_virtual, 0, 8},	//931 QXmlSimpleReader::setEntityResolver(QXmlEntityResolver*)
    {72, 203, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 148, 9},	//932 QXmlSimpleReader::entityResolver() const
    {72, 605, 1099, 1, Smoke::mf_virtual, 0, 10},	//933 QXmlSimpleReader::setDTDHandler(QXmlDTDHandler*)
    {72, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 11},	//934 QXmlSimpleReader::DTDHandler() const
    {72, 603, 1101, 1, Smoke::mf_virtual, 0, 12},	//935 QXmlSimpleReader::setContentHandler(QXmlContentHandler*)
    {72, 155, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 144, 13},	//936 QXmlSimpleReader::contentHandler() const
    {72, 618, 1103, 1, Smoke::mf_virtual, 0, 14},	//937 QXmlSimpleReader::setErrorHandler(QXmlErrorHandler*)
    {72, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 149, 15},	//938 QXmlSimpleReader::errorHandler() const
    {72, 626, 1105, 1, Smoke::mf_virtual, 0, 16},	//939 QXmlSimpleReader::setLexicalHandler(QXmlLexicalHandler*)
    {72, 277, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 152, 17},	//940 QXmlSimpleReader::lexicalHandler() const
    {72, 610, 1107, 1, Smoke::mf_virtual, 0, 18},	//941 QXmlSimpleReader::setDeclHandler(QXmlDeclHandler*)
    {72, 181, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 146, 19},	//942 QXmlSimpleReader::declHandler() const
    {72, 365, 1061, 1, Smoke::mf_virtual, 253, 20},	//943 QXmlSimpleReader::parse(const QXmlInputSource&)
    {72, 365, 1109, 1, Smoke::mf_virtual, 253, 21},	//944 QXmlSimpleReader::parse(const QXmlInputSource*)
    {72, 365, 1113, 2, Smoke::mf_virtual, 253, 22},	//945 QXmlSimpleReader::parse(const QXmlInputSource*, bool)
    {72, 368, 0, 0, Smoke::mf_virtual, 253, 23},	//946 QXmlSimpleReader::parseContinue()
    {72, 212, 3, 1, Smoke::mf_const, 253, 24},	//947 QXmlSimpleReader::feature(const QString&) const
    {72, 381, 3, 1, Smoke::mf_const, 352, 25},	//948 QXmlSimpleReader::property(const QString&) const
    {72, 767, 0, 0, Smoke::mf_dtor, 0, 26 },	//949 QXmlSimpleReader::~QXmlSimpleReader()
    {76, 105, 0, 0, Smoke::mf_ctor, 158, 1},	//950 QXmlStreamWriter::QXmlStreamWriter()
    {76, 105, 142, 1, Smoke::mf_ctor, 158, 2},	//951 QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    {76, 105, 1116, 1, Smoke::mf_ctor, 158, 3},	//952 QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    {76, 105, 1118, 1, Smoke::mf_ctor, 158, 4},	//953 QXmlStreamWriter::QXmlStreamWriter(QString*)
    {76, 612, 142, 1, 0, 0, 5},	//954 QXmlStreamWriter::setDevice(QIODevice*)
    {76, 184, 0, 0, Smoke::mf_const, 104, 6},	//955 QXmlStreamWriter::device() const
    {76, 585, 1120, 1, 0, 0, 7},	//956 QXmlStreamWriter::setCodec(QTextCodec*)
    {76, 585, 288, 1, 0, 0, 8},	//957 QXmlStreamWriter::setCodec(const char*)
    {76, 149, 0, 0, Smoke::mf_const, 130, 9},	//958 QXmlStreamWriter::codec() const
    {76, 581, 235, 1, 0, 0, 10},	//959 QXmlStreamWriter::setAutoFormatting(bool)
    {76, 141, 0, 0, Smoke::mf_const, 253, 11},	//960 QXmlStreamWriter::autoFormatting() const
    {76, 583, 76, 1, 0, 0, 12},	//961 QXmlStreamWriter::setAutoFormattingIndent(int)
    {76, 142, 0, 0, Smoke::mf_const, 336, 13},	//962 QXmlStreamWriter::autoFormattingIndent() const
    {76, 697, 25, 2, 0, 0, 14},	//963 QXmlStreamWriter::writeAttribute(const QString&, const QString&)
    {76, 697, 218, 3, 0, 0, 15},	//964 QXmlStreamWriter::writeAttribute(const QString&, const QString&, const QString&)
    {76, 697, 1122, 1, 0, 0, 16},	//965 QXmlStreamWriter::writeAttribute(const QXmlStreamAttribute&)
    {76, 701, 1124, 1, 0, 0, 17},	//966 QXmlStreamWriter::writeAttributes(const QXmlStreamAttributes&)
    {76, 703, 3, 1, 0, 0, 18},	//967 QXmlStreamWriter::writeCDATA(const QString&)
    {76, 705, 3, 1, 0, 0, 19},	//968 QXmlStreamWriter::writeCharacters(const QString&)
    {76, 707, 3, 1, 0, 0, 20},	//969 QXmlStreamWriter::writeComment(const QString&)
    {76, 711, 3, 1, 0, 0, 21},	//970 QXmlStreamWriter::writeDTD(const QString&)
    {76, 715, 3, 1, 0, 0, 22},	//971 QXmlStreamWriter::writeEmptyElement(const QString&)
    {76, 715, 25, 2, 0, 0, 23},	//972 QXmlStreamWriter::writeEmptyElement(const QString&, const QString&)
    {76, 734, 25, 2, 0, 0, 24},	//973 QXmlStreamWriter::writeTextElement(const QString&, const QString&)
    {76, 734, 218, 3, 0, 0, 25},	//974 QXmlStreamWriter::writeTextElement(const QString&, const QString&, const QString&)
    {76, 718, 0, 0, 0, 0, 26},	//975 QXmlStreamWriter::writeEndDocument()
    {76, 719, 0, 0, 0, 0, 27},	//976 QXmlStreamWriter::writeEndElement()
    {76, 720, 3, 1, 0, 0, 28},	//977 QXmlStreamWriter::writeEntityReference(const QString&)
    {76, 722, 25, 2, 0, 0, 29},	//978 QXmlStreamWriter::writeNamespace(const QString&, const QString&)
    {76, 713, 3, 1, 0, 0, 30},	//979 QXmlStreamWriter::writeDefaultNamespace(const QString&)
    {76, 725, 25, 2, 0, 0, 31},	//980 QXmlStreamWriter::writeProcessingInstruction(const QString&, const QString&)
    {76, 728, 0, 0, 0, 0, 32},	//981 QXmlStreamWriter::writeStartDocument()
    {76, 728, 3, 1, 0, 0, 33},	//982 QXmlStreamWriter::writeStartDocument(const QString&)
    {76, 728, 90, 2, 0, 0, 34},	//983 QXmlStreamWriter::writeStartDocument(const QString&, bool)
    {76, 731, 3, 1, 0, 0, 35},	//984 QXmlStreamWriter::writeStartElement(const QString&)
    {76, 731, 25, 2, 0, 0, 36},	//985 QXmlStreamWriter::writeStartElement(const QString&, const QString&)
    {76, 709, 1126, 1, 0, 0, 37},	//986 QXmlStreamWriter::writeCurrentToken(const QXmlStreamReader&)
    {76, 228, 0, 0, Smoke::mf_const, 253, 38},	//987 QXmlStreamWriter::hasError() const
    {76, 722, 3, 1, 0, 0, 39},	//988 QXmlStreamWriter::writeNamespace(const QString&)
    {76, 725, 3, 1, 0, 0, 40},	//989 QXmlStreamWriter::writeProcessingInstruction(const QString&)
    {76, 768, 0, 0, Smoke::mf_dtor, 0, 41 },	//990 QXmlStreamWriter::~QXmlStreamWriter()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    114,  // QDomElement::setAttribute(const QString&, const QString&)
    117,  // QDomElement::setAttribute(const QString&, int)
    118,  // QDomElement::setAttribute(const QString&, unsigned int)
    119,  // QDomElement::setAttribute(const QString&, float)
    120,  // QDomElement::setAttribute(const QString&, double)
    0,
    115,  // QDomElement::setAttribute(const QString&, long long)
    116,  // QDomElement::setAttribute(const QString&, unsigned long long)
    0,
    128,  // QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    129,  // QDomElement::setAttributeNS(const QString, const QString&, int)
    130,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    133,  // QDomElement::setAttributeNS(const QString, const QString&, double)
    0,
    131,  // QDomElement::setAttributeNS(const QString, const QString&, long long)
    132,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    0,
    951,  // QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    952,  // QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    0,
    36,  // QDomDocument::QDomDocument(const QDomDocumentType&)
    37,  // QDomDocument::QDomDocument(const QDomDocument&)
    0,
    79,  // QDomDocument::setContent(const QByteArray&)
    85,  // QDomDocument::setContent(QIODevice*)
    0,
    67,  // QDomDocument::setContent(const QByteArray&, bool)
    73,  // QDomDocument::setContent(QIODevice*, bool)
    76,  // QDomDocument::setContent(QXmlInputSource*, bool)
    80,  // QDomDocument::setContent(const QByteArray&, QString*)
    86,  // QDomDocument::setContent(QIODevice*, QString*)
    0,
    68,  // QDomDocument::setContent(const QByteArray&, bool, QString*)
    74,  // QDomDocument::setContent(QIODevice*, bool, QString*)
    77,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    81,  // QDomDocument::setContent(const QByteArray&, QString*, int*)
    87,  // QDomDocument::setContent(QIODevice*, QString*, int*)
    0,
    61,  // QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    63,  // QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    69,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    75,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    78,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    0,
    57,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    59,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    60,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    0,
    70,  // QDomDocument::setContent(const QString&, bool)
    83,  // QDomDocument::setContent(const QString&, QString*)
    0,
    71,  // QDomDocument::setContent(const QString&, bool, QString*)
    84,  // QDomDocument::setContent(const QString&, QString*, int*)
    0,
    62,  // QDomDocument::setContent(const QString&, QString*, int*, int*)
    72,  // QDomDocument::setContent(const QString&, bool, QString*, int*)
    0,
    346,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    353,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    357,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    367,  // QGlobalSpace::operator!=(QChar, QChar)
    390,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    397,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    410,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    412,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    440,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    454,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    469,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    483,  // QGlobalSpace::operator!=(QBool, QBool)
    493,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    524,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    561,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    684,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    0,
    518,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    544,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    621,  // QGlobalSpace::operator!=(QBool, bool)
    643,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    712,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    347,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    392,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    485,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    546,  // QGlobalSpace::operator!=(bool, QBool)
    556,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    659,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    330,  // QGlobalSpace::operator*(const QSizeF&, double)
    404,  // QGlobalSpace::operator*(const QPointF&, double)
    461,  // QGlobalSpace::operator*(const QPoint&, float)
    506,  // QGlobalSpace::operator*(const QSize&, double)
    633,  // QGlobalSpace::operator*(const QPoint&, double)
    700,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    455,  // QGlobalSpace::operator*(double, const QSize&)
    575,  // QGlobalSpace::operator*(double, const QPointF&)
    576,  // QGlobalSpace::operator*(int, const QPoint&)
    641,  // QGlobalSpace::operator*(float, const QPoint&)
    642,  // QGlobalSpace::operator*(double, const QPoint&)
    693,  // QGlobalSpace::operator*(double, const QSizeF&)
    0,
    349,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    571,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    602,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    640,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    723,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    0,
    341,  // QGlobalSpace::operator+(QChar, const QString&)
    551,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    572,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    597,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    348,  // QGlobalSpace::operator+(const QString&, QChar)
    391,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    593,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    611,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    466,  // QGlobalSpace::operator+(const char*, const QString&)
    484,  // QGlobalSpace::operator+(const QString&, char)
    612,  // QGlobalSpace::operator+(const QString&, const char*)
    620,  // QGlobalSpace::operator+(const QString&, const QString&)
    719,  // QGlobalSpace::operator+(char, const QString&)
    0,
    462,  // QGlobalSpace::operator-(const QPointF&)
    477,  // QGlobalSpace::operator-(const QPoint&)
    0,
    372,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    509,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    654,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    668,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    0,
    471,  // QGlobalSpace::operator/(const QSizeF&, double)
    489,  // QGlobalSpace::operator/(const QPointF&, double)
    515,  // QGlobalSpace::operator/(const QPoint&, double)
    655,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    482,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    614,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    665,  // QGlobalSpace::operator<(QChar, QChar)
    692,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    398,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    545,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    331,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    354,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    356,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    370,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    378,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    388,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    405,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    424,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    425,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    426,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    438,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    453,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    468,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    473,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    476,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    479,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    494,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    503,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    508,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    516,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    517,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    527,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    543,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    560,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    568,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    578,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    579,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    586,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    588,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    592,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    601,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    605,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    610,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    625,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    634,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    645,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    649,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    677,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    678,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    681,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    695,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    720,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    0,
    338,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    376,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    417,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    553,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    706,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    0,
    343,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    344,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    403,  // QGlobalSpace::operator<=(QChar, QChar)
    413,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    449,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    467,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    337,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    339,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    351,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    360,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    406,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    409,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    431,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    487,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    528,  // QGlobalSpace::operator==(QBool, QBool)
    550,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    565,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    589,  // QGlobalSpace::operator==(QChar, QChar)
    607,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    622,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    646,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    697,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    701,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    0,
    495,  // QGlobalSpace::operator==(QString::Null, const QString&)
    539,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    629,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    707,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    711,  // QGlobalSpace::operator==(QBool, bool)
    0,
    379,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    435,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    444,  // QGlobalSpace::operator==(const QString&, QString::Null)
    522,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    533,  // QGlobalSpace::operator==(bool, QBool)
    567,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    389,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    427,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    470,  // QGlobalSpace::operator>(QChar, QChar)
    587,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    422,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    432,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    401,  // QGlobalSpace::operator>=(QChar, QChar)
    428,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    481,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    694,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    323,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    656,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    321,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    324,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    335,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    352,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    363,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    369,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    411,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    418,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    452,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    501,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    505,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    511,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    530,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    531,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    536,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    555,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    580,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    584,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    637,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    675,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    715,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    0,
    525,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    673,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    319,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    322,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    326,  // QGlobalSpace::operator|(Qt::WindowType, int)
    336,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    355,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    365,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    371,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    380,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    382,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    386,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    394,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    402,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    407,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    419,  // QGlobalSpace::operator|(Qt::DropAction, int)
    421,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    430,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    436,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    437,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    439,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    442,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    443,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    445,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    447,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    450,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    451,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    456,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    459,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    463,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    465,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    472,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    480,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    491,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    499,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    500,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    510,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    512,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    520,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    523,  // QGlobalSpace::operator|(Qt::WindowState, int)
    532,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    534,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    542,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    548,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    552,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    554,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    558,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    564,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    566,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    570,  // QGlobalSpace::operator|(QFile::Permission, int)
    585,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    595,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    596,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    598,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    600,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    604,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    606,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    609,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    613,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    618,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    626,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    632,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    639,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    647,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    651,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    652,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    657,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    658,  // QGlobalSpace::operator|(QDir::Filter, int)
    663,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    666,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    667,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    672,  // QGlobalSpace::operator|(Qt::Orientation, int)
    674,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    680,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    682,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    685,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    689,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    690,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    691,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    699,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    702,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    703,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    705,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    708,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    709,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    717,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    718,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    722,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    724,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
    448,  // QGlobalSpace::qFuzzyCompare(double, double)
    502,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    535,  // QGlobalSpace::qFuzzyIsNull(double)
    676,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    393,  // QGlobalSpace::qHash(const QBitArray&)
    541,  // QGlobalSpace::qHash(QChar)
    583,  // QGlobalSpace::qHash(const QStringRef&)
    638,  // QGlobalSpace::qHash(const QUrl&)
    679,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    696,  // QGlobalSpace::qHash(const QByteArray&)
    698,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    328,  // QGlobalSpace::qHash(unsigned int)
    329,  // QGlobalSpace::qHash(char)
    358,  // QGlobalSpace::qHash(unsigned char)
    377,  // QGlobalSpace::qHash(short)
    385,  // QGlobalSpace::qHash(long)
    434,  // QGlobalSpace::qHash(unsigned short)
    519,  // QGlobalSpace::qHash(int)
    563,  // QGlobalSpace::qHash(signed char)
    619,  // QGlobalSpace::qHash(const QString&)
    662,  // QGlobalSpace::qHash(unsigned long)
    0,
    458,  // QGlobalSpace::qHash(long long)
    486,  // QGlobalSpace::qHash(unsigned long long)
    0,
    429,  // QGlobalSpace::qIntCast(float)
    490,  // QGlobalSpace::qIntCast(double)
    0,
    381,  // QGlobalSpace::qIsFinite(double)
    721,  // QGlobalSpace::qIsFinite(float)
    0,
    464,  // QGlobalSpace::qIsInf(float)
    653,  // QGlobalSpace::qIsInf(double)
    0,
    624,  // QGlobalSpace::qIsNaN(float)
    631,  // QGlobalSpace::qIsNaN(double)
    0,
    364,  // QGlobalSpace::qIsNull(float)
    670,  // QGlobalSpace::qIsNull(double)
    0,
    845,  // QXmlInputSource::QXmlInputSource(QIODevice*)
    853,  // QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    0,
    917,  // QXmlReader::parse(const QXmlInputSource&)
    918,  // QXmlReader::parse(const QXmlInputSource*)
    0,
    763,  // QXmlAttributes::type(int) const
    764,  // QXmlAttributes::type(const QString&) const
    0,
    766,  // QXmlAttributes::value(int) const
    767,  // QXmlAttributes::value(const QString&) const
    0,
    943,  // QXmlSimpleReader::parse(const QXmlInputSource&)
    944,  // QXmlSimpleReader::parse(const QXmlInputSource*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {10, 40, 1},	// QDomAttr::QDomAttr
    {10, 41, 2},	// QDomAttr::QDomAttr#
    {10, 282, 4},	// QDomAttr::name
    {10, 293, 9},	// QDomAttr::nodeType
    {10, 336, 3},	// QDomAttr::operator=#
    {10, 363, 6},	// QDomAttr::ownerElement
    {10, 642, 8},	// QDomAttr::setValue$
    {10, 646, 5},	// QDomAttr::specified
    {10, 691, 7},	// QDomAttr::value
    {10, 737, 10},	// QDomAttr::~QDomAttr
    {11, 42, 11},	// QDomCDATASection::QDomCDATASection
    {11, 43, 12},	// QDomCDATASection::QDomCDATASection#
    {11, 293, 14},	// QDomCDATASection::nodeType
    {11, 336, 13},	// QDomCDATASection::operator=#
    {11, 738, 15},	// QDomCDATASection::~QDomCDATASection
    {12, 44, 16},	// QDomCharacterData::QDomCharacterData
    {12, 45, 17},	// QDomCharacterData::QDomCharacterData#
    {12, 125, 20},	// QDomCharacterData::appendData$
    {12, 180, 25},	// QDomCharacterData::data
    {12, 183, 22},	// QDomCharacterData::deleteData$$
    {12, 249, 21},	// QDomCharacterData::insertData$$
    {12, 276, 24},	// QDomCharacterData::length
    {12, 293, 27},	// QDomCharacterData::nodeType
    {12, 336, 18},	// QDomCharacterData::operator=#
    {12, 564, 23},	// QDomCharacterData::replaceData$$$
    {12, 609, 26},	// QDomCharacterData::setData$
    {12, 662, 19},	// QDomCharacterData::substringData$$
    {12, 739, 28},	// QDomCharacterData::~QDomCharacterData
    {13, 46, 29},	// QDomComment::QDomComment
    {13, 47, 30},	// QDomComment::QDomComment#
    {13, 293, 32},	// QDomComment::nodeType
    {13, 336, 31},	// QDomComment::operator=#
    {13, 740, 33},	// QDomComment::~QDomComment
    {14, 48, 34},	// QDomDocument::QDomDocument
    {14, 49, -21},	// QDomDocument::QDomDocument#
    {14, 50, 35},	// QDomDocument::QDomDocument$
    {14, 158, 45},	// QDomDocument::createAttribute$
    {14, 160, 50},	// QDomDocument::createAttributeNS$$
    {14, 162, 43},	// QDomDocument::createCDATASection$
    {14, 164, 42},	// QDomDocument::createComment$
    {14, 167, 40},	// QDomDocument::createDocumentFragment
    {14, 171, 39},	// QDomDocument::createElement$
    {14, 173, 49},	// QDomDocument::createElementNS$$
    {14, 175, 46},	// QDomDocument::createEntityReference$
    {14, 177, 44},	// QDomDocument::createProcessingInstruction$$
    {14, 179, 41},	// QDomDocument::createTextNode$
    {14, 185, 53},	// QDomDocument::doctype
    {14, 186, 55},	// QDomDocument::documentElement
    {14, 188, 52},	// QDomDocument::elementById$
    {14, 190, 47},	// QDomDocument::elementsByTagName$
    {14, 192, 51},	// QDomDocument::elementsByTagNameNS$$
    {14, 237, 54},	// QDomDocument::implementation
    {14, 239, 48},	// QDomDocument::importNode#$
    {14, 293, 56},	// QDomDocument::nodeType
    {14, 336, 38},	// QDomDocument::operator=#
    {14, 589, -24},	// QDomDocument::setContent#
    {14, 590, 88},	// QDomDocument::setContent##
    {14, 591, 89},	// QDomDocument::setContent##$
    {14, 592, 90},	// QDomDocument::setContent##$$
    {14, 593, 64},	// QDomDocument::setContent##$$$
    {14, 594, -27},	// QDomDocument::setContent#$
    {14, 595, -33},	// QDomDocument::setContent#$$
    {14, 596, -39},	// QDomDocument::setContent#$$$
    {14, 597, -45},	// QDomDocument::setContent#$$$$
    {14, 598, 82},	// QDomDocument::setContent$
    {14, 599, -49},	// QDomDocument::setContent$$
    {14, 600, -52},	// QDomDocument::setContent$$$
    {14, 601, -55},	// QDomDocument::setContent$$$$
    {14, 602, 58},	// QDomDocument::setContent$$$$$
    {14, 668, 92},	// QDomDocument::toByteArray
    {14, 669, 66},	// QDomDocument::toByteArray$
    {14, 681, 91},	// QDomDocument::toString
    {14, 682, 65},	// QDomDocument::toString$
    {14, 741, 93},	// QDomDocument::~QDomDocument
    {15, 51, 94},	// QDomDocumentFragment::QDomDocumentFragment
    {15, 52, 95},	// QDomDocumentFragment::QDomDocumentFragment#
    {15, 293, 97},	// QDomDocumentFragment::nodeType
    {15, 336, 96},	// QDomDocumentFragment::operator=#
    {15, 742, 98},	// QDomDocumentFragment::~QDomDocumentFragment
    {16, 53, 99},	// QDomDocumentType::QDomDocumentType
    {16, 54, 100},	// QDomDocumentType::QDomDocumentType#
    {16, 202, 103},	// QDomDocumentType::entities
    {16, 252, 107},	// QDomDocumentType::internalSubset
    {16, 282, 102},	// QDomDocumentType::name
    {16, 293, 108},	// QDomDocumentType::nodeType
    {16, 299, 104},	// QDomDocumentType::notations
    {16, 336, 101},	// QDomDocumentType::operator=#
    {16, 384, 105},	// QDomDocumentType::publicId
    {16, 663, 106},	// QDomDocumentType::systemId
    {16, 743, 109},	// QDomDocumentType::~QDomDocumentType
    {17, 55, 110},	// QDomElement::QDomElement
    {17, 56, 111},	// QDomElement::QDomElement#
    {17, 129, 144},	// QDomElement::attribute$
    {17, 130, 113},	// QDomElement::attribute$$
    {17, 134, 145},	// QDomElement::attributeNS$$
    {17, 135, 127},	// QDomElement::attributeNS$$$
    {17, 137, 122},	// QDomElement::attributeNode$
    {17, 139, 135},	// QDomElement::attributeNodeNS$$
    {17, 140, 141},	// QDomElement::attributes
    {17, 190, 125},	// QDomElement::elementsByTagName$
    {17, 192, 137},	// QDomElement::elementsByTagNameNS$$
    {17, 223, 126},	// QDomElement::hasAttribute$
    {17, 225, 138},	// QDomElement::hasAttributeNS$$
    {17, 293, 142},	// QDomElement::nodeType
    {17, 336, 112},	// QDomElement::operator=#
    {17, 550, 121},	// QDomElement::removeAttribute$
    {17, 552, 134},	// QDomElement::removeAttributeNS$$
    {17, 554, 124},	// QDomElement::removeAttributeNode#
    {17, 572, -1},	// QDomElement::setAttribute$$
    {17, 573, -7},	// QDomElement::setAttribute$?
    {17, 575, -10},	// QDomElement::setAttributeNS$$$
    {17, 576, -15},	// QDomElement::setAttributeNS$$?
    {17, 578, 123},	// QDomElement::setAttributeNode#
    {17, 580, 136},	// QDomElement::setAttributeNodeNS#
    {17, 640, 140},	// QDomElement::setTagName$
    {17, 664, 139},	// QDomElement::tagName
    {17, 666, 143},	// QDomElement::text
    {17, 744, 146},	// QDomElement::~QDomElement
    {18, 57, 147},	// QDomEntity::QDomEntity
    {18, 58, 148},	// QDomEntity::QDomEntity#
    {18, 293, 153},	// QDomEntity::nodeType
    {18, 298, 152},	// QDomEntity::notationName
    {18, 336, 149},	// QDomEntity::operator=#
    {18, 384, 150},	// QDomEntity::publicId
    {18, 663, 151},	// QDomEntity::systemId
    {18, 745, 154},	// QDomEntity::~QDomEntity
    {19, 59, 155},	// QDomEntityReference::QDomEntityReference
    {19, 60, 156},	// QDomEntityReference::QDomEntityReference#
    {19, 293, 158},	// QDomEntityReference::nodeType
    {19, 336, 157},	// QDomEntityReference::operator=#
    {19, 746, 159},	// QDomEntityReference::~QDomEntityReference
    {20, 1, 171},	// QDomImplementation::AcceptInvalidChars
    {20, 11, 172},	// QDomImplementation::DropInvalidChars
    {20, 61, 160},	// QDomImplementation::QDomImplementation
    {20, 62, 161},	// QDomImplementation::QDomImplementation#
    {20, 118, 173},	// QDomImplementation::ReturnNullNode
    {20, 166, 167},	// QDomImplementation::createDocument$$#
    {20, 169, 166},	// QDomImplementation::createDocumentType$$$
    {20, 231, 165},	// QDomImplementation::hasFeature$$
    {20, 253, 168},	// QDomImplementation::invalidDataPolicy
    {20, 266, 170},	// QDomImplementation::isNull
    {20, 301, 164},	// QDomImplementation::operator!=#
    {20, 336, 162},	// QDomImplementation::operator=#
    {20, 338, 163},	// QDomImplementation::operator==#
    {20, 625, 169},	// QDomImplementation::setInvalidDataPolicy$
    {20, 747, 174},	// QDomImplementation::~QDomImplementation
    {21, 63, 175},	// QDomNamedNodeMap::QDomNamedNodeMap
    {21, 64, 176},	// QDomNamedNodeMap::QDomNamedNodeMap#
    {21, 154, 191},	// QDomNamedNodeMap::contains$
    {21, 156, 188},	// QDomNamedNodeMap::count
    {21, 262, 190},	// QDomNamedNodeMap::isEmpty
    {21, 272, 183},	// QDomNamedNodeMap::item$
    {21, 276, 187},	// QDomNamedNodeMap::length
    {21, 284, 180},	// QDomNamedNodeMap::namedItem$
    {21, 286, 184},	// QDomNamedNodeMap::namedItemNS$$
    {21, 301, 179},	// QDomNamedNodeMap::operator!=#
    {21, 336, 177},	// QDomNamedNodeMap::operator=#
    {21, 338, 178},	// QDomNamedNodeMap::operator==#
    {21, 558, 182},	// QDomNamedNodeMap::removeNamedItem$
    {21, 560, 186},	// QDomNamedNodeMap::removeNamedItemNS$$
    {21, 629, 181},	// QDomNamedNodeMap::setNamedItem#
    {21, 631, 185},	// QDomNamedNodeMap::setNamedItemNS#
    {21, 643, 189},	// QDomNamedNodeMap::size
    {21, 748, 192},	// QDomNamedNodeMap::~QDomNamedNodeMap
    {22, 2, 269},	// QDomNode::AttributeNode
    {22, 3, 280},	// QDomNode::BaseNode
    {22, 4, 271},	// QDomNode::CDATASectionNode
    {22, 5, 281},	// QDomNode::CharacterDataNode
    {22, 6, 275},	// QDomNode::CommentNode
    {22, 8, 278},	// QDomNode::DocumentFragmentNode
    {22, 9, 276},	// QDomNode::DocumentNode
    {22, 10, 277},	// QDomNode::DocumentTypeNode
    {22, 12, 268},	// QDomNode::ElementNode
    {22, 13, 282},	// QDomNode::EncodingFromDocument
    {22, 14, 283},	// QDomNode::EncodingFromTextStream
    {22, 17, 273},	// QDomNode::EntityNode
    {22, 18, 272},	// QDomNode::EntityReferenceNode
    {22, 38, 279},	// QDomNode::NotationNode
    {22, 39, 274},	// QDomNode::ProcessingInstructionNode
    {22, 65, 193},	// QDomNode::QDomNode
    {22, 66, 194},	// QDomNode::QDomNode#
    {22, 119, 270},	// QDomNode::TextNode
    {22, 123, 202},	// QDomNode::appendChild#
    {22, 140, 215},	// QDomNode::attributes
    {22, 145, 210},	// QDomNode::childNodes
    {22, 146, 239},	// QDomNode::clear
    {22, 147, 261},	// QDomNode::cloneNode
    {22, 148, 204},	// QDomNode::cloneNode$
    {22, 150, 260},	// QDomNode::columnNumber
    {22, 216, 211},	// QDomNode::firstChild
    {22, 217, 262},	// QDomNode::firstChildElement
    {22, 218, 255},	// QDomNode::firstChildElement$
    {22, 226, 219},	// QDomNode::hasAttributes
    {22, 227, 203},	// QDomNode::hasChildNodes
    {22, 236, 266},	// QDomNode::impl
    {22, 245, 199},	// QDomNode::insertAfter##
    {22, 247, 198},	// QDomNode::insertBefore##
    {22, 254, 224},	// QDomNode::isAttr
    {22, 255, 225},	// QDomNode::isCDATASection
    {22, 256, 235},	// QDomNode::isCharacterData
    {22, 257, 236},	// QDomNode::isComment
    {22, 258, 227},	// QDomNode::isDocument
    {22, 259, 226},	// QDomNode::isDocumentFragment
    {22, 260, 228},	// QDomNode::isDocumentType
    {22, 261, 229},	// QDomNode::isElement
    {22, 263, 232},	// QDomNode::isEntity
    {22, 264, 230},	// QDomNode::isEntityReference
    {22, 265, 233},	// QDomNode::isNotation
    {22, 266, 238},	// QDomNode::isNull
    {22, 267, 234},	// QDomNode::isProcessingInstruction
    {22, 269, 206},	// QDomNode::isSupported$$
    {22, 270, 231},	// QDomNode::isText
    {22, 273, 212},	// QDomNode::lastChild
    {22, 274, 263},	// QDomNode::lastChildElement
    {22, 275, 256},	// QDomNode::lastChildElement$
    {22, 278, 259},	// QDomNode::lineNumber
    {22, 279, 218},	// QDomNode::localName
    {22, 284, 237},	// QDomNode::namedItem$
    {22, 287, 217},	// QDomNode::namespaceURI
    {22, 289, 214},	// QDomNode::nextSibling
    {22, 290, 265},	// QDomNode::nextSiblingElement
    {22, 291, 258},	// QDomNode::nextSiblingElement$
    {22, 292, 207},	// QDomNode::nodeName
    {22, 293, 208},	// QDomNode::nodeType
    {22, 294, 220},	// QDomNode::nodeValue
    {22, 295, 205},	// QDomNode::normalize
    {22, 301, 197},	// QDomNode::operator!=#
    {22, 336, 195},	// QDomNode::operator=#
    {22, 338, 196},	// QDomNode::operator==#
    {22, 362, 216},	// QDomNode::ownerDocument
    {22, 364, 209},	// QDomNode::parentNode
    {22, 370, 222},	// QDomNode::prefix
    {22, 374, 213},	// QDomNode::previousSibling
    {22, 375, 264},	// QDomNode::previousSiblingElement
    {22, 376, 257},	// QDomNode::previousSiblingElement$
    {22, 556, 201},	// QDomNode::removeChild#
    {22, 562, 200},	// QDomNode::replaceChild##
    {22, 569, 253},	// QDomNode::save#$
    {22, 570, 254},	// QDomNode::save#$$
    {22, 623, 267},	// QDomNode::setImpl#
    {22, 633, 221},	// QDomNode::setNodeValue$
    {22, 635, 223},	// QDomNode::setPrefix$
    {22, 667, 240},	// QDomNode::toAttr
    {22, 670, 241},	// QDomNode::toCDATASection
    {22, 671, 251},	// QDomNode::toCharacterData
    {22, 672, 252},	// QDomNode::toComment
    {22, 673, 243},	// QDomNode::toDocument
    {22, 674, 242},	// QDomNode::toDocumentFragment
    {22, 675, 244},	// QDomNode::toDocumentType
    {22, 676, 245},	// QDomNode::toElement
    {22, 677, 248},	// QDomNode::toEntity
    {22, 678, 246},	// QDomNode::toEntityReference
    {22, 679, 249},	// QDomNode::toNotation
    {22, 680, 250},	// QDomNode::toProcessingInstruction
    {22, 683, 247},	// QDomNode::toText
    {22, 749, 284},	// QDomNode::~QDomNode
    {23, 67, 285},	// QDomNodeList::QDomNodeList
    {23, 68, 286},	// QDomNodeList::QDomNodeList#
    {23, 127, 291},	// QDomNodeList::at$
    {23, 156, 293},	// QDomNodeList::count
    {23, 262, 295},	// QDomNodeList::isEmpty
    {23, 272, 290},	// QDomNodeList::item$
    {23, 276, 292},	// QDomNodeList::length
    {23, 301, 289},	// QDomNodeList::operator!=#
    {23, 336, 287},	// QDomNodeList::operator=#
    {23, 338, 288},	// QDomNodeList::operator==#
    {23, 643, 294},	// QDomNodeList::size
    {23, 750, 296},	// QDomNodeList::~QDomNodeList
    {25, 69, 297},	// QDomNotation::QDomNotation
    {25, 70, 298},	// QDomNotation::QDomNotation#
    {25, 293, 302},	// QDomNotation::nodeType
    {25, 336, 299},	// QDomNotation::operator=#
    {25, 384, 300},	// QDomNotation::publicId
    {25, 663, 301},	// QDomNotation::systemId
    {25, 751, 303},	// QDomNotation::~QDomNotation
    {26, 71, 304},	// QDomProcessingInstruction::QDomProcessingInstruction
    {26, 72, 305},	// QDomProcessingInstruction::QDomProcessingInstruction#
    {26, 180, 308},	// QDomProcessingInstruction::data
    {26, 293, 310},	// QDomProcessingInstruction::nodeType
    {26, 336, 306},	// QDomProcessingInstruction::operator=#
    {26, 609, 309},	// QDomProcessingInstruction::setData$
    {26, 665, 307},	// QDomProcessingInstruction::target
    {26, 752, 311},	// QDomProcessingInstruction::~QDomProcessingInstruction
    {27, 73, 312},	// QDomText::QDomText
    {27, 74, 313},	// QDomText::QDomText#
    {27, 293, 316},	// QDomText::nodeType
    {27, 336, 314},	// QDomText::operator=#
    {27, 650, 315},	// QDomText::splitText$
    {27, 753, 317},	// QDomText::~QDomText
    {29, 19, 737},	// QGlobalSpace::LicensedActiveQt
    {29, 20, 743},	// QGlobalSpace::LicensedCore
    {29, 21, 735},	// QGlobalSpace::LicensedDBus
    {29, 22, 740},	// QGlobalSpace::LicensedDeclarative
    {29, 23, 730},	// QGlobalSpace::LicensedGui
    {29, 24, 749},	// QGlobalSpace::LicensedHelp
    {29, 25, 750},	// QGlobalSpace::LicensedMultimedia
    {29, 26, 753},	// QGlobalSpace::LicensedNetwork
    {29, 27, 742},	// QGlobalSpace::LicensedOpenGL
    {29, 28, 734},	// QGlobalSpace::LicensedOpenVG
    {29, 29, 751},	// QGlobalSpace::LicensedQt3Support
    {29, 30, 732},	// QGlobalSpace::LicensedQt3SupportLight
    {29, 31, 733},	// QGlobalSpace::LicensedScript
    {29, 32, 738},	// QGlobalSpace::LicensedScriptTools
    {29, 33, 741},	// QGlobalSpace::LicensedSql
    {29, 34, 739},	// QGlobalSpace::LicensedSvg
    {29, 35, 736},	// QGlobalSpace::LicensedTest
    {29, 36, 731},	// QGlobalSpace::LicensedXml
    {29, 37, 752},	// QGlobalSpace::LicensedXmlPatterns
    {29, 108, 725},	// QGlobalSpace::Q_COMPLEX_TYPE
    {29, 109, 729},	// QGlobalSpace::Q_DUMMY_TYPE
    {29, 110, 728},	// QGlobalSpace::Q_MOVABLE_TYPE
    {29, 111, 726},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {29, 112, 727},	// QGlobalSpace::Q_STATIC_TYPE
    {29, 113, 746},	// QGlobalSpace::QtCriticalMsg
    {29, 114, 744},	// QGlobalSpace::QtDebugMsg
    {29, 115, 747},	// QGlobalSpace::QtFatalMsg
    {29, 116, 748},	// QGlobalSpace::QtSystemMsg
    {29, 117, 745},	// QGlobalSpace::QtWarningMsg
    {29, 302, -58},	// QGlobalSpace::operator!=##
    {29, 303, -75},	// QGlobalSpace::operator!=#$
    {29, 304, -81},	// QGlobalSpace::operator!=$#
    {29, 305, 686},	// QGlobalSpace::operator!=$$
    {29, 307, 475},	// QGlobalSpace::operator&##
    {29, 309, -88},	// QGlobalSpace::operator*#$
    {29, 310, -95},	// QGlobalSpace::operator*$#
    {29, 312, -102},	// QGlobalSpace::operator+##
    {29, 313, -108},	// QGlobalSpace::operator+#$
    {29, 314, -113},	// QGlobalSpace::operator+$#
    {29, 315, -118},	// QGlobalSpace::operator+$$
    {29, 317, -124},	// QGlobalSpace::operator-#
    {29, 318, -127},	// QGlobalSpace::operator-##
    {29, 320, -132},	// QGlobalSpace::operator/#$
    {29, 322, -137},	// QGlobalSpace::operator<##
    {29, 323, 333},	// QGlobalSpace::operator<#$
    {29, 324, -142},	// QGlobalSpace::operator<$#
    {29, 325, 538},	// QGlobalSpace::operator<$$
    {29, 327, -145},	// QGlobalSpace::operator<<##
    {29, 328, -188},	// QGlobalSpace::operator<<#$
    {29, 329, 623},	// QGlobalSpace::operator<<#?
    {29, 331, -194},	// QGlobalSpace::operator<=##
    {29, 332, 496},	// QGlobalSpace::operator<=#$
    {29, 333, -199},	// QGlobalSpace::operator<=$#
    {29, 334, 460},	// QGlobalSpace::operator<=$$
    {29, 339, -202},	// QGlobalSpace::operator==##
    {29, 340, -220},	// QGlobalSpace::operator==#$
    {29, 341, -226},	// QGlobalSpace::operator==$#
    {29, 342, 603},	// QGlobalSpace::operator==$$
    {29, 344, -233},	// QGlobalSpace::operator>##
    {29, 345, 683},	// QGlobalSpace::operator>#$
    {29, 346, -238},	// QGlobalSpace::operator>$#
    {29, 347, 334},	// QGlobalSpace::operator>$$
    {29, 349, -241},	// QGlobalSpace::operator>=##
    {29, 350, 478},	// QGlobalSpace::operator>=#$
    {29, 351, -246},	// QGlobalSpace::operator>=$#
    {29, 352, 630},	// QGlobalSpace::operator>=$$
    {29, 354, -249},	// QGlobalSpace::operator>>##
    {29, 355, -271},	// QGlobalSpace::operator>>#$
    {29, 356, 569},	// QGlobalSpace::operator>>#?
    {29, 358, 713},	// QGlobalSpace::operator^##
    {29, 360, 396},	// QGlobalSpace::operator|##
    {29, 361, -274},	// QGlobalSpace::operator|$$
    {29, 387, 320},	// QGlobalSpace::qAcos$
    {29, 389, 573},	// QGlobalSpace::qAddPostRoutine$
    {29, 390, 325},	// QGlobalSpace::qAppName
    {29, 392, 714},	// QGlobalSpace::qAsin$
    {29, 394, 399},	// QGlobalSpace::qAtan$
    {29, 396, 375},	// QGlobalSpace::qAtan2$$
    {29, 397, 716},	// QGlobalSpace::qBadAlloc
    {29, 399, 562},	// QGlobalSpace::qCeil$
    {29, 401, 504},	// QGlobalSpace::qChecksum$$
    {29, 403, 416},	// QGlobalSpace::qCompress#
    {29, 404, 415},	// QGlobalSpace::qCompress#$
    {29, 405, 616},	// QGlobalSpace::qCompress$$
    {29, 406, 615},	// QGlobalSpace::qCompress$$$
    {29, 408, 590},	// QGlobalSpace::qCos$
    {29, 409, 513},	// QGlobalSpace::qCritical
    {29, 410, 457},	// QGlobalSpace::qDebug
    {29, 412, 529},	// QGlobalSpace::qExp$
    {29, 414, 433},	// QGlobalSpace::qFabs$
    {29, 416, 497},	// QGlobalSpace::qFastCos$
    {29, 418, 340},	// QGlobalSpace::qFastSin$
    {29, 420, 488},	// QGlobalSpace::qFlagLocation$
    {29, 422, 617},	// QGlobalSpace::qFloor$
    {29, 424, 628},	// QGlobalSpace::qFree$
    {29, 426, 704},	// QGlobalSpace::qFreeAligned$
    {29, 428, -362},	// QGlobalSpace::qFuzzyCompare$$
    {29, 430, -365},	// QGlobalSpace::qFuzzyIsNull$
    {29, 432, -368},	// QGlobalSpace::qHash#
    {29, 433, -376},	// QGlobalSpace::qHash$
    {29, 434, -387},	// QGlobalSpace::qHash?
    {29, 435, 581},	// QGlobalSpace::qInf
    {29, 437, 507},	// QGlobalSpace::qInstallMsgHandler$
    {29, 439, -390},	// QGlobalSpace::qIntCast$
    {29, 441, -393},	// QGlobalSpace::qIsFinite$
    {29, 443, -396},	// QGlobalSpace::qIsInf$
    {29, 445, -399},	// QGlobalSpace::qIsNaN$
    {29, 447, -402},	// QGlobalSpace::qIsNull$
    {29, 449, 710},	// QGlobalSpace::qLn$
    {29, 451, 669},	// QGlobalSpace::qMalloc?
    {29, 453, 591},	// QGlobalSpace::qMallocAligned??
    {29, 455, 627},	// QGlobalSpace::qMemCopy$$?
    {29, 457, 559},	// QGlobalSpace::qMemSet$$?
    {29, 461, 514},	// QGlobalSpace::qPow$$
    {29, 462, 366},	// QGlobalSpace::qQNaN
    {29, 464, 441},	// QGlobalSpace::qRealloc$?
    {29, 466, 420},	// QGlobalSpace::qReallocAligned$???
    {29, 468, 574},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {29, 470, 498},	// QGlobalSpace::qRemovePostRoutine$
    {29, 472, 318},	// QGlobalSpace::qRound$
    {29, 474, 661},	// QGlobalSpace::qRound64$
    {29, 475, 664},	// QGlobalSpace::qSNaN
    {29, 477, 687},	// QGlobalSpace::qSetFieldWidth$
    {29, 479, 368},	// QGlobalSpace::qSetPadChar#
    {29, 481, 635},	// QGlobalSpace::qSetRealNumberPrecision$
    {29, 482, 577},	// QGlobalSpace::qSharedBuild
    {29, 484, 644},	// QGlobalSpace::qSin$
    {29, 486, 423},	// QGlobalSpace::qSqrt$
    {29, 488, 608},	// QGlobalSpace::qStringComparisonHelper#$
    {29, 489, 688},	// QGlobalSpace::qStringComparisonHelper$$
    {29, 491, 660},	// QGlobalSpace::qTan$
    {29, 493, 492},	// QGlobalSpace::qUncompress#
    {29, 494, 414},	// QGlobalSpace::qUncompress$$
    {29, 495, 599},	// QGlobalSpace::qVersion
    {29, 496, 446},	// QGlobalSpace::qWarning
    {29, 498, 540},	// QGlobalSpace::qbswap_helper$$$
    {29, 500, 332},	// QGlobalSpace::qgetenv$
    {29, 502, 671},	// QGlobalSpace::qputenv$#
    {29, 503, 636},	// QGlobalSpace::qrand
    {29, 505, 549},	// QGlobalSpace::qsrand$
    {29, 507, 474},	// QGlobalSpace::qstrcmp##
    {29, 508, 383},	// QGlobalSpace::qstrcmp#$
    {29, 509, 400},	// QGlobalSpace::qstrcmp$#
    {29, 510, 387},	// QGlobalSpace::qstrcmp$$
    {29, 512, 395},	// QGlobalSpace::qstrcpy$$
    {29, 514, 384},	// QGlobalSpace::qstrdup$
    {29, 516, 557},	// QGlobalSpace::qstricmp$$
    {29, 518, 650},	// QGlobalSpace::qstrlen$
    {29, 520, 342},	// QGlobalSpace::qstrncmp$$$
    {29, 522, 327},	// QGlobalSpace::qstrncpy$$$
    {29, 524, 582},	// QGlobalSpace::qstrnicmp$$$
    {29, 526, 350},	// QGlobalSpace::qstrnlen$$
    {29, 528, 374},	// QGlobalSpace::qtTrId$
    {29, 529, 373},	// QGlobalSpace::qtTrId$$
    {29, 531, 648},	// QGlobalSpace::qt_assert$$$
    {29, 533, 594},	// QGlobalSpace::qt_assert_x$$$$
    {29, 535, 408},	// QGlobalSpace::qt_check_pointer$$
    {29, 536, 362},	// QGlobalSpace::qt_error_string
    {29, 537, 361},	// QGlobalSpace::qt_error_string$
    {29, 539, 547},	// QGlobalSpace::qt_message_output$$
    {29, 540, 521},	// QGlobalSpace::qt_noop
    {29, 542, 526},	// QGlobalSpace::qt_qFindChild_helper#$#
    {29, 544, 359},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {29, 546, 537},	// QGlobalSpace::qvariant_cast_helper#$$
    {29, 548, 345},	// QGlobalSpace::qvsnprintf$?$?
    {59, 75, 754},	// QXmlAttributes::QXmlAttributes
    {59, 76, 772},	// QXmlAttributes::QXmlAttributes#
    {59, 121, 771},	// QXmlAttributes::append$$$$
    {59, 146, 770},	// QXmlAttributes::clear
    {59, 156, 759},	// QXmlAttributes::count
    {59, 241, 756},	// QXmlAttributes::index#
    {59, 242, 755},	// QXmlAttributes::index$
    {59, 243, 757},	// QXmlAttributes::index$$
    {59, 276, 758},	// QXmlAttributes::length
    {59, 280, 760},	// QXmlAttributes::localName$
    {59, 459, 761},	// QXmlAttributes::qName$
    {59, 685, -411},	// QXmlAttributes::type$
    {59, 686, 765},	// QXmlAttributes::type$$
    {59, 690, 762},	// QXmlAttributes::uri$
    {59, 692, 768},	// QXmlAttributes::value#
    {59, 693, -414},	// QXmlAttributes::value$
    {59, 694, 769},	// QXmlAttributes::value$$
    {59, 754, 773},	// QXmlAttributes::~QXmlAttributes
    {60, 77, 786},	// QXmlContentHandler::QXmlContentHandler
    {60, 78, 787},	// QXmlContentHandler::QXmlContentHandler#
    {60, 144, 781},	// QXmlContentHandler::characters$
    {60, 195, 776},	// QXmlContentHandler::endDocument
    {60, 197, 780},	// QXmlContentHandler::endElement$$$
    {60, 201, 778},	// QXmlContentHandler::endPrefixMapping$
    {60, 207, 785},	// QXmlContentHandler::errorString
    {60, 235, 782},	// QXmlContentHandler::ignorableWhitespace$
    {60, 380, 783},	// QXmlContentHandler::processingInstruction$$
    {60, 615, 774},	// QXmlContentHandler::setDocumentLocator#
    {60, 645, 784},	// QXmlContentHandler::skippedEntity$
    {60, 654, 775},	// QXmlContentHandler::startDocument
    {60, 656, 779},	// QXmlContentHandler::startElement$$$#
    {60, 660, 777},	// QXmlContentHandler::startPrefixMapping$$
    {60, 755, 788},	// QXmlContentHandler::~QXmlContentHandler
    {61, 79, 792},	// QXmlDTDHandler::QXmlDTDHandler
    {61, 80, 793},	// QXmlDTDHandler::QXmlDTDHandler#
    {61, 207, 791},	// QXmlDTDHandler::errorString
    {61, 297, 789},	// QXmlDTDHandler::notationDecl$$$
    {61, 688, 790},	// QXmlDTDHandler::unparsedEntityDecl$$$$
    {61, 756, 794},	// QXmlDTDHandler::~QXmlDTDHandler
    {62, 81, 799},	// QXmlDeclHandler::QXmlDeclHandler
    {62, 82, 800},	// QXmlDeclHandler::QXmlDeclHandler#
    {62, 132, 795},	// QXmlDeclHandler::attributeDecl$$$$$
    {62, 207, 798},	// QXmlDeclHandler::errorString
    {62, 209, 797},	// QXmlDeclHandler::externalEntityDecl$$$
    {62, 251, 796},	// QXmlDeclHandler::internalEntityDecl$$
    {62, 757, 801},	// QXmlDeclHandler::~QXmlDeclHandler
    {63, 83, 802},	// QXmlDefaultHandler::QXmlDefaultHandler
    {63, 132, 827},	// QXmlDefaultHandler::attributeDecl$$$$$
    {63, 144, 810},	// QXmlDefaultHandler::characters$
    {63, 152, 826},	// QXmlDefaultHandler::comment$
    {63, 193, 825},	// QXmlDefaultHandler::endCDATA
    {63, 194, 821},	// QXmlDefaultHandler::endDTD
    {63, 195, 805},	// QXmlDefaultHandler::endDocument
    {63, 197, 809},	// QXmlDefaultHandler::endElement$$$
    {63, 199, 823},	// QXmlDefaultHandler::endEntity$
    {63, 201, 807},	// QXmlDefaultHandler::endPrefixMapping$
    {63, 205, 815},	// QXmlDefaultHandler::error#
    {63, 207, 830},	// QXmlDefaultHandler::errorString
    {63, 209, 829},	// QXmlDefaultHandler::externalEntityDecl$$$
    {63, 211, 816},	// QXmlDefaultHandler::fatalError#
    {63, 235, 811},	// QXmlDefaultHandler::ignorableWhitespace$
    {63, 251, 828},	// QXmlDefaultHandler::internalEntityDecl$$
    {63, 297, 817},	// QXmlDefaultHandler::notationDecl$$$
    {63, 380, 812},	// QXmlDefaultHandler::processingInstruction$$
    {63, 567, 819},	// QXmlDefaultHandler::resolveEntity$$#
    {63, 615, 803},	// QXmlDefaultHandler::setDocumentLocator#
    {63, 645, 813},	// QXmlDefaultHandler::skippedEntity$
    {63, 651, 824},	// QXmlDefaultHandler::startCDATA
    {63, 653, 820},	// QXmlDefaultHandler::startDTD$$$
    {63, 654, 804},	// QXmlDefaultHandler::startDocument
    {63, 656, 808},	// QXmlDefaultHandler::startElement$$$#
    {63, 658, 822},	// QXmlDefaultHandler::startEntity$
    {63, 660, 806},	// QXmlDefaultHandler::startPrefixMapping$$
    {63, 688, 818},	// QXmlDefaultHandler::unparsedEntityDecl$$$$
    {63, 696, 814},	// QXmlDefaultHandler::warning#
    {63, 758, 831},	// QXmlDefaultHandler::~QXmlDefaultHandler
    {64, 84, 834},	// QXmlEntityResolver::QXmlEntityResolver
    {64, 85, 835},	// QXmlEntityResolver::QXmlEntityResolver#
    {64, 207, 833},	// QXmlEntityResolver::errorString
    {64, 567, 832},	// QXmlEntityResolver::resolveEntity$$#
    {64, 759, 836},	// QXmlEntityResolver::~QXmlEntityResolver
    {65, 86, 841},	// QXmlErrorHandler::QXmlErrorHandler
    {65, 87, 842},	// QXmlErrorHandler::QXmlErrorHandler#
    {65, 205, 838},	// QXmlErrorHandler::error#
    {65, 207, 840},	// QXmlErrorHandler::errorString
    {65, 211, 839},	// QXmlErrorHandler::fatalError#
    {65, 696, 837},	// QXmlErrorHandler::warning#
    {65, 760, 843},	// QXmlErrorHandler::~QXmlErrorHandler
    {66, 15, 855},	// QXmlInputSource::EndOfData
    {66, 16, 856},	// QXmlInputSource::EndOfDocument
    {66, 88, 844},	// QXmlInputSource::QXmlInputSource
    {66, 89, -405},	// QXmlInputSource::QXmlInputSource#
    {66, 180, 849},	// QXmlInputSource::data
    {66, 215, 848},	// QXmlInputSource::fetchData
    {66, 220, 854},	// QXmlInputSource::fromRawData#
    {66, 221, 852},	// QXmlInputSource::fromRawData#$
    {66, 288, 850},	// QXmlInputSource::next
    {66, 565, 851},	// QXmlInputSource::reset
    {66, 608, 847},	// QXmlInputSource::setData#
    {66, 609, 846},	// QXmlInputSource::setData$
    {66, 761, 857},	// QXmlInputSource::~QXmlInputSource
    {67, 90, 866},	// QXmlLexicalHandler::QXmlLexicalHandler
    {67, 91, 867},	// QXmlLexicalHandler::QXmlLexicalHandler#
    {67, 152, 864},	// QXmlLexicalHandler::comment$
    {67, 193, 863},	// QXmlLexicalHandler::endCDATA
    {67, 194, 859},	// QXmlLexicalHandler::endDTD
    {67, 199, 861},	// QXmlLexicalHandler::endEntity$
    {67, 207, 865},	// QXmlLexicalHandler::errorString
    {67, 651, 862},	// QXmlLexicalHandler::startCDATA
    {67, 653, 858},	// QXmlLexicalHandler::startDTD$$$
    {67, 658, 860},	// QXmlLexicalHandler::startEntity$
    {67, 762, 868},	// QXmlLexicalHandler::~QXmlLexicalHandler
    {68, 92, 869},	// QXmlLocator::QXmlLocator
    {68, 93, 872},	// QXmlLocator::QXmlLocator#
    {68, 150, 870},	// QXmlLocator::columnNumber
    {68, 278, 871},	// QXmlLocator::lineNumber
    {68, 763, 873},	// QXmlLocator::~QXmlLocator
    {69, 94, 874},	// QXmlNamespaceSupport::QXmlNamespaceSupport
    {69, 369, 883},	// QXmlNamespaceSupport::popContext
    {69, 371, 876},	// QXmlNamespaceSupport::prefix$
    {69, 372, 880},	// QXmlNamespaceSupport::prefixes
    {69, 373, 881},	// QXmlNamespaceSupport::prefixes$
    {69, 378, 879},	// QXmlNamespaceSupport::processName$$$$
    {69, 385, 882},	// QXmlNamespaceSupport::pushContext
    {69, 565, 884},	// QXmlNamespaceSupport::reset
    {69, 636, 875},	// QXmlNamespaceSupport::setPrefix$$
    {69, 648, 878},	// QXmlNamespaceSupport::splitName$$$
    {69, 690, 877},	// QXmlNamespaceSupport::uri$
    {69, 764, 885},	// QXmlNamespaceSupport::~QXmlNamespaceSupport
    {70, 95, 893},	// QXmlParseException::QXmlParseException
    {70, 96, 887},	// QXmlParseException::QXmlParseException#
    {70, 97, 894},	// QXmlParseException::QXmlParseException$
    {70, 98, 895},	// QXmlParseException::QXmlParseException$$
    {70, 99, 896},	// QXmlParseException::QXmlParseException$$$
    {70, 100, 897},	// QXmlParseException::QXmlParseException$$$$
    {70, 101, 886},	// QXmlParseException::QXmlParseException$$$$$
    {70, 150, 888},	// QXmlParseException::columnNumber
    {70, 278, 889},	// QXmlParseException::lineNumber
    {70, 281, 892},	// QXmlParseException::message
    {70, 384, 890},	// QXmlParseException::publicId
    {70, 663, 891},	// QXmlParseException::systemId
    {70, 765, 898},	// QXmlParseException::~QXmlParseException
    {71, 7, 908},	// QXmlReader::DTDHandler
    {71, 102, 919},	// QXmlReader::QXmlReader
    {71, 103, 920},	// QXmlReader::QXmlReader#
    {71, 155, 910},	// QXmlReader::contentHandler
    {71, 181, 916},	// QXmlReader::declHandler
    {71, 203, 906},	// QXmlReader::entityResolver
    {71, 206, 912},	// QXmlReader::errorHandler
    {71, 213, 921},	// QXmlReader::feature$
    {71, 214, 899},	// QXmlReader::feature$$
    {71, 230, 901},	// QXmlReader::hasFeature$
    {71, 233, 904},	// QXmlReader::hasProperty$
    {71, 277, 914},	// QXmlReader::lexicalHandler
    {71, 366, -408},	// QXmlReader::parse#
    {71, 382, 922},	// QXmlReader::property$
    {71, 383, 902},	// QXmlReader::property$$
    {71, 604, 909},	// QXmlReader::setContentHandler#
    {71, 606, 907},	// QXmlReader::setDTDHandler#
    {71, 611, 915},	// QXmlReader::setDeclHandler#
    {71, 617, 905},	// QXmlReader::setEntityResolver#
    {71, 619, 911},	// QXmlReader::setErrorHandler#
    {71, 621, 900},	// QXmlReader::setFeature$$
    {71, 627, 913},	// QXmlReader::setLexicalHandler#
    {71, 638, 903},	// QXmlReader::setProperty$$
    {71, 766, 923},	// QXmlReader::~QXmlReader
    {72, 7, 934},	// QXmlSimpleReader::DTDHandler
    {72, 104, 924},	// QXmlSimpleReader::QXmlSimpleReader
    {72, 155, 936},	// QXmlSimpleReader::contentHandler
    {72, 181, 942},	// QXmlSimpleReader::declHandler
    {72, 203, 932},	// QXmlSimpleReader::entityResolver
    {72, 206, 938},	// QXmlSimpleReader::errorHandler
    {72, 213, 947},	// QXmlSimpleReader::feature$
    {72, 214, 925},	// QXmlSimpleReader::feature$$
    {72, 230, 927},	// QXmlSimpleReader::hasFeature$
    {72, 233, 930},	// QXmlSimpleReader::hasProperty$
    {72, 277, 940},	// QXmlSimpleReader::lexicalHandler
    {72, 366, -417},	// QXmlSimpleReader::parse#
    {72, 367, 945},	// QXmlSimpleReader::parse#$
    {72, 368, 946},	// QXmlSimpleReader::parseContinue
    {72, 382, 948},	// QXmlSimpleReader::property$
    {72, 383, 928},	// QXmlSimpleReader::property$$
    {72, 604, 935},	// QXmlSimpleReader::setContentHandler#
    {72, 606, 933},	// QXmlSimpleReader::setDTDHandler#
    {72, 611, 941},	// QXmlSimpleReader::setDeclHandler#
    {72, 617, 931},	// QXmlSimpleReader::setEntityResolver#
    {72, 619, 937},	// QXmlSimpleReader::setErrorHandler#
    {72, 621, 926},	// QXmlSimpleReader::setFeature$$
    {72, 627, 939},	// QXmlSimpleReader::setLexicalHandler#
    {72, 638, 929},	// QXmlSimpleReader::setProperty$$
    {72, 767, 949},	// QXmlSimpleReader::~QXmlSimpleReader
    {76, 105, 950},	// QXmlStreamWriter::QXmlStreamWriter
    {76, 106, -18},	// QXmlStreamWriter::QXmlStreamWriter#
    {76, 107, 953},	// QXmlStreamWriter::QXmlStreamWriter$
    {76, 141, 960},	// QXmlStreamWriter::autoFormatting
    {76, 142, 962},	// QXmlStreamWriter::autoFormattingIndent
    {76, 149, 958},	// QXmlStreamWriter::codec
    {76, 184, 955},	// QXmlStreamWriter::device
    {76, 228, 987},	// QXmlStreamWriter::hasError
    {76, 582, 959},	// QXmlStreamWriter::setAutoFormatting$
    {76, 584, 961},	// QXmlStreamWriter::setAutoFormattingIndent$
    {76, 586, 956},	// QXmlStreamWriter::setCodec#
    {76, 587, 957},	// QXmlStreamWriter::setCodec$
    {76, 613, 954},	// QXmlStreamWriter::setDevice#
    {76, 698, 965},	// QXmlStreamWriter::writeAttribute#
    {76, 699, 963},	// QXmlStreamWriter::writeAttribute$$
    {76, 700, 964},	// QXmlStreamWriter::writeAttribute$$$
    {76, 702, 966},	// QXmlStreamWriter::writeAttributes#
    {76, 704, 967},	// QXmlStreamWriter::writeCDATA$
    {76, 706, 968},	// QXmlStreamWriter::writeCharacters$
    {76, 708, 969},	// QXmlStreamWriter::writeComment$
    {76, 710, 986},	// QXmlStreamWriter::writeCurrentToken#
    {76, 712, 970},	// QXmlStreamWriter::writeDTD$
    {76, 714, 979},	// QXmlStreamWriter::writeDefaultNamespace$
    {76, 716, 971},	// QXmlStreamWriter::writeEmptyElement$
    {76, 717, 972},	// QXmlStreamWriter::writeEmptyElement$$
    {76, 718, 975},	// QXmlStreamWriter::writeEndDocument
    {76, 719, 976},	// QXmlStreamWriter::writeEndElement
    {76, 721, 977},	// QXmlStreamWriter::writeEntityReference$
    {76, 723, 988},	// QXmlStreamWriter::writeNamespace$
    {76, 724, 978},	// QXmlStreamWriter::writeNamespace$$
    {76, 726, 989},	// QXmlStreamWriter::writeProcessingInstruction$
    {76, 727, 980},	// QXmlStreamWriter::writeProcessingInstruction$$
    {76, 728, 981},	// QXmlStreamWriter::writeStartDocument
    {76, 729, 982},	// QXmlStreamWriter::writeStartDocument$
    {76, 730, 983},	// QXmlStreamWriter::writeStartDocument$$
    {76, 732, 984},	// QXmlStreamWriter::writeStartElement$
    {76, 733, 985},	// QXmlStreamWriter::writeStartElement$$
    {76, 735, 973},	// QXmlStreamWriter::writeTextElement$$
    {76, 736, 974},	// QXmlStreamWriter::writeTextElement$$$
    {76, 768, 990},	// QXmlStreamWriter::~QXmlStreamWriter
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtxml_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtxml_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtxml_Smoke = new Smoke(
        "qtxml",
        __smokeqtxml::classes, 76,
        __smokeqtxml::methods, 991,
        __smokeqtxml::methodMaps, 686,
        __smokeqtxml::methodNames, 768,
        __smokeqtxml::types, 353,
        __smokeqtxml::inheritanceList,
        __smokeqtxml::argumentList,
        __smokeqtxml::ambiguousMethodList,
        __smokeqtxml::cast );
    initialized = true;
}

void delete_qtxml_Smoke() { delete qtxml_Smoke; }

}
